#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 21462
#define LARGE_STATE_COUNT 3116
#define SYMBOL_COUNT 427
#define ALIAS_COUNT 16
#define TOKEN_COUNT 144
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 239

enum ts_symbol_identifiers {
  sym__lowercase_identifier = 1,
  anon_sym_SEMI_SEMI = 2,
  anon_sym_let = 3,
  anon_sym_rec = 4,
  anon_sym_and = 5,
  anon_sym_COLON_GT = 6,
  anon_sym_EQ = 7,
  anon_sym_TILDE = 8,
  anon_sym_QMARK = 9,
  anon_sym_COLON = 10,
  anon_sym_LPAREN = 11,
  anon_sym_RPAREN = 12,
  anon_sym_external = 13,
  anon_sym_type = 14,
  anon_sym_nonrec = 15,
  anon_sym_private = 16,
  anon_sym_DOT_DOT = 17,
  anon_sym_PLUS_EQ = 18,
  anon_sym_COMMA = 19,
  anon_sym_PLUS = 20,
  anon_sym_BANG = 21,
  anon_sym_DASH = 22,
  anon_sym__ = 23,
  anon_sym_COLON_EQ = 24,
  anon_sym_PIPE = 25,
  anon_sym_LBRACK = 26,
  anon_sym_RBRACK = 27,
  anon_sym_true = 28,
  anon_sym_false = 29,
  anon_sym_of = 30,
  anon_sym_COLON2 = 31,
  anon_sym_DOT = 32,
  anon_sym_DASH_GT = 33,
  anon_sym_STAR = 34,
  anon_sym_LBRACE = 35,
  anon_sym_SEMI = 36,
  anon_sym_RBRACE = 37,
  anon_sym_mutable = 38,
  anon_sym_constraint = 39,
  anon_sym_exception = 40,
  anon_sym_module = 41,
  anon_sym_open = 42,
  anon_sym_include = 43,
  anon_sym_class = 44,
  anon_sym_virtual = 45,
  anon_sym_val = 46,
  anon_sym_sig = 47,
  anon_sym_end = 48,
  anon_sym_with = 49,
  anon_sym_functor = 50,
  anon_sym_struct = 51,
  anon_sym_object = 52,
  anon_sym_inherit = 53,
  anon_sym_method = 54,
  anon_sym_in = 55,
  anon_sym_fun = 56,
  anon_sym_as = 57,
  anon_sym_initializer = 58,
  anon_sym_LBRACK_GT = 59,
  anon_sym_LBRACK_LT = 60,
  anon_sym_GT = 61,
  anon_sym_AMP = 62,
  anon_sym_LT = 63,
  anon_sym_POUND = 64,
  anon_sym_COLON_COLON = 65,
  anon_sym_LBRACK_PIPE = 66,
  anon_sym_PIPE_RBRACK = 67,
  anon_sym_LT_DASH = 68,
  anon_sym_if = 69,
  anon_sym_then = 70,
  anon_sym_else = 71,
  anon_sym_while = 72,
  anon_sym_do = 73,
  anon_sym_done = 74,
  anon_sym_for = 75,
  anon_sym_to = 76,
  anon_sym_downto = 77,
  anon_sym_match = 78,
  anon_sym_when = 79,
  anon_sym_function = 80,
  anon_sym_try = 81,
  anon_sym_assert = 82,
  anon_sym_lazy = 83,
  anon_sym_new = 84,
  anon_sym_LBRACE_LT = 85,
  anon_sym_GT_RBRACE = 86,
  anon_sym_begin = 87,
  sym_ocamlyacc_value = 88,
  anon_sym_effect = 89,
  aux_sym_attribute_token1 = 90,
  anon_sym_LBRACK_AT_AT = 91,
  anon_sym_LBRACK_AT_AT_AT = 92,
  anon_sym_LBRACK_PERCENT = 93,
  anon_sym_LBRACE_PERCENT = 94,
  aux_sym_quoted_extension_token1 = 95,
  anon_sym_LBRACK_PERCENT_PERCENT = 96,
  anon_sym_LBRACE_PERCENT_PERCENT = 97,
  anon_sym_PERCENT = 98,
  aux_sym_number_token1 = 99,
  aux_sym_signed_number_token1 = 100,
  anon_sym_SQUOTE = 101,
  anon_sym_SQUOTE2 = 102,
  aux_sym_character_content_token1 = 103,
  aux_sym_character_content_token2 = 104,
  anon_sym_DQUOTE = 105,
  aux_sym_string_content_token1 = 106,
  aux_sym_string_content_token2 = 107,
  aux_sym_string_content_token3 = 108,
  aux_sym_string_content_token4 = 109,
  aux_sym_string_content_token5 = 110,
  aux_sym_quoted_string_content_token1 = 111,
  aux_sym_escape_sequence_token1 = 112,
  aux_sym_escape_sequence_token2 = 113,
  aux_sym_escape_sequence_token3 = 114,
  aux_sym_escape_sequence_token4 = 115,
  sym_conversion_specification = 116,
  sym_pretty_printing_indication = 117,
  sym_prefix_operator = 118,
  aux_sym_sign_operator_token1 = 119,
  sym_hash_operator = 120,
  sym_pow_operator = 121,
  sym_mult_operator = 122,
  aux_sym_add_operator_token1 = 123,
  sym_concat_operator = 124,
  sym_rel_operator = 125,
  sym_and_operator = 126,
  sym_or_operator = 127,
  sym_assign_operator = 128,
  sym_indexing_operator = 129,
  sym_let_operator = 130,
  sym_let_and_operator = 131,
  sym_match_operator = 132,
  sym__uppercase_identifier = 133,
  aux_sym_directive_token1 = 134,
  aux_sym_type_variable_token1 = 135,
  aux_sym_tag_token1 = 136,
  aux_sym_attribute_id_token1 = 137,
  sym_comment = 138,
  sym__left_quoted_string_delimiter = 139,
  sym__right_quoted_string_delimiter = 140,
  sym_line_number_directive = 141,
  sym__null = 142,
  sym__error_sentinel = 143,
  sym_type = 144,
  sym__structure = 145,
  sym_expression_item = 146,
  sym__signature = 147,
  sym_toplevel_directive = 148,
  sym__structure_item = 149,
  sym_value_definition = 150,
  sym_let_binding = 151,
  sym_parameter = 152,
  sym_external = 153,
  sym_type_definition = 154,
  sym_type_binding = 155,
  sym__type_params = 156,
  sym__type_param = 157,
  sym__type_equation = 158,
  sym_variant_declaration = 159,
  sym_constructor_declaration = 160,
  sym__constructor_argument = 161,
  sym_record_declaration = 162,
  sym_field_declaration = 163,
  sym_type_constraint = 164,
  sym_exception_definition = 165,
  sym_module_definition = 166,
  sym_module_binding = 167,
  sym_module_parameter = 168,
  sym_module_type_definition = 169,
  sym_open_module = 170,
  sym_include_module = 171,
  sym_class_definition = 172,
  sym_class_binding = 173,
  sym_class_type_definition = 174,
  sym_class_type_binding = 175,
  sym__signature_item = 176,
  sym_value_specification = 177,
  sym_include_module_type = 178,
  sym__module_typed = 179,
  sym__module_type = 180,
  sym_signature = 181,
  sym_module_type_constraint = 182,
  sym_constrain_type = 183,
  sym_constrain_module = 184,
  sym_constrain_module_type = 185,
  sym_module_type_of = 186,
  sym_functor_type = 187,
  sym_parenthesized_module_type = 188,
  sym__simple_module_expression = 189,
  sym__module_expression = 190,
  sym_structure = 191,
  sym_functor = 192,
  sym_module_application = 193,
  sym_typed_module_expression = 194,
  sym_packed_module = 195,
  sym_parenthesized_module_expression = 196,
  sym__class_typed = 197,
  sym__simple_class_type = 198,
  sym__class_type = 199,
  sym_instantiated_class_type = 200,
  sym_class_body_type = 201,
  sym__class_field_specification = 202,
  sym_inheritance_specification = 203,
  sym_instance_variable_specification = 204,
  sym_method_specification = 205,
  sym_type_parameter_constraint = 206,
  sym_let_open_class_type = 207,
  sym_class_function_type = 208,
  sym__simple_class_expression = 209,
  sym__class_expression = 210,
  sym_instantiated_class = 211,
  sym_typed_class_expression = 212,
  sym_class_function = 213,
  sym_class_application = 214,
  sym_let_class_expression = 215,
  sym__class_field = 216,
  sym_inheritance_definition = 217,
  sym_instance_variable_definition = 218,
  sym_method_definition = 219,
  sym_class_initializer = 220,
  sym_let_open_class_expression = 221,
  sym_parenthesized_class_expression = 222,
  sym__typed = 223,
  sym__simple_typed = 224,
  sym__polymorphic_typed = 225,
  sym__polymorphic_type = 226,
  sym_polymorphic_type = 227,
  sym__abstract_type = 228,
  sym__parenthesized_abstract_type = 229,
  sym__simple_type = 230,
  sym__type = 231,
  sym_function_type = 232,
  sym_labeled_argument_type = 233,
  sym__proper_tuple_type = 234,
  sym__labeled_tuple_type = 235,
  sym_labeled_tuple_element_type = 236,
  sym__tuple_type_rhs = 237,
  sym_constructed_type = 238,
  sym_aliased_type = 239,
  sym_local_open_type = 240,
  sym_polymorphic_variant_type = 241,
  sym__tag_spec = 242,
  sym_tag_specification = 243,
  sym_package_type = 244,
  sym_object_type = 245,
  sym_method_type = 246,
  sym_hash_type = 247,
  sym_parenthesized_type = 248,
  sym__simple_expression = 249,
  sym__expression = 250,
  sym__sequence_expression = 251,
  sym_typed_expression = 252,
  sym_labeled_tuple_element = 253,
  sym__tuple_expression = 254,
  sym_cons_expression = 255,
  sym_list_expression = 256,
  sym_array_expression = 257,
  sym_record_expression = 258,
  sym_field_expression = 259,
  sym_application_expression = 260,
  sym_labeled_argument = 261,
  sym_prefix_expression = 262,
  sym_sign_expression = 263,
  sym_hash_expression = 264,
  sym_infix_expression = 265,
  sym_field_get_expression = 266,
  sym_array_get_expression = 267,
  sym_string_get_expression = 268,
  sym_bigarray_get_expression = 269,
  sym_set_expression = 270,
  sym_if_expression = 271,
  sym_then_clause = 272,
  sym_else_clause = 273,
  sym_while_expression = 274,
  sym_do_clause = 275,
  sym_for_expression = 276,
  sym__sequence_expression_anonymous = 277,
  sym_match_expression = 278,
  sym__match_cases = 279,
  sym_match_case = 280,
  sym_guard = 281,
  sym_refutation_case = 282,
  sym_function_expression = 283,
  sym_fun_expression = 284,
  sym_try_expression = 285,
  sym_let_expression = 286,
  sym_coercion_expression = 287,
  sym_assert_expression = 288,
  sym_lazy_expression = 289,
  sym_let_module_expression = 290,
  sym_let_open_expression = 291,
  sym_local_open_expression = 292,
  sym_package_expression = 293,
  sym_let_exception_expression = 294,
  sym_new_expression = 295,
  sym_object_copy_expression = 296,
  sym_instance_variable_expression = 297,
  sym_method_invocation = 298,
  sym_object_expression = 299,
  sym_parenthesized_expression = 300,
  sym__simple_pattern = 301,
  sym__effect_pattern = 302,
  sym__pattern = 303,
  sym__simple_binding_pattern = 304,
  sym__binding_pattern = 305,
  sym_alias_pattern = 306,
  sym_alias_binding_pattern = 307,
  sym_typed_pattern = 308,
  sym_typed_binding_pattern = 309,
  sym__or_pattern_anonymous = 310,
  sym__or_binding_pattern_anonymous = 311,
  sym_constructor_pattern = 312,
  sym_constructor_binding_pattern = 313,
  sym_tag_pattern = 314,
  sym_tag_binding_pattern = 315,
  sym_polymorphic_variant_pattern = 316,
  sym_labeled_tuple_element_pattern = 317,
  sym__tuple_pattern = 318,
  sym_labeled_tuple_element_binding_pattern = 319,
  sym__tuple_binding_pattern = 320,
  sym_record_pattern = 321,
  sym_field_pattern = 322,
  sym_record_binding_pattern = 323,
  sym_field_binding_pattern = 324,
  sym_list_pattern = 325,
  sym_list_binding_pattern = 326,
  sym_cons_pattern = 327,
  sym_cons_binding_pattern = 328,
  sym_array_pattern = 329,
  sym_array_binding_pattern = 330,
  sym_range_pattern = 331,
  sym_lazy_pattern = 332,
  sym_lazy_binding_pattern = 333,
  sym_local_open_pattern = 334,
  sym_local_open_binding_pattern = 335,
  sym_package_pattern = 336,
  sym_parenthesized_pattern = 337,
  sym_parenthesized_binding_pattern = 338,
  sym_exception_pattern = 339,
  sym_effect_pattern = 340,
  sym_attribute = 341,
  sym_item_attribute = 342,
  sym_floating_attribute = 343,
  sym_attribute_payload = 344,
  sym_extension = 345,
  sym_quoted_extension = 346,
  sym_item_extension = 347,
  sym_quoted_item_extension = 348,
  sym__attribute = 349,
  sym__constant = 350,
  sym__signed_constant = 351,
  sym_number = 352,
  sym_signed_number = 353,
  sym_character = 354,
  sym_character_content = 355,
  sym_string = 356,
  sym_string_content = 357,
  sym_quoted_string = 358,
  sym__quoted_string = 359,
  sym_quoted_string_content = 360,
  sym_escape_sequence = 361,
  sym_boolean = 362,
  sym_unit = 363,
  sym_sign_operator = 364,
  sym__infix_operator = 365,
  sym_add_operator = 366,
  sym_indexing_operator_path = 367,
  sym__value_name = 368,
  sym__simple_value_pattern = 369,
  sym_parenthesized_operator = 370,
  sym_value_path = 371,
  sym_module_path = 372,
  sym_extended_module_path = 373,
  sym_module_type_path = 374,
  sym_field_path = 375,
  sym_constructor_path = 376,
  sym_type_constructor_path = 377,
  sym_class_path = 378,
  sym_class_type_path = 379,
  sym__instance_variable_name = 380,
  sym__constructor_name = 381,
  sym_directive = 382,
  sym_type_variable = 383,
  sym_tag = 384,
  sym_attribute_id = 385,
  aux_sym__structure_repeat1 = 386,
  aux_sym__structure_repeat2 = 387,
  aux_sym_expression_item_repeat1 = 388,
  aux_sym__signature_repeat1 = 389,
  aux_sym_value_definition_repeat1 = 390,
  aux_sym_let_binding_repeat1 = 391,
  aux_sym_external_repeat1 = 392,
  aux_sym_type_definition_repeat1 = 393,
  aux_sym_type_binding_repeat1 = 394,
  aux_sym__type_params_repeat1 = 395,
  aux_sym_variant_declaration_repeat1 = 396,
  aux_sym_constructor_declaration_repeat1 = 397,
  aux_sym__constructor_argument_repeat1 = 398,
  aux_sym_record_declaration_repeat1 = 399,
  aux_sym_module_definition_repeat1 = 400,
  aux_sym_module_binding_repeat1 = 401,
  aux_sym_class_definition_repeat1 = 402,
  aux_sym_class_type_definition_repeat1 = 403,
  aux_sym_module_type_constraint_repeat1 = 404,
  aux_sym_instantiated_class_type_repeat1 = 405,
  aux_sym_class_body_type_repeat1 = 406,
  aux_sym_instance_variable_specification_repeat1 = 407,
  aux_sym_method_specification_repeat1 = 408,
  aux_sym_class_application_repeat1 = 409,
  aux_sym__abstract_type_repeat1 = 410,
  aux_sym_polymorphic_variant_type_repeat1 = 411,
  aux_sym_polymorphic_variant_type_repeat2 = 412,
  aux_sym_tag_specification_repeat1 = 413,
  aux_sym_object_type_repeat1 = 414,
  aux_sym_list_expression_repeat1 = 415,
  aux_sym_record_expression_repeat1 = 416,
  aux_sym__match_cases_repeat1 = 417,
  aux_sym_object_copy_expression_repeat1 = 418,
  aux_sym_object_expression_repeat1 = 419,
  aux_sym_record_pattern_repeat1 = 420,
  aux_sym_record_binding_pattern_repeat1 = 421,
  aux_sym_list_pattern_repeat1 = 422,
  aux_sym_list_binding_pattern_repeat1 = 423,
  aux_sym_string_content_repeat1 = 424,
  aux_sym_quoted_string_content_repeat1 = 425,
  aux_sym_attribute_id_repeat1 = 426,
  alias_sym_class_name = 427,
  alias_sym_class_type_name = 428,
  alias_sym_constructor_name = 429,
  alias_sym_field_name = 430,
  alias_sym_instance_variable_name = 431,
  alias_sym_label_name = 432,
  alias_sym_method_name = 433,
  alias_sym_module_name = 434,
  alias_sym_module_type_name = 435,
  alias_sym_or_pattern = 436,
  alias_sym_sequence_expression = 437,
  alias_sym_tuple_expression = 438,
  alias_sym_tuple_pattern = 439,
  alias_sym_type_constructor = 440,
  alias_sym_value_name = 441,
  alias_sym_value_pattern = 442,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__lowercase_identifier] = "_lowercase_identifier",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [anon_sym_effect] = "effect",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__uppercase_identifier] = "_uppercase_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym__error_sentinel] = "_error_sentinel",
  [sym_type] = "type",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_labeled_argument_type] = "labeled_argument_type",
  [sym__proper_tuple_type] = "tuple_type",
  [sym__labeled_tuple_type] = "tuple_type",
  [sym_labeled_tuple_element_type] = "labeled_tuple_element_type",
  [sym__tuple_type_rhs] = "_tuple_type_rhs",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_labeled_tuple_element] = "labeled_tuple_element",
  [sym__tuple_expression] = "_tuple_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym__sequence_expression_anonymous] = "_sequence_expression_anonymous",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__effect_pattern] = "_effect_pattern",
  [sym__pattern] = "_pattern",
  [sym__simple_binding_pattern] = "_simple_binding_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym__or_pattern_anonymous] = "_or_pattern_anonymous",
  [sym__or_binding_pattern_anonymous] = "_or_binding_pattern_anonymous",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_labeled_tuple_element_pattern] = "labeled_tuple_element_pattern",
  [sym__tuple_pattern] = "_tuple_pattern",
  [sym_labeled_tuple_element_binding_pattern] = "labeled_tuple_element_binding_pattern",
  [sym__tuple_binding_pattern] = "_tuple_binding_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_effect_pattern] = "effect_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_or_pattern] = "or_pattern",
  [alias_sym_sequence_expression] = "sequence_expression",
  [alias_sym_tuple_expression] = "tuple_expression",
  [alias_sym_tuple_pattern] = "tuple_pattern",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__lowercase_identifier] = sym__lowercase_identifier,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [anon_sym_effect] = anon_sym_effect,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__uppercase_identifier] = sym__uppercase_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym__error_sentinel] = sym__error_sentinel,
  [sym_type] = sym_type,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_labeled_argument_type] = sym_labeled_argument_type,
  [sym__proper_tuple_type] = sym__proper_tuple_type,
  [sym__labeled_tuple_type] = sym__proper_tuple_type,
  [sym_labeled_tuple_element_type] = sym_labeled_tuple_element_type,
  [sym__tuple_type_rhs] = sym__tuple_type_rhs,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_labeled_tuple_element] = sym_labeled_tuple_element,
  [sym__tuple_expression] = sym__tuple_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym__sequence_expression_anonymous] = sym__sequence_expression_anonymous,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__effect_pattern] = sym__effect_pattern,
  [sym__pattern] = sym__pattern,
  [sym__simple_binding_pattern] = sym__simple_binding_pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym__or_pattern_anonymous] = sym__or_pattern_anonymous,
  [sym__or_binding_pattern_anonymous] = sym__or_binding_pattern_anonymous,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_labeled_tuple_element_pattern] = sym_labeled_tuple_element_pattern,
  [sym__tuple_pattern] = sym__tuple_pattern,
  [sym_labeled_tuple_element_binding_pattern] = sym_labeled_tuple_element_binding_pattern,
  [sym__tuple_binding_pattern] = sym__tuple_binding_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_effect_pattern] = sym_effect_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_or_pattern] = alias_sym_or_pattern,
  [alias_sym_sequence_expression] = alias_sym_sequence_expression,
  [alias_sym_tuple_expression] = alias_sym_tuple_expression,
  [alias_sym_tuple_pattern] = alias_sym_tuple_pattern,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lowercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_effect] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__uppercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym__error_sentinel] = {
    .visible = false,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument_type] = {
    .visible = true,
    .named = true,
  },
  [sym__proper_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym__labeled_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_tuple_element_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_rhs] = {
    .visible = false,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_tuple_element] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__sequence_expression_anonymous] = {
    .visible = false,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__effect_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__simple_binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__or_pattern_anonymous] = {
    .visible = false,
    .named = true,
  },
  [sym__or_binding_pattern_anonymous] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_tuple_element_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_tuple_element_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_binding_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_effect_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_argument = 2,
  field_array = 3,
  field_body = 4,
  field_class = 5,
  field_class_type = 6,
  field_codomain = 7,
  field_coercion = 8,
  field_condition = 9,
  field_constraint = 10,
  field_continuation = 11,
  field_default = 12,
  field_domain = 13,
  field_effect = 14,
  field_equation = 15,
  field_expression = 16,
  field_field = 17,
  field_from = 18,
  field_function = 19,
  field_functor = 20,
  field_index = 21,
  field_initializer = 22,
  field_left = 23,
  field_method = 24,
  field_module = 25,
  field_module_type = 26,
  field_name = 27,
  field_object = 28,
  field_operator = 29,
  field_pattern = 30,
  field_record = 31,
  field_right = 32,
  field_self = 33,
  field_self_type = 34,
  field_string = 35,
  field_to = 36,
  field_type = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_argument] = "argument",
  [field_array] = "array",
  [field_body] = "body",
  [field_class] = "class",
  [field_class_type] = "class_type",
  [field_codomain] = "codomain",
  [field_coercion] = "coercion",
  [field_condition] = "condition",
  [field_constraint] = "constraint",
  [field_continuation] = "continuation",
  [field_default] = "default",
  [field_domain] = "domain",
  [field_effect] = "effect",
  [field_equation] = "equation",
  [field_expression] = "expression",
  [field_field] = "field",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_method] = "method",
  [field_module] = "module",
  [field_module_type] = "module_type",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_record] = "record",
  [field_right] = "right",
  [field_self] = "self",
  [field_self_type] = "self_type",
  [field_string] = "string",
  [field_to] = "to",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [10] = {.index = 0, .length = 1},
  [11] = {.index = 1, .length = 1},
  [12] = {.index = 2, .length = 2},
  [13] = {.index = 4, .length = 2},
  [16] = {.index = 1, .length = 1},
  [17] = {.index = 6, .length = 1},
  [26] = {.index = 7, .length = 1},
  [28] = {.index = 8, .length = 1},
  [30] = {.index = 9, .length = 1},
  [31] = {.index = 10, .length = 2},
  [32] = {.index = 12, .length = 1},
  [33] = {.index = 13, .length = 2},
  [34] = {.index = 15, .length = 1},
  [35] = {.index = 16, .length = 1},
  [36] = {.index = 17, .length = 1},
  [38] = {.index = 18, .length = 1},
  [41] = {.index = 19, .length = 2},
  [42] = {.index = 21, .length = 1},
  [43] = {.index = 22, .length = 1},
  [44] = {.index = 0, .length = 1},
  [47] = {.index = 23, .length = 1},
  [48] = {.index = 24, .length = 1},
  [49] = {.index = 25, .length = 2},
  [51] = {.index = 27, .length = 1},
  [52] = {.index = 28, .length = 1},
  [54] = {.index = 29, .length = 1},
  [55] = {.index = 30, .length = 1},
  [56] = {.index = 31, .length = 1},
  [57] = {.index = 32, .length = 1},
  [58] = {.index = 33, .length = 2},
  [59] = {.index = 35, .length = 2},
  [60] = {.index = 37, .length = 3},
  [61] = {.index = 40, .length = 2},
  [62] = {.index = 42, .length = 2},
  [63] = {.index = 44, .length = 1},
  [64] = {.index = 45, .length = 1},
  [65] = {.index = 15, .length = 1},
  [66] = {.index = 46, .length = 1},
  [67] = {.index = 47, .length = 1},
  [68] = {.index = 48, .length = 2},
  [69] = {.index = 50, .length = 2},
  [70] = {.index = 52, .length = 1},
  [71] = {.index = 53, .length = 2},
  [73] = {.index = 55, .length = 2},
  [74] = {.index = 57, .length = 1},
  [75] = {.index = 58, .length = 2},
  [76] = {.index = 55, .length = 2},
  [77] = {.index = 60, .length = 1},
  [78] = {.index = 61, .length = 1},
  [81] = {.index = 32, .length = 1},
  [82] = {.index = 62, .length = 1},
  [83] = {.index = 63, .length = 1},
  [84] = {.index = 64, .length = 1},
  [85] = {.index = 65, .length = 1},
  [86] = {.index = 32, .length = 1},
  [87] = {.index = 66, .length = 1},
  [88] = {.index = 65, .length = 1},
  [89] = {.index = 67, .length = 1},
  [90] = {.index = 68, .length = 2},
  [92] = {.index = 61, .length = 1},
  [93] = {.index = 70, .length = 1},
  [95] = {.index = 62, .length = 1},
  [96] = {.index = 71, .length = 1},
  [97] = {.index = 1, .length = 1},
  [98] = {.index = 72, .length = 1},
  [99] = {.index = 73, .length = 2},
  [100] = {.index = 75, .length = 3},
  [101] = {.index = 78, .length = 2},
  [102] = {.index = 80, .length = 1},
  [103] = {.index = 81, .length = 2},
  [104] = {.index = 83, .length = 2},
  [105] = {.index = 85, .length = 2},
  [106] = {.index = 87, .length = 2},
  [107] = {.index = 89, .length = 1},
  [108] = {.index = 90, .length = 3},
  [109] = {.index = 93, .length = 2},
  [110] = {.index = 93, .length = 2},
  [111] = {.index = 87, .length = 2},
  [112] = {.index = 80, .length = 1},
  [113] = {.index = 95, .length = 1},
  [114] = {.index = 96, .length = 2},
  [115] = {.index = 98, .length = 1},
  [116] = {.index = 99, .length = 2},
  [117] = {.index = 47, .length = 1},
  [118] = {.index = 101, .length = 1},
  [119] = {.index = 102, .length = 2},
  [120] = {.index = 32, .length = 1},
  [122] = {.index = 47, .length = 1},
  [123] = {.index = 104, .length = 1},
  [124] = {.index = 105, .length = 2},
  [125] = {.index = 47, .length = 1},
  [126] = {.index = 107, .length = 1},
  [127] = {.index = 108, .length = 2},
  [128] = {.index = 110, .length = 1},
  [129] = {.index = 111, .length = 2},
  [130] = {.index = 80, .length = 1},
  [132] = {.index = 47, .length = 1},
  [133] = {.index = 80, .length = 1},
  [134] = {.index = 98, .length = 1},
  [135] = {.index = 113, .length = 2},
  [136] = {.index = 115, .length = 2},
  [137] = {.index = 117, .length = 2},
  [138] = {.index = 52, .length = 1},
  [139] = {.index = 119, .length = 1},
  [140] = {.index = 120, .length = 1},
  [142] = {.index = 121, .length = 2},
  [143] = {.index = 123, .length = 3},
  [144] = {.index = 126, .length = 3},
  [145] = {.index = 72, .length = 1},
  [146] = {.index = 129, .length = 2},
  [147] = {.index = 131, .length = 3},
  [148] = {.index = 0, .length = 1},
  [149] = {.index = 134, .length = 3},
  [150] = {.index = 137, .length = 2},
  [151] = {.index = 139, .length = 3},
  [152] = {.index = 137, .length = 2},
  [153] = {.index = 142, .length = 1},
  [154] = {.index = 143, .length = 2},
  [155] = {.index = 145, .length = 2},
  [156] = {.index = 47, .length = 1},
  [157] = {.index = 147, .length = 1},
  [159] = {.index = 148, .length = 2},
  [160] = {.index = 98, .length = 1},
  [161] = {.index = 148, .length = 2},
  [162] = {.index = 150, .length = 2},
  [163] = {.index = 152, .length = 1},
  [164] = {.index = 153, .length = 1},
  [165] = {.index = 154, .length = 2},
  [166] = {.index = 156, .length = 2},
  [167] = {.index = 158, .length = 2},
  [168] = {.index = 98, .length = 1},
  [169] = {.index = 153, .length = 1},
  [170] = {.index = 153, .length = 1},
  [171] = {.index = 113, .length = 2},
  [172] = {.index = 98, .length = 1},
  [173] = {.index = 160, .length = 1},
  [174] = {.index = 161, .length = 2},
  [175] = {.index = 163, .length = 2},
  [176] = {.index = 165, .length = 3},
  [177] = {.index = 168, .length = 3},
  [178] = {.index = 171, .length = 1},
  [179] = {.index = 172, .length = 1},
  [180] = {.index = 173, .length = 1},
  [181] = {.index = 174, .length = 4},
  [182] = {.index = 178, .length = 3},
  [183] = {.index = 61, .length = 1},
  [184] = {.index = 181, .length = 3},
  [185] = {.index = 184, .length = 2},
  [186] = {.index = 142, .length = 1},
  [187] = {.index = 186, .length = 1},
  [188] = {.index = 186, .length = 1},
  [190] = {.index = 187, .length = 2},
  [191] = {.index = 189, .length = 2},
  [192] = {.index = 191, .length = 1},
  [193] = {.index = 142, .length = 1},
  [194] = {.index = 192, .length = 2},
  [195] = {.index = 163, .length = 2},
  [196] = {.index = 142, .length = 1},
  [197] = {.index = 142, .length = 1},
  [198] = {.index = 194, .length = 1},
  [199] = {.index = 163, .length = 2},
  [200] = {.index = 195, .length = 2},
  [201] = {.index = 197, .length = 2},
  [202] = {.index = 199, .length = 3},
  [203] = {.index = 202, .length = 1},
  [204] = {.index = 203, .length = 4},
  [205] = {.index = 207, .length = 3},
  [206] = {.index = 142, .length = 1},
  [207] = {.index = 210, .length = 2},
  [208] = {.index = 212, .length = 1},
  [209] = {.index = 212, .length = 1},
  [210] = {.index = 213, .length = 1},
  [211] = {.index = 213, .length = 1},
  [212] = {.index = 214, .length = 1},
  [213] = {.index = 215, .length = 2},
  [214] = {.index = 217, .length = 2},
  [215] = {.index = 219, .length = 2},
  [216] = {.index = 221, .length = 3},
  [217] = {.index = 219, .length = 2},
  [218] = {.index = 219, .length = 2},
  [219] = {.index = 212, .length = 1},
  [220] = {.index = 224, .length = 3},
  [221] = {.index = 227, .length = 3},
  [222] = {.index = 212, .length = 1},
  [223] = {.index = 230, .length = 2},
  [224] = {.index = 230, .length = 2},
  [225] = {.index = 232, .length = 1},
  [226] = {.index = 232, .length = 1},
  [227] = {.index = 233, .length = 1},
  [228] = {.index = 234, .length = 3},
  [229] = {.index = 237, .length = 2},
  [230] = {.index = 239, .length = 2},
  [231] = {.index = 241, .length = 2},
  [232] = {.index = 232, .length = 1},
  [233] = {.index = 243, .length = 2},
  [234] = {.index = 243, .length = 2},
  [235] = {.index = 245, .length = 1},
  [236] = {.index = 246, .length = 3},
  [237] = {.index = 249, .length = 3},
  [238] = {.index = 252, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 1, .inherited = true},
  [1] =
    {field_type, 2},
  [2] =
    {field_codomain, 2},
    {field_domain, 0},
  [4] =
    {field_alias, 2},
    {field_type, 0},
  [6] =
    {field_pattern, 0},
  [7] =
    {field_name, 0},
  [8] =
    {field_module, 1},
  [9] =
    {field_expression, 1},
  [10] =
    {field_expression, 1},
    {field_operator, 0},
  [12] =
    {field_argument, 0},
  [13] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [15] =
    {field_type, 3},
  [16] =
    {field_codomain, 1},
  [17] =
    {field_type, 1},
  [18] =
    {field_pattern, 1},
  [19] =
    {field_equation, 1, .inherited = true},
    {field_name, 0},
  [21] =
    {field_name, 1},
  [22] =
    {field_module_type, 1},
  [23] =
    {field_module_type, 1, .inherited = true},
  [24] =
    {field_module, 2},
  [25] =
    {field_argument, 1},
    {field_functor, 0},
  [27] =
    {field_class_type, 1, .inherited = true},
  [28] =
    {field_class, 1},
  [29] =
    {field_initializer, 1},
  [30] =
    {field_condition, 1},
  [31] =
    {field_expression, 2},
  [32] =
    {field_body, 2},
  [33] =
    {field_field, 2},
    {field_record, 0},
  [35] =
    {field_method, 2},
    {field_object, 0},
  [37] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [40] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [42] =
    {field_left, 0},
    {field_right, 2},
  [44] =
    {field_codomain, 2},
  [45] =
    {field_module_type, 0},
  [46] =
    {field_pattern, 2},
  [47] =
    {field_body, 3},
  [48] =
    {field_body, 2},
    {field_pattern, 0},
  [50] =
    {field_alias, 2},
    {field_pattern, 0},
  [52] =
    {field_expression, 3},
  [53] =
    {field_expression, 1},
    {field_type, 2, .inherited = true},
  [55] =
    {field_body, 2},
    {field_name, 0},
  [57] =
    {field_equation, 1},
  [58] =
    {field_equation, 2, .inherited = true},
    {field_name, 1},
  [60] =
    {field_module_type, 2},
  [61] =
    {field_type, 2, .inherited = true},
  [62] =
    {field_module_type, 2, .inherited = true},
  [63] =
    {field_module, 3},
  [64] =
    {field_functor, 0},
  [65] =
    {field_class_type, 2, .inherited = true},
  [66] =
    {field_class_type, 1},
  [67] =
    {field_class, 2},
  [68] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [70] =
    {field_condition, 2},
  [71] =
    {field_codomain, 3},
  [72] =
    {field_pattern, 3},
  [73] =
    {field_pattern, 1},
    {field_type, 2, .inherited = true},
  [75] =
    {field_body, 3},
    {field_pattern, 0},
    {field_type, 1, .inherited = true},
  [78] =
    {field_body, 3},
    {field_pattern, 0},
  [80] =
    {field_type, 3, .inherited = true},
  [81] =
    {field_continuation, 3},
    {field_effect, 1},
  [83] =
    {field_module, 2},
    {field_module_type, 3, .inherited = true},
  [85] =
    {field_coercion, 3},
    {field_expression, 1},
  [87] =
    {field_body, 3},
    {field_name, 0},
  [89] =
    {field_equation, 2},
  [90] =
    {field_body, 3},
    {field_equation, 1, .inherited = true},
    {field_name, 0},
  [93] =
    {field_body, 3},
    {field_name, 1},
  [95] =
    {field_record, 1},
  [96] =
    {field_body, 3},
    {field_type, 1, .inherited = true},
  [98] =
    {field_body, 4},
  [99] =
    {field_body, 3},
    {field_module_type, 1, .inherited = true},
  [101] =
    {field_value, 2},
  [102] =
    {field_module, 1},
    {field_module_type, 2, .inherited = true},
  [104] =
    {field_class_type, 3, .inherited = true},
  [105] =
    {field_body, 3},
    {field_class_type, 1, .inherited = true},
  [107] =
    {field_self, 2},
  [108] =
    {field_constraint, 3},
    {field_type, 1},
  [110] =
    {field_coercion, 3},
  [111] =
    {field_alias, 3},
    {field_class, 1},
  [113] =
    {field_body, 4},
    {field_type, 2, .inherited = true},
  [115] =
    {field_array, 0},
    {field_index, 3},
  [117] =
    {field_index, 3},
    {field_string, 0},
  [119] =
    {field_equation, 2, .inherited = true},
  [120] =
    {field_module_type, 3, .inherited = true},
  [121] =
    {field_pattern, 3},
    {field_type, 1, .inherited = true},
  [123] =
    {field_body, 4},
    {field_coercion, 2},
    {field_pattern, 0},
  [126] =
    {field_body, 4},
    {field_pattern, 0},
    {field_type, 2, .inherited = true},
  [129] =
    {field_module, 3},
    {field_module_type, 4, .inherited = true},
  [131] =
    {field_coercion, 4},
    {field_expression, 1},
    {field_type, 2, .inherited = true},
  [134] =
    {field_body, 4},
    {field_equation, 1, .inherited = true},
    {field_name, 0},
  [137] =
    {field_body, 4},
    {field_name, 1},
  [139] =
    {field_body, 4},
    {field_equation, 2, .inherited = true},
    {field_name, 1},
  [142] =
    {field_body, 5},
  [143] =
    {field_body, 4},
    {field_module_type, 2, .inherited = true},
  [145] =
    {field_module_type, 3, .inherited = true},
    {field_value, 2},
  [147] =
    {field_class_type, 4, .inherited = true},
  [148] =
    {field_body, 4},
    {field_class_type, 2, .inherited = true},
  [150] =
    {field_self, 2},
    {field_type, 3, .inherited = true},
  [152] =
    {field_coercion, 4},
  [153] =
    {field_type, 4, .inherited = true},
  [154] =
    {field_coercion, 4},
    {field_type, 2, .inherited = true},
  [156] =
    {field_class, 1},
    {field_class_type, 2, .inherited = true},
  [158] =
    {field_alias, 4},
    {field_class, 2},
  [160] =
    {field_self, 3},
  [161] =
    {field_pattern, 2},
    {field_type, 3, .inherited = true},
  [163] =
    {field_body, 5},
    {field_type, 3, .inherited = true},
  [165] =
    {field_array, 0},
    {field_index, 4},
    {field_operator, 2},
  [168] =
    {field_index, 4},
    {field_operator, 2},
    {field_string, 0},
  [171] =
    {field_equation, 3, .inherited = true},
  [172] =
    {field_constraint, 3},
  [173] =
    {field_module_type, 4, .inherited = true},
  [174] =
    {field_body, 5},
    {field_coercion, 3},
    {field_pattern, 0},
    {field_type, 1, .inherited = true},
  [178] =
    {field_body, 5},
    {field_coercion, 3},
    {field_pattern, 0},
  [181] =
    {field_body, 5},
    {field_equation, 2, .inherited = true},
    {field_name, 1},
  [184] =
    {field_coercion, 4},
    {field_value, 2},
  [186] =
    {field_class_type, 5, .inherited = true},
  [187] =
    {field_body, 5},
    {field_class_type, 3, .inherited = true},
  [189] =
    {field_coercion, 5},
    {field_type, 3, .inherited = true},
  [191] =
    {field_coercion, 5},
  [192] =
    {field_body, 5},
    {field_coercion, 3},
  [194] =
    {field_type, 5, .inherited = true},
  [195] =
    {field_self, 3},
    {field_type, 4, .inherited = true},
  [197] =
    {field_default, 4},
    {field_pattern, 2},
  [199] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [202] =
    {field_constraint, 4},
  [203] =
    {field_body, 6},
    {field_coercion, 4},
    {field_pattern, 0},
    {field_type, 2, .inherited = true},
  [207] =
    {field_coercion, 5},
    {field_module_type, 3, .inherited = true},
    {field_value, 2},
  [210] =
    {field_body, 6},
    {field_class_type, 4, .inherited = true},
  [212] =
    {field_body, 6},
  [213] =
    {field_class_type, 6, .inherited = true},
  [214] =
    {field_self_type, 2},
  [215] =
    {field_body, 6},
    {field_coercion, 4},
  [217] =
    {field_coercion, 6},
    {field_type, 4, .inherited = true},
  [219] =
    {field_body, 6},
    {field_type, 4, .inherited = true},
  [221] =
    {field_body, 6},
    {field_coercion, 4},
    {field_type, 2, .inherited = true},
  [224] =
    {field_default, 5},
    {field_pattern, 2},
    {field_type, 3, .inherited = true},
  [227] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [230] =
    {field_body, 7},
    {field_class_type, 5, .inherited = true},
  [232] =
    {field_body, 7},
  [233] =
    {field_class_type, 7, .inherited = true},
  [234] =
    {field_body, 7},
    {field_coercion, 5},
    {field_type, 3, .inherited = true},
  [237] =
    {field_body, 7},
    {field_coercion, 5},
  [239] =
    {field_body, 7},
    {field_type, 5, .inherited = true},
  [241] =
    {field_default, 6},
    {field_pattern, 4},
  [243] =
    {field_body, 8},
    {field_class_type, 6, .inherited = true},
  [245] =
    {field_body, 8},
  [246] =
    {field_body, 8},
    {field_coercion, 6},
    {field_type, 4, .inherited = true},
  [249] =
    {field_default, 7},
    {field_pattern, 4},
    {field_type, 5, .inherited = true},
  [252] =
    {field_body, 9},
    {field_class_type, 7, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_constructor,
  },
  [2] = {
    [0] = alias_sym_module_name,
  },
  [3] = {
    [0] = alias_sym_class_type_name,
  },
  [4] = {
    [0] = alias_sym_value_name,
  },
  [5] = {
    [0] = alias_sym_instance_variable_name,
  },
  [6] = {
    [0] = alias_sym_constructor_name,
  },
  [7] = {
    [0] = alias_sym_tuple_expression,
  },
  [8] = {
    [0] = alias_sym_sequence_expression,
  },
  [9] = {
    [0] = alias_sym_module_type_name,
  },
  [10] = {
    [0] = alias_sym_method_name,
  },
  [11] = {
    [0] = alias_sym_label_name,
  },
  [14] = {
    [2] = alias_sym_type_constructor,
  },
  [15] = {
    [2] = alias_sym_module_name,
  },
  [18] = {
    [0] = alias_sym_or_pattern,
  },
  [19] = {
    [0] = alias_sym_tuple_pattern,
  },
  [20] = {
    [0] = sym_record_pattern,
  },
  [21] = {
    [0] = sym_list_pattern,
  },
  [22] = {
    [0] = sym_array_pattern,
  },
  [23] = {
    [1] = alias_sym_label_name,
  },
  [24] = {
    [0] = alias_sym_value_pattern,
  },
  [25] = {
    [0] = sym_type_variable,
  },
  [26] = {
    [0] = alias_sym_type_constructor,
  },
  [27] = {
    [0] = alias_sym_field_name,
  },
  [29] = {
    [0] = alias_sym_class_name,
  },
  [34] = {
    [1] = alias_sym_label_name,
  },
  [37] = {
    [2] = alias_sym_class_type_name,
  },
  [39] = {
    [1] = alias_sym_constructor_name,
  },
  [40] = {
    [1] = sym_type_variable,
  },
  [41] = {
    [0] = alias_sym_type_constructor,
  },
  [42] = {
    [1] = alias_sym_type_constructor,
  },
  [45] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [46] = {
    [2] = alias_sym_module_type_name,
  },
  [47] = {
    [0] = alias_sym_module_name,
  },
  [50] = {
    [1] = alias_sym_class_name,
  },
  [51] = {
    [0] = alias_sym_class_name,
  },
  [53] = {
    [1] = alias_sym_method_name,
  },
  [59] = {
    [2] = alias_sym_method_name,
  },
  [70] = {
    [1] = alias_sym_label_name,
  },
  [72] = {
    [2] = sym_type_variable,
  },
  [73] = {
    [0] = alias_sym_type_constructor,
  },
  [75] = {
    [1] = alias_sym_type_constructor,
  },
  [79] = {
    [2] = alias_sym_field_name,
  },
  [80] = {
    [3] = alias_sym_module_type_name,
  },
  [81] = {
    [0] = alias_sym_module_name,
  },
  [82] = {
    [0] = alias_sym_module_name,
  },
  [85] = {
    [1] = alias_sym_class_name,
  },
  [86] = {
    [0] = alias_sym_class_name,
  },
  [88] = {
    [0] = alias_sym_class_name,
  },
  [91] = {
    [2] = alias_sym_method_name,
  },
  [92] = {
    [1] = alias_sym_method_name,
  },
  [94] = {
    [2] = alias_sym_class_name,
  },
  [95] = {
    [1] = alias_sym_module_name,
  },
  [97] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [98] = {
    [1] = alias_sym_label_name,
  },
  [102] = {
    [2] = alias_sym_label_name,
  },
  [106] = {
    [0] = alias_sym_type_constructor,
  },
  [108] = {
    [0] = alias_sym_type_constructor,
  },
  [109] = {
    [1] = alias_sym_type_constructor,
  },
  [115] = {
    [2] = alias_sym_module_type_name,
  },
  [116] = {
    [0] = alias_sym_module_name,
  },
  [117] = {
    [0] = alias_sym_module_name,
  },
  [120] = {
    [0] = alias_sym_class_type_name,
  },
  [121] = {
    [3] = alias_sym_class_name,
  },
  [122] = {
    [1] = alias_sym_class_name,
  },
  [123] = {
    [1] = alias_sym_class_name,
  },
  [124] = {
    [0] = alias_sym_class_name,
  },
  [125] = {
    [0] = alias_sym_class_name,
  },
  [130] = {
    [2] = alias_sym_method_name,
  },
  [131] = {
    [3] = alias_sym_method_name,
  },
  [132] = {
    [1] = alias_sym_method_name,
  },
  [133] = {
    [1] = alias_sym_method_name,
  },
  [140] = {
    [2] = alias_sym_module_name,
  },
  [141] = {
    [3] = alias_sym_module_name,
  },
  [148] = {
    [0] = alias_sym_field_name,
  },
  [149] = {
    [0] = alias_sym_type_constructor,
  },
  [150] = {
    [1] = alias_sym_type_constructor,
  },
  [151] = {
    [1] = alias_sym_type_constructor,
  },
  [153] = {
    [3] = alias_sym_module_type_name,
  },
  [154] = {
    [0] = alias_sym_module_name,
  },
  [156] = {
    [1] = alias_sym_class_type_name,
  },
  [157] = {
    [3] = alias_sym_class_name,
  },
  [158] = {
    [4] = alias_sym_class_name,
  },
  [159] = {
    [1] = alias_sym_class_name,
  },
  [160] = {
    [1] = alias_sym_class_name,
  },
  [161] = {
    [0] = alias_sym_class_name,
  },
  [168] = {
    [2] = alias_sym_method_name,
  },
  [169] = {
    [2] = alias_sym_method_name,
  },
  [170] = {
    [3] = alias_sym_method_name,
  },
  [171] = {
    [1] = alias_sym_method_name,
  },
  [172] = {
    [1] = alias_sym_method_name,
  },
  [180] = {
    [3] = alias_sym_module_name,
  },
  [183] = {
    [1] = alias_sym_field_name,
  },
  [184] = {
    [1] = alias_sym_type_constructor,
  },
  [186] = {
    [3] = alias_sym_class_name,
  },
  [187] = {
    [3] = alias_sym_class_name,
  },
  [188] = {
    [4] = alias_sym_class_name,
  },
  [189] = {
    [5] = alias_sym_class_name,
  },
  [190] = {
    [1] = alias_sym_class_name,
  },
  [195] = {
    [2] = alias_sym_method_name,
  },
  [196] = {
    [2] = alias_sym_method_name,
  },
  [197] = {
    [3] = alias_sym_method_name,
  },
  [198] = {
    [3] = alias_sym_method_name,
  },
  [199] = {
    [1] = alias_sym_method_name,
  },
  [206] = {
    [3] = alias_sym_class_type_name,
  },
  [207] = {
    [3] = alias_sym_class_name,
  },
  [208] = {
    [3] = alias_sym_class_name,
  },
  [209] = {
    [4] = alias_sym_class_name,
  },
  [210] = {
    [4] = alias_sym_class_name,
  },
  [211] = {
    [5] = alias_sym_class_name,
  },
  [217] = {
    [2] = alias_sym_method_name,
  },
  [218] = {
    [3] = alias_sym_method_name,
  },
  [219] = {
    [3] = alias_sym_method_name,
  },
  [222] = {
    [4] = alias_sym_class_type_name,
  },
  [223] = {
    [3] = alias_sym_class_name,
  },
  [224] = {
    [4] = alias_sym_class_name,
  },
  [225] = {
    [4] = alias_sym_class_name,
  },
  [226] = {
    [5] = alias_sym_class_name,
  },
  [227] = {
    [5] = alias_sym_class_name,
  },
  [230] = {
    [3] = alias_sym_method_name,
  },
  [231] = {
    [1] = alias_sym_label_name,
  },
  [232] = {
    [5] = alias_sym_class_type_name,
  },
  [233] = {
    [4] = alias_sym_class_name,
  },
  [234] = {
    [5] = alias_sym_class_name,
  },
  [235] = {
    [5] = alias_sym_class_name,
  },
  [237] = {
    [1] = alias_sym_label_name,
  },
  [238] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym__tuple_expression, 2,
    sym__tuple_expression,
    alias_sym_tuple_expression,
  sym__sequence_expression_anonymous, 2,
    sym__sequence_expression_anonymous,
    alias_sym_sequence_expression,
  sym__or_pattern_anonymous, 2,
    sym__or_pattern_anonymous,
    alias_sym_or_pattern,
  sym__or_binding_pattern_anonymous, 2,
    sym__or_binding_pattern_anonymous,
    alias_sym_or_pattern,
  sym__tuple_pattern, 2,
    sym__tuple_pattern,
    alias_sym_tuple_pattern,
  sym__tuple_binding_pattern, 2,
    sym__tuple_binding_pattern,
    alias_sym_tuple_pattern,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 2,
  [7] = 2,
  [8] = 5,
  [9] = 2,
  [10] = 5,
  [11] = 2,
  [12] = 5,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 38,
  [39] = 4,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 2,
  [90] = 90,
  [91] = 91,
  [92] = 91,
  [93] = 90,
  [94] = 94,
  [95] = 95,
  [96] = 95,
  [97] = 97,
  [98] = 91,
  [99] = 91,
  [100] = 91,
  [101] = 101,
  [102] = 91,
  [103] = 101,
  [104] = 94,
  [105] = 97,
  [106] = 106,
  [107] = 91,
  [108] = 91,
  [109] = 106,
  [110] = 91,
  [111] = 91,
  [112] = 91,
  [113] = 91,
  [114] = 91,
  [115] = 91,
  [116] = 91,
  [117] = 91,
  [118] = 91,
  [119] = 91,
  [120] = 91,
  [121] = 91,
  [122] = 91,
  [123] = 91,
  [124] = 91,
  [125] = 91,
  [126] = 91,
  [127] = 91,
  [128] = 91,
  [129] = 129,
  [130] = 130,
  [131] = 129,
  [132] = 130,
  [133] = 129,
  [134] = 129,
  [135] = 130,
  [136] = 130,
  [137] = 129,
  [138] = 130,
  [139] = 91,
  [140] = 129,
  [141] = 130,
  [142] = 129,
  [143] = 129,
  [144] = 130,
  [145] = 130,
  [146] = 129,
  [147] = 130,
  [148] = 130,
  [149] = 129,
  [150] = 130,
  [151] = 130,
  [152] = 129,
  [153] = 130,
  [154] = 129,
  [155] = 130,
  [156] = 91,
  [157] = 129,
  [158] = 130,
  [159] = 129,
  [160] = 129,
  [161] = 130,
  [162] = 129,
  [163] = 130,
  [164] = 129,
  [165] = 130,
  [166] = 129,
  [167] = 130,
  [168] = 130,
  [169] = 129,
  [170] = 130,
  [171] = 129,
  [172] = 129,
  [173] = 130,
  [174] = 129,
  [175] = 130,
  [176] = 129,
  [177] = 129,
  [178] = 130,
  [179] = 130,
  [180] = 129,
  [181] = 130,
  [182] = 129,
  [183] = 129,
  [184] = 129,
  [185] = 130,
  [186] = 129,
  [187] = 130,
  [188] = 129,
  [189] = 130,
  [190] = 130,
  [191] = 129,
  [192] = 130,
  [193] = 129,
  [194] = 130,
  [195] = 129,
  [196] = 130,
  [197] = 129,
  [198] = 130,
  [199] = 129,
  [200] = 130,
  [201] = 129,
  [202] = 130,
  [203] = 129,
  [204] = 130,
  [205] = 129,
  [206] = 130,
  [207] = 129,
  [208] = 130,
  [209] = 129,
  [210] = 130,
  [211] = 129,
  [212] = 129,
  [213] = 130,
  [214] = 130,
  [215] = 129,
  [216] = 130,
  [217] = 91,
  [218] = 91,
  [219] = 91,
  [220] = 91,
  [221] = 91,
  [222] = 91,
  [223] = 91,
  [224] = 91,
  [225] = 91,
  [226] = 91,
  [227] = 91,
  [228] = 91,
  [229] = 91,
  [230] = 91,
  [231] = 91,
  [232] = 91,
  [233] = 91,
  [234] = 91,
  [235] = 91,
  [236] = 91,
  [237] = 91,
  [238] = 91,
  [239] = 91,
  [240] = 91,
  [241] = 91,
  [242] = 91,
  [243] = 243,
  [244] = 243,
  [245] = 243,
  [246] = 243,
  [247] = 243,
  [248] = 243,
  [249] = 243,
  [250] = 243,
  [251] = 243,
  [252] = 243,
  [253] = 243,
  [254] = 243,
  [255] = 243,
  [256] = 243,
  [257] = 243,
  [258] = 243,
  [259] = 243,
  [260] = 243,
  [261] = 243,
  [262] = 243,
  [263] = 243,
  [264] = 243,
  [265] = 243,
  [266] = 91,
  [267] = 243,
  [268] = 243,
  [269] = 243,
  [270] = 243,
  [271] = 243,
  [272] = 243,
  [273] = 243,
  [274] = 243,
  [275] = 243,
  [276] = 243,
  [277] = 243,
  [278] = 243,
  [279] = 243,
  [280] = 243,
  [281] = 243,
  [282] = 243,
  [283] = 243,
  [284] = 243,
  [285] = 243,
  [286] = 243,
  [287] = 287,
  [288] = 287,
  [289] = 289,
  [290] = 290,
  [291] = 289,
  [292] = 290,
  [293] = 290,
  [294] = 289,
  [295] = 289,
  [296] = 289,
  [297] = 290,
  [298] = 298,
  [299] = 290,
  [300] = 289,
  [301] = 290,
  [302] = 290,
  [303] = 289,
  [304] = 290,
  [305] = 289,
  [306] = 287,
  [307] = 289,
  [308] = 289,
  [309] = 289,
  [310] = 290,
  [311] = 289,
  [312] = 290,
  [313] = 289,
  [314] = 91,
  [315] = 289,
  [316] = 316,
  [317] = 290,
  [318] = 289,
  [319] = 290,
  [320] = 289,
  [321] = 289,
  [322] = 322,
  [323] = 91,
  [324] = 290,
  [325] = 91,
  [326] = 290,
  [327] = 289,
  [328] = 290,
  [329] = 290,
  [330] = 289,
  [331] = 290,
  [332] = 289,
  [333] = 290,
  [334] = 289,
  [335] = 91,
  [336] = 290,
  [337] = 289,
  [338] = 290,
  [339] = 290,
  [340] = 290,
  [341] = 289,
  [342] = 290,
  [343] = 290,
  [344] = 289,
  [345] = 290,
  [346] = 289,
  [347] = 289,
  [348] = 290,
  [349] = 289,
  [350] = 91,
  [351] = 289,
  [352] = 289,
  [353] = 290,
  [354] = 289,
  [355] = 289,
  [356] = 290,
  [357] = 91,
  [358] = 290,
  [359] = 290,
  [360] = 316,
  [361] = 322,
  [362] = 290,
  [363] = 289,
  [364] = 290,
  [365] = 316,
  [366] = 322,
  [367] = 316,
  [368] = 322,
  [369] = 316,
  [370] = 316,
  [371] = 316,
  [372] = 316,
  [373] = 316,
  [374] = 316,
  [375] = 316,
  [376] = 316,
  [377] = 316,
  [378] = 316,
  [379] = 316,
  [380] = 316,
  [381] = 316,
  [382] = 316,
  [383] = 316,
  [384] = 316,
  [385] = 316,
  [386] = 316,
  [387] = 316,
  [388] = 316,
  [389] = 316,
  [390] = 316,
  [391] = 316,
  [392] = 316,
  [393] = 316,
  [394] = 316,
  [395] = 316,
  [396] = 316,
  [397] = 316,
  [398] = 316,
  [399] = 316,
  [400] = 298,
  [401] = 287,
  [402] = 316,
  [403] = 298,
  [404] = 287,
  [405] = 316,
  [406] = 298,
  [407] = 287,
  [408] = 316,
  [409] = 298,
  [410] = 287,
  [411] = 316,
  [412] = 298,
  [413] = 287,
  [414] = 316,
  [415] = 298,
  [416] = 287,
  [417] = 316,
  [418] = 298,
  [419] = 287,
  [420] = 316,
  [421] = 298,
  [422] = 287,
  [423] = 316,
  [424] = 298,
  [425] = 287,
  [426] = 316,
  [427] = 298,
  [428] = 287,
  [429] = 316,
  [430] = 298,
  [431] = 287,
  [432] = 298,
  [433] = 287,
  [434] = 298,
  [435] = 287,
  [436] = 298,
  [437] = 287,
  [438] = 298,
  [439] = 287,
  [440] = 298,
  [441] = 287,
  [442] = 298,
  [443] = 287,
  [444] = 298,
  [445] = 287,
  [446] = 298,
  [447] = 287,
  [448] = 298,
  [449] = 287,
  [450] = 298,
  [451] = 287,
  [452] = 298,
  [453] = 287,
  [454] = 298,
  [455] = 287,
  [456] = 298,
  [457] = 287,
  [458] = 298,
  [459] = 287,
  [460] = 298,
  [461] = 287,
  [462] = 298,
  [463] = 287,
  [464] = 298,
  [465] = 287,
  [466] = 298,
  [467] = 287,
  [468] = 298,
  [469] = 287,
  [470] = 298,
  [471] = 287,
  [472] = 298,
  [473] = 298,
  [474] = 287,
  [475] = 298,
  [476] = 287,
  [477] = 298,
  [478] = 287,
  [479] = 298,
  [480] = 287,
  [481] = 298,
  [482] = 287,
  [483] = 298,
  [484] = 287,
  [485] = 298,
  [486] = 287,
  [487] = 298,
  [488] = 287,
  [489] = 298,
  [490] = 287,
  [491] = 298,
  [492] = 287,
  [493] = 298,
  [494] = 316,
  [495] = 495,
  [496] = 495,
  [497] = 495,
  [498] = 495,
  [499] = 495,
  [500] = 495,
  [501] = 495,
  [502] = 502,
  [503] = 495,
  [504] = 495,
  [505] = 495,
  [506] = 495,
  [507] = 502,
  [508] = 495,
  [509] = 495,
  [510] = 495,
  [511] = 495,
  [512] = 495,
  [513] = 495,
  [514] = 495,
  [515] = 495,
  [516] = 495,
  [517] = 495,
  [518] = 495,
  [519] = 495,
  [520] = 495,
  [521] = 495,
  [522] = 495,
  [523] = 495,
  [524] = 495,
  [525] = 495,
  [526] = 495,
  [527] = 495,
  [528] = 495,
  [529] = 495,
  [530] = 495,
  [531] = 495,
  [532] = 495,
  [533] = 502,
  [534] = 495,
  [535] = 495,
  [536] = 495,
  [537] = 502,
  [538] = 495,
  [539] = 495,
  [540] = 495,
  [541] = 495,
  [542] = 542,
  [543] = 543,
  [544] = 543,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 543,
  [553] = 545,
  [554] = 546,
  [555] = 547,
  [556] = 548,
  [557] = 549,
  [558] = 550,
  [559] = 551,
  [560] = 543,
  [561] = 545,
  [562] = 546,
  [563] = 547,
  [564] = 548,
  [565] = 549,
  [566] = 550,
  [567] = 551,
  [568] = 543,
  [569] = 545,
  [570] = 546,
  [571] = 547,
  [572] = 548,
  [573] = 549,
  [574] = 550,
  [575] = 551,
  [576] = 543,
  [577] = 545,
  [578] = 546,
  [579] = 547,
  [580] = 548,
  [581] = 549,
  [582] = 550,
  [583] = 551,
  [584] = 584,
  [585] = 545,
  [586] = 546,
  [587] = 547,
  [588] = 588,
  [589] = 584,
  [590] = 590,
  [591] = 591,
  [592] = 548,
  [593] = 593,
  [594] = 594,
  [595] = 588,
  [596] = 590,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 543,
  [606] = 545,
  [607] = 546,
  [608] = 547,
  [609] = 548,
  [610] = 549,
  [611] = 550,
  [612] = 551,
  [613] = 543,
  [614] = 545,
  [615] = 546,
  [616] = 547,
  [617] = 548,
  [618] = 618,
  [619] = 549,
  [620] = 550,
  [621] = 621,
  [622] = 551,
  [623] = 543,
  [624] = 545,
  [625] = 546,
  [626] = 547,
  [627] = 548,
  [628] = 549,
  [629] = 550,
  [630] = 551,
  [631] = 543,
  [632] = 545,
  [633] = 546,
  [634] = 547,
  [635] = 548,
  [636] = 549,
  [637] = 550,
  [638] = 551,
  [639] = 543,
  [640] = 545,
  [641] = 546,
  [642] = 547,
  [643] = 548,
  [644] = 549,
  [645] = 550,
  [646] = 551,
  [647] = 543,
  [648] = 545,
  [649] = 546,
  [650] = 547,
  [651] = 548,
  [652] = 549,
  [653] = 550,
  [654] = 551,
  [655] = 543,
  [656] = 545,
  [657] = 546,
  [658] = 547,
  [659] = 548,
  [660] = 549,
  [661] = 550,
  [662] = 551,
  [663] = 543,
  [664] = 545,
  [665] = 546,
  [666] = 547,
  [667] = 548,
  [668] = 549,
  [669] = 550,
  [670] = 551,
  [671] = 597,
  [672] = 598,
  [673] = 673,
  [674] = 674,
  [675] = 588,
  [676] = 549,
  [677] = 550,
  [678] = 597,
  [679] = 598,
  [680] = 599,
  [681] = 600,
  [682] = 601,
  [683] = 602,
  [684] = 603,
  [685] = 591,
  [686] = 543,
  [687] = 545,
  [688] = 546,
  [689] = 547,
  [690] = 548,
  [691] = 549,
  [692] = 550,
  [693] = 551,
  [694] = 542,
  [695] = 695,
  [696] = 588,
  [697] = 697,
  [698] = 599,
  [699] = 597,
  [700] = 598,
  [701] = 599,
  [702] = 600,
  [703] = 601,
  [704] = 602,
  [705] = 603,
  [706] = 600,
  [707] = 543,
  [708] = 545,
  [709] = 546,
  [710] = 547,
  [711] = 548,
  [712] = 549,
  [713] = 550,
  [714] = 551,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 588,
  [719] = 597,
  [720] = 598,
  [721] = 599,
  [722] = 600,
  [723] = 601,
  [724] = 602,
  [725] = 603,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 543,
  [730] = 545,
  [731] = 546,
  [732] = 547,
  [733] = 548,
  [734] = 549,
  [735] = 550,
  [736] = 551,
  [737] = 551,
  [738] = 738,
  [739] = 601,
  [740] = 602,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 543,
  [746] = 545,
  [747] = 546,
  [748] = 547,
  [749] = 548,
  [750] = 549,
  [751] = 550,
  [752] = 551,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 603,
  [759] = 543,
  [760] = 545,
  [761] = 546,
  [762] = 547,
  [763] = 548,
  [764] = 549,
  [765] = 550,
  [766] = 551,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 543,
  [776] = 545,
  [777] = 546,
  [778] = 547,
  [779] = 548,
  [780] = 549,
  [781] = 550,
  [782] = 551,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 543,
  [788] = 545,
  [789] = 546,
  [790] = 547,
  [791] = 548,
  [792] = 549,
  [793] = 550,
  [794] = 551,
  [795] = 543,
  [796] = 543,
  [797] = 545,
  [798] = 546,
  [799] = 547,
  [800] = 548,
  [801] = 549,
  [802] = 550,
  [803] = 551,
  [804] = 543,
  [805] = 545,
  [806] = 546,
  [807] = 547,
  [808] = 548,
  [809] = 549,
  [810] = 550,
  [811] = 551,
  [812] = 545,
  [813] = 546,
  [814] = 547,
  [815] = 543,
  [816] = 545,
  [817] = 546,
  [818] = 547,
  [819] = 548,
  [820] = 549,
  [821] = 550,
  [822] = 551,
  [823] = 543,
  [824] = 545,
  [825] = 546,
  [826] = 547,
  [827] = 548,
  [828] = 549,
  [829] = 550,
  [830] = 551,
  [831] = 548,
  [832] = 543,
  [833] = 545,
  [834] = 546,
  [835] = 547,
  [836] = 548,
  [837] = 549,
  [838] = 550,
  [839] = 551,
  [840] = 549,
  [841] = 550,
  [842] = 543,
  [843] = 545,
  [844] = 546,
  [845] = 547,
  [846] = 548,
  [847] = 549,
  [848] = 550,
  [849] = 551,
  [850] = 543,
  [851] = 545,
  [852] = 546,
  [853] = 547,
  [854] = 548,
  [855] = 549,
  [856] = 550,
  [857] = 551,
  [858] = 551,
  [859] = 543,
  [860] = 545,
  [861] = 546,
  [862] = 547,
  [863] = 548,
  [864] = 549,
  [865] = 550,
  [866] = 551,
  [867] = 543,
  [868] = 545,
  [869] = 546,
  [870] = 547,
  [871] = 548,
  [872] = 549,
  [873] = 550,
  [874] = 551,
  [875] = 543,
  [876] = 543,
  [877] = 545,
  [878] = 546,
  [879] = 547,
  [880] = 548,
  [881] = 549,
  [882] = 550,
  [883] = 551,
  [884] = 543,
  [885] = 545,
  [886] = 546,
  [887] = 547,
  [888] = 548,
  [889] = 549,
  [890] = 550,
  [891] = 551,
  [892] = 543,
  [893] = 545,
  [894] = 546,
  [895] = 547,
  [896] = 548,
  [897] = 549,
  [898] = 550,
  [899] = 551,
  [900] = 545,
  [901] = 546,
  [902] = 543,
  [903] = 545,
  [904] = 546,
  [905] = 547,
  [906] = 548,
  [907] = 549,
  [908] = 550,
  [909] = 551,
  [910] = 547,
  [911] = 548,
  [912] = 549,
  [913] = 550,
  [914] = 914,
  [915] = 551,
  [916] = 543,
  [917] = 545,
  [918] = 546,
  [919] = 547,
  [920] = 548,
  [921] = 551,
  [922] = 922,
  [923] = 549,
  [924] = 550,
  [925] = 925,
  [926] = 551,
  [927] = 543,
  [928] = 928,
  [929] = 545,
  [930] = 546,
  [931] = 547,
  [932] = 548,
  [933] = 549,
  [934] = 550,
  [935] = 551,
  [936] = 543,
  [937] = 545,
  [938] = 546,
  [939] = 547,
  [940] = 548,
  [941] = 549,
  [942] = 550,
  [943] = 943,
  [944] = 551,
  [945] = 543,
  [946] = 922,
  [947] = 925,
  [948] = 948,
  [949] = 948,
  [950] = 604,
  [951] = 618,
  [952] = 621,
  [953] = 542,
  [954] = 695,
  [955] = 697,
  [956] = 728,
  [957] = 738,
  [958] = 756,
  [959] = 757,
  [960] = 773,
  [961] = 785,
  [962] = 543,
  [963] = 545,
  [964] = 546,
  [965] = 547,
  [966] = 548,
  [967] = 549,
  [968] = 550,
  [969] = 551,
  [970] = 543,
  [971] = 545,
  [972] = 546,
  [973] = 547,
  [974] = 548,
  [975] = 549,
  [976] = 550,
  [977] = 551,
  [978] = 922,
  [979] = 925,
  [980] = 948,
  [981] = 604,
  [982] = 618,
  [983] = 621,
  [984] = 542,
  [985] = 695,
  [986] = 697,
  [987] = 728,
  [988] = 738,
  [989] = 756,
  [990] = 757,
  [991] = 773,
  [992] = 785,
  [993] = 922,
  [994] = 925,
  [995] = 948,
  [996] = 604,
  [997] = 618,
  [998] = 621,
  [999] = 542,
  [1000] = 695,
  [1001] = 697,
  [1002] = 728,
  [1003] = 738,
  [1004] = 756,
  [1005] = 757,
  [1006] = 773,
  [1007] = 785,
  [1008] = 922,
  [1009] = 948,
  [1010] = 604,
  [1011] = 618,
  [1012] = 621,
  [1013] = 542,
  [1014] = 695,
  [1015] = 697,
  [1016] = 728,
  [1017] = 756,
  [1018] = 773,
  [1019] = 785,
  [1020] = 922,
  [1021] = 948,
  [1022] = 604,
  [1023] = 618,
  [1024] = 621,
  [1025] = 542,
  [1026] = 695,
  [1027] = 697,
  [1028] = 728,
  [1029] = 756,
  [1030] = 773,
  [1031] = 785,
  [1032] = 922,
  [1033] = 948,
  [1034] = 604,
  [1035] = 618,
  [1036] = 621,
  [1037] = 542,
  [1038] = 695,
  [1039] = 697,
  [1040] = 922,
  [1041] = 948,
  [1042] = 604,
  [1043] = 618,
  [1044] = 621,
  [1045] = 542,
  [1046] = 695,
  [1047] = 697,
  [1048] = 545,
  [1049] = 922,
  [1050] = 948,
  [1051] = 604,
  [1052] = 618,
  [1053] = 621,
  [1054] = 542,
  [1055] = 695,
  [1056] = 697,
  [1057] = 546,
  [1058] = 922,
  [1059] = 948,
  [1060] = 604,
  [1061] = 618,
  [1062] = 621,
  [1063] = 542,
  [1064] = 695,
  [1065] = 697,
  [1066] = 547,
  [1067] = 922,
  [1068] = 948,
  [1069] = 604,
  [1070] = 618,
  [1071] = 621,
  [1072] = 542,
  [1073] = 695,
  [1074] = 697,
  [1075] = 548,
  [1076] = 922,
  [1077] = 948,
  [1078] = 591,
  [1079] = 618,
  [1080] = 621,
  [1081] = 542,
  [1082] = 695,
  [1083] = 697,
  [1084] = 922,
  [1085] = 948,
  [1086] = 604,
  [1087] = 618,
  [1088] = 621,
  [1089] = 542,
  [1090] = 695,
  [1091] = 697,
  [1092] = 922,
  [1093] = 948,
  [1094] = 604,
  [1095] = 618,
  [1096] = 621,
  [1097] = 542,
  [1098] = 695,
  [1099] = 697,
  [1100] = 549,
  [1101] = 922,
  [1102] = 948,
  [1103] = 604,
  [1104] = 618,
  [1105] = 621,
  [1106] = 542,
  [1107] = 695,
  [1108] = 697,
  [1109] = 550,
  [1110] = 922,
  [1111] = 948,
  [1112] = 604,
  [1113] = 618,
  [1114] = 621,
  [1115] = 542,
  [1116] = 695,
  [1117] = 697,
  [1118] = 922,
  [1119] = 948,
  [1120] = 604,
  [1121] = 618,
  [1122] = 621,
  [1123] = 542,
  [1124] = 695,
  [1125] = 697,
  [1126] = 551,
  [1127] = 922,
  [1128] = 948,
  [1129] = 604,
  [1130] = 618,
  [1131] = 621,
  [1132] = 542,
  [1133] = 695,
  [1134] = 697,
  [1135] = 922,
  [1136] = 948,
  [1137] = 604,
  [1138] = 618,
  [1139] = 621,
  [1140] = 542,
  [1141] = 695,
  [1142] = 697,
  [1143] = 922,
  [1144] = 948,
  [1145] = 604,
  [1146] = 618,
  [1147] = 621,
  [1148] = 542,
  [1149] = 695,
  [1150] = 697,
  [1151] = 922,
  [1152] = 948,
  [1153] = 604,
  [1154] = 618,
  [1155] = 621,
  [1156] = 542,
  [1157] = 695,
  [1158] = 697,
  [1159] = 922,
  [1160] = 948,
  [1161] = 604,
  [1162] = 618,
  [1163] = 621,
  [1164] = 542,
  [1165] = 695,
  [1166] = 697,
  [1167] = 543,
  [1168] = 922,
  [1169] = 948,
  [1170] = 604,
  [1171] = 618,
  [1172] = 621,
  [1173] = 542,
  [1174] = 695,
  [1175] = 697,
  [1176] = 922,
  [1177] = 948,
  [1178] = 604,
  [1179] = 618,
  [1180] = 621,
  [1181] = 542,
  [1182] = 695,
  [1183] = 697,
  [1184] = 922,
  [1185] = 948,
  [1186] = 604,
  [1187] = 618,
  [1188] = 621,
  [1189] = 542,
  [1190] = 695,
  [1191] = 697,
  [1192] = 922,
  [1193] = 948,
  [1194] = 604,
  [1195] = 618,
  [1196] = 621,
  [1197] = 542,
  [1198] = 695,
  [1199] = 697,
  [1200] = 922,
  [1201] = 948,
  [1202] = 604,
  [1203] = 618,
  [1204] = 621,
  [1205] = 542,
  [1206] = 695,
  [1207] = 697,
  [1208] = 922,
  [1209] = 948,
  [1210] = 604,
  [1211] = 618,
  [1212] = 621,
  [1213] = 542,
  [1214] = 695,
  [1215] = 697,
  [1216] = 922,
  [1217] = 948,
  [1218] = 604,
  [1219] = 618,
  [1220] = 621,
  [1221] = 542,
  [1222] = 695,
  [1223] = 697,
  [1224] = 922,
  [1225] = 948,
  [1226] = 604,
  [1227] = 618,
  [1228] = 621,
  [1229] = 542,
  [1230] = 695,
  [1231] = 697,
  [1232] = 922,
  [1233] = 948,
  [1234] = 604,
  [1235] = 618,
  [1236] = 621,
  [1237] = 542,
  [1238] = 695,
  [1239] = 697,
  [1240] = 922,
  [1241] = 948,
  [1242] = 604,
  [1243] = 618,
  [1244] = 621,
  [1245] = 542,
  [1246] = 695,
  [1247] = 697,
  [1248] = 922,
  [1249] = 948,
  [1250] = 604,
  [1251] = 618,
  [1252] = 621,
  [1253] = 542,
  [1254] = 695,
  [1255] = 697,
  [1256] = 922,
  [1257] = 948,
  [1258] = 604,
  [1259] = 618,
  [1260] = 621,
  [1261] = 594,
  [1262] = 695,
  [1263] = 697,
  [1264] = 922,
  [1265] = 948,
  [1266] = 604,
  [1267] = 618,
  [1268] = 621,
  [1269] = 542,
  [1270] = 695,
  [1271] = 697,
  [1272] = 922,
  [1273] = 948,
  [1274] = 604,
  [1275] = 618,
  [1276] = 621,
  [1277] = 542,
  [1278] = 695,
  [1279] = 697,
  [1280] = 922,
  [1281] = 948,
  [1282] = 604,
  [1283] = 618,
  [1284] = 621,
  [1285] = 542,
  [1286] = 695,
  [1287] = 697,
  [1288] = 922,
  [1289] = 948,
  [1290] = 604,
  [1291] = 618,
  [1292] = 621,
  [1293] = 542,
  [1294] = 695,
  [1295] = 697,
  [1296] = 922,
  [1297] = 948,
  [1298] = 604,
  [1299] = 618,
  [1300] = 621,
  [1301] = 542,
  [1302] = 695,
  [1303] = 697,
  [1304] = 922,
  [1305] = 948,
  [1306] = 604,
  [1307] = 618,
  [1308] = 621,
  [1309] = 542,
  [1310] = 695,
  [1311] = 697,
  [1312] = 922,
  [1313] = 948,
  [1314] = 604,
  [1315] = 618,
  [1316] = 621,
  [1317] = 542,
  [1318] = 695,
  [1319] = 697,
  [1320] = 922,
  [1321] = 948,
  [1322] = 604,
  [1323] = 618,
  [1324] = 621,
  [1325] = 542,
  [1326] = 695,
  [1327] = 697,
  [1328] = 922,
  [1329] = 922,
  [1330] = 545,
  [1331] = 546,
  [1332] = 593,
  [1333] = 928,
  [1334] = 943,
  [1335] = 922,
  [1336] = 922,
  [1337] = 547,
  [1338] = 548,
  [1339] = 593,
  [1340] = 928,
  [1341] = 943,
  [1342] = 549,
  [1343] = 550,
  [1344] = 593,
  [1345] = 928,
  [1346] = 943,
  [1347] = 551,
  [1348] = 593,
  [1349] = 928,
  [1350] = 943,
  [1351] = 593,
  [1352] = 928,
  [1353] = 943,
  [1354] = 543,
  [1355] = 593,
  [1356] = 928,
  [1357] = 943,
  [1358] = 593,
  [1359] = 928,
  [1360] = 943,
  [1361] = 593,
  [1362] = 928,
  [1363] = 943,
  [1364] = 593,
  [1365] = 928,
  [1366] = 943,
  [1367] = 545,
  [1368] = 593,
  [1369] = 928,
  [1370] = 943,
  [1371] = 546,
  [1372] = 547,
  [1373] = 548,
  [1374] = 593,
  [1375] = 928,
  [1376] = 943,
  [1377] = 593,
  [1378] = 928,
  [1379] = 943,
  [1380] = 549,
  [1381] = 550,
  [1382] = 593,
  [1383] = 928,
  [1384] = 943,
  [1385] = 551,
  [1386] = 593,
  [1387] = 928,
  [1388] = 943,
  [1389] = 593,
  [1390] = 928,
  [1391] = 943,
  [1392] = 543,
  [1393] = 593,
  [1394] = 928,
  [1395] = 943,
  [1396] = 593,
  [1397] = 928,
  [1398] = 943,
  [1399] = 593,
  [1400] = 928,
  [1401] = 943,
  [1402] = 593,
  [1403] = 928,
  [1404] = 943,
  [1405] = 593,
  [1406] = 928,
  [1407] = 943,
  [1408] = 593,
  [1409] = 928,
  [1410] = 943,
  [1411] = 593,
  [1412] = 928,
  [1413] = 943,
  [1414] = 545,
  [1415] = 546,
  [1416] = 593,
  [1417] = 928,
  [1418] = 943,
  [1419] = 547,
  [1420] = 548,
  [1421] = 593,
  [1422] = 928,
  [1423] = 943,
  [1424] = 593,
  [1425] = 928,
  [1426] = 943,
  [1427] = 549,
  [1428] = 593,
  [1429] = 928,
  [1430] = 943,
  [1431] = 550,
  [1432] = 593,
  [1433] = 928,
  [1434] = 943,
  [1435] = 551,
  [1436] = 593,
  [1437] = 928,
  [1438] = 943,
  [1439] = 593,
  [1440] = 928,
  [1441] = 943,
  [1442] = 593,
  [1443] = 928,
  [1444] = 943,
  [1445] = 593,
  [1446] = 928,
  [1447] = 943,
  [1448] = 543,
  [1449] = 593,
  [1450] = 928,
  [1451] = 943,
  [1452] = 593,
  [1453] = 928,
  [1454] = 943,
  [1455] = 593,
  [1456] = 928,
  [1457] = 943,
  [1458] = 593,
  [1459] = 928,
  [1460] = 943,
  [1461] = 593,
  [1462] = 928,
  [1463] = 943,
  [1464] = 593,
  [1465] = 928,
  [1466] = 943,
  [1467] = 593,
  [1468] = 928,
  [1469] = 943,
  [1470] = 545,
  [1471] = 593,
  [1472] = 928,
  [1473] = 943,
  [1474] = 546,
  [1475] = 547,
  [1476] = 593,
  [1477] = 928,
  [1478] = 943,
  [1479] = 548,
  [1480] = 593,
  [1481] = 928,
  [1482] = 943,
  [1483] = 549,
  [1484] = 593,
  [1485] = 928,
  [1486] = 943,
  [1487] = 550,
  [1488] = 593,
  [1489] = 928,
  [1490] = 943,
  [1491] = 594,
  [1492] = 591,
  [1493] = 594,
  [1494] = 604,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1495,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1496,
  [1504] = 1497,
  [1505] = 1498,
  [1506] = 1499,
  [1507] = 1495,
  [1508] = 1501,
  [1509] = 1502,
  [1510] = 584,
  [1511] = 1496,
  [1512] = 1497,
  [1513] = 1498,
  [1514] = 1499,
  [1515] = 1495,
  [1516] = 1501,
  [1517] = 1502,
  [1518] = 1496,
  [1519] = 1497,
  [1520] = 1498,
  [1521] = 1499,
  [1522] = 1495,
  [1523] = 1501,
  [1524] = 1502,
  [1525] = 1496,
  [1526] = 1497,
  [1527] = 1498,
  [1528] = 1499,
  [1529] = 1495,
  [1530] = 1501,
  [1531] = 1502,
  [1532] = 1496,
  [1533] = 1497,
  [1534] = 1498,
  [1535] = 1499,
  [1536] = 1495,
  [1537] = 1501,
  [1538] = 1502,
  [1539] = 1496,
  [1540] = 1497,
  [1541] = 1498,
  [1542] = 1499,
  [1543] = 1495,
  [1544] = 1501,
  [1545] = 1502,
  [1546] = 1502,
  [1547] = 1496,
  [1548] = 1497,
  [1549] = 1498,
  [1550] = 1499,
  [1551] = 1495,
  [1552] = 1501,
  [1553] = 1502,
  [1554] = 1496,
  [1555] = 1497,
  [1556] = 1498,
  [1557] = 1499,
  [1558] = 1495,
  [1559] = 1501,
  [1560] = 1502,
  [1561] = 1496,
  [1562] = 1497,
  [1563] = 1498,
  [1564] = 1499,
  [1565] = 1495,
  [1566] = 1501,
  [1567] = 1502,
  [1568] = 1496,
  [1569] = 1497,
  [1570] = 1498,
  [1571] = 1499,
  [1572] = 1495,
  [1573] = 1501,
  [1574] = 1502,
  [1575] = 1496,
  [1576] = 1497,
  [1577] = 1498,
  [1578] = 1499,
  [1579] = 1495,
  [1580] = 1501,
  [1581] = 1502,
  [1582] = 1496,
  [1583] = 1497,
  [1584] = 1498,
  [1585] = 1499,
  [1586] = 1495,
  [1587] = 1501,
  [1588] = 1502,
  [1589] = 1496,
  [1590] = 1497,
  [1591] = 1498,
  [1592] = 1499,
  [1593] = 1495,
  [1594] = 1501,
  [1595] = 1502,
  [1596] = 1498,
  [1597] = 1496,
  [1598] = 1497,
  [1599] = 1498,
  [1600] = 1499,
  [1601] = 1495,
  [1602] = 1501,
  [1603] = 1502,
  [1604] = 1496,
  [1605] = 1497,
  [1606] = 1498,
  [1607] = 1499,
  [1608] = 1495,
  [1609] = 1501,
  [1610] = 1502,
  [1611] = 1496,
  [1612] = 1497,
  [1613] = 1498,
  [1614] = 1499,
  [1615] = 1495,
  [1616] = 1501,
  [1617] = 1502,
  [1618] = 1496,
  [1619] = 1497,
  [1620] = 1498,
  [1621] = 1499,
  [1622] = 1502,
  [1623] = 1495,
  [1624] = 1501,
  [1625] = 1502,
  [1626] = 1496,
  [1627] = 1497,
  [1628] = 1498,
  [1629] = 1499,
  [1630] = 1495,
  [1631] = 1501,
  [1632] = 1502,
  [1633] = 1496,
  [1634] = 1497,
  [1635] = 1498,
  [1636] = 1499,
  [1637] = 1495,
  [1638] = 1501,
  [1639] = 1502,
  [1640] = 1496,
  [1641] = 1497,
  [1642] = 1498,
  [1643] = 1499,
  [1644] = 1495,
  [1645] = 1501,
  [1646] = 1502,
  [1647] = 1496,
  [1648] = 1497,
  [1649] = 1498,
  [1650] = 1499,
  [1651] = 1495,
  [1652] = 1501,
  [1653] = 1502,
  [1654] = 1496,
  [1655] = 1497,
  [1656] = 1498,
  [1657] = 1499,
  [1658] = 1495,
  [1659] = 1501,
  [1660] = 1502,
  [1661] = 1496,
  [1662] = 1497,
  [1663] = 1498,
  [1664] = 1499,
  [1665] = 1495,
  [1666] = 1501,
  [1667] = 1502,
  [1668] = 1496,
  [1669] = 1497,
  [1670] = 1498,
  [1671] = 1499,
  [1672] = 1495,
  [1673] = 1501,
  [1674] = 1502,
  [1675] = 1496,
  [1676] = 1497,
  [1677] = 1498,
  [1678] = 1499,
  [1679] = 1501,
  [1680] = 1502,
  [1681] = 1496,
  [1682] = 1497,
  [1683] = 1502,
  [1684] = 1498,
  [1685] = 1499,
  [1686] = 1495,
  [1687] = 1501,
  [1688] = 1502,
  [1689] = 1496,
  [1690] = 1497,
  [1691] = 1498,
  [1692] = 1499,
  [1693] = 1495,
  [1694] = 1501,
  [1695] = 1502,
  [1696] = 1496,
  [1697] = 1497,
  [1698] = 1498,
  [1699] = 1499,
  [1700] = 1495,
  [1701] = 1501,
  [1702] = 1502,
  [1703] = 1496,
  [1704] = 1497,
  [1705] = 1498,
  [1706] = 1499,
  [1707] = 1495,
  [1708] = 1501,
  [1709] = 1496,
  [1710] = 1497,
  [1711] = 1498,
  [1712] = 1499,
  [1713] = 1495,
  [1714] = 1501,
  [1715] = 1496,
  [1716] = 1497,
  [1717] = 1498,
  [1718] = 1499,
  [1719] = 1495,
  [1720] = 1501,
  [1721] = 1496,
  [1722] = 1497,
  [1723] = 1498,
  [1724] = 1499,
  [1725] = 1495,
  [1726] = 1501,
  [1727] = 1496,
  [1728] = 1497,
  [1729] = 1498,
  [1730] = 1499,
  [1731] = 1495,
  [1732] = 1501,
  [1733] = 1496,
  [1734] = 1497,
  [1735] = 1502,
  [1736] = 1498,
  [1737] = 1499,
  [1738] = 1495,
  [1739] = 1501,
  [1740] = 1502,
  [1741] = 1499,
  [1742] = 1496,
  [1743] = 1497,
  [1744] = 1498,
  [1745] = 1499,
  [1746] = 1502,
  [1747] = 1495,
  [1748] = 1501,
  [1749] = 1501,
  [1750] = 1502,
  [1751] = 1502,
  [1752] = 1502,
  [1753] = 1502,
  [1754] = 1502,
  [1755] = 1502,
  [1756] = 1502,
  [1757] = 1502,
  [1758] = 1502,
  [1759] = 1502,
  [1760] = 1502,
  [1761] = 1497,
  [1762] = 1496,
  [1763] = 1495,
  [1764] = 1496,
  [1765] = 1497,
  [1766] = 1498,
  [1767] = 1499,
  [1768] = 1495,
  [1769] = 1501,
  [1770] = 1501,
  [1771] = 1502,
  [1772] = 1502,
  [1773] = 1502,
  [1774] = 1502,
  [1775] = 1502,
  [1776] = 1502,
  [1777] = 1502,
  [1778] = 584,
  [1779] = 1496,
  [1780] = 1497,
  [1781] = 1498,
  [1782] = 1499,
  [1783] = 1495,
  [1784] = 1501,
  [1785] = 1502,
  [1786] = 1502,
  [1787] = 1502,
  [1788] = 1496,
  [1789] = 1497,
  [1790] = 584,
  [1791] = 1498,
  [1792] = 1499,
  [1793] = 1495,
  [1794] = 1501,
  [1795] = 1502,
  [1796] = 1502,
  [1797] = 584,
  [1798] = 1496,
  [1799] = 1497,
  [1800] = 1498,
  [1801] = 1499,
  [1802] = 1502,
  [1803] = 1495,
  [1804] = 1501,
  [1805] = 1502,
  [1806] = 1496,
  [1807] = 1497,
  [1808] = 1498,
  [1809] = 1499,
  [1810] = 1502,
  [1811] = 1495,
  [1812] = 1502,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1813,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1816,
  [1826] = 1817,
  [1827] = 1814,
  [1828] = 1813,
  [1829] = 1818,
  [1830] = 1819,
  [1831] = 1831,
  [1832] = 1816,
  [1833] = 1831,
  [1834] = 1820,
  [1835] = 1816,
  [1836] = 1817,
  [1837] = 1817,
  [1838] = 1838,
  [1839] = 1818,
  [1840] = 1840,
  [1841] = 1814,
  [1842] = 1813,
  [1843] = 1816,
  [1844] = 1817,
  [1845] = 1818,
  [1846] = 1819,
  [1847] = 1820,
  [1848] = 1821,
  [1849] = 1822,
  [1850] = 1823,
  [1851] = 1824,
  [1852] = 1821,
  [1853] = 1822,
  [1854] = 1819,
  [1855] = 1820,
  [1856] = 1823,
  [1857] = 1818,
  [1858] = 1838,
  [1859] = 1831,
  [1860] = 1840,
  [1861] = 1814,
  [1862] = 1813,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1816,
  [1866] = 1817,
  [1867] = 1818,
  [1868] = 1819,
  [1869] = 1820,
  [1870] = 1821,
  [1871] = 1822,
  [1872] = 1823,
  [1873] = 1824,
  [1874] = 1821,
  [1875] = 1822,
  [1876] = 1819,
  [1877] = 1820,
  [1878] = 1823,
  [1879] = 1821,
  [1880] = 1822,
  [1881] = 1831,
  [1882] = 1823,
  [1883] = 1824,
  [1884] = 1838,
  [1885] = 1840,
  [1886] = 1814,
  [1887] = 1824,
  [1888] = 1813,
  [1889] = 1816,
  [1890] = 1817,
  [1891] = 1818,
  [1892] = 1819,
  [1893] = 1820,
  [1894] = 1821,
  [1895] = 1822,
  [1896] = 1823,
  [1897] = 1824,
  [1898] = 1819,
  [1899] = 1820,
  [1900] = 1838,
  [1901] = 1821,
  [1902] = 1831,
  [1903] = 1822,
  [1904] = 1831,
  [1905] = 1838,
  [1906] = 1840,
  [1907] = 1814,
  [1908] = 1813,
  [1909] = 1840,
  [1910] = 1816,
  [1911] = 1817,
  [1912] = 1814,
  [1913] = 1818,
  [1914] = 1819,
  [1915] = 1813,
  [1916] = 1820,
  [1917] = 1821,
  [1918] = 1822,
  [1919] = 1816,
  [1920] = 1817,
  [1921] = 1823,
  [1922] = 1824,
  [1923] = 1818,
  [1924] = 1819,
  [1925] = 1823,
  [1926] = 1820,
  [1927] = 1824,
  [1928] = 1838,
  [1929] = 1821,
  [1930] = 1822,
  [1931] = 1831,
  [1932] = 1838,
  [1933] = 1823,
  [1934] = 1838,
  [1935] = 1838,
  [1936] = 1840,
  [1937] = 1814,
  [1938] = 1813,
  [1939] = 1816,
  [1940] = 1817,
  [1941] = 1818,
  [1942] = 1819,
  [1943] = 1820,
  [1944] = 1821,
  [1945] = 1822,
  [1946] = 1823,
  [1947] = 1823,
  [1948] = 1824,
  [1949] = 1840,
  [1950] = 1814,
  [1951] = 1813,
  [1952] = 1824,
  [1953] = 1816,
  [1954] = 1817,
  [1955] = 1831,
  [1956] = 1818,
  [1957] = 1819,
  [1958] = 1820,
  [1959] = 1838,
  [1960] = 1840,
  [1961] = 1814,
  [1962] = 1813,
  [1963] = 1816,
  [1964] = 1817,
  [1965] = 1818,
  [1966] = 1819,
  [1967] = 1838,
  [1968] = 1820,
  [1969] = 1821,
  [1970] = 1822,
  [1971] = 1823,
  [1972] = 1824,
  [1973] = 1824,
  [1974] = 1821,
  [1975] = 1840,
  [1976] = 1822,
  [1977] = 1823,
  [1978] = 1814,
  [1979] = 1831,
  [1980] = 1813,
  [1981] = 1816,
  [1982] = 1840,
  [1983] = 1824,
  [1984] = 1817,
  [1985] = 1838,
  [1986] = 1818,
  [1987] = 1819,
  [1988] = 1840,
  [1989] = 1814,
  [1990] = 1820,
  [1991] = 1821,
  [1992] = 1813,
  [1993] = 1816,
  [1994] = 1822,
  [1995] = 1817,
  [1996] = 1818,
  [1997] = 1823,
  [1998] = 1819,
  [1999] = 1820,
  [2000] = 1821,
  [2001] = 1822,
  [2002] = 1823,
  [2003] = 1824,
  [2004] = 1814,
  [2005] = 1813,
  [2006] = 1831,
  [2007] = 1831,
  [2008] = 1831,
  [2009] = 1816,
  [2010] = 1824,
  [2011] = 1838,
  [2012] = 1840,
  [2013] = 1814,
  [2014] = 1813,
  [2015] = 1816,
  [2016] = 1817,
  [2017] = 1818,
  [2018] = 1819,
  [2019] = 1820,
  [2020] = 1821,
  [2021] = 1822,
  [2022] = 1823,
  [2023] = 1824,
  [2024] = 1817,
  [2025] = 1824,
  [2026] = 1838,
  [2027] = 1840,
  [2028] = 1864,
  [2029] = 2029,
  [2030] = 1838,
  [2031] = 1840,
  [2032] = 1814,
  [2033] = 1813,
  [2034] = 1816,
  [2035] = 1817,
  [2036] = 1818,
  [2037] = 1819,
  [2038] = 1820,
  [2039] = 1821,
  [2040] = 1822,
  [2041] = 1823,
  [2042] = 1838,
  [2043] = 1831,
  [2044] = 1824,
  [2045] = 1840,
  [2046] = 1814,
  [2047] = 1838,
  [2048] = 1840,
  [2049] = 1814,
  [2050] = 1813,
  [2051] = 1816,
  [2052] = 1817,
  [2053] = 1818,
  [2054] = 1819,
  [2055] = 1820,
  [2056] = 1821,
  [2057] = 1822,
  [2058] = 1823,
  [2059] = 1824,
  [2060] = 1838,
  [2061] = 1814,
  [2062] = 1840,
  [2063] = 1814,
  [2064] = 1813,
  [2065] = 1816,
  [2066] = 1817,
  [2067] = 1818,
  [2068] = 1819,
  [2069] = 1820,
  [2070] = 1821,
  [2071] = 1822,
  [2072] = 1823,
  [2073] = 1824,
  [2074] = 1813,
  [2075] = 1831,
  [2076] = 1838,
  [2077] = 1840,
  [2078] = 1814,
  [2079] = 1813,
  [2080] = 1816,
  [2081] = 1817,
  [2082] = 1818,
  [2083] = 1819,
  [2084] = 1820,
  [2085] = 1821,
  [2086] = 1822,
  [2087] = 1823,
  [2088] = 1824,
  [2089] = 1816,
  [2090] = 1817,
  [2091] = 1838,
  [2092] = 1840,
  [2093] = 1813,
  [2094] = 1816,
  [2095] = 1818,
  [2096] = 1819,
  [2097] = 1831,
  [2098] = 1817,
  [2099] = 1840,
  [2100] = 1818,
  [2101] = 1819,
  [2102] = 1820,
  [2103] = 1840,
  [2104] = 1814,
  [2105] = 1820,
  [2106] = 1816,
  [2107] = 1817,
  [2108] = 2108,
  [2109] = 1838,
  [2110] = 1821,
  [2111] = 1821,
  [2112] = 1818,
  [2113] = 1838,
  [2114] = 1819,
  [2115] = 1840,
  [2116] = 1814,
  [2117] = 1813,
  [2118] = 1816,
  [2119] = 1817,
  [2120] = 1818,
  [2121] = 1819,
  [2122] = 1820,
  [2123] = 1822,
  [2124] = 1821,
  [2125] = 1822,
  [2126] = 1823,
  [2127] = 1820,
  [2128] = 1821,
  [2129] = 1822,
  [2130] = 1823,
  [2131] = 1822,
  [2132] = 1823,
  [2133] = 1838,
  [2134] = 1814,
  [2135] = 1824,
  [2136] = 1838,
  [2137] = 1813,
  [2138] = 1840,
  [2139] = 1814,
  [2140] = 1813,
  [2141] = 1816,
  [2142] = 1817,
  [2143] = 1818,
  [2144] = 1819,
  [2145] = 1820,
  [2146] = 1821,
  [2147] = 1822,
  [2148] = 1823,
  [2149] = 1816,
  [2150] = 1824,
  [2151] = 1824,
  [2152] = 1823,
  [2153] = 1838,
  [2154] = 1824,
  [2155] = 1817,
  [2156] = 1838,
  [2157] = 1840,
  [2158] = 1840,
  [2159] = 1814,
  [2160] = 1813,
  [2161] = 1816,
  [2162] = 1817,
  [2163] = 1818,
  [2164] = 1819,
  [2165] = 1820,
  [2166] = 1821,
  [2167] = 1822,
  [2168] = 1823,
  [2169] = 1814,
  [2170] = 1813,
  [2171] = 1816,
  [2172] = 1824,
  [2173] = 1817,
  [2174] = 1818,
  [2175] = 1824,
  [2176] = 1819,
  [2177] = 1838,
  [2178] = 1820,
  [2179] = 1840,
  [2180] = 1840,
  [2181] = 1813,
  [2182] = 1816,
  [2183] = 1817,
  [2184] = 1818,
  [2185] = 1819,
  [2186] = 1820,
  [2187] = 1821,
  [2188] = 1822,
  [2189] = 1823,
  [2190] = 1821,
  [2191] = 1822,
  [2192] = 1823,
  [2193] = 1838,
  [2194] = 1818,
  [2195] = 1824,
  [2196] = 1818,
  [2197] = 1838,
  [2198] = 1840,
  [2199] = 1814,
  [2200] = 1824,
  [2201] = 1813,
  [2202] = 1816,
  [2203] = 1817,
  [2204] = 1818,
  [2205] = 1819,
  [2206] = 1820,
  [2207] = 1821,
  [2208] = 1822,
  [2209] = 1823,
  [2210] = 1840,
  [2211] = 1824,
  [2212] = 1814,
  [2213] = 1838,
  [2214] = 1838,
  [2215] = 1824,
  [2216] = 1813,
  [2217] = 1838,
  [2218] = 1840,
  [2219] = 1831,
  [2220] = 1840,
  [2221] = 1814,
  [2222] = 1838,
  [2223] = 1814,
  [2224] = 1813,
  [2225] = 1816,
  [2226] = 1817,
  [2227] = 1818,
  [2228] = 1838,
  [2229] = 1819,
  [2230] = 1840,
  [2231] = 1814,
  [2232] = 1813,
  [2233] = 1816,
  [2234] = 1817,
  [2235] = 1818,
  [2236] = 1819,
  [2237] = 1820,
  [2238] = 1821,
  [2239] = 1822,
  [2240] = 1823,
  [2241] = 1820,
  [2242] = 1821,
  [2243] = 1822,
  [2244] = 1823,
  [2245] = 1816,
  [2246] = 1817,
  [2247] = 1824,
  [2248] = 1818,
  [2249] = 1838,
  [2250] = 1819,
  [2251] = 1840,
  [2252] = 1814,
  [2253] = 1813,
  [2254] = 1816,
  [2255] = 1817,
  [2256] = 1818,
  [2257] = 1819,
  [2258] = 1820,
  [2259] = 1821,
  [2260] = 1822,
  [2261] = 1823,
  [2262] = 1840,
  [2263] = 1820,
  [2264] = 1821,
  [2265] = 1824,
  [2266] = 1822,
  [2267] = 1824,
  [2268] = 1813,
  [2269] = 1814,
  [2270] = 1813,
  [2271] = 2271,
  [2272] = 1814,
  [2273] = 1816,
  [2274] = 1838,
  [2275] = 1813,
  [2276] = 1816,
  [2277] = 1816,
  [2278] = 1840,
  [2279] = 1814,
  [2280] = 1831,
  [2281] = 1817,
  [2282] = 1817,
  [2283] = 1813,
  [2284] = 1816,
  [2285] = 1818,
  [2286] = 584,
  [2287] = 1819,
  [2288] = 1817,
  [2289] = 1818,
  [2290] = 1824,
  [2291] = 1819,
  [2292] = 1818,
  [2293] = 1820,
  [2294] = 1820,
  [2295] = 1821,
  [2296] = 1822,
  [2297] = 1823,
  [2298] = 1824,
  [2299] = 1838,
  [2300] = 1821,
  [2301] = 1840,
  [2302] = 1814,
  [2303] = 1813,
  [2304] = 1816,
  [2305] = 1817,
  [2306] = 1818,
  [2307] = 1819,
  [2308] = 1820,
  [2309] = 1822,
  [2310] = 1821,
  [2311] = 1822,
  [2312] = 1823,
  [2313] = 1817,
  [2314] = 1819,
  [2315] = 1824,
  [2316] = 1820,
  [2317] = 1818,
  [2318] = 1819,
  [2319] = 1820,
  [2320] = 1831,
  [2321] = 1831,
  [2322] = 1821,
  [2323] = 1821,
  [2324] = 1822,
  [2325] = 1823,
  [2326] = 1822,
  [2327] = 584,
  [2328] = 1823,
  [2329] = 2029,
  [2330] = 1838,
  [2331] = 1838,
  [2332] = 1823,
  [2333] = 1840,
  [2334] = 1814,
  [2335] = 1813,
  [2336] = 1816,
  [2337] = 1823,
  [2338] = 1817,
  [2339] = 1818,
  [2340] = 1819,
  [2341] = 1820,
  [2342] = 1821,
  [2343] = 1822,
  [2344] = 1823,
  [2345] = 1840,
  [2346] = 1824,
  [2347] = 1824,
  [2348] = 1814,
  [2349] = 1813,
  [2350] = 1816,
  [2351] = 1838,
  [2352] = 1840,
  [2353] = 1819,
  [2354] = 1814,
  [2355] = 1813,
  [2356] = 1817,
  [2357] = 1818,
  [2358] = 1816,
  [2359] = 1817,
  [2360] = 1818,
  [2361] = 1831,
  [2362] = 1819,
  [2363] = 1820,
  [2364] = 1821,
  [2365] = 1822,
  [2366] = 1823,
  [2367] = 1819,
  [2368] = 1820,
  [2369] = 1820,
  [2370] = 1821,
  [2371] = 1824,
  [2372] = 1822,
  [2373] = 1838,
  [2374] = 1838,
  [2375] = 1840,
  [2376] = 1814,
  [2377] = 1813,
  [2378] = 1816,
  [2379] = 1817,
  [2380] = 1840,
  [2381] = 1818,
  [2382] = 1819,
  [2383] = 1820,
  [2384] = 1814,
  [2385] = 1813,
  [2386] = 1821,
  [2387] = 1822,
  [2388] = 1823,
  [2389] = 1816,
  [2390] = 1817,
  [2391] = 1821,
  [2392] = 1818,
  [2393] = 1819,
  [2394] = 1823,
  [2395] = 1820,
  [2396] = 1821,
  [2397] = 1824,
  [2398] = 1822,
  [2399] = 1823,
  [2400] = 1824,
  [2401] = 1840,
  [2402] = 1831,
  [2403] = 1824,
  [2404] = 1824,
  [2405] = 1814,
  [2406] = 1840,
  [2407] = 1822,
  [2408] = 1838,
  [2409] = 1838,
  [2410] = 1838,
  [2411] = 1840,
  [2412] = 1814,
  [2413] = 1813,
  [2414] = 1840,
  [2415] = 1816,
  [2416] = 1817,
  [2417] = 1818,
  [2418] = 1814,
  [2419] = 1819,
  [2420] = 1820,
  [2421] = 1821,
  [2422] = 1813,
  [2423] = 1816,
  [2424] = 1822,
  [2425] = 1823,
  [2426] = 1817,
  [2427] = 1818,
  [2428] = 1819,
  [2429] = 1820,
  [2430] = 1824,
  [2431] = 1821,
  [2432] = 1822,
  [2433] = 1823,
  [2434] = 1831,
  [2435] = 1813,
  [2436] = 1840,
  [2437] = 1814,
  [2438] = 1813,
  [2439] = 1831,
  [2440] = 1824,
  [2441] = 1838,
  [2442] = 1814,
  [2443] = 584,
  [2444] = 2444,
  [2445] = 2445,
  [2446] = 584,
  [2447] = 2445,
  [2448] = 2444,
  [2449] = 584,
  [2450] = 2445,
  [2451] = 2445,
  [2452] = 2444,
  [2453] = 2445,
  [2454] = 2445,
  [2455] = 584,
  [2456] = 2444,
  [2457] = 2444,
  [2458] = 2444,
  [2459] = 2445,
  [2460] = 2445,
  [2461] = 2444,
  [2462] = 2444,
  [2463] = 2444,
  [2464] = 2445,
  [2465] = 2444,
  [2466] = 2445,
  [2467] = 2444,
  [2468] = 2445,
  [2469] = 2445,
  [2470] = 2444,
  [2471] = 584,
  [2472] = 584,
  [2473] = 584,
  [2474] = 2444,
  [2475] = 584,
  [2476] = 584,
  [2477] = 2445,
  [2478] = 584,
  [2479] = 2445,
  [2480] = 2444,
  [2481] = 2481,
  [2482] = 2481,
  [2483] = 2483,
  [2484] = 2483,
  [2485] = 2445,
  [2486] = 2483,
  [2487] = 2483,
  [2488] = 2444,
  [2489] = 2483,
  [2490] = 2483,
  [2491] = 2481,
  [2492] = 2492,
  [2493] = 2483,
  [2494] = 2492,
  [2495] = 2483,
  [2496] = 2481,
  [2497] = 2445,
  [2498] = 2492,
  [2499] = 2445,
  [2500] = 2444,
  [2501] = 2444,
  [2502] = 584,
  [2503] = 2492,
  [2504] = 2504,
  [2505] = 2444,
  [2506] = 584,
  [2507] = 2507,
  [2508] = 2507,
  [2509] = 2507,
  [2510] = 2507,
  [2511] = 2504,
  [2512] = 2504,
  [2513] = 2445,
  [2514] = 2504,
  [2515] = 2507,
  [2516] = 2507,
  [2517] = 2504,
  [2518] = 2504,
  [2519] = 584,
  [2520] = 2444,
  [2521] = 2445,
  [2522] = 584,
  [2523] = 584,
  [2524] = 584,
  [2525] = 584,
  [2526] = 584,
  [2527] = 584,
  [2528] = 584,
  [2529] = 2444,
  [2530] = 2530,
  [2531] = 2530,
  [2532] = 2530,
  [2533] = 2530,
  [2534] = 2445,
  [2535] = 2530,
  [2536] = 584,
  [2537] = 584,
  [2538] = 2530,
  [2539] = 584,
  [2540] = 2540,
  [2541] = 2530,
  [2542] = 2540,
  [2543] = 584,
  [2544] = 2445,
  [2545] = 2545,
  [2546] = 2445,
  [2547] = 2445,
  [2548] = 2540,
  [2549] = 2545,
  [2550] = 2550,
  [2551] = 2550,
  [2552] = 2540,
  [2553] = 2444,
  [2554] = 2554,
  [2555] = 2444,
  [2556] = 2554,
  [2557] = 2554,
  [2558] = 2554,
  [2559] = 2554,
  [2560] = 2445,
  [2561] = 2445,
  [2562] = 2444,
  [2563] = 2554,
  [2564] = 2444,
  [2565] = 2554,
  [2566] = 2444,
  [2567] = 2444,
  [2568] = 2445,
  [2569] = 2445,
  [2570] = 2445,
  [2571] = 2554,
  [2572] = 2445,
  [2573] = 2554,
  [2574] = 2444,
  [2575] = 2554,
  [2576] = 2554,
  [2577] = 2550,
  [2578] = 2445,
  [2579] = 2445,
  [2580] = 2545,
  [2581] = 2545,
  [2582] = 2444,
  [2583] = 2444,
  [2584] = 2445,
  [2585] = 2445,
  [2586] = 2550,
  [2587] = 2445,
  [2588] = 2445,
  [2589] = 2444,
  [2590] = 2444,
  [2591] = 2444,
  [2592] = 2445,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2597,
  [2598] = 2596,
  [2599] = 2599,
  [2600] = 2594,
  [2601] = 2545,
  [2602] = 2445,
  [2603] = 2603,
  [2604] = 2595,
  [2605] = 2605,
  [2606] = 2605,
  [2607] = 2607,
  [2608] = 2603,
  [2609] = 2550,
  [2610] = 2610,
  [2611] = 2610,
  [2612] = 2612,
  [2613] = 2612,
  [2614] = 2597,
  [2615] = 2615,
  [2616] = 2607,
  [2617] = 2615,
  [2618] = 2596,
  [2619] = 2603,
  [2620] = 2610,
  [2621] = 2612,
  [2622] = 2607,
  [2623] = 2596,
  [2624] = 2594,
  [2625] = 2593,
  [2626] = 2610,
  [2627] = 2612,
  [2628] = 2607,
  [2629] = 2594,
  [2630] = 2615,
  [2631] = 2605,
  [2632] = 2597,
  [2633] = 2605,
  [2634] = 2481,
  [2635] = 2603,
  [2636] = 2595,
  [2637] = 2615,
  [2638] = 2597,
  [2639] = 2595,
  [2640] = 2599,
  [2641] = 2593,
  [2642] = 2642,
  [2643] = 2492,
  [2644] = 2642,
  [2645] = 2599,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2647,
  [2649] = 2647,
  [2650] = 2647,
  [2651] = 2647,
  [2652] = 2647,
  [2653] = 2646,
  [2654] = 2646,
  [2655] = 2647,
  [2656] = 2646,
  [2657] = 2646,
  [2658] = 2646,
  [2659] = 2647,
  [2660] = 2647,
  [2661] = 2647,
  [2662] = 2646,
  [2663] = 2646,
  [2664] = 2647,
  [2665] = 2646,
  [2666] = 2647,
  [2667] = 2647,
  [2668] = 2647,
  [2669] = 2646,
  [2670] = 2646,
  [2671] = 2647,
  [2672] = 2647,
  [2673] = 2647,
  [2674] = 2646,
  [2675] = 2646,
  [2676] = 2647,
  [2677] = 2646,
  [2678] = 2647,
  [2679] = 2646,
  [2680] = 2647,
  [2681] = 2646,
  [2682] = 2647,
  [2683] = 2647,
  [2684] = 2647,
  [2685] = 2647,
  [2686] = 2647,
  [2687] = 2647,
  [2688] = 2646,
  [2689] = 2646,
  [2690] = 2646,
  [2691] = 2647,
  [2692] = 2647,
  [2693] = 2646,
  [2694] = 2646,
  [2695] = 2646,
  [2696] = 2642,
  [2697] = 2646,
  [2698] = 2647,
  [2699] = 2647,
  [2700] = 2647,
  [2701] = 2647,
  [2702] = 2647,
  [2703] = 2646,
  [2704] = 2647,
  [2705] = 2647,
  [2706] = 2647,
  [2707] = 2646,
  [2708] = 2647,
  [2709] = 2646,
  [2710] = 2647,
  [2711] = 2646,
  [2712] = 2646,
  [2713] = 2646,
  [2714] = 2646,
  [2715] = 2646,
  [2716] = 2646,
  [2717] = 2646,
  [2718] = 2646,
  [2719] = 2647,
  [2720] = 2642,
  [2721] = 2647,
  [2722] = 2646,
  [2723] = 2646,
  [2724] = 2647,
  [2725] = 2646,
  [2726] = 2647,
  [2727] = 2647,
  [2728] = 2647,
  [2729] = 2647,
  [2730] = 2646,
  [2731] = 2646,
  [2732] = 2647,
  [2733] = 2647,
  [2734] = 2646,
  [2735] = 2646,
  [2736] = 2646,
  [2737] = 2646,
  [2738] = 2646,
  [2739] = 2647,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2740,
  [2744] = 2744,
  [2745] = 2741,
  [2746] = 2742,
  [2747] = 2742,
  [2748] = 2740,
  [2749] = 2740,
  [2750] = 2750,
  [2751] = 2744,
  [2752] = 2741,
  [2753] = 2742,
  [2754] = 2740,
  [2755] = 2750,
  [2756] = 2742,
  [2757] = 2740,
  [2758] = 2744,
  [2759] = 2741,
  [2760] = 2741,
  [2761] = 2750,
  [2762] = 2744,
  [2763] = 2741,
  [2764] = 2742,
  [2765] = 2740,
  [2766] = 2750,
  [2767] = 2750,
  [2768] = 2744,
  [2769] = 2742,
  [2770] = 2740,
  [2771] = 2750,
  [2772] = 2742,
  [2773] = 2742,
  [2774] = 2741,
  [2775] = 2750,
  [2776] = 2744,
  [2777] = 2741,
  [2778] = 2744,
  [2779] = 2779,
  [2780] = 2742,
  [2781] = 2740,
  [2782] = 2741,
  [2783] = 2750,
  [2784] = 2742,
  [2785] = 2740,
  [2786] = 2740,
  [2787] = 2744,
  [2788] = 2788,
  [2789] = 2744,
  [2790] = 2741,
  [2791] = 2741,
  [2792] = 2741,
  [2793] = 2750,
  [2794] = 2741,
  [2795] = 2750,
  [2796] = 2742,
  [2797] = 2740,
  [2798] = 2750,
  [2799] = 2744,
  [2800] = 2741,
  [2801] = 2750,
  [2802] = 2750,
  [2803] = 2742,
  [2804] = 2740,
  [2805] = 2740,
  [2806] = 2742,
  [2807] = 2744,
  [2808] = 2750,
  [2809] = 2741,
  [2810] = 2481,
  [2811] = 2744,
  [2812] = 2741,
  [2813] = 2744,
  [2814] = 2741,
  [2815] = 2744,
  [2816] = 2742,
  [2817] = 2740,
  [2818] = 2742,
  [2819] = 2742,
  [2820] = 2740,
  [2821] = 2740,
  [2822] = 2744,
  [2823] = 2742,
  [2824] = 2750,
  [2825] = 2741,
  [2826] = 2741,
  [2827] = 2744,
  [2828] = 2744,
  [2829] = 2741,
  [2830] = 2740,
  [2831] = 2740,
  [2832] = 2741,
  [2833] = 2742,
  [2834] = 2742,
  [2835] = 2744,
  [2836] = 2740,
  [2837] = 2750,
  [2838] = 2740,
  [2839] = 2750,
  [2840] = 2750,
  [2841] = 2741,
  [2842] = 2744,
  [2843] = 2742,
  [2844] = 2740,
  [2845] = 2744,
  [2846] = 2741,
  [2847] = 2741,
  [2848] = 2742,
  [2849] = 2750,
  [2850] = 2740,
  [2851] = 2742,
  [2852] = 2742,
  [2853] = 2740,
  [2854] = 2744,
  [2855] = 2741,
  [2856] = 2750,
  [2857] = 2750,
  [2858] = 2742,
  [2859] = 2740,
  [2860] = 2740,
  [2861] = 2742,
  [2862] = 2744,
  [2863] = 2741,
  [2864] = 2750,
  [2865] = 2742,
  [2866] = 2742,
  [2867] = 2744,
  [2868] = 2741,
  [2869] = 2750,
  [2870] = 2742,
  [2871] = 2740,
  [2872] = 2740,
  [2873] = 2744,
  [2874] = 2741,
  [2875] = 2740,
  [2876] = 2750,
  [2877] = 2742,
  [2878] = 2740,
  [2879] = 2744,
  [2880] = 2741,
  [2881] = 2750,
  [2882] = 2750,
  [2883] = 2750,
  [2884] = 2742,
  [2885] = 2740,
  [2886] = 2744,
  [2887] = 2741,
  [2888] = 2750,
  [2889] = 2744,
  [2890] = 2750,
  [2891] = 2742,
  [2892] = 2741,
  [2893] = 2893,
  [2894] = 2744,
  [2895] = 2741,
  [2896] = 2740,
  [2897] = 2742,
  [2898] = 2742,
  [2899] = 2740,
  [2900] = 2740,
  [2901] = 2901,
  [2902] = 2750,
  [2903] = 2744,
  [2904] = 2741,
  [2905] = 2742,
  [2906] = 2742,
  [2907] = 2740,
  [2908] = 2750,
  [2909] = 2750,
  [2910] = 2744,
  [2911] = 2750,
  [2912] = 2744,
  [2913] = 2744,
  [2914] = 2741,
  [2915] = 2741,
  [2916] = 2742,
  [2917] = 2740,
  [2918] = 2740,
  [2919] = 2750,
  [2920] = 2744,
  [2921] = 2741,
  [2922] = 2742,
  [2923] = 2740,
  [2924] = 2742,
  [2925] = 2740,
  [2926] = 2750,
  [2927] = 2750,
  [2928] = 2744,
  [2929] = 2741,
  [2930] = 2742,
  [2931] = 2740,
  [2932] = 2744,
  [2933] = 2741,
  [2934] = 2934,
  [2935] = 2742,
  [2936] = 2740,
  [2937] = 2750,
  [2938] = 2744,
  [2939] = 2750,
  [2940] = 2750,
  [2941] = 2750,
  [2942] = 2744,
  [2943] = 2744,
  [2944] = 2750,
  [2945] = 2744,
  [2946] = 2741,
  [2947] = 2750,
  [2948] = 2741,
  [2949] = 2744,
  [2950] = 2750,
  [2951] = 2744,
  [2952] = 2741,
  [2953] = 2744,
  [2954] = 2742,
  [2955] = 2742,
  [2956] = 2740,
  [2957] = 2741,
  [2958] = 2958,
  [2959] = 2744,
  [2960] = 2740,
  [2961] = 2750,
  [2962] = 2744,
  [2963] = 2741,
  [2964] = 2741,
  [2965] = 2742,
  [2966] = 2740,
  [2967] = 2967,
  [2968] = 2968,
  [2969] = 2967,
  [2970] = 2970,
  [2971] = 2971,
  [2972] = 2481,
  [2973] = 2967,
  [2974] = 2540,
  [2975] = 2967,
  [2976] = 2967,
  [2977] = 2967,
  [2978] = 2481,
  [2979] = 2967,
  [2980] = 2968,
  [2981] = 2492,
  [2982] = 2970,
  [2983] = 2967,
  [2984] = 2968,
  [2985] = 2968,
  [2986] = 2593,
  [2987] = 2967,
  [2988] = 2970,
  [2989] = 2967,
  [2990] = 2967,
  [2991] = 2967,
  [2992] = 2992,
  [2993] = 2445,
  [2994] = 2994,
  [2995] = 2995,
  [2996] = 2996,
  [2997] = 2997,
  [2998] = 2994,
  [2999] = 2994,
  [3000] = 3000,
  [3001] = 2599,
  [3002] = 2994,
  [3003] = 3003,
  [3004] = 2992,
  [3005] = 2994,
  [3006] = 3000,
  [3007] = 2994,
  [3008] = 3008,
  [3009] = 3009,
  [3010] = 2994,
  [3011] = 3000,
  [3012] = 2994,
  [3013] = 3000,
  [3014] = 3000,
  [3015] = 2994,
  [3016] = 2545,
  [3017] = 3000,
  [3018] = 3000,
  [3019] = 2492,
  [3020] = 2994,
  [3021] = 2994,
  [3022] = 2994,
  [3023] = 2994,
  [3024] = 3000,
  [3025] = 3003,
  [3026] = 2994,
  [3027] = 3000,
  [3028] = 2995,
  [3029] = 2996,
  [3030] = 2994,
  [3031] = 2994,
  [3032] = 3000,
  [3033] = 3000,
  [3034] = 3000,
  [3035] = 3000,
  [3036] = 3000,
  [3037] = 3003,
  [3038] = 2992,
  [3039] = 3003,
  [3040] = 2992,
  [3041] = 3008,
  [3042] = 3009,
  [3043] = 3008,
  [3044] = 3009,
  [3045] = 3009,
  [3046] = 2994,
  [3047] = 3008,
  [3048] = 3009,
  [3049] = 2994,
  [3050] = 3000,
  [3051] = 3000,
  [3052] = 2995,
  [3053] = 2997,
  [3054] = 2994,
  [3055] = 2996,
  [3056] = 2994,
  [3057] = 2997,
  [3058] = 3008,
  [3059] = 2997,
  [3060] = 3009,
  [3061] = 2995,
  [3062] = 2996,
  [3063] = 2997,
  [3064] = 2492,
  [3065] = 3000,
  [3066] = 3000,
  [3067] = 3000,
  [3068] = 2994,
  [3069] = 2994,
  [3070] = 3003,
  [3071] = 2992,
  [3072] = 3008,
  [3073] = 3009,
  [3074] = 2995,
  [3075] = 2994,
  [3076] = 3000,
  [3077] = 3000,
  [3078] = 3000,
  [3079] = 2994,
  [3080] = 3000,
  [3081] = 2994,
  [3082] = 2994,
  [3083] = 2994,
  [3084] = 2992,
  [3085] = 2996,
  [3086] = 2995,
  [3087] = 2996,
  [3088] = 2994,
  [3089] = 2994,
  [3090] = 3000,
  [3091] = 3000,
  [3092] = 3003,
  [3093] = 3008,
  [3094] = 2994,
  [3095] = 3008,
  [3096] = 3009,
  [3097] = 3000,
  [3098] = 2995,
  [3099] = 3000,
  [3100] = 2996,
  [3101] = 3000,
  [3102] = 3000,
  [3103] = 3000,
  [3104] = 3000,
  [3105] = 2994,
  [3106] = 2995,
  [3107] = 2996,
  [3108] = 2994,
  [3109] = 3000,
  [3110] = 3003,
  [3111] = 2992,
  [3112] = 2550,
  [3113] = 3003,
  [3114] = 2992,
  [3115] = 2997,
  [3116] = 3116,
  [3117] = 3117,
  [3118] = 3118,
  [3119] = 3119,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 3123,
  [3124] = 3124,
  [3125] = 3125,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 3128,
  [3129] = 3127,
  [3130] = 3130,
  [3131] = 3128,
  [3132] = 3130,
  [3133] = 3127,
  [3134] = 3128,
  [3135] = 3127,
  [3136] = 3136,
  [3137] = 3128,
  [3138] = 3127,
  [3139] = 3128,
  [3140] = 3124,
  [3141] = 3127,
  [3142] = 3128,
  [3143] = 3122,
  [3144] = 3123,
  [3145] = 3127,
  [3146] = 3128,
  [3147] = 3127,
  [3148] = 3128,
  [3149] = 3149,
  [3150] = 3127,
  [3151] = 3117,
  [3152] = 3128,
  [3153] = 3122,
  [3154] = 3127,
  [3155] = 3128,
  [3156] = 3156,
  [3157] = 3127,
  [3158] = 3128,
  [3159] = 3159,
  [3160] = 3127,
  [3161] = 3161,
  [3162] = 3128,
  [3163] = 3127,
  [3164] = 3128,
  [3165] = 3127,
  [3166] = 3128,
  [3167] = 3167,
  [3168] = 3127,
  [3169] = 3128,
  [3170] = 3127,
  [3171] = 3128,
  [3172] = 3123,
  [3173] = 3119,
  [3174] = 3127,
  [3175] = 3175,
  [3176] = 3128,
  [3177] = 3127,
  [3178] = 3128,
  [3179] = 3161,
  [3180] = 3127,
  [3181] = 3128,
  [3182] = 3120,
  [3183] = 3183,
  [3184] = 3127,
  [3185] = 3118,
  [3186] = 3128,
  [3187] = 3161,
  [3188] = 3126,
  [3189] = 3128,
  [3190] = 3127,
  [3191] = 3127,
  [3192] = 3128,
  [3193] = 3127,
  [3194] = 3128,
  [3195] = 3127,
  [3196] = 3128,
  [3197] = 2642,
  [3198] = 3127,
  [3199] = 3128,
  [3200] = 3127,
  [3201] = 3116,
  [3202] = 3128,
  [3203] = 3127,
  [3204] = 3128,
  [3205] = 3161,
  [3206] = 3127,
  [3207] = 3128,
  [3208] = 3119,
  [3209] = 3127,
  [3210] = 3136,
  [3211] = 3128,
  [3212] = 3127,
  [3213] = 3120,
  [3214] = 3128,
  [3215] = 3127,
  [3216] = 3128,
  [3217] = 3127,
  [3218] = 3128,
  [3219] = 3124,
  [3220] = 3159,
  [3221] = 3127,
  [3222] = 3122,
  [3223] = 3128,
  [3224] = 3128,
  [3225] = 3127,
  [3226] = 3128,
  [3227] = 3167,
  [3228] = 3127,
  [3229] = 3128,
  [3230] = 3127,
  [3231] = 3156,
  [3232] = 3128,
  [3233] = 3127,
  [3234] = 3128,
  [3235] = 3127,
  [3236] = 3128,
  [3237] = 3127,
  [3238] = 3128,
  [3239] = 3127,
  [3240] = 3128,
  [3241] = 3149,
  [3242] = 3127,
  [3243] = 3128,
  [3244] = 3127,
  [3245] = 3128,
  [3246] = 3125,
  [3247] = 3127,
  [3248] = 3183,
  [3249] = 3128,
  [3250] = 3250,
  [3251] = 3127,
  [3252] = 3252,
  [3253] = 3183,
  [3254] = 3254,
  [3255] = 3255,
  [3256] = 3256,
  [3257] = 3257,
  [3258] = 3258,
  [3259] = 3159,
  [3260] = 3159,
  [3261] = 3261,
  [3262] = 3256,
  [3263] = 3256,
  [3264] = 3264,
  [3265] = 3126,
  [3266] = 3167,
  [3267] = 3267,
  [3268] = 3268,
  [3269] = 3269,
  [3270] = 3270,
  [3271] = 3271,
  [3272] = 3272,
  [3273] = 3125,
  [3274] = 3274,
  [3275] = 3136,
  [3276] = 3276,
  [3277] = 3149,
  [3278] = 3278,
  [3279] = 3279,
  [3280] = 3183,
  [3281] = 3167,
  [3282] = 3282,
  [3283] = 3256,
  [3284] = 3118,
  [3285] = 3256,
  [3286] = 3126,
  [3287] = 3130,
  [3288] = 3256,
  [3289] = 3256,
  [3290] = 3290,
  [3291] = 3291,
  [3292] = 3256,
  [3293] = 3293,
  [3294] = 3294,
  [3295] = 3295,
  [3296] = 3296,
  [3297] = 3297,
  [3298] = 3298,
  [3299] = 3290,
  [3300] = 3270,
  [3301] = 3301,
  [3302] = 3136,
  [3303] = 3149,
  [3304] = 3304,
  [3305] = 3256,
  [3306] = 3256,
  [3307] = 3307,
  [3308] = 3308,
  [3309] = 3294,
  [3310] = 3257,
  [3311] = 3311,
  [3312] = 3256,
  [3313] = 3256,
  [3314] = 3314,
  [3315] = 3315,
  [3316] = 3316,
  [3317] = 3317,
  [3318] = 3272,
  [3319] = 3130,
  [3320] = 3118,
  [3321] = 3321,
  [3322] = 3293,
  [3323] = 3323,
  [3324] = 3324,
  [3325] = 3315,
  [3326] = 3156,
  [3327] = 3327,
  [3328] = 3136,
  [3329] = 3329,
  [3330] = 3117,
  [3331] = 3256,
  [3332] = 3332,
  [3333] = 3333,
  [3334] = 3159,
  [3335] = 3301,
  [3336] = 3317,
  [3337] = 3167,
  [3338] = 3338,
  [3339] = 3276,
  [3340] = 3255,
  [3341] = 3282,
  [3342] = 3342,
  [3343] = 3343,
  [3344] = 3344,
  [3345] = 3256,
  [3346] = 3346,
  [3347] = 3256,
  [3348] = 3125,
  [3349] = 3349,
  [3350] = 3256,
  [3351] = 3149,
  [3352] = 3352,
  [3353] = 3156,
  [3354] = 3352,
  [3355] = 3126,
  [3356] = 3295,
  [3357] = 3357,
  [3358] = 3358,
  [3359] = 3156,
  [3360] = 3324,
  [3361] = 3256,
  [3362] = 3130,
  [3363] = 3256,
  [3364] = 3364,
  [3365] = 3304,
  [3366] = 3358,
  [3367] = 3367,
  [3368] = 3368,
  [3369] = 3256,
  [3370] = 3370,
  [3371] = 3371,
  [3372] = 3371,
  [3373] = 3373,
  [3374] = 3374,
  [3375] = 3256,
  [3376] = 3183,
  [3377] = 3149,
  [3378] = 3264,
  [3379] = 3327,
  [3380] = 3380,
  [3381] = 3117,
  [3382] = 3271,
  [3383] = 3261,
  [3384] = 3256,
  [3385] = 3256,
  [3386] = 3386,
  [3387] = 3159,
  [3388] = 3167,
  [3389] = 3256,
  [3390] = 3390,
  [3391] = 3307,
  [3392] = 3392,
  [3393] = 3118,
  [3394] = 3125,
  [3395] = 3126,
  [3396] = 3296,
  [3397] = 3397,
  [3398] = 3373,
  [3399] = 3316,
  [3400] = 3118,
  [3401] = 3130,
  [3402] = 3136,
  [3403] = 3323,
  [3404] = 3404,
  [3405] = 3156,
  [3406] = 3406,
  [3407] = 3256,
  [3408] = 3332,
  [3409] = 3342,
  [3410] = 3256,
  [3411] = 3256,
  [3412] = 3256,
  [3413] = 3413,
  [3414] = 3117,
  [3415] = 3338,
  [3416] = 3416,
  [3417] = 3254,
  [3418] = 3291,
  [3419] = 3386,
  [3420] = 3298,
  [3421] = 3256,
  [3422] = 3252,
  [3423] = 3423,
  [3424] = 3390,
  [3425] = 3392,
  [3426] = 3416,
  [3427] = 3427,
  [3428] = 3370,
  [3429] = 3374,
  [3430] = 3430,
  [3431] = 3183,
  [3432] = 3256,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 3413,
  [3437] = 3430,
  [3438] = 3397,
  [3439] = 3256,
  [3440] = 3343,
  [3441] = 3380,
  [3442] = 3433,
  [3443] = 3256,
  [3444] = 3444,
  [3445] = 3279,
  [3446] = 3256,
  [3447] = 3311,
  [3448] = 3267,
  [3449] = 3256,
  [3450] = 3344,
  [3451] = 3368,
  [3452] = 3278,
  [3453] = 3256,
  [3454] = 3321,
  [3455] = 3364,
  [3456] = 3125,
  [3457] = 3457,
  [3458] = 3367,
  [3459] = 3256,
  [3460] = 3427,
  [3461] = 3346,
  [3462] = 3462,
  [3463] = 3457,
  [3464] = 3444,
  [3465] = 3256,
  [3466] = 3256,
  [3467] = 3467,
  [3468] = 3406,
  [3469] = 3256,
  [3470] = 3423,
  [3471] = 3471,
  [3472] = 3258,
  [3473] = 3333,
  [3474] = 3269,
  [3475] = 3117,
  [3476] = 3404,
  [3477] = 3274,
  [3478] = 3471,
  [3479] = 3462,
  [3480] = 3256,
  [3481] = 3256,
  [3482] = 3329,
  [3483] = 3314,
  [3484] = 3484,
  [3485] = 3308,
  [3486] = 3297,
  [3487] = 3256,
  [3488] = 3435,
  [3489] = 3484,
  [3490] = 3434,
  [3491] = 3357,
  [3492] = 3349,
  [3493] = 3256,
  [3494] = 3268,
  [3495] = 3467,
  [3496] = 3256,
  [3497] = 3294,
  [3498] = 3457,
  [3499] = 3296,
  [3500] = 3156,
  [3501] = 3117,
  [3502] = 3159,
  [3503] = 3167,
  [3504] = 3125,
  [3505] = 3126,
  [3506] = 3130,
  [3507] = 3136,
  [3508] = 3149,
  [3509] = 3293,
  [3510] = 3301,
  [3511] = 3317,
  [3512] = 3255,
  [3513] = 3346,
  [3514] = 3352,
  [3515] = 3371,
  [3516] = 3316,
  [3517] = 3323,
  [3518] = 3342,
  [3519] = 3434,
  [3520] = 3397,
  [3521] = 3343,
  [3522] = 3279,
  [3523] = 3311,
  [3524] = 3321,
  [3525] = 3364,
  [3526] = 3406,
  [3527] = 3308,
  [3528] = 3327,
  [3529] = 3329,
  [3530] = 3386,
  [3531] = 3307,
  [3532] = 3373,
  [3533] = 3416,
  [3534] = 3435,
  [3535] = 3423,
  [3536] = 3357,
  [3537] = 3368,
  [3538] = 3278,
  [3539] = 3462,
  [3540] = 3258,
  [3541] = 3314,
  [3542] = 3271,
  [3543] = 3272,
  [3544] = 3291,
  [3545] = 3295,
  [3546] = 3254,
  [3547] = 3269,
  [3548] = 3374,
  [3549] = 3293,
  [3550] = 3301,
  [3551] = 3338,
  [3552] = 3317,
  [3553] = 3358,
  [3554] = 3255,
  [3555] = 3346,
  [3556] = 3352,
  [3557] = 3371,
  [3558] = 3316,
  [3559] = 3323,
  [3560] = 3342,
  [3561] = 3392,
  [3562] = 3434,
  [3563] = 3397,
  [3564] = 3343,
  [3565] = 3279,
  [3566] = 3311,
  [3567] = 3321,
  [3568] = 3364,
  [3569] = 3406,
  [3570] = 3308,
  [3571] = 3327,
  [3572] = 3433,
  [3573] = 3329,
  [3574] = 3457,
  [3575] = 3386,
  [3576] = 3307,
  [3577] = 3373,
  [3578] = 3416,
  [3579] = 3435,
  [3580] = 3423,
  [3581] = 3357,
  [3582] = 3368,
  [3583] = 3278,
  [3584] = 3462,
  [3585] = 3258,
  [3586] = 3314,
  [3587] = 3271,
  [3588] = 3272,
  [3589] = 3291,
  [3590] = 3295,
  [3591] = 3257,
  [3592] = 3290,
  [3593] = 3270,
  [3594] = 3254,
  [3595] = 3332,
  [3596] = 3344,
  [3597] = 3380,
  [3598] = 3370,
  [3599] = 3269,
  [3600] = 3374,
  [3601] = 3390,
  [3602] = 3427,
  [3603] = 3413,
  [3604] = 3430,
  [3605] = 3444,
  [3606] = 3267,
  [3607] = 3338,
  [3608] = 3358,
  [3609] = 3367,
  [3610] = 3404,
  [3611] = 3471,
  [3612] = 3392,
  [3613] = 3297,
  [3614] = 3349,
  [3615] = 3274,
  [3616] = 3433,
  [3617] = 3457,
  [3618] = 3294,
  [3619] = 3324,
  [3620] = 3257,
  [3621] = 3290,
  [3622] = 3270,
  [3623] = 3268,
  [3624] = 3332,
  [3625] = 3344,
  [3626] = 3380,
  [3627] = 3276,
  [3628] = 3370,
  [3629] = 3282,
  [3630] = 3264,
  [3631] = 3296,
  [3632] = 3298,
  [3633] = 3315,
  [3634] = 3252,
  [3635] = 3264,
  [3636] = 3296,
  [3637] = 3390,
  [3638] = 3427,
  [3639] = 3413,
  [3640] = 3430,
  [3641] = 3444,
  [3642] = 3267,
  [3643] = 3367,
  [3644] = 3404,
  [3645] = 3471,
  [3646] = 3297,
  [3647] = 3349,
  [3648] = 3274,
  [3649] = 3324,
  [3650] = 3268,
  [3651] = 3276,
  [3652] = 3282,
  [3653] = 3298,
  [3654] = 3315,
  [3655] = 3390,
  [3656] = 3427,
  [3657] = 3413,
  [3658] = 3430,
  [3659] = 3444,
  [3660] = 3252,
  [3661] = 3267,
  [3662] = 3367,
  [3663] = 3404,
  [3664] = 3471,
  [3665] = 3297,
  [3666] = 3349,
  [3667] = 3274,
  [3668] = 3324,
  [3669] = 3268,
  [3670] = 3276,
  [3671] = 3282,
  [3672] = 3298,
  [3673] = 3315,
  [3674] = 3252,
  [3675] = 3333,
  [3676] = 3484,
  [3677] = 3467,
  [3678] = 3261,
  [3679] = 3333,
  [3680] = 3484,
  [3681] = 3467,
  [3682] = 3261,
  [3683] = 3333,
  [3684] = 3484,
  [3685] = 3467,
  [3686] = 3261,
  [3687] = 3293,
  [3688] = 3301,
  [3689] = 3317,
  [3690] = 3255,
  [3691] = 3346,
  [3692] = 3352,
  [3693] = 3371,
  [3694] = 3316,
  [3695] = 3323,
  [3696] = 3264,
  [3697] = 3434,
  [3698] = 3397,
  [3699] = 3343,
  [3700] = 3279,
  [3701] = 3311,
  [3702] = 3321,
  [3703] = 3364,
  [3704] = 3406,
  [3705] = 3308,
  [3706] = 3327,
  [3707] = 3329,
  [3708] = 3386,
  [3709] = 3307,
  [3710] = 3373,
  [3711] = 3416,
  [3712] = 3435,
  [3713] = 3423,
  [3714] = 3357,
  [3715] = 3368,
  [3716] = 3278,
  [3717] = 3462,
  [3718] = 3258,
  [3719] = 3314,
  [3720] = 3271,
  [3721] = 3272,
  [3722] = 3291,
  [3723] = 3295,
  [3724] = 3254,
  [3725] = 3269,
  [3726] = 3338,
  [3727] = 3392,
  [3728] = 3374,
  [3729] = 3433,
  [3730] = 3294,
  [3731] = 3257,
  [3732] = 3290,
  [3733] = 3270,
  [3734] = 3332,
  [3735] = 3344,
  [3736] = 3380,
  [3737] = 3370,
  [3738] = 3264,
  [3739] = 3358,
  [3740] = 3457,
  [3741] = 3296,
  [3742] = 3413,
  [3743] = 3444,
  [3744] = 3349,
  [3745] = 3274,
  [3746] = 3390,
  [3747] = 3427,
  [3748] = 3430,
  [3749] = 3267,
  [3750] = 3298,
  [3751] = 3367,
  [3752] = 3404,
  [3753] = 3471,
  [3754] = 3297,
  [3755] = 3315,
  [3756] = 3324,
  [3757] = 3268,
  [3758] = 3276,
  [3759] = 3282,
  [3760] = 3183,
  [3761] = 3118,
  [3762] = 3252,
  [3763] = 3333,
  [3764] = 3484,
  [3765] = 3467,
  [3766] = 3261,
  [3767] = 3156,
  [3768] = 3117,
  [3769] = 3159,
  [3770] = 3167,
  [3771] = 3125,
  [3772] = 3126,
  [3773] = 3130,
  [3774] = 3183,
  [3775] = 3118,
  [3776] = 3293,
  [3777] = 3301,
  [3778] = 3317,
  [3779] = 3255,
  [3780] = 3346,
  [3781] = 3352,
  [3782] = 3136,
  [3783] = 3316,
  [3784] = 3323,
  [3785] = 3342,
  [3786] = 3434,
  [3787] = 3397,
  [3788] = 3343,
  [3789] = 3279,
  [3790] = 3311,
  [3791] = 3321,
  [3792] = 3364,
  [3793] = 3406,
  [3794] = 3308,
  [3795] = 3327,
  [3796] = 3329,
  [3797] = 3386,
  [3798] = 3307,
  [3799] = 3373,
  [3800] = 3149,
  [3801] = 3416,
  [3802] = 3435,
  [3803] = 3423,
  [3804] = 3357,
  [3805] = 3368,
  [3806] = 3278,
  [3807] = 3462,
  [3808] = 3258,
  [3809] = 3271,
  [3810] = 3272,
  [3811] = 3291,
  [3812] = 3295,
  [3813] = 3254,
  [3814] = 3269,
  [3815] = 3371,
  [3816] = 3374,
  [3817] = 3314,
  [3818] = 3338,
  [3819] = 3392,
  [3820] = 3433,
  [3821] = 3294,
  [3822] = 3257,
  [3823] = 3290,
  [3824] = 3270,
  [3825] = 3332,
  [3826] = 3344,
  [3827] = 3380,
  [3828] = 3370,
  [3829] = 3358,
  [3830] = 3342,
  [3831] = 3118,
  [3832] = 3183,
  [3833] = 3118,
  [3834] = 3342,
  [3835] = 3835,
  [3836] = 3294,
  [3837] = 3257,
  [3838] = 3290,
  [3839] = 3270,
  [3840] = 3840,
  [3841] = 3332,
  [3842] = 3842,
  [3843] = 3367,
  [3844] = 3404,
  [3845] = 3344,
  [3846] = 3380,
  [3847] = 3370,
  [3848] = 3471,
  [3849] = 3835,
  [3850] = 3434,
  [3851] = 3397,
  [3852] = 3343,
  [3853] = 3840,
  [3854] = 3301,
  [3855] = 3297,
  [3856] = 3279,
  [3857] = 3311,
  [3858] = 3349,
  [3859] = 3321,
  [3860] = 3274,
  [3861] = 3364,
  [3862] = 3406,
  [3863] = 3390,
  [3864] = 3427,
  [3865] = 3413,
  [3866] = 3430,
  [3867] = 3444,
  [3868] = 3267,
  [3869] = 3367,
  [3870] = 3404,
  [3871] = 3471,
  [3872] = 3297,
  [3873] = 3349,
  [3874] = 3835,
  [3875] = 3274,
  [3876] = 3840,
  [3877] = 3324,
  [3878] = 3268,
  [3879] = 3276,
  [3880] = 3835,
  [3881] = 3840,
  [3882] = 3282,
  [3883] = 3298,
  [3884] = 3315,
  [3885] = 3252,
  [3886] = 3333,
  [3887] = 3484,
  [3888] = 3467,
  [3889] = 3261,
  [3890] = 3308,
  [3891] = 3327,
  [3892] = 3329,
  [3893] = 3835,
  [3894] = 3840,
  [3895] = 3156,
  [3896] = 3835,
  [3897] = 3840,
  [3898] = 3117,
  [3899] = 3159,
  [3900] = 3167,
  [3901] = 3125,
  [3902] = 3835,
  [3903] = 3126,
  [3904] = 3130,
  [3905] = 3840,
  [3906] = 3386,
  [3907] = 3907,
  [3908] = 3835,
  [3909] = 3909,
  [3910] = 3840,
  [3911] = 3307,
  [3912] = 3835,
  [3913] = 3840,
  [3914] = 3835,
  [3915] = 3840,
  [3916] = 3136,
  [3917] = 3917,
  [3918] = 3835,
  [3919] = 3840,
  [3920] = 3149,
  [3921] = 3835,
  [3922] = 3840,
  [3923] = 3835,
  [3924] = 3840,
  [3925] = 3373,
  [3926] = 3835,
  [3927] = 3840,
  [3928] = 3835,
  [3929] = 3840,
  [3930] = 3835,
  [3931] = 3840,
  [3932] = 3835,
  [3933] = 3840,
  [3934] = 3835,
  [3935] = 3840,
  [3936] = 3835,
  [3937] = 3840,
  [3938] = 3835,
  [3939] = 3840,
  [3940] = 3835,
  [3941] = 3840,
  [3942] = 3835,
  [3943] = 3840,
  [3944] = 3835,
  [3945] = 3840,
  [3946] = 3835,
  [3947] = 3840,
  [3948] = 3835,
  [3949] = 3840,
  [3950] = 3835,
  [3951] = 3840,
  [3952] = 3416,
  [3953] = 3435,
  [3954] = 3835,
  [3955] = 3840,
  [3956] = 3835,
  [3957] = 3840,
  [3958] = 3423,
  [3959] = 3835,
  [3960] = 3357,
  [3961] = 3840,
  [3962] = 3835,
  [3963] = 3840,
  [3964] = 3835,
  [3965] = 3840,
  [3966] = 3368,
  [3967] = 3278,
  [3968] = 3835,
  [3969] = 3462,
  [3970] = 3840,
  [3971] = 3258,
  [3972] = 3314,
  [3973] = 3835,
  [3974] = 3317,
  [3975] = 3255,
  [3976] = 3324,
  [3977] = 3346,
  [3978] = 3271,
  [3979] = 3272,
  [3980] = 3291,
  [3981] = 3295,
  [3982] = 3352,
  [3983] = 3268,
  [3984] = 3371,
  [3985] = 3316,
  [3986] = 3254,
  [3987] = 3842,
  [3988] = 3269,
  [3989] = 3276,
  [3990] = 3842,
  [3991] = 3374,
  [3992] = 3842,
  [3993] = 3183,
  [3994] = 3293,
  [3995] = 3457,
  [3996] = 3293,
  [3997] = 3301,
  [3998] = 3317,
  [3999] = 3255,
  [4000] = 3346,
  [4001] = 3352,
  [4002] = 4002,
  [4003] = 3316,
  [4004] = 3323,
  [4005] = 3342,
  [4006] = 3434,
  [4007] = 3397,
  [4008] = 3343,
  [4009] = 3282,
  [4010] = 3279,
  [4011] = 3311,
  [4012] = 3321,
  [4013] = 3364,
  [4014] = 3406,
  [4015] = 3308,
  [4016] = 3327,
  [4017] = 3329,
  [4018] = 3386,
  [4019] = 3307,
  [4020] = 3373,
  [4021] = 3416,
  [4022] = 3435,
  [4023] = 3423,
  [4024] = 3357,
  [4025] = 3368,
  [4026] = 3278,
  [4027] = 3462,
  [4028] = 3258,
  [4029] = 3338,
  [4030] = 3252,
  [4031] = 3298,
  [4032] = 3271,
  [4033] = 3272,
  [4034] = 3291,
  [4035] = 3295,
  [4036] = 3315,
  [4037] = 3358,
  [4038] = 3835,
  [4039] = 3254,
  [4040] = 3264,
  [4041] = 3296,
  [4042] = 3269,
  [4043] = 3371,
  [4044] = 3374,
  [4045] = 3314,
  [4046] = 3323,
  [4047] = 3333,
  [4048] = 3338,
  [4049] = 3484,
  [4050] = 3467,
  [4051] = 3261,
  [4052] = 3390,
  [4053] = 3392,
  [4054] = 3427,
  [4055] = 3413,
  [4056] = 3430,
  [4057] = 3392,
  [4058] = 3444,
  [4059] = 3267,
  [4060] = 3433,
  [4061] = 4002,
  [4062] = 4062,
  [4063] = 3909,
  [4064] = 3835,
  [4065] = 3840,
  [4066] = 3842,
  [4067] = 3917,
  [4068] = 3433,
  [4069] = 3909,
  [4070] = 3917,
  [4071] = 4002,
  [4072] = 4062,
  [4073] = 3909,
  [4074] = 3835,
  [4075] = 3840,
  [4076] = 3842,
  [4077] = 3917,
  [4078] = 4002,
  [4079] = 4062,
  [4080] = 3294,
  [4081] = 3909,
  [4082] = 3835,
  [4083] = 3840,
  [4084] = 3842,
  [4085] = 3917,
  [4086] = 3909,
  [4087] = 3257,
  [4088] = 3290,
  [4089] = 3270,
  [4090] = 3835,
  [4091] = 3332,
  [4092] = 3344,
  [4093] = 3380,
  [4094] = 3370,
  [4095] = 3840,
  [4096] = 3842,
  [4097] = 3156,
  [4098] = 3909,
  [4099] = 3835,
  [4100] = 3117,
  [4101] = 3159,
  [4102] = 3167,
  [4103] = 3125,
  [4104] = 3126,
  [4105] = 3130,
  [4106] = 3840,
  [4107] = 3358,
  [4108] = 3840,
  [4109] = 3842,
  [4110] = 3457,
  [4111] = 4062,
  [4112] = 3909,
  [4113] = 3835,
  [4114] = 3840,
  [4115] = 3842,
  [4116] = 3835,
  [4117] = 3840,
  [4118] = 3835,
  [4119] = 3840,
  [4120] = 3264,
  [4121] = 3835,
  [4122] = 3136,
  [4123] = 3840,
  [4124] = 3149,
  [4125] = 3296,
  [4126] = 3907,
  [4127] = 3842,
  [4128] = 4128,
  [4129] = 3333,
  [4130] = 3484,
  [4131] = 3467,
  [4132] = 3261,
  [4133] = 3907,
  [4134] = 4134,
  [4135] = 4135,
  [4136] = 4136,
  [4137] = 4137,
  [4138] = 4138,
  [4139] = 4139,
  [4140] = 4140,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 4143,
  [4144] = 4128,
  [4145] = 4134,
  [4146] = 4135,
  [4147] = 4136,
  [4148] = 4137,
  [4149] = 4138,
  [4150] = 4139,
  [4151] = 4140,
  [4152] = 4141,
  [4153] = 4142,
  [4154] = 3183,
  [4155] = 3118,
  [4156] = 4143,
  [4157] = 4128,
  [4158] = 4134,
  [4159] = 4135,
  [4160] = 4136,
  [4161] = 4137,
  [4162] = 4138,
  [4163] = 4139,
  [4164] = 4140,
  [4165] = 4141,
  [4166] = 4142,
  [4167] = 4143,
  [4168] = 4128,
  [4169] = 3156,
  [4170] = 4134,
  [4171] = 4135,
  [4172] = 4136,
  [4173] = 4137,
  [4174] = 4138,
  [4175] = 4139,
  [4176] = 4140,
  [4177] = 4141,
  [4178] = 4142,
  [4179] = 4136,
  [4180] = 4137,
  [4181] = 4138,
  [4182] = 4139,
  [4183] = 4140,
  [4184] = 3136,
  [4185] = 4143,
  [4186] = 4141,
  [4187] = 4142,
  [4188] = 4128,
  [4189] = 3156,
  [4190] = 4139,
  [4191] = 4136,
  [4192] = 4137,
  [4193] = 4138,
  [4194] = 4139,
  [4195] = 4140,
  [4196] = 4141,
  [4197] = 4142,
  [4198] = 3117,
  [4199] = 3159,
  [4200] = 3167,
  [4201] = 3125,
  [4202] = 3126,
  [4203] = 3130,
  [4204] = 4138,
  [4205] = 4140,
  [4206] = 4138,
  [4207] = 4138,
  [4208] = 4138,
  [4209] = 4135,
  [4210] = 3136,
  [4211] = 3907,
  [4212] = 4138,
  [4213] = 3149,
  [4214] = 3149,
  [4215] = 4138,
  [4216] = 4138,
  [4217] = 4136,
  [4218] = 4137,
  [4219] = 3293,
  [4220] = 4138,
  [4221] = 3301,
  [4222] = 3317,
  [4223] = 3255,
  [4224] = 3346,
  [4225] = 3352,
  [4226] = 3316,
  [4227] = 3323,
  [4228] = 3342,
  [4229] = 3434,
  [4230] = 3397,
  [4231] = 3343,
  [4232] = 3279,
  [4233] = 3311,
  [4234] = 4138,
  [4235] = 3321,
  [4236] = 3364,
  [4237] = 3406,
  [4238] = 3308,
  [4239] = 3327,
  [4240] = 3329,
  [4241] = 3386,
  [4242] = 3307,
  [4243] = 3373,
  [4244] = 3416,
  [4245] = 3435,
  [4246] = 3423,
  [4247] = 3357,
  [4248] = 3368,
  [4249] = 3278,
  [4250] = 3462,
  [4251] = 3258,
  [4252] = 4252,
  [4253] = 3271,
  [4254] = 3272,
  [4255] = 3291,
  [4256] = 3295,
  [4257] = 4138,
  [4258] = 3254,
  [4259] = 3269,
  [4260] = 3264,
  [4261] = 3371,
  [4262] = 4138,
  [4263] = 3374,
  [4264] = 4138,
  [4265] = 3314,
  [4266] = 4138,
  [4267] = 3338,
  [4268] = 4138,
  [4269] = 3392,
  [4270] = 4138,
  [4271] = 3433,
  [4272] = 4138,
  [4273] = 3294,
  [4274] = 3257,
  [4275] = 3290,
  [4276] = 3270,
  [4277] = 3332,
  [4278] = 3344,
  [4279] = 3380,
  [4280] = 3370,
  [4281] = 4138,
  [4282] = 4138,
  [4283] = 3390,
  [4284] = 3358,
  [4285] = 4138,
  [4286] = 3427,
  [4287] = 3413,
  [4288] = 3370,
  [4289] = 3430,
  [4290] = 4138,
  [4291] = 3444,
  [4292] = 3457,
  [4293] = 4138,
  [4294] = 3267,
  [4295] = 4138,
  [4296] = 4138,
  [4297] = 3264,
  [4298] = 4138,
  [4299] = 4141,
  [4300] = 4138,
  [4301] = 4138,
  [4302] = 3367,
  [4303] = 3404,
  [4304] = 4138,
  [4305] = 4142,
  [4306] = 4138,
  [4307] = 3471,
  [4308] = 4138,
  [4309] = 4138,
  [4310] = 3297,
  [4311] = 4138,
  [4312] = 4138,
  [4313] = 3349,
  [4314] = 3274,
  [4315] = 4138,
  [4316] = 4138,
  [4317] = 4138,
  [4318] = 4138,
  [4319] = 3296,
  [4320] = 3324,
  [4321] = 4143,
  [4322] = 3390,
  [4323] = 3268,
  [4324] = 3427,
  [4325] = 3413,
  [4326] = 3430,
  [4327] = 3444,
  [4328] = 3267,
  [4329] = 3298,
  [4330] = 3276,
  [4331] = 3367,
  [4332] = 3404,
  [4333] = 3282,
  [4334] = 3471,
  [4335] = 3297,
  [4336] = 3315,
  [4337] = 3349,
  [4338] = 3274,
  [4339] = 3298,
  [4340] = 3315,
  [4341] = 3252,
  [4342] = 3324,
  [4343] = 3296,
  [4344] = 3268,
  [4345] = 3276,
  [4346] = 3282,
  [4347] = 3252,
  [4348] = 3183,
  [4349] = 3125,
  [4350] = 3126,
  [4351] = 3130,
  [4352] = 3907,
  [4353] = 4134,
  [4354] = 4354,
  [4355] = 3293,
  [4356] = 3118,
  [4357] = 3301,
  [4358] = 3317,
  [4359] = 3255,
  [4360] = 3346,
  [4361] = 3352,
  [4362] = 3316,
  [4363] = 3323,
  [4364] = 3342,
  [4365] = 3434,
  [4366] = 3397,
  [4367] = 3343,
  [4368] = 3279,
  [4369] = 3311,
  [4370] = 3321,
  [4371] = 3364,
  [4372] = 3406,
  [4373] = 3308,
  [4374] = 3327,
  [4375] = 3329,
  [4376] = 3386,
  [4377] = 3307,
  [4378] = 3373,
  [4379] = 3416,
  [4380] = 3435,
  [4381] = 3423,
  [4382] = 3357,
  [4383] = 3368,
  [4384] = 3278,
  [4385] = 3462,
  [4386] = 3258,
  [4387] = 3907,
  [4388] = 3271,
  [4389] = 3272,
  [4390] = 3291,
  [4391] = 3295,
  [4392] = 3254,
  [4393] = 3269,
  [4394] = 3374,
  [4395] = 3371,
  [4396] = 3314,
  [4397] = 3333,
  [4398] = 3338,
  [4399] = 3358,
  [4400] = 4252,
  [4401] = 3484,
  [4402] = 3467,
  [4403] = 3392,
  [4404] = 3261,
  [4405] = 3433,
  [4406] = 3457,
  [4407] = 3117,
  [4408] = 3159,
  [4409] = 3167,
  [4410] = 3294,
  [4411] = 3257,
  [4412] = 3290,
  [4413] = 3270,
  [4414] = 4354,
  [4415] = 3332,
  [4416] = 3344,
  [4417] = 3380,
  [4418] = 4138,
  [4419] = 4419,
  [4420] = 4420,
  [4421] = 4252,
  [4422] = 4422,
  [4423] = 4419,
  [4424] = 4420,
  [4425] = 3272,
  [4426] = 3298,
  [4427] = 3430,
  [4428] = 3392,
  [4429] = 4419,
  [4430] = 4422,
  [4431] = 4422,
  [4432] = 4419,
  [4433] = 4420,
  [4434] = 4419,
  [4435] = 3338,
  [4436] = 3343,
  [4437] = 4354,
  [4438] = 4422,
  [4439] = 4419,
  [4440] = 4420,
  [4441] = 4419,
  [4442] = 4420,
  [4443] = 3352,
  [4444] = 4422,
  [4445] = 4419,
  [4446] = 4420,
  [4447] = 3323,
  [4448] = 4422,
  [4449] = 3296,
  [4450] = 4450,
  [4451] = 4451,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 4454,
  [4455] = 4419,
  [4456] = 4422,
  [4457] = 4419,
  [4458] = 4420,
  [4459] = 3364,
  [4460] = 3406,
  [4461] = 4420,
  [4462] = 3297,
  [4463] = 4420,
  [4464] = 3371,
  [4465] = 4465,
  [4466] = 3315,
  [4467] = 4465,
  [4468] = 4468,
  [4469] = 3404,
  [4470] = 4465,
  [4471] = 4468,
  [4472] = 4422,
  [4473] = 4419,
  [4474] = 4420,
  [4475] = 4475,
  [4476] = 4420,
  [4477] = 4419,
  [4478] = 3316,
  [4479] = 3344,
  [4480] = 3380,
  [4481] = 4475,
  [4482] = 4468,
  [4483] = 3276,
  [4484] = 4422,
  [4485] = 4450,
  [4486] = 4451,
  [4487] = 4452,
  [4488] = 3413,
  [4489] = 4422,
  [4490] = 4419,
  [4491] = 4420,
  [4492] = 4453,
  [4493] = 4454,
  [4494] = 3444,
  [4495] = 4419,
  [4496] = 3333,
  [4497] = 3296,
  [4498] = 3308,
  [4499] = 4420,
  [4500] = 4420,
  [4501] = 3327,
  [4502] = 3371,
  [4503] = 4422,
  [4504] = 4419,
  [4505] = 4420,
  [4506] = 3349,
  [4507] = 3358,
  [4508] = 3274,
  [4509] = 3291,
  [4510] = 3279,
  [4511] = 4422,
  [4512] = 4419,
  [4513] = 4420,
  [4514] = 3390,
  [4515] = 3427,
  [4516] = 3430,
  [4517] = 3267,
  [4518] = 3367,
  [4519] = 4422,
  [4520] = 4419,
  [4521] = 4420,
  [4522] = 3298,
  [4523] = 4420,
  [4524] = 3390,
  [4525] = 3433,
  [4526] = 3329,
  [4527] = 3367,
  [4528] = 3404,
  [4529] = 4252,
  [4530] = 3471,
  [4531] = 4451,
  [4532] = 3297,
  [4533] = 3315,
  [4534] = 4422,
  [4535] = 4535,
  [4536] = 4420,
  [4537] = 3484,
  [4538] = 3467,
  [4539] = 4450,
  [4540] = 4475,
  [4541] = 4419,
  [4542] = 3324,
  [4543] = 4422,
  [4544] = 4419,
  [4545] = 4420,
  [4546] = 3311,
  [4547] = 3314,
  [4548] = 4452,
  [4549] = 3268,
  [4550] = 4453,
  [4551] = 4422,
  [4552] = 4419,
  [4553] = 3276,
  [4554] = 4422,
  [4555] = 3907,
  [4556] = 3282,
  [4557] = 3457,
  [4558] = 3386,
  [4559] = 4422,
  [4560] = 4419,
  [4561] = 4420,
  [4562] = 3252,
  [4563] = 3333,
  [4564] = 4419,
  [4565] = 4420,
  [4566] = 3293,
  [4567] = 4451,
  [4568] = 4452,
  [4569] = 4453,
  [4570] = 4454,
  [4571] = 4422,
  [4572] = 4419,
  [4573] = 4420,
  [4574] = 3307,
  [4575] = 4422,
  [4576] = 4419,
  [4577] = 3484,
  [4578] = 3467,
  [4579] = 3373,
  [4580] = 3255,
  [4581] = 4422,
  [4582] = 4419,
  [4583] = 4420,
  [4584] = 3346,
  [4585] = 4422,
  [4586] = 4419,
  [4587] = 4420,
  [4588] = 3261,
  [4589] = 4450,
  [4590] = 4422,
  [4591] = 4419,
  [4592] = 4420,
  [4593] = 3301,
  [4594] = 3338,
  [4595] = 4422,
  [4596] = 4419,
  [4597] = 4420,
  [4598] = 4422,
  [4599] = 4419,
  [4600] = 4420,
  [4601] = 3317,
  [4602] = 3255,
  [4603] = 4422,
  [4604] = 4419,
  [4605] = 4420,
  [4606] = 3346,
  [4607] = 3261,
  [4608] = 4422,
  [4609] = 4419,
  [4610] = 4420,
  [4611] = 3352,
  [4612] = 4535,
  [4613] = 4419,
  [4614] = 4420,
  [4615] = 4420,
  [4616] = 4616,
  [4617] = 4451,
  [4618] = 4422,
  [4619] = 4419,
  [4620] = 4420,
  [4621] = 4452,
  [4622] = 4453,
  [4623] = 4422,
  [4624] = 4450,
  [4625] = 4454,
  [4626] = 4422,
  [4627] = 3349,
  [4628] = 4450,
  [4629] = 4422,
  [4630] = 3321,
  [4631] = 3374,
  [4632] = 3434,
  [4633] = 3370,
  [4634] = 4451,
  [4635] = 4354,
  [4636] = 4452,
  [4637] = 4453,
  [4638] = 3317,
  [4639] = 4454,
  [4640] = 4422,
  [4641] = 4422,
  [4642] = 3274,
  [4643] = 4419,
  [4644] = 4420,
  [4645] = 4419,
  [4646] = 4420,
  [4647] = 3316,
  [4648] = 3323,
  [4649] = 3342,
  [4650] = 3392,
  [4651] = 3434,
  [4652] = 3397,
  [4653] = 3343,
  [4654] = 4420,
  [4655] = 3279,
  [4656] = 3311,
  [4657] = 3282,
  [4658] = 3321,
  [4659] = 4419,
  [4660] = 3269,
  [4661] = 3264,
  [4662] = 3907,
  [4663] = 3342,
  [4664] = 3416,
  [4665] = 3364,
  [4666] = 4420,
  [4667] = 3406,
  [4668] = 3308,
  [4669] = 3327,
  [4670] = 3433,
  [4671] = 4354,
  [4672] = 3444,
  [4673] = 3252,
  [4674] = 3329,
  [4675] = 3270,
  [4676] = 3471,
  [4677] = 4252,
  [4678] = 3386,
  [4679] = 3307,
  [4680] = 3373,
  [4681] = 4419,
  [4682] = 4420,
  [4683] = 3301,
  [4684] = 3435,
  [4685] = 3268,
  [4686] = 3254,
  [4687] = 3413,
  [4688] = 4422,
  [4689] = 4450,
  [4690] = 3324,
  [4691] = 3416,
  [4692] = 3423,
  [4693] = 3295,
  [4694] = 4252,
  [4695] = 4354,
  [4696] = 3332,
  [4697] = 4419,
  [4698] = 4420,
  [4699] = 3435,
  [4700] = 3423,
  [4701] = 3357,
  [4702] = 3368,
  [4703] = 3278,
  [4704] = 3294,
  [4705] = 3462,
  [4706] = 3258,
  [4707] = 3397,
  [4708] = 4454,
  [4709] = 3271,
  [4710] = 3272,
  [4711] = 4419,
  [4712] = 3291,
  [4713] = 3295,
  [4714] = 3257,
  [4715] = 3290,
  [4716] = 3270,
  [4717] = 3254,
  [4718] = 3332,
  [4719] = 3344,
  [4720] = 3380,
  [4721] = 3370,
  [4722] = 4419,
  [4723] = 4723,
  [4724] = 4465,
  [4725] = 3269,
  [4726] = 4422,
  [4727] = 4419,
  [4728] = 4420,
  [4729] = 3358,
  [4730] = 3357,
  [4731] = 4420,
  [4732] = 3267,
  [4733] = 4468,
  [4734] = 3368,
  [4735] = 3278,
  [4736] = 3257,
  [4737] = 3294,
  [4738] = 4422,
  [4739] = 4419,
  [4740] = 4420,
  [4741] = 3374,
  [4742] = 4451,
  [4743] = 4420,
  [4744] = 3457,
  [4745] = 4452,
  [4746] = 4453,
  [4747] = 3290,
  [4748] = 3293,
  [4749] = 4454,
  [4750] = 4475,
  [4751] = 4475,
  [4752] = 3462,
  [4753] = 3427,
  [4754] = 3258,
  [4755] = 3314,
  [4756] = 4450,
  [4757] = 4451,
  [4758] = 4452,
  [4759] = 4453,
  [4760] = 4454,
  [4761] = 4422,
  [4762] = 4419,
  [4763] = 4420,
  [4764] = 3271,
  [4765] = 4419,
  [4766] = 3264,
  [4767] = 4422,
  [4768] = 4252,
  [4769] = 4354,
  [4770] = 4354,
  [4771] = 3907,
  [4772] = 4252,
  [4773] = 3907,
  [4774] = 3907,
  [4775] = 4252,
  [4776] = 4354,
  [4777] = 4354,
  [4778] = 3907,
  [4779] = 4252,
  [4780] = 4780,
  [4781] = 4252,
  [4782] = 4782,
  [4783] = 4354,
  [4784] = 4252,
  [4785] = 4785,
  [4786] = 4782,
  [4787] = 4787,
  [4788] = 2642,
  [4789] = 4782,
  [4790] = 4354,
  [4791] = 4782,
  [4792] = 4782,
  [4793] = 4793,
  [4794] = 4793,
  [4795] = 4793,
  [4796] = 4796,
  [4797] = 4793,
  [4798] = 4796,
  [4799] = 4793,
  [4800] = 4796,
  [4801] = 4796,
  [4802] = 4793,
  [4803] = 4793,
  [4804] = 4796,
  [4805] = 4796,
  [4806] = 4796,
  [4807] = 4793,
  [4808] = 4793,
  [4809] = 4793,
  [4810] = 4796,
  [4811] = 4793,
  [4812] = 4793,
  [4813] = 4796,
  [4814] = 4793,
  [4815] = 4793,
  [4816] = 4796,
  [4817] = 4796,
  [4818] = 4796,
  [4819] = 4796,
  [4820] = 4793,
  [4821] = 4796,
  [4822] = 4793,
  [4823] = 4796,
  [4824] = 4793,
  [4825] = 4793,
  [4826] = 4796,
  [4827] = 4796,
  [4828] = 4796,
  [4829] = 4793,
  [4830] = 4793,
  [4831] = 4793,
  [4832] = 4796,
  [4833] = 4793,
  [4834] = 4796,
  [4835] = 4793,
  [4836] = 4793,
  [4837] = 4796,
  [4838] = 4793,
  [4839] = 4839,
  [4840] = 4796,
  [4841] = 4796,
  [4842] = 4793,
  [4843] = 4793,
  [4844] = 4796,
  [4845] = 4793,
  [4846] = 4796,
  [4847] = 4793,
  [4848] = 4796,
  [4849] = 4796,
  [4850] = 4796,
  [4851] = 4793,
  [4852] = 4796,
  [4853] = 4796,
  [4854] = 4793,
  [4855] = 4793,
  [4856] = 4796,
  [4857] = 4793,
  [4858] = 4796,
  [4859] = 4796,
  [4860] = 4793,
  [4861] = 4796,
  [4862] = 4793,
  [4863] = 3118,
  [4864] = 3156,
  [4865] = 4796,
  [4866] = 3117,
  [4867] = 3159,
  [4868] = 3167,
  [4869] = 4793,
  [4870] = 3125,
  [4871] = 3126,
  [4872] = 3130,
  [4873] = 4796,
  [4874] = 4796,
  [4875] = 4793,
  [4876] = 4793,
  [4877] = 4796,
  [4878] = 4793,
  [4879] = 4796,
  [4880] = 4796,
  [4881] = 4793,
  [4882] = 3136,
  [4883] = 3183,
  [4884] = 4796,
  [4885] = 4796,
  [4886] = 4796,
  [4887] = 3149,
  [4888] = 4793,
  [4889] = 4793,
  [4890] = 4793,
  [4891] = 4796,
  [4892] = 4793,
  [4893] = 4793,
  [4894] = 4796,
  [4895] = 4796,
  [4896] = 4793,
  [4897] = 3413,
  [4898] = 3290,
  [4899] = 4899,
  [4900] = 4899,
  [4901] = 4899,
  [4902] = 3136,
  [4903] = 4899,
  [4904] = 4899,
  [4905] = 3367,
  [4906] = 4899,
  [4907] = 3392,
  [4908] = 4899,
  [4909] = 4899,
  [4910] = 3484,
  [4911] = 3467,
  [4912] = 3261,
  [4913] = 3404,
  [4914] = 4899,
  [4915] = 3471,
  [4916] = 3370,
  [4917] = 3297,
  [4918] = 3252,
  [4919] = 3338,
  [4920] = 3257,
  [4921] = 4899,
  [4922] = 3349,
  [4923] = 3274,
  [4924] = 4899,
  [4925] = 4899,
  [4926] = 3324,
  [4927] = 4899,
  [4928] = 3293,
  [4929] = 3268,
  [4930] = 3301,
  [4931] = 3317,
  [4932] = 3255,
  [4933] = 3346,
  [4934] = 3352,
  [4935] = 3118,
  [4936] = 3296,
  [4937] = 3316,
  [4938] = 3323,
  [4939] = 3342,
  [4940] = 3434,
  [4941] = 3397,
  [4942] = 3343,
  [4943] = 3183,
  [4944] = 4899,
  [4945] = 3279,
  [4946] = 3311,
  [4947] = 3321,
  [4948] = 3276,
  [4949] = 3364,
  [4950] = 3406,
  [4951] = 3308,
  [4952] = 3327,
  [4953] = 3329,
  [4954] = 3386,
  [4955] = 3307,
  [4956] = 3373,
  [4957] = 3416,
  [4958] = 3435,
  [4959] = 3423,
  [4960] = 3357,
  [4961] = 3368,
  [4962] = 3278,
  [4963] = 3462,
  [4964] = 3258,
  [4965] = 3433,
  [4966] = 3282,
  [4967] = 4899,
  [4968] = 3271,
  [4969] = 3333,
  [4970] = 3291,
  [4971] = 3295,
  [4972] = 4899,
  [4973] = 3430,
  [4974] = 3457,
  [4975] = 4899,
  [4976] = 3254,
  [4977] = 3269,
  [4978] = 4899,
  [4979] = 3294,
  [4980] = 3332,
  [4981] = 4899,
  [4982] = 4899,
  [4983] = 3374,
  [4984] = 3298,
  [4985] = 3358,
  [4986] = 4899,
  [4987] = 3315,
  [4988] = 4899,
  [4989] = 3371,
  [4990] = 4899,
  [4991] = 3156,
  [4992] = 4899,
  [4993] = 4899,
  [4994] = 4899,
  [4995] = 4899,
  [4996] = 4899,
  [4997] = 3264,
  [4998] = 3118,
  [4999] = 4899,
  [5000] = 4899,
  [5001] = 4899,
  [5002] = 4899,
  [5003] = 4899,
  [5004] = 3270,
  [5005] = 3149,
  [5006] = 3380,
  [5007] = 3344,
  [5008] = 4899,
  [5009] = 3267,
  [5010] = 4899,
  [5011] = 3444,
  [5012] = 4899,
  [5013] = 4899,
  [5014] = 3117,
  [5015] = 3159,
  [5016] = 4899,
  [5017] = 4899,
  [5018] = 3167,
  [5019] = 4899,
  [5020] = 4899,
  [5021] = 3314,
  [5022] = 4899,
  [5023] = 4899,
  [5024] = 4899,
  [5025] = 3125,
  [5026] = 4899,
  [5027] = 3126,
  [5028] = 3130,
  [5029] = 4899,
  [5030] = 3390,
  [5031] = 3427,
  [5032] = 3272,
  [5033] = 3274,
  [5034] = 5034,
  [5035] = 3118,
  [5036] = 3183,
  [5037] = 3296,
  [5038] = 5038,
  [5039] = 3413,
  [5040] = 3444,
  [5041] = 5038,
  [5042] = 3349,
  [5043] = 3390,
  [5044] = 3427,
  [5045] = 3430,
  [5046] = 3293,
  [5047] = 3267,
  [5048] = 3298,
  [5049] = 3301,
  [5050] = 3317,
  [5051] = 3255,
  [5052] = 3367,
  [5053] = 3404,
  [5054] = 3346,
  [5055] = 3471,
  [5056] = 3352,
  [5057] = 3297,
  [5058] = 3315,
  [5059] = 3156,
  [5060] = 3371,
  [5061] = 3117,
  [5062] = 3159,
  [5063] = 3167,
  [5064] = 3324,
  [5065] = 3125,
  [5066] = 3126,
  [5067] = 3130,
  [5068] = 3268,
  [5069] = 3316,
  [5070] = 3276,
  [5071] = 3282,
  [5072] = 3323,
  [5073] = 3342,
  [5074] = 3252,
  [5075] = 3434,
  [5076] = 3397,
  [5077] = 3343,
  [5078] = 3279,
  [5079] = 3311,
  [5080] = 3321,
  [5081] = 3364,
  [5082] = 3406,
  [5083] = 3308,
  [5084] = 3327,
  [5085] = 3457,
  [5086] = 3333,
  [5087] = 3386,
  [5088] = 3484,
  [5089] = 3467,
  [5090] = 3136,
  [5091] = 3307,
  [5092] = 3373,
  [5093] = 3261,
  [5094] = 3149,
  [5095] = 3416,
  [5096] = 3435,
  [5097] = 5034,
  [5098] = 3423,
  [5099] = 3357,
  [5100] = 3368,
  [5101] = 3278,
  [5102] = 3462,
  [5103] = 3258,
  [5104] = 3314,
  [5105] = 5034,
  [5106] = 5034,
  [5107] = 3271,
  [5108] = 5034,
  [5109] = 5034,
  [5110] = 3272,
  [5111] = 3291,
  [5112] = 3295,
  [5113] = 3254,
  [5114] = 3269,
  [5115] = 3338,
  [5116] = 3392,
  [5117] = 3374,
  [5118] = 3433,
  [5119] = 3294,
  [5120] = 3257,
  [5121] = 3290,
  [5122] = 3270,
  [5123] = 3332,
  [5124] = 3344,
  [5125] = 3380,
  [5126] = 3370,
  [5127] = 3264,
  [5128] = 3358,
  [5129] = 3329,
  [5130] = 5130,
  [5131] = 3373,
  [5132] = 3416,
  [5133] = 3435,
  [5134] = 3423,
  [5135] = 3357,
  [5136] = 3368,
  [5137] = 3278,
  [5138] = 3462,
  [5139] = 3258,
  [5140] = 3271,
  [5141] = 3272,
  [5142] = 3291,
  [5143] = 3295,
  [5144] = 3254,
  [5145] = 3136,
  [5146] = 3293,
  [5147] = 3156,
  [5148] = 3269,
  [5149] = 5149,
  [5150] = 3371,
  [5151] = 3156,
  [5152] = 3374,
  [5153] = 3183,
  [5154] = 5154,
  [5155] = 3301,
  [5156] = 3314,
  [5157] = 3317,
  [5158] = 3255,
  [5159] = 3346,
  [5160] = 3338,
  [5161] = 3352,
  [5162] = 3392,
  [5163] = 3433,
  [5164] = 3294,
  [5165] = 3257,
  [5166] = 3290,
  [5167] = 3270,
  [5168] = 3332,
  [5169] = 3344,
  [5170] = 3380,
  [5171] = 3370,
  [5172] = 3117,
  [5173] = 3159,
  [5174] = 3167,
  [5175] = 5130,
  [5176] = 3149,
  [5177] = 5149,
  [5178] = 5130,
  [5179] = 3183,
  [5180] = 3261,
  [5181] = 3264,
  [5182] = 3358,
  [5183] = 3316,
  [5184] = 3323,
  [5185] = 3342,
  [5186] = 3118,
  [5187] = 5149,
  [5188] = 5130,
  [5189] = 3457,
  [5190] = 5130,
  [5191] = 3434,
  [5192] = 3125,
  [5193] = 3126,
  [5194] = 3130,
  [5195] = 5130,
  [5196] = 3397,
  [5197] = 3343,
  [5198] = 5130,
  [5199] = 5130,
  [5200] = 5130,
  [5201] = 5130,
  [5202] = 5130,
  [5203] = 5130,
  [5204] = 5130,
  [5205] = 5130,
  [5206] = 3296,
  [5207] = 3279,
  [5208] = 5130,
  [5209] = 3311,
  [5210] = 5130,
  [5211] = 5130,
  [5212] = 5130,
  [5213] = 5130,
  [5214] = 3467,
  [5215] = 3136,
  [5216] = 3333,
  [5217] = 5130,
  [5218] = 5130,
  [5219] = 3149,
  [5220] = 5130,
  [5221] = 5130,
  [5222] = 5130,
  [5223] = 5130,
  [5224] = 5130,
  [5225] = 5130,
  [5226] = 5130,
  [5227] = 5130,
  [5228] = 5130,
  [5229] = 5130,
  [5230] = 3321,
  [5231] = 5130,
  [5232] = 5130,
  [5233] = 5130,
  [5234] = 5130,
  [5235] = 3364,
  [5236] = 5130,
  [5237] = 5130,
  [5238] = 5130,
  [5239] = 3406,
  [5240] = 3308,
  [5241] = 5130,
  [5242] = 5130,
  [5243] = 3327,
  [5244] = 5130,
  [5245] = 3329,
  [5246] = 3386,
  [5247] = 5130,
  [5248] = 5130,
  [5249] = 5130,
  [5250] = 5130,
  [5251] = 3117,
  [5252] = 3159,
  [5253] = 3167,
  [5254] = 5154,
  [5255] = 5154,
  [5256] = 5154,
  [5257] = 5154,
  [5258] = 5154,
  [5259] = 3125,
  [5260] = 3126,
  [5261] = 3130,
  [5262] = 3390,
  [5263] = 3427,
  [5264] = 3413,
  [5265] = 3430,
  [5266] = 3444,
  [5267] = 3267,
  [5268] = 3298,
  [5269] = 3367,
  [5270] = 3404,
  [5271] = 3471,
  [5272] = 3297,
  [5273] = 3315,
  [5274] = 3907,
  [5275] = 5275,
  [5276] = 3349,
  [5277] = 3274,
  [5278] = 3324,
  [5279] = 3268,
  [5280] = 3276,
  [5281] = 3282,
  [5282] = 3252,
  [5283] = 5275,
  [5284] = 3307,
  [5285] = 3484,
  [5286] = 5130,
  [5287] = 3433,
  [5288] = 3371,
  [5289] = 3269,
  [5290] = 3296,
  [5291] = 3316,
  [5292] = 3364,
  [5293] = 3282,
  [5294] = 3406,
  [5295] = 3308,
  [5296] = 3368,
  [5297] = 3327,
  [5298] = 3433,
  [5299] = 3374,
  [5300] = 3329,
  [5301] = 3278,
  [5302] = 3457,
  [5303] = 3349,
  [5304] = 3338,
  [5305] = 3333,
  [5306] = 3358,
  [5307] = 3315,
  [5308] = 3386,
  [5309] = 3404,
  [5310] = 3392,
  [5311] = 3430,
  [5312] = 3301,
  [5313] = 3343,
  [5314] = 3264,
  [5315] = 3307,
  [5316] = 3457,
  [5317] = 3268,
  [5318] = 3276,
  [5319] = 3156,
  [5320] = 3293,
  [5321] = 3294,
  [5322] = 3462,
  [5323] = 3276,
  [5324] = 3282,
  [5325] = 3257,
  [5326] = 3261,
  [5327] = 3297,
  [5328] = 3258,
  [5329] = 3290,
  [5330] = 3392,
  [5331] = 3118,
  [5332] = 3907,
  [5333] = 3270,
  [5334] = 3279,
  [5335] = 3332,
  [5336] = 3344,
  [5337] = 3380,
  [5338] = 3338,
  [5339] = 3370,
  [5340] = 3311,
  [5341] = 3271,
  [5342] = 3317,
  [5343] = 3358,
  [5344] = 3427,
  [5345] = 3255,
  [5346] = 3373,
  [5347] = 3352,
  [5348] = 3346,
  [5349] = 3323,
  [5350] = 3297,
  [5351] = 3413,
  [5352] = 3321,
  [5353] = 3416,
  [5354] = 3435,
  [5355] = 3279,
  [5356] = 3423,
  [5357] = 3315,
  [5358] = 3311,
  [5359] = 3434,
  [5360] = 3413,
  [5361] = 3324,
  [5362] = 3390,
  [5363] = 3267,
  [5364] = 3364,
  [5365] = 3357,
  [5366] = 3368,
  [5367] = 3278,
  [5368] = 3314,
  [5369] = 3117,
  [5370] = 3269,
  [5371] = 3427,
  [5372] = 3342,
  [5373] = 3397,
  [5374] = 3343,
  [5375] = 3352,
  [5376] = 3272,
  [5377] = 3291,
  [5378] = 3294,
  [5379] = 3274,
  [5380] = 3295,
  [5381] = 3321,
  [5382] = 3167,
  [5383] = 3349,
  [5384] = 3462,
  [5385] = 3258,
  [5386] = 3301,
  [5387] = 3314,
  [5388] = 3317,
  [5389] = 3406,
  [5390] = 3255,
  [5391] = 3308,
  [5392] = 3271,
  [5393] = 3323,
  [5394] = 3333,
  [5395] = 3264,
  [5396] = 3272,
  [5397] = 3291,
  [5398] = 3136,
  [5399] = 3295,
  [5400] = 3296,
  [5401] = 3471,
  [5402] = 3327,
  [5403] = 3484,
  [5404] = 3329,
  [5405] = 3467,
  [5406] = 3257,
  [5407] = 3290,
  [5408] = 3413,
  [5409] = 3261,
  [5410] = 3125,
  [5411] = 3126,
  [5412] = 3130,
  [5413] = 3270,
  [5414] = 3430,
  [5415] = 3371,
  [5416] = 3316,
  [5417] = 3342,
  [5418] = 3386,
  [5419] = 3307,
  [5420] = 3254,
  [5421] = 3332,
  [5422] = 3324,
  [5423] = 3344,
  [5424] = 3380,
  [5425] = 3370,
  [5426] = 3434,
  [5427] = 3373,
  [5428] = 3397,
  [5429] = 3444,
  [5430] = 3484,
  [5431] = 3274,
  [5432] = 3149,
  [5433] = 3349,
  [5434] = 3183,
  [5435] = 4252,
  [5436] = 3467,
  [5437] = 3349,
  [5438] = 3293,
  [5439] = 3416,
  [5440] = 3413,
  [5441] = 3390,
  [5442] = 3444,
  [5443] = 3367,
  [5444] = 3252,
  [5445] = 3374,
  [5446] = 4354,
  [5447] = 3346,
  [5448] = 3435,
  [5449] = 3254,
  [5450] = 3267,
  [5451] = 3423,
  [5452] = 3268,
  [5453] = 3298,
  [5454] = 3252,
  [5455] = 3118,
  [5456] = 3367,
  [5457] = 3404,
  [5458] = 3357,
  [5459] = 3298,
  [5460] = 3471,
  [5461] = 3159,
  [5462] = 3255,
  [5463] = 3332,
  [5464] = 3344,
  [5465] = 3380,
  [5466] = 3274,
  [5467] = 3370,
  [5468] = 3346,
  [5469] = 3392,
  [5470] = 3352,
  [5471] = 3349,
  [5472] = 3267,
  [5473] = 3316,
  [5474] = 3323,
  [5475] = 3342,
  [5476] = 3434,
  [5477] = 3397,
  [5478] = 5478,
  [5479] = 3343,
  [5480] = 3907,
  [5481] = 3338,
  [5482] = 3279,
  [5483] = 5483,
  [5484] = 3404,
  [5485] = 3413,
  [5486] = 3311,
  [5487] = 5487,
  [5488] = 3471,
  [5489] = 3358,
  [5490] = 3349,
  [5491] = 3321,
  [5492] = 3297,
  [5493] = 3433,
  [5494] = 3364,
  [5495] = 3406,
  [5496] = 3457,
  [5497] = 3324,
  [5498] = 3268,
  [5499] = 3264,
  [5500] = 3308,
  [5501] = 3327,
  [5502] = 3471,
  [5503] = 3329,
  [5504] = 3276,
  [5505] = 3386,
  [5506] = 3307,
  [5507] = 3373,
  [5508] = 5487,
  [5509] = 3274,
  [5510] = 3371,
  [5511] = 3416,
  [5512] = 3435,
  [5513] = 3423,
  [5514] = 3357,
  [5515] = 3368,
  [5516] = 5516,
  [5517] = 3278,
  [5518] = 5483,
  [5519] = 3462,
  [5520] = 3258,
  [5521] = 3298,
  [5522] = 5516,
  [5523] = 3282,
  [5524] = 3296,
  [5525] = 3252,
  [5526] = 3413,
  [5527] = 3315,
  [5528] = 3374,
  [5529] = 3390,
  [5530] = 3314,
  [5531] = 3294,
  [5532] = 3427,
  [5533] = 3390,
  [5534] = 3118,
  [5535] = 5535,
  [5536] = 3333,
  [5537] = 3484,
  [5538] = 3427,
  [5539] = 3430,
  [5540] = 3430,
  [5541] = 4252,
  [5542] = 3349,
  [5543] = 5543,
  [5544] = 3467,
  [5545] = 3271,
  [5546] = 3367,
  [5547] = 3261,
  [5548] = 3390,
  [5549] = 3427,
  [5550] = 3430,
  [5551] = 3252,
  [5552] = 3272,
  [5553] = 3291,
  [5554] = 3444,
  [5555] = 3267,
  [5556] = 3298,
  [5557] = 3295,
  [5558] = 3257,
  [5559] = 3367,
  [5560] = 3471,
  [5561] = 3254,
  [5562] = 3297,
  [5563] = 3315,
  [5564] = 3367,
  [5565] = 3297,
  [5566] = 3274,
  [5567] = 3290,
  [5568] = 3444,
  [5569] = 3267,
  [5570] = 3293,
  [5571] = 3270,
  [5572] = 3301,
  [5573] = 3252,
  [5574] = 5574,
  [5575] = 5478,
  [5576] = 4354,
  [5577] = 3269,
  [5578] = 3315,
  [5579] = 3413,
  [5580] = 3317,
  [5581] = 3444,
  [5582] = 3298,
  [5583] = 3367,
  [5584] = 5584,
  [5585] = 5585,
  [5586] = 3471,
  [5587] = 5587,
  [5588] = 5588,
  [5589] = 5589,
  [5590] = 5590,
  [5591] = 5587,
  [5592] = 3907,
  [5593] = 3126,
  [5594] = 3297,
  [5595] = 3315,
  [5596] = 3136,
  [5597] = 5597,
  [5598] = 5598,
  [5599] = 3333,
  [5600] = 3390,
  [5601] = 5597,
  [5602] = 5602,
  [5603] = 3297,
  [5604] = 5604,
  [5605] = 5588,
  [5606] = 3427,
  [5607] = 5607,
  [5608] = 3484,
  [5609] = 5590,
  [5610] = 5610,
  [5611] = 3467,
  [5612] = 5612,
  [5613] = 5613,
  [5614] = 5614,
  [5615] = 5584,
  [5616] = 5616,
  [5617] = 5585,
  [5618] = 5618,
  [5619] = 5483,
  [5620] = 5620,
  [5621] = 5621,
  [5622] = 3296,
  [5623] = 3471,
  [5624] = 3261,
  [5625] = 5625,
  [5626] = 3430,
  [5627] = 3333,
  [5628] = 5628,
  [5629] = 5629,
  [5630] = 3252,
  [5631] = 5616,
  [5632] = 3159,
  [5633] = 5633,
  [5634] = 3130,
  [5635] = 3444,
  [5636] = 5483,
  [5637] = 5625,
  [5638] = 4354,
  [5639] = 5639,
  [5640] = 5478,
  [5641] = 3118,
  [5642] = 5642,
  [5643] = 5643,
  [5644] = 3324,
  [5645] = 5516,
  [5646] = 3274,
  [5647] = 5647,
  [5648] = 5648,
  [5649] = 5589,
  [5650] = 3267,
  [5651] = 5651,
  [5652] = 3167,
  [5653] = 5653,
  [5654] = 5487,
  [5655] = 3183,
  [5656] = 5656,
  [5657] = 5651,
  [5658] = 5658,
  [5659] = 5659,
  [5660] = 5660,
  [5661] = 5661,
  [5662] = 3264,
  [5663] = 5478,
  [5664] = 5516,
  [5665] = 3907,
  [5666] = 5666,
  [5667] = 3404,
  [5668] = 3252,
  [5669] = 5613,
  [5670] = 3261,
  [5671] = 5607,
  [5672] = 5614,
  [5673] = 5666,
  [5674] = 3264,
  [5675] = 3156,
  [5676] = 5676,
  [5677] = 5628,
  [5678] = 3404,
  [5679] = 3268,
  [5680] = 5647,
  [5681] = 5602,
  [5682] = 5653,
  [5683] = 5683,
  [5684] = 5684,
  [5685] = 3276,
  [5686] = 3298,
  [5687] = 3282,
  [5688] = 5688,
  [5689] = 3324,
  [5690] = 5683,
  [5691] = 3125,
  [5692] = 3268,
  [5693] = 5612,
  [5694] = 3276,
  [5695] = 3282,
  [5696] = 3149,
  [5697] = 5697,
  [5698] = 5656,
  [5699] = 5699,
  [5700] = 5700,
  [5701] = 5658,
  [5702] = 3117,
  [5703] = 5703,
  [5704] = 5618,
  [5705] = 5705,
  [5706] = 5700,
  [5707] = 5642,
  [5708] = 3298,
  [5709] = 3484,
  [5710] = 3296,
  [5711] = 5643,
  [5712] = 3467,
  [5713] = 5604,
  [5714] = 5610,
  [5715] = 4252,
  [5716] = 5661,
  [5717] = 5717,
  [5718] = 3267,
  [5719] = 5621,
  [5720] = 5639,
  [5721] = 3274,
  [5722] = 5660,
  [5723] = 3444,
  [5724] = 5648,
  [5725] = 5684,
  [5726] = 5697,
  [5727] = 5629,
  [5728] = 5487,
  [5729] = 5659,
  [5730] = 5676,
  [5731] = 5620,
  [5732] = 5633,
  [5733] = 3367,
  [5734] = 5734,
  [5735] = 5703,
  [5736] = 5705,
  [5737] = 5734,
  [5738] = 5688,
  [5739] = 5717,
  [5740] = 3390,
  [5741] = 3427,
  [5742] = 3315,
  [5743] = 5699,
  [5744] = 3430,
  [5745] = 5598,
  [5746] = 5620,
  [5747] = 3183,
  [5748] = 3307,
  [5749] = 3374,
  [5750] = 5705,
  [5751] = 3291,
  [5752] = 3125,
  [5753] = 3126,
  [5754] = 5629,
  [5755] = 3290,
  [5756] = 3130,
  [5757] = 3295,
  [5758] = 3308,
  [5759] = 5651,
  [5760] = 5607,
  [5761] = 3254,
  [5762] = 5683,
  [5763] = 3371,
  [5764] = 3327,
  [5765] = 3272,
  [5766] = 3404,
  [5767] = 5656,
  [5768] = 5658,
  [5769] = 5661,
  [5770] = 5699,
  [5771] = 5688,
  [5772] = 3416,
  [5773] = 3435,
  [5774] = 5585,
  [5775] = 5587,
  [5776] = 3296,
  [5777] = 3370,
  [5778] = 3270,
  [5779] = 5703,
  [5780] = 5705,
  [5781] = 3324,
  [5782] = 3338,
  [5783] = 3358,
  [5784] = 5597,
  [5785] = 5588,
  [5786] = 5717,
  [5787] = 3423,
  [5788] = 5676,
  [5789] = 5697,
  [5790] = 3264,
  [5791] = 3136,
  [5792] = 3392,
  [5793] = 3255,
  [5794] = 3404,
  [5795] = 3329,
  [5796] = 3434,
  [5797] = 3373,
  [5798] = 5589,
  [5799] = 3397,
  [5800] = 5616,
  [5801] = 3390,
  [5802] = 5700,
  [5803] = 3316,
  [5804] = 3333,
  [5805] = 3386,
  [5806] = 3343,
  [5807] = 5614,
  [5808] = 3427,
  [5809] = 3357,
  [5810] = 5612,
  [5811] = 3364,
  [5812] = 3413,
  [5813] = 3484,
  [5814] = 5625,
  [5815] = 3467,
  [5816] = 3261,
  [5817] = 3149,
  [5818] = 3346,
  [5819] = 3301,
  [5820] = 3314,
  [5821] = 5676,
  [5822] = 3324,
  [5823] = 3118,
  [5824] = 5643,
  [5825] = 5699,
  [5826] = 5656,
  [5827] = 3296,
  [5828] = 5700,
  [5829] = 3430,
  [5830] = 5602,
  [5831] = 3444,
  [5832] = 5647,
  [5833] = 5651,
  [5834] = 3269,
  [5835] = 5683,
  [5836] = 3267,
  [5837] = 3268,
  [5838] = 5642,
  [5839] = 5658,
  [5840] = 3118,
  [5841] = 4252,
  [5842] = 5688,
  [5843] = 5661,
  [5844] = 3367,
  [5845] = 5590,
  [5846] = 5643,
  [5847] = 3907,
  [5848] = 3276,
  [5849] = 4354,
  [5850] = 3404,
  [5851] = 3333,
  [5852] = 3282,
  [5853] = 5639,
  [5854] = 5660,
  [5855] = 3484,
  [5856] = 3467,
  [5857] = 3264,
  [5858] = 3258,
  [5859] = 3276,
  [5860] = 4252,
  [5861] = 5684,
  [5862] = 3471,
  [5863] = 5697,
  [5864] = 3297,
  [5865] = 5604,
  [5866] = 5610,
  [5867] = 3349,
  [5868] = 3368,
  [5869] = 4354,
  [5870] = 5590,
  [5871] = 5585,
  [5872] = 3274,
  [5873] = 5648,
  [5874] = 3156,
  [5875] = 5621,
  [5876] = 3315,
  [5877] = 3268,
  [5878] = 5620,
  [5879] = 3324,
  [5880] = 3268,
  [5881] = 3261,
  [5882] = 5587,
  [5883] = 5597,
  [5884] = 3276,
  [5885] = 3282,
  [5886] = 3433,
  [5887] = 3457,
  [5888] = 5602,
  [5889] = 3317,
  [5890] = 3344,
  [5891] = 5618,
  [5892] = 5666,
  [5893] = 3278,
  [5894] = 5629,
  [5895] = 3332,
  [5896] = 3352,
  [5897] = 5604,
  [5898] = 5610,
  [5899] = 3279,
  [5900] = 5618,
  [5901] = 3406,
  [5902] = 5717,
  [5903] = 3323,
  [5904] = 3282,
  [5905] = 5614,
  [5906] = 3294,
  [5907] = 3298,
  [5908] = 5633,
  [5909] = 5598,
  [5910] = 3342,
  [5911] = 5639,
  [5912] = 5734,
  [5913] = 5612,
  [5914] = 5653,
  [5915] = 5628,
  [5916] = 5659,
  [5917] = 5621,
  [5918] = 3257,
  [5919] = 5633,
  [5920] = 5584,
  [5921] = 3293,
  [5922] = 5660,
  [5923] = 3271,
  [5924] = 5734,
  [5925] = 5648,
  [5926] = 5653,
  [5927] = 5703,
  [5928] = 5628,
  [5929] = 3333,
  [5930] = 5659,
  [5931] = 5584,
  [5932] = 5613,
  [5933] = 3311,
  [5934] = 5613,
  [5935] = 5607,
  [5936] = 5616,
  [5937] = 5625,
  [5938] = 3264,
  [5939] = 5589,
  [5940] = 3296,
  [5941] = 5684,
  [5942] = 3252,
  [5943] = 5642,
  [5944] = 3462,
  [5945] = 3484,
  [5946] = 5666,
  [5947] = 3117,
  [5948] = 5647,
  [5949] = 3467,
  [5950] = 5598,
  [5951] = 3159,
  [5952] = 3167,
  [5953] = 3261,
  [5954] = 3380,
  [5955] = 3321,
  [5956] = 5588,
  [5957] = 3294,
  [5958] = 3311,
  [5959] = 3390,
  [5960] = 3159,
  [5961] = 3268,
  [5962] = 3321,
  [5963] = 3427,
  [5964] = 3342,
  [5965] = 3332,
  [5966] = 3276,
  [5967] = 3413,
  [5968] = 3282,
  [5969] = 3183,
  [5970] = 3430,
  [5971] = 3317,
  [5972] = 3444,
  [5973] = 5973,
  [5974] = 3267,
  [5975] = 3118,
  [5976] = 3364,
  [5977] = 3252,
  [5978] = 3406,
  [5979] = 3374,
  [5980] = 3308,
  [5981] = 3117,
  [5982] = 3269,
  [5983] = 5973,
  [5984] = 3344,
  [5985] = 3352,
  [5986] = 3298,
  [5987] = 3327,
  [5988] = 4354,
  [5989] = 5989,
  [5990] = 5973,
  [5991] = 3329,
  [5992] = 3380,
  [5993] = 3433,
  [5994] = 5994,
  [5995] = 3367,
  [5996] = 3404,
  [5997] = 5994,
  [5998] = 5998,
  [5999] = 3386,
  [6000] = 5973,
  [6001] = 3307,
  [6002] = 3373,
  [6003] = 3416,
  [6004] = 3471,
  [6005] = 3301,
  [6006] = 5989,
  [6007] = 3370,
  [6008] = 3254,
  [6009] = 3297,
  [6010] = 3315,
  [6011] = 3392,
  [6012] = 5973,
  [6013] = 3293,
  [6014] = 5973,
  [6015] = 5998,
  [6016] = 3272,
  [6017] = 5998,
  [6018] = 3349,
  [6019] = 3435,
  [6020] = 3423,
  [6021] = 3357,
  [6022] = 3368,
  [6023] = 3278,
  [6024] = 3467,
  [6025] = 5973,
  [6026] = 3274,
  [6027] = 3264,
  [6028] = 5973,
  [6029] = 3257,
  [6030] = 5973,
  [6031] = 3156,
  [6032] = 3371,
  [6033] = 3261,
  [6034] = 3255,
  [6035] = 5994,
  [6036] = 3434,
  [6037] = 3462,
  [6038] = 3333,
  [6039] = 3296,
  [6040] = 3290,
  [6041] = 3130,
  [6042] = 3295,
  [6043] = 5989,
  [6044] = 3126,
  [6045] = 3338,
  [6046] = 4252,
  [6047] = 3397,
  [6048] = 3125,
  [6049] = 3358,
  [6050] = 3258,
  [6051] = 3270,
  [6052] = 3343,
  [6053] = 3316,
  [6054] = 3136,
  [6055] = 3314,
  [6056] = 3291,
  [6057] = 5989,
  [6058] = 5989,
  [6059] = 3346,
  [6060] = 3324,
  [6061] = 3323,
  [6062] = 3484,
  [6063] = 3279,
  [6064] = 3457,
  [6065] = 3167,
  [6066] = 3271,
  [6067] = 3149,
  [6068] = 5994,
  [6069] = 5989,
  [6070] = 3118,
  [6071] = 3290,
  [6072] = 3117,
  [6073] = 3159,
  [6074] = 3167,
  [6075] = 3271,
  [6076] = 3316,
  [6077] = 3272,
  [6078] = 3291,
  [6079] = 3374,
  [6080] = 3295,
  [6081] = 3323,
  [6082] = 6082,
  [6083] = 3342,
  [6084] = 3352,
  [6085] = 3125,
  [6086] = 3126,
  [6087] = 6087,
  [6088] = 3130,
  [6089] = 3149,
  [6090] = 3434,
  [6091] = 3254,
  [6092] = 3397,
  [6093] = 3343,
  [6094] = 3324,
  [6095] = 3317,
  [6096] = 6087,
  [6097] = 3156,
  [6098] = 3390,
  [6099] = 3279,
  [6100] = 3427,
  [6101] = 3156,
  [6102] = 3117,
  [6103] = 3159,
  [6104] = 3167,
  [6105] = 3311,
  [6106] = 3268,
  [6107] = 3413,
  [6108] = 3125,
  [6109] = 3126,
  [6110] = 3130,
  [6111] = 3183,
  [6112] = 3276,
  [6113] = 3264,
  [6114] = 3282,
  [6115] = 3338,
  [6116] = 3358,
  [6117] = 6082,
  [6118] = 3430,
  [6119] = 3269,
  [6120] = 3252,
  [6121] = 3296,
  [6122] = 6087,
  [6123] = 3338,
  [6124] = 3358,
  [6125] = 3392,
  [6126] = 3298,
  [6127] = 3183,
  [6128] = 3301,
  [6129] = 3444,
  [6130] = 3136,
  [6131] = 3392,
  [6132] = 3433,
  [6133] = 3457,
  [6134] = 3315,
  [6135] = 3156,
  [6136] = 3136,
  [6137] = 3321,
  [6138] = 3294,
  [6139] = 3433,
  [6140] = 3457,
  [6141] = 3257,
  [6142] = 3270,
  [6143] = 6082,
  [6144] = 3332,
  [6145] = 3344,
  [6146] = 3149,
  [6147] = 6087,
  [6148] = 3380,
  [6149] = 3370,
  [6150] = 3293,
  [6151] = 3149,
  [6152] = 3183,
  [6153] = 3296,
  [6154] = 3301,
  [6155] = 3317,
  [6156] = 3255,
  [6157] = 3346,
  [6158] = 3352,
  [6159] = 3316,
  [6160] = 3323,
  [6161] = 3342,
  [6162] = 3434,
  [6163] = 3397,
  [6164] = 3343,
  [6165] = 3156,
  [6166] = 3279,
  [6167] = 3311,
  [6168] = 3321,
  [6169] = 3364,
  [6170] = 3406,
  [6171] = 3308,
  [6172] = 3327,
  [6173] = 3329,
  [6174] = 3386,
  [6175] = 3307,
  [6176] = 3373,
  [6177] = 3416,
  [6178] = 3435,
  [6179] = 3423,
  [6180] = 3357,
  [6181] = 3368,
  [6182] = 3278,
  [6183] = 3462,
  [6184] = 3258,
  [6185] = 3117,
  [6186] = 3159,
  [6187] = 3167,
  [6188] = 3271,
  [6189] = 3272,
  [6190] = 3291,
  [6191] = 3295,
  [6192] = 3125,
  [6193] = 3126,
  [6194] = 3130,
  [6195] = 3254,
  [6196] = 3183,
  [6197] = 3269,
  [6198] = 3374,
  [6199] = 3333,
  [6200] = 3484,
  [6201] = 3467,
  [6202] = 3136,
  [6203] = 3156,
  [6204] = 3149,
  [6205] = 3117,
  [6206] = 3159,
  [6207] = 3167,
  [6208] = 3125,
  [6209] = 3126,
  [6210] = 3130,
  [6211] = 3261,
  [6212] = 3294,
  [6213] = 3338,
  [6214] = 3118,
  [6215] = 3118,
  [6216] = 3118,
  [6217] = 3118,
  [6218] = 3392,
  [6219] = 3156,
  [6220] = 3117,
  [6221] = 3433,
  [6222] = 3294,
  [6223] = 3117,
  [6224] = 3159,
  [6225] = 3167,
  [6226] = 3257,
  [6227] = 3290,
  [6228] = 3159,
  [6229] = 3270,
  [6230] = 3125,
  [6231] = 3126,
  [6232] = 3130,
  [6233] = 3332,
  [6234] = 3344,
  [6235] = 3380,
  [6236] = 3370,
  [6237] = 3136,
  [6238] = 3156,
  [6239] = 3149,
  [6240] = 3117,
  [6241] = 3159,
  [6242] = 3167,
  [6243] = 3167,
  [6244] = 3125,
  [6245] = 3126,
  [6246] = 3130,
  [6247] = 3264,
  [6248] = 3358,
  [6249] = 3136,
  [6250] = 3390,
  [6251] = 3156,
  [6252] = 3427,
  [6253] = 3457,
  [6254] = 3149,
  [6255] = 3346,
  [6256] = 3159,
  [6257] = 3413,
  [6258] = 3167,
  [6259] = 3125,
  [6260] = 3126,
  [6261] = 3130,
  [6262] = 3430,
  [6263] = 3444,
  [6264] = 3267,
  [6265] = 3367,
  [6266] = 3404,
  [6267] = 3471,
  [6268] = 3297,
  [6269] = 3349,
  [6270] = 3274,
  [6271] = 3324,
  [6272] = 3268,
  [6273] = 3136,
  [6274] = 3276,
  [6275] = 3282,
  [6276] = 3257,
  [6277] = 3298,
  [6278] = 3290,
  [6279] = 3315,
  [6280] = 3149,
  [6281] = 3270,
  [6282] = 3252,
  [6283] = 3125,
  [6284] = 3390,
  [6285] = 3136,
  [6286] = 3427,
  [6287] = 3413,
  [6288] = 3430,
  [6289] = 3444,
  [6290] = 3126,
  [6291] = 3149,
  [6292] = 3130,
  [6293] = 3267,
  [6294] = 3183,
  [6295] = 3118,
  [6296] = 3367,
  [6297] = 3404,
  [6298] = 3471,
  [6299] = 3297,
  [6300] = 3349,
  [6301] = 3274,
  [6302] = 3324,
  [6303] = 3268,
  [6304] = 3276,
  [6305] = 3282,
  [6306] = 3332,
  [6307] = 3344,
  [6308] = 3380,
  [6309] = 3370,
  [6310] = 3298,
  [6311] = 3293,
  [6312] = 3315,
  [6313] = 3301,
  [6314] = 3317,
  [6315] = 3252,
  [6316] = 3267,
  [6317] = 3255,
  [6318] = 3346,
  [6319] = 3352,
  [6320] = 3371,
  [6321] = 3316,
  [6322] = 3323,
  [6323] = 3342,
  [6324] = 3434,
  [6325] = 3397,
  [6326] = 3343,
  [6327] = 3907,
  [6328] = 3279,
  [6329] = 3311,
  [6330] = 3364,
  [6331] = 3321,
  [6332] = 3364,
  [6333] = 3118,
  [6334] = 3406,
  [6335] = 3308,
  [6336] = 3327,
  [6337] = 3406,
  [6338] = 3329,
  [6339] = 3308,
  [6340] = 3386,
  [6341] = 3307,
  [6342] = 3373,
  [6343] = 3327,
  [6344] = 3416,
  [6345] = 3435,
  [6346] = 3423,
  [6347] = 3357,
  [6348] = 3368,
  [6349] = 3278,
  [6350] = 3462,
  [6351] = 3258,
  [6352] = 3314,
  [6353] = 3329,
  [6354] = 3271,
  [6355] = 3371,
  [6356] = 3272,
  [6357] = 3291,
  [6358] = 3295,
  [6359] = 3367,
  [6360] = 3404,
  [6361] = 3386,
  [6362] = 3314,
  [6363] = 3264,
  [6364] = 3254,
  [6365] = 3296,
  [6366] = 3307,
  [6367] = 3373,
  [6368] = 3471,
  [6369] = 3416,
  [6370] = 3333,
  [6371] = 3484,
  [6372] = 3467,
  [6373] = 3261,
  [6374] = 3269,
  [6375] = 3333,
  [6376] = 3333,
  [6377] = 3484,
  [6378] = 3467,
  [6379] = 3371,
  [6380] = 3261,
  [6381] = 6082,
  [6382] = 3435,
  [6383] = 3423,
  [6384] = 3484,
  [6385] = 3467,
  [6386] = 3297,
  [6387] = 3357,
  [6388] = 3368,
  [6389] = 3278,
  [6390] = 3261,
  [6391] = 3314,
  [6392] = 3255,
  [6393] = 3349,
  [6394] = 3462,
  [6395] = 3374,
  [6396] = 3136,
  [6397] = 3183,
  [6398] = 3118,
  [6399] = 3293,
  [6400] = 3274,
  [6401] = 3258,
  [6402] = 3117,
  [6403] = 3406,
  [6404] = 3416,
  [6405] = 3435,
  [6406] = 3423,
  [6407] = 3357,
  [6408] = 3368,
  [6409] = 3278,
  [6410] = 3462,
  [6411] = 3258,
  [6412] = 3183,
  [6413] = 3293,
  [6414] = 3125,
  [6415] = 3271,
  [6416] = 3118,
  [6417] = 3118,
  [6418] = 3118,
  [6419] = 3118,
  [6420] = 3272,
  [6421] = 3291,
  [6422] = 3295,
  [6423] = 3374,
  [6424] = 3126,
  [6425] = 3130,
  [6426] = 3254,
  [6427] = 3274,
  [6428] = 3293,
  [6429] = 3278,
  [6430] = 3298,
  [6431] = 3269,
  [6432] = 3367,
  [6433] = 3404,
  [6434] = 3301,
  [6435] = 3349,
  [6436] = 3317,
  [6437] = 3462,
  [6438] = 3255,
  [6439] = 3156,
  [6440] = 3149,
  [6441] = 3324,
  [6442] = 3117,
  [6443] = 3346,
  [6444] = 3352,
  [6445] = 3371,
  [6446] = 3471,
  [6447] = 3258,
  [6448] = 3117,
  [6449] = 3297,
  [6450] = 3316,
  [6451] = 3323,
  [6452] = 3342,
  [6453] = 3315,
  [6454] = 3159,
  [6455] = 3434,
  [6456] = 3397,
  [6457] = 3343,
  [6458] = 3314,
  [6459] = 3159,
  [6460] = 6460,
  [6461] = 3279,
  [6462] = 3311,
  [6463] = 3167,
  [6464] = 3321,
  [6465] = 3136,
  [6466] = 3374,
  [6467] = 3364,
  [6468] = 3167,
  [6469] = 3406,
  [6470] = 3308,
  [6471] = 3327,
  [6472] = 3301,
  [6473] = 3349,
  [6474] = 3329,
  [6475] = 3386,
  [6476] = 3307,
  [6477] = 3373,
  [6478] = 3416,
  [6479] = 3435,
  [6480] = 3423,
  [6481] = 3357,
  [6482] = 3368,
  [6483] = 3278,
  [6484] = 3314,
  [6485] = 3462,
  [6486] = 3258,
  [6487] = 3314,
  [6488] = 3367,
  [6489] = 3404,
  [6490] = 3125,
  [6491] = 3271,
  [6492] = 3272,
  [6493] = 3291,
  [6494] = 3295,
  [6495] = 3317,
  [6496] = 6496,
  [6497] = 3126,
  [6498] = 3471,
  [6499] = 3130,
  [6500] = 3255,
  [6501] = 3346,
  [6502] = 3254,
  [6503] = 3293,
  [6504] = 3274,
  [6505] = 3297,
  [6506] = 3315,
  [6507] = 3433,
  [6508] = 3293,
  [6509] = 3269,
  [6510] = 3296,
  [6511] = 3301,
  [6512] = 3338,
  [6513] = 3317,
  [6514] = 3255,
  [6515] = 3346,
  [6516] = 3352,
  [6517] = 3371,
  [6518] = 3352,
  [6519] = 3316,
  [6520] = 3323,
  [6521] = 3342,
  [6522] = 3392,
  [6523] = 3434,
  [6524] = 3397,
  [6525] = 3343,
  [6526] = 3118,
  [6527] = 3279,
  [6528] = 3311,
  [6529] = 3321,
  [6530] = 3374,
  [6531] = 3364,
  [6532] = 3406,
  [6533] = 3308,
  [6534] = 3327,
  [6535] = 3433,
  [6536] = 3329,
  [6537] = 3386,
  [6538] = 3307,
  [6539] = 3373,
  [6540] = 3371,
  [6541] = 3416,
  [6542] = 3435,
  [6543] = 3423,
  [6544] = 3357,
  [6545] = 3368,
  [6546] = 3278,
  [6547] = 3294,
  [6548] = 3462,
  [6549] = 3258,
  [6550] = 3314,
  [6551] = 3301,
  [6552] = 3349,
  [6553] = 3183,
  [6554] = 3317,
  [6555] = 3271,
  [6556] = 3272,
  [6557] = 3291,
  [6558] = 3295,
  [6559] = 3257,
  [6560] = 3290,
  [6561] = 3270,
  [6562] = 3274,
  [6563] = 3316,
  [6564] = 3323,
  [6565] = 3254,
  [6566] = 3332,
  [6567] = 3344,
  [6568] = 3380,
  [6569] = 3370,
  [6570] = 3293,
  [6571] = 3271,
  [6572] = 3269,
  [6573] = 3338,
  [6574] = 3301,
  [6575] = 3338,
  [6576] = 3317,
  [6577] = 3342,
  [6578] = 3255,
  [6579] = 3346,
  [6580] = 3352,
  [6581] = 3371,
  [6582] = 3255,
  [6583] = 3316,
  [6584] = 3323,
  [6585] = 3342,
  [6586] = 3392,
  [6587] = 3434,
  [6588] = 3397,
  [6589] = 3343,
  [6590] = 3434,
  [6591] = 3346,
  [6592] = 3397,
  [6593] = 3279,
  [6594] = 3311,
  [6595] = 3321,
  [6596] = 3374,
  [6597] = 3364,
  [6598] = 3392,
  [6599] = 3308,
  [6600] = 3327,
  [6601] = 3433,
  [6602] = 3329,
  [6603] = 3257,
  [6604] = 3386,
  [6605] = 3307,
  [6606] = 3373,
  [6607] = 3343,
  [6608] = 3416,
  [6609] = 3435,
  [6610] = 3423,
  [6611] = 3357,
  [6612] = 3368,
  [6613] = 3278,
  [6614] = 3294,
  [6615] = 3462,
  [6616] = 3258,
  [6617] = 3314,
  [6618] = 3352,
  [6619] = 3136,
  [6620] = 3290,
  [6621] = 3279,
  [6622] = 3271,
  [6623] = 3272,
  [6624] = 3291,
  [6625] = 3295,
  [6626] = 3257,
  [6627] = 3290,
  [6628] = 3270,
  [6629] = 3311,
  [6630] = 3321,
  [6631] = 3316,
  [6632] = 3254,
  [6633] = 3332,
  [6634] = 3344,
  [6635] = 3380,
  [6636] = 3364,
  [6637] = 3370,
  [6638] = 3323,
  [6639] = 3333,
  [6640] = 3392,
  [6641] = 3136,
  [6642] = 3269,
  [6643] = 3272,
  [6644] = 3484,
  [6645] = 3467,
  [6646] = 3406,
  [6647] = 3308,
  [6648] = 3327,
  [6649] = 3338,
  [6650] = 3149,
  [6651] = 3358,
  [6652] = 3342,
  [6653] = 3324,
  [6654] = 3261,
  [6655] = 3149,
  [6656] = 3371,
  [6657] = 3329,
  [6658] = 3907,
  [6659] = 3434,
  [6660] = 3386,
  [6661] = 3397,
  [6662] = 3392,
  [6663] = 3291,
  [6664] = 3295,
  [6665] = 3343,
  [6666] = 3333,
  [6667] = 3307,
  [6668] = 3484,
  [6669] = 3467,
  [6670] = 6496,
  [6671] = 3374,
  [6672] = 3433,
  [6673] = 3125,
  [6674] = 3268,
  [6675] = 3457,
  [6676] = 3126,
  [6677] = 3130,
  [6678] = 3373,
  [6679] = 3261,
  [6680] = 3279,
  [6681] = 3324,
  [6682] = 3294,
  [6683] = 3390,
  [6684] = 3427,
  [6685] = 3413,
  [6686] = 3314,
  [6687] = 3430,
  [6688] = 3444,
  [6689] = 3433,
  [6690] = 3333,
  [6691] = 3267,
  [6692] = 3257,
  [6693] = 3290,
  [6694] = 3270,
  [6695] = 3311,
  [6696] = 3484,
  [6697] = 3467,
  [6698] = 3332,
  [6699] = 3367,
  [6700] = 3344,
  [6701] = 3404,
  [6702] = 3380,
  [6703] = 3370,
  [6704] = 3471,
  [6705] = 3297,
  [6706] = 3264,
  [6707] = 3315,
  [6708] = 3274,
  [6709] = 3261,
  [6710] = 3338,
  [6711] = 3324,
  [6712] = 3358,
  [6713] = 3268,
  [6714] = 3276,
  [6715] = 3282,
  [6716] = 3321,
  [6717] = 6460,
  [6718] = 3392,
  [6719] = 3364,
  [6720] = 3294,
  [6721] = 3406,
  [6722] = 3276,
  [6723] = 3433,
  [6724] = 3457,
  [6725] = 3156,
  [6726] = 6496,
  [6727] = 3294,
  [6728] = 3333,
  [6729] = 3257,
  [6730] = 3308,
  [6731] = 3290,
  [6732] = 3282,
  [6733] = 3270,
  [6734] = 3332,
  [6735] = 3344,
  [6736] = 3380,
  [6737] = 3298,
  [6738] = 3254,
  [6739] = 3370,
  [6740] = 3390,
  [6741] = 3427,
  [6742] = 3257,
  [6743] = 3413,
  [6744] = 3290,
  [6745] = 3430,
  [6746] = 3264,
  [6747] = 3444,
  [6748] = 3296,
  [6749] = 3267,
  [6750] = 3484,
  [6751] = 3467,
  [6752] = 3358,
  [6753] = 3270,
  [6754] = 3390,
  [6755] = 3298,
  [6756] = 3332,
  [6757] = 3344,
  [6758] = 3315,
  [6759] = 3367,
  [6760] = 3380,
  [6761] = 3404,
  [6762] = 3427,
  [6763] = 3261,
  [6764] = 3370,
  [6765] = 3471,
  [6766] = 3413,
  [6767] = 3430,
  [6768] = 3297,
  [6769] = 3327,
  [6770] = 3315,
  [6771] = 3156,
  [6772] = 3349,
  [6773] = 3268,
  [6774] = 3274,
  [6775] = 3252,
  [6776] = 3329,
  [6777] = 3416,
  [6778] = 3118,
  [6779] = 3386,
  [6780] = 3457,
  [6781] = 3276,
  [6782] = 3390,
  [6783] = 3282,
  [6784] = 3307,
  [6785] = 3427,
  [6786] = 3413,
  [6787] = 3373,
  [6788] = 3430,
  [6789] = 3269,
  [6790] = 3264,
  [6791] = 3444,
  [6792] = 3252,
  [6793] = 3296,
  [6794] = 3333,
  [6795] = 3267,
  [6796] = 3324,
  [6797] = 3358,
  [6798] = 3416,
  [6799] = 3435,
  [6800] = 6496,
  [6801] = 3268,
  [6802] = 3423,
  [6803] = 3357,
  [6804] = 3298,
  [6805] = 3368,
  [6806] = 3278,
  [6807] = 3270,
  [6808] = 3276,
  [6809] = 4252,
  [6810] = 3282,
  [6811] = 3156,
  [6812] = 3367,
  [6813] = 3404,
  [6814] = 3264,
  [6815] = 3462,
  [6816] = 3258,
  [6817] = 3252,
  [6818] = 3296,
  [6819] = 6460,
  [6820] = 3471,
  [6821] = 3358,
  [6822] = 3117,
  [6823] = 3159,
  [6824] = 3315,
  [6825] = 3271,
  [6826] = 3297,
  [6827] = 3272,
  [6828] = 3291,
  [6829] = 3295,
  [6830] = 3167,
  [6831] = 3349,
  [6832] = 3457,
  [6833] = 3374,
  [6834] = 3457,
  [6835] = 3274,
  [6836] = 3118,
  [6837] = 3457,
  [6838] = 3149,
  [6839] = 3294,
  [6840] = 3297,
  [6841] = 3125,
  [6842] = 3254,
  [6843] = 3268,
  [6844] = 3332,
  [6845] = 3183,
  [6846] = 3444,
  [6847] = 3344,
  [6848] = 3380,
  [6849] = 3276,
  [6850] = 3126,
  [6851] = 3370,
  [6852] = 3118,
  [6853] = 3269,
  [6854] = 3282,
  [6855] = 3390,
  [6856] = 3183,
  [6857] = 3264,
  [6858] = 3296,
  [6859] = 3427,
  [6860] = 3149,
  [6861] = 3117,
  [6862] = 3159,
  [6863] = 3167,
  [6864] = 3413,
  [6865] = 3324,
  [6866] = 3371,
  [6867] = 3430,
  [6868] = 3117,
  [6869] = 3484,
  [6870] = 3467,
  [6871] = 4354,
  [6872] = 3252,
  [6873] = 3435,
  [6874] = 3159,
  [6875] = 3268,
  [6876] = 3118,
  [6877] = 3167,
  [6878] = 3264,
  [6879] = 3267,
  [6880] = 3125,
  [6881] = 3126,
  [6882] = 3130,
  [6883] = 3276,
  [6884] = 3282,
  [6885] = 3390,
  [6886] = 3130,
  [6887] = 3427,
  [6888] = 3413,
  [6889] = 3156,
  [6890] = 3296,
  [6891] = 3423,
  [6892] = 3136,
  [6893] = 3357,
  [6894] = 3293,
  [6895] = 3430,
  [6896] = 6460,
  [6897] = 3183,
  [6898] = 3333,
  [6899] = 3118,
  [6900] = 3484,
  [6901] = 3467,
  [6902] = 3261,
  [6903] = 3444,
  [6904] = 3301,
  [6905] = 3317,
  [6906] = 3298,
  [6907] = 3255,
  [6908] = 3346,
  [6909] = 3444,
  [6910] = 3252,
  [6911] = 3352,
  [6912] = 3252,
  [6913] = 3316,
  [6914] = 3267,
  [6915] = 3323,
  [6916] = 3342,
  [6917] = 3434,
  [6918] = 3338,
  [6919] = 3397,
  [6920] = 3358,
  [6921] = 3343,
  [6922] = 3298,
  [6923] = 3136,
  [6924] = 3368,
  [6925] = 3267,
  [6926] = 3279,
  [6927] = 3311,
  [6928] = 3321,
  [6929] = 3364,
  [6930] = 3406,
  [6931] = 3308,
  [6932] = 3367,
  [6933] = 3327,
  [6934] = 3404,
  [6935] = 3329,
  [6936] = 3386,
  [6937] = 3307,
  [6938] = 3261,
  [6939] = 3373,
  [6940] = 3471,
  [6941] = 3349,
  [6942] = 3462,
  [6943] = 3333,
  [6944] = 3268,
  [6945] = 3254,
  [6946] = 3332,
  [6947] = 3344,
  [6948] = 3380,
  [6949] = 3435,
  [6950] = 3276,
  [6951] = 3370,
  [6952] = 3282,
  [6953] = 3444,
  [6954] = 3390,
  [6955] = 3364,
  [6956] = 3323,
  [6957] = 3427,
  [6958] = 3457,
  [6959] = 3342,
  [6960] = 3423,
  [6961] = 3413,
  [6962] = 3267,
  [6963] = 3368,
  [6964] = 3430,
  [6965] = 3357,
  [6966] = 3264,
  [6967] = 3444,
  [6968] = 3252,
  [6969] = 3333,
  [6970] = 3471,
  [6971] = 3296,
  [6972] = 3368,
  [6973] = 3278,
  [6974] = 3338,
  [6975] = 3392,
  [6976] = 3294,
  [6977] = 3371,
  [6978] = 3267,
  [6979] = 3367,
  [6980] = 3404,
  [6981] = 3471,
  [6982] = 3278,
  [6983] = 3297,
  [6984] = 3392,
  [6985] = 3434,
  [6986] = 3397,
  [6987] = 3343,
  [6988] = 3297,
  [6989] = 3358,
  [6990] = 3374,
  [6991] = 3433,
  [6992] = 3258,
  [6993] = 3349,
  [6994] = 3406,
  [6995] = 3315,
  [6996] = 3314,
  [6997] = 3324,
  [6998] = 3279,
  [6999] = 3457,
  [7000] = 3433,
  [7001] = 3294,
  [7002] = 3457,
  [7003] = 3314,
  [7004] = 3311,
  [7005] = 3274,
  [7006] = 3271,
  [7007] = 3298,
  [7008] = 3296,
  [7009] = 3257,
  [7010] = 3290,
  [7011] = 3270,
  [7012] = 3321,
  [7013] = 3374,
  [7014] = 3332,
  [7015] = 3344,
  [7016] = 3380,
  [7017] = 3370,
  [7018] = 3314,
  [7019] = 3294,
  [7020] = 3434,
  [7021] = 3324,
  [7022] = 3386,
  [7023] = 3296,
  [7024] = 3272,
  [7025] = 3291,
  [7026] = 3268,
  [7027] = 3462,
  [7028] = 3276,
  [7029] = 3258,
  [7030] = 3282,
  [7031] = 3314,
  [7032] = 3295,
  [7033] = 3364,
  [7034] = 3257,
  [7035] = 3293,
  [7036] = 3364,
  [7037] = 3406,
  [7038] = 3308,
  [7039] = 3484,
  [7040] = 3271,
  [7041] = 3467,
  [7042] = 3327,
  [7043] = 3290,
  [7044] = 3298,
  [7045] = 3433,
  [7046] = 3270,
  [7047] = 3329,
  [7048] = 3457,
  [7049] = 3386,
  [7050] = 3307,
  [7051] = 3373,
  [7052] = 3338,
  [7053] = 3406,
  [7054] = 3367,
  [7055] = 3118,
  [7056] = 3416,
  [7057] = 3404,
  [7058] = 3435,
  [7059] = 3423,
  [7060] = 3307,
  [7061] = 3357,
  [7062] = 3368,
  [7063] = 3278,
  [7064] = 3294,
  [7065] = 3471,
  [7066] = 3373,
  [7067] = 3462,
  [7068] = 3258,
  [7069] = 3315,
  [7070] = 3314,
  [7071] = 3374,
  [7072] = 3297,
  [7073] = 3254,
  [7074] = 3315,
  [7075] = 3271,
  [7076] = 3252,
  [7077] = 3301,
  [7078] = 3317,
  [7079] = 3332,
  [7080] = 3255,
  [7081] = 3324,
  [7082] = 3272,
  [7083] = 3349,
  [7084] = 3291,
  [7085] = 3295,
  [7086] = 3257,
  [7087] = 3392,
  [7088] = 3290,
  [7089] = 3274,
  [7090] = 3346,
  [7091] = 3308,
  [7092] = 3386,
  [7093] = 3270,
  [7094] = 3352,
  [7095] = 3261,
  [7096] = 3352,
  [7097] = 3344,
  [7098] = 3380,
  [7099] = 3327,
  [7100] = 3268,
  [7101] = 3433,
  [7102] = 3254,
  [7103] = 3343,
  [7104] = 3314,
  [7105] = 3332,
  [7106] = 3344,
  [7107] = 3380,
  [7108] = 3370,
  [7109] = 3272,
  [7110] = 3276,
  [7111] = 3370,
  [7112] = 3390,
  [7113] = 3307,
  [7114] = 3293,
  [7115] = 3282,
  [7116] = 3427,
  [7117] = 3294,
  [7118] = 3298,
  [7119] = 3308,
  [7120] = 3118,
  [7121] = 3390,
  [7122] = 3293,
  [7123] = 3430,
  [7124] = 3358,
  [7125] = 3427,
  [7126] = 3269,
  [7127] = 3413,
  [7128] = 3264,
  [7129] = 3255,
  [7130] = 3257,
  [7131] = 3290,
  [7132] = 3270,
  [7133] = 3296,
  [7134] = 3430,
  [7135] = 3327,
  [7136] = 3269,
  [7137] = 3264,
  [7138] = 3332,
  [7139] = 3344,
  [7140] = 3380,
  [7141] = 3370,
  [7142] = 3444,
  [7143] = 3252,
  [7144] = 3316,
  [7145] = 3323,
  [7146] = 3342,
  [7147] = 3252,
  [7148] = 3296,
  [7149] = 3373,
  [7150] = 3434,
  [7151] = 3397,
  [7152] = 3343,
  [7153] = 3291,
  [7154] = 3457,
  [7155] = 3358,
  [7156] = 3279,
  [7157] = 3311,
  [7158] = 3267,
  [7159] = 3301,
  [7160] = 3338,
  [7161] = 3295,
  [7162] = 3317,
  [7163] = 3358,
  [7164] = 4252,
  [7165] = 3257,
  [7166] = 3290,
  [7167] = 3255,
  [7168] = 3346,
  [7169] = 3298,
  [7170] = 3270,
  [7171] = 3324,
  [7172] = 3352,
  [7173] = 3321,
  [7174] = 3907,
  [7175] = 3254,
  [7176] = 3268,
  [7177] = 3364,
  [7178] = 3406,
  [7179] = 3276,
  [7180] = 3282,
  [7181] = 3308,
  [7182] = 3327,
  [7183] = 3433,
  [7184] = 3413,
  [7185] = 3329,
  [7186] = 3390,
  [7187] = 3293,
  [7188] = 3427,
  [7189] = 3413,
  [7190] = 3444,
  [7191] = 3252,
  [7192] = 3333,
  [7193] = 3430,
  [7194] = 3332,
  [7195] = 3444,
  [7196] = 3386,
  [7197] = 3296,
  [7198] = 3307,
  [7199] = 3296,
  [7200] = 3267,
  [7201] = 3301,
  [7202] = 3317,
  [7203] = 3315,
  [7204] = 3255,
  [7205] = 3346,
  [7206] = 3298,
  [7207] = 3352,
  [7208] = 3373,
  [7209] = 3416,
  [7210] = 3367,
  [7211] = 3404,
  [7212] = 3316,
  [7213] = 3323,
  [7214] = 3342,
  [7215] = 3471,
  [7216] = 3434,
  [7217] = 3397,
  [7218] = 3343,
  [7219] = 3297,
  [7220] = 3315,
  [7221] = 3156,
  [7222] = 3279,
  [7223] = 3311,
  [7224] = 3349,
  [7225] = 3321,
  [7226] = 3435,
  [7227] = 3274,
  [7228] = 3423,
  [7229] = 3364,
  [7230] = 3406,
  [7231] = 3308,
  [7232] = 3327,
  [7233] = 3329,
  [7234] = 3386,
  [7235] = 3357,
  [7236] = 3307,
  [7237] = 3373,
  [7238] = 3416,
  [7239] = 3435,
  [7240] = 3423,
  [7241] = 3357,
  [7242] = 3368,
  [7243] = 3278,
  [7244] = 3462,
  [7245] = 3368,
  [7246] = 3258,
  [7247] = 3117,
  [7248] = 3159,
  [7249] = 3167,
  [7250] = 3271,
  [7251] = 3324,
  [7252] = 3272,
  [7253] = 3291,
  [7254] = 3295,
  [7255] = 3278,
  [7256] = 3125,
  [7257] = 3126,
  [7258] = 3130,
  [7259] = 3268,
  [7260] = 3254,
  [7261] = 3404,
  [7262] = 3316,
  [7263] = 3323,
  [7264] = 3342,
  [7265] = 3276,
  [7266] = 3282,
  [7267] = 3457,
  [7268] = 3471,
  [7269] = 3392,
  [7270] = 3269,
  [7271] = 3462,
  [7272] = 3252,
  [7273] = 3258,
  [7274] = 3434,
  [7275] = 3397,
  [7276] = 3268,
  [7277] = 3329,
  [7278] = 3343,
  [7279] = 3484,
  [7280] = 3467,
  [7281] = 3297,
  [7282] = 3315,
  [7283] = 3371,
  [7284] = 3261,
  [7285] = 3371,
  [7286] = 3267,
  [7287] = 3301,
  [7288] = 3338,
  [7289] = 3279,
  [7290] = 3311,
  [7291] = 3367,
  [7292] = 3349,
  [7293] = 3321,
  [7294] = 3374,
  [7295] = 3271,
  [7296] = 3344,
  [7297] = 3380,
  [7298] = 3274,
  [7299] = 3374,
  [7300] = 3272,
  [7301] = 4354,
  [7302] = 3291,
  [7303] = 3349,
  [7304] = 3416,
  [7305] = 3295,
  [7306] = 3274,
  [7307] = 3261,
  [7308] = 3317,
  [7309] = 3301,
  [7310] = 3338,
  [7311] = 3264,
  [7312] = 3314,
  [7313] = 3276,
  [7314] = 3358,
  [7315] = 3254,
  [7316] = 3397,
  [7317] = 3255,
  [7318] = 3317,
  [7319] = 3264,
  [7320] = 3346,
  [7321] = 3370,
  [7322] = 3484,
  [7323] = 3364,
  [7324] = 3406,
  [7325] = 3308,
  [7326] = 3298,
  [7327] = 3327,
  [7328] = 3433,
  [7329] = 3338,
  [7330] = 3261,
  [7331] = 3352,
  [7332] = 3329,
  [7333] = 3293,
  [7334] = 3367,
  [7335] = 3136,
  [7336] = 3316,
  [7337] = 3323,
  [7338] = 3342,
  [7339] = 3392,
  [7340] = 3392,
  [7341] = 3907,
  [7342] = 3390,
  [7343] = 3279,
  [7344] = 3427,
  [7345] = 3293,
  [7346] = 3457,
  [7347] = 3413,
  [7348] = 3386,
  [7349] = 3430,
  [7350] = 3433,
  [7351] = 3307,
  [7352] = 3444,
  [7353] = 3373,
  [7354] = 3333,
  [7355] = 3333,
  [7356] = 3267,
  [7357] = 3149,
  [7358] = 3434,
  [7359] = 3484,
  [7360] = 3467,
  [7361] = 3269,
  [7362] = 3294,
  [7363] = 3397,
  [7364] = 3298,
  [7365] = 3371,
  [7366] = 3261,
  [7367] = 3257,
  [7368] = 3290,
  [7369] = 3270,
  [7370] = 3343,
  [7371] = 3413,
  [7372] = 3332,
  [7373] = 3344,
  [7374] = 3380,
  [7375] = 3370,
  [7376] = 3118,
  [7377] = 3467,
  [7378] = 3484,
  [7379] = 3467,
  [7380] = 3416,
  [7381] = 3367,
  [7382] = 3404,
  [7383] = 3311,
  [7384] = 3471,
  [7385] = 3435,
  [7386] = 3118,
  [7387] = 3269,
  [7388] = 3297,
  [7389] = 3315,
  [7390] = 3264,
  [7391] = 3444,
  [7392] = 3282,
  [7393] = 3349,
  [7394] = 3274,
  [7395] = 3416,
  [7396] = 3261,
  [7397] = 3358,
  [7398] = 3136,
  [7399] = 3423,
  [7400] = 3435,
  [7401] = 3390,
  [7402] = 3427,
  [7403] = 3413,
  [7404] = 3430,
  [7405] = 3357,
  [7406] = 3368,
  [7407] = 3423,
  [7408] = 3444,
  [7409] = 3333,
  [7410] = 3267,
  [7411] = 3484,
  [7412] = 3278,
  [7413] = 3324,
  [7414] = 3149,
  [7415] = 3371,
  [7416] = 3293,
  [7417] = 3294,
  [7418] = 3269,
  [7419] = 3264,
  [7420] = 3346,
  [7421] = 3371,
  [7422] = 3268,
  [7423] = 3279,
  [7424] = 3311,
  [7425] = 3301,
  [7426] = 3317,
  [7427] = 3462,
  [7428] = 3255,
  [7429] = 3346,
  [7430] = 3352,
  [7431] = 3276,
  [7432] = 3258,
  [7433] = 3484,
  [7434] = 3467,
  [7435] = 3282,
  [7436] = 3316,
  [7437] = 3323,
  [7438] = 3342,
  [7439] = 3434,
  [7440] = 3397,
  [7441] = 3343,
  [7442] = 3156,
  [7443] = 3279,
  [7444] = 3311,
  [7445] = 3467,
  [7446] = 3321,
  [7447] = 3252,
  [7448] = 3364,
  [7449] = 3406,
  [7450] = 3308,
  [7451] = 3327,
  [7452] = 3329,
  [7453] = 3386,
  [7454] = 3307,
  [7455] = 3373,
  [7456] = 3416,
  [7457] = 3435,
  [7458] = 3423,
  [7459] = 3357,
  [7460] = 3368,
  [7461] = 3278,
  [7462] = 3296,
  [7463] = 3258,
  [7464] = 3117,
  [7465] = 3159,
  [7466] = 3167,
  [7467] = 3271,
  [7468] = 3272,
  [7469] = 3291,
  [7470] = 3295,
  [7471] = 3125,
  [7472] = 3126,
  [7473] = 3130,
  [7474] = 3271,
  [7475] = 3254,
  [7476] = 3301,
  [7477] = 3269,
  [7478] = 3264,
  [7479] = 3357,
  [7480] = 3367,
  [7481] = 3338,
  [7482] = 3404,
  [7483] = 3317,
  [7484] = 3255,
  [7485] = 3346,
  [7486] = 3329,
  [7487] = 3352,
  [7488] = 3471,
  [7489] = 3371,
  [7490] = 3349,
  [7491] = 3321,
  [7492] = 3297,
  [7493] = 3324,
  [7494] = 3272,
  [7495] = 3374,
  [7496] = 3367,
  [7497] = 3349,
  [7498] = 3907,
  [7499] = 3291,
  [7500] = 3295,
  [7501] = 3274,
  [7502] = 3261,
  [7503] = 3374,
  [7504] = 3274,
  [7505] = 3321,
  [7506] = 3316,
  [7507] = 3323,
  [7508] = 3342,
  [7509] = 3257,
  [7510] = 3290,
  [7511] = 3270,
  [7512] = 3358,
  [7513] = 3404,
  [7514] = 3390,
  [7515] = 3316,
  [7516] = 3333,
  [7517] = 3427,
  [7518] = 3392,
  [7519] = 3413,
  [7520] = 3430,
  [7521] = 3462,
  [7522] = 3342,
  [7523] = 3316,
  [7524] = 3423,
  [7525] = 3358,
  [7526] = 3290,
  [7527] = 3270,
  [7528] = 3323,
  [7529] = 3156,
  [7530] = 3342,
  [7531] = 3462,
  [7532] = 3279,
  [7533] = 3357,
  [7534] = 3270,
  [7535] = 3349,
  [7536] = 3392,
  [7537] = 3907,
  [7538] = 3264,
  [7539] = 3258,
  [7540] = 3338,
  [7541] = 3291,
  [7542] = 7542,
  [7543] = 3295,
  [7544] = 3301,
  [7545] = 3457,
  [7546] = 3317,
  [7547] = 7547,
  [7548] = 7548,
  [7549] = 7549,
  [7550] = 3261,
  [7551] = 3907,
  [7552] = 3298,
  [7553] = 3125,
  [7554] = 3255,
  [7555] = 3338,
  [7556] = 3311,
  [7557] = 3293,
  [7558] = 3126,
  [7559] = 3433,
  [7560] = 3130,
  [7561] = 7561,
  [7562] = 7562,
  [7563] = 3358,
  [7564] = 3125,
  [7565] = 3269,
  [7566] = 3333,
  [7567] = 7567,
  [7568] = 3332,
  [7569] = 3368,
  [7570] = 3255,
  [7571] = 3136,
  [7572] = 3126,
  [7573] = 3130,
  [7574] = 3484,
  [7575] = 3467,
  [7576] = 3344,
  [7577] = 3434,
  [7578] = 3278,
  [7579] = 3294,
  [7580] = 7562,
  [7581] = 3346,
  [7582] = 3254,
  [7583] = 3380,
  [7584] = 3261,
  [7585] = 3324,
  [7586] = 3370,
  [7587] = 3392,
  [7588] = 3254,
  [7589] = 3117,
  [7590] = 3159,
  [7591] = 3390,
  [7592] = 3332,
  [7593] = 3344,
  [7594] = 3268,
  [7595] = 3149,
  [7596] = 3276,
  [7597] = 3282,
  [7598] = 3380,
  [7599] = 3370,
  [7600] = 3433,
  [7601] = 3907,
  [7602] = 3457,
  [7603] = 3373,
  [7604] = 3427,
  [7605] = 3352,
  [7606] = 3167,
  [7607] = 3907,
  [7608] = 3413,
  [7609] = 3346,
  [7610] = 4252,
  [7611] = 3329,
  [7612] = 3301,
  [7613] = 3321,
  [7614] = 3374,
  [7615] = 3352,
  [7616] = 3358,
  [7617] = 7617,
  [7618] = 3433,
  [7619] = 3404,
  [7620] = 4354,
  [7621] = 3252,
  [7622] = 3294,
  [7623] = 3413,
  [7624] = 3316,
  [7625] = 3444,
  [7626] = 3323,
  [7627] = 3333,
  [7628] = 3364,
  [7629] = 3397,
  [7630] = 3271,
  [7631] = 3406,
  [7632] = 3308,
  [7633] = 3272,
  [7634] = 3291,
  [7635] = 3349,
  [7636] = 3274,
  [7637] = 3267,
  [7638] = 3416,
  [7639] = 3471,
  [7640] = 3327,
  [7641] = 3338,
  [7642] = 3367,
  [7643] = 3271,
  [7644] = 3392,
  [7645] = 3297,
  [7646] = 3307,
  [7647] = 3293,
  [7648] = 3457,
  [7649] = 3329,
  [7650] = 3315,
  [7651] = 3386,
  [7652] = 3333,
  [7653] = 3307,
  [7654] = 3484,
  [7655] = 3467,
  [7656] = 3295,
  [7657] = 3317,
  [7658] = 3261,
  [7659] = 3373,
  [7660] = 3430,
  [7661] = 3269,
  [7662] = 3343,
  [7663] = 3338,
  [7664] = 3167,
  [7665] = 3416,
  [7666] = 3435,
  [7667] = 3423,
  [7668] = 3156,
  [7669] = 3392,
  [7670] = 3279,
  [7671] = 3357,
  [7672] = 3257,
  [7673] = 3290,
  [7674] = 3270,
  [7675] = 7542,
  [7676] = 3433,
  [7677] = 3321,
  [7678] = 3368,
  [7679] = 3374,
  [7680] = 3278,
  [7681] = 3434,
  [7682] = 3397,
  [7683] = 3907,
  [7684] = 3294,
  [7685] = 7685,
  [7686] = 3257,
  [7687] = 3290,
  [7688] = 3270,
  [7689] = 3364,
  [7690] = 3332,
  [7691] = 3344,
  [7692] = 3380,
  [7693] = 4252,
  [7694] = 3370,
  [7695] = 3413,
  [7696] = 3296,
  [7697] = 3406,
  [7698] = 7685,
  [7699] = 7699,
  [7700] = 7700,
  [7701] = 3308,
  [7702] = 4354,
  [7703] = 3257,
  [7704] = 3484,
  [7705] = 3332,
  [7706] = 3344,
  [7707] = 3380,
  [7708] = 3467,
  [7709] = 3370,
  [7710] = 3462,
  [7711] = 3349,
  [7712] = 3907,
  [7713] = 3457,
  [7714] = 3258,
  [7715] = 3358,
  [7716] = 7547,
  [7717] = 7549,
  [7718] = 3327,
  [7719] = 4354,
  [7720] = 3257,
  [7721] = 3117,
  [7722] = 3159,
  [7723] = 3272,
  [7724] = 3294,
  [7725] = 3343,
  [7726] = 3290,
  [7727] = 7548,
  [7728] = 3435,
  [7729] = 3386,
  [7730] = 4252,
  [7731] = 3298,
  [7732] = 3267,
  [7733] = 3301,
  [7734] = 5717,
  [7735] = 3907,
  [7736] = 7736,
  [7737] = 3907,
  [7738] = 5574,
  [7739] = 5543,
  [7740] = 7740,
  [7741] = 7741,
  [7742] = 3390,
  [7743] = 7741,
  [7744] = 3386,
  [7745] = 3324,
  [7746] = 3307,
  [7747] = 3324,
  [7748] = 3298,
  [7749] = 7749,
  [7750] = 7750,
  [7751] = 3373,
  [7752] = 7752,
  [7753] = 3268,
  [7754] = 3276,
  [7755] = 3282,
  [7756] = 7756,
  [7757] = 3427,
  [7758] = 4354,
  [7759] = 3338,
  [7760] = 3358,
  [7761] = 7699,
  [7762] = 7741,
  [7763] = 3315,
  [7764] = 7764,
  [7765] = 7741,
  [7766] = 3268,
  [7767] = 3252,
  [7768] = 5703,
  [7769] = 7741,
  [7770] = 7736,
  [7771] = 3430,
  [7772] = 3149,
  [7773] = 3276,
  [7774] = 3416,
  [7775] = 3435,
  [7776] = 3484,
  [7777] = 3423,
  [7778] = 4354,
  [7779] = 7561,
  [7780] = 3282,
  [7781] = 3374,
  [7782] = 4354,
  [7783] = 3357,
  [7784] = 3368,
  [7785] = 5607,
  [7786] = 3149,
  [7787] = 3317,
  [7788] = 3261,
  [7789] = 7789,
  [7790] = 7740,
  [7791] = 3444,
  [7792] = 7792,
  [7793] = 3278,
  [7794] = 7567,
  [7795] = 7795,
  [7796] = 3367,
  [7797] = 7741,
  [7798] = 3462,
  [7799] = 3258,
  [7800] = 3255,
  [7801] = 3117,
  [7802] = 7567,
  [7803] = 3159,
  [7804] = 3167,
  [7805] = 3467,
  [7806] = 7806,
  [7807] = 7741,
  [7808] = 4252,
  [7809] = 7809,
  [7810] = 3346,
  [7811] = 5676,
  [7812] = 7741,
  [7813] = 3404,
  [7814] = 4354,
  [7815] = 3907,
  [7816] = 3271,
  [7817] = 5705,
  [7818] = 7741,
  [7819] = 7617,
  [7820] = 7741,
  [7821] = 4252,
  [7822] = 3390,
  [7823] = 3427,
  [7824] = 3430,
  [7825] = 3267,
  [7826] = 3404,
  [7827] = 5612,
  [7828] = 3471,
  [7829] = 3297,
  [7830] = 3332,
  [7831] = 3252,
  [7832] = 3333,
  [7833] = 3324,
  [7834] = 3268,
  [7835] = 3276,
  [7836] = 3282,
  [7837] = 3311,
  [7838] = 3352,
  [7839] = 5483,
  [7840] = 3252,
  [7841] = 3267,
  [7842] = 3344,
  [7843] = 7843,
  [7844] = 3315,
  [7845] = 3136,
  [7846] = 7749,
  [7847] = 7847,
  [7848] = 3907,
  [7849] = 5607,
  [7850] = 7850,
  [7851] = 7806,
  [7852] = 5612,
  [7853] = 3257,
  [7854] = 3380,
  [7855] = 7855,
  [7856] = 7741,
  [7857] = 7741,
  [7858] = 3270,
  [7859] = 3413,
  [7860] = 7855,
  [7861] = 3444,
  [7862] = 3367,
  [7863] = 3349,
  [7864] = 3274,
  [7865] = 3272,
  [7866] = 7866,
  [7867] = 7867,
  [7868] = 7843,
  [7869] = 7850,
  [7870] = 3291,
  [7871] = 7866,
  [7872] = 3907,
  [7873] = 7700,
  [7874] = 7874,
  [7875] = 3136,
  [7876] = 3404,
  [7877] = 3370,
  [7878] = 7878,
  [7879] = 3298,
  [7880] = 7789,
  [7881] = 3907,
  [7882] = 7882,
  [7883] = 5700,
  [7884] = 5703,
  [7885] = 3295,
  [7886] = 7886,
  [7887] = 3329,
  [7888] = 3471,
  [7889] = 3471,
  [7890] = 7890,
  [7891] = 7891,
  [7892] = 7892,
  [7893] = 3316,
  [7894] = 5700,
  [7895] = 7752,
  [7896] = 5535,
  [7897] = 4354,
  [7898] = 5705,
  [7899] = 7795,
  [7900] = 3323,
  [7901] = 7741,
  [7902] = 7902,
  [7903] = 7903,
  [7904] = 3297,
  [7905] = 7905,
  [7906] = 4252,
  [7907] = 7741,
  [7908] = 7617,
  [7909] = 3342,
  [7910] = 5478,
  [7911] = 7905,
  [7912] = 4354,
  [7913] = 7886,
  [7914] = 7903,
  [7915] = 3315,
  [7916] = 7741,
  [7917] = 7806,
  [7918] = 3290,
  [7919] = 7741,
  [7920] = 7874,
  [7921] = 3125,
  [7922] = 3484,
  [7923] = 3467,
  [7924] = 7924,
  [7925] = 3261,
  [7926] = 7902,
  [7927] = 3434,
  [7928] = 3397,
  [7929] = 3343,
  [7930] = 4252,
  [7931] = 7931,
  [7932] = 3390,
  [7933] = 7750,
  [7934] = 3427,
  [7935] = 7935,
  [7936] = 4252,
  [7937] = 7937,
  [7938] = 7741,
  [7939] = 3430,
  [7940] = 3444,
  [7941] = 3392,
  [7942] = 5676,
  [7943] = 3267,
  [7944] = 7741,
  [7945] = 7935,
  [7946] = 3390,
  [7947] = 7878,
  [7948] = 3907,
  [7949] = 4252,
  [7950] = 3156,
  [7951] = 3126,
  [7952] = 3130,
  [7953] = 3427,
  [7954] = 3279,
  [7955] = 7924,
  [7956] = 3254,
  [7957] = 3367,
  [7958] = 3404,
  [7959] = 3311,
  [7960] = 3293,
  [7961] = 7931,
  [7962] = 3471,
  [7963] = 7937,
  [7964] = 7806,
  [7965] = 3297,
  [7966] = 7847,
  [7967] = 7756,
  [7968] = 3274,
  [7969] = 3321,
  [7970] = 7892,
  [7971] = 7699,
  [7972] = 7700,
  [7973] = 3274,
  [7974] = 7741,
  [7975] = 7741,
  [7976] = 3333,
  [7977] = 3484,
  [7978] = 3467,
  [7979] = 3261,
  [7980] = 3430,
  [7981] = 3269,
  [7982] = 7741,
  [7983] = 3264,
  [7984] = 7867,
  [7985] = 7741,
  [7986] = 5478,
  [7987] = 7792,
  [7988] = 7809,
  [7989] = 3324,
  [7990] = 5717,
  [7991] = 3297,
  [7992] = 3296,
  [7993] = 7890,
  [7994] = 7891,
  [7995] = 3315,
  [7996] = 3268,
  [7997] = 3433,
  [7998] = 7741,
  [7999] = 3364,
  [8000] = 3276,
  [8001] = 7764,
  [8002] = 3282,
  [8003] = 3406,
  [8004] = 7561,
  [8005] = 3308,
  [8006] = 3327,
  [8007] = 3457,
  [8008] = 5483,
  [8009] = 3298,
  [8010] = 3294,
  [8011] = 3252,
  [8012] = 3333,
  [8013] = 7882,
  [8014] = 8014,
  [8015] = 4252,
  [8016] = 7548,
  [8017] = 8014,
  [8018] = 8018,
  [8019] = 8019,
  [8020] = 8018,
  [8021] = 4252,
  [8022] = 8022,
  [8023] = 8018,
  [8024] = 3349,
  [8025] = 8022,
  [8026] = 8014,
  [8027] = 8014,
  [8028] = 8018,
  [8029] = 8014,
  [8030] = 8022,
  [8031] = 8014,
  [8032] = 7549,
  [8033] = 8018,
  [8034] = 7547,
  [8035] = 8022,
  [8036] = 8036,
  [8037] = 4252,
  [8038] = 8022,
  [8039] = 8022,
  [8040] = 7549,
  [8041] = 8014,
  [8042] = 8022,
  [8043] = 8022,
  [8044] = 3349,
  [8045] = 8022,
  [8046] = 8022,
  [8047] = 4354,
  [8048] = 7562,
  [8049] = 8036,
  [8050] = 8014,
  [8051] = 8014,
  [8052] = 8022,
  [8053] = 4252,
  [8054] = 8022,
  [8055] = 8022,
  [8056] = 4785,
  [8057] = 4354,
  [8058] = 8014,
  [8059] = 7685,
  [8060] = 8014,
  [8061] = 8014,
  [8062] = 8062,
  [8063] = 8022,
  [8064] = 8014,
  [8065] = 8022,
  [8066] = 3413,
  [8067] = 8014,
  [8068] = 3413,
  [8069] = 8018,
  [8070] = 8018,
  [8071] = 4780,
  [8072] = 8018,
  [8073] = 8022,
  [8074] = 7548,
  [8075] = 8018,
  [8076] = 4354,
  [8077] = 8022,
  [8078] = 8062,
  [8079] = 8014,
  [8080] = 8018,
  [8081] = 8018,
  [8082] = 4252,
  [8083] = 8018,
  [8084] = 4354,
  [8085] = 4252,
  [8086] = 8018,
  [8087] = 7685,
  [8088] = 7562,
  [8089] = 8014,
  [8090] = 8018,
  [8091] = 8036,
  [8092] = 8036,
  [8093] = 8022,
  [8094] = 8022,
  [8095] = 8014,
  [8096] = 8014,
  [8097] = 4354,
  [8098] = 7547,
  [8099] = 7542,
  [8100] = 8018,
  [8101] = 4787,
  [8102] = 8018,
  [8103] = 8018,
  [8104] = 4354,
  [8105] = 8018,
  [8106] = 8018,
  [8107] = 8018,
  [8108] = 8018,
  [8109] = 8022,
  [8110] = 8014,
  [8111] = 8036,
  [8112] = 4354,
  [8113] = 8022,
  [8114] = 7542,
  [8115] = 8018,
  [8116] = 8014,
  [8117] = 4252,
  [8118] = 8014,
  [8119] = 8014,
  [8120] = 8022,
  [8121] = 8014,
  [8122] = 8022,
  [8123] = 8018,
  [8124] = 8036,
  [8125] = 8125,
  [8126] = 8126,
  [8127] = 8127,
  [8128] = 3264,
  [8129] = 7931,
  [8130] = 7937,
  [8131] = 7764,
  [8132] = 7789,
  [8133] = 7878,
  [8134] = 7924,
  [8135] = 7847,
  [8136] = 5717,
  [8137] = 3358,
  [8138] = 3333,
  [8139] = 3484,
  [8140] = 3467,
  [8141] = 3261,
  [8142] = 8142,
  [8143] = 7740,
  [8144] = 3444,
  [8145] = 3457,
  [8146] = 8142,
  [8147] = 3274,
  [8148] = 8127,
  [8149] = 3390,
  [8150] = 3427,
  [8151] = 3430,
  [8152] = 5612,
  [8153] = 8142,
  [8154] = 3267,
  [8155] = 3298,
  [8156] = 3367,
  [8157] = 3404,
  [8158] = 3471,
  [8159] = 3297,
  [8160] = 3315,
  [8161] = 8127,
  [8162] = 3324,
  [8163] = 3268,
  [8164] = 3276,
  [8165] = 3282,
  [8166] = 3252,
  [8167] = 7750,
  [8168] = 7935,
  [8169] = 7886,
  [8170] = 7903,
  [8171] = 3390,
  [8172] = 3427,
  [8173] = 3413,
  [8174] = 3430,
  [8175] = 3444,
  [8176] = 3267,
  [8177] = 8177,
  [8178] = 3298,
  [8179] = 7792,
  [8180] = 7809,
  [8181] = 3367,
  [8182] = 3404,
  [8183] = 3471,
  [8184] = 3297,
  [8185] = 3315,
  [8186] = 7756,
  [8187] = 3349,
  [8188] = 3274,
  [8189] = 3324,
  [8190] = 3268,
  [8191] = 3276,
  [8192] = 3282,
  [8193] = 3252,
  [8194] = 3333,
  [8195] = 7874,
  [8196] = 7749,
  [8197] = 7752,
  [8198] = 7736,
  [8199] = 7795,
  [8200] = 3484,
  [8201] = 3467,
  [8202] = 3261,
  [8203] = 7855,
  [8204] = 7867,
  [8205] = 7843,
  [8206] = 7850,
  [8207] = 7866,
  [8208] = 8127,
  [8209] = 7931,
  [8210] = 7937,
  [8211] = 7882,
  [8212] = 7890,
  [8213] = 7891,
  [8214] = 7892,
  [8215] = 7764,
  [8216] = 7905,
  [8217] = 7789,
  [8218] = 7902,
  [8219] = 7878,
  [8220] = 7924,
  [8221] = 7847,
  [8222] = 7740,
  [8223] = 3390,
  [8224] = 3427,
  [8225] = 3430,
  [8226] = 3444,
  [8227] = 3267,
  [8228] = 3298,
  [8229] = 3367,
  [8230] = 3404,
  [8231] = 3471,
  [8232] = 3297,
  [8233] = 3315,
  [8234] = 3274,
  [8235] = 3324,
  [8236] = 3268,
  [8237] = 3276,
  [8238] = 3282,
  [8239] = 3252,
  [8240] = 4839,
  [8241] = 7750,
  [8242] = 7935,
  [8243] = 7792,
  [8244] = 7809,
  [8245] = 7874,
  [8246] = 7749,
  [8247] = 7752,
  [8248] = 7736,
  [8249] = 7795,
  [8250] = 8250,
  [8251] = 7855,
  [8252] = 7867,
  [8253] = 7843,
  [8254] = 7850,
  [8255] = 7866,
  [8256] = 8256,
  [8257] = 8257,
  [8258] = 7882,
  [8259] = 7890,
  [8260] = 7891,
  [8261] = 7892,
  [8262] = 7905,
  [8263] = 7902,
  [8264] = 5483,
  [8265] = 8265,
  [8266] = 3371,
  [8267] = 8142,
  [8268] = 5700,
  [8269] = 5478,
  [8270] = 8270,
  [8271] = 5607,
  [8272] = 3314,
  [8273] = 5703,
  [8274] = 5705,
  [8275] = 5676,
  [8276] = 3333,
  [8277] = 3484,
  [8278] = 3467,
  [8279] = 8279,
  [8280] = 8280,
  [8281] = 3261,
  [8282] = 8282,
  [8283] = 3338,
  [8284] = 8284,
  [8285] = 8285,
  [8286] = 8177,
  [8287] = 3392,
  [8288] = 8288,
  [8289] = 8019,
  [8290] = 8290,
  [8291] = 8291,
  [8292] = 8292,
  [8293] = 3433,
  [8294] = 3294,
  [8295] = 3257,
  [8296] = 3290,
  [8297] = 3270,
  [8298] = 3332,
  [8299] = 3344,
  [8300] = 3380,
  [8301] = 3370,
  [8302] = 8285,
  [8303] = 8177,
  [8304] = 8288,
  [8305] = 8305,
  [8306] = 8306,
  [8307] = 8307,
  [8308] = 8308,
  [8309] = 8309,
  [8310] = 8285,
  [8311] = 8177,
  [8312] = 8312,
  [8313] = 8288,
  [8314] = 8285,
  [8315] = 8177,
  [8316] = 8288,
  [8317] = 8317,
  [8318] = 8285,
  [8319] = 8177,
  [8320] = 8288,
  [8321] = 8285,
  [8322] = 8177,
  [8323] = 8288,
  [8324] = 8127,
  [8325] = 8325,
  [8326] = 8285,
  [8327] = 8177,
  [8328] = 8288,
  [8329] = 8329,
  [8330] = 8330,
  [8331] = 8331,
  [8332] = 8332,
  [8333] = 8285,
  [8334] = 8177,
  [8335] = 8288,
  [8336] = 8285,
  [8337] = 8177,
  [8338] = 8288,
  [8339] = 3293,
  [8340] = 8285,
  [8341] = 8177,
  [8342] = 8288,
  [8343] = 5483,
  [8344] = 8285,
  [8345] = 8177,
  [8346] = 3301,
  [8347] = 3317,
  [8348] = 8288,
  [8349] = 3255,
  [8350] = 3346,
  [8351] = 3352,
  [8352] = 8285,
  [8353] = 8177,
  [8354] = 8288,
  [8355] = 8285,
  [8356] = 8177,
  [8357] = 8288,
  [8358] = 5700,
  [8359] = 5478,
  [8360] = 3316,
  [8361] = 3323,
  [8362] = 3342,
  [8363] = 8285,
  [8364] = 8177,
  [8365] = 8288,
  [8366] = 8366,
  [8367] = 3434,
  [8368] = 3397,
  [8369] = 3343,
  [8370] = 3156,
  [8371] = 3279,
  [8372] = 3311,
  [8373] = 8285,
  [8374] = 8177,
  [8375] = 8288,
  [8376] = 8285,
  [8377] = 8177,
  [8378] = 3321,
  [8379] = 8288,
  [8380] = 3364,
  [8381] = 3406,
  [8382] = 3308,
  [8383] = 3327,
  [8384] = 8285,
  [8385] = 8177,
  [8386] = 8288,
  [8387] = 3329,
  [8388] = 3386,
  [8389] = 3307,
  [8390] = 3373,
  [8391] = 8285,
  [8392] = 8177,
  [8393] = 5607,
  [8394] = 8288,
  [8395] = 3416,
  [8396] = 3435,
  [8397] = 3423,
  [8398] = 3357,
  [8399] = 3368,
  [8400] = 3278,
  [8401] = 3462,
  [8402] = 8285,
  [8403] = 8177,
  [8404] = 3258,
  [8405] = 3117,
  [8406] = 8288,
  [8407] = 3159,
  [8408] = 3167,
  [8409] = 3271,
  [8410] = 5703,
  [8411] = 5705,
  [8412] = 3272,
  [8413] = 3291,
  [8414] = 3295,
  [8415] = 8285,
  [8416] = 8177,
  [8417] = 8288,
  [8418] = 8285,
  [8419] = 3125,
  [8420] = 3126,
  [8421] = 3130,
  [8422] = 5676,
  [8423] = 3254,
  [8424] = 8285,
  [8425] = 8177,
  [8426] = 8288,
  [8427] = 8285,
  [8428] = 8177,
  [8429] = 8288,
  [8430] = 5717,
  [8431] = 8257,
  [8432] = 3269,
  [8433] = 8433,
  [8434] = 8434,
  [8435] = 3374,
  [8436] = 8019,
  [8437] = 7886,
  [8438] = 7903,
  [8439] = 5612,
  [8440] = 3296,
  [8441] = 8288,
  [8442] = 3136,
  [8443] = 3149,
  [8444] = 7756,
  [8445] = 8142,
  [8446] = 8433,
  [8447] = 8447,
  [8448] = 8448,
  [8449] = 8449,
  [8450] = 8256,
  [8451] = 8312,
  [8452] = 8284,
  [8453] = 8453,
  [8454] = 8454,
  [8455] = 3252,
  [8456] = 8366,
  [8457] = 8125,
  [8458] = 8325,
  [8459] = 8434,
  [8460] = 8329,
  [8461] = 8461,
  [8462] = 8330,
  [8463] = 8331,
  [8464] = 8464,
  [8465] = 8332,
  [8466] = 8466,
  [8467] = 8467,
  [8468] = 8466,
  [8469] = 8305,
  [8470] = 8470,
  [8471] = 8471,
  [8472] = 8290,
  [8473] = 8473,
  [8474] = 8317,
  [8475] = 8433,
  [8476] = 5574,
  [8477] = 8470,
  [8478] = 8291,
  [8479] = 8306,
  [8480] = 8309,
  [8481] = 8481,
  [8482] = 8434,
  [8483] = 8461,
  [8484] = 8292,
  [8485] = 8125,
  [8486] = 8325,
  [8487] = 8307,
  [8488] = 8488,
  [8489] = 8366,
  [8490] = 8490,
  [8491] = 8491,
  [8492] = 8492,
  [8493] = 8493,
  [8494] = 8494,
  [8495] = 8481,
  [8496] = 8308,
  [8497] = 8461,
  [8498] = 8498,
  [8499] = 8499,
  [8500] = 8500,
  [8501] = 8501,
  [8502] = 8502,
  [8503] = 8503,
  [8504] = 8504,
  [8505] = 8505,
  [8506] = 8506,
  [8507] = 8507,
  [8508] = 8508,
  [8509] = 8466,
  [8510] = 8510,
  [8511] = 8473,
  [8512] = 8512,
  [8513] = 8470,
  [8514] = 8307,
  [8515] = 8309,
  [8516] = 8490,
  [8517] = 8308,
  [8518] = 8332,
  [8519] = 8250,
  [8520] = 5543,
  [8521] = 8279,
  [8522] = 8491,
  [8523] = 8492,
  [8524] = 8280,
  [8525] = 8498,
  [8526] = 8499,
  [8527] = 8500,
  [8528] = 8501,
  [8529] = 8502,
  [8530] = 8503,
  [8531] = 8504,
  [8532] = 8505,
  [8533] = 8506,
  [8534] = 8507,
  [8535] = 8508,
  [8536] = 8466,
  [8537] = 8510,
  [8538] = 8447,
  [8539] = 8448,
  [8540] = 8449,
  [8541] = 8512,
  [8542] = 8470,
  [8543] = 8543,
  [8544] = 3413,
  [8545] = 3444,
  [8546] = 8312,
  [8547] = 8547,
  [8548] = 8548,
  [8549] = 8265,
  [8550] = 8330,
  [8551] = 8250,
  [8552] = 8256,
  [8553] = 8453,
  [8554] = 8554,
  [8555] = 8555,
  [8556] = 8464,
  [8557] = 8454,
  [8558] = 3367,
  [8559] = 8265,
  [8560] = 8461,
  [8561] = 8317,
  [8562] = 3349,
  [8563] = 8563,
  [8564] = 8282,
  [8565] = 3274,
  [8566] = 8331,
  [8567] = 8279,
  [8568] = 8280,
  [8569] = 8282,
  [8570] = 8284,
  [8571] = 8306,
  [8572] = 8554,
  [8573] = 8555,
  [8574] = 8290,
  [8575] = 8291,
  [8576] = 8292,
  [8577] = 5535,
  [8578] = 8305,
  [8579] = 8329,
  [8580] = 8554,
  [8581] = 8555,
  [8582] = 8510,
  [8583] = 8498,
  [8584] = 8499,
  [8585] = 8500,
  [8586] = 8501,
  [8587] = 8502,
  [8588] = 8504,
  [8589] = 8498,
  [8590] = 8499,
  [8591] = 8500,
  [8592] = 8501,
  [8593] = 8502,
  [8594] = 8503,
  [8595] = 8504,
  [8596] = 8505,
  [8597] = 8506,
  [8598] = 8507,
  [8599] = 8508,
  [8600] = 8466,
  [8601] = 8510,
  [8602] = 8505,
  [8603] = 8512,
  [8604] = 8470,
  [8605] = 8506,
  [8606] = 8507,
  [8607] = 8508,
  [8608] = 8481,
  [8609] = 8447,
  [8610] = 8448,
  [8611] = 8449,
  [8612] = 8510,
  [8613] = 8453,
  [8614] = 8454,
  [8615] = 8447,
  [8616] = 8448,
  [8617] = 8449,
  [8618] = 8481,
  [8619] = 8512,
  [8620] = 8447,
  [8621] = 8448,
  [8622] = 8449,
  [8623] = 8453,
  [8624] = 8453,
  [8625] = 8454,
  [8626] = 8454,
  [8627] = 3907,
  [8628] = 8473,
  [8629] = 8554,
  [8630] = 8481,
  [8631] = 8631,
  [8632] = 8470,
  [8633] = 8555,
  [8634] = 8512,
  [8635] = 8466,
  [8636] = 8554,
  [8637] = 8466,
  [8638] = 8447,
  [8639] = 8473,
  [8640] = 8448,
  [8641] = 8449,
  [8642] = 8470,
  [8643] = 8481,
  [8644] = 8453,
  [8645] = 8454,
  [8646] = 8498,
  [8647] = 8499,
  [8648] = 8500,
  [8649] = 8501,
  [8650] = 8502,
  [8651] = 8503,
  [8652] = 8504,
  [8653] = 8505,
  [8654] = 8506,
  [8655] = 8507,
  [8656] = 8508,
  [8657] = 3413,
  [8658] = 8466,
  [8659] = 8510,
  [8660] = 8512,
  [8661] = 8470,
  [8662] = 8498,
  [8663] = 8631,
  [8664] = 8555,
  [8665] = 8499,
  [8666] = 8500,
  [8667] = 8501,
  [8668] = 8502,
  [8669] = 8503,
  [8670] = 8504,
  [8671] = 8555,
  [8672] = 3349,
  [8673] = 8505,
  [8674] = 8506,
  [8675] = 8507,
  [8676] = 8508,
  [8677] = 8554,
  [8678] = 8503,
  [8679] = 8679,
  [8680] = 8680,
  [8681] = 8680,
  [8682] = 8682,
  [8683] = 8683,
  [8684] = 7549,
  [8685] = 8685,
  [8686] = 8507,
  [8687] = 8555,
  [8688] = 8508,
  [8689] = 8685,
  [8690] = 8685,
  [8691] = 8679,
  [8692] = 8692,
  [8693] = 8683,
  [8694] = 3252,
  [8695] = 8680,
  [8696] = 8685,
  [8697] = 8697,
  [8698] = 8698,
  [8699] = 8683,
  [8700] = 8510,
  [8701] = 8680,
  [8702] = 8683,
  [8703] = 8447,
  [8704] = 8685,
  [8705] = 8683,
  [8706] = 8448,
  [8707] = 8449,
  [8708] = 8680,
  [8709] = 8697,
  [8710] = 8680,
  [8711] = 8685,
  [8712] = 8685,
  [8713] = 8498,
  [8714] = 8685,
  [8715] = 8682,
  [8716] = 8680,
  [8717] = 8683,
  [8718] = 8453,
  [8719] = 8554,
  [8720] = 8680,
  [8721] = 8454,
  [8722] = 8554,
  [8723] = 8498,
  [8724] = 8499,
  [8725] = 8500,
  [8726] = 8501,
  [8727] = 8685,
  [8728] = 8502,
  [8729] = 8503,
  [8730] = 8504,
  [8731] = 8505,
  [8732] = 8506,
  [8733] = 8507,
  [8734] = 8680,
  [8735] = 8508,
  [8736] = 8631,
  [8737] = 8510,
  [8738] = 8500,
  [8739] = 3349,
  [8740] = 8680,
  [8741] = 8631,
  [8742] = 8555,
  [8743] = 8685,
  [8744] = 8512,
  [8745] = 8680,
  [8746] = 8685,
  [8747] = 8680,
  [8748] = 8685,
  [8749] = 8453,
  [8750] = 8683,
  [8751] = 4354,
  [8752] = 8454,
  [8753] = 8685,
  [8754] = 8447,
  [8755] = 8685,
  [8756] = 8631,
  [8757] = 8501,
  [8758] = 8680,
  [8759] = 8685,
  [8760] = 4252,
  [8761] = 8685,
  [8762] = 7562,
  [8763] = 8680,
  [8764] = 8698,
  [8765] = 8502,
  [8766] = 8680,
  [8767] = 8680,
  [8768] = 8448,
  [8769] = 8449,
  [8770] = 8685,
  [8771] = 8680,
  [8772] = 8685,
  [8773] = 8555,
  [8774] = 3444,
  [8775] = 8683,
  [8776] = 8503,
  [8777] = 8685,
  [8778] = 7685,
  [8779] = 8683,
  [8780] = 8680,
  [8781] = 8680,
  [8782] = 8481,
  [8783] = 7542,
  [8784] = 8554,
  [8785] = 8555,
  [8786] = 8680,
  [8787] = 8631,
  [8788] = 8788,
  [8789] = 8685,
  [8790] = 3367,
  [8791] = 8685,
  [8792] = 8692,
  [8793] = 8554,
  [8794] = 8504,
  [8795] = 8680,
  [8796] = 8499,
  [8797] = 8512,
  [8798] = 8685,
  [8799] = 8505,
  [8800] = 3274,
  [8801] = 8680,
  [8802] = 8685,
  [8803] = 8683,
  [8804] = 8481,
  [8805] = 3413,
  [8806] = 8506,
  [8807] = 8481,
  [8808] = 7547,
  [8809] = 8481,
  [8810] = 8680,
  [8811] = 8811,
  [8812] = 3444,
  [8813] = 3252,
  [8814] = 3274,
  [8815] = 8815,
  [8816] = 8554,
  [8817] = 8817,
  [8818] = 8818,
  [8819] = 8555,
  [8820] = 8820,
  [8821] = 8821,
  [8822] = 8822,
  [8823] = 8823,
  [8824] = 8824,
  [8825] = 8825,
  [8826] = 8824,
  [8827] = 3367,
  [8828] = 8824,
  [8829] = 8466,
  [8830] = 8512,
  [8831] = 8824,
  [8832] = 8470,
  [8833] = 8554,
  [8834] = 8815,
  [8835] = 8817,
  [8836] = 8836,
  [8837] = 8555,
  [8838] = 8823,
  [8839] = 8470,
  [8840] = 8821,
  [8841] = 8825,
  [8842] = 8824,
  [8843] = 8815,
  [8844] = 8817,
  [8845] = 8820,
  [8846] = 8811,
  [8847] = 8470,
  [8848] = 8848,
  [8849] = 8815,
  [8850] = 8817,
  [8851] = 8824,
  [8852] = 8815,
  [8853] = 8817,
  [8854] = 8823,
  [8855] = 8825,
  [8856] = 8856,
  [8857] = 8848,
  [8858] = 8824,
  [8859] = 8820,
  [8860] = 8811,
  [8861] = 8498,
  [8862] = 8499,
  [8863] = 8500,
  [8864] = 8501,
  [8865] = 8502,
  [8866] = 8503,
  [8867] = 8504,
  [8868] = 8505,
  [8869] = 8506,
  [8870] = 8507,
  [8871] = 8508,
  [8872] = 8466,
  [8873] = 8510,
  [8874] = 8874,
  [8875] = 8481,
  [8876] = 8447,
  [8877] = 8448,
  [8878] = 8449,
  [8879] = 8823,
  [8880] = 8512,
  [8881] = 8470,
  [8882] = 8453,
  [8883] = 8820,
  [8884] = 8454,
  [8885] = 8811,
  [8886] = 8823,
  [8887] = 8887,
  [8888] = 8825,
  [8889] = 8824,
  [8890] = 8473,
  [8891] = 8891,
  [8892] = 8892,
  [8893] = 8498,
  [8894] = 8820,
  [8895] = 8499,
  [8896] = 8811,
  [8897] = 8500,
  [8898] = 8501,
  [8899] = 8502,
  [8900] = 8503,
  [8901] = 8504,
  [8902] = 8505,
  [8903] = 8506,
  [8904] = 8507,
  [8905] = 8631,
  [8906] = 8823,
  [8907] = 8825,
  [8908] = 8508,
  [8909] = 8825,
  [8910] = 8820,
  [8911] = 8811,
  [8912] = 8466,
  [8913] = 8447,
  [8914] = 8448,
  [8915] = 8449,
  [8916] = 8453,
  [8917] = 8820,
  [8918] = 8454,
  [8919] = 8919,
  [8920] = 8811,
  [8921] = 8815,
  [8922] = 8510,
  [8923] = 8823,
  [8924] = 8824,
  [8925] = 8825,
  [8926] = 8817,
  [8927] = 8821,
  [8928] = 8820,
  [8929] = 8811,
  [8930] = 8930,
  [8931] = 8931,
  [8932] = 8823,
  [8933] = 8825,
  [8934] = 8820,
  [8935] = 8811,
  [8936] = 8936,
  [8937] = 8820,
  [8938] = 8824,
  [8939] = 8811,
  [8940] = 8481,
  [8941] = 8820,
  [8942] = 8811,
  [8943] = 8943,
  [8944] = 8823,
  [8945] = 8825,
  [8946] = 8820,
  [8947] = 8811,
  [8948] = 3413,
  [8949] = 8820,
  [8950] = 8811,
  [8951] = 7548,
  [8952] = 8820,
  [8953] = 8811,
  [8954] = 8954,
  [8955] = 8820,
  [8956] = 8811,
  [8957] = 8820,
  [8958] = 8811,
  [8959] = 8820,
  [8960] = 8811,
  [8961] = 8554,
  [8962] = 3349,
  [8963] = 8555,
  [8964] = 8820,
  [8965] = 8811,
  [8966] = 8825,
  [8967] = 8820,
  [8968] = 8811,
  [8969] = 8631,
  [8970] = 8473,
  [8971] = 8820,
  [8972] = 8811,
  [8973] = 8554,
  [8974] = 8820,
  [8975] = 8811,
  [8976] = 8824,
  [8977] = 8481,
  [8978] = 8555,
  [8979] = 8820,
  [8980] = 8811,
  [8981] = 8824,
  [8982] = 8820,
  [8983] = 8811,
  [8984] = 3413,
  [8985] = 8985,
  [8986] = 8986,
  [8987] = 8887,
  [8988] = 8820,
  [8989] = 8811,
  [8990] = 8820,
  [8991] = 8811,
  [8992] = 8820,
  [8993] = 8811,
  [8994] = 8820,
  [8995] = 8811,
  [8996] = 8820,
  [8997] = 8811,
  [8998] = 8824,
  [8999] = 8820,
  [9000] = 8820,
  [9001] = 8811,
  [9002] = 3349,
  [9003] = 8820,
  [9004] = 8811,
  [9005] = 8820,
  [9006] = 8811,
  [9007] = 8820,
  [9008] = 8811,
  [9009] = 8820,
  [9010] = 8811,
  [9011] = 8820,
  [9012] = 8811,
  [9013] = 8820,
  [9014] = 8811,
  [9015] = 8811,
  [9016] = 8820,
  [9017] = 8811,
  [9018] = 8820,
  [9019] = 8811,
  [9020] = 8824,
  [9021] = 9021,
  [9022] = 8820,
  [9023] = 8811,
  [9024] = 8823,
  [9025] = 8820,
  [9026] = 8811,
  [9027] = 8820,
  [9028] = 8811,
  [9029] = 8820,
  [9030] = 8811,
  [9031] = 9031,
  [9032] = 8936,
  [9033] = 8930,
  [9034] = 8822,
  [9035] = 8836,
  [9036] = 8985,
  [9037] = 8986,
  [9038] = 9038,
  [9039] = 8943,
  [9040] = 8824,
  [9041] = 8930,
  [9042] = 8822,
  [9043] = 8836,
  [9044] = 8985,
  [9045] = 8986,
  [9046] = 8943,
  [9047] = 8930,
  [9048] = 8822,
  [9049] = 8836,
  [9050] = 8985,
  [9051] = 8986,
  [9052] = 8943,
  [9053] = 8930,
  [9054] = 8822,
  [9055] = 8836,
  [9056] = 8985,
  [9057] = 8986,
  [9058] = 8943,
  [9059] = 8822,
  [9060] = 8836,
  [9061] = 8822,
  [9062] = 8822,
  [9063] = 8822,
  [9064] = 8822,
  [9065] = 8821,
  [9066] = 8466,
  [9067] = 8824,
  [9068] = 9068,
  [9069] = 8481,
  [9070] = 5703,
  [9071] = 7792,
  [9072] = 3324,
  [9073] = 8449,
  [9074] = 8481,
  [9075] = 8481,
  [9076] = 8448,
  [9077] = 3268,
  [9078] = 3276,
  [9079] = 7809,
  [9080] = 3282,
  [9081] = 8447,
  [9082] = 8555,
  [9083] = 8499,
  [9084] = 8500,
  [9085] = 8501,
  [9086] = 8502,
  [9087] = 3252,
  [9088] = 8503,
  [9089] = 8498,
  [9090] = 8554,
  [9091] = 5483,
  [9092] = 3390,
  [9093] = 3333,
  [9094] = 3427,
  [9095] = 8499,
  [9096] = 8500,
  [9097] = 3430,
  [9098] = 8501,
  [9099] = 8555,
  [9100] = 3444,
  [9101] = 5612,
  [9102] = 8510,
  [9103] = 8502,
  [9104] = 3267,
  [9105] = 8504,
  [9106] = 3298,
  [9107] = 8505,
  [9108] = 8449,
  [9109] = 8453,
  [9110] = 8503,
  [9111] = 8504,
  [9112] = 5607,
  [9113] = 8505,
  [9114] = 8506,
  [9115] = 3471,
  [9116] = 8506,
  [9117] = 3297,
  [9118] = 3315,
  [9119] = 8507,
  [9120] = 8507,
  [9121] = 7764,
  [9122] = 8508,
  [9123] = 3274,
  [9124] = 5516,
  [9125] = 5483,
  [9126] = 8508,
  [9127] = 5478,
  [9128] = 3484,
  [9129] = 8631,
  [9130] = 3467,
  [9131] = 7886,
  [9132] = 7903,
  [9133] = 8448,
  [9134] = 8631,
  [9135] = 3261,
  [9136] = 8512,
  [9137] = 7750,
  [9138] = 8512,
  [9139] = 5543,
  [9140] = 7874,
  [9141] = 5676,
  [9142] = 8510,
  [9143] = 7855,
  [9144] = 7867,
  [9145] = 3252,
  [9146] = 7843,
  [9147] = 7850,
  [9148] = 7866,
  [9149] = 7749,
  [9150] = 7752,
  [9151] = 7935,
  [9152] = 7882,
  [9153] = 5487,
  [9154] = 8454,
  [9155] = 7890,
  [9156] = 8447,
  [9157] = 3367,
  [9158] = 7891,
  [9159] = 7789,
  [9160] = 3390,
  [9161] = 3427,
  [9162] = 5574,
  [9163] = 3430,
  [9164] = 7892,
  [9165] = 5535,
  [9166] = 3444,
  [9167] = 8498,
  [9168] = 7756,
  [9169] = 3267,
  [9170] = 7736,
  [9171] = 5700,
  [9172] = 5478,
  [9173] = 3298,
  [9174] = 7878,
  [9175] = 7795,
  [9176] = 3367,
  [9177] = 3404,
  [9178] = 3471,
  [9179] = 8453,
  [9180] = 7924,
  [9181] = 7740,
  [9182] = 3297,
  [9183] = 3315,
  [9184] = 7905,
  [9185] = 7847,
  [9186] = 8454,
  [9187] = 7931,
  [9188] = 3274,
  [9189] = 7937,
  [9190] = 8554,
  [9191] = 5717,
  [9192] = 7902,
  [9193] = 5705,
  [9194] = 5697,
  [9195] = 8481,
  [9196] = 5660,
  [9197] = 5598,
  [9198] = 9198,
  [9199] = 5620,
  [9200] = 3404,
  [9201] = 9201,
  [9202] = 5648,
  [9203] = 5653,
  [9204] = 3413,
  [9205] = 9205,
  [9206] = 5629,
  [9207] = 5642,
  [9208] = 5614,
  [9209] = 5628,
  [9210] = 3296,
  [9211] = 5643,
  [9212] = 5647,
  [9213] = 5651,
  [9214] = 5683,
  [9215] = 5688,
  [9216] = 3324,
  [9217] = 5602,
  [9218] = 8481,
  [9219] = 5659,
  [9220] = 3268,
  [9221] = 5734,
  [9222] = 5633,
  [9223] = 3276,
  [9224] = 9201,
  [9225] = 3282,
  [9226] = 5588,
  [9227] = 5584,
  [9228] = 5676,
  [9229] = 5618,
  [9230] = 9230,
  [9231] = 5613,
  [9232] = 5607,
  [9233] = 8631,
  [9234] = 5590,
  [9235] = 3333,
  [9236] = 5700,
  [9237] = 8555,
  [9238] = 3264,
  [9239] = 5699,
  [9240] = 3484,
  [9241] = 3467,
  [9242] = 9242,
  [9243] = 9243,
  [9244] = 5585,
  [9245] = 5587,
  [9246] = 9246,
  [9247] = 5597,
  [9248] = 5703,
  [9249] = 5705,
  [9250] = 5717,
  [9251] = 8555,
  [9252] = 5616,
  [9253] = 8631,
  [9254] = 5656,
  [9255] = 5658,
  [9256] = 8554,
  [9257] = 5661,
  [9258] = 3349,
  [9259] = 5612,
  [9260] = 5625,
  [9261] = 5589,
  [9262] = 9262,
  [9263] = 8554,
  [9264] = 3261,
  [9265] = 9265,
  [9266] = 5684,
  [9267] = 5610,
  [9268] = 9268,
  [9269] = 5621,
  [9270] = 5666,
  [9271] = 5639,
  [9272] = 5604,
  [9273] = 9273,
  [9274] = 3367,
  [9275] = 9275,
  [9276] = 9276,
  [9277] = 9277,
  [9278] = 9278,
  [9279] = 3274,
  [9280] = 9280,
  [9281] = 9281,
  [9282] = 9282,
  [9283] = 9283,
  [9284] = 9284,
  [9285] = 9285,
  [9286] = 9286,
  [9287] = 3444,
  [9288] = 9288,
  [9289] = 9286,
  [9290] = 9290,
  [9291] = 9283,
  [9292] = 9290,
  [9293] = 9288,
  [9294] = 9294,
  [9295] = 9285,
  [9296] = 9281,
  [9297] = 9297,
  [9298] = 9298,
  [9299] = 9299,
  [9300] = 9300,
  [9301] = 9301,
  [9302] = 9302,
  [9303] = 9303,
  [9304] = 9304,
  [9305] = 9302,
  [9306] = 9303,
  [9307] = 9301,
  [9308] = 9308,
  [9309] = 9309,
  [9310] = 3413,
  [9311] = 9302,
  [9312] = 9303,
  [9313] = 9301,
  [9314] = 9302,
  [9315] = 9315,
  [9316] = 9303,
  [9317] = 9301,
  [9318] = 3349,
  [9319] = 9302,
  [9320] = 9303,
  [9321] = 9303,
  [9322] = 9302,
  [9323] = 9303,
  [9324] = 9301,
  [9325] = 9301,
  [9326] = 9302,
  [9327] = 9309,
  [9328] = 9302,
  [9329] = 9329,
  [9330] = 9330,
  [9331] = 9290,
  [9332] = 9302,
  [9333] = 9302,
  [9334] = 9303,
  [9335] = 9262,
  [9336] = 9336,
  [9337] = 9301,
  [9338] = 9302,
  [9339] = 9302,
  [9340] = 9290,
  [9341] = 9303,
  [9342] = 9303,
  [9343] = 9343,
  [9344] = 9303,
  [9345] = 9301,
  [9346] = 9301,
  [9347] = 9262,
  [9348] = 9301,
  [9349] = 9301,
  [9350] = 9308,
  [9351] = 9302,
  [9352] = 9303,
  [9353] = 9301,
  [9354] = 9301,
  [9355] = 9355,
  [9356] = 9315,
  [9357] = 9355,
  [9358] = 9303,
  [9359] = 9359,
  [9360] = 3291,
  [9361] = 3295,
  [9362] = 9362,
  [9363] = 3125,
  [9364] = 9364,
  [9365] = 3126,
  [9366] = 9366,
  [9367] = 3296,
  [9368] = 9368,
  [9369] = 3435,
  [9370] = 9370,
  [9371] = 3423,
  [9372] = 3298,
  [9373] = 3130,
  [9374] = 3254,
  [9375] = 9375,
  [9376] = 3404,
  [9377] = 9377,
  [9378] = 9378,
  [9379] = 9379,
  [9380] = 9366,
  [9381] = 3261,
  [9382] = 9382,
  [9383] = 3301,
  [9384] = 3317,
  [9385] = 9362,
  [9386] = 9386,
  [9387] = 9387,
  [9388] = 9388,
  [9389] = 9389,
  [9390] = 9283,
  [9391] = 9391,
  [9392] = 9392,
  [9393] = 9393,
  [9394] = 3333,
  [9395] = 9395,
  [9396] = 3471,
  [9397] = 3484,
  [9398] = 9398,
  [9399] = 3467,
  [9400] = 9395,
  [9401] = 9395,
  [9402] = 9364,
  [9403] = 9366,
  [9404] = 9395,
  [9405] = 9368,
  [9406] = 3444,
  [9407] = 9364,
  [9408] = 3255,
  [9409] = 9370,
  [9410] = 9364,
  [9411] = 9285,
  [9412] = 9412,
  [9413] = 9395,
  [9414] = 9414,
  [9415] = 9415,
  [9416] = 9375,
  [9417] = 9366,
  [9418] = 3358,
  [9419] = 9382,
  [9420] = 9362,
  [9421] = 9386,
  [9422] = 9422,
  [9423] = 3346,
  [9424] = 9262,
  [9425] = 3315,
  [9426] = 9366,
  [9427] = 3261,
  [9428] = 9364,
  [9429] = 9395,
  [9430] = 3269,
  [9431] = 9364,
  [9432] = 9288,
  [9433] = 9366,
  [9434] = 9366,
  [9435] = 9290,
  [9436] = 9395,
  [9437] = 9364,
  [9438] = 9438,
  [9439] = 9398,
  [9440] = 9395,
  [9441] = 9364,
  [9442] = 9366,
  [9443] = 9368,
  [9444] = 3297,
  [9445] = 9370,
  [9446] = 3357,
  [9447] = 9447,
  [9448] = 9448,
  [9449] = 9449,
  [9450] = 9368,
  [9451] = 5717,
  [9452] = 9452,
  [9453] = 9375,
  [9454] = 9368,
  [9455] = 9366,
  [9456] = 9448,
  [9457] = 5612,
  [9458] = 9382,
  [9459] = 9386,
  [9460] = 9362,
  [9461] = 9386,
  [9462] = 9370,
  [9463] = 3274,
  [9464] = 9370,
  [9465] = 3416,
  [9466] = 9288,
  [9467] = 9467,
  [9468] = 9395,
  [9469] = 9469,
  [9470] = 9386,
  [9471] = 9395,
  [9472] = 9472,
  [9473] = 3457,
  [9474] = 9364,
  [9475] = 9395,
  [9476] = 9375,
  [9477] = 9366,
  [9478] = 9368,
  [9479] = 9479,
  [9480] = 9370,
  [9481] = 9481,
  [9482] = 9285,
  [9483] = 9375,
  [9484] = 9364,
  [9485] = 3368,
  [9486] = 9366,
  [9487] = 9487,
  [9488] = 9382,
  [9489] = 9362,
  [9490] = 9386,
  [9491] = 9395,
  [9492] = 3352,
  [9493] = 3333,
  [9494] = 9368,
  [9495] = 3278,
  [9496] = 9364,
  [9497] = 3484,
  [9498] = 3316,
  [9499] = 9382,
  [9500] = 9362,
  [9501] = 9412,
  [9502] = 9447,
  [9503] = 9467,
  [9504] = 9479,
  [9505] = 9481,
  [9506] = 9364,
  [9507] = 9395,
  [9508] = 9386,
  [9509] = 3467,
  [9510] = 3264,
  [9511] = 3261,
  [9512] = 9364,
  [9513] = 9364,
  [9514] = 3462,
  [9515] = 3374,
  [9516] = 9366,
  [9517] = 9517,
  [9518] = 3323,
  [9519] = 9519,
  [9520] = 3342,
  [9521] = 9422,
  [9522] = 9366,
  [9523] = 9368,
  [9524] = 3258,
  [9525] = 9370,
  [9526] = 9395,
  [9527] = 3117,
  [9528] = 3159,
  [9529] = 9529,
  [9530] = 3434,
  [9531] = 9395,
  [9532] = 3397,
  [9533] = 3343,
  [9534] = 9368,
  [9535] = 9535,
  [9536] = 9368,
  [9537] = 9364,
  [9538] = 3167,
  [9539] = 3252,
  [9540] = 9395,
  [9541] = 9541,
  [9542] = 9262,
  [9543] = 3373,
  [9544] = 9544,
  [9545] = 3156,
  [9546] = 3279,
  [9547] = 3371,
  [9548] = 9370,
  [9549] = 3293,
  [9550] = 9375,
  [9551] = 3311,
  [9552] = 9370,
  [9553] = 9283,
  [9554] = 9375,
  [9555] = 9375,
  [9556] = 3367,
  [9557] = 9364,
  [9558] = 9364,
  [9559] = 9368,
  [9560] = 3271,
  [9561] = 9366,
  [9562] = 9366,
  [9563] = 9395,
  [9564] = 9564,
  [9565] = 9370,
  [9566] = 3333,
  [9567] = 9366,
  [9568] = 3484,
  [9569] = 9382,
  [9570] = 9362,
  [9571] = 9368,
  [9572] = 9382,
  [9573] = 9573,
  [9574] = 9370,
  [9575] = 9395,
  [9576] = 9449,
  [9577] = 9452,
  [9578] = 9386,
  [9579] = 9362,
  [9580] = 9386,
  [9581] = 9285,
  [9582] = 9370,
  [9583] = 3324,
  [9584] = 9584,
  [9585] = 9487,
  [9586] = 3314,
  [9587] = 9517,
  [9588] = 9588,
  [9589] = 9359,
  [9590] = 9529,
  [9591] = 9591,
  [9592] = 9564,
  [9593] = 9584,
  [9594] = 9366,
  [9595] = 9595,
  [9596] = 9596,
  [9597] = 9597,
  [9598] = 9366,
  [9599] = 9375,
  [9600] = 9541,
  [9601] = 9283,
  [9602] = 3321,
  [9603] = 9375,
  [9604] = 9382,
  [9605] = 3268,
  [9606] = 9364,
  [9607] = 9382,
  [9608] = 9608,
  [9609] = 9362,
  [9610] = 9382,
  [9611] = 9386,
  [9612] = 9395,
  [9613] = 9285,
  [9614] = 9364,
  [9615] = 9595,
  [9616] = 3338,
  [9617] = 9290,
  [9618] = 9375,
  [9619] = 9395,
  [9620] = 9364,
  [9621] = 9395,
  [9622] = 3467,
  [9623] = 9364,
  [9624] = 3136,
  [9625] = 3364,
  [9626] = 3406,
  [9627] = 3308,
  [9628] = 3327,
  [9629] = 9366,
  [9630] = 3392,
  [9631] = 9415,
  [9632] = 3329,
  [9633] = 9362,
  [9634] = 9386,
  [9635] = 9364,
  [9636] = 9366,
  [9637] = 9382,
  [9638] = 9362,
  [9639] = 3276,
  [9640] = 9395,
  [9641] = 5717,
  [9642] = 3390,
  [9643] = 9368,
  [9644] = 3427,
  [9645] = 9645,
  [9646] = 9370,
  [9647] = 9375,
  [9648] = 9588,
  [9649] = 9591,
  [9650] = 3386,
  [9651] = 9283,
  [9652] = 9375,
  [9653] = 9596,
  [9654] = 9288,
  [9655] = 9655,
  [9656] = 3430,
  [9657] = 9597,
  [9658] = 3433,
  [9659] = 3307,
  [9660] = 9386,
  [9661] = 9364,
  [9662] = 9382,
  [9663] = 3294,
  [9664] = 9377,
  [9665] = 3257,
  [9666] = 3290,
  [9667] = 3270,
  [9668] = 9378,
  [9669] = 3332,
  [9670] = 3344,
  [9671] = 3380,
  [9672] = 9379,
  [9673] = 3370,
  [9674] = 3282,
  [9675] = 9362,
  [9676] = 9386,
  [9677] = 9382,
  [9678] = 9362,
  [9679] = 9366,
  [9680] = 9387,
  [9681] = 9388,
  [9682] = 3272,
  [9683] = 5612,
  [9684] = 9395,
  [9685] = 9389,
  [9686] = 3149,
  [9687] = 9288,
  [9688] = 9366,
  [9689] = 9689,
  [9690] = 9391,
  [9691] = 9392,
  [9692] = 3267,
  [9693] = 9393,
  [9694] = 9366,
  [9695] = 9596,
  [9696] = 9389,
  [9697] = 9697,
  [9698] = 9698,
  [9699] = 8506,
  [9700] = 9700,
  [9701] = 9701,
  [9702] = 9702,
  [9703] = 9700,
  [9704] = 9517,
  [9705] = 9359,
  [9706] = 9702,
  [9707] = 9355,
  [9708] = 3324,
  [9709] = 3333,
  [9710] = 9391,
  [9711] = 9392,
  [9712] = 9393,
  [9713] = 9529,
  [9714] = 9541,
  [9715] = 3261,
  [9716] = 9700,
  [9717] = 9702,
  [9718] = 9718,
  [9719] = 8507,
  [9720] = 9700,
  [9721] = 9398,
  [9722] = 9702,
  [9723] = 9697,
  [9724] = 9487,
  [9725] = 3484,
  [9726] = 5717,
  [9727] = 5717,
  [9728] = 9698,
  [9729] = 9697,
  [9730] = 9700,
  [9731] = 9697,
  [9732] = 9732,
  [9733] = 8508,
  [9734] = 9702,
  [9735] = 3261,
  [9736] = 8510,
  [9737] = 8512,
  [9738] = 5612,
  [9739] = 9697,
  [9740] = 9315,
  [9741] = 9700,
  [9742] = 9700,
  [9743] = 9290,
  [9744] = 9422,
  [9745] = 9391,
  [9746] = 9700,
  [9747] = 9564,
  [9748] = 9697,
  [9749] = 9749,
  [9750] = 9355,
  [9751] = 9751,
  [9752] = 9702,
  [9753] = 3333,
  [9754] = 9412,
  [9755] = 9447,
  [9756] = 8470,
  [9757] = 9355,
  [9758] = 9758,
  [9759] = 9355,
  [9760] = 9467,
  [9761] = 9479,
  [9762] = 5612,
  [9763] = 8481,
  [9764] = 9595,
  [9765] = 8470,
  [9766] = 9697,
  [9767] = 9588,
  [9768] = 9290,
  [9769] = 9591,
  [9770] = 9596,
  [9771] = 9718,
  [9772] = 9597,
  [9773] = 9448,
  [9774] = 9700,
  [9775] = 9448,
  [9776] = 9481,
  [9777] = 9700,
  [9778] = 9697,
  [9779] = 9702,
  [9780] = 9697,
  [9781] = 9702,
  [9782] = 9304,
  [9783] = 9700,
  [9784] = 3268,
  [9785] = 3484,
  [9786] = 9336,
  [9787] = 9702,
  [9788] = 9584,
  [9789] = 9697,
  [9790] = 9700,
  [9791] = 9329,
  [9792] = 8498,
  [9793] = 9793,
  [9794] = 9697,
  [9795] = 3467,
  [9796] = 9452,
  [9797] = 8466,
  [9798] = 9798,
  [9799] = 9697,
  [9800] = 9517,
  [9801] = 9700,
  [9802] = 9359,
  [9803] = 8554,
  [9804] = 9529,
  [9805] = 9541,
  [9806] = 8499,
  [9807] = 8473,
  [9808] = 9702,
  [9809] = 8500,
  [9810] = 8501,
  [9811] = 8502,
  [9812] = 9702,
  [9813] = 9700,
  [9814] = 9814,
  [9815] = 9315,
  [9816] = 9398,
  [9817] = 9817,
  [9818] = 9702,
  [9819] = 3276,
  [9820] = 9315,
  [9821] = 8555,
  [9822] = 3484,
  [9823] = 9758,
  [9824] = 9412,
  [9825] = 9588,
  [9826] = 9702,
  [9827] = 9392,
  [9828] = 3404,
  [9829] = 9449,
  [9830] = 9452,
  [9831] = 9591,
  [9832] = 9700,
  [9833] = 9597,
  [9834] = 9447,
  [9835] = 9697,
  [9836] = 9487,
  [9837] = 9837,
  [9838] = 9393,
  [9839] = 9467,
  [9840] = 9564,
  [9841] = 9584,
  [9842] = 9422,
  [9843] = 9479,
  [9844] = 9844,
  [9845] = 8453,
  [9846] = 9595,
  [9847] = 9798,
  [9848] = 8454,
  [9849] = 9700,
  [9850] = 9481,
  [9851] = 8447,
  [9852] = 8448,
  [9853] = 8449,
  [9854] = 9844,
  [9855] = 8503,
  [9856] = 3261,
  [9857] = 9702,
  [9858] = 9702,
  [9859] = 9859,
  [9860] = 3467,
  [9861] = 9315,
  [9862] = 9697,
  [9863] = 3467,
  [9864] = 9377,
  [9865] = 9378,
  [9866] = 9379,
  [9867] = 9387,
  [9868] = 9388,
  [9869] = 8466,
  [9870] = 9702,
  [9871] = 8504,
  [9872] = 9389,
  [9873] = 3333,
  [9874] = 9697,
  [9875] = 8505,
  [9876] = 3282,
  [9877] = 9377,
  [9878] = 9859,
  [9879] = 9378,
  [9880] = 9697,
  [9881] = 9379,
  [9882] = 9387,
  [9883] = 9262,
  [9884] = 9388,
  [9885] = 9262,
  [9886] = 9449,
  [9887] = 3329,
  [9888] = 3427,
  [9889] = 3430,
  [9890] = 3333,
  [9891] = 9891,
  [9892] = 9892,
  [9893] = 9893,
  [9894] = 9894,
  [9895] = 3484,
  [9896] = 3467,
  [9897] = 3261,
  [9898] = 3267,
  [9899] = 9899,
  [9900] = 9900,
  [9901] = 9901,
  [9902] = 9902,
  [9903] = 9903,
  [9904] = 7699,
  [9905] = 7700,
  [9906] = 9906,
  [9907] = 9907,
  [9908] = 9908,
  [9909] = 9909,
  [9910] = 9910,
  [9911] = 9911,
  [9912] = 9912,
  [9913] = 9913,
  [9914] = 9914,
  [9915] = 9915,
  [9916] = 9916,
  [9917] = 9917,
  [9918] = 9918,
  [9919] = 9919,
  [9920] = 3404,
  [9921] = 3471,
  [9922] = 3297,
  [9923] = 3324,
  [9924] = 9924,
  [9925] = 3268,
  [9926] = 9926,
  [9927] = 3276,
  [9928] = 3282,
  [9929] = 9915,
  [9930] = 8498,
  [9931] = 9931,
  [9932] = 8499,
  [9933] = 8500,
  [9934] = 8501,
  [9935] = 8502,
  [9936] = 8503,
  [9937] = 8504,
  [9938] = 8505,
  [9939] = 8506,
  [9940] = 9262,
  [9941] = 8512,
  [9942] = 8470,
  [9943] = 8507,
  [9944] = 8508,
  [9945] = 3252,
  [9946] = 8510,
  [9947] = 9906,
  [9948] = 3298,
  [9949] = 9915,
  [9950] = 9412,
  [9951] = 9447,
  [9952] = 9467,
  [9953] = 9479,
  [9954] = 9481,
  [9955] = 9907,
  [9956] = 7561,
  [9957] = 7567,
  [9958] = 9517,
  [9959] = 9359,
  [9960] = 3315,
  [9961] = 9529,
  [9962] = 9541,
  [9963] = 9894,
  [9964] = 9283,
  [9965] = 9915,
  [9966] = 9966,
  [9967] = 9449,
  [9968] = 9452,
  [9969] = 9588,
  [9970] = 8453,
  [9971] = 8454,
  [9972] = 8447,
  [9973] = 8448,
  [9974] = 8449,
  [9975] = 9591,
  [9976] = 9596,
  [9977] = 9597,
  [9978] = 9859,
  [9979] = 8554,
  [9980] = 9902,
  [9981] = 9903,
  [9982] = 8555,
  [9983] = 8631,
  [9984] = 3413,
  [9985] = 3444,
  [9986] = 9487,
  [9987] = 9899,
  [9988] = 9900,
  [9989] = 8498,
  [9990] = 8499,
  [9991] = 8500,
  [9992] = 8501,
  [9993] = 8502,
  [9994] = 8503,
  [9995] = 8504,
  [9996] = 8505,
  [9997] = 8506,
  [9998] = 9998,
  [9999] = 8507,
  [10000] = 8508,
  [10001] = 3367,
  [10002] = 8466,
  [10003] = 8510,
  [10004] = 3349,
  [10005] = 3274,
  [10006] = 10006,
  [10007] = 9564,
  [10008] = 9901,
  [10009] = 9288,
  [10010] = 9377,
  [10011] = 9378,
  [10012] = 9584,
  [10013] = 9379,
  [10014] = 9387,
  [10015] = 9595,
  [10016] = 9388,
  [10017] = 9389,
  [10018] = 9894,
  [10019] = 9412,
  [10020] = 9447,
  [10021] = 9467,
  [10022] = 9479,
  [10023] = 9290,
  [10024] = 9908,
  [10025] = 9909,
  [10026] = 9910,
  [10027] = 9481,
  [10028] = 9902,
  [10029] = 9698,
  [10030] = 9903,
  [10031] = 3333,
  [10032] = 8481,
  [10033] = 8470,
  [10034] = 8473,
  [10035] = 8512,
  [10036] = 10006,
  [10037] = 3484,
  [10038] = 3467,
  [10039] = 3261,
  [10040] = 9517,
  [10041] = 9359,
  [10042] = 9529,
  [10043] = 9541,
  [10044] = 10044,
  [10045] = 10045,
  [10046] = 9588,
  [10047] = 9591,
  [10048] = 9596,
  [10049] = 9597,
  [10050] = 3333,
  [10051] = 9391,
  [10052] = 9902,
  [10053] = 9392,
  [10054] = 9393,
  [10055] = 9911,
  [10056] = 9912,
  [10057] = 9283,
  [10058] = 3484,
  [10059] = 9913,
  [10060] = 9891,
  [10061] = 9892,
  [10062] = 9893,
  [10063] = 9914,
  [10064] = 3467,
  [10065] = 9894,
  [10066] = 9903,
  [10067] = 3261,
  [10068] = 9285,
  [10069] = 9377,
  [10070] = 9378,
  [10071] = 9379,
  [10072] = 9387,
  [10073] = 9891,
  [10074] = 3390,
  [10075] = 9892,
  [10076] = 9893,
  [10077] = 9389,
  [10078] = 9894,
  [10079] = 9916,
  [10080] = 7617,
  [10081] = 3296,
  [10082] = 9917,
  [10083] = 9918,
  [10084] = 5612,
  [10085] = 9398,
  [10086] = 9262,
  [10087] = 9892,
  [10088] = 9391,
  [10089] = 9392,
  [10090] = 9393,
  [10091] = 9919,
  [10092] = 9288,
  [10093] = 9899,
  [10094] = 9900,
  [10095] = 9901,
  [10096] = 9902,
  [10097] = 9398,
  [10098] = 9903,
  [10099] = 9906,
  [10100] = 5717,
  [10101] = 9907,
  [10102] = 8554,
  [10103] = 9908,
  [10104] = 9909,
  [10105] = 9910,
  [10106] = 8555,
  [10107] = 9911,
  [10108] = 9912,
  [10109] = 10109,
  [10110] = 3907,
  [10111] = 9913,
  [10112] = 9914,
  [10113] = 9916,
  [10114] = 9422,
  [10115] = 9917,
  [10116] = 9262,
  [10117] = 9918,
  [10118] = 9919,
  [10119] = 10006,
  [10120] = 10120,
  [10121] = 8481,
  [10122] = 9859,
  [10123] = 10123,
  [10124] = 9915,
  [10125] = 10125,
  [10126] = 9422,
  [10127] = 9262,
  [10128] = 10128,
  [10129] = 5717,
  [10130] = 5612,
  [10131] = 9449,
  [10132] = 9452,
  [10133] = 8466,
  [10134] = 10134,
  [10135] = 9487,
  [10136] = 9564,
  [10137] = 9584,
  [10138] = 9290,
  [10139] = 9595,
  [10140] = 9448,
  [10141] = 3293,
  [10142] = 9899,
  [10143] = 9900,
  [10144] = 3301,
  [10145] = 3317,
  [10146] = 9901,
  [10147] = 3255,
  [10148] = 9902,
  [10149] = 3346,
  [10150] = 3352,
  [10151] = 9903,
  [10152] = 3316,
  [10153] = 3323,
  [10154] = 3342,
  [10155] = 3434,
  [10156] = 3397,
  [10157] = 3343,
  [10158] = 3156,
  [10159] = 3279,
  [10160] = 3311,
  [10161] = 3321,
  [10162] = 10134,
  [10163] = 3364,
  [10164] = 3406,
  [10165] = 3308,
  [10166] = 3327,
  [10167] = 3386,
  [10168] = 3307,
  [10169] = 3373,
  [10170] = 3416,
  [10171] = 3435,
  [10172] = 3423,
  [10173] = 3357,
  [10174] = 3368,
  [10175] = 3278,
  [10176] = 3462,
  [10177] = 3258,
  [10178] = 3117,
  [10179] = 3159,
  [10180] = 3167,
  [10181] = 3271,
  [10182] = 3272,
  [10183] = 3291,
  [10184] = 3295,
  [10185] = 9698,
  [10186] = 3125,
  [10187] = 3126,
  [10188] = 3130,
  [10189] = 3254,
  [10190] = 9906,
  [10191] = 9448,
  [10192] = 3269,
  [10193] = 9907,
  [10194] = 3136,
  [10195] = 3374,
  [10196] = 3149,
  [10197] = 9285,
  [10198] = 10045,
  [10199] = 9908,
  [10200] = 9909,
  [10201] = 3338,
  [10202] = 3358,
  [10203] = 9910,
  [10204] = 3392,
  [10205] = 9911,
  [10206] = 9912,
  [10207] = 3433,
  [10208] = 3457,
  [10209] = 3294,
  [10210] = 3257,
  [10211] = 3290,
  [10212] = 3270,
  [10213] = 3332,
  [10214] = 3344,
  [10215] = 3380,
  [10216] = 3370,
  [10217] = 9913,
  [10218] = 9914,
  [10219] = 10219,
  [10220] = 9916,
  [10221] = 9917,
  [10222] = 9918,
  [10223] = 9919,
  [10224] = 9893,
  [10225] = 10006,
  [10226] = 9891,
  [10227] = 9915,
  [10228] = 10120,
  [10229] = 3264,
  [10230] = 9894,
  [10231] = 9388,
  [10232] = 9479,
  [10233] = 10233,
  [10234] = 10234,
  [10235] = 10234,
  [10236] = 9379,
  [10237] = 9449,
  [10238] = 3261,
  [10239] = 10239,
  [10240] = 9859,
  [10241] = 10241,
  [10242] = 10242,
  [10243] = 10243,
  [10244] = 10244,
  [10245] = 9448,
  [10246] = 9564,
  [10247] = 9448,
  [10248] = 9584,
  [10249] = 10249,
  [10250] = 9452,
  [10251] = 10251,
  [10252] = 10233,
  [10253] = 10253,
  [10254] = 10254,
  [10255] = 10234,
  [10256] = 9595,
  [10257] = 10239,
  [10258] = 10258,
  [10259] = 10241,
  [10260] = 10242,
  [10261] = 10243,
  [10262] = 10249,
  [10263] = 10249,
  [10264] = 10264,
  [10265] = 8631,
  [10266] = 9387,
  [10267] = 10233,
  [10268] = 9391,
  [10269] = 9392,
  [10270] = 10249,
  [10271] = 3333,
  [10272] = 8631,
  [10273] = 10254,
  [10274] = 10234,
  [10275] = 9449,
  [10276] = 9452,
  [10277] = 9355,
  [10278] = 9393,
  [10279] = 10239,
  [10280] = 9412,
  [10281] = 9447,
  [10282] = 9467,
  [10283] = 9479,
  [10284] = 4252,
  [10285] = 10239,
  [10286] = 9584,
  [10287] = 9595,
  [10288] = 9481,
  [10289] = 9487,
  [10290] = 10241,
  [10291] = 10233,
  [10292] = 9859,
  [10293] = 10242,
  [10294] = 10254,
  [10295] = 10233,
  [10296] = 10045,
  [10297] = 9564,
  [10298] = 9584,
  [10299] = 10254,
  [10300] = 7562,
  [10301] = 10243,
  [10302] = 10234,
  [10303] = 9595,
  [10304] = 9422,
  [10305] = 10239,
  [10306] = 4787,
  [10307] = 10241,
  [10308] = 10242,
  [10309] = 4780,
  [10310] = 9798,
  [10311] = 10243,
  [10312] = 4785,
  [10313] = 9517,
  [10314] = 9359,
  [10315] = 8481,
  [10316] = 9529,
  [10317] = 10317,
  [10318] = 10318,
  [10319] = 10319,
  [10320] = 10249,
  [10321] = 10321,
  [10322] = 9541,
  [10323] = 3484,
  [10324] = 3467,
  [10325] = 10241,
  [10326] = 10242,
  [10327] = 7547,
  [10328] = 9487,
  [10329] = 10233,
  [10330] = 10254,
  [10331] = 10234,
  [10332] = 7549,
  [10333] = 10239,
  [10334] = 5717,
  [10335] = 8498,
  [10336] = 9388,
  [10337] = 8554,
  [10338] = 10338,
  [10339] = 8499,
  [10340] = 10340,
  [10341] = 8500,
  [10342] = 8501,
  [10343] = 8502,
  [10344] = 4354,
  [10345] = 8503,
  [10346] = 10346,
  [10347] = 8504,
  [10348] = 8505,
  [10349] = 8506,
  [10350] = 8507,
  [10351] = 8508,
  [10352] = 10249,
  [10353] = 10251,
  [10354] = 10258,
  [10355] = 10264,
  [10356] = 10249,
  [10357] = 10241,
  [10358] = 10234,
  [10359] = 9698,
  [10360] = 10243,
  [10361] = 9588,
  [10362] = 9591,
  [10363] = 7548,
  [10364] = 8555,
  [10365] = 3333,
  [10366] = 10242,
  [10367] = 10367,
  [10368] = 10243,
  [10369] = 9596,
  [10370] = 8510,
  [10371] = 10249,
  [10372] = 10233,
  [10373] = 10254,
  [10374] = 9597,
  [10375] = 10249,
  [10376] = 10249,
  [10377] = 9718,
  [10378] = 7685,
  [10379] = 10379,
  [10380] = 10134,
  [10381] = 3261,
  [10382] = 8856,
  [10383] = 9412,
  [10384] = 10234,
  [10385] = 3484,
  [10386] = 9447,
  [10387] = 9467,
  [10388] = 10239,
  [10389] = 9595,
  [10390] = 10241,
  [10391] = 10346,
  [10392] = 9355,
  [10393] = 9398,
  [10394] = 9377,
  [10395] = 10241,
  [10396] = 9481,
  [10397] = 5717,
  [10398] = 10242,
  [10399] = 9377,
  [10400] = 9378,
  [10401] = 7740,
  [10402] = 9379,
  [10403] = 9564,
  [10404] = 9387,
  [10405] = 9388,
  [10406] = 9389,
  [10407] = 9584,
  [10408] = 10243,
  [10409] = 10244,
  [10410] = 5612,
  [10411] = 9798,
  [10412] = 10412,
  [10413] = 10413,
  [10414] = 10233,
  [10415] = 10233,
  [10416] = 10239,
  [10417] = 9517,
  [10418] = 10254,
  [10419] = 10134,
  [10420] = 10420,
  [10421] = 10234,
  [10422] = 3467,
  [10423] = 10233,
  [10424] = 10254,
  [10425] = 10234,
  [10426] = 9359,
  [10427] = 10239,
  [10428] = 10420,
  [10429] = 10429,
  [10430] = 10241,
  [10431] = 10242,
  [10432] = 9391,
  [10433] = 9392,
  [10434] = 9393,
  [10435] = 10243,
  [10436] = 8481,
  [10437] = 8512,
  [10438] = 5612,
  [10439] = 10239,
  [10440] = 10249,
  [10441] = 10249,
  [10442] = 9315,
  [10443] = 10338,
  [10444] = 9529,
  [10445] = 10340,
  [10446] = 10233,
  [10447] = 9449,
  [10448] = 10254,
  [10449] = 9452,
  [10450] = 10241,
  [10451] = 9398,
  [10452] = 7542,
  [10453] = 10234,
  [10454] = 9541,
  [10455] = 8554,
  [10456] = 10242,
  [10457] = 10243,
  [10458] = 3333,
  [10459] = 3484,
  [10460] = 10241,
  [10461] = 10242,
  [10462] = 3467,
  [10463] = 9698,
  [10464] = 10239,
  [10465] = 10249,
  [10466] = 9378,
  [10467] = 10249,
  [10468] = 10243,
  [10469] = 10241,
  [10470] = 9389,
  [10471] = 10233,
  [10472] = 3261,
  [10473] = 9487,
  [10474] = 10243,
  [10475] = 10254,
  [10476] = 10254,
  [10477] = 10239,
  [10478] = 9449,
  [10479] = 9452,
  [10480] = 10480,
  [10481] = 10242,
  [10482] = 9315,
  [10483] = 9588,
  [10484] = 9591,
  [10485] = 9596,
  [10486] = 10243,
  [10487] = 9597,
  [10488] = 10234,
  [10489] = 10233,
  [10490] = 10249,
  [10491] = 10239,
  [10492] = 9422,
  [10493] = 10241,
  [10494] = 10242,
  [10495] = 10243,
  [10496] = 10496,
  [10497] = 10254,
  [10498] = 10249,
  [10499] = 9564,
  [10500] = 8555,
  [10501] = 9718,
  [10502] = 10233,
  [10503] = 10254,
  [10504] = 10045,
  [10505] = 3333,
  [10506] = 3484,
  [10507] = 3467,
  [10508] = 10234,
  [10509] = 3261,
  [10510] = 10510,
  [10511] = 10511,
  [10512] = 10318,
  [10513] = 10513,
  [10514] = 10514,
  [10515] = 10515,
  [10516] = 10516,
  [10517] = 10513,
  [10518] = 10514,
  [10519] = 10515,
  [10520] = 10516,
  [10521] = 9844,
  [10522] = 9844,
  [10523] = 9487,
  [10524] = 9758,
  [10525] = 9758,
  [10526] = 10242,
  [10527] = 3267,
  [10528] = 10528,
  [10529] = 3484,
  [10530] = 9698,
  [10531] = 7905,
  [10532] = 3467,
  [10533] = 7903,
  [10534] = 9262,
  [10535] = 10535,
  [10536] = 5717,
  [10537] = 5703,
  [10538] = 7795,
  [10539] = 10528,
  [10540] = 5717,
  [10541] = 7924,
  [10542] = 9290,
  [10543] = 10543,
  [10544] = 10528,
  [10545] = 5705,
  [10546] = 9422,
  [10547] = 7764,
  [10548] = 3261,
  [10549] = 5607,
  [10550] = 7847,
  [10551] = 9290,
  [10552] = 7931,
  [10553] = 3298,
  [10554] = 7937,
  [10555] = 9698,
  [10556] = 3333,
  [10557] = 7902,
  [10558] = 3261,
  [10559] = 10559,
  [10560] = 7867,
  [10561] = 10528,
  [10562] = 9448,
  [10563] = 10563,
  [10564] = 5612,
  [10565] = 9448,
  [10566] = 8481,
  [10567] = 7843,
  [10568] = 8554,
  [10569] = 3324,
  [10570] = 9448,
  [10571] = 10571,
  [10572] = 7750,
  [10573] = 7935,
  [10574] = 4839,
  [10575] = 10528,
  [10576] = 9412,
  [10577] = 10543,
  [10578] = 9447,
  [10579] = 9467,
  [10580] = 8555,
  [10581] = 9412,
  [10582] = 9447,
  [10583] = 9467,
  [10584] = 9479,
  [10585] = 7850,
  [10586] = 8498,
  [10587] = 10528,
  [10588] = 9479,
  [10589] = 5483,
  [10590] = 9481,
  [10591] = 8631,
  [10592] = 8499,
  [10593] = 10528,
  [10594] = 7866,
  [10595] = 8500,
  [10596] = 10528,
  [10597] = 9398,
  [10598] = 9517,
  [10599] = 9359,
  [10600] = 7882,
  [10601] = 9859,
  [10602] = 8501,
  [10603] = 9529,
  [10604] = 9541,
  [10605] = 8502,
  [10606] = 8503,
  [10607] = 7756,
  [10608] = 10528,
  [10609] = 9290,
  [10610] = 8504,
  [10611] = 7792,
  [10612] = 8505,
  [10613] = 7809,
  [10614] = 9481,
  [10615] = 7890,
  [10616] = 9262,
  [10617] = 10617,
  [10618] = 10618,
  [10619] = 10619,
  [10620] = 8506,
  [10621] = 9859,
  [10622] = 8507,
  [10623] = 9517,
  [10624] = 8508,
  [10625] = 9359,
  [10626] = 5700,
  [10627] = 3404,
  [10628] = 9529,
  [10629] = 4787,
  [10630] = 9541,
  [10631] = 7891,
  [10632] = 7892,
  [10633] = 5478,
  [10634] = 8510,
  [10635] = 10635,
  [10636] = 10045,
  [10637] = 10134,
  [10638] = 3268,
  [10639] = 10528,
  [10640] = 10640,
  [10641] = 8512,
  [10642] = 8470,
  [10643] = 10528,
  [10644] = 10618,
  [10645] = 10045,
  [10646] = 10535,
  [10647] = 9588,
  [10648] = 9591,
  [10649] = 9596,
  [10650] = 3471,
  [10651] = 10528,
  [10652] = 10134,
  [10653] = 9388,
  [10654] = 9597,
  [10655] = 10528,
  [10656] = 9389,
  [10657] = 9422,
  [10658] = 5676,
  [10659] = 8019,
  [10660] = 9422,
  [10661] = 9262,
  [10662] = 7789,
  [10663] = 9588,
  [10664] = 5612,
  [10665] = 10528,
  [10666] = 10640,
  [10667] = 3390,
  [10668] = 3427,
  [10669] = 3430,
  [10670] = 8466,
  [10671] = 9698,
  [10672] = 3276,
  [10673] = 9591,
  [10674] = 5717,
  [10675] = 9596,
  [10676] = 3484,
  [10677] = 10528,
  [10678] = 10678,
  [10679] = 9597,
  [10680] = 10338,
  [10681] = 10340,
  [10682] = 10528,
  [10683] = 10528,
  [10684] = 10528,
  [10685] = 4780,
  [10686] = 7886,
  [10687] = 8470,
  [10688] = 9377,
  [10689] = 9378,
  [10690] = 3297,
  [10691] = 10691,
  [10692] = 9379,
  [10693] = 10338,
  [10694] = 10340,
  [10695] = 9387,
  [10696] = 9388,
  [10697] = 9389,
  [10698] = 10698,
  [10699] = 10346,
  [10700] = 10346,
  [10701] = 10635,
  [10702] = 10528,
  [10703] = 3282,
  [10704] = 10251,
  [10705] = 9698,
  [10706] = 7874,
  [10707] = 10258,
  [10708] = 7749,
  [10709] = 10251,
  [10710] = 10264,
  [10711] = 7752,
  [10712] = 10258,
  [10713] = 9391,
  [10714] = 10528,
  [10715] = 10264,
  [10716] = 8453,
  [10717] = 8454,
  [10718] = 9262,
  [10719] = 9859,
  [10720] = 9391,
  [10721] = 10528,
  [10722] = 8447,
  [10723] = 8448,
  [10724] = 9392,
  [10725] = 9393,
  [10726] = 8449,
  [10727] = 10219,
  [10728] = 10528,
  [10729] = 9392,
  [10730] = 9393,
  [10731] = 9290,
  [10732] = 5612,
  [10733] = 10559,
  [10734] = 3315,
  [10735] = 10735,
  [10736] = 7736,
  [10737] = 4785,
  [10738] = 8473,
  [10739] = 3467,
  [10740] = 10528,
  [10741] = 3333,
  [10742] = 9377,
  [10743] = 8466,
  [10744] = 9378,
  [10745] = 7855,
  [10746] = 9398,
  [10747] = 9379,
  [10748] = 10617,
  [10749] = 7878,
  [10750] = 9387,
  [10751] = 9859,
  [10752] = 10752,
  [10753] = 10338,
  [10754] = 10754,
  [10755] = 10045,
  [10756] = 10340,
  [10757] = 10757,
  [10758] = 10754,
  [10759] = 9859,
  [10760] = 9487,
  [10761] = 8491,
  [10762] = 10762,
  [10763] = 10346,
  [10764] = 10764,
  [10765] = 10754,
  [10766] = 10766,
  [10767] = 10754,
  [10768] = 10768,
  [10769] = 10251,
  [10770] = 10258,
  [10771] = 8256,
  [10772] = 8250,
  [10773] = 8492,
  [10774] = 10264,
  [10775] = 10346,
  [10776] = 10776,
  [10777] = 10338,
  [10778] = 8507,
  [10779] = 8554,
  [10780] = 10780,
  [10781] = 10781,
  [10782] = 8510,
  [10783] = 10754,
  [10784] = 4787,
  [10785] = 5574,
  [10786] = 7750,
  [10787] = 8312,
  [10788] = 10788,
  [10789] = 8508,
  [10790] = 10340,
  [10791] = 8555,
  [10792] = 9262,
  [10793] = 10793,
  [10794] = 10754,
  [10795] = 9283,
  [10796] = 10251,
  [10797] = 10797,
  [10798] = 9595,
  [10799] = 10258,
  [10800] = 10800,
  [10801] = 10801,
  [10802] = 9283,
  [10803] = 10803,
  [10804] = 10134,
  [10805] = 10805,
  [10806] = 9564,
  [10807] = 10807,
  [10808] = 10808,
  [10809] = 4780,
  [10810] = 10762,
  [10811] = 10811,
  [10812] = 10812,
  [10813] = 10813,
  [10814] = 10814,
  [10815] = 10815,
  [10816] = 10816,
  [10817] = 10817,
  [10818] = 10818,
  [10819] = 10776,
  [10820] = 10820,
  [10821] = 10821,
  [10822] = 10822,
  [10823] = 8434,
  [10824] = 10768,
  [10825] = 10788,
  [10826] = 10800,
  [10827] = 10827,
  [10828] = 10828,
  [10829] = 10829,
  [10830] = 10781,
  [10831] = 10793,
  [10832] = 10801,
  [10833] = 10833,
  [10834] = 10834,
  [10835] = 10835,
  [10836] = 10836,
  [10837] = 10837,
  [10838] = 10838,
  [10839] = 10839,
  [10840] = 10840,
  [10841] = 10841,
  [10842] = 10842,
  [10843] = 10754,
  [10844] = 10813,
  [10845] = 8470,
  [10846] = 10846,
  [10847] = 10754,
  [10848] = 10754,
  [10849] = 8448,
  [10850] = 9285,
  [10851] = 9584,
  [10852] = 3333,
  [10853] = 10808,
  [10854] = 8454,
  [10855] = 10817,
  [10856] = 10264,
  [10857] = 10754,
  [10858] = 8447,
  [10859] = 10833,
  [10860] = 10754,
  [10861] = 10834,
  [10862] = 10862,
  [10863] = 10754,
  [10864] = 10835,
  [10865] = 10754,
  [10866] = 10134,
  [10867] = 10420,
  [10868] = 8125,
  [10869] = 10836,
  [10870] = 8464,
  [10871] = 10754,
  [10872] = 10872,
  [10873] = 10812,
  [10874] = 10420,
  [10875] = 10754,
  [10876] = 8466,
  [10877] = 8502,
  [10878] = 8510,
  [10879] = 8317,
  [10880] = 8453,
  [10881] = 8506,
  [10882] = 10318,
  [10883] = 10821,
  [10884] = 10837,
  [10885] = 9290,
  [10886] = 10838,
  [10887] = 10887,
  [10888] = 10754,
  [10889] = 10889,
  [10890] = 10890,
  [10891] = 10891,
  [10892] = 8503,
  [10893] = 10754,
  [10894] = 8305,
  [10895] = 3467,
  [10896] = 10839,
  [10897] = 8290,
  [10898] = 8504,
  [10899] = 10899,
  [10900] = 10754,
  [10901] = 10814,
  [10902] = 8332,
  [10903] = 10244,
  [10904] = 8279,
  [10905] = 8331,
  [10906] = 10906,
  [10907] = 10754,
  [10908] = 10754,
  [10909] = 9564,
  [10910] = 10754,
  [10911] = 10754,
  [10912] = 8291,
  [10913] = 10815,
  [10914] = 8284,
  [10915] = 8292,
  [10916] = 10045,
  [10917] = 9859,
  [10918] = 10754,
  [10919] = 10829,
  [10920] = 10754,
  [10921] = 3296,
  [10922] = 8498,
  [10923] = 8505,
  [10924] = 8631,
  [10925] = 10840,
  [10926] = 4785,
  [10927] = 10754,
  [10928] = 10841,
  [10929] = 10929,
  [10930] = 8499,
  [10931] = 5535,
  [10932] = 10754,
  [10933] = 3333,
  [10934] = 10045,
  [10935] = 8449,
  [10936] = 10820,
  [10937] = 10842,
  [10938] = 10938,
  [10939] = 3264,
  [10940] = 9288,
  [10941] = 10941,
  [10942] = 10754,
  [10943] = 10754,
  [10944] = 10754,
  [10945] = 10945,
  [10946] = 10946,
  [10947] = 9584,
  [10948] = 10948,
  [10949] = 10754,
  [10950] = 10811,
  [10951] = 9285,
  [10952] = 8280,
  [10953] = 10045,
  [10954] = 10954,
  [10955] = 10757,
  [10956] = 10822,
  [10957] = 10957,
  [10958] = 3484,
  [10959] = 3467,
  [10960] = 10816,
  [10961] = 9288,
  [10962] = 8265,
  [10963] = 9449,
  [10964] = 10754,
  [10965] = 10754,
  [10966] = 10754,
  [10967] = 10244,
  [10968] = 10968,
  [10969] = 10244,
  [10970] = 8366,
  [10971] = 3261,
  [10972] = 9262,
  [10973] = 10946,
  [10974] = 10948,
  [10975] = 10803,
  [10976] = 8433,
  [10977] = 10754,
  [10978] = 8467,
  [10979] = 10754,
  [10980] = 10754,
  [10981] = 10754,
  [10982] = 8500,
  [10983] = 8481,
  [10984] = 10754,
  [10985] = 10754,
  [10986] = 10754,
  [10987] = 9452,
  [10988] = 8282,
  [10989] = 8512,
  [10990] = 10990,
  [10991] = 10754,
  [10992] = 8473,
  [10993] = 10244,
  [10994] = 4839,
  [10995] = 8470,
  [10996] = 9290,
  [10997] = 9487,
  [10998] = 10818,
  [10999] = 10805,
  [11000] = 10797,
  [11001] = 8325,
  [11002] = 8498,
  [11003] = 8499,
  [11004] = 8500,
  [11005] = 8501,
  [11006] = 8502,
  [11007] = 8503,
  [11008] = 8504,
  [11009] = 8505,
  [11010] = 8506,
  [11011] = 8507,
  [11012] = 8508,
  [11013] = 9449,
  [11014] = 9452,
  [11015] = 10827,
  [11016] = 10318,
  [11017] = 8481,
  [11018] = 8306,
  [11019] = 10754,
  [11020] = 10752,
  [11021] = 8307,
  [11022] = 10754,
  [11023] = 10513,
  [11024] = 10514,
  [11025] = 10515,
  [11026] = 10516,
  [11027] = 3484,
  [11028] = 10513,
  [11029] = 10514,
  [11030] = 10515,
  [11031] = 10516,
  [11032] = 10828,
  [11033] = 11033,
  [11034] = 8466,
  [11035] = 10807,
  [11036] = 9595,
  [11037] = 5543,
  [11038] = 3261,
  [11039] = 11033,
  [11040] = 10754,
  [11041] = 8512,
  [11042] = 8329,
  [11043] = 8308,
  [11044] = 8309,
  [11045] = 8490,
  [11046] = 8501,
  [11047] = 8330,
  [11048] = 11048,
  [11049] = 8555,
  [11050] = 8554,
  [11051] = 9378,
  [11052] = 11052,
  [11053] = 5717,
  [11054] = 5612,
  [11055] = 11055,
  [11056] = 11056,
  [11057] = 11057,
  [11058] = 11058,
  [11059] = 11059,
  [11060] = 11060,
  [11061] = 11061,
  [11062] = 11062,
  [11063] = 11063,
  [11064] = 11064,
  [11065] = 10251,
  [11066] = 10258,
  [11067] = 11067,
  [11068] = 11068,
  [11069] = 11069,
  [11070] = 11070,
  [11071] = 11071,
  [11072] = 11072,
  [11073] = 11073,
  [11074] = 11074,
  [11075] = 9398,
  [11076] = 11076,
  [11077] = 11077,
  [11078] = 11078,
  [11079] = 11079,
  [11080] = 11080,
  [11081] = 5612,
  [11082] = 5612,
  [11083] = 11083,
  [11084] = 9391,
  [11085] = 11085,
  [11086] = 9392,
  [11087] = 11087,
  [11088] = 11088,
  [11089] = 11089,
  [11090] = 11090,
  [11091] = 10264,
  [11092] = 11092,
  [11093] = 11093,
  [11094] = 11094,
  [11095] = 11095,
  [11096] = 11096,
  [11097] = 11097,
  [11098] = 11098,
  [11099] = 11099,
  [11100] = 11100,
  [11101] = 11101,
  [11102] = 9393,
  [11103] = 11103,
  [11104] = 11104,
  [11105] = 11105,
  [11106] = 11106,
  [11107] = 11107,
  [11108] = 11108,
  [11109] = 11109,
  [11110] = 11110,
  [11111] = 11111,
  [11112] = 11112,
  [11113] = 11113,
  [11114] = 11114,
  [11115] = 11115,
  [11116] = 11116,
  [11117] = 11117,
  [11118] = 11118,
  [11119] = 11119,
  [11120] = 11120,
  [11121] = 11121,
  [11122] = 11122,
  [11123] = 11123,
  [11124] = 11124,
  [11125] = 9422,
  [11126] = 11126,
  [11127] = 11127,
  [11128] = 11128,
  [11129] = 11129,
  [11130] = 10338,
  [11131] = 10340,
  [11132] = 10346,
  [11133] = 10251,
  [11134] = 10258,
  [11135] = 10264,
  [11136] = 9315,
  [11137] = 11137,
  [11138] = 11138,
  [11139] = 9355,
  [11140] = 11140,
  [11141] = 9412,
  [11142] = 9398,
  [11143] = 8512,
  [11144] = 11076,
  [11145] = 8467,
  [11146] = 11146,
  [11147] = 9315,
  [11148] = 11116,
  [11149] = 9447,
  [11150] = 9467,
  [11151] = 9422,
  [11152] = 9448,
  [11153] = 11137,
  [11154] = 9355,
  [11155] = 11155,
  [11156] = 4839,
  [11157] = 9479,
  [11158] = 8498,
  [11159] = 8499,
  [11160] = 8500,
  [11161] = 8501,
  [11162] = 8502,
  [11163] = 8503,
  [11164] = 8504,
  [11165] = 8505,
  [11166] = 8506,
  [11167] = 8507,
  [11168] = 8508,
  [11169] = 9588,
  [11170] = 11170,
  [11171] = 9377,
  [11172] = 9378,
  [11173] = 9379,
  [11174] = 11174,
  [11175] = 8481,
  [11176] = 9387,
  [11177] = 9388,
  [11178] = 9591,
  [11179] = 9481,
  [11180] = 11180,
  [11181] = 11181,
  [11182] = 3261,
  [11183] = 9596,
  [11184] = 10535,
  [11185] = 9389,
  [11186] = 9412,
  [11187] = 9447,
  [11188] = 9597,
  [11189] = 10338,
  [11190] = 10340,
  [11191] = 9467,
  [11192] = 10698,
  [11193] = 10346,
  [11194] = 10251,
  [11195] = 10258,
  [11196] = 9479,
  [11197] = 10264,
  [11198] = 9412,
  [11199] = 11174,
  [11200] = 9447,
  [11201] = 10543,
  [11202] = 9467,
  [11203] = 9422,
  [11204] = 7740,
  [11205] = 9479,
  [11206] = 9481,
  [11207] = 9481,
  [11208] = 11208,
  [11209] = 11209,
  [11210] = 11174,
  [11211] = 11211,
  [11212] = 10635,
  [11213] = 11213,
  [11214] = 11214,
  [11215] = 11170,
  [11216] = 11174,
  [11217] = 10946,
  [11218] = 10948,
  [11219] = 9517,
  [11220] = 10757,
  [11221] = 9698,
  [11222] = 9359,
  [11223] = 3333,
  [11224] = 9517,
  [11225] = 9359,
  [11226] = 8631,
  [11227] = 11174,
  [11228] = 11228,
  [11229] = 11229,
  [11230] = 10535,
  [11231] = 11231,
  [11232] = 11232,
  [11233] = 11233,
  [11234] = 11234,
  [11235] = 11235,
  [11236] = 11174,
  [11237] = 11237,
  [11238] = 11238,
  [11239] = 9529,
  [11240] = 9541,
  [11241] = 11241,
  [11242] = 9517,
  [11243] = 8510,
  [11244] = 11244,
  [11245] = 9359,
  [11246] = 11174,
  [11247] = 11247,
  [11248] = 5612,
  [11249] = 11249,
  [11250] = 11250,
  [11251] = 11174,
  [11252] = 9529,
  [11253] = 9541,
  [11254] = 11174,
  [11255] = 11208,
  [11256] = 11209,
  [11257] = 11174,
  [11258] = 9529,
  [11259] = 11259,
  [11260] = 11260,
  [11261] = 11261,
  [11262] = 9541,
  [11263] = 11263,
  [11264] = 9391,
  [11265] = 11174,
  [11266] = 9392,
  [11267] = 10946,
  [11268] = 10948,
  [11269] = 9393,
  [11270] = 10757,
  [11271] = 10535,
  [11272] = 9377,
  [11273] = 11174,
  [11274] = 10338,
  [11275] = 10340,
  [11276] = 10635,
  [11277] = 11174,
  [11278] = 3333,
  [11279] = 11174,
  [11280] = 11280,
  [11281] = 11281,
  [11282] = 11282,
  [11283] = 3484,
  [11284] = 8554,
  [11285] = 11174,
  [11286] = 9378,
  [11287] = 11174,
  [11288] = 9379,
  [11289] = 9387,
  [11290] = 9388,
  [11291] = 11291,
  [11292] = 11181,
  [11293] = 11293,
  [11294] = 11294,
  [11295] = 11295,
  [11296] = 11174,
  [11297] = 11052,
  [11298] = 8555,
  [11299] = 9389,
  [11300] = 11300,
  [11301] = 11174,
  [11302] = 11302,
  [11303] = 11303,
  [11304] = 11174,
  [11305] = 3333,
  [11306] = 10338,
  [11307] = 10340,
  [11308] = 11174,
  [11309] = 11309,
  [11310] = 9588,
  [11311] = 9591,
  [11312] = 10346,
  [11313] = 9596,
  [11314] = 11314,
  [11315] = 11174,
  [11316] = 10251,
  [11317] = 10258,
  [11318] = 10264,
  [11319] = 9597,
  [11320] = 11174,
  [11321] = 9448,
  [11322] = 3467,
  [11323] = 11323,
  [11324] = 3484,
  [11325] = 3467,
  [11326] = 11326,
  [11327] = 11327,
  [11328] = 11328,
  [11329] = 10619,
  [11330] = 11100,
  [11331] = 10678,
  [11332] = 3261,
  [11333] = 5717,
  [11334] = 11174,
  [11335] = 9412,
  [11336] = 9447,
  [11337] = 9467,
  [11338] = 9479,
  [11339] = 9481,
  [11340] = 5717,
  [11341] = 10535,
  [11342] = 11342,
  [11343] = 9517,
  [11344] = 9377,
  [11345] = 9359,
  [11346] = 9529,
  [11347] = 9541,
  [11348] = 11348,
  [11349] = 11349,
  [11350] = 11350,
  [11351] = 11351,
  [11352] = 9378,
  [11353] = 9588,
  [11354] = 9591,
  [11355] = 9596,
  [11356] = 9597,
  [11357] = 9379,
  [11358] = 11100,
  [11359] = 11359,
  [11360] = 11076,
  [11361] = 11116,
  [11362] = 10640,
  [11363] = 11137,
  [11364] = 11170,
  [11365] = 10618,
  [11366] = 11052,
  [11367] = 11052,
  [11368] = 10640,
  [11369] = 10618,
  [11370] = 9387,
  [11371] = 9388,
  [11372] = 11372,
  [11373] = 11373,
  [11374] = 11374,
  [11375] = 11375,
  [11376] = 11376,
  [11377] = 11377,
  [11378] = 5717,
  [11379] = 11379,
  [11380] = 11380,
  [11381] = 11381,
  [11382] = 11382,
  [11383] = 11383,
  [11384] = 11384,
  [11385] = 11385,
  [11386] = 11386,
  [11387] = 9377,
  [11388] = 10346,
  [11389] = 9389,
  [11390] = 9379,
  [11391] = 9387,
  [11392] = 9388,
  [11393] = 11393,
  [11394] = 11394,
  [11395] = 9389,
  [11396] = 9588,
  [11397] = 11397,
  [11398] = 11398,
  [11399] = 9391,
  [11400] = 9392,
  [11401] = 9393,
  [11402] = 11402,
  [11403] = 11403,
  [11404] = 11404,
  [11405] = 9591,
  [11406] = 11406,
  [11407] = 9398,
  [11408] = 11408,
  [11409] = 11409,
  [11410] = 11410,
  [11411] = 9596,
  [11412] = 11412,
  [11413] = 11413,
  [11414] = 11414,
  [11415] = 11415,
  [11416] = 9597,
  [11417] = 9422,
  [11418] = 9448,
  [11419] = 11419,
  [11420] = 3484,
  [11421] = 9448,
  [11422] = 9698,
  [11423] = 8631,
  [11424] = 3467,
  [11425] = 3261,
  [11426] = 9391,
  [11427] = 9392,
  [11428] = 9393,
  [11429] = 10543,
  [11430] = 11430,
  [11431] = 11431,
  [11432] = 11432,
  [11433] = 11180,
  [11434] = 11434,
  [11435] = 11435,
  [11436] = 11436,
  [11437] = 11437,
  [11438] = 11404,
  [11439] = 11434,
  [11440] = 11435,
  [11441] = 11436,
  [11442] = 11437,
  [11443] = 11127,
  [11444] = 11137,
  [11445] = 11402,
  [11446] = 11351,
  [11447] = 11100,
  [11448] = 11076,
  [11449] = 11116,
  [11450] = 11170,
  [11451] = 11052,
  [11452] = 11137,
  [11453] = 11402,
  [11454] = 11351,
  [11455] = 11100,
  [11456] = 11076,
  [11457] = 11116,
  [11458] = 11170,
  [11459] = 11052,
  [11460] = 11137,
  [11461] = 11402,
  [11462] = 11351,
  [11463] = 11100,
  [11464] = 11076,
  [11465] = 11116,
  [11466] = 11170,
  [11467] = 9398,
  [11468] = 9283,
  [11469] = 11469,
  [11470] = 11469,
  [11471] = 11469,
  [11472] = 11469,
  [11473] = 11469,
  [11474] = 11474,
  [11475] = 11475,
  [11476] = 11469,
  [11477] = 11469,
  [11478] = 11478,
  [11479] = 8631,
  [11480] = 8554,
  [11481] = 11469,
  [11482] = 8555,
  [11483] = 11483,
  [11484] = 11484,
  [11485] = 8467,
  [11486] = 9588,
  [11487] = 9591,
  [11488] = 9596,
  [11489] = 9597,
  [11490] = 10244,
  [11491] = 11491,
  [11492] = 11469,
  [11493] = 11493,
  [11494] = 11469,
  [11495] = 11495,
  [11496] = 11496,
  [11497] = 11497,
  [11498] = 8466,
  [11499] = 11469,
  [11500] = 11469,
  [11501] = 9412,
  [11502] = 9447,
  [11503] = 9467,
  [11504] = 9479,
  [11505] = 9481,
  [11506] = 9412,
  [11507] = 9447,
  [11508] = 9467,
  [11509] = 5717,
  [11510] = 11469,
  [11511] = 9517,
  [11512] = 9359,
  [11513] = 9529,
  [11514] = 9541,
  [11515] = 9479,
  [11516] = 8473,
  [11517] = 11517,
  [11518] = 9481,
  [11519] = 8512,
  [11520] = 8470,
  [11521] = 9588,
  [11522] = 9591,
  [11523] = 11523,
  [11524] = 11469,
  [11525] = 9596,
  [11526] = 9597,
  [11527] = 11527,
  [11528] = 11483,
  [11529] = 11491,
  [11530] = 11530,
  [11531] = 11531,
  [11532] = 11532,
  [11533] = 11517,
  [11534] = 11534,
  [11535] = 11497,
  [11536] = 8498,
  [11537] = 8499,
  [11538] = 8500,
  [11539] = 8501,
  [11540] = 8502,
  [11541] = 8503,
  [11542] = 8504,
  [11543] = 8505,
  [11544] = 8506,
  [11545] = 8507,
  [11546] = 8508,
  [11547] = 8466,
  [11548] = 8510,
  [11549] = 11208,
  [11550] = 11209,
  [11551] = 11534,
  [11552] = 10244,
  [11553] = 9377,
  [11554] = 9378,
  [11555] = 11555,
  [11556] = 9377,
  [11557] = 9378,
  [11558] = 9379,
  [11559] = 9387,
  [11560] = 9388,
  [11561] = 11469,
  [11562] = 9389,
  [11563] = 9379,
  [11564] = 9387,
  [11565] = 9388,
  [11566] = 8453,
  [11567] = 8454,
  [11568] = 8447,
  [11569] = 8448,
  [11570] = 8449,
  [11571] = 3484,
  [11572] = 11572,
  [11573] = 11469,
  [11574] = 9389,
  [11575] = 11575,
  [11576] = 9391,
  [11577] = 9392,
  [11578] = 9393,
  [11579] = 10946,
  [11580] = 10948,
  [11581] = 10757,
  [11582] = 11469,
  [11583] = 3261,
  [11584] = 3467,
  [11585] = 9398,
  [11586] = 10045,
  [11587] = 5612,
  [11588] = 11469,
  [11589] = 11469,
  [11590] = 10946,
  [11591] = 10948,
  [11592] = 10757,
  [11593] = 11469,
  [11594] = 9422,
  [11595] = 5717,
  [11596] = 3333,
  [11597] = 8481,
  [11598] = 11208,
  [11599] = 11209,
  [11600] = 9391,
  [11601] = 9392,
  [11602] = 9393,
  [11603] = 11469,
  [11604] = 3333,
  [11605] = 3484,
  [11606] = 3467,
  [11607] = 11469,
  [11608] = 9448,
  [11609] = 11469,
  [11610] = 11469,
  [11611] = 3261,
  [11612] = 11612,
  [11613] = 11613,
  [11614] = 11469,
  [11615] = 9398,
  [11616] = 11616,
  [11617] = 11617,
  [11618] = 11530,
  [11619] = 11619,
  [11620] = 11620,
  [11621] = 9517,
  [11622] = 11622,
  [11623] = 5612,
  [11624] = 11469,
  [11625] = 11469,
  [11626] = 10045,
  [11627] = 11469,
  [11628] = 11469,
  [11629] = 5612,
  [11630] = 11469,
  [11631] = 11631,
  [11632] = 8470,
  [11633] = 9422,
  [11634] = 11469,
  [11635] = 9285,
  [11636] = 9262,
  [11637] = 11637,
  [11638] = 11638,
  [11639] = 10420,
  [11640] = 11469,
  [11641] = 9290,
  [11642] = 11642,
  [11643] = 9359,
  [11644] = 11644,
  [11645] = 11645,
  [11646] = 10797,
  [11647] = 10803,
  [11648] = 10805,
  [11649] = 10807,
  [11650] = 10808,
  [11651] = 10762,
  [11652] = 10811,
  [11653] = 10812,
  [11654] = 10813,
  [11655] = 10814,
  [11656] = 10815,
  [11657] = 10816,
  [11658] = 10817,
  [11659] = 10818,
  [11660] = 10776,
  [11661] = 10820,
  [11662] = 10821,
  [11663] = 10822,
  [11664] = 10752,
  [11665] = 10768,
  [11666] = 10788,
  [11667] = 10800,
  [11668] = 10827,
  [11669] = 10828,
  [11670] = 10829,
  [11671] = 10781,
  [11672] = 10793,
  [11673] = 10801,
  [11674] = 10833,
  [11675] = 10834,
  [11676] = 10835,
  [11677] = 10836,
  [11678] = 10837,
  [11679] = 10838,
  [11680] = 10839,
  [11681] = 10840,
  [11682] = 10841,
  [11683] = 10842,
  [11684] = 11469,
  [11685] = 10797,
  [11686] = 10803,
  [11687] = 10805,
  [11688] = 10807,
  [11689] = 10808,
  [11690] = 11469,
  [11691] = 10762,
  [11692] = 10811,
  [11693] = 10812,
  [11694] = 10813,
  [11695] = 10814,
  [11696] = 10815,
  [11697] = 10816,
  [11698] = 10817,
  [11699] = 10818,
  [11700] = 10776,
  [11701] = 10820,
  [11702] = 10821,
  [11703] = 10822,
  [11704] = 10752,
  [11705] = 10768,
  [11706] = 10788,
  [11707] = 10800,
  [11708] = 10827,
  [11709] = 10828,
  [11710] = 10829,
  [11711] = 10781,
  [11712] = 10793,
  [11713] = 10801,
  [11714] = 10833,
  [11715] = 10834,
  [11716] = 10835,
  [11717] = 10836,
  [11718] = 10837,
  [11719] = 10838,
  [11720] = 10839,
  [11721] = 10840,
  [11722] = 10841,
  [11723] = 10842,
  [11724] = 10420,
  [11725] = 11725,
  [11726] = 11726,
  [11727] = 11469,
  [11728] = 11523,
  [11729] = 11642,
  [11730] = 11469,
  [11731] = 11731,
  [11732] = 9448,
  [11733] = 11484,
  [11734] = 11572,
  [11735] = 11575,
  [11736] = 11469,
  [11737] = 9529,
  [11738] = 11738,
  [11739] = 11469,
  [11740] = 11740,
  [11741] = 11631,
  [11742] = 9288,
  [11743] = 11531,
  [11744] = 11532,
  [11745] = 9541,
  [11746] = 11469,
  [11747] = 11469,
  [11748] = 11748,
  [11749] = 11642,
  [11750] = 11469,
  [11751] = 11527,
  [11752] = 11033,
  [11753] = 11033,
  [11754] = 11469,
  [11755] = 11638,
  [11756] = 11478,
  [11757] = 11757,
  [11758] = 11469,
  [11759] = 11637,
  [11760] = 11613,
  [11761] = 11469,
  [11762] = 11762,
  [11763] = 11762,
  [11764] = 10251,
  [11765] = 8508,
  [11766] = 8466,
  [11767] = 8510,
  [11768] = 11768,
  [11769] = 11769,
  [11770] = 11770,
  [11771] = 11770,
  [11772] = 11772,
  [11773] = 10338,
  [11774] = 10340,
  [11775] = 11775,
  [11776] = 11776,
  [11777] = 11775,
  [11778] = 8555,
  [11779] = 10251,
  [11780] = 11780,
  [11781] = 11781,
  [11782] = 11781,
  [11783] = 11783,
  [11784] = 11768,
  [11785] = 11780,
  [11786] = 11786,
  [11787] = 11787,
  [11788] = 10948,
  [11789] = 11775,
  [11790] = 8554,
  [11791] = 8555,
  [11792] = 11780,
  [11793] = 11783,
  [11794] = 11787,
  [11795] = 8473,
  [11796] = 11775,
  [11797] = 11783,
  [11798] = 11786,
  [11799] = 11768,
  [11800] = 8631,
  [11801] = 11769,
  [11802] = 11770,
  [11803] = 11772,
  [11804] = 11786,
  [11805] = 11768,
  [11806] = 11781,
  [11807] = 11786,
  [11808] = 11775,
  [11809] = 11780,
  [11810] = 11783,
  [11811] = 11787,
  [11812] = 11768,
  [11813] = 11787,
  [11814] = 11769,
  [11815] = 11770,
  [11816] = 8512,
  [11817] = 8470,
  [11818] = 11775,
  [11819] = 11768,
  [11820] = 11775,
  [11821] = 11776,
  [11822] = 11769,
  [11823] = 11770,
  [11824] = 11772,
  [11825] = 11780,
  [11826] = 11783,
  [11827] = 10258,
  [11828] = 11787,
  [11829] = 11780,
  [11830] = 11783,
  [11831] = 11787,
  [11832] = 11772,
  [11833] = 11768,
  [11834] = 11769,
  [11835] = 11770,
  [11836] = 11772,
  [11837] = 8453,
  [11838] = 8454,
  [11839] = 8447,
  [11840] = 8448,
  [11841] = 8449,
  [11842] = 11769,
  [11843] = 11787,
  [11844] = 8481,
  [11845] = 11768,
  [11846] = 11769,
  [11847] = 11770,
  [11848] = 11848,
  [11849] = 11769,
  [11850] = 11781,
  [11851] = 11786,
  [11852] = 11770,
  [11853] = 11775,
  [11854] = 11775,
  [11855] = 11770,
  [11856] = 11776,
  [11857] = 10946,
  [11858] = 10948,
  [11859] = 11775,
  [11860] = 11781,
  [11861] = 10757,
  [11862] = 11780,
  [11863] = 11772,
  [11864] = 11783,
  [11865] = 11787,
  [11866] = 11786,
  [11867] = 11768,
  [11868] = 11769,
  [11869] = 11770,
  [11870] = 11772,
  [11871] = 11772,
  [11872] = 11781,
  [11873] = 11781,
  [11874] = 11781,
  [11875] = 10346,
  [11876] = 11208,
  [11877] = 11209,
  [11878] = 11780,
  [11879] = 11786,
  [11880] = 8554,
  [11881] = 11786,
  [11882] = 11783,
  [11883] = 11772,
  [11884] = 11775,
  [11885] = 11786,
  [11886] = 11775,
  [11887] = 11776,
  [11888] = 11769,
  [11889] = 11780,
  [11890] = 11775,
  [11891] = 11780,
  [11892] = 11787,
  [11893] = 11783,
  [11894] = 11781,
  [11895] = 11787,
  [11896] = 11780,
  [11897] = 11783,
  [11898] = 11787,
  [11899] = 11768,
  [11900] = 11769,
  [11901] = 11770,
  [11902] = 11772,
  [11903] = 11768,
  [11904] = 11780,
  [11905] = 8481,
  [11906] = 11783,
  [11907] = 11787,
  [11908] = 11768,
  [11909] = 11769,
  [11910] = 11769,
  [11911] = 11770,
  [11912] = 11772,
  [11913] = 11768,
  [11914] = 11776,
  [11915] = 10946,
  [11916] = 10948,
  [11917] = 11917,
  [11918] = 11769,
  [11919] = 10757,
  [11920] = 11770,
  [11921] = 11772,
  [11922] = 11770,
  [11923] = 11772,
  [11924] = 10338,
  [11925] = 11208,
  [11926] = 11209,
  [11927] = 11783,
  [11928] = 11781,
  [11929] = 11929,
  [11930] = 11787,
  [11931] = 11776,
  [11932] = 11768,
  [11933] = 11769,
  [11934] = 11770,
  [11935] = 11772,
  [11936] = 11786,
  [11937] = 11772,
  [11938] = 11781,
  [11939] = 11781,
  [11940] = 11776,
  [11941] = 10946,
  [11942] = 10948,
  [11943] = 11775,
  [11944] = 11786,
  [11945] = 10757,
  [11946] = 10535,
  [11947] = 11780,
  [11948] = 11783,
  [11949] = 11787,
  [11950] = 11786,
  [11951] = 11768,
  [11952] = 11769,
  [11953] = 11786,
  [11954] = 11770,
  [11955] = 11776,
  [11956] = 11772,
  [11957] = 11780,
  [11958] = 11775,
  [11959] = 11780,
  [11960] = 11783,
  [11961] = 11787,
  [11962] = 11768,
  [11963] = 11769,
  [11964] = 11780,
  [11965] = 11770,
  [11966] = 11772,
  [11967] = 11776,
  [11968] = 11775,
  [11969] = 11780,
  [11970] = 11783,
  [11971] = 11787,
  [11972] = 11783,
  [11973] = 11781,
  [11974] = 11770,
  [11975] = 11786,
  [11976] = 11776,
  [11977] = 11768,
  [11978] = 11769,
  [11979] = 11770,
  [11980] = 11781,
  [11981] = 8481,
  [11982] = 11787,
  [11983] = 11780,
  [11984] = 11781,
  [11985] = 10340,
  [11986] = 11775,
  [11987] = 11776,
  [11988] = 11772,
  [11989] = 11781,
  [11990] = 11990,
  [11991] = 11991,
  [11992] = 11786,
  [11993] = 11780,
  [11994] = 11775,
  [11995] = 11783,
  [11996] = 11776,
  [11997] = 11780,
  [11998] = 11787,
  [11999] = 11768,
  [12000] = 11769,
  [12001] = 11775,
  [12002] = 11770,
  [12003] = 11772,
  [12004] = 10757,
  [12005] = 11776,
  [12006] = 11780,
  [12007] = 11783,
  [12008] = 11787,
  [12009] = 11768,
  [12010] = 11769,
  [12011] = 11770,
  [12012] = 11783,
  [12013] = 11781,
  [12014] = 11772,
  [12015] = 11776,
  [12016] = 11786,
  [12017] = 11786,
  [12018] = 11776,
  [12019] = 11786,
  [12020] = 3298,
  [12021] = 11775,
  [12022] = 11780,
  [12023] = 11783,
  [12024] = 11776,
  [12025] = 11787,
  [12026] = 11768,
  [12027] = 11787,
  [12028] = 11769,
  [12029] = 11770,
  [12030] = 11772,
  [12031] = 10264,
  [12032] = 11776,
  [12033] = 11787,
  [12034] = 11783,
  [12035] = 11768,
  [12036] = 11786,
  [12037] = 11776,
  [12038] = 11781,
  [12039] = 11780,
  [12040] = 10258,
  [12041] = 11786,
  [12042] = 11775,
  [12043] = 11783,
  [12044] = 11776,
  [12045] = 11781,
  [12046] = 12046,
  [12047] = 11780,
  [12048] = 11786,
  [12049] = 11775,
  [12050] = 3315,
  [12051] = 11783,
  [12052] = 11775,
  [12053] = 11780,
  [12054] = 11776,
  [12055] = 11780,
  [12056] = 11783,
  [12057] = 11787,
  [12058] = 11783,
  [12059] = 11787,
  [12060] = 11768,
  [12061] = 11769,
  [12062] = 11768,
  [12063] = 11769,
  [12064] = 11770,
  [12065] = 11772,
  [12066] = 11770,
  [12067] = 11772,
  [12068] = 11776,
  [12069] = 11787,
  [12070] = 10346,
  [12071] = 11768,
  [12072] = 11780,
  [12073] = 11769,
  [12074] = 11776,
  [12075] = 11768,
  [12076] = 11783,
  [12077] = 11781,
  [12078] = 11770,
  [12079] = 11768,
  [12080] = 11787,
  [12081] = 11769,
  [12082] = 11776,
  [12083] = 12083,
  [12084] = 11786,
  [12085] = 11776,
  [12086] = 12086,
  [12087] = 11768,
  [12088] = 11772,
  [12089] = 11769,
  [12090] = 11770,
  [12091] = 11776,
  [12092] = 11781,
  [12093] = 11772,
  [12094] = 11776,
  [12095] = 11786,
  [12096] = 11776,
  [12097] = 11775,
  [12098] = 11776,
  [12099] = 9315,
  [12100] = 11776,
  [12101] = 11780,
  [12102] = 11783,
  [12103] = 11787,
  [12104] = 11768,
  [12105] = 11769,
  [12106] = 11770,
  [12107] = 11772,
  [12108] = 11776,
  [12109] = 12109,
  [12110] = 11776,
  [12111] = 8512,
  [12112] = 5717,
  [12113] = 11776,
  [12114] = 12114,
  [12115] = 11776,
  [12116] = 11776,
  [12117] = 11776,
  [12118] = 11772,
  [12119] = 11781,
  [12120] = 9355,
  [12121] = 11776,
  [12122] = 11775,
  [12123] = 11786,
  [12124] = 10264,
  [12125] = 11780,
  [12126] = 11776,
  [12127] = 11783,
  [12128] = 3252,
  [12129] = 11787,
  [12130] = 11770,
  [12131] = 11768,
  [12132] = 11776,
  [12133] = 11775,
  [12134] = 11769,
  [12135] = 11770,
  [12136] = 11772,
  [12137] = 11780,
  [12138] = 11783,
  [12139] = 11787,
  [12140] = 11768,
  [12141] = 11776,
  [12142] = 11772,
  [12143] = 11769,
  [12144] = 11770,
  [12145] = 11772,
  [12146] = 11772,
  [12147] = 11776,
  [12148] = 11775,
  [12149] = 11781,
  [12150] = 11781,
  [12151] = 11786,
  [12152] = 11781,
  [12153] = 11769,
  [12154] = 11770,
  [12155] = 11781,
  [12156] = 11783,
  [12157] = 11781,
  [12158] = 11775,
  [12159] = 11848,
  [12160] = 11786,
  [12161] = 11780,
  [12162] = 11783,
  [12163] = 12163,
  [12164] = 11787,
  [12165] = 11434,
  [12166] = 11768,
  [12167] = 11435,
  [12168] = 11929,
  [12169] = 11991,
  [12170] = 11769,
  [12171] = 12083,
  [12172] = 11436,
  [12173] = 12173,
  [12174] = 11769,
  [12175] = 11484,
  [12176] = 11786,
  [12177] = 9859,
  [12178] = 11775,
  [12179] = 8498,
  [12180] = 11770,
  [12181] = 8499,
  [12182] = 8500,
  [12183] = 11572,
  [12184] = 11575,
  [12185] = 8501,
  [12186] = 8502,
  [12187] = 8503,
  [12188] = 8504,
  [12189] = 8505,
  [12190] = 8506,
  [12191] = 8507,
  [12192] = 8508,
  [12193] = 11775,
  [12194] = 8510,
  [12195] = 11780,
  [12196] = 11772,
  [12197] = 11781,
  [12198] = 12198,
  [12199] = 11780,
  [12200] = 11783,
  [12201] = 11787,
  [12202] = 11786,
  [12203] = 11781,
  [12204] = 11786,
  [12205] = 11768,
  [12206] = 12206,
  [12207] = 12046,
  [12208] = 11769,
  [12209] = 11770,
  [12210] = 11772,
  [12211] = 8470,
  [12212] = 11775,
  [12213] = 10535,
  [12214] = 11783,
  [12215] = 11787,
  [12216] = 11768,
  [12217] = 11769,
  [12218] = 11786,
  [12219] = 11770,
  [12220] = 11780,
  [12221] = 11772,
  [12222] = 11783,
  [12223] = 11787,
  [12224] = 10946,
  [12225] = 11787,
  [12226] = 11786,
  [12227] = 11768,
  [12228] = 11769,
  [12229] = 11770,
  [12230] = 11776,
  [12231] = 11781,
  [12232] = 11781,
  [12233] = 11781,
  [12234] = 11786,
  [12235] = 11786,
  [12236] = 11772,
  [12237] = 12198,
  [12238] = 11775,
  [12239] = 11775,
  [12240] = 11780,
  [12241] = 11783,
  [12242] = 11787,
  [12243] = 11768,
  [12244] = 11769,
  [12245] = 11770,
  [12246] = 11772,
  [12247] = 11786,
  [12248] = 11775,
  [12249] = 12249,
  [12250] = 11780,
  [12251] = 11783,
  [12252] = 11787,
  [12253] = 11768,
  [12254] = 11769,
  [12255] = 11770,
  [12256] = 11772,
  [12257] = 12257,
  [12258] = 11780,
  [12259] = 11783,
  [12260] = 11781,
  [12261] = 11781,
  [12262] = 11781,
  [12263] = 11781,
  [12264] = 11775,
  [12265] = 11780,
  [12266] = 11783,
  [12267] = 11781,
  [12268] = 11786,
  [12269] = 11484,
  [12270] = 11572,
  [12271] = 11575,
  [12272] = 11786,
  [12273] = 11775,
  [12274] = 11780,
  [12275] = 11783,
  [12276] = 11787,
  [12277] = 11768,
  [12278] = 11769,
  [12279] = 11770,
  [12280] = 11772,
  [12281] = 11787,
  [12282] = 8466,
  [12283] = 11775,
  [12284] = 11775,
  [12285] = 11780,
  [12286] = 11783,
  [12287] = 11787,
  [12288] = 11781,
  [12289] = 12173,
  [12290] = 11768,
  [12291] = 11769,
  [12292] = 11770,
  [12293] = 11772,
  [12294] = 11776,
  [12295] = 11768,
  [12296] = 11769,
  [12297] = 11770,
  [12298] = 12298,
  [12299] = 11772,
  [12300] = 12300,
  [12301] = 8554,
  [12302] = 8555,
  [12303] = 11781,
  [12304] = 11781,
  [12305] = 11786,
  [12306] = 11786,
  [12307] = 11787,
  [12308] = 11775,
  [12309] = 11775,
  [12310] = 11775,
  [12311] = 11780,
  [12312] = 11783,
  [12313] = 11787,
  [12314] = 11768,
  [12315] = 11769,
  [12316] = 11770,
  [12317] = 11772,
  [12318] = 11775,
  [12319] = 12319,
  [12320] = 12320,
  [12321] = 12321,
  [12322] = 12163,
  [12323] = 11781,
  [12324] = 11780,
  [12325] = 11783,
  [12326] = 11786,
  [12327] = 11787,
  [12328] = 11786,
  [12329] = 11768,
  [12330] = 11769,
  [12331] = 11770,
  [12332] = 11772,
  [12333] = 11768,
  [12334] = 11437,
  [12335] = 12206,
  [12336] = 11638,
  [12337] = 11478,
  [12338] = 8498,
  [12339] = 11786,
  [12340] = 8499,
  [12341] = 8500,
  [12342] = 11638,
  [12343] = 11478,
  [12344] = 11404,
  [12345] = 11434,
  [12346] = 11435,
  [12347] = 11436,
  [12348] = 11437,
  [12349] = 11404,
  [12350] = 8501,
  [12351] = 8502,
  [12352] = 11781,
  [12353] = 11786,
  [12354] = 8503,
  [12355] = 8504,
  [12356] = 11781,
  [12357] = 11775,
  [12358] = 11780,
  [12359] = 11783,
  [12360] = 11787,
  [12361] = 11768,
  [12362] = 11769,
  [12363] = 11770,
  [12364] = 11772,
  [12365] = 8505,
  [12366] = 11781,
  [12367] = 11786,
  [12368] = 12368,
  [12369] = 11775,
  [12370] = 11780,
  [12371] = 11783,
  [12372] = 11787,
  [12373] = 11768,
  [12374] = 11769,
  [12375] = 11770,
  [12376] = 11772,
  [12377] = 11786,
  [12378] = 12378,
  [12379] = 8506,
  [12380] = 8507,
  [12381] = 11848,
  [12382] = 12382,
  [12383] = 11483,
  [12384] = 11491,
  [12385] = 12046,
  [12386] = 12386,
  [12387] = 11209,
  [12388] = 9481,
  [12389] = 9412,
  [12390] = 12173,
  [12391] = 12386,
  [12392] = 11530,
  [12393] = 8498,
  [12394] = 8499,
  [12395] = 8500,
  [12396] = 8501,
  [12397] = 8502,
  [12398] = 8503,
  [12399] = 11530,
  [12400] = 11531,
  [12401] = 12163,
  [12402] = 12402,
  [12403] = 8504,
  [12404] = 8505,
  [12405] = 8498,
  [12406] = 3333,
  [12407] = 8506,
  [12408] = 11532,
  [12409] = 8507,
  [12410] = 10420,
  [12411] = 3484,
  [12412] = 3467,
  [12413] = 12413,
  [12414] = 11517,
  [12415] = 8508,
  [12416] = 11534,
  [12417] = 8554,
  [12418] = 8466,
  [12419] = 3261,
  [12420] = 8510,
  [12421] = 8510,
  [12422] = 8555,
  [12423] = 9392,
  [12424] = 11497,
  [12425] = 12425,
  [12426] = 11484,
  [12427] = 9398,
  [12428] = 8470,
  [12429] = 12429,
  [12430] = 12163,
  [12431] = 8512,
  [12432] = 11929,
  [12433] = 8470,
  [12434] = 11991,
  [12435] = 12435,
  [12436] = 8554,
  [12437] = 12386,
  [12438] = 9447,
  [12439] = 11572,
  [12440] = 12083,
  [12441] = 11575,
  [12442] = 8512,
  [12443] = 11208,
  [12444] = 12173,
  [12445] = 8555,
  [12446] = 12386,
  [12447] = 11209,
  [12448] = 12448,
  [12449] = 12425,
  [12450] = 9517,
  [12451] = 9359,
  [12452] = 11929,
  [12453] = 11991,
  [12454] = 8453,
  [12455] = 11208,
  [12456] = 11209,
  [12457] = 8481,
  [12458] = 8554,
  [12459] = 12083,
  [12460] = 12413,
  [12461] = 5717,
  [12462] = 9529,
  [12463] = 11523,
  [12464] = 9541,
  [12465] = 8454,
  [12466] = 8466,
  [12467] = 12425,
  [12468] = 9467,
  [12469] = 11483,
  [12470] = 12425,
  [12471] = 8500,
  [12472] = 8501,
  [12473] = 12425,
  [12474] = 8481,
  [12475] = 8502,
  [12476] = 8503,
  [12477] = 8447,
  [12478] = 12386,
  [12479] = 12206,
  [12480] = 12480,
  [12481] = 11208,
  [12482] = 11638,
  [12483] = 11478,
  [12484] = 10420,
  [12485] = 11638,
  [12486] = 11478,
  [12487] = 8631,
  [12488] = 11531,
  [12489] = 9393,
  [12490] = 11532,
  [12491] = 11208,
  [12492] = 12492,
  [12493] = 12402,
  [12494] = 8473,
  [12495] = 11637,
  [12496] = 11613,
  [12497] = 9448,
  [12498] = 12046,
  [12499] = 11209,
  [12500] = 11517,
  [12501] = 8448,
  [12502] = 11637,
  [12503] = 11613,
  [12504] = 9479,
  [12505] = 8631,
  [12506] = 5612,
  [12507] = 11534,
  [12508] = 9377,
  [12509] = 8504,
  [12510] = 11491,
  [12511] = 9378,
  [12512] = 9379,
  [12513] = 9387,
  [12514] = 9388,
  [12515] = 8505,
  [12516] = 8506,
  [12517] = 9389,
  [12518] = 8507,
  [12519] = 8508,
  [12520] = 12492,
  [12521] = 11497,
  [12522] = 8449,
  [12523] = 11527,
  [12524] = 11523,
  [12525] = 11484,
  [12526] = 11572,
  [12527] = 11575,
  [12528] = 12425,
  [12529] = 12386,
  [12530] = 12425,
  [12531] = 8555,
  [12532] = 12425,
  [12533] = 9588,
  [12534] = 9422,
  [12535] = 9591,
  [12536] = 9596,
  [12537] = 8481,
  [12538] = 12386,
  [12539] = 12206,
  [12540] = 9391,
  [12541] = 11762,
  [12542] = 11631,
  [12543] = 11762,
  [12544] = 11631,
  [12545] = 9597,
  [12546] = 11527,
  [12547] = 8499,
  [12548] = 8447,
  [12549] = 8454,
  [12550] = 8447,
  [12551] = 8473,
  [12552] = 8448,
  [12553] = 8449,
  [12554] = 8453,
  [12555] = 8454,
  [12556] = 8447,
  [12557] = 8448,
  [12558] = 8449,
  [12559] = 8498,
  [12560] = 8499,
  [12561] = 8500,
  [12562] = 8501,
  [12563] = 8502,
  [12564] = 8503,
  [12565] = 8504,
  [12566] = 8505,
  [12567] = 8506,
  [12568] = 8507,
  [12569] = 8508,
  [12570] = 8466,
  [12571] = 8510,
  [12572] = 8631,
  [12573] = 12573,
  [12574] = 9285,
  [12575] = 8554,
  [12576] = 8555,
  [12577] = 12577,
  [12578] = 8466,
  [12579] = 8512,
  [12580] = 8470,
  [12581] = 12581,
  [12582] = 8481,
  [12583] = 8555,
  [12584] = 12584,
  [12585] = 12585,
  [12586] = 10946,
  [12587] = 10948,
  [12588] = 8466,
  [12589] = 12589,
  [12590] = 10757,
  [12591] = 12591,
  [12592] = 12592,
  [12593] = 8512,
  [12594] = 8470,
  [12595] = 12595,
  [12596] = 12596,
  [12597] = 8473,
  [12598] = 8453,
  [12599] = 8454,
  [12600] = 8447,
  [12601] = 8448,
  [12602] = 8449,
  [12603] = 12603,
  [12604] = 8498,
  [12605] = 8499,
  [12606] = 8500,
  [12607] = 8501,
  [12608] = 8502,
  [12609] = 8503,
  [12610] = 8504,
  [12611] = 8505,
  [12612] = 8506,
  [12613] = 8507,
  [12614] = 8508,
  [12615] = 8510,
  [12616] = 8466,
  [12617] = 12617,
  [12618] = 12618,
  [12619] = 12619,
  [12620] = 12589,
  [12621] = 12621,
  [12622] = 12622,
  [12623] = 12623,
  [12624] = 12624,
  [12625] = 12625,
  [12626] = 9262,
  [12627] = 8512,
  [12628] = 8470,
  [12629] = 8473,
  [12630] = 12630,
  [12631] = 12631,
  [12632] = 12632,
  [12633] = 8498,
  [12634] = 8499,
  [12635] = 8500,
  [12636] = 8501,
  [12637] = 8502,
  [12638] = 8503,
  [12639] = 8504,
  [12640] = 8505,
  [12641] = 8506,
  [12642] = 8507,
  [12643] = 8508,
  [12644] = 8510,
  [12645] = 8466,
  [12646] = 12646,
  [12647] = 12589,
  [12648] = 8481,
  [12649] = 8512,
  [12650] = 8470,
  [12651] = 9283,
  [12652] = 8498,
  [12653] = 8499,
  [12654] = 8500,
  [12655] = 8501,
  [12656] = 8502,
  [12657] = 8503,
  [12658] = 8504,
  [12659] = 8505,
  [12660] = 8506,
  [12661] = 8507,
  [12662] = 8508,
  [12663] = 8510,
  [12664] = 12589,
  [12665] = 12592,
  [12666] = 8470,
  [12667] = 12596,
  [12668] = 12632,
  [12669] = 12646,
  [12670] = 8470,
  [12671] = 12671,
  [12672] = 12672,
  [12673] = 8512,
  [12674] = 12589,
  [12675] = 12625,
  [12676] = 8473,
  [12677] = 8470,
  [12678] = 12589,
  [12679] = 8453,
  [12680] = 8454,
  [12681] = 8447,
  [12682] = 8448,
  [12683] = 8449,
  [12684] = 9288,
  [12685] = 12589,
  [12686] = 8453,
  [12687] = 8454,
  [12688] = 8447,
  [12689] = 8448,
  [12690] = 8449,
  [12691] = 12589,
  [12692] = 12692,
  [12693] = 12693,
  [12694] = 8453,
  [12695] = 8454,
  [12696] = 8448,
  [12697] = 8449,
  [12698] = 12698,
  [12699] = 12699,
  [12700] = 12589,
  [12701] = 8453,
  [12702] = 8454,
  [12703] = 8447,
  [12704] = 8448,
  [12705] = 8449,
  [12706] = 10244,
  [12707] = 12707,
  [12708] = 12589,
  [12709] = 12709,
  [12710] = 12617,
  [12711] = 12589,
  [12712] = 8498,
  [12713] = 12589,
  [12714] = 12589,
  [12715] = 8499,
  [12716] = 12589,
  [12717] = 8500,
  [12718] = 8501,
  [12719] = 12589,
  [12720] = 8498,
  [12721] = 12721,
  [12722] = 9262,
  [12723] = 8499,
  [12724] = 12589,
  [12725] = 8500,
  [12726] = 8501,
  [12727] = 8466,
  [12728] = 8502,
  [12729] = 8503,
  [12730] = 8504,
  [12731] = 8505,
  [12732] = 8506,
  [12733] = 8507,
  [12734] = 8508,
  [12735] = 12589,
  [12736] = 12573,
  [12737] = 12589,
  [12738] = 8502,
  [12739] = 8503,
  [12740] = 8504,
  [12741] = 12589,
  [12742] = 8505,
  [12743] = 8473,
  [12744] = 8506,
  [12745] = 8466,
  [12746] = 9859,
  [12747] = 8466,
  [12748] = 12589,
  [12749] = 9283,
  [12750] = 8507,
  [12751] = 8481,
  [12752] = 8508,
  [12753] = 12589,
  [12754] = 12754,
  [12755] = 12589,
  [12756] = 9285,
  [12757] = 12589,
  [12758] = 8481,
  [12759] = 12759,
  [12760] = 12589,
  [12761] = 8466,
  [12762] = 8512,
  [12763] = 12589,
  [12764] = 12595,
  [12765] = 4787,
  [12766] = 12589,
  [12767] = 4780,
  [12768] = 12589,
  [12769] = 3390,
  [12770] = 3427,
  [12771] = 8498,
  [12772] = 12589,
  [12773] = 8499,
  [12774] = 8500,
  [12775] = 8501,
  [12776] = 8502,
  [12777] = 8503,
  [12778] = 8504,
  [12779] = 8505,
  [12780] = 8506,
  [12781] = 8507,
  [12782] = 8508,
  [12783] = 12589,
  [12784] = 8510,
  [12785] = 12631,
  [12786] = 9288,
  [12787] = 3430,
  [12788] = 12589,
  [12789] = 8481,
  [12790] = 10244,
  [12791] = 12589,
  [12792] = 8470,
  [12793] = 4785,
  [12794] = 12589,
  [12795] = 8510,
  [12796] = 12589,
  [12797] = 8466,
  [12798] = 8510,
  [12799] = 12589,
  [12800] = 3267,
  [12801] = 9290,
  [12802] = 12589,
  [12803] = 12622,
  [12804] = 12589,
  [12805] = 12805,
  [12806] = 12589,
  [12807] = 3298,
  [12808] = 12589,
  [12809] = 12589,
  [12810] = 12623,
  [12811] = 12624,
  [12812] = 12589,
  [12813] = 12709,
  [12814] = 12630,
  [12815] = 12631,
  [12816] = 12619,
  [12817] = 12585,
  [12818] = 8554,
  [12819] = 8555,
  [12820] = 12820,
  [12821] = 8470,
  [12822] = 8473,
  [12823] = 8554,
  [12824] = 12824,
  [12825] = 12709,
  [12826] = 8555,
  [12827] = 12585,
  [12828] = 8554,
  [12829] = 8555,
  [12830] = 8554,
  [12831] = 8555,
  [12832] = 12832,
  [12833] = 12709,
  [12834] = 8631,
  [12835] = 12721,
  [12836] = 12836,
  [12837] = 11484,
  [12838] = 11572,
  [12839] = 11575,
  [12840] = 12621,
  [12841] = 11484,
  [12842] = 11572,
  [12843] = 11575,
  [12844] = 8554,
  [12845] = 8466,
  [12846] = 8555,
  [12847] = 9290,
  [12848] = 12630,
  [12849] = 8470,
  [12850] = 8481,
  [12851] = 12619,
  [12852] = 3471,
  [12853] = 12853,
  [12854] = 12577,
  [12855] = 12581,
  [12856] = 12584,
  [12857] = 3297,
  [12858] = 3315,
  [12859] = 12859,
  [12860] = 12860,
  [12861] = 12618,
  [12862] = 8512,
  [12863] = 10946,
  [12864] = 10948,
  [12865] = 12865,
  [12866] = 12589,
  [12867] = 12585,
  [12868] = 8470,
  [12869] = 12589,
  [12870] = 10757,
  [12871] = 8481,
  [12872] = 12671,
  [12873] = 12672,
  [12874] = 12585,
  [12875] = 12875,
  [12876] = 11638,
  [12877] = 11478,
  [12878] = 12836,
  [12879] = 11638,
  [12880] = 11478,
  [12881] = 8554,
  [12882] = 8453,
  [12883] = 8466,
  [12884] = 12603,
  [12885] = 12853,
  [12886] = 12859,
  [12887] = 12860,
  [12888] = 12875,
  [12889] = 12832,
  [12890] = 8470,
  [12891] = 8504,
  [12892] = 12892,
  [12893] = 12893,
  [12894] = 8498,
  [12895] = 8504,
  [12896] = 8499,
  [12897] = 8500,
  [12898] = 12898,
  [12899] = 12899,
  [12900] = 8501,
  [12901] = 8502,
  [12902] = 8503,
  [12903] = 8498,
  [12904] = 8504,
  [12905] = 8505,
  [12906] = 8506,
  [12907] = 8507,
  [12908] = 8508,
  [12909] = 12899,
  [12910] = 12892,
  [12911] = 12892,
  [12912] = 8512,
  [12913] = 12893,
  [12914] = 8505,
  [12915] = 8631,
  [12916] = 8506,
  [12917] = 8507,
  [12918] = 12892,
  [12919] = 3269,
  [12920] = 8453,
  [12921] = 8454,
  [12922] = 8447,
  [12923] = 8448,
  [12924] = 8449,
  [12925] = 12893,
  [12926] = 12893,
  [12927] = 12927,
  [12928] = 12928,
  [12929] = 8554,
  [12930] = 8554,
  [12931] = 8508,
  [12932] = 8512,
  [12933] = 8470,
  [12934] = 8512,
  [12935] = 12899,
  [12936] = 8498,
  [12937] = 8510,
  [12938] = 8499,
  [12939] = 8500,
  [12940] = 12892,
  [12941] = 8501,
  [12942] = 12893,
  [12943] = 12899,
  [12944] = 8502,
  [12945] = 8503,
  [12946] = 8504,
  [12947] = 8505,
  [12948] = 8506,
  [12949] = 3404,
  [12950] = 8505,
  [12951] = 8507,
  [12952] = 8508,
  [12953] = 12892,
  [12954] = 12893,
  [12955] = 8554,
  [12956] = 12899,
  [12957] = 10535,
  [12958] = 12958,
  [12959] = 12892,
  [12960] = 8631,
  [12961] = 8631,
  [12962] = 12892,
  [12963] = 12899,
  [12964] = 12892,
  [12965] = 8554,
  [12966] = 8554,
  [12967] = 12893,
  [12968] = 9315,
  [12969] = 12892,
  [12970] = 8510,
  [12971] = 8555,
  [12972] = 3267,
  [12973] = 8506,
  [12974] = 12893,
  [12975] = 8555,
  [12976] = 8481,
  [12977] = 3390,
  [12978] = 12893,
  [12979] = 8555,
  [12980] = 3427,
  [12981] = 12893,
  [12982] = 8453,
  [12983] = 8492,
  [12984] = 9355,
  [12985] = 8499,
  [12986] = 8464,
  [12987] = 9355,
  [12988] = 8554,
  [12989] = 3430,
  [12990] = 12990,
  [12991] = 8466,
  [12992] = 8507,
  [12993] = 12893,
  [12994] = 3315,
  [12995] = 12899,
  [12996] = 8555,
  [12997] = 12899,
  [12998] = 11208,
  [12999] = 12899,
  [13000] = 12892,
  [13001] = 12899,
  [13002] = 8631,
  [13003] = 12892,
  [13004] = 13004,
  [13005] = 12893,
  [13006] = 12899,
  [13007] = 12893,
  [13008] = 8498,
  [13009] = 8510,
  [13010] = 12899,
  [13011] = 12892,
  [13012] = 8499,
  [13013] = 12892,
  [13014] = 12893,
  [13015] = 8500,
  [13016] = 8501,
  [13017] = 12899,
  [13018] = 12892,
  [13019] = 8502,
  [13020] = 8631,
  [13021] = 12893,
  [13022] = 8510,
  [13023] = 8470,
  [13024] = 9315,
  [13025] = 12892,
  [13026] = 8473,
  [13027] = 8481,
  [13028] = 8512,
  [13029] = 12893,
  [13030] = 12899,
  [13031] = 8499,
  [13032] = 8555,
  [13033] = 12899,
  [13034] = 8481,
  [13035] = 8503,
  [13036] = 8481,
  [13037] = 8856,
  [13038] = 8470,
  [13039] = 8508,
  [13040] = 12892,
  [13041] = 8504,
  [13042] = 8505,
  [13043] = 8473,
  [13044] = 8506,
  [13045] = 8512,
  [13046] = 8512,
  [13047] = 12892,
  [13048] = 8507,
  [13049] = 12893,
  [13050] = 12893,
  [13051] = 8508,
  [13052] = 4839,
  [13053] = 8554,
  [13054] = 8470,
  [13055] = 8554,
  [13056] = 8498,
  [13057] = 8512,
  [13058] = 8470,
  [13059] = 12899,
  [13060] = 8555,
  [13061] = 8448,
  [13062] = 8499,
  [13063] = 8510,
  [13064] = 8466,
  [13065] = 8500,
  [13066] = 8501,
  [13067] = 12892,
  [13068] = 12899,
  [13069] = 11209,
  [13070] = 8502,
  [13071] = 12893,
  [13072] = 8503,
  [13073] = 8504,
  [13074] = 8448,
  [13075] = 8505,
  [13076] = 8506,
  [13077] = 12892,
  [13078] = 12892,
  [13079] = 8449,
  [13080] = 12893,
  [13081] = 8507,
  [13082] = 8555,
  [13083] = 8508,
  [13084] = 8555,
  [13085] = 12899,
  [13086] = 13086,
  [13087] = 8453,
  [13088] = 12892,
  [13089] = 12892,
  [13090] = 8490,
  [13091] = 12893,
  [13092] = 12899,
  [13093] = 12893,
  [13094] = 12892,
  [13095] = 8473,
  [13096] = 12893,
  [13097] = 9038,
  [13098] = 8510,
  [13099] = 8481,
  [13100] = 8481,
  [13101] = 8500,
  [13102] = 8449,
  [13103] = 8498,
  [13104] = 12893,
  [13105] = 8499,
  [13106] = 12899,
  [13107] = 12899,
  [13108] = 12892,
  [13109] = 8500,
  [13110] = 8498,
  [13111] = 8501,
  [13112] = 12893,
  [13113] = 8499,
  [13114] = 8502,
  [13115] = 12893,
  [13116] = 12899,
  [13117] = 8503,
  [13118] = 12899,
  [13119] = 13119,
  [13120] = 12892,
  [13121] = 8504,
  [13122] = 8505,
  [13123] = 8506,
  [13124] = 8500,
  [13125] = 12893,
  [13126] = 8501,
  [13127] = 8501,
  [13128] = 12892,
  [13129] = 12899,
  [13130] = 8502,
  [13131] = 12899,
  [13132] = 8503,
  [13133] = 8504,
  [13134] = 8505,
  [13135] = 8506,
  [13136] = 12892,
  [13137] = 12893,
  [13138] = 12892,
  [13139] = 8554,
  [13140] = 8507,
  [13141] = 13141,
  [13142] = 8508,
  [13143] = 8555,
  [13144] = 12899,
  [13145] = 8453,
  [13146] = 8453,
  [13147] = 12899,
  [13148] = 12892,
  [13149] = 8555,
  [13150] = 12893,
  [13151] = 8454,
  [13152] = 8447,
  [13153] = 8448,
  [13154] = 8507,
  [13155] = 12893,
  [13156] = 12893,
  [13157] = 8508,
  [13158] = 8498,
  [13159] = 8466,
  [13160] = 8510,
  [13161] = 8466,
  [13162] = 8510,
  [13163] = 3374,
  [13164] = 12899,
  [13165] = 10535,
  [13166] = 8481,
  [13167] = 8499,
  [13168] = 8500,
  [13169] = 8501,
  [13170] = 8502,
  [13171] = 8503,
  [13172] = 12899,
  [13173] = 12899,
  [13174] = 8504,
  [13175] = 12899,
  [13176] = 8505,
  [13177] = 12899,
  [13178] = 12892,
  [13179] = 8506,
  [13180] = 12899,
  [13181] = 12899,
  [13182] = 8507,
  [13183] = 8508,
  [13184] = 12899,
  [13185] = 12899,
  [13186] = 8491,
  [13187] = 12899,
  [13188] = 8449,
  [13189] = 12899,
  [13190] = 12899,
  [13191] = 8454,
  [13192] = 12899,
  [13193] = 8447,
  [13194] = 12899,
  [13195] = 12899,
  [13196] = 8466,
  [13197] = 12899,
  [13198] = 12892,
  [13199] = 12899,
  [13200] = 12893,
  [13201] = 12899,
  [13202] = 8512,
  [13203] = 3276,
  [13204] = 8448,
  [13205] = 8510,
  [13206] = 12899,
  [13207] = 12892,
  [13208] = 8449,
  [13209] = 12899,
  [13210] = 8481,
  [13211] = 12893,
  [13212] = 3471,
  [13213] = 8502,
  [13214] = 8512,
  [13215] = 12892,
  [13216] = 8454,
  [13217] = 12892,
  [13218] = 12893,
  [13219] = 13219,
  [13220] = 12893,
  [13221] = 12893,
  [13222] = 8454,
  [13223] = 8447,
  [13224] = 8470,
  [13225] = 12899,
  [13226] = 12899,
  [13227] = 8502,
  [13228] = 8503,
  [13229] = 8504,
  [13230] = 12899,
  [13231] = 11208,
  [13232] = 8466,
  [13233] = 12899,
  [13234] = 13234,
  [13235] = 8631,
  [13236] = 12892,
  [13237] = 12893,
  [13238] = 11209,
  [13239] = 12899,
  [13240] = 8466,
  [13241] = 3324,
  [13242] = 3298,
  [13243] = 3268,
  [13244] = 8470,
  [13245] = 8466,
  [13246] = 12899,
  [13247] = 12899,
  [13248] = 12892,
  [13249] = 12892,
  [13250] = 12899,
  [13251] = 8481,
  [13252] = 3282,
  [13253] = 8498,
  [13254] = 12893,
  [13255] = 8503,
  [13256] = 12899,
  [13257] = 12899,
  [13258] = 12892,
  [13259] = 8473,
  [13260] = 12892,
  [13261] = 8500,
  [13262] = 8554,
  [13263] = 12892,
  [13264] = 8453,
  [13265] = 12928,
  [13266] = 12892,
  [13267] = 8501,
  [13268] = 8447,
  [13269] = 8555,
  [13270] = 8512,
  [13271] = 12893,
  [13272] = 8454,
  [13273] = 8447,
  [13274] = 8498,
  [13275] = 8499,
  [13276] = 8500,
  [13277] = 8501,
  [13278] = 8502,
  [13279] = 8503,
  [13280] = 8481,
  [13281] = 8505,
  [13282] = 8506,
  [13283] = 8507,
  [13284] = 8508,
  [13285] = 8631,
  [13286] = 8448,
  [13287] = 12893,
  [13288] = 8554,
  [13289] = 8449,
  [13290] = 12893,
  [13291] = 8470,
  [13292] = 8481,
  [13293] = 8510,
  [13294] = 12893,
  [13295] = 3297,
  [13296] = 8501,
  [13297] = 8481,
  [13298] = 13298,
  [13299] = 13299,
  [13300] = 13300,
  [13301] = 8512,
  [13302] = 3484,
  [13303] = 12621,
  [13304] = 9412,
  [13305] = 13298,
  [13306] = 13298,
  [13307] = 3467,
  [13308] = 8481,
  [13309] = 13298,
  [13310] = 3261,
  [13311] = 9387,
  [13312] = 9447,
  [13313] = 9588,
  [13314] = 9422,
  [13315] = 9377,
  [13316] = 9378,
  [13317] = 9379,
  [13318] = 9393,
  [13319] = 9541,
  [13320] = 9398,
  [13321] = 12622,
  [13322] = 8555,
  [13323] = 5038,
  [13324] = 13298,
  [13325] = 9448,
  [13326] = 12623,
  [13327] = 13298,
  [13328] = 8481,
  [13329] = 12624,
  [13330] = 13298,
  [13331] = 9391,
  [13332] = 13332,
  [13333] = 9392,
  [13334] = 9388,
  [13335] = 13335,
  [13336] = 8631,
  [13337] = 9393,
  [13338] = 12625,
  [13339] = 8555,
  [13340] = 9588,
  [13341] = 8481,
  [13342] = 13298,
  [13343] = 8481,
  [13344] = 8512,
  [13345] = 8498,
  [13346] = 8554,
  [13347] = 13298,
  [13348] = 5612,
  [13349] = 9290,
  [13350] = 8554,
  [13351] = 9591,
  [13352] = 9422,
  [13353] = 8631,
  [13354] = 13298,
  [13355] = 8555,
  [13356] = 8502,
  [13357] = 8631,
  [13358] = 8554,
  [13359] = 9389,
  [13360] = 9391,
  [13361] = 13298,
  [13362] = 9529,
  [13363] = 9387,
  [13364] = 12592,
  [13365] = 13365,
  [13366] = 12596,
  [13367] = 13298,
  [13368] = 9285,
  [13369] = 13298,
  [13370] = 8512,
  [13371] = 8503,
  [13372] = 13298,
  [13373] = 13298,
  [13374] = 13298,
  [13375] = 13375,
  [13376] = 13298,
  [13377] = 13298,
  [13378] = 13378,
  [13379] = 9398,
  [13380] = 12721,
  [13381] = 9517,
  [13382] = 12836,
  [13383] = 9467,
  [13384] = 9481,
  [13385] = 12617,
  [13386] = 13335,
  [13387] = 8631,
  [13388] = 13298,
  [13389] = 13378,
  [13390] = 8499,
  [13391] = 8555,
  [13392] = 8504,
  [13393] = 9388,
  [13394] = 8505,
  [13395] = 13300,
  [13396] = 13396,
  [13397] = 13397,
  [13398] = 8506,
  [13399] = 8481,
  [13400] = 8481,
  [13401] = 8512,
  [13402] = 13402,
  [13403] = 12721,
  [13404] = 12836,
  [13405] = 13298,
  [13406] = 9596,
  [13407] = 13365,
  [13408] = 8500,
  [13409] = 8507,
  [13410] = 13298,
  [13411] = 9389,
  [13412] = 9597,
  [13413] = 8508,
  [13414] = 13298,
  [13415] = 8555,
  [13416] = 13416,
  [13417] = 8554,
  [13418] = 13298,
  [13419] = 13298,
  [13420] = 13298,
  [13421] = 13298,
  [13422] = 8631,
  [13423] = 9412,
  [13424] = 9447,
  [13425] = 8554,
  [13426] = 9467,
  [13427] = 8481,
  [13428] = 9479,
  [13429] = 9481,
  [13430] = 13298,
  [13431] = 9359,
  [13432] = 10244,
  [13433] = 9479,
  [13434] = 13300,
  [13435] = 8481,
  [13436] = 13436,
  [13437] = 8510,
  [13438] = 13298,
  [13439] = 8498,
  [13440] = 8554,
  [13441] = 13298,
  [13442] = 8498,
  [13443] = 13298,
  [13444] = 13298,
  [13445] = 8554,
  [13446] = 8499,
  [13447] = 8500,
  [13448] = 8501,
  [13449] = 8502,
  [13450] = 8503,
  [13451] = 8504,
  [13452] = 8505,
  [13453] = 8506,
  [13454] = 8510,
  [13455] = 8507,
  [13456] = 8508,
  [13457] = 8631,
  [13458] = 13458,
  [13459] = 8555,
  [13460] = 12592,
  [13461] = 12596,
  [13462] = 9517,
  [13463] = 13463,
  [13464] = 9359,
  [13465] = 13298,
  [13466] = 13298,
  [13467] = 13467,
  [13468] = 8631,
  [13469] = 13298,
  [13470] = 12632,
  [13471] = 5717,
  [13472] = 13298,
  [13473] = 13467,
  [13474] = 8499,
  [13475] = 9448,
  [13476] = 8498,
  [13477] = 8500,
  [13478] = 9529,
  [13479] = 8501,
  [13480] = 9541,
  [13481] = 13481,
  [13482] = 8554,
  [13483] = 13298,
  [13484] = 8499,
  [13485] = 8500,
  [13486] = 8501,
  [13487] = 8502,
  [13488] = 8503,
  [13489] = 8504,
  [13490] = 8505,
  [13491] = 8506,
  [13492] = 8507,
  [13493] = 8508,
  [13494] = 9288,
  [13495] = 8502,
  [13496] = 8503,
  [13497] = 12621,
  [13498] = 8554,
  [13499] = 8510,
  [13500] = 13298,
  [13501] = 13501,
  [13502] = 8504,
  [13503] = 8554,
  [13504] = 8555,
  [13505] = 8555,
  [13506] = 12622,
  [13507] = 13298,
  [13508] = 12632,
  [13509] = 12646,
  [13510] = 12623,
  [13511] = 12624,
  [13512] = 13512,
  [13513] = 8467,
  [13514] = 13298,
  [13515] = 8505,
  [13516] = 8631,
  [13517] = 8506,
  [13518] = 9392,
  [13519] = 12646,
  [13520] = 12625,
  [13521] = 9283,
  [13522] = 8507,
  [13523] = 8508,
  [13524] = 8481,
  [13525] = 9596,
  [13526] = 12617,
  [13527] = 13467,
  [13528] = 9377,
  [13529] = 13467,
  [13530] = 9591,
  [13531] = 8631,
  [13532] = 9597,
  [13533] = 8555,
  [13534] = 9378,
  [13535] = 9379,
  [13536] = 8631,
  [13537] = 8510,
  [13538] = 12603,
  [13539] = 12853,
  [13540] = 12859,
  [13541] = 12860,
  [13542] = 12875,
  [13543] = 12603,
  [13544] = 12853,
  [13545] = 13298,
  [13546] = 12859,
  [13547] = 12860,
  [13548] = 12875,
  [13549] = 13298,
  [13550] = 13298,
  [13551] = 13298,
  [13552] = 3333,
  [13553] = 12832,
  [13554] = 12573,
  [13555] = 12832,
  [13556] = 12573,
  [13557] = 8555,
  [13558] = 13558,
  [13559] = 13559,
  [13560] = 10535,
  [13561] = 13561,
  [13562] = 9315,
  [13563] = 13563,
  [13564] = 3333,
  [13565] = 8631,
  [13566] = 5275,
  [13567] = 9242,
  [13568] = 13568,
  [13569] = 9243,
  [13570] = 13570,
  [13571] = 8856,
  [13572] = 9268,
  [13573] = 13573,
  [13574] = 9230,
  [13575] = 13575,
  [13576] = 9355,
  [13577] = 9198,
  [13578] = 3261,
  [13579] = 13561,
  [13580] = 13558,
  [13581] = 13559,
  [13582] = 13559,
  [13583] = 3484,
  [13584] = 13584,
  [13585] = 13585,
  [13586] = 5717,
  [13587] = 8631,
  [13588] = 3467,
  [13589] = 9205,
  [13590] = 13561,
  [13591] = 8631,
  [13592] = 13558,
  [13593] = 13593,
  [13594] = 13559,
  [13595] = 8631,
  [13596] = 13596,
  [13597] = 9038,
  [13598] = 13558,
  [13599] = 5612,
  [13600] = 13600,
  [13601] = 13561,
  [13602] = 13602,
  [13603] = 13603,
  [13604] = 9448,
  [13605] = 9412,
  [13606] = 13606,
  [13607] = 9447,
  [13608] = 13608,
  [13609] = 13609,
  [13610] = 9283,
  [13611] = 9517,
  [13612] = 9359,
  [13613] = 13613,
  [13614] = 13614,
  [13615] = 9529,
  [13616] = 13616,
  [13617] = 9541,
  [13618] = 13618,
  [13619] = 13606,
  [13620] = 9336,
  [13621] = 9377,
  [13622] = 9378,
  [13623] = 9379,
  [13624] = 9387,
  [13625] = 9388,
  [13626] = 9389,
  [13627] = 13606,
  [13628] = 9304,
  [13629] = 13614,
  [13630] = 13616,
  [13631] = 13631,
  [13632] = 13606,
  [13633] = 13633,
  [13634] = 9391,
  [13635] = 9392,
  [13636] = 9393,
  [13637] = 13614,
  [13638] = 9329,
  [13639] = 13639,
  [13640] = 4787,
  [13641] = 9859,
  [13642] = 5478,
  [13643] = 9588,
  [13644] = 13616,
  [13645] = 9591,
  [13646] = 5483,
  [13647] = 5717,
  [13648] = 4780,
  [13649] = 9596,
  [13650] = 5612,
  [13651] = 13651,
  [13652] = 9597,
  [13653] = 13653,
  [13654] = 5612,
  [13655] = 9467,
  [13656] = 9290,
  [13657] = 13616,
  [13658] = 13658,
  [13659] = 3333,
  [13660] = 13614,
  [13661] = 3484,
  [13662] = 3467,
  [13663] = 13663,
  [13664] = 13664,
  [13665] = 9288,
  [13666] = 9422,
  [13667] = 13667,
  [13668] = 9262,
  [13669] = 9479,
  [13670] = 3261,
  [13671] = 4785,
  [13672] = 5717,
  [13673] = 9481,
  [13674] = 13614,
  [13675] = 9285,
  [13676] = 13614,
  [13677] = 9398,
  [13678] = 7891,
  [13679] = 13679,
  [13680] = 11645,
  [13681] = 13681,
  [13682] = 13682,
  [13683] = 13683,
  [13684] = 13684,
  [13685] = 13683,
  [13686] = 13681,
  [13687] = 13687,
  [13688] = 13688,
  [13689] = 13683,
  [13690] = 13683,
  [13691] = 7850,
  [13692] = 7882,
  [13693] = 9758,
  [13694] = 7843,
  [13695] = 13695,
  [13696] = 13696,
  [13697] = 13683,
  [13698] = 13698,
  [13699] = 13683,
  [13700] = 13700,
  [13701] = 13700,
  [13702] = 13700,
  [13703] = 13703,
  [13704] = 13683,
  [13705] = 13705,
  [13706] = 7890,
  [13707] = 13683,
  [13708] = 4787,
  [13709] = 13709,
  [13710] = 13683,
  [13711] = 7905,
  [13712] = 13700,
  [13713] = 13713,
  [13714] = 13714,
  [13715] = 13715,
  [13716] = 13709,
  [13717] = 13717,
  [13718] = 13681,
  [13719] = 13683,
  [13720] = 9262,
  [13721] = 13721,
  [13722] = 13709,
  [13723] = 13683,
  [13724] = 13700,
  [13725] = 13725,
  [13726] = 13726,
  [13727] = 13727,
  [13728] = 13728,
  [13729] = 13700,
  [13730] = 13700,
  [13731] = 13683,
  [13732] = 7866,
  [13733] = 13700,
  [13734] = 13734,
  [13735] = 13735,
  [13736] = 13736,
  [13737] = 13737,
  [13738] = 7902,
  [13739] = 13739,
  [13740] = 7892,
  [13741] = 13741,
  [13742] = 4780,
  [13743] = 13743,
  [13744] = 5700,
  [13745] = 13745,
  [13746] = 13700,
  [13747] = 13683,
  [13748] = 13700,
  [13749] = 10244,
  [13750] = 9315,
  [13751] = 13700,
  [13752] = 13700,
  [13753] = 13753,
  [13754] = 13683,
  [13755] = 13755,
  [13756] = 13756,
  [13757] = 13757,
  [13758] = 13683,
  [13759] = 7855,
  [13760] = 13760,
  [13761] = 13700,
  [13762] = 13762,
  [13763] = 13700,
  [13764] = 13683,
  [13765] = 11619,
  [13766] = 13766,
  [13767] = 8494,
  [13768] = 11493,
  [13769] = 13683,
  [13770] = 13770,
  [13771] = 8548,
  [13772] = 5607,
  [13773] = 13700,
  [13774] = 13774,
  [13775] = 11620,
  [13776] = 13700,
  [13777] = 7874,
  [13778] = 7795,
  [13779] = 13779,
  [13780] = 13780,
  [13781] = 11495,
  [13782] = 13700,
  [13783] = 13783,
  [13784] = 13784,
  [13785] = 13683,
  [13786] = 13786,
  [13787] = 13787,
  [13788] = 13683,
  [13789] = 11622,
  [13790] = 13700,
  [13791] = 13700,
  [13792] = 13700,
  [13793] = 8547,
  [13794] = 13683,
  [13795] = 13683,
  [13796] = 5703,
  [13797] = 13683,
  [13798] = 10244,
  [13799] = 13700,
  [13800] = 13800,
  [13801] = 13700,
  [13802] = 13802,
  [13803] = 13683,
  [13804] = 13700,
  [13805] = 13683,
  [13806] = 13700,
  [13807] = 11496,
  [13808] = 13808,
  [13809] = 13809,
  [13810] = 13700,
  [13811] = 13700,
  [13812] = 5705,
  [13813] = 11475,
  [13814] = 9285,
  [13815] = 13700,
  [13816] = 9288,
  [13817] = 13817,
  [13818] = 13818,
  [13819] = 13819,
  [13820] = 13700,
  [13821] = 13700,
  [13822] = 13683,
  [13823] = 4785,
  [13824] = 8563,
  [13825] = 13825,
  [13826] = 13683,
  [13827] = 13827,
  [13828] = 13234,
  [13829] = 13829,
  [13830] = 13683,
  [13831] = 13683,
  [13832] = 13832,
  [13833] = 13700,
  [13834] = 13834,
  [13835] = 13835,
  [13836] = 13836,
  [13837] = 13700,
  [13838] = 13700,
  [13839] = 13839,
  [13840] = 13840,
  [13841] = 13841,
  [13842] = 13700,
  [13843] = 3367,
  [13844] = 4839,
  [13845] = 13683,
  [13846] = 9290,
  [13847] = 13847,
  [13848] = 13848,
  [13849] = 13849,
  [13850] = 13683,
  [13851] = 13851,
  [13852] = 13852,
  [13853] = 13853,
  [13854] = 13854,
  [13855] = 13855,
  [13856] = 13856,
  [13857] = 13857,
  [13858] = 13700,
  [13859] = 13681,
  [13860] = 7749,
  [13861] = 13700,
  [13862] = 13700,
  [13863] = 13700,
  [13864] = 13864,
  [13865] = 13865,
  [13866] = 13866,
  [13867] = 13867,
  [13868] = 13700,
  [13869] = 13869,
  [13870] = 13870,
  [13871] = 13871,
  [13872] = 13683,
  [13873] = 13700,
  [13874] = 13874,
  [13875] = 7792,
  [13876] = 5676,
  [13877] = 13877,
  [13878] = 7867,
  [13879] = 13141,
  [13880] = 13880,
  [13881] = 13881,
  [13882] = 13882,
  [13883] = 13219,
  [13884] = 13683,
  [13885] = 13885,
  [13886] = 13886,
  [13887] = 9283,
  [13888] = 13700,
  [13889] = 13889,
  [13890] = 13890,
  [13891] = 8471,
  [13892] = 13892,
  [13893] = 9844,
  [13894] = 13683,
  [13895] = 13683,
  [13896] = 13896,
  [13897] = 13683,
  [13898] = 13898,
  [13899] = 13899,
  [13900] = 5659,
  [13901] = 13901,
  [13902] = 7809,
  [13903] = 9355,
  [13904] = 13683,
  [13905] = 13683,
  [13906] = 13906,
  [13907] = 13683,
  [13908] = 13683,
  [13909] = 13909,
  [13910] = 13683,
  [13911] = 13683,
  [13912] = 13709,
  [13913] = 13913,
  [13914] = 7935,
  [13915] = 13915,
  [13916] = 13683,
  [13917] = 13713,
  [13918] = 13918,
  [13919] = 13700,
  [13920] = 13920,
  [13921] = 7752,
  [13922] = 8543,
  [13923] = 13923,
  [13924] = 13700,
  [13925] = 7736,
  [13926] = 9315,
  [13927] = 9448,
  [13928] = 9377,
  [13929] = 9262,
  [13930] = 9378,
  [13931] = 9379,
  [13932] = 9387,
  [13933] = 9388,
  [13934] = 9389,
  [13935] = 9391,
  [13936] = 3261,
  [13937] = 13937,
  [13938] = 9246,
  [13939] = 9392,
  [13940] = 13940,
  [13941] = 13941,
  [13942] = 3467,
  [13943] = 9412,
  [13944] = 9447,
  [13945] = 9467,
  [13946] = 9479,
  [13947] = 13947,
  [13948] = 9481,
  [13949] = 13949,
  [13950] = 10535,
  [13951] = 8467,
  [13952] = 5612,
  [13953] = 8856,
  [13954] = 4839,
  [13955] = 9517,
  [13956] = 9359,
  [13957] = 9265,
  [13958] = 9529,
  [13959] = 10535,
  [13960] = 9541,
  [13961] = 9273,
  [13962] = 13962,
  [13963] = 9422,
  [13964] = 13964,
  [13965] = 3333,
  [13966] = 9355,
  [13967] = 9398,
  [13968] = 13968,
  [13969] = 3484,
  [13970] = 5717,
  [13971] = 9588,
  [13972] = 9591,
  [13973] = 9596,
  [13974] = 9597,
  [13975] = 13975,
  [13976] = 13976,
  [13977] = 13977,
  [13978] = 9393,
  [13979] = 13979,
  [13980] = 13980,
  [13981] = 9359,
  [13982] = 9517,
  [13983] = 13983,
  [13984] = 5516,
  [13985] = 9391,
  [13986] = 13986,
  [13987] = 9298,
  [13988] = 9276,
  [13989] = 10515,
  [13990] = 9282,
  [13991] = 9529,
  [13992] = 13992,
  [13993] = 9377,
  [13994] = 9389,
  [13995] = 9393,
  [13996] = 13992,
  [13997] = 10514,
  [13998] = 9284,
  [13999] = 9541,
  [14000] = 9294,
  [14001] = 9412,
  [14002] = 9378,
  [14003] = 3413,
  [14004] = 9447,
  [14005] = 9467,
  [14006] = 9597,
  [14007] = 10513,
  [14008] = 9591,
  [14009] = 9479,
  [14010] = 9588,
  [14011] = 9299,
  [14012] = 9388,
  [14013] = 9564,
  [14014] = 10516,
  [14015] = 9584,
  [14016] = 9275,
  [14017] = 9300,
  [14018] = 9392,
  [14019] = 10244,
  [14020] = 10420,
  [14021] = 9379,
  [14022] = 14022,
  [14023] = 9596,
  [14024] = 9387,
  [14025] = 14025,
  [14026] = 13992,
  [14027] = 9448,
  [14028] = 9452,
  [14029] = 9278,
  [14030] = 9297,
  [14031] = 3349,
  [14032] = 13992,
  [14033] = 13986,
  [14034] = 9449,
  [14035] = 13986,
  [14036] = 9280,
  [14037] = 9398,
  [14038] = 9277,
  [14039] = 9481,
  [14040] = 14040,
  [14041] = 9422,
  [14042] = 8467,
  [14043] = 9595,
  [14044] = 13986,
  [14045] = 9487,
  [14046] = 14046,
  [14047] = 14047,
  [14048] = 9262,
  [14049] = 14047,
  [14050] = 5585,
  [14051] = 5587,
  [14052] = 5614,
  [14053] = 9290,
  [14054] = 14047,
  [14055] = 14055,
  [14056] = 14047,
  [14057] = 14047,
  [14058] = 14058,
  [14059] = 10535,
  [14060] = 5597,
  [14061] = 14047,
  [14062] = 14047,
  [14063] = 14063,
  [14064] = 5643,
  [14065] = 14047,
  [14066] = 14066,
  [14067] = 14047,
  [14068] = 14063,
  [14069] = 14047,
  [14070] = 14063,
  [14071] = 14063,
  [14072] = 14047,
  [14073] = 14047,
  [14074] = 14047,
  [14075] = 14047,
  [14076] = 14063,
  [14077] = 14063,
  [14078] = 14047,
  [14079] = 14063,
  [14080] = 14063,
  [14081] = 9414,
  [14082] = 14047,
  [14083] = 14083,
  [14084] = 9859,
  [14085] = 14047,
  [14086] = 14047,
  [14087] = 9689,
  [14088] = 14047,
  [14089] = 14047,
  [14090] = 14047,
  [14091] = 14063,
  [14092] = 14047,
  [14093] = 14047,
  [14094] = 14047,
  [14095] = 14047,
  [14096] = 14047,
  [14097] = 14047,
  [14098] = 14047,
  [14099] = 14047,
  [14100] = 14047,
  [14101] = 14047,
  [14102] = 14047,
  [14103] = 14103,
  [14104] = 14066,
  [14105] = 14105,
  [14106] = 14063,
  [14107] = 14058,
  [14108] = 5656,
  [14109] = 9438,
  [14110] = 3444,
  [14111] = 5734,
  [14112] = 14047,
  [14113] = 14063,
  [14114] = 5658,
  [14115] = 14063,
  [14116] = 14083,
  [14117] = 5661,
  [14118] = 14046,
  [14119] = 14046,
  [14120] = 14120,
  [14121] = 9698,
  [14122] = 14063,
  [14123] = 14063,
  [14124] = 14047,
  [14125] = 14063,
  [14126] = 14063,
  [14127] = 5647,
  [14128] = 14066,
  [14129] = 14058,
  [14130] = 14063,
  [14131] = 14063,
  [14132] = 14047,
  [14133] = 14058,
  [14134] = 5628,
  [14135] = 14046,
  [14136] = 14083,
  [14137] = 14058,
  [14138] = 14120,
  [14139] = 14046,
  [14140] = 14047,
  [14141] = 14063,
  [14142] = 14120,
  [14143] = 14063,
  [14144] = 14046,
  [14145] = 14066,
  [14146] = 14063,
  [14147] = 14063,
  [14148] = 14063,
  [14149] = 14047,
  [14150] = 14047,
  [14151] = 5653,
  [14152] = 5684,
  [14153] = 14083,
  [14154] = 5697,
  [14155] = 9472,
  [14156] = 14120,
  [14157] = 5584,
  [14158] = 14046,
  [14159] = 14058,
  [14160] = 5651,
  [14161] = 14046,
  [14162] = 14047,
  [14163] = 5602,
  [14164] = 5683,
  [14165] = 14063,
  [14166] = 5688,
  [14167] = 5588,
  [14168] = 14047,
  [14169] = 14063,
  [14170] = 14063,
  [14171] = 14063,
  [14172] = 14058,
  [14173] = 14063,
  [14174] = 14063,
  [14175] = 9262,
  [14176] = 14047,
  [14177] = 5616,
  [14178] = 9608,
  [14179] = 14047,
  [14180] = 9544,
  [14181] = 14047,
  [14182] = 5590,
  [14183] = 14063,
  [14184] = 14047,
  [14185] = 14063,
  [14186] = 9573,
  [14187] = 14063,
  [14188] = 14063,
  [14189] = 5625,
  [14190] = 14063,
  [14191] = 5642,
  [14192] = 14047,
  [14193] = 14058,
  [14194] = 5613,
  [14195] = 9645,
  [14196] = 14063,
  [14197] = 14046,
  [14198] = 14047,
  [14199] = 5589,
  [14200] = 14058,
  [14201] = 3274,
  [14202] = 5666,
  [14203] = 14047,
  [14204] = 14058,
  [14205] = 5618,
  [14206] = 5604,
  [14207] = 14047,
  [14208] = 5598,
  [14209] = 14047,
  [14210] = 14063,
  [14211] = 5610,
  [14212] = 14047,
  [14213] = 14063,
  [14214] = 3136,
  [14215] = 14047,
  [14216] = 3149,
  [14217] = 14047,
  [14218] = 14063,
  [14219] = 9519,
  [14220] = 14063,
  [14221] = 14058,
  [14222] = 14047,
  [14223] = 14046,
  [14224] = 5621,
  [14225] = 5620,
  [14226] = 5633,
  [14227] = 14063,
  [14228] = 14046,
  [14229] = 14063,
  [14230] = 14047,
  [14231] = 9701,
  [14232] = 14063,
  [14233] = 5699,
  [14234] = 14047,
  [14235] = 14063,
  [14236] = 14047,
  [14237] = 14066,
  [14238] = 14046,
  [14239] = 14239,
  [14240] = 14240,
  [14241] = 14241,
  [14242] = 14240,
  [14243] = 10515,
  [14244] = 14244,
  [14245] = 14244,
  [14246] = 14240,
  [14247] = 14247,
  [14248] = 14247,
  [14249] = 14239,
  [14250] = 10808,
  [14251] = 14244,
  [14252] = 14240,
  [14253] = 9732,
  [14254] = 14254,
  [14255] = 14240,
  [14256] = 14244,
  [14257] = 10420,
  [14258] = 14239,
  [14259] = 14244,
  [14260] = 14240,
  [14261] = 14240,
  [14262] = 14240,
  [14263] = 14240,
  [14264] = 14239,
  [14265] = 5487,
  [14266] = 14244,
  [14267] = 14244,
  [14268] = 10045,
  [14269] = 14240,
  [14270] = 14270,
  [14271] = 14240,
  [14272] = 14247,
  [14273] = 14244,
  [14274] = 14240,
  [14275] = 10513,
  [14276] = 14239,
  [14277] = 14244,
  [14278] = 14240,
  [14279] = 14244,
  [14280] = 14244,
  [14281] = 14240,
  [14282] = 14240,
  [14283] = 10244,
  [14284] = 14284,
  [14285] = 14240,
  [14286] = 14240,
  [14287] = 14244,
  [14288] = 11033,
  [14289] = 14240,
  [14290] = 10817,
  [14291] = 14244,
  [14292] = 14244,
  [14293] = 14240,
  [14294] = 10514,
  [14295] = 14295,
  [14296] = 14296,
  [14297] = 14244,
  [14298] = 14247,
  [14299] = 14244,
  [14300] = 14244,
  [14301] = 14244,
  [14302] = 14244,
  [14303] = 14247,
  [14304] = 13968,
  [14305] = 14240,
  [14306] = 14240,
  [14307] = 14244,
  [14308] = 14244,
  [14309] = 14240,
  [14310] = 14244,
  [14311] = 14244,
  [14312] = 14240,
  [14313] = 10516,
  [14314] = 14247,
  [14315] = 5516,
  [14316] = 14316,
  [14317] = 14317,
  [14318] = 14318,
  [14319] = 14316,
  [14320] = 9378,
  [14321] = 14317,
  [14322] = 9379,
  [14323] = 14323,
  [14324] = 14316,
  [14325] = 14316,
  [14326] = 14317,
  [14327] = 14317,
  [14328] = 14316,
  [14329] = 14323,
  [14330] = 14330,
  [14331] = 14331,
  [14332] = 14332,
  [14333] = 14323,
  [14334] = 14323,
  [14335] = 14323,
  [14336] = 10535,
  [14337] = 14337,
  [14338] = 3471,
  [14339] = 14317,
  [14340] = 9481,
  [14341] = 14341,
  [14342] = 14342,
  [14343] = 14317,
  [14344] = 9387,
  [14345] = 14316,
  [14346] = 9388,
  [14347] = 14347,
  [14348] = 14316,
  [14349] = 3297,
  [14350] = 3315,
  [14351] = 5478,
  [14352] = 14323,
  [14353] = 14353,
  [14354] = 14354,
  [14355] = 14316,
  [14356] = 14356,
  [14357] = 14317,
  [14358] = 14358,
  [14359] = 14323,
  [14360] = 14317,
  [14361] = 14342,
  [14362] = 9389,
  [14363] = 14317,
  [14364] = 14323,
  [14365] = 14365,
  [14366] = 10429,
  [14367] = 14367,
  [14368] = 14317,
  [14369] = 14369,
  [14370] = 14370,
  [14371] = 14323,
  [14372] = 14318,
  [14373] = 9597,
  [14374] = 13983,
  [14375] = 14316,
  [14376] = 14376,
  [14377] = 14317,
  [14378] = 11404,
  [14379] = 14376,
  [14380] = 14356,
  [14381] = 14323,
  [14382] = 11436,
  [14383] = 14330,
  [14384] = 14370,
  [14385] = 14385,
  [14386] = 3267,
  [14387] = 14316,
  [14388] = 14318,
  [14389] = 9517,
  [14390] = 14317,
  [14391] = 5483,
  [14392] = 14392,
  [14393] = 14356,
  [14394] = 9359,
  [14395] = 14395,
  [14396] = 14396,
  [14397] = 14354,
  [14398] = 14323,
  [14399] = 14365,
  [14400] = 14316,
  [14401] = 14323,
  [14402] = 14317,
  [14403] = 14323,
  [14404] = 14342,
  [14405] = 14341,
  [14406] = 14385,
  [14407] = 14317,
  [14408] = 14022,
  [14409] = 14367,
  [14410] = 3390,
  [14411] = 14331,
  [14412] = 14353,
  [14413] = 14331,
  [14414] = 14331,
  [14415] = 14316,
  [14416] = 14356,
  [14417] = 14365,
  [14418] = 9448,
  [14419] = 14330,
  [14420] = 14358,
  [14421] = 14316,
  [14422] = 14354,
  [14423] = 14317,
  [14424] = 14323,
  [14425] = 14323,
  [14426] = 9529,
  [14427] = 14376,
  [14428] = 13968,
  [14429] = 9391,
  [14430] = 9591,
  [14431] = 9398,
  [14432] = 14369,
  [14433] = 14358,
  [14434] = 14395,
  [14435] = 3298,
  [14436] = 14370,
  [14437] = 14316,
  [14438] = 14376,
  [14439] = 9392,
  [14440] = 14318,
  [14441] = 13980,
  [14442] = 9393,
  [14443] = 14323,
  [14444] = 14332,
  [14445] = 14323,
  [14446] = 14358,
  [14447] = 14316,
  [14448] = 14317,
  [14449] = 14356,
  [14450] = 5487,
  [14451] = 14330,
  [14452] = 14323,
  [14453] = 14330,
  [14454] = 14385,
  [14455] = 14316,
  [14456] = 14316,
  [14457] = 14457,
  [14458] = 14330,
  [14459] = 14385,
  [14460] = 14323,
  [14461] = 10480,
  [14462] = 14358,
  [14463] = 14317,
  [14464] = 11437,
  [14465] = 14317,
  [14466] = 14330,
  [14467] = 14316,
  [14468] = 14365,
  [14469] = 9588,
  [14470] = 14385,
  [14471] = 9924,
  [14472] = 14323,
  [14473] = 14317,
  [14474] = 14317,
  [14475] = 14341,
  [14476] = 14330,
  [14477] = 9541,
  [14478] = 14316,
  [14479] = 14332,
  [14480] = 14317,
  [14481] = 14323,
  [14482] = 14316,
  [14483] = 9926,
  [14484] = 14323,
  [14485] = 9931,
  [14486] = 11434,
  [14487] = 11435,
  [14488] = 14317,
  [14489] = 14395,
  [14490] = 14316,
  [14491] = 3333,
  [14492] = 14376,
  [14493] = 14358,
  [14494] = 9966,
  [14495] = 3430,
  [14496] = 10346,
  [14497] = 10109,
  [14498] = 14323,
  [14499] = 14358,
  [14500] = 3413,
  [14501] = 14365,
  [14502] = 14317,
  [14503] = 14503,
  [14504] = 14353,
  [14505] = 14505,
  [14506] = 14317,
  [14507] = 14395,
  [14508] = 14316,
  [14509] = 10244,
  [14510] = 14323,
  [14511] = 14356,
  [14512] = 14341,
  [14513] = 14323,
  [14514] = 14365,
  [14515] = 14365,
  [14516] = 10319,
  [14517] = 3296,
  [14518] = 10045,
  [14519] = 10338,
  [14520] = 14316,
  [14521] = 14376,
  [14522] = 14341,
  [14523] = 14353,
  [14524] = 14354,
  [14525] = 14316,
  [14526] = 14331,
  [14527] = 14369,
  [14528] = 14317,
  [14529] = 14323,
  [14530] = 14317,
  [14531] = 14316,
  [14532] = 14370,
  [14533] = 14370,
  [14534] = 14323,
  [14535] = 3264,
  [14536] = 14323,
  [14537] = 14537,
  [14538] = 3484,
  [14539] = 14318,
  [14540] = 3467,
  [14541] = 14505,
  [14542] = 10340,
  [14543] = 14316,
  [14544] = 14369,
  [14545] = 14316,
  [14546] = 14323,
  [14547] = 9596,
  [14548] = 14316,
  [14549] = 14323,
  [14550] = 14505,
  [14551] = 5487,
  [14552] = 14316,
  [14553] = 14370,
  [14554] = 10044,
  [14555] = 5639,
  [14556] = 5660,
  [14557] = 5648,
  [14558] = 14323,
  [14559] = 5629,
  [14560] = 9412,
  [14561] = 10251,
  [14562] = 14316,
  [14563] = 14563,
  [14564] = 14323,
  [14565] = 10128,
  [14566] = 14316,
  [14567] = 14025,
  [14568] = 10258,
  [14569] = 13979,
  [14570] = 14369,
  [14571] = 14318,
  [14572] = 14395,
  [14573] = 14316,
  [14574] = 14370,
  [14575] = 3349,
  [14576] = 14323,
  [14577] = 9422,
  [14578] = 14356,
  [14579] = 10264,
  [14580] = 14316,
  [14581] = 14365,
  [14582] = 14317,
  [14583] = 14583,
  [14584] = 14584,
  [14585] = 14316,
  [14586] = 9447,
  [14587] = 14353,
  [14588] = 14588,
  [14589] = 14316,
  [14590] = 14323,
  [14591] = 14318,
  [14592] = 9467,
  [14593] = 10691,
  [14594] = 14323,
  [14595] = 14317,
  [14596] = 14323,
  [14597] = 14597,
  [14598] = 14354,
  [14599] = 9479,
  [14600] = 14317,
  [14601] = 14316,
  [14602] = 14317,
  [14603] = 14376,
  [14604] = 10123,
  [14605] = 14323,
  [14606] = 14353,
  [14607] = 14354,
  [14608] = 14040,
  [14609] = 14317,
  [14610] = 14341,
  [14611] = 14354,
  [14612] = 14316,
  [14613] = 14316,
  [14614] = 14614,
  [14615] = 14316,
  [14616] = 14316,
  [14617] = 14385,
  [14618] = 14505,
  [14619] = 3427,
  [14620] = 14323,
  [14621] = 3261,
  [14622] = 14323,
  [14623] = 14385,
  [14624] = 14353,
  [14625] = 14332,
  [14626] = 14342,
  [14627] = 14318,
  [14628] = 14323,
  [14629] = 14323,
  [14630] = 14323,
  [14631] = 14316,
  [14632] = 14367,
  [14633] = 14317,
  [14634] = 14323,
  [14635] = 14395,
  [14636] = 14369,
  [14637] = 14341,
  [14638] = 14316,
  [14639] = 14385,
  [14640] = 13639,
  [14641] = 14332,
  [14642] = 10571,
  [14643] = 10318,
  [14644] = 14316,
  [14645] = 14316,
  [14646] = 14370,
  [14647] = 14323,
  [14648] = 14369,
  [14649] = 14358,
  [14650] = 14395,
  [14651] = 14588,
  [14652] = 14588,
  [14653] = 14367,
  [14654] = 14588,
  [14655] = 9377,
  [14656] = 14369,
  [14657] = 14657,
  [14658] = 14657,
  [14659] = 14659,
  [14660] = 14660,
  [14661] = 14657,
  [14662] = 7867,
  [14663] = 14663,
  [14664] = 14659,
  [14665] = 10817,
  [14666] = 3268,
  [14667] = 5625,
  [14668] = 14668,
  [14669] = 5639,
  [14670] = 10846,
  [14671] = 14657,
  [14672] = 14672,
  [14673] = 14663,
  [14674] = 14659,
  [14675] = 14659,
  [14676] = 10990,
  [14677] = 14672,
  [14678] = 14657,
  [14679] = 5700,
  [14680] = 14680,
  [14681] = 14681,
  [14682] = 7792,
  [14683] = 14659,
  [14684] = 14672,
  [14685] = 14663,
  [14686] = 14672,
  [14687] = 14663,
  [14688] = 14657,
  [14689] = 7935,
  [14690] = 14663,
  [14691] = 3276,
  [14692] = 14668,
  [14693] = 14663,
  [14694] = 14659,
  [14695] = 14657,
  [14696] = 13901,
  [14697] = 10862,
  [14698] = 10766,
  [14699] = 14672,
  [14700] = 14672,
  [14701] = 5647,
  [14702] = 14657,
  [14703] = 13739,
  [14704] = 14657,
  [14705] = 14705,
  [14706] = 14659,
  [14707] = 14672,
  [14708] = 14708,
  [14709] = 3282,
  [14710] = 14672,
  [14711] = 14659,
  [14712] = 5651,
  [14713] = 5660,
  [14714] = 14668,
  [14715] = 14672,
  [14716] = 14663,
  [14717] = 14659,
  [14718] = 14663,
  [14719] = 14668,
  [14720] = 14672,
  [14721] = 14672,
  [14722] = 14672,
  [14723] = 14681,
  [14724] = 14672,
  [14725] = 14659,
  [14726] = 14663,
  [14727] = 14657,
  [14728] = 14668,
  [14729] = 14668,
  [14730] = 14659,
  [14731] = 14668,
  [14732] = 14657,
  [14733] = 14663,
  [14734] = 13800,
  [14735] = 11033,
  [14736] = 14657,
  [14737] = 7905,
  [14738] = 14738,
  [14739] = 14659,
  [14740] = 14668,
  [14741] = 13753,
  [14742] = 14657,
  [14743] = 14743,
  [14744] = 14657,
  [14745] = 10635,
  [14746] = 7750,
  [14747] = 14668,
  [14748] = 14668,
  [14749] = 14657,
  [14750] = 13757,
  [14751] = 14663,
  [14752] = 5661,
  [14753] = 14657,
  [14754] = 5587,
  [14755] = 14672,
  [14756] = 5683,
  [14757] = 3296,
  [14758] = 7866,
  [14759] = 14759,
  [14760] = 14663,
  [14761] = 14672,
  [14762] = 14659,
  [14763] = 5618,
  [14764] = 14672,
  [14765] = 13979,
  [14766] = 14766,
  [14767] = 5648,
  [14768] = 14672,
  [14769] = 14663,
  [14770] = 14668,
  [14771] = 10872,
  [14772] = 14672,
  [14773] = 14659,
  [14774] = 14657,
  [14775] = 5589,
  [14776] = 14663,
  [14777] = 5616,
  [14778] = 13866,
  [14779] = 3404,
  [14780] = 5688,
  [14781] = 3264,
  [14782] = 14657,
  [14783] = 14657,
  [14784] = 14663,
  [14785] = 14668,
  [14786] = 13698,
  [14787] = 10219,
  [14788] = 14668,
  [14789] = 13766,
  [14790] = 14663,
  [14791] = 14657,
  [14792] = 14663,
  [14793] = 5588,
  [14794] = 14663,
  [14795] = 3252,
  [14796] = 14668,
  [14797] = 14659,
  [14798] = 14668,
  [14799] = 13737,
  [14800] = 10941,
  [14801] = 5643,
  [14802] = 14668,
  [14803] = 5604,
  [14804] = 5610,
  [14805] = 5621,
  [14806] = 5620,
  [14807] = 5633,
  [14808] = 14659,
  [14809] = 14668,
  [14810] = 10945,
  [14811] = 10535,
  [14812] = 14812,
  [14813] = 14668,
  [14814] = 5734,
  [14815] = 14668,
  [14816] = 5653,
  [14817] = 14657,
  [14818] = 14657,
  [14819] = 10889,
  [14820] = 14657,
  [14821] = 10890,
  [14822] = 10891,
  [14823] = 5628,
  [14824] = 14672,
  [14825] = 14663,
  [14826] = 14668,
  [14827] = 7809,
  [14828] = 10957,
  [14829] = 5659,
  [14830] = 5584,
  [14831] = 5613,
  [14832] = 5598,
  [14833] = 14659,
  [14834] = 7874,
  [14835] = 7749,
  [14836] = 7752,
  [14837] = 13983,
  [14838] = 7736,
  [14839] = 14657,
  [14840] = 13980,
  [14841] = 14040,
  [14842] = 14022,
  [14843] = 14025,
  [14844] = 7795,
  [14845] = 14659,
  [14846] = 14663,
  [14847] = 14657,
  [14848] = 14659,
  [14849] = 14668,
  [14850] = 14659,
  [14851] = 14659,
  [14852] = 14852,
  [14853] = 5658,
  [14854] = 14663,
  [14855] = 14657,
  [14856] = 14657,
  [14857] = 5705,
  [14858] = 14657,
  [14859] = 14663,
  [14860] = 14657,
  [14861] = 5590,
  [14862] = 14672,
  [14863] = 10938,
  [14864] = 10954,
  [14865] = 14657,
  [14866] = 14663,
  [14867] = 14657,
  [14868] = 11048,
  [14869] = 14672,
  [14870] = 14870,
  [14871] = 14659,
  [14872] = 14657,
  [14873] = 14659,
  [14874] = 5607,
  [14875] = 5642,
  [14876] = 14657,
  [14877] = 14663,
  [14878] = 3367,
  [14879] = 14879,
  [14880] = 14659,
  [14881] = 14668,
  [14882] = 14672,
  [14883] = 14663,
  [14884] = 14657,
  [14885] = 14885,
  [14886] = 14659,
  [14887] = 14672,
  [14888] = 3274,
  [14889] = 14659,
  [14890] = 10968,
  [14891] = 13867,
  [14892] = 14668,
  [14893] = 14663,
  [14894] = 14668,
  [14895] = 3444,
  [14896] = 14657,
  [14897] = 14659,
  [14898] = 7843,
  [14899] = 5614,
  [14900] = 14663,
  [14901] = 14668,
  [14902] = 14672,
  [14903] = 14672,
  [14904] = 14659,
  [14905] = 10808,
  [14906] = 14906,
  [14907] = 14672,
  [14908] = 14657,
  [14909] = 14672,
  [14910] = 14659,
  [14911] = 14663,
  [14912] = 14663,
  [14913] = 7850,
  [14914] = 14659,
  [14915] = 14663,
  [14916] = 14672,
  [14917] = 14659,
  [14918] = 14663,
  [14919] = 14659,
  [14920] = 14659,
  [14921] = 13920,
  [14922] = 14668,
  [14923] = 14663,
  [14924] = 5703,
  [14925] = 14668,
  [14926] = 14663,
  [14927] = 5602,
  [14928] = 14672,
  [14929] = 5648,
  [14930] = 13728,
  [14931] = 3324,
  [14932] = 7892,
  [14933] = 13741,
  [14934] = 14659,
  [14935] = 14852,
  [14936] = 14672,
  [14937] = 14668,
  [14938] = 14672,
  [14939] = 14668,
  [14940] = 14668,
  [14941] = 14738,
  [14942] = 14672,
  [14943] = 14668,
  [14944] = 14659,
  [14945] = 14668,
  [14946] = 14657,
  [14947] = 14947,
  [14948] = 14705,
  [14949] = 14672,
  [14950] = 14668,
  [14951] = 13779,
  [14952] = 14663,
  [14953] = 14672,
  [14954] = 5629,
  [14955] = 5656,
  [14956] = 14659,
  [14957] = 14672,
  [14958] = 14668,
  [14959] = 10906,
  [14960] = 14705,
  [14961] = 5639,
  [14962] = 14672,
  [14963] = 5660,
  [14964] = 5629,
  [14965] = 14663,
  [14966] = 5699,
  [14967] = 5684,
  [14968] = 14663,
  [14969] = 14663,
  [14970] = 14705,
  [14971] = 5585,
  [14972] = 5697,
  [14973] = 14668,
  [14974] = 5597,
  [14975] = 13909,
  [14976] = 14659,
  [14977] = 14668,
  [14978] = 14672,
  [14979] = 7902,
  [14980] = 14663,
  [14981] = 14659,
  [14982] = 7855,
  [14983] = 7882,
  [14984] = 14672,
  [14985] = 14657,
  [14986] = 10764,
  [14987] = 7891,
  [14988] = 14659,
  [14989] = 14659,
  [14990] = 14659,
  [14991] = 10543,
  [14992] = 14672,
  [14993] = 5666,
  [14994] = 14657,
  [14995] = 14672,
  [14996] = 14668,
  [14997] = 14663,
  [14998] = 14672,
  [14999] = 14668,
  [15000] = 14672,
  [15001] = 14663,
  [15002] = 14663,
  [15003] = 14668,
  [15004] = 14668,
  [15005] = 5676,
  [15006] = 14668,
  [15007] = 14668,
  [15008] = 14657,
  [15009] = 7890,
  [15010] = 14657,
  [15011] = 14657,
  [15012] = 14663,
  [15013] = 14659,
  [15014] = 15014,
  [15015] = 15015,
  [15016] = 15016,
  [15017] = 15017,
  [15018] = 15015,
  [15019] = 11408,
  [15020] = 11410,
  [15021] = 15015,
  [15022] = 15022,
  [15023] = 15015,
  [15024] = 15024,
  [15025] = 15015,
  [15026] = 15015,
  [15027] = 15015,
  [15028] = 15028,
  [15029] = 15015,
  [15030] = 15030,
  [15031] = 15031,
  [15032] = 15032,
  [15033] = 15033,
  [15034] = 15015,
  [15035] = 15022,
  [15036] = 15024,
  [15037] = 15015,
  [15038] = 15038,
  [15039] = 15015,
  [15040] = 15015,
  [15041] = 15041,
  [15042] = 15024,
  [15043] = 15015,
  [15044] = 15014,
  [15045] = 15028,
  [15046] = 15015,
  [15047] = 15015,
  [15048] = 15048,
  [15049] = 15041,
  [15050] = 15022,
  [15051] = 15014,
  [15052] = 15052,
  [15053] = 15015,
  [15054] = 15015,
  [15055] = 15048,
  [15056] = 15028,
  [15057] = 15057,
  [15058] = 11359,
  [15059] = 11431,
  [15060] = 15022,
  [15061] = 15016,
  [15062] = 15062,
  [15063] = 15063,
  [15064] = 15022,
  [15065] = 15052,
  [15066] = 15066,
  [15067] = 15067,
  [15068] = 15017,
  [15069] = 15069,
  [15070] = 15022,
  [15071] = 15015,
  [15072] = 15015,
  [15073] = 11280,
  [15074] = 11281,
  [15075] = 11282,
  [15076] = 15022,
  [15077] = 15032,
  [15078] = 11437,
  [15079] = 15015,
  [15080] = 11393,
  [15081] = 11394,
  [15082] = 15082,
  [15083] = 15052,
  [15084] = 15084,
  [15085] = 15085,
  [15086] = 15086,
  [15087] = 15022,
  [15088] = 15088,
  [15089] = 15024,
  [15090] = 15028,
  [15091] = 15091,
  [15092] = 15015,
  [15093] = 15052,
  [15094] = 15041,
  [15095] = 15022,
  [15096] = 15014,
  [15097] = 15022,
  [15098] = 10946,
  [15099] = 10379,
  [15100] = 10948,
  [15101] = 15015,
  [15102] = 15022,
  [15103] = 15052,
  [15104] = 15104,
  [15105] = 15052,
  [15106] = 15022,
  [15107] = 15022,
  [15108] = 15015,
  [15109] = 15022,
  [15110] = 15110,
  [15111] = 15015,
  [15112] = 15052,
  [15113] = 15052,
  [15114] = 15022,
  [15115] = 15052,
  [15116] = 15015,
  [15117] = 15117,
  [15118] = 15052,
  [15119] = 15015,
  [15120] = 15052,
  [15121] = 15024,
  [15122] = 15122,
  [15123] = 15028,
  [15124] = 15022,
  [15125] = 15052,
  [15126] = 15022,
  [15127] = 11138,
  [15128] = 3311,
  [15129] = 15041,
  [15130] = 15052,
  [15131] = 15015,
  [15132] = 15052,
  [15133] = 15052,
  [15134] = 15134,
  [15135] = 15052,
  [15136] = 11436,
  [15137] = 15052,
  [15138] = 15022,
  [15139] = 15022,
  [15140] = 15052,
  [15141] = 15038,
  [15142] = 15052,
  [15143] = 15143,
  [15144] = 15144,
  [15145] = 15015,
  [15146] = 15146,
  [15147] = 15015,
  [15148] = 15052,
  [15149] = 15052,
  [15150] = 15052,
  [15151] = 11434,
  [15152] = 15015,
  [15153] = 15052,
  [15154] = 15022,
  [15155] = 15052,
  [15156] = 15052,
  [15157] = 15015,
  [15158] = 15052,
  [15159] = 15052,
  [15160] = 11435,
  [15161] = 15052,
  [15162] = 15052,
  [15163] = 15052,
  [15164] = 10219,
  [15165] = 15052,
  [15166] = 15022,
  [15167] = 15052,
  [15168] = 15052,
  [15169] = 15052,
  [15170] = 15015,
  [15171] = 15024,
  [15172] = 15052,
  [15173] = 15028,
  [15174] = 15052,
  [15175] = 15052,
  [15176] = 15015,
  [15177] = 15052,
  [15178] = 15052,
  [15179] = 15041,
  [15180] = 15052,
  [15181] = 15014,
  [15182] = 15016,
  [15183] = 15017,
  [15184] = 15052,
  [15185] = 15015,
  [15186] = 15052,
  [15187] = 15022,
  [15188] = 15038,
  [15189] = 15189,
  [15190] = 15024,
  [15191] = 15015,
  [15192] = 15028,
  [15193] = 15038,
  [15194] = 15041,
  [15195] = 15032,
  [15196] = 15015,
  [15197] = 15015,
  [15198] = 15198,
  [15199] = 15038,
  [15200] = 15038,
  [15201] = 15015,
  [15202] = 15041,
  [15203] = 15014,
  [15204] = 15028,
  [15205] = 15015,
  [15206] = 15014,
  [15207] = 15015,
  [15208] = 15022,
  [15209] = 15088,
  [15210] = 15088,
  [15211] = 15088,
  [15212] = 15088,
  [15213] = 15088,
  [15214] = 15015,
  [15215] = 15014,
  [15216] = 15015,
  [15217] = 10757,
  [15218] = 15218,
  [15219] = 15219,
  [15220] = 15220,
  [15221] = 13631,
  [15222] = 15222,
  [15223] = 15223,
  [15224] = 15224,
  [15225] = 15225,
  [15226] = 15226,
  [15227] = 15219,
  [15228] = 15223,
  [15229] = 15229,
  [15230] = 15225,
  [15231] = 15231,
  [15232] = 15219,
  [15233] = 15223,
  [15234] = 15234,
  [15235] = 15235,
  [15236] = 15236,
  [15237] = 15237,
  [15238] = 15238,
  [15239] = 15239,
  [15240] = 15240,
  [15241] = 15241,
  [15242] = 15242,
  [15243] = 15243,
  [15244] = 15244,
  [15245] = 15245,
  [15246] = 15246,
  [15247] = 15224,
  [15248] = 15248,
  [15249] = 15231,
  [15250] = 15250,
  [15251] = 15234,
  [15252] = 15252,
  [15253] = 15252,
  [15254] = 15229,
  [15255] = 15255,
  [15256] = 15236,
  [15257] = 15237,
  [15258] = 15224,
  [15259] = 15259,
  [15260] = 15231,
  [15261] = 15226,
  [15262] = 15234,
  [15263] = 15263,
  [15264] = 15218,
  [15265] = 15265,
  [15266] = 15236,
  [15267] = 15237,
  [15268] = 15229,
  [15269] = 15259,
  [15270] = 15243,
  [15271] = 15271,
  [15272] = 15236,
  [15273] = 15237,
  [15274] = 10619,
  [15275] = 15252,
  [15276] = 15276,
  [15277] = 15229,
  [15278] = 15259,
  [15279] = 15219,
  [15280] = 15280,
  [15281] = 15281,
  [15282] = 15282,
  [15283] = 15229,
  [15284] = 15225,
  [15285] = 15219,
  [15286] = 15223,
  [15287] = 15226,
  [15288] = 4787,
  [15289] = 15259,
  [15290] = 15226,
  [15291] = 15225,
  [15292] = 15224,
  [15293] = 15231,
  [15294] = 15234,
  [15295] = 15263,
  [15296] = 15218,
  [15297] = 4780,
  [15298] = 15226,
  [15299] = 15236,
  [15300] = 15237,
  [15301] = 15226,
  [15302] = 15302,
  [15303] = 15243,
  [15304] = 15229,
  [15305] = 15238,
  [15306] = 15263,
  [15307] = 15218,
  [15308] = 15239,
  [15309] = 15263,
  [15310] = 15220,
  [15311] = 15222,
  [15312] = 15302,
  [15313] = 15313,
  [15314] = 15314,
  [15315] = 15252,
  [15316] = 15243,
  [15317] = 15271,
  [15318] = 15239,
  [15319] = 15240,
  [15320] = 15242,
  [15321] = 15225,
  [15322] = 15218,
  [15323] = 15248,
  [15324] = 15240,
  [15325] = 15252,
  [15326] = 15276,
  [15327] = 15243,
  [15328] = 15223,
  [15329] = 15271,
  [15330] = 15229,
  [15331] = 13631,
  [15332] = 15229,
  [15333] = 15225,
  [15334] = 15219,
  [15335] = 15223,
  [15336] = 15226,
  [15337] = 11738,
  [15338] = 15219,
  [15339] = 15231,
  [15340] = 11209,
  [15341] = 15219,
  [15342] = 15229,
  [15343] = 15224,
  [15344] = 15224,
  [15345] = 15231,
  [15346] = 15346,
  [15347] = 15234,
  [15348] = 15348,
  [15349] = 15349,
  [15350] = 4785,
  [15351] = 15259,
  [15352] = 15226,
  [15353] = 15252,
  [15354] = 15236,
  [15355] = 15237,
  [15356] = 15238,
  [15357] = 15226,
  [15358] = 15276,
  [15359] = 12206,
  [15360] = 15220,
  [15361] = 15222,
  [15362] = 15223,
  [15363] = 15255,
  [15364] = 15263,
  [15365] = 15218,
  [15366] = 15225,
  [15367] = 15243,
  [15368] = 15239,
  [15369] = 15240,
  [15370] = 15243,
  [15371] = 15242,
  [15372] = 15372,
  [15373] = 15271,
  [15374] = 15248,
  [15375] = 15375,
  [15376] = 15243,
  [15377] = 15271,
  [15378] = 15378,
  [15379] = 15252,
  [15380] = 15276,
  [15381] = 15223,
  [15382] = 15244,
  [15383] = 15243,
  [15384] = 15229,
  [15385] = 15225,
  [15386] = 15219,
  [15387] = 15223,
  [15388] = 15388,
  [15389] = 15389,
  [15390] = 15390,
  [15391] = 15263,
  [15392] = 15226,
  [15393] = 15252,
  [15394] = 11474,
  [15395] = 15224,
  [15396] = 15231,
  [15397] = 15234,
  [15398] = 15252,
  [15399] = 15218,
  [15400] = 15235,
  [15401] = 15401,
  [15402] = 15229,
  [15403] = 15403,
  [15404] = 15220,
  [15405] = 15222,
  [15406] = 15276,
  [15407] = 15271,
  [15408] = 15236,
  [15409] = 15237,
  [15410] = 15239,
  [15411] = 15240,
  [15412] = 15242,
  [15413] = 15248,
  [15414] = 15229,
  [15415] = 15250,
  [15416] = 15226,
  [15417] = 13234,
  [15418] = 15225,
  [15419] = 15219,
  [15420] = 15223,
  [15421] = 15225,
  [15422] = 15263,
  [15423] = 15218,
  [15424] = 15220,
  [15425] = 15229,
  [15426] = 15401,
  [15427] = 15250,
  [15428] = 15243,
  [15429] = 15271,
  [15430] = 15226,
  [15431] = 15259,
  [15432] = 15229,
  [15433] = 15252,
  [15434] = 15276,
  [15435] = 15222,
  [15436] = 15263,
  [15437] = 15437,
  [15438] = 15239,
  [15439] = 15240,
  [15440] = 15242,
  [15441] = 15441,
  [15442] = 15248,
  [15443] = 15242,
  [15444] = 15444,
  [15445] = 15218,
  [15446] = 15243,
  [15447] = 15229,
  [15448] = 15225,
  [15449] = 15219,
  [15450] = 15223,
  [15451] = 10678,
  [15452] = 15224,
  [15453] = 15453,
  [15454] = 15231,
  [15455] = 15234,
  [15456] = 15456,
  [15457] = 15281,
  [15458] = 15219,
  [15459] = 15219,
  [15460] = 15224,
  [15461] = 15231,
  [15462] = 15243,
  [15463] = 15234,
  [15464] = 15248,
  [15465] = 15252,
  [15466] = 15349,
  [15467] = 15226,
  [15468] = 15236,
  [15469] = 15237,
  [15470] = 15236,
  [15471] = 15237,
  [15472] = 15222,
  [15473] = 15229,
  [15474] = 15226,
  [15475] = 15239,
  [15476] = 15240,
  [15477] = 15477,
  [15478] = 15248,
  [15479] = 15259,
  [15480] = 15263,
  [15481] = 15218,
  [15482] = 15482,
  [15483] = 15243,
  [15484] = 15349,
  [15485] = 15271,
  [15486] = 15226,
  [15487] = 12046,
  [15488] = 15222,
  [15489] = 15229,
  [15490] = 15252,
  [15491] = 15276,
  [15492] = 15239,
  [15493] = 15240,
  [15494] = 15248,
  [15495] = 15229,
  [15496] = 15229,
  [15497] = 15225,
  [15498] = 15219,
  [15499] = 15223,
  [15500] = 15263,
  [15501] = 15218,
  [15502] = 12163,
  [15503] = 15222,
  [15504] = 13909,
  [15505] = 10698,
  [15506] = 15235,
  [15507] = 15222,
  [15508] = 15224,
  [15509] = 15225,
  [15510] = 15231,
  [15511] = 15234,
  [15512] = 15239,
  [15513] = 15240,
  [15514] = 13739,
  [15515] = 13800,
  [15516] = 15248,
  [15517] = 15219,
  [15518] = 15518,
  [15519] = 15390,
  [15520] = 15236,
  [15521] = 15237,
  [15522] = 15223,
  [15523] = 15226,
  [15524] = 15222,
  [15525] = 15263,
  [15526] = 15302,
  [15527] = 15250,
  [15528] = 15252,
  [15529] = 15239,
  [15530] = 15240,
  [15531] = 15248,
  [15532] = 15243,
  [15533] = 15263,
  [15534] = 15229,
  [15535] = 15535,
  [15536] = 15271,
  [15537] = 15243,
  [15538] = 15222,
  [15539] = 15226,
  [15540] = 15271,
  [15541] = 15252,
  [15542] = 15239,
  [15543] = 15240,
  [15544] = 7617,
  [15545] = 15248,
  [15546] = 15252,
  [15547] = 15276,
  [15548] = 15252,
  [15549] = 15276,
  [15550] = 15243,
  [15551] = 15229,
  [15552] = 15222,
  [15553] = 15225,
  [15554] = 15219,
  [15555] = 15224,
  [15556] = 15223,
  [15557] = 15557,
  [15558] = 15231,
  [15559] = 11616,
  [15560] = 11617,
  [15561] = 15239,
  [15562] = 15240,
  [15563] = 15349,
  [15564] = 15248,
  [15565] = 15252,
  [15566] = 15252,
  [15567] = 15276,
  [15568] = 15234,
  [15569] = 15224,
  [15570] = 15231,
  [15571] = 15243,
  [15572] = 15234,
  [15573] = 15222,
  [15574] = 15229,
  [15575] = 15239,
  [15576] = 15240,
  [15577] = 15243,
  [15578] = 15248,
  [15579] = 15236,
  [15580] = 15237,
  [15581] = 11726,
  [15582] = 15271,
  [15583] = 15235,
  [15584] = 15226,
  [15585] = 15302,
  [15586] = 15586,
  [15587] = 15244,
  [15588] = 15263,
  [15589] = 15218,
  [15590] = 15276,
  [15591] = 15243,
  [15592] = 15226,
  [15593] = 15271,
  [15594] = 15236,
  [15595] = 15390,
  [15596] = 15237,
  [15597] = 15252,
  [15598] = 15276,
  [15599] = 15245,
  [15600] = 15243,
  [15601] = 15224,
  [15602] = 15223,
  [15603] = 15259,
  [15604] = 15229,
  [15605] = 15225,
  [15606] = 15219,
  [15607] = 15223,
  [15608] = 15231,
  [15609] = 15235,
  [15610] = 15234,
  [15611] = 15246,
  [15612] = 15252,
  [15613] = 15226,
  [15614] = 15229,
  [15615] = 15252,
  [15616] = 15225,
  [15617] = 15219,
  [15618] = 15223,
  [15619] = 15225,
  [15620] = 15224,
  [15621] = 15231,
  [15622] = 15234,
  [15623] = 15623,
  [15624] = 15229,
  [15625] = 15218,
  [15626] = 15226,
  [15627] = 15226,
  [15628] = 15263,
  [15629] = 15218,
  [15630] = 15276,
  [15631] = 15236,
  [15632] = 15237,
  [15633] = 15633,
  [15634] = 15243,
  [15635] = 15226,
  [15636] = 15236,
  [15637] = 15237,
  [15638] = 13141,
  [15639] = 15224,
  [15640] = 15263,
  [15641] = 15218,
  [15642] = 15243,
  [15643] = 13219,
  [15644] = 15231,
  [15645] = 15234,
  [15646] = 15243,
  [15647] = 15271,
  [15648] = 15243,
  [15649] = 15252,
  [15650] = 15252,
  [15651] = 15276,
  [15652] = 15259,
  [15653] = 15243,
  [15654] = 15224,
  [15655] = 11748,
  [15656] = 15271,
  [15657] = 15229,
  [15658] = 15236,
  [15659] = 15237,
  [15660] = 15226,
  [15661] = 15259,
  [15662] = 15224,
  [15663] = 15231,
  [15664] = 15252,
  [15665] = 15234,
  [15666] = 15231,
  [15667] = 15226,
  [15668] = 15243,
  [15669] = 15276,
  [15670] = 15236,
  [15671] = 15237,
  [15672] = 15226,
  [15673] = 15252,
  [15674] = 15226,
  [15675] = 15349,
  [15676] = 15252,
  [15677] = 15263,
  [15678] = 15218,
  [15679] = 15234,
  [15680] = 15263,
  [15681] = 15226,
  [15682] = 15218,
  [15683] = 15243,
  [15684] = 15271,
  [15685] = 15226,
  [15686] = 15252,
  [15687] = 15276,
  [15688] = 15276,
  [15689] = 12173,
  [15690] = 15224,
  [15691] = 15229,
  [15692] = 15692,
  [15693] = 15263,
  [15694] = 15218,
  [15695] = 15243,
  [15696] = 15271,
  [15697] = 15271,
  [15698] = 15224,
  [15699] = 15231,
  [15700] = 15234,
  [15701] = 15231,
  [15702] = 15243,
  [15703] = 13698,
  [15704] = 15229,
  [15705] = 15236,
  [15706] = 15237,
  [15707] = 15226,
  [15708] = 15708,
  [15709] = 15226,
  [15710] = 15225,
  [15711] = 15219,
  [15712] = 15263,
  [15713] = 15218,
  [15714] = 15223,
  [15715] = 13779,
  [15716] = 15223,
  [15717] = 11208,
  [15718] = 15252,
  [15719] = 15243,
  [15720] = 15252,
  [15721] = 15271,
  [15722] = 15276,
  [15723] = 15252,
  [15724] = 15244,
  [15725] = 15276,
  [15726] = 15229,
  [15727] = 15234,
  [15728] = 15226,
  [15729] = 15229,
  [15730] = 15244,
  [15731] = 15731,
  [15732] = 15223,
  [15733] = 15518,
  [15734] = 15224,
  [15735] = 15224,
  [15736] = 15231,
  [15737] = 15234,
  [15738] = 15231,
  [15739] = 15234,
  [15740] = 15236,
  [15741] = 15237,
  [15742] = 15557,
  [15743] = 15226,
  [15744] = 15236,
  [15745] = 15263,
  [15746] = 15218,
  [15747] = 15237,
  [15748] = 15265,
  [15749] = 15235,
  [15750] = 15243,
  [15751] = 15692,
  [15752] = 15243,
  [15753] = 15255,
  [15754] = 15243,
  [15755] = 15271,
  [15756] = 15229,
  [15757] = 15225,
  [15758] = 15219,
  [15759] = 15223,
  [15760] = 15252,
  [15761] = 11404,
  [15762] = 15276,
  [15763] = 15245,
  [15764] = 15252,
  [15765] = 15271,
  [15766] = 15243,
  [15767] = 15229,
  [15768] = 15271,
  [15769] = 15229,
  [15770] = 15259,
  [15771] = 15236,
  [15772] = 15237,
  [15773] = 15773,
  [15774] = 15226,
  [15775] = 15224,
  [15776] = 15231,
  [15777] = 15265,
  [15778] = 15259,
  [15779] = 15234,
  [15780] = 15243,
  [15781] = 15245,
  [15782] = 15378,
  [15783] = 15226,
  [15784] = 15390,
  [15785] = 15225,
  [15786] = 15252,
  [15787] = 11929,
  [15788] = 15788,
  [15789] = 15236,
  [15790] = 15229,
  [15791] = 15237,
  [15792] = 15265,
  [15793] = 15259,
  [15794] = 15263,
  [15795] = 15226,
  [15796] = 15218,
  [15797] = 15245,
  [15798] = 15441,
  [15799] = 15226,
  [15800] = 15349,
  [15801] = 15801,
  [15802] = 15243,
  [15803] = 15252,
  [15804] = 15265,
  [15805] = 15252,
  [15806] = 15245,
  [15807] = 15225,
  [15808] = 15263,
  [15809] = 15218,
  [15810] = 15265,
  [15811] = 15229,
  [15812] = 15276,
  [15813] = 15219,
  [15814] = 15265,
  [15815] = 15226,
  [15816] = 15226,
  [15817] = 15265,
  [15818] = 11991,
  [15819] = 15390,
  [15820] = 15265,
  [15821] = 15265,
  [15822] = 15223,
  [15823] = 15243,
  [15824] = 15243,
  [15825] = 15265,
  [15826] = 15265,
  [15827] = 15271,
  [15828] = 15265,
  [15829] = 15252,
  [15830] = 15265,
  [15831] = 15265,
  [15832] = 15265,
  [15833] = 15243,
  [15834] = 15229,
  [15835] = 15265,
  [15836] = 15313,
  [15837] = 15265,
  [15838] = 15252,
  [15839] = 15265,
  [15840] = 15265,
  [15841] = 15252,
  [15842] = 15226,
  [15843] = 15265,
  [15844] = 15276,
  [15845] = 15265,
  [15846] = 15265,
  [15847] = 15265,
  [15848] = 15271,
  [15849] = 15265,
  [15850] = 15219,
  [15851] = 15265,
  [15852] = 15243,
  [15853] = 15244,
  [15854] = 15265,
  [15855] = 12083,
  [15856] = 15265,
  [15857] = 15252,
  [15858] = 15265,
  [15859] = 15265,
  [15860] = 15265,
  [15861] = 15265,
  [15862] = 15229,
  [15863] = 15265,
  [15864] = 15265,
  [15865] = 15623,
  [15866] = 15265,
  [15867] = 15236,
  [15868] = 15265,
  [15869] = 15226,
  [15870] = 15265,
  [15871] = 15235,
  [15872] = 15390,
  [15873] = 15229,
  [15874] = 15265,
  [15875] = 15265,
  [15876] = 15225,
  [15877] = 15219,
  [15878] = 15223,
  [15879] = 15265,
  [15880] = 15265,
  [15881] = 15243,
  [15882] = 15265,
  [15883] = 15314,
  [15884] = 15252,
  [15885] = 15252,
  [15886] = 15518,
  [15887] = 15557,
  [15888] = 15314,
  [15889] = 15276,
  [15890] = 15255,
  [15891] = 15263,
  [15892] = 15218,
  [15893] = 15893,
  [15894] = 15255,
  [15895] = 15220,
  [15896] = 15229,
  [15897] = 15237,
  [15898] = 15229,
  [15899] = 15224,
  [15900] = 15225,
  [15901] = 15231,
  [15902] = 15238,
  [15903] = 15234,
  [15904] = 15246,
  [15905] = 15229,
  [15906] = 15226,
  [15907] = 15235,
  [15908] = 15708,
  [15909] = 15535,
  [15910] = 11757,
  [15911] = 15518,
  [15912] = 15557,
  [15913] = 15314,
  [15914] = 15246,
  [15915] = 15708,
  [15916] = 15916,
  [15917] = 15518,
  [15918] = 15557,
  [15919] = 15314,
  [15920] = 15246,
  [15921] = 15708,
  [15922] = 15243,
  [15923] = 15236,
  [15924] = 15518,
  [15925] = 15557,
  [15926] = 15314,
  [15927] = 15246,
  [15928] = 15237,
  [15929] = 15401,
  [15930] = 15234,
  [15931] = 15252,
  [15932] = 15401,
  [15933] = 15401,
  [15934] = 15259,
  [15935] = 15403,
  [15936] = 15403,
  [15937] = 15403,
  [15938] = 15229,
  [15939] = 15939,
  [15940] = 15940,
  [15941] = 15941,
  [15942] = 15942,
  [15943] = 15943,
  [15944] = 15944,
  [15945] = 15945,
  [15946] = 15939,
  [15947] = 15947,
  [15948] = 15948,
  [15949] = 15949,
  [15950] = 15950,
  [15951] = 15951,
  [15952] = 15952,
  [15953] = 15953,
  [15954] = 10619,
  [15955] = 15955,
  [15956] = 15956,
  [15957] = 15957,
  [15958] = 15958,
  [15959] = 15942,
  [15960] = 15941,
  [15961] = 15961,
  [15962] = 15943,
  [15963] = 15941,
  [15964] = 15955,
  [15965] = 15939,
  [15966] = 15939,
  [15967] = 15956,
  [15968] = 15942,
  [15969] = 15961,
  [15970] = 15970,
  [15971] = 15939,
  [15972] = 15972,
  [15973] = 15973,
  [15974] = 15974,
  [15975] = 15975,
  [15976] = 15976,
  [15977] = 15942,
  [15978] = 15942,
  [15979] = 15956,
  [15980] = 15980,
  [15981] = 12859,
  [15982] = 15961,
  [15983] = 12860,
  [15984] = 15984,
  [15985] = 15985,
  [15986] = 15972,
  [15987] = 15939,
  [15988] = 15974,
  [15989] = 15975,
  [15990] = 15990,
  [15991] = 15976,
  [15992] = 15992,
  [15993] = 15972,
  [15994] = 15974,
  [15995] = 15975,
  [15996] = 15976,
  [15997] = 15955,
  [15998] = 15953,
  [15999] = 15945,
  [16000] = 16000,
  [16001] = 15980,
  [16002] = 15955,
  [16003] = 16003,
  [16004] = 15949,
  [16005] = 15980,
  [16006] = 15947,
  [16007] = 15951,
  [16008] = 15945,
  [16009] = 15944,
  [16010] = 15957,
  [16011] = 15942,
  [16012] = 16012,
  [16013] = 16013,
  [16014] = 15949,
  [16015] = 15945,
  [16016] = 15947,
  [16017] = 15951,
  [16018] = 15957,
  [16019] = 15941,
  [16020] = 15953,
  [16021] = 15955,
  [16022] = 15953,
  [16023] = 15955,
  [16024] = 15958,
  [16025] = 15990,
  [16026] = 15992,
  [16027] = 15973,
  [16028] = 15941,
  [16029] = 15955,
  [16030] = 16030,
  [16031] = 16000,
  [16032] = 15958,
  [16033] = 15943,
  [16034] = 15955,
  [16035] = 16035,
  [16036] = 16003,
  [16037] = 11208,
  [16038] = 15945,
  [16039] = 15958,
  [16040] = 15941,
  [16041] = 15939,
  [16042] = 15944,
  [16043] = 15945,
  [16044] = 16030,
  [16045] = 16045,
  [16046] = 16046,
  [16047] = 15942,
  [16048] = 16048,
  [16049] = 15949,
  [16050] = 15943,
  [16051] = 16048,
  [16052] = 15943,
  [16053] = 15949,
  [16054] = 15939,
  [16055] = 15947,
  [16056] = 15951,
  [16057] = 15990,
  [16058] = 15957,
  [16059] = 15990,
  [16060] = 15945,
  [16061] = 15992,
  [16062] = 15992,
  [16063] = 16063,
  [16064] = 16064,
  [16065] = 16000,
  [16066] = 16066,
  [16067] = 16067,
  [16068] = 16068,
  [16069] = 15942,
  [16070] = 15941,
  [16071] = 16071,
  [16072] = 16003,
  [16073] = 16073,
  [16074] = 16000,
  [16075] = 15953,
  [16076] = 12875,
  [16077] = 15956,
  [16078] = 15955,
  [16079] = 15944,
  [16080] = 16030,
  [16081] = 16030,
  [16082] = 15961,
  [16083] = 16083,
  [16084] = 15958,
  [16085] = 15957,
  [16086] = 15953,
  [16087] = 15955,
  [16088] = 15949,
  [16089] = 16089,
  [16090] = 16064,
  [16091] = 16003,
  [16092] = 15972,
  [16093] = 15974,
  [16094] = 15975,
  [16095] = 15976,
  [16096] = 15941,
  [16097] = 15990,
  [16098] = 16046,
  [16099] = 15980,
  [16100] = 15992,
  [16101] = 16000,
  [16102] = 15943,
  [16103] = 15942,
  [16104] = 15958,
  [16105] = 15945,
  [16106] = 16003,
  [16107] = 15943,
  [16108] = 15985,
  [16109] = 15945,
  [16110] = 15958,
  [16111] = 15939,
  [16112] = 15942,
  [16113] = 15944,
  [16114] = 15949,
  [16115] = 15953,
  [16116] = 15949,
  [16117] = 15955,
  [16118] = 15939,
  [16119] = 15947,
  [16120] = 15951,
  [16121] = 15957,
  [16122] = 16122,
  [16123] = 16123,
  [16124] = 15941,
  [16125] = 15990,
  [16126] = 15953,
  [16127] = 16127,
  [16128] = 15955,
  [16129] = 15992,
  [16130] = 16030,
  [16131] = 16131,
  [16132] = 15958,
  [16133] = 16046,
  [16134] = 16000,
  [16135] = 16135,
  [16136] = 15961,
  [16137] = 15941,
  [16138] = 16003,
  [16139] = 16063,
  [16140] = 16140,
  [16141] = 16030,
  [16142] = 16142,
  [16143] = 16143,
  [16144] = 15944,
  [16145] = 16142,
  [16146] = 15944,
  [16147] = 15943,
  [16148] = 15942,
  [16149] = 16149,
  [16150] = 16150,
  [16151] = 15958,
  [16152] = 16152,
  [16153] = 16152,
  [16154] = 15939,
  [16155] = 15945,
  [16156] = 16156,
  [16157] = 15942,
  [16158] = 15972,
  [16159] = 16159,
  [16160] = 15990,
  [16161] = 15947,
  [16162] = 15992,
  [16163] = 16163,
  [16164] = 16164,
  [16165] = 10698,
  [16166] = 16000,
  [16167] = 16167,
  [16168] = 16168,
  [16169] = 15943,
  [16170] = 16170,
  [16171] = 16003,
  [16172] = 15951,
  [16173] = 15957,
  [16174] = 15949,
  [16175] = 16135,
  [16176] = 15952,
  [16177] = 16089,
  [16178] = 15953,
  [16179] = 16179,
  [16180] = 15955,
  [16181] = 15950,
  [16182] = 15944,
  [16183] = 12573,
  [16184] = 15956,
  [16185] = 16185,
  [16186] = 15958,
  [16187] = 15958,
  [16188] = 16188,
  [16189] = 15952,
  [16190] = 15939,
  [16191] = 15941,
  [16192] = 15990,
  [16193] = 16063,
  [16194] = 15992,
  [16195] = 16195,
  [16196] = 15956,
  [16197] = 15940,
  [16198] = 15943,
  [16199] = 16000,
  [16200] = 15961,
  [16201] = 15956,
  [16202] = 16195,
  [16203] = 16003,
  [16204] = 16204,
  [16205] = 12603,
  [16206] = 15961,
  [16207] = 15945,
  [16208] = 16208,
  [16209] = 15944,
  [16210] = 16208,
  [16211] = 16211,
  [16212] = 16064,
  [16213] = 16048,
  [16214] = 16214,
  [16215] = 16215,
  [16216] = 15972,
  [16217] = 15990,
  [16218] = 15974,
  [16219] = 15975,
  [16220] = 15976,
  [16221] = 15992,
  [16222] = 15950,
  [16223] = 15972,
  [16224] = 15942,
  [16225] = 15980,
  [16226] = 16000,
  [16227] = 16003,
  [16228] = 15974,
  [16229] = 15975,
  [16230] = 15976,
  [16231] = 15944,
  [16232] = 15941,
  [16233] = 15939,
  [16234] = 15945,
  [16235] = 15939,
  [16236] = 15942,
  [16237] = 15990,
  [16238] = 15980,
  [16239] = 15992,
  [16240] = 15949,
  [16241] = 16000,
  [16242] = 15947,
  [16243] = 15951,
  [16244] = 15957,
  [16245] = 16003,
  [16246] = 15941,
  [16247] = 15941,
  [16248] = 16071,
  [16249] = 15944,
  [16250] = 15953,
  [16251] = 15955,
  [16252] = 15990,
  [16253] = 15958,
  [16254] = 15992,
  [16255] = 16000,
  [16256] = 15945,
  [16257] = 15941,
  [16258] = 15956,
  [16259] = 16003,
  [16260] = 16030,
  [16261] = 12853,
  [16262] = 15949,
  [16263] = 15944,
  [16264] = 15943,
  [16265] = 15961,
  [16266] = 15992,
  [16267] = 15947,
  [16268] = 15990,
  [16269] = 15992,
  [16270] = 16071,
  [16271] = 15951,
  [16272] = 16000,
  [16273] = 15957,
  [16274] = 15942,
  [16275] = 16003,
  [16276] = 15943,
  [16277] = 15961,
  [16278] = 15944,
  [16279] = 15953,
  [16280] = 15955,
  [16281] = 15990,
  [16282] = 11209,
  [16283] = 15980,
  [16284] = 15992,
  [16285] = 16285,
  [16286] = 16030,
  [16287] = 15958,
  [16288] = 15939,
  [16289] = 16000,
  [16290] = 16179,
  [16291] = 15956,
  [16292] = 10678,
  [16293] = 16003,
  [16294] = 16046,
  [16295] = 15942,
  [16296] = 15941,
  [16297] = 15961,
  [16298] = 16298,
  [16299] = 16030,
  [16300] = 15944,
  [16301] = 15953,
  [16302] = 16046,
  [16303] = 15985,
  [16304] = 15972,
  [16305] = 15943,
  [16306] = 15990,
  [16307] = 15974,
  [16308] = 15974,
  [16309] = 15992,
  [16310] = 15975,
  [16311] = 15956,
  [16312] = 16000,
  [16313] = 15976,
  [16314] = 15975,
  [16315] = 15961,
  [16316] = 16003,
  [16317] = 16135,
  [16318] = 16318,
  [16319] = 15955,
  [16320] = 15945,
  [16321] = 15949,
  [16322] = 15939,
  [16323] = 15939,
  [16324] = 15944,
  [16325] = 16063,
  [16326] = 15980,
  [16327] = 15972,
  [16328] = 15974,
  [16329] = 15975,
  [16330] = 15976,
  [16331] = 15990,
  [16332] = 15942,
  [16333] = 15949,
  [16334] = 15945,
  [16335] = 15992,
  [16336] = 15980,
  [16337] = 16000,
  [16338] = 16003,
  [16339] = 15985,
  [16340] = 16179,
  [16341] = 15943,
  [16342] = 15972,
  [16343] = 15945,
  [16344] = 15944,
  [16345] = 15974,
  [16346] = 15975,
  [16347] = 15976,
  [16348] = 15953,
  [16349] = 15955,
  [16350] = 16298,
  [16351] = 15990,
  [16352] = 15949,
  [16353] = 15992,
  [16354] = 15958,
  [16355] = 15947,
  [16356] = 16000,
  [16357] = 15951,
  [16358] = 15957,
  [16359] = 16140,
  [16360] = 15958,
  [16361] = 16003,
  [16362] = 16362,
  [16363] = 16142,
  [16364] = 16123,
  [16365] = 15944,
  [16366] = 15953,
  [16367] = 15955,
  [16368] = 15980,
  [16369] = 15956,
  [16370] = 15958,
  [16371] = 16371,
  [16372] = 15990,
  [16373] = 15992,
  [16374] = 15961,
  [16375] = 15941,
  [16376] = 15941,
  [16377] = 16000,
  [16378] = 16030,
  [16379] = 16379,
  [16380] = 16003,
  [16381] = 15945,
  [16382] = 15943,
  [16383] = 15944,
  [16384] = 13141,
  [16385] = 16048,
  [16386] = 15990,
  [16387] = 15939,
  [16388] = 16388,
  [16389] = 15992,
  [16390] = 13219,
  [16391] = 15942,
  [16392] = 16000,
  [16393] = 15949,
  [16394] = 15949,
  [16395] = 16003,
  [16396] = 15943,
  [16397] = 15944,
  [16398] = 15985,
  [16399] = 15949,
  [16400] = 15972,
  [16401] = 15947,
  [16402] = 15990,
  [16403] = 15992,
  [16404] = 15974,
  [16405] = 15975,
  [16406] = 15976,
  [16407] = 15945,
  [16408] = 15951,
  [16409] = 15980,
  [16410] = 15956,
  [16411] = 15939,
  [16412] = 15990,
  [16413] = 15992,
  [16414] = 15957,
  [16415] = 15961,
  [16416] = 15942,
  [16417] = 15956,
  [16418] = 15956,
  [16419] = 16063,
  [16420] = 15961,
  [16421] = 16421,
  [16422] = 15990,
  [16423] = 15992,
  [16424] = 16064,
  [16425] = 15945,
  [16426] = 15961,
  [16427] = 15972,
  [16428] = 16428,
  [16429] = 15974,
  [16430] = 15975,
  [16431] = 15976,
  [16432] = 15972,
  [16433] = 15974,
  [16434] = 15975,
  [16435] = 15980,
  [16436] = 15990,
  [16437] = 15992,
  [16438] = 15945,
  [16439] = 15976,
  [16440] = 16046,
  [16441] = 15945,
  [16442] = 15943,
  [16443] = 15949,
  [16444] = 15990,
  [16445] = 15992,
  [16446] = 15949,
  [16447] = 15940,
  [16448] = 15947,
  [16449] = 15951,
  [16450] = 15957,
  [16451] = 15980,
  [16452] = 15941,
  [16453] = 15956,
  [16454] = 15990,
  [16455] = 15992,
  [16456] = 16071,
  [16457] = 15953,
  [16458] = 15947,
  [16459] = 15955,
  [16460] = 15951,
  [16461] = 15957,
  [16462] = 15945,
  [16463] = 15958,
  [16464] = 15990,
  [16465] = 16063,
  [16466] = 16048,
  [16467] = 15992,
  [16468] = 15941,
  [16469] = 15990,
  [16470] = 15992,
  [16471] = 16030,
  [16472] = 16030,
  [16473] = 16064,
  [16474] = 15943,
  [16475] = 16140,
  [16476] = 15961,
  [16477] = 16143,
  [16478] = 15990,
  [16479] = 15949,
  [16480] = 15990,
  [16481] = 15992,
  [16482] = 15939,
  [16483] = 16000,
  [16484] = 15942,
  [16485] = 16071,
  [16486] = 15953,
  [16487] = 15970,
  [16488] = 16185,
  [16489] = 15949,
  [16490] = 15990,
  [16491] = 15992,
  [16492] = 15953,
  [16493] = 15947,
  [16494] = 15951,
  [16495] = 15955,
  [16496] = 15957,
  [16497] = 15947,
  [16498] = 15958,
  [16499] = 15951,
  [16500] = 15957,
  [16501] = 15990,
  [16502] = 15992,
  [16503] = 15949,
  [16504] = 15945,
  [16505] = 15985,
  [16506] = 15941,
  [16507] = 16030,
  [16508] = 15955,
  [16509] = 16046,
  [16510] = 15945,
  [16511] = 15953,
  [16512] = 16046,
  [16513] = 15956,
  [16514] = 16089,
  [16515] = 15990,
  [16516] = 15992,
  [16517] = 15961,
  [16518] = 16135,
  [16519] = 16140,
  [16520] = 16142,
  [16521] = 16003,
  [16522] = 15972,
  [16523] = 15974,
  [16524] = 15975,
  [16525] = 15972,
  [16526] = 15974,
  [16527] = 15975,
  [16528] = 15976,
  [16529] = 15955,
  [16530] = 15990,
  [16531] = 15992,
  [16532] = 15949,
  [16533] = 15980,
  [16534] = 15976,
  [16535] = 16064,
  [16536] = 16156,
  [16537] = 15956,
  [16538] = 15958,
  [16539] = 16159,
  [16540] = 15945,
  [16541] = 15990,
  [16542] = 15992,
  [16543] = 16543,
  [16544] = 16163,
  [16545] = 16123,
  [16546] = 15949,
  [16547] = 15944,
  [16548] = 15947,
  [16549] = 15951,
  [16550] = 15957,
  [16551] = 15990,
  [16552] = 15992,
  [16553] = 15943,
  [16554] = 15941,
  [16555] = 15958,
  [16556] = 15943,
  [16557] = 16030,
  [16558] = 15953,
  [16559] = 15953,
  [16560] = 15955,
  [16561] = 16071,
  [16562] = 15980,
  [16563] = 15958,
  [16564] = 15990,
  [16565] = 15992,
  [16566] = 16030,
  [16567] = 15955,
  [16568] = 16168,
  [16569] = 15941,
  [16570] = 16170,
  [16571] = 16030,
  [16572] = 15958,
  [16573] = 15939,
  [16574] = 15943,
  [16575] = 15990,
  [16576] = 15992,
  [16577] = 15949,
  [16578] = 16063,
  [16579] = 15943,
  [16580] = 16179,
  [16581] = 15939,
  [16582] = 15941,
  [16583] = 15942,
  [16584] = 15990,
  [16585] = 15992,
  [16586] = 15972,
  [16587] = 16188,
  [16588] = 16073,
  [16589] = 15953,
  [16590] = 15952,
  [16591] = 15943,
  [16592] = 15990,
  [16593] = 15992,
  [16594] = 15955,
  [16595] = 15942,
  [16596] = 15940,
  [16597] = 16071,
  [16598] = 16135,
  [16599] = 15939,
  [16600] = 15961,
  [16601] = 15985,
  [16602] = 15939,
  [16603] = 15942,
  [16604] = 15941,
  [16605] = 15972,
  [16606] = 15956,
  [16607] = 15942,
  [16608] = 15990,
  [16609] = 15992,
  [16610] = 15961,
  [16611] = 16611,
  [16612] = 16030,
  [16613] = 15972,
  [16614] = 15974,
  [16615] = 15975,
  [16616] = 15976,
  [16617] = 16140,
  [16618] = 15974,
  [16619] = 15990,
  [16620] = 15992,
  [16621] = 16046,
  [16622] = 15980,
  [16623] = 15990,
  [16624] = 15992,
  [16625] = 15974,
  [16626] = 15990,
  [16627] = 15992,
  [16628] = 15953,
  [16629] = 15975,
  [16630] = 15945,
  [16631] = 15990,
  [16632] = 15992,
  [16633] = 15958,
  [16634] = 15990,
  [16635] = 15992,
  [16636] = 15990,
  [16637] = 15992,
  [16638] = 15990,
  [16639] = 15992,
  [16640] = 15990,
  [16641] = 15992,
  [16642] = 15976,
  [16643] = 15990,
  [16644] = 15992,
  [16645] = 16135,
  [16646] = 15990,
  [16647] = 15992,
  [16648] = 15990,
  [16649] = 15992,
  [16650] = 15949,
  [16651] = 15990,
  [16652] = 15992,
  [16653] = 15990,
  [16654] = 15992,
  [16655] = 15990,
  [16656] = 15992,
  [16657] = 15990,
  [16658] = 15992,
  [16659] = 15990,
  [16660] = 15992,
  [16661] = 15990,
  [16662] = 15992,
  [16663] = 15990,
  [16664] = 15992,
  [16665] = 15990,
  [16666] = 15992,
  [16667] = 15990,
  [16668] = 15992,
  [16669] = 15990,
  [16670] = 15992,
  [16671] = 16003,
  [16672] = 15992,
  [16673] = 15990,
  [16674] = 15992,
  [16675] = 15990,
  [16676] = 15992,
  [16677] = 15990,
  [16678] = 15992,
  [16679] = 15990,
  [16680] = 15992,
  [16681] = 15990,
  [16682] = 15992,
  [16683] = 15990,
  [16684] = 15992,
  [16685] = 15990,
  [16686] = 15992,
  [16687] = 15990,
  [16688] = 15992,
  [16689] = 15990,
  [16690] = 15992,
  [16691] = 15990,
  [16692] = 15992,
  [16693] = 15990,
  [16694] = 15992,
  [16695] = 15990,
  [16696] = 15992,
  [16697] = 15990,
  [16698] = 15992,
  [16699] = 15990,
  [16700] = 15992,
  [16701] = 15990,
  [16702] = 15992,
  [16703] = 15990,
  [16704] = 15992,
  [16705] = 16705,
  [16706] = 15947,
  [16707] = 15951,
  [16708] = 16167,
  [16709] = 15957,
  [16710] = 15945,
  [16711] = 16142,
  [16712] = 15975,
  [16713] = 16713,
  [16714] = 15953,
  [16715] = 16140,
  [16716] = 15955,
  [16717] = 16149,
  [16718] = 16035,
  [16719] = 15980,
  [16720] = 15958,
  [16721] = 16142,
  [16722] = 15955,
  [16723] = 15947,
  [16724] = 15976,
  [16725] = 15949,
  [16726] = 15941,
  [16727] = 15941,
  [16728] = 16067,
  [16729] = 16030,
  [16730] = 16156,
  [16731] = 16159,
  [16732] = 15943,
  [16733] = 16163,
  [16734] = 15953,
  [16735] = 15945,
  [16736] = 15947,
  [16737] = 16285,
  [16738] = 15943,
  [16739] = 15939,
  [16740] = 15951,
  [16741] = 15957,
  [16742] = 15949,
  [16743] = 16030,
  [16744] = 15942,
  [16745] = 15947,
  [16746] = 16046,
  [16747] = 16211,
  [16748] = 16135,
  [16749] = 15958,
  [16750] = 15956,
  [16751] = 16140,
  [16752] = 16142,
  [16753] = 15953,
  [16754] = 16754,
  [16755] = 15961,
  [16756] = 15955,
  [16757] = 15950,
  [16758] = 15944,
  [16759] = 16156,
  [16760] = 4839,
  [16761] = 16159,
  [16762] = 16156,
  [16763] = 15945,
  [16764] = 16705,
  [16765] = 16163,
  [16766] = 16156,
  [16767] = 15958,
  [16768] = 16159,
  [16769] = 15949,
  [16770] = 16035,
  [16771] = 15955,
  [16772] = 15956,
  [16773] = 15953,
  [16774] = 15972,
  [16775] = 15955,
  [16776] = 16067,
  [16777] = 15961,
  [16778] = 15958,
  [16779] = 16779,
  [16780] = 15974,
  [16781] = 15941,
  [16782] = 15975,
  [16783] = 15990,
  [16784] = 15943,
  [16785] = 15943,
  [16786] = 15976,
  [16787] = 15941,
  [16788] = 15953,
  [16789] = 15992,
  [16790] = 15939,
  [16791] = 15980,
  [16792] = 15942,
  [16793] = 16000,
  [16794] = 15972,
  [16795] = 15974,
  [16796] = 15975,
  [16797] = 15976,
  [16798] = 15939,
  [16799] = 16163,
  [16800] = 15955,
  [16801] = 16705,
  [16802] = 15980,
  [16803] = 15943,
  [16804] = 15945,
  [16805] = 16063,
  [16806] = 16035,
  [16807] = 16067,
  [16808] = 15941,
  [16809] = 15945,
  [16810] = 16089,
  [16811] = 15956,
  [16812] = 16003,
  [16813] = 15980,
  [16814] = 15949,
  [16815] = 15950,
  [16816] = 15958,
  [16817] = 15953,
  [16818] = 15945,
  [16819] = 15955,
  [16820] = 15939,
  [16821] = 15958,
  [16822] = 15949,
  [16823] = 15942,
  [16824] = 15941,
  [16825] = 11990,
  [16826] = 15943,
  [16827] = 15949,
  [16828] = 16705,
  [16829] = 16123,
  [16830] = 15947,
  [16831] = 15939,
  [16832] = 16035,
  [16833] = 15951,
  [16834] = 15942,
  [16835] = 16067,
  [16836] = 15947,
  [16837] = 15957,
  [16838] = 15958,
  [16839] = 15951,
  [16840] = 15957,
  [16841] = 15944,
  [16842] = 16045,
  [16843] = 16705,
  [16844] = 15943,
  [16845] = 16159,
  [16846] = 16035,
  [16847] = 15939,
  [16848] = 16071,
  [16849] = 16067,
  [16850] = 15943,
  [16851] = 15941,
  [16852] = 16705,
  [16853] = 16168,
  [16854] = 16035,
  [16855] = 16067,
  [16856] = 16063,
  [16857] = 15953,
  [16858] = 16170,
  [16859] = 16156,
  [16860] = 16705,
  [16861] = 15955,
  [16862] = 15945,
  [16863] = 15953,
  [16864] = 15942,
  [16865] = 15945,
  [16866] = 16035,
  [16867] = 16067,
  [16868] = 15955,
  [16869] = 15949,
  [16870] = 16705,
  [16871] = 16030,
  [16872] = 15958,
  [16873] = 16035,
  [16874] = 15953,
  [16875] = 16067,
  [16876] = 16705,
  [16877] = 15955,
  [16878] = 16878,
  [16879] = 16879,
  [16880] = 16179,
  [16881] = 15958,
  [16882] = 16035,
  [16883] = 15958,
  [16884] = 16067,
  [16885] = 16705,
  [16886] = 16046,
  [16887] = 16188,
  [16888] = 15958,
  [16889] = 15941,
  [16890] = 15941,
  [16891] = 16035,
  [16892] = 16067,
  [16893] = 16705,
  [16894] = 15952,
  [16895] = 15943,
  [16896] = 16030,
  [16897] = 15940,
  [16898] = 16035,
  [16899] = 16067,
  [16900] = 16705,
  [16901] = 16046,
  [16902] = 15939,
  [16903] = 15945,
  [16904] = 16035,
  [16905] = 16067,
  [16906] = 16705,
  [16907] = 15939,
  [16908] = 15941,
  [16909] = 16035,
  [16910] = 15942,
  [16911] = 16067,
  [16912] = 16705,
  [16913] = 16156,
  [16914] = 16713,
  [16915] = 16159,
  [16916] = 15942,
  [16917] = 16035,
  [16918] = 16067,
  [16919] = 16705,
  [16920] = 16163,
  [16921] = 16030,
  [16922] = 16214,
  [16923] = 16035,
  [16924] = 16067,
  [16925] = 16705,
  [16926] = 15942,
  [16927] = 15951,
  [16928] = 15957,
  [16929] = 16214,
  [16930] = 16035,
  [16931] = 16067,
  [16932] = 16705,
  [16933] = 15943,
  [16934] = 15943,
  [16935] = 16048,
  [16936] = 15943,
  [16937] = 15976,
  [16938] = 16035,
  [16939] = 15953,
  [16940] = 16067,
  [16941] = 16705,
  [16942] = 15939,
  [16943] = 16035,
  [16944] = 16067,
  [16945] = 16705,
  [16946] = 15949,
  [16947] = 16035,
  [16948] = 16948,
  [16949] = 16067,
  [16950] = 16705,
  [16951] = 15942,
  [16952] = 16952,
  [16953] = 15945,
  [16954] = 16035,
  [16955] = 16067,
  [16956] = 16705,
  [16957] = 15939,
  [16958] = 15953,
  [16959] = 15984,
  [16960] = 16063,
  [16961] = 16035,
  [16962] = 16067,
  [16963] = 16705,
  [16964] = 15949,
  [16965] = 16878,
  [16966] = 16035,
  [16967] = 16067,
  [16968] = 16705,
  [16969] = 16969,
  [16970] = 15955,
  [16971] = 15953,
  [16972] = 16035,
  [16973] = 15950,
  [16974] = 16067,
  [16975] = 16705,
  [16976] = 15955,
  [16977] = 16977,
  [16978] = 15958,
  [16979] = 16035,
  [16980] = 16067,
  [16981] = 16705,
  [16982] = 15972,
  [16983] = 15958,
  [16984] = 15942,
  [16985] = 16985,
  [16986] = 16035,
  [16987] = 15941,
  [16988] = 16067,
  [16989] = 16705,
  [16990] = 15942,
  [16991] = 15941,
  [16992] = 16168,
  [16993] = 16035,
  [16994] = 16067,
  [16995] = 16705,
  [16996] = 15943,
  [16997] = 15949,
  [16998] = 15939,
  [16999] = 16035,
  [17000] = 16067,
  [17001] = 16705,
  [17002] = 16170,
  [17003] = 16003,
  [17004] = 15939,
  [17005] = 16035,
  [17006] = 16067,
  [17007] = 16705,
  [17008] = 15974,
  [17009] = 15942,
  [17010] = 16035,
  [17011] = 16067,
  [17012] = 16705,
  [17013] = 15943,
  [17014] = 16035,
  [17015] = 16067,
  [17016] = 16705,
  [17017] = 16063,
  [17018] = 16035,
  [17019] = 15975,
  [17020] = 16067,
  [17021] = 16705,
  [17022] = 15939,
  [17023] = 16035,
  [17024] = 16067,
  [17025] = 16705,
  [17026] = 15990,
  [17027] = 15976,
  [17028] = 16035,
  [17029] = 16067,
  [17030] = 16705,
  [17031] = 15992,
  [17032] = 16035,
  [17033] = 16067,
  [17034] = 16705,
  [17035] = 15956,
  [17036] = 15942,
  [17037] = 16000,
  [17038] = 16035,
  [17039] = 16000,
  [17040] = 16067,
  [17041] = 16705,
  [17042] = 15945,
  [17043] = 15961,
  [17044] = 15942,
  [17045] = 16035,
  [17046] = 17046,
  [17047] = 16067,
  [17048] = 16705,
  [17049] = 17049,
  [17050] = 12832,
  [17051] = 15949,
  [17052] = 16035,
  [17053] = 16067,
  [17054] = 16705,
  [17055] = 16388,
  [17056] = 15953,
  [17057] = 15958,
  [17058] = 15939,
  [17059] = 16035,
  [17060] = 16067,
  [17061] = 16705,
  [17062] = 15980,
  [17063] = 15953,
  [17064] = 16003,
  [17065] = 15955,
  [17066] = 16035,
  [17067] = 16067,
  [17068] = 16705,
  [17069] = 15958,
  [17070] = 15945,
  [17071] = 16035,
  [17072] = 16067,
  [17073] = 16705,
  [17074] = 15953,
  [17075] = 15941,
  [17076] = 16063,
  [17077] = 15949,
  [17078] = 15972,
  [17079] = 16035,
  [17080] = 16067,
  [17081] = 16705,
  [17082] = 15947,
  [17083] = 15943,
  [17084] = 15951,
  [17085] = 15957,
  [17086] = 16035,
  [17087] = 16705,
  [17088] = 15974,
  [17089] = 16035,
  [17090] = 16705,
  [17091] = 16035,
  [17092] = 16705,
  [17093] = 16035,
  [17094] = 16705,
  [17095] = 16035,
  [17096] = 16705,
  [17097] = 16035,
  [17098] = 16705,
  [17099] = 16035,
  [17100] = 16705,
  [17101] = 16035,
  [17102] = 16705,
  [17103] = 16035,
  [17104] = 16705,
  [17105] = 16035,
  [17106] = 16705,
  [17107] = 16035,
  [17108] = 16705,
  [17109] = 16035,
  [17110] = 16705,
  [17111] = 16035,
  [17112] = 16705,
  [17113] = 16035,
  [17114] = 16705,
  [17115] = 16705,
  [17116] = 16705,
  [17117] = 16705,
  [17118] = 16705,
  [17119] = 16705,
  [17120] = 16705,
  [17121] = 16705,
  [17122] = 16705,
  [17123] = 16705,
  [17124] = 16705,
  [17125] = 16705,
  [17126] = 16705,
  [17127] = 16705,
  [17128] = 16705,
  [17129] = 16705,
  [17130] = 16705,
  [17131] = 16705,
  [17132] = 16705,
  [17133] = 16705,
  [17134] = 16705,
  [17135] = 16705,
  [17136] = 16705,
  [17137] = 16705,
  [17138] = 16215,
  [17139] = 15975,
  [17140] = 15976,
  [17141] = 16083,
  [17142] = 15939,
  [17143] = 15941,
  [17144] = 15953,
  [17145] = 15944,
  [17146] = 15942,
  [17147] = 15939,
  [17148] = 15955,
  [17149] = 16159,
  [17150] = 15980,
  [17151] = 13234,
  [17152] = 16179,
  [17153] = 16163,
  [17154] = 15952,
  [17155] = 15940,
  [17156] = 17156,
  [17157] = 15958,
  [17158] = 15943,
  [17159] = 15956,
  [17160] = 15953,
  [17161] = 15945,
  [17162] = 16083,
  [17163] = 15941,
  [17164] = 15945,
  [17165] = 15961,
  [17166] = 16083,
  [17167] = 16063,
  [17168] = 15945,
  [17169] = 15949,
  [17170] = 16064,
  [17171] = 15949,
  [17172] = 15943,
  [17173] = 15947,
  [17174] = 16143,
  [17175] = 15951,
  [17176] = 15953,
  [17177] = 15957,
  [17178] = 16163,
  [17179] = 15945,
  [17180] = 15949,
  [17181] = 15955,
  [17182] = 15953,
  [17183] = 17183,
  [17184] = 15953,
  [17185] = 16143,
  [17186] = 15958,
  [17187] = 15972,
  [17188] = 15955,
  [17189] = 15955,
  [17190] = 15958,
  [17191] = 15939,
  [17192] = 15974,
  [17193] = 15942,
  [17194] = 15941,
  [17195] = 16143,
  [17196] = 15941,
  [17197] = 15975,
  [17198] = 15976,
  [17199] = 16030,
  [17200] = 15990,
  [17201] = 15949,
  [17202] = 15992,
  [17203] = 17203,
  [17204] = 16143,
  [17205] = 15942,
  [17206] = 15943,
  [17207] = 15943,
  [17208] = 16195,
  [17209] = 16083,
  [17210] = 16208,
  [17211] = 15980,
  [17212] = 16000,
  [17213] = 16705,
  [17214] = 16195,
  [17215] = 16208,
  [17216] = 15939,
  [17217] = 16188,
  [17218] = 16046,
  [17219] = 16195,
  [17220] = 15942,
  [17221] = 16208,
  [17222] = 16013,
  [17223] = 16878,
  [17224] = 15958,
  [17225] = 16878,
  [17226] = 15939,
  [17227] = 16878,
  [17228] = 15951,
  [17229] = 15990,
  [17230] = 17230,
  [17231] = 17231,
  [17232] = 17232,
  [17233] = 17233,
  [17234] = 17234,
  [17235] = 17235,
  [17236] = 17236,
  [17237] = 17237,
  [17238] = 17238,
  [17239] = 17230,
  [17240] = 17240,
  [17241] = 17241,
  [17242] = 17235,
  [17243] = 17243,
  [17244] = 17244,
  [17245] = 17245,
  [17246] = 17243,
  [17247] = 17247,
  [17248] = 17248,
  [17249] = 17249,
  [17250] = 17250,
  [17251] = 17251,
  [17252] = 17252,
  [17253] = 17253,
  [17254] = 17231,
  [17255] = 17255,
  [17256] = 17256,
  [17257] = 17255,
  [17258] = 17256,
  [17259] = 17244,
  [17260] = 17260,
  [17261] = 17244,
  [17262] = 17262,
  [17263] = 17244,
  [17264] = 10899,
  [17265] = 17253,
  [17266] = 17266,
  [17267] = 17267,
  [17268] = 17268,
  [17269] = 17269,
  [17270] = 17243,
  [17271] = 17271,
  [17272] = 17272,
  [17273] = 17267,
  [17274] = 17274,
  [17275] = 17275,
  [17276] = 17276,
  [17277] = 17272,
  [17278] = 17278,
  [17279] = 17279,
  [17280] = 17280,
  [17281] = 17281,
  [17282] = 17282,
  [17283] = 17283,
  [17284] = 17275,
  [17285] = 17276,
  [17286] = 17276,
  [17287] = 17287,
  [17288] = 17288,
  [17289] = 17269,
  [17290] = 17269,
  [17291] = 17291,
  [17292] = 17292,
  [17293] = 17255,
  [17294] = 17275,
  [17295] = 17267,
  [17296] = 17296,
  [17297] = 17256,
  [17298] = 17248,
  [17299] = 17274,
  [17300] = 17232,
  [17301] = 17233,
  [17302] = 17234,
  [17303] = 17235,
  [17304] = 17248,
  [17305] = 17236,
  [17306] = 17237,
  [17307] = 17238,
  [17308] = 17231,
  [17309] = 17230,
  [17310] = 17241,
  [17311] = 17269,
  [17312] = 17267,
  [17313] = 17313,
  [17314] = 17245,
  [17315] = 17248,
  [17316] = 17243,
  [17317] = 17317,
  [17318] = 10887,
  [17319] = 17247,
  [17320] = 17272,
  [17321] = 17251,
  [17322] = 17252,
  [17323] = 17267,
  [17324] = 17255,
  [17325] = 17248,
  [17326] = 17253,
  [17327] = 17256,
  [17328] = 17231,
  [17329] = 17231,
  [17330] = 17255,
  [17331] = 17243,
  [17332] = 17256,
  [17333] = 17274,
  [17334] = 17334,
  [17335] = 17296,
  [17336] = 17336,
  [17337] = 17337,
  [17338] = 17255,
  [17339] = 17256,
  [17340] = 17340,
  [17341] = 17244,
  [17342] = 17231,
  [17343] = 17244,
  [17344] = 17249,
  [17345] = 17271,
  [17346] = 17267,
  [17347] = 17243,
  [17348] = 17348,
  [17349] = 17287,
  [17350] = 17244,
  [17351] = 17351,
  [17352] = 17276,
  [17353] = 17250,
  [17354] = 17283,
  [17355] = 17278,
  [17356] = 17272,
  [17357] = 17279,
  [17358] = 17280,
  [17359] = 17267,
  [17360] = 17274,
  [17361] = 17361,
  [17362] = 17283,
  [17363] = 17363,
  [17364] = 17276,
  [17365] = 17365,
  [17366] = 17288,
  [17367] = 17291,
  [17368] = 17368,
  [17369] = 17296,
  [17370] = 17232,
  [17371] = 17233,
  [17372] = 17234,
  [17373] = 17235,
  [17374] = 17236,
  [17375] = 17237,
  [17376] = 17238,
  [17377] = 17248,
  [17378] = 17241,
  [17379] = 17275,
  [17380] = 17245,
  [17381] = 17244,
  [17382] = 17281,
  [17383] = 17247,
  [17384] = 17282,
  [17385] = 17251,
  [17386] = 17252,
  [17387] = 17269,
  [17388] = 17253,
  [17389] = 17255,
  [17390] = 17256,
  [17391] = 17281,
  [17392] = 17276,
  [17393] = 17313,
  [17394] = 17245,
  [17395] = 17248,
  [17396] = 17275,
  [17397] = 17282,
  [17398] = 17231,
  [17399] = 17399,
  [17400] = 17230,
  [17401] = 17269,
  [17402] = 17243,
  [17403] = 17267,
  [17404] = 17404,
  [17405] = 17248,
  [17406] = 17281,
  [17407] = 17231,
  [17408] = 17276,
  [17409] = 17280,
  [17410] = 17278,
  [17411] = 17279,
  [17412] = 17280,
  [17413] = 17243,
  [17414] = 17283,
  [17415] = 17255,
  [17416] = 17256,
  [17417] = 17276,
  [17418] = 17255,
  [17419] = 17288,
  [17420] = 17256,
  [17421] = 17421,
  [17422] = 17296,
  [17423] = 17232,
  [17424] = 17233,
  [17425] = 17236,
  [17426] = 17237,
  [17427] = 17238,
  [17428] = 17241,
  [17429] = 17275,
  [17430] = 17247,
  [17431] = 11397,
  [17432] = 17244,
  [17433] = 17244,
  [17434] = 17231,
  [17435] = 17244,
  [17436] = 17267,
  [17437] = 17276,
  [17438] = 17248,
  [17439] = 17267,
  [17440] = 17272,
  [17441] = 17267,
  [17442] = 17274,
  [17443] = 17368,
  [17444] = 17399,
  [17445] = 17445,
  [17446] = 17275,
  [17447] = 17272,
  [17448] = 17267,
  [17449] = 17274,
  [17450] = 17234,
  [17451] = 17451,
  [17452] = 17267,
  [17453] = 17276,
  [17454] = 17278,
  [17455] = 17279,
  [17456] = 17280,
  [17457] = 17269,
  [17458] = 17317,
  [17459] = 17269,
  [17460] = 17283,
  [17461] = 17281,
  [17462] = 17282,
  [17463] = 17276,
  [17464] = 17230,
  [17465] = 17288,
  [17466] = 17231,
  [17467] = 17248,
  [17468] = 17281,
  [17469] = 17269,
  [17470] = 17232,
  [17471] = 17233,
  [17472] = 17236,
  [17473] = 17237,
  [17474] = 17238,
  [17475] = 17475,
  [17476] = 17241,
  [17477] = 17231,
  [17478] = 17282,
  [17479] = 17247,
  [17480] = 17276,
  [17481] = 17334,
  [17482] = 17275,
  [17483] = 17282,
  [17484] = 17243,
  [17485] = 17230,
  [17486] = 17486,
  [17487] = 17269,
  [17488] = 17248,
  [17489] = 17255,
  [17490] = 17278,
  [17491] = 17279,
  [17492] = 17243,
  [17493] = 17280,
  [17494] = 17231,
  [17495] = 17272,
  [17496] = 17283,
  [17497] = 17243,
  [17498] = 17255,
  [17499] = 17276,
  [17500] = 17256,
  [17501] = 17288,
  [17502] = 17256,
  [17503] = 17233,
  [17504] = 17236,
  [17505] = 17237,
  [17506] = 17238,
  [17507] = 17241,
  [17508] = 17255,
  [17509] = 17247,
  [17510] = 17256,
  [17511] = 17248,
  [17512] = 17276,
  [17513] = 17230,
  [17514] = 17244,
  [17515] = 17244,
  [17516] = 17267,
  [17517] = 17275,
  [17518] = 17231,
  [17519] = 17275,
  [17520] = 17278,
  [17521] = 17521,
  [17522] = 17267,
  [17523] = 17274,
  [17524] = 17279,
  [17525] = 17269,
  [17526] = 17280,
  [17527] = 17230,
  [17528] = 5487,
  [17529] = 17283,
  [17530] = 17276,
  [17531] = 17531,
  [17532] = 17272,
  [17533] = 17267,
  [17534] = 17274,
  [17535] = 17535,
  [17536] = 17233,
  [17537] = 17236,
  [17538] = 17237,
  [17539] = 17238,
  [17540] = 17241,
  [17541] = 17243,
  [17542] = 17269,
  [17543] = 17247,
  [17544] = 17275,
  [17545] = 17545,
  [17546] = 17546,
  [17547] = 17269,
  [17548] = 17278,
  [17549] = 17279,
  [17550] = 17282,
  [17551] = 17280,
  [17552] = 17281,
  [17553] = 17282,
  [17554] = 17283,
  [17555] = 17269,
  [17556] = 17276,
  [17557] = 17248,
  [17558] = 17231,
  [17559] = 17248,
  [17560] = 17276,
  [17561] = 17233,
  [17562] = 17236,
  [17563] = 17237,
  [17564] = 17238,
  [17565] = 17241,
  [17566] = 17243,
  [17567] = 17247,
  [17568] = 17275,
  [17569] = 17231,
  [17570] = 17255,
  [17571] = 17256,
  [17572] = 17230,
  [17573] = 17269,
  [17574] = 17278,
  [17575] = 17279,
  [17576] = 17280,
  [17577] = 17255,
  [17578] = 17256,
  [17579] = 17248,
  [17580] = 17248,
  [17581] = 17283,
  [17582] = 17274,
  [17583] = 17583,
  [17584] = 17231,
  [17585] = 17276,
  [17586] = 17231,
  [17587] = 17587,
  [17588] = 17521,
  [17589] = 17243,
  [17590] = 17244,
  [17591] = 17233,
  [17592] = 17236,
  [17593] = 17237,
  [17594] = 17238,
  [17595] = 17267,
  [17596] = 17247,
  [17597] = 17399,
  [17598] = 17255,
  [17599] = 17256,
  [17600] = 17278,
  [17601] = 17279,
  [17602] = 17280,
  [17603] = 17283,
  [17604] = 17244,
  [17605] = 17243,
  [17606] = 17276,
  [17607] = 17607,
  [17608] = 17281,
  [17609] = 17244,
  [17610] = 17243,
  [17611] = 17233,
  [17612] = 17236,
  [17613] = 17237,
  [17614] = 17238,
  [17615] = 17247,
  [17616] = 17247,
  [17617] = 17617,
  [17618] = 17287,
  [17619] = 17269,
  [17620] = 17278,
  [17621] = 17287,
  [17622] = 17279,
  [17623] = 17280,
  [17624] = 17269,
  [17625] = 17282,
  [17626] = 17272,
  [17627] = 17267,
  [17628] = 17283,
  [17629] = 17274,
  [17630] = 17248,
  [17631] = 17631,
  [17632] = 17231,
  [17633] = 17317,
  [17634] = 17317,
  [17635] = 17233,
  [17636] = 17236,
  [17637] = 17237,
  [17638] = 17238,
  [17639] = 17255,
  [17640] = 17247,
  [17641] = 17256,
  [17642] = 17243,
  [17643] = 17275,
  [17644] = 17255,
  [17645] = 17278,
  [17646] = 17256,
  [17647] = 17243,
  [17648] = 17255,
  [17649] = 17279,
  [17650] = 17280,
  [17651] = 17281,
  [17652] = 17283,
  [17653] = 17282,
  [17654] = 17255,
  [17655] = 17256,
  [17656] = 17656,
  [17657] = 17236,
  [17658] = 17237,
  [17659] = 17238,
  [17660] = 17256,
  [17661] = 17247,
  [17662] = 17233,
  [17663] = 17291,
  [17664] = 17276,
  [17665] = 17278,
  [17666] = 17279,
  [17667] = 17280,
  [17668] = 17275,
  [17669] = 17283,
  [17670] = 8019,
  [17671] = 17340,
  [17672] = 17244,
  [17673] = 17267,
  [17674] = 17340,
  [17675] = 17236,
  [17676] = 17237,
  [17677] = 17238,
  [17678] = 17269,
  [17679] = 17247,
  [17680] = 17278,
  [17681] = 17279,
  [17682] = 17280,
  [17683] = 17248,
  [17684] = 17249,
  [17685] = 17271,
  [17686] = 17231,
  [17687] = 17283,
  [17688] = 17688,
  [17689] = 17243,
  [17690] = 17236,
  [17691] = 17237,
  [17692] = 17238,
  [17693] = 17693,
  [17694] = 17247,
  [17695] = 17695,
  [17696] = 17278,
  [17697] = 17279,
  [17698] = 17280,
  [17699] = 17255,
  [17700] = 17256,
  [17701] = 17283,
  [17702] = 17244,
  [17703] = 17244,
  [17704] = 17340,
  [17705] = 17281,
  [17706] = 17272,
  [17707] = 17236,
  [17708] = 17237,
  [17709] = 17238,
  [17710] = 17272,
  [17711] = 17247,
  [17712] = 17244,
  [17713] = 17250,
  [17714] = 17278,
  [17715] = 17279,
  [17716] = 17280,
  [17717] = 17267,
  [17718] = 17269,
  [17719] = 17267,
  [17720] = 17283,
  [17721] = 17274,
  [17722] = 17275,
  [17723] = 17274,
  [17724] = 17334,
  [17725] = 17282,
  [17726] = 17267,
  [17727] = 17231,
  [17728] = 17236,
  [17729] = 17237,
  [17730] = 17238,
  [17731] = 17368,
  [17732] = 17247,
  [17733] = 17244,
  [17734] = 17399,
  [17735] = 17421,
  [17736] = 17278,
  [17737] = 17243,
  [17738] = 17279,
  [17739] = 17280,
  [17740] = 17272,
  [17741] = 17267,
  [17742] = 17274,
  [17743] = 17743,
  [17744] = 17249,
  [17745] = 17283,
  [17746] = 17249,
  [17747] = 17747,
  [17748] = 17255,
  [17749] = 17236,
  [17750] = 17237,
  [17751] = 17238,
  [17752] = 17256,
  [17753] = 17271,
  [17754] = 17247,
  [17755] = 17755,
  [17756] = 17278,
  [17757] = 17279,
  [17758] = 17280,
  [17759] = 17281,
  [17760] = 17282,
  [17761] = 17283,
  [17762] = 17244,
  [17763] = 17267,
  [17764] = 17236,
  [17765] = 17237,
  [17766] = 17238,
  [17767] = 17282,
  [17768] = 17247,
  [17769] = 17271,
  [17770] = 17276,
  [17771] = 17278,
  [17772] = 17279,
  [17773] = 17280,
  [17774] = 17275,
  [17775] = 17272,
  [17776] = 17281,
  [17777] = 17283,
  [17778] = 17282,
  [17779] = 17230,
  [17780] = 17269,
  [17781] = 17236,
  [17782] = 17237,
  [17783] = 17238,
  [17784] = 17267,
  [17785] = 17247,
  [17786] = 17274,
  [17787] = 17278,
  [17788] = 17248,
  [17789] = 17281,
  [17790] = 17279,
  [17791] = 17280,
  [17792] = 17231,
  [17793] = 17231,
  [17794] = 17283,
  [17795] = 17276,
  [17796] = 17255,
  [17797] = 17243,
  [17798] = 17282,
  [17799] = 17399,
  [17800] = 17236,
  [17801] = 17237,
  [17802] = 17238,
  [17803] = 17247,
  [17804] = 17334,
  [17805] = 17805,
  [17806] = 17806,
  [17807] = 17278,
  [17808] = 17808,
  [17809] = 17279,
  [17810] = 17244,
  [17811] = 17280,
  [17812] = 17255,
  [17813] = 17256,
  [17814] = 17269,
  [17815] = 17267,
  [17816] = 17283,
  [17817] = 17276,
  [17818] = 17236,
  [17819] = 17237,
  [17820] = 17238,
  [17821] = 17244,
  [17822] = 17247,
  [17823] = 17279,
  [17824] = 17280,
  [17825] = 17656,
  [17826] = 17283,
  [17827] = 17281,
  [17828] = 17282,
  [17829] = 17334,
  [17830] = 17236,
  [17831] = 17237,
  [17832] = 17238,
  [17833] = 17247,
  [17834] = 17272,
  [17835] = 17280,
  [17836] = 17283,
  [17837] = 17272,
  [17838] = 17267,
  [17839] = 17275,
  [17840] = 17274,
  [17841] = 17231,
  [17842] = 17236,
  [17843] = 17237,
  [17844] = 17238,
  [17845] = 17247,
  [17846] = 17255,
  [17847] = 17280,
  [17848] = 17267,
  [17849] = 17283,
  [17850] = 17244,
  [17851] = 17244,
  [17852] = 17236,
  [17853] = 17237,
  [17854] = 17238,
  [17855] = 17267,
  [17856] = 17247,
  [17857] = 17230,
  [17858] = 17281,
  [17859] = 17280,
  [17860] = 17282,
  [17861] = 17283,
  [17862] = 17274,
  [17863] = 17276,
  [17864] = 17236,
  [17865] = 17237,
  [17866] = 17238,
  [17867] = 17546,
  [17868] = 17247,
  [17869] = 17276,
  [17870] = 17255,
  [17871] = 17280,
  [17872] = 17244,
  [17873] = 17283,
  [17874] = 17275,
  [17875] = 17275,
  [17876] = 17267,
  [17877] = 17877,
  [17878] = 17236,
  [17879] = 17237,
  [17880] = 17238,
  [17881] = 17247,
  [17882] = 17230,
  [17883] = 17280,
  [17884] = 17269,
  [17885] = 17283,
  [17886] = 17255,
  [17887] = 17244,
  [17888] = 17267,
  [17889] = 17269,
  [17890] = 17248,
  [17891] = 17236,
  [17892] = 17237,
  [17893] = 17238,
  [17894] = 17247,
  [17895] = 17231,
  [17896] = 17280,
  [17897] = 17230,
  [17898] = 17283,
  [17899] = 17899,
  [17900] = 17243,
  [17901] = 17255,
  [17902] = 17244,
  [17903] = 17276,
  [17904] = 17899,
  [17905] = 17236,
  [17906] = 17237,
  [17907] = 17238,
  [17908] = 17267,
  [17909] = 17247,
  [17910] = 17280,
  [17911] = 17255,
  [17912] = 17283,
  [17913] = 17256,
  [17914] = 17368,
  [17915] = 17236,
  [17916] = 17237,
  [17917] = 17238,
  [17918] = 17247,
  [17919] = 17269,
  [17920] = 17255,
  [17921] = 17244,
  [17922] = 17280,
  [17923] = 17244,
  [17924] = 17267,
  [17925] = 17283,
  [17926] = 11314,
  [17927] = 17275,
  [17928] = 17399,
  [17929] = 17287,
  [17930] = 17421,
  [17931] = 17236,
  [17932] = 17237,
  [17933] = 17238,
  [17934] = 17934,
  [17935] = 17248,
  [17936] = 17280,
  [17937] = 17255,
  [17938] = 17231,
  [17939] = 17283,
  [17940] = 17244,
  [17941] = 17292,
  [17942] = 17267,
  [17943] = 17272,
  [17944] = 17236,
  [17945] = 17237,
  [17946] = 17238,
  [17947] = 17267,
  [17948] = 17247,
  [17949] = 17274,
  [17950] = 17280,
  [17951] = 17283,
  [17952] = 17230,
  [17953] = 17255,
  [17954] = 17954,
  [17955] = 17244,
  [17956] = 17267,
  [17957] = 17250,
  [17958] = 17236,
  [17959] = 17237,
  [17960] = 17238,
  [17961] = 17266,
  [17962] = 17247,
  [17963] = 17281,
  [17964] = 17283,
  [17965] = 17282,
  [17966] = 17255,
  [17967] = 17244,
  [17968] = 17236,
  [17969] = 17237,
  [17970] = 17238,
  [17971] = 17247,
  [17972] = 17267,
  [17973] = 17283,
  [17974] = 17276,
  [17975] = 17275,
  [17976] = 17236,
  [17977] = 17237,
  [17978] = 17238,
  [17979] = 17243,
  [17980] = 17247,
  [17981] = 13968,
  [17982] = 17255,
  [17983] = 17244,
  [17984] = 17267,
  [17985] = 17283,
  [17986] = 17275,
  [17987] = 17230,
  [17988] = 17269,
  [17989] = 17236,
  [17990] = 17237,
  [17991] = 17238,
  [17992] = 17247,
  [17993] = 17296,
  [17994] = 17248,
  [17995] = 17255,
  [17996] = 17244,
  [17997] = 17283,
  [17998] = 17231,
  [17999] = 17267,
  [18000] = 17248,
  [18001] = 17236,
  [18002] = 17237,
  [18003] = 17238,
  [18004] = 17247,
  [18005] = 17243,
  [18006] = 17283,
  [18007] = 17255,
  [18008] = 17244,
  [18009] = 17255,
  [18010] = 17236,
  [18011] = 17237,
  [18012] = 17238,
  [18013] = 17256,
  [18014] = 17269,
  [18015] = 17267,
  [18016] = 17287,
  [18017] = 17421,
  [18018] = 17877,
  [18019] = 17283,
  [18020] = 17251,
  [18021] = 17317,
  [18022] = 17244,
  [18023] = 17236,
  [18024] = 17237,
  [18025] = 17238,
  [18026] = 17255,
  [18027] = 17256,
  [18028] = 17255,
  [18029] = 17244,
  [18030] = 17283,
  [18031] = 17267,
  [18032] = 17272,
  [18033] = 17267,
  [18034] = 17236,
  [18035] = 17237,
  [18036] = 17238,
  [18037] = 17274,
  [18038] = 17255,
  [18039] = 17283,
  [18040] = 17249,
  [18041] = 17244,
  [18042] = 17271,
  [18043] = 17236,
  [18044] = 17237,
  [18045] = 17238,
  [18046] = 17267,
  [18047] = 17231,
  [18048] = 17281,
  [18049] = 17283,
  [18050] = 17282,
  [18051] = 17236,
  [18052] = 17237,
  [18053] = 17238,
  [18054] = 17283,
  [18055] = 17236,
  [18056] = 17237,
  [18057] = 17238,
  [18058] = 17283,
  [18059] = 17236,
  [18060] = 17237,
  [18061] = 17238,
  [18062] = 17283,
  [18063] = 17236,
  [18064] = 17237,
  [18065] = 17238,
  [18066] = 17269,
  [18067] = 17283,
  [18068] = 17236,
  [18069] = 17237,
  [18070] = 17238,
  [18071] = 17244,
  [18072] = 17283,
  [18073] = 17236,
  [18074] = 17237,
  [18075] = 17238,
  [18076] = 17276,
  [18077] = 17276,
  [18078] = 17283,
  [18079] = 17236,
  [18080] = 17237,
  [18081] = 17238,
  [18082] = 17283,
  [18083] = 17236,
  [18084] = 17237,
  [18085] = 17238,
  [18086] = 17283,
  [18087] = 17236,
  [18088] = 17237,
  [18089] = 17238,
  [18090] = 17283,
  [18091] = 17236,
  [18092] = 17237,
  [18093] = 17238,
  [18094] = 17283,
  [18095] = 17236,
  [18096] = 17237,
  [18097] = 17238,
  [18098] = 17283,
  [18099] = 17236,
  [18100] = 17237,
  [18101] = 17238,
  [18102] = 17283,
  [18103] = 17236,
  [18104] = 17237,
  [18105] = 17238,
  [18106] = 17283,
  [18107] = 17236,
  [18108] = 17237,
  [18109] = 17238,
  [18110] = 17656,
  [18111] = 17283,
  [18112] = 17283,
  [18113] = 17243,
  [18114] = 17283,
  [18115] = 17283,
  [18116] = 17283,
  [18117] = 17283,
  [18118] = 17283,
  [18119] = 17283,
  [18120] = 17283,
  [18121] = 17283,
  [18122] = 17283,
  [18123] = 17283,
  [18124] = 17283,
  [18125] = 17283,
  [18126] = 17283,
  [18127] = 17283,
  [18128] = 17283,
  [18129] = 17283,
  [18130] = 17244,
  [18131] = 17283,
  [18132] = 17283,
  [18133] = 17283,
  [18134] = 17283,
  [18135] = 17283,
  [18136] = 17283,
  [18137] = 17421,
  [18138] = 17275,
  [18139] = 17248,
  [18140] = 17334,
  [18141] = 17688,
  [18142] = 17260,
  [18143] = 17230,
  [18144] = 17313,
  [18145] = 17269,
  [18146] = 17282,
  [18147] = 17278,
  [18148] = 17248,
  [18149] = 17231,
  [18150] = 17248,
  [18151] = 17279,
  [18152] = 17231,
  [18153] = 17280,
  [18154] = 17545,
  [18155] = 17486,
  [18156] = 17255,
  [18157] = 17256,
  [18158] = 17281,
  [18159] = 17243,
  [18160] = 17231,
  [18161] = 17248,
  [18162] = 17248,
  [18163] = 17607,
  [18164] = 17236,
  [18165] = 17535,
  [18166] = 17283,
  [18167] = 17275,
  [18168] = 17334,
  [18169] = 17255,
  [18170] = 17256,
  [18171] = 17237,
  [18172] = 17252,
  [18173] = 17282,
  [18174] = 17688,
  [18175] = 18175,
  [18176] = 17244,
  [18177] = 17334,
  [18178] = 17272,
  [18179] = 17267,
  [18180] = 17243,
  [18181] = 17250,
  [18182] = 17266,
  [18183] = 17281,
  [18184] = 17282,
  [18185] = 17238,
  [18186] = 17248,
  [18187] = 17248,
  [18188] = 17276,
  [18189] = 17244,
  [18190] = 17272,
  [18191] = 17276,
  [18192] = 17260,
  [18193] = 17275,
  [18194] = 17267,
  [18195] = 17274,
  [18196] = 17269,
  [18197] = 17231,
  [18198] = 17288,
  [18199] = 18199,
  [18200] = 17248,
  [18201] = 17243,
  [18202] = 17243,
  [18203] = 17231,
  [18204] = 17535,
  [18205] = 17291,
  [18206] = 17399,
  [18207] = 17243,
  [18208] = 17688,
  [18209] = 17292,
  [18210] = 18175,
  [18211] = 17255,
  [18212] = 17255,
  [18213] = 17256,
  [18214] = 17631,
  [18215] = 17256,
  [18216] = 17244,
  [18217] = 17240,
  [18218] = 18218,
  [18219] = 17272,
  [18220] = 17267,
  [18221] = 17281,
  [18222] = 17282,
  [18223] = 17260,
  [18224] = 17296,
  [18225] = 17282,
  [18226] = 17276,
  [18227] = 17535,
  [18228] = 17275,
  [18229] = 17230,
  [18230] = 17269,
  [18231] = 18175,
  [18232] = 18232,
  [18233] = 17232,
  [18234] = 17233,
  [18235] = 17234,
  [18236] = 17235,
  [18237] = 17348,
  [18238] = 17248,
  [18239] = 17231,
  [18240] = 17236,
  [18241] = 17237,
  [18242] = 17276,
  [18243] = 17238,
  [18244] = 17243,
  [18245] = 17244,
  [18246] = 18246,
  [18247] = 17275,
  [18248] = 17278,
  [18249] = 17269,
  [18250] = 17260,
  [18251] = 17241,
  [18252] = 17255,
  [18253] = 17256,
  [18254] = 18254,
  [18255] = 17934,
  [18256] = 17243,
  [18257] = 17243,
  [18258] = 17267,
  [18259] = 17244,
  [18260] = 17231,
  [18261] = 17260,
  [18262] = 17230,
  [18263] = 17363,
  [18264] = 17267,
  [18265] = 17245,
  [18266] = 18266,
  [18267] = 17269,
  [18268] = 17260,
  [18269] = 17282,
  [18270] = 17247,
  [18271] = 17255,
  [18272] = 17546,
  [18273] = 17287,
  [18274] = 17241,
  [18275] = 17260,
  [18276] = 17251,
  [18277] = 17276,
  [18278] = 17260,
  [18279] = 17252,
  [18280] = 17272,
  [18281] = 17275,
  [18282] = 17260,
  [18283] = 17279,
  [18284] = 17269,
  [18285] = 17317,
  [18286] = 17267,
  [18287] = 17248,
  [18288] = 17274,
  [18289] = 17260,
  [18290] = 17248,
  [18291] = 17253,
  [18292] = 17231,
  [18293] = 17231,
  [18294] = 17260,
  [18295] = 17282,
  [18296] = 17255,
  [18297] = 17243,
  [18298] = 17260,
  [18299] = 17272,
  [18300] = 17230,
  [18301] = 17248,
  [18302] = 17288,
  [18303] = 17255,
  [18304] = 17255,
  [18305] = 17256,
  [18306] = 17256,
  [18307] = 17275,
  [18308] = 17281,
  [18309] = 17272,
  [18310] = 17546,
  [18311] = 17282,
  [18312] = 17317,
  [18313] = 17244,
  [18314] = 17243,
  [18315] = 17267,
  [18316] = 17231,
  [18317] = 17267,
  [18318] = 18318,
  [18319] = 17274,
  [18320] = 17256,
  [18321] = 17269,
  [18322] = 17276,
  [18323] = 18323,
  [18324] = 18324,
  [18325] = 17282,
  [18326] = 17256,
  [18327] = 17276,
  [18328] = 17275,
  [18329] = 11385,
  [18330] = 17248,
  [18331] = 17276,
  [18332] = 17340,
  [18333] = 17276,
  [18334] = 17230,
  [18335] = 10929,
  [18336] = 17269,
  [18337] = 17275,
  [18338] = 17899,
  [18339] = 17399,
  [18340] = 17248,
  [18341] = 17317,
  [18342] = 17269,
  [18343] = 17231,
  [18344] = 17255,
  [18345] = 18345,
  [18346] = 17256,
  [18347] = 17248,
  [18348] = 17248,
  [18349] = 18349,
  [18350] = 17231,
  [18351] = 17231,
  [18352] = 17899,
  [18353] = 17243,
  [18354] = 17243,
  [18355] = 17313,
  [18356] = 17243,
  [18357] = 12435,
  [18358] = 17243,
  [18359] = 17340,
  [18360] = 17243,
  [18361] = 17244,
  [18362] = 18254,
  [18363] = 17255,
  [18364] = 17256,
  [18365] = 17255,
  [18366] = 17271,
  [18367] = 17255,
  [18368] = 17244,
  [18369] = 17256,
  [18370] = 17256,
  [18371] = 17281,
  [18372] = 17249,
  [18373] = 17267,
  [18374] = 17244,
  [18375] = 17282,
  [18376] = 18175,
  [18377] = 17271,
  [18378] = 17334,
  [18379] = 17282,
  [18380] = 17275,
  [18381] = 17244,
  [18382] = 18382,
  [18383] = 17275,
  [18384] = 17244,
  [18385] = 17269,
  [18386] = 18199,
  [18387] = 17231,
  [18388] = 17656,
  [18389] = 17269,
  [18390] = 17276,
  [18391] = 17248,
  [18392] = 17267,
  [18393] = 17244,
  [18394] = 17231,
  [18395] = 17276,
  [18396] = 17243,
  [18397] = 17268,
  [18398] = 17275,
  [18399] = 17250,
  [18400] = 17266,
  [18401] = 17267,
  [18402] = 17272,
  [18403] = 17255,
  [18404] = 17267,
  [18405] = 17274,
  [18406] = 17256,
  [18407] = 17230,
  [18408] = 17275,
  [18409] = 17276,
  [18410] = 17276,
  [18411] = 17281,
  [18412] = 17282,
  [18413] = 17695,
  [18414] = 18266,
  [18415] = 10780,
  [18416] = 17255,
  [18417] = 17256,
  [18418] = 17695,
  [18419] = 17248,
  [18420] = 17244,
  [18421] = 17276,
  [18422] = 17248,
  [18423] = 17272,
  [18424] = 17267,
  [18425] = 17267,
  [18426] = 17274,
  [18427] = 17230,
  [18428] = 17248,
  [18429] = 17282,
  [18430] = 17363,
  [18431] = 17278,
  [18432] = 17255,
  [18433] = 17279,
  [18434] = 17399,
  [18435] = 17280,
  [18436] = 17269,
  [18437] = 17275,
  [18438] = 17276,
  [18439] = 17232,
  [18440] = 17269,
  [18441] = 17276,
  [18442] = 17256,
  [18443] = 17695,
  [18444] = 17283,
  [18445] = 17275,
  [18446] = 17248,
  [18447] = 17275,
  [18448] = 17695,
  [18449] = 17231,
  [18450] = 17269,
  [18451] = 17276,
  [18452] = 17243,
  [18453] = 17230,
  [18454] = 17695,
  [18455] = 17269,
  [18456] = 17288,
  [18457] = 17281,
  [18458] = 17291,
  [18459] = 17282,
  [18460] = 17292,
  [18461] = 17255,
  [18462] = 17256,
  [18463] = 17248,
  [18464] = 17282,
  [18465] = 17231,
  [18466] = 17934,
  [18467] = 17248,
  [18468] = 17934,
  [18469] = 17244,
  [18470] = 17247,
  [18471] = 18471,
  [18472] = 18472,
  [18473] = 18473,
  [18474] = 18474,
  [18475] = 18475,
  [18476] = 18476,
  [18477] = 18477,
  [18478] = 18478,
  [18479] = 18479,
  [18480] = 18480,
  [18481] = 18481,
  [18482] = 18482,
  [18483] = 18483,
  [18484] = 18484,
  [18485] = 18485,
  [18486] = 18486,
  [18487] = 18475,
  [18488] = 18474,
  [18489] = 18489,
  [18490] = 18490,
  [18491] = 18491,
  [18492] = 18492,
  [18493] = 18493,
  [18494] = 18494,
  [18495] = 18495,
  [18496] = 18473,
  [18497] = 18497,
  [18498] = 18498,
  [18499] = 18499,
  [18500] = 18500,
  [18501] = 18501,
  [18502] = 18502,
  [18503] = 18503,
  [18504] = 18504,
  [18505] = 18505,
  [18506] = 18506,
  [18507] = 18507,
  [18508] = 18478,
  [18509] = 18509,
  [18510] = 18490,
  [18511] = 18475,
  [18512] = 18476,
  [18513] = 18513,
  [18514] = 18514,
  [18515] = 18515,
  [18516] = 18516,
  [18517] = 18505,
  [18518] = 18476,
  [18519] = 18477,
  [18520] = 18520,
  [18521] = 18477,
  [18522] = 18522,
  [18523] = 18493,
  [18524] = 18506,
  [18525] = 18507,
  [18526] = 18503,
  [18527] = 18527,
  [18528] = 18504,
  [18529] = 18529,
  [18530] = 18478,
  [18531] = 18531,
  [18532] = 18532,
  [18533] = 18478,
  [18534] = 18534,
  [18535] = 18535,
  [18536] = 18486,
  [18537] = 18537,
  [18538] = 18479,
  [18539] = 18539,
  [18540] = 18471,
  [18541] = 18541,
  [18542] = 18542,
  [18543] = 18543,
  [18544] = 18544,
  [18545] = 18545,
  [18546] = 18499,
  [18547] = 18499,
  [18548] = 18502,
  [18549] = 18532,
  [18550] = 18493,
  [18551] = 18484,
  [18552] = 18485,
  [18553] = 18502,
  [18554] = 18502,
  [18555] = 18499,
  [18556] = 18489,
  [18557] = 18500,
  [18558] = 18502,
  [18559] = 18475,
  [18560] = 18476,
  [18561] = 18477,
  [18562] = 18562,
  [18563] = 18473,
  [18564] = 18497,
  [18565] = 18509,
  [18566] = 18479,
  [18567] = 18475,
  [18568] = 18490,
  [18569] = 18569,
  [18570] = 18514,
  [18571] = 18485,
  [18572] = 18505,
  [18573] = 18506,
  [18574] = 18507,
  [18575] = 18489,
  [18576] = 18576,
  [18577] = 18494,
  [18578] = 18532,
  [18579] = 18515,
  [18580] = 18500,
  [18581] = 18515,
  [18582] = 18516,
  [18583] = 18583,
  [18584] = 18532,
  [18585] = 18522,
  [18586] = 18520,
  [18587] = 18583,
  [18588] = 18516,
  [18589] = 18476,
  [18590] = 18498,
  [18591] = 18534,
  [18592] = 18531,
  [18593] = 18593,
  [18594] = 18520,
  [18595] = 18595,
  [18596] = 18486,
  [18597] = 18597,
  [18598] = 18539,
  [18599] = 18471,
  [18600] = 18541,
  [18601] = 18542,
  [18602] = 18602,
  [18603] = 18494,
  [18604] = 18604,
  [18605] = 18595,
  [18606] = 18606,
  [18607] = 18484,
  [18608] = 18500,
  [18609] = 18593,
  [18610] = 18610,
  [18611] = 18583,
  [18612] = 18534,
  [18613] = 5574,
  [18614] = 18614,
  [18615] = 18615,
  [18616] = 18498,
  [18617] = 18534,
  [18618] = 18595,
  [18619] = 18473,
  [18620] = 18493,
  [18621] = 18621,
  [18622] = 18597,
  [18623] = 18522,
  [18624] = 18624,
  [18625] = 18610,
  [18626] = 18595,
  [18627] = 18527,
  [18628] = 18505,
  [18629] = 18506,
  [18630] = 18507,
  [18631] = 18631,
  [18632] = 18632,
  [18633] = 18471,
  [18634] = 18602,
  [18635] = 18606,
  [18636] = 18636,
  [18637] = 18515,
  [18638] = 18516,
  [18639] = 18529,
  [18640] = 18474,
  [18641] = 18632,
  [18642] = 18520,
  [18643] = 18631,
  [18644] = 18477,
  [18645] = 18520,
  [18646] = 18531,
  [18647] = 18479,
  [18648] = 18531,
  [18649] = 18649,
  [18650] = 18624,
  [18651] = 18615,
  [18652] = 18624,
  [18653] = 18597,
  [18654] = 18539,
  [18655] = 18471,
  [18656] = 18541,
  [18657] = 18542,
  [18658] = 18615,
  [18659] = 18602,
  [18660] = 18606,
  [18661] = 18497,
  [18662] = 18597,
  [18663] = 18484,
  [18664] = 18475,
  [18665] = 18665,
  [18666] = 18610,
  [18667] = 18667,
  [18668] = 18499,
  [18669] = 18602,
  [18670] = 18502,
  [18671] = 18509,
  [18672] = 18490,
  [18673] = 18673,
  [18674] = 18674,
  [18675] = 18473,
  [18676] = 5535,
  [18677] = 18474,
  [18678] = 18606,
  [18679] = 18537,
  [18680] = 18499,
  [18681] = 18502,
  [18682] = 18513,
  [18683] = 18610,
  [18684] = 18505,
  [18685] = 18506,
  [18686] = 18507,
  [18687] = 18509,
  [18688] = 18490,
  [18689] = 18514,
  [18690] = 18485,
  [18691] = 18489,
  [18692] = 18503,
  [18693] = 18515,
  [18694] = 18516,
  [18695] = 18504,
  [18696] = 18486,
  [18697] = 18537,
  [18698] = 18520,
  [18699] = 18494,
  [18700] = 18479,
  [18701] = 18624,
  [18702] = 18539,
  [18703] = 18514,
  [18704] = 18531,
  [18705] = 18498,
  [18706] = 18706,
  [18707] = 18707,
  [18708] = 18500,
  [18709] = 18493,
  [18710] = 18539,
  [18711] = 18471,
  [18712] = 18541,
  [18713] = 18542,
  [18714] = 18714,
  [18715] = 18475,
  [18716] = 18472,
  [18717] = 18593,
  [18718] = 18522,
  [18719] = 18471,
  [18720] = 18475,
  [18721] = 18476,
  [18722] = 18477,
  [18723] = 18541,
  [18724] = 18534,
  [18725] = 18542,
  [18726] = 18726,
  [18727] = 18479,
  [18728] = 18595,
  [18729] = 18543,
  [18730] = 18473,
  [18731] = 18532,
  [18732] = 18544,
  [18733] = 18486,
  [18734] = 18485,
  [18735] = 18665,
  [18736] = 18545,
  [18737] = 18707,
  [18738] = 18738,
  [18739] = 18505,
  [18740] = 18506,
  [18741] = 18507,
  [18742] = 18489,
  [18743] = 18494,
  [18744] = 18615,
  [18745] = 18597,
  [18746] = 18535,
  [18747] = 18602,
  [18748] = 18515,
  [18749] = 18516,
  [18750] = 18606,
  [18751] = 18610,
  [18752] = 18500,
  [18753] = 18520,
  [18754] = 18583,
  [18755] = 18484,
  [18756] = 18532,
  [18757] = 18522,
  [18758] = 18475,
  [18759] = 18531,
  [18760] = 18760,
  [18761] = 18476,
  [18762] = 18762,
  [18763] = 18509,
  [18764] = 18486,
  [18765] = 18539,
  [18766] = 18471,
  [18767] = 18541,
  [18768] = 18542,
  [18769] = 18632,
  [18770] = 18632,
  [18771] = 18632,
  [18772] = 18498,
  [18773] = 18534,
  [18774] = 18497,
  [18775] = 18480,
  [18776] = 18595,
  [18777] = 18760,
  [18778] = 18490,
  [18779] = 18624,
  [18780] = 18595,
  [18781] = 18667,
  [18782] = 18474,
  [18783] = 18491,
  [18784] = 18509,
  [18785] = 18473,
  [18786] = 18576,
  [18787] = 18477,
  [18788] = 18760,
  [18789] = 18476,
  [18790] = 18583,
  [18791] = 18583,
  [18792] = 18498,
  [18793] = 18490,
  [18794] = 18505,
  [18795] = 18506,
  [18796] = 18507,
  [18797] = 18478,
  [18798] = 18615,
  [18799] = 18534,
  [18800] = 18497,
  [18801] = 18595,
  [18802] = 18493,
  [18803] = 18515,
  [18804] = 18516,
  [18805] = 18478,
  [18806] = 18738,
  [18807] = 18597,
  [18808] = 18520,
  [18809] = 18809,
  [18810] = 18624,
  [18811] = 18811,
  [18812] = 18476,
  [18813] = 18474,
  [18814] = 18531,
  [18815] = 18499,
  [18816] = 18632,
  [18817] = 18817,
  [18818] = 18513,
  [18819] = 18819,
  [18820] = 18539,
  [18821] = 18471,
  [18822] = 18541,
  [18823] = 18542,
  [18824] = 18706,
  [18825] = 18513,
  [18826] = 18602,
  [18827] = 18636,
  [18828] = 18504,
  [18829] = 18477,
  [18830] = 18830,
  [18831] = 18606,
  [18832] = 18474,
  [18833] = 18509,
  [18834] = 18665,
  [18835] = 18515,
  [18836] = 18490,
  [18837] = 18514,
  [18838] = 18636,
  [18839] = 18817,
  [18840] = 18473,
  [18841] = 18504,
  [18842] = 18667,
  [18843] = 18819,
  [18844] = 18539,
  [18845] = 18493,
  [18846] = 18478,
  [18847] = 18543,
  [18848] = 18485,
  [18849] = 18505,
  [18850] = 18506,
  [18851] = 18507,
  [18852] = 18497,
  [18853] = 18673,
  [18854] = 18489,
  [18855] = 18475,
  [18856] = 18476,
  [18857] = 18477,
  [18858] = 18515,
  [18859] = 18516,
  [18860] = 18624,
  [18861] = 18479,
  [18862] = 18473,
  [18863] = 18520,
  [18864] = 18532,
  [18865] = 18514,
  [18866] = 18514,
  [18867] = 18485,
  [18868] = 18498,
  [18869] = 18531,
  [18870] = 18544,
  [18871] = 18674,
  [18872] = 5543,
  [18873] = 18499,
  [18874] = 18502,
  [18875] = 18539,
  [18876] = 18471,
  [18877] = 18541,
  [18878] = 18542,
  [18879] = 18494,
  [18880] = 18880,
  [18881] = 18610,
  [18882] = 18674,
  [18883] = 18597,
  [18884] = 18674,
  [18885] = 18602,
  [18886] = 18606,
  [18887] = 18610,
  [18888] = 18485,
  [18889] = 18673,
  [18890] = 18489,
  [18891] = 18499,
  [18892] = 18513,
  [18893] = 18509,
  [18894] = 18490,
  [18895] = 18473,
  [18896] = 18489,
  [18897] = 18514,
  [18898] = 18502,
  [18899] = 18531,
  [18900] = 18485,
  [18901] = 18489,
  [18902] = 18494,
  [18903] = 18499,
  [18904] = 18505,
  [18905] = 18506,
  [18906] = 18507,
  [18907] = 18500,
  [18908] = 18499,
  [18909] = 18502,
  [18910] = 18494,
  [18911] = 18502,
  [18912] = 18522,
  [18913] = 18515,
  [18914] = 18516,
  [18915] = 18632,
  [18916] = 18493,
  [18917] = 18509,
  [18918] = 18520,
  [18919] = 18490,
  [18920] = 18494,
  [18921] = 18484,
  [18922] = 18492,
  [18923] = 18486,
  [18924] = 18531,
  [18925] = 18615,
  [18926] = 18503,
  [18927] = 18514,
  [18928] = 18504,
  [18929] = 18509,
  [18930] = 18539,
  [18931] = 18471,
  [18932] = 18541,
  [18933] = 18542,
  [18934] = 18477,
  [18935] = 18490,
  [18936] = 18514,
  [18937] = 18583,
  [18938] = 18485,
  [18939] = 18500,
  [18940] = 18489,
  [18941] = 18498,
  [18942] = 18534,
  [18943] = 18500,
  [18944] = 18494,
  [18945] = 18597,
  [18946] = 18595,
  [18947] = 18495,
  [18948] = 18485,
  [18949] = 18624,
  [18950] = 18473,
  [18951] = 18475,
  [18952] = 18500,
  [18953] = 18476,
  [18954] = 18516,
  [18955] = 18509,
  [18956] = 18522,
  [18957] = 18486,
  [18958] = 18490,
  [18959] = 18505,
  [18960] = 18506,
  [18961] = 18507,
  [18962] = 18636,
  [18963] = 18610,
  [18964] = 18760,
  [18965] = 18474,
  [18966] = 18473,
  [18967] = 18477,
  [18968] = 18515,
  [18969] = 18516,
  [18970] = 18489,
  [18971] = 18493,
  [18972] = 18534,
  [18973] = 18520,
  [18974] = 18595,
  [18975] = 18602,
  [18976] = 18534,
  [18977] = 18479,
  [18978] = 18817,
  [18979] = 18531,
  [18980] = 18479,
  [18981] = 18492,
  [18982] = 18819,
  [18983] = 18532,
  [18984] = 18474,
  [18985] = 18539,
  [18986] = 18471,
  [18987] = 18541,
  [18988] = 18542,
  [18989] = 18497,
  [18990] = 18514,
  [18991] = 18485,
  [18992] = 18497,
  [18993] = 18489,
  [18994] = 18495,
  [18995] = 18522,
  [18996] = 18478,
  [18997] = 18475,
  [18998] = 18476,
  [18999] = 18494,
  [19000] = 18477,
  [19001] = 18674,
  [19002] = 18500,
  [19003] = 18595,
  [19004] = 19004,
  [19005] = 18473,
  [19006] = 18500,
  [19007] = 18513,
  [19008] = 18493,
  [19009] = 18479,
  [19010] = 18509,
  [19011] = 18490,
  [19012] = 18494,
  [19013] = 18500,
  [19014] = 18505,
  [19015] = 18506,
  [19016] = 18507,
  [19017] = 18503,
  [19018] = 18500,
  [19019] = 18504,
  [19020] = 18505,
  [19021] = 18606,
  [19022] = 18522,
  [19023] = 18515,
  [19024] = 18516,
  [19025] = 18506,
  [19026] = 18522,
  [19027] = 18507,
  [19028] = 18520,
  [19029] = 18474,
  [19030] = 18532,
  [19031] = 18621,
  [19032] = 18610,
  [19033] = 18481,
  [19034] = 18531,
  [19035] = 18493,
  [19036] = 18522,
  [19037] = 18624,
  [19038] = 19038,
  [19039] = 18486,
  [19040] = 18539,
  [19041] = 18471,
  [19042] = 18541,
  [19043] = 18542,
  [19044] = 18610,
  [19045] = 18475,
  [19046] = 18476,
  [19047] = 18477,
  [19048] = 18522,
  [19049] = 18615,
  [19050] = 18486,
  [19051] = 18479,
  [19052] = 18597,
  [19053] = 19053,
  [19054] = 18569,
  [19055] = 18481,
  [19056] = 18515,
  [19057] = 18532,
  [19058] = 19058,
  [19059] = 18516,
  [19060] = 18473,
  [19061] = 18632,
  [19062] = 18482,
  [19063] = 18615,
  [19064] = 18597,
  [19065] = 18472,
  [19066] = 19066,
  [19067] = 18615,
  [19068] = 18597,
  [19069] = 18505,
  [19070] = 18506,
  [19071] = 18507,
  [19072] = 18602,
  [19073] = 18602,
  [19074] = 18606,
  [19075] = 18610,
  [19076] = 18509,
  [19077] = 18817,
  [19078] = 18515,
  [19079] = 18516,
  [19080] = 18819,
  [19081] = 18499,
  [19082] = 18502,
  [19083] = 18520,
  [19084] = 18490,
  [19085] = 18520,
  [19086] = 18602,
  [19087] = 18479,
  [19088] = 18482,
  [19089] = 18531,
  [19090] = 18514,
  [19091] = 18479,
  [19092] = 18632,
  [19093] = 18485,
  [19094] = 18489,
  [19095] = 18539,
  [19096] = 18471,
  [19097] = 18541,
  [19098] = 18542,
  [19099] = 18494,
  [19100] = 18500,
  [19101] = 18505,
  [19102] = 18522,
  [19103] = 18474,
  [19104] = 18486,
  [19105] = 18606,
  [19106] = 18707,
  [19107] = 18583,
  [19108] = 18473,
  [19109] = 19109,
  [19110] = 18522,
  [19111] = 18514,
  [19112] = 18534,
  [19113] = 18505,
  [19114] = 18506,
  [19115] = 18507,
  [19116] = 18527,
  [19117] = 18509,
  [19118] = 18490,
  [19119] = 18595,
  [19120] = 18485,
  [19121] = 18515,
  [19122] = 18516,
  [19123] = 18606,
  [19124] = 18529,
  [19125] = 18489,
  [19126] = 18520,
  [19127] = 18610,
  [19128] = 18531,
  [19129] = 18649,
  [19130] = 19130,
  [19131] = 18531,
  [19132] = 18474,
  [19133] = 18506,
  [19134] = 18610,
  [19135] = 18760,
  [19136] = 18817,
  [19137] = 18539,
  [19138] = 18471,
  [19139] = 18541,
  [19140] = 18542,
  [19141] = 18819,
  [19142] = 18498,
  [19143] = 18534,
  [19144] = 18583,
  [19145] = 18514,
  [19146] = 18485,
  [19147] = 18489,
  [19148] = 19130,
  [19149] = 18473,
  [19150] = 18507,
  [19151] = 19151,
  [19152] = 18494,
  [19153] = 18497,
  [19154] = 18505,
  [19155] = 18506,
  [19156] = 18507,
  [19157] = 18649,
  [19158] = 18595,
  [19159] = 18486,
  [19160] = 18471,
  [19161] = 18537,
  [19162] = 18515,
  [19163] = 18516,
  [19164] = 18494,
  [19165] = 18880,
  [19166] = 18483,
  [19167] = 18520,
  [19168] = 19168,
  [19169] = 18539,
  [19170] = 18541,
  [19171] = 18478,
  [19172] = 18531,
  [19173] = 18493,
  [19174] = 18471,
  [19175] = 18624,
  [19176] = 18500,
  [19177] = 18500,
  [19178] = 18539,
  [19179] = 18471,
  [19180] = 18541,
  [19181] = 18542,
  [19182] = 18738,
  [19183] = 18541,
  [19184] = 18497,
  [19185] = 18542,
  [19186] = 18522,
  [19187] = 18486,
  [19188] = 18543,
  [19189] = 18502,
  [19190] = 18473,
  [19191] = 18544,
  [19192] = 18610,
  [19193] = 18486,
  [19194] = 18522,
  [19195] = 18505,
  [19196] = 18506,
  [19197] = 18507,
  [19198] = 18499,
  [19199] = 18502,
  [19200] = 18509,
  [19201] = 18497,
  [19202] = 18636,
  [19203] = 18515,
  [19204] = 18516,
  [19205] = 18542,
  [19206] = 18545,
  [19207] = 18632,
  [19208] = 18520,
  [19209] = 18632,
  [19210] = 18632,
  [19211] = 18535,
  [19212] = 19212,
  [19213] = 18531,
  [19214] = 18474,
  [19215] = 19215,
  [19216] = 19216,
  [19217] = 18543,
  [19218] = 18509,
  [19219] = 18539,
  [19220] = 18471,
  [19221] = 18541,
  [19222] = 18542,
  [19223] = 18490,
  [19224] = 18509,
  [19225] = 18490,
  [19226] = 18544,
  [19227] = 18632,
  [19228] = 18514,
  [19229] = 18485,
  [19230] = 18489,
  [19231] = 18473,
  [19232] = 18583,
  [19233] = 18494,
  [19234] = 18522,
  [19235] = 18500,
  [19236] = 18505,
  [19237] = 18506,
  [19238] = 18507,
  [19239] = 18494,
  [19240] = 18486,
  [19241] = 18522,
  [19242] = 18500,
  [19243] = 18486,
  [19244] = 18515,
  [19245] = 18516,
  [19246] = 18497,
  [19247] = 18534,
  [19248] = 18486,
  [19249] = 18520,
  [19250] = 19004,
  [19251] = 18498,
  [19252] = 19252,
  [19253] = 18760,
  [19254] = 18531,
  [19255] = 18595,
  [19256] = 18499,
  [19257] = 18583,
  [19258] = 18474,
  [19259] = 18502,
  [19260] = 18539,
  [19261] = 18471,
  [19262] = 18541,
  [19263] = 18542,
  [19264] = 18498,
  [19265] = 18583,
  [19266] = 18610,
  [19267] = 18479,
  [19268] = 18534,
  [19269] = 18583,
  [19270] = 19270,
  [19271] = 18498,
  [19272] = 18473,
  [19273] = 18509,
  [19274] = 18534,
  [19275] = 18595,
  [19276] = 18490,
  [19277] = 18505,
  [19278] = 18506,
  [19279] = 18507,
  [19280] = 18595,
  [19281] = 18624,
  [19282] = 18478,
  [19283] = 18632,
  [19284] = 18513,
  [19285] = 18515,
  [19286] = 18516,
  [19287] = 18486,
  [19288] = 18514,
  [19289] = 18509,
  [19290] = 18520,
  [19291] = 18485,
  [19292] = 18489,
  [19293] = 18498,
  [19294] = 18490,
  [19295] = 18531,
  [19296] = 18636,
  [19297] = 19297,
  [19298] = 18494,
  [19299] = 18474,
  [19300] = 18534,
  [19301] = 18539,
  [19302] = 18471,
  [19303] = 18541,
  [19304] = 18542,
  [19305] = 18624,
  [19306] = 18500,
  [19307] = 18486,
  [19308] = 18494,
  [19309] = 18534,
  [19310] = 18534,
  [19311] = 18595,
  [19312] = 18474,
  [19313] = 18473,
  [19314] = 18500,
  [19315] = 18595,
  [19316] = 18610,
  [19317] = 18595,
  [19318] = 18505,
  [19319] = 18506,
  [19320] = 18507,
  [19321] = 18497,
  [19322] = 18632,
  [19323] = 18527,
  [19324] = 18475,
  [19325] = 18583,
  [19326] = 18515,
  [19327] = 18516,
  [19328] = 18522,
  [19329] = 18636,
  [19330] = 18509,
  [19331] = 18520,
  [19332] = 18545,
  [19333] = 18541,
  [19334] = 18498,
  [19335] = 18674,
  [19336] = 18531,
  [19337] = 18474,
  [19338] = 18614,
  [19339] = 18624,
  [19340] = 18490,
  [19341] = 18494,
  [19342] = 18539,
  [19343] = 18471,
  [19344] = 18541,
  [19345] = 18542,
  [19346] = 18513,
  [19347] = 18500,
  [19348] = 18486,
  [19349] = 18478,
  [19350] = 18486,
  [19351] = 18478,
  [19352] = 18534,
  [19353] = 18595,
  [19354] = 18473,
  [19355] = 18624,
  [19356] = 18503,
  [19357] = 18504,
  [19358] = 18811,
  [19359] = 18505,
  [19360] = 18506,
  [19361] = 18507,
  [19362] = 18542,
  [19363] = 18474,
  [19364] = 19216,
  [19365] = 18610,
  [19366] = 18499,
  [19367] = 18515,
  [19368] = 18516,
  [19369] = 18502,
  [19370] = 18493,
  [19371] = 18569,
  [19372] = 18520,
  [19373] = 18632,
  [19374] = 18476,
  [19375] = 18583,
  [19376] = 18632,
  [19377] = 18531,
  [19378] = 18498,
  [19379] = 18498,
  [19380] = 18493,
  [19381] = 18475,
  [19382] = 18476,
  [19383] = 18539,
  [19384] = 18471,
  [19385] = 18541,
  [19386] = 18542,
  [19387] = 18477,
  [19388] = 19004,
  [19389] = 18509,
  [19390] = 18534,
  [19391] = 18490,
  [19392] = 18479,
  [19393] = 18494,
  [19394] = 18484,
  [19395] = 18473,
  [19396] = 18515,
  [19397] = 18532,
  [19398] = 18595,
  [19399] = 18499,
  [19400] = 18505,
  [19401] = 18506,
  [19402] = 18507,
  [19403] = 18500,
  [19404] = 18486,
  [19405] = 18534,
  [19406] = 18595,
  [19407] = 18474,
  [19408] = 18515,
  [19409] = 18516,
  [19410] = 18615,
  [19411] = 18597,
  [19412] = 18602,
  [19413] = 18520,
  [19414] = 18502,
  [19415] = 18497,
  [19416] = 18674,
  [19417] = 18606,
  [19418] = 18531,
  [19419] = 18610,
  [19420] = 18516,
  [19421] = 18583,
  [19422] = 18624,
  [19423] = 18614,
  [19424] = 18539,
  [19425] = 18471,
  [19426] = 18541,
  [19427] = 18542,
  [19428] = 18498,
  [19429] = 18610,
  [19430] = 18474,
  [19431] = 18636,
  [19432] = 18532,
  [19433] = 18632,
  [19434] = 18632,
  [19435] = 18473,
  [19436] = 18473,
  [19437] = 18477,
  [19438] = 18534,
  [19439] = 18498,
  [19440] = 18532,
  [19441] = 18505,
  [19442] = 18506,
  [19443] = 18507,
  [19444] = 18595,
  [19445] = 18474,
  [19446] = 18520,
  [19447] = 18509,
  [19448] = 18624,
  [19449] = 18515,
  [19450] = 18516,
  [19451] = 19451,
  [19452] = 18880,
  [19453] = 18479,
  [19454] = 18520,
  [19455] = 18492,
  [19456] = 18509,
  [19457] = 18495,
  [19458] = 18497,
  [19459] = 18531,
  [19460] = 18490,
  [19461] = 18490,
  [19462] = 18494,
  [19463] = 18500,
  [19464] = 18513,
  [19465] = 18539,
  [19466] = 18471,
  [19467] = 18541,
  [19468] = 18542,
  [19469] = 18486,
  [19470] = 18534,
  [19471] = 18595,
  [19472] = 18514,
  [19473] = 18474,
  [19474] = 18674,
  [19475] = 18485,
  [19476] = 18489,
  [19477] = 18473,
  [19478] = 18529,
  [19479] = 18610,
  [19480] = 18494,
  [19481] = 18513,
  [19482] = 18505,
  [19483] = 18506,
  [19484] = 18507,
  [19485] = 18636,
  [19486] = 18505,
  [19487] = 18632,
  [19488] = 18532,
  [19489] = 18534,
  [19490] = 18515,
  [19491] = 18516,
  [19492] = 18503,
  [19493] = 18762,
  [19494] = 18500,
  [19495] = 18520,
  [19496] = 18506,
  [19497] = 18507,
  [19498] = 18474,
  [19499] = 18509,
  [19500] = 18531,
  [19501] = 18489,
  [19502] = 13618,
  [19503] = 18497,
  [19504] = 18490,
  [19505] = 18494,
  [19506] = 18539,
  [19507] = 18471,
  [19508] = 18541,
  [19509] = 18542,
  [19510] = 18500,
  [19511] = 18486,
  [19512] = 18534,
  [19513] = 18499,
  [19514] = 18478,
  [19515] = 18706,
  [19516] = 18595,
  [19517] = 18474,
  [19518] = 18473,
  [19519] = 18522,
  [19520] = 18474,
  [19521] = 18534,
  [19522] = 18522,
  [19523] = 18505,
  [19524] = 18506,
  [19525] = 18507,
  [19526] = 18494,
  [19527] = 18610,
  [19528] = 19216,
  [19529] = 18515,
  [19530] = 18632,
  [19531] = 18515,
  [19532] = 18516,
  [19533] = 18499,
  [19534] = 18516,
  [19535] = 18499,
  [19536] = 18520,
  [19537] = 18486,
  [19538] = 18509,
  [19539] = 18490,
  [19540] = 18502,
  [19541] = 18531,
  [19542] = 18520,
  [19543] = 18513,
  [19544] = 18509,
  [19545] = 18490,
  [19546] = 18494,
  [19547] = 18539,
  [19548] = 18471,
  [19549] = 18541,
  [19550] = 18542,
  [19551] = 18500,
  [19552] = 18486,
  [19553] = 18534,
  [19554] = 18595,
  [19555] = 18811,
  [19556] = 18474,
  [19557] = 18636,
  [19558] = 18473,
  [19559] = 19216,
  [19560] = 18509,
  [19561] = 18490,
  [19562] = 18474,
  [19563] = 18505,
  [19564] = 18506,
  [19565] = 18507,
  [19566] = 18514,
  [19567] = 18485,
  [19568] = 18489,
  [19569] = 18615,
  [19570] = 18494,
  [19571] = 18515,
  [19572] = 18516,
  [19573] = 18610,
  [19574] = 18500,
  [19575] = 18597,
  [19576] = 18520,
  [19577] = 18497,
  [19578] = 18602,
  [19579] = 18527,
  [19580] = 18632,
  [19581] = 18531,
  [19582] = 18522,
  [19583] = 18527,
  [19584] = 18529,
  [19585] = 18632,
  [19586] = 18497,
  [19587] = 18539,
  [19588] = 18471,
  [19589] = 18541,
  [19590] = 18542,
  [19591] = 18486,
  [19592] = 18509,
  [19593] = 18490,
  [19594] = 18494,
  [19595] = 18500,
  [19596] = 19596,
  [19597] = 18473,
  [19598] = 18502,
  [19599] = 18486,
  [19600] = 18531,
  [19601] = 18504,
  [19602] = 18505,
  [19603] = 18506,
  [19604] = 18507,
  [19605] = 18545,
  [19606] = 18583,
  [19607] = 18534,
  [19608] = 18595,
  [19609] = 18498,
  [19610] = 18515,
  [19611] = 18516,
  [19612] = 18534,
  [19613] = 18595,
  [19614] = 18606,
  [19615] = 18520,
  [19616] = 18529,
  [19617] = 18513,
  [19618] = 18486,
  [19619] = 18509,
  [19620] = 18531,
  [19621] = 18624,
  [19622] = 18537,
  [19623] = 18513,
  [19624] = 18474,
  [19625] = 18539,
  [19626] = 18539,
  [19627] = 18471,
  [19628] = 18541,
  [19629] = 18542,
  [19630] = 18610,
  [19631] = 18471,
  [19632] = 18632,
  [19633] = 18541,
  [19634] = 18595,
  [19635] = 18636,
  [19636] = 18473,
  [19637] = 18542,
  [19638] = 18543,
  [19639] = 18474,
  [19640] = 18544,
  [19641] = 18505,
  [19642] = 18506,
  [19643] = 18507,
  [19644] = 18509,
  [19645] = 18545,
  [19646] = 18490,
  [19647] = 18494,
  [19648] = 18500,
  [19649] = 18515,
  [19650] = 18516,
  [19651] = 19651,
  [19652] = 18486,
  [19653] = 18534,
  [19654] = 18520,
  [19655] = 18583,
  [19656] = 8493,
  [19657] = 18498,
  [19658] = 18595,
  [19659] = 18531,
  [19660] = 18497,
  [19661] = 18534,
  [19662] = 18493,
  [19663] = 18474,
  [19664] = 18562,
  [19665] = 18539,
  [19666] = 18595,
  [19667] = 18541,
  [19668] = 18542,
  [19669] = 18610,
  [19670] = 19670,
  [19671] = 18610,
  [19672] = 18505,
  [19673] = 18624,
  [19674] = 18674,
  [19675] = 18473,
  [19676] = 18490,
  [19677] = 18632,
  [19678] = 18504,
  [19679] = 18504,
  [19680] = 18505,
  [19681] = 18506,
  [19682] = 18507,
  [19683] = 18817,
  [19684] = 18513,
  [19685] = 18475,
  [19686] = 18493,
  [19687] = 18476,
  [19688] = 18515,
  [19689] = 18516,
  [19690] = 18509,
  [19691] = 18490,
  [19692] = 18503,
  [19693] = 18520,
  [19694] = 18514,
  [19695] = 18485,
  [19696] = 18636,
  [19697] = 18504,
  [19698] = 18531,
  [19699] = 18477,
  [19700] = 18489,
  [19701] = 18474,
  [19702] = 18494,
  [19703] = 18500,
  [19704] = 18539,
  [19705] = 18471,
  [19706] = 18541,
  [19707] = 18542,
  [19708] = 18479,
  [19709] = 18486,
  [19710] = 18534,
  [19711] = 18595,
  [19712] = 18493,
  [19713] = 18481,
  [19714] = 18473,
  [19715] = 18615,
  [19716] = 18482,
  [19717] = 18474,
  [19718] = 18531,
  [19719] = 18505,
  [19720] = 18506,
  [19721] = 18507,
  [19722] = 18475,
  [19723] = 18476,
  [19724] = 18477,
  [19725] = 18610,
  [19726] = 18649,
  [19727] = 18515,
  [19728] = 18516,
  [19729] = 18479,
  [19730] = 18632,
  [19731] = 18817,
  [19732] = 18520,
  [19733] = 18494,
  [19734] = 18819,
  [19735] = 18493,
  [19736] = 18532,
  [19737] = 18531,
  [19738] = 18514,
  [19739] = 18485,
  [19740] = 18497,
  [19741] = 18489,
  [19742] = 18539,
  [19743] = 18471,
  [19744] = 18541,
  [19745] = 18542,
  [19746] = 18504,
  [19747] = 18624,
  [19748] = 18819,
  [19749] = 19130,
  [19750] = 18615,
  [19751] = 18597,
  [19752] = 18473,
  [19753] = 18597,
  [19754] = 18602,
  [19755] = 18606,
  [19756] = 18610,
  [19757] = 18505,
  [19758] = 18506,
  [19759] = 18507,
  [19760] = 18509,
  [19761] = 19761,
  [19762] = 18706,
  [19763] = 18490,
  [19764] = 18494,
  [19765] = 18515,
  [19766] = 18516,
  [19767] = 18484,
  [19768] = 18500,
  [19769] = 18632,
  [19770] = 18520,
  [19771] = 18503,
  [19772] = 18817,
  [19773] = 18674,
  [19774] = 18486,
  [19775] = 18531,
  [19776] = 18534,
  [19777] = 18494,
  [19778] = 18532,
  [19779] = 18602,
  [19780] = 18539,
  [19781] = 18471,
  [19782] = 18541,
  [19783] = 18542,
  [19784] = 18499,
  [19785] = 18595,
  [19786] = 18474,
  [19787] = 19787,
  [19788] = 18610,
  [19789] = 18583,
  [19790] = 18473,
  [19791] = 18497,
  [19792] = 18502,
  [19793] = 18632,
  [19794] = 18632,
  [19795] = 18505,
  [19796] = 18506,
  [19797] = 18507,
  [19798] = 18674,
  [19799] = 18472,
  [19800] = 18509,
  [19801] = 18490,
  [19802] = 18494,
  [19803] = 18515,
  [19804] = 18516,
  [19805] = 18475,
  [19806] = 18500,
  [19807] = 18513,
  [19808] = 18520,
  [19809] = 18476,
  [19810] = 18473,
  [19811] = 18500,
  [19812] = 18477,
  [19813] = 18531,
  [19814] = 18486,
  [19815] = 18534,
  [19816] = 18595,
  [19817] = 18478,
  [19818] = 18539,
  [19819] = 18471,
  [19820] = 18541,
  [19821] = 18542,
  [19822] = 18615,
  [19823] = 18474,
  [19824] = 18500,
  [19825] = 18610,
  [19826] = 18597,
  [19827] = 18602,
  [19828] = 18473,
  [19829] = 18503,
  [19830] = 18606,
  [19831] = 18665,
  [19832] = 18667,
  [19833] = 18505,
  [19834] = 18506,
  [19835] = 18507,
  [19836] = 18479,
  [19837] = 18673,
  [19838] = 18492,
  [19839] = 18632,
  [19840] = 18503,
  [19841] = 18515,
  [19842] = 18516,
  [19843] = 18610,
  [19844] = 18499,
  [19845] = 18502,
  [19846] = 18520,
  [19847] = 18495,
  [19848] = 18504,
  [19849] = 18819,
  [19850] = 18606,
  [19851] = 18531,
  [19852] = 19852,
  [19853] = 18474,
  [19854] = 18509,
  [19855] = 18490,
  [19856] = 18539,
  [19857] = 18471,
  [19858] = 18541,
  [19859] = 18542,
  [19860] = 18494,
  [19861] = 18595,
  [19862] = 18474,
  [19863] = 18514,
  [19864] = 18509,
  [19865] = 18760,
  [19866] = 18473,
  [19867] = 18537,
  [19868] = 18509,
  [19869] = 18490,
  [19870] = 18505,
  [19871] = 18506,
  [19872] = 18507,
  [19873] = 18522,
  [19874] = 18515,
  [19875] = 18516,
  [19876] = 18520,
  [19877] = 18505,
  [19878] = 18532,
  [19879] = 18493,
  [19880] = 18531,
  [19881] = 18514,
  [19882] = 18539,
  [19883] = 18471,
  [19884] = 18541,
  [19885] = 18542,
  [19886] = 18485,
  [19887] = 18490,
  [19888] = 18494,
  [19889] = 18489,
  [19890] = 18494,
  [19891] = 18506,
  [19892] = 18880,
  [19893] = 18500,
  [19894] = 18505,
  [19895] = 18506,
  [19896] = 18507,
  [19897] = 18474,
  [19898] = 18515,
  [19899] = 18516,
  [19900] = 18507,
  [19901] = 18493,
  [19902] = 18481,
  [19903] = 18531,
  [19904] = 18497,
  [19905] = 18539,
  [19906] = 18471,
  [19907] = 18541,
  [19908] = 18542,
  [19909] = 18522,
  [19910] = 18513,
  [19911] = 18509,
  [19912] = 18490,
  [19913] = 18474,
  [19914] = 18532,
  [19915] = 18480,
  [19916] = 18760,
  [19917] = 18497,
  [19918] = 18486,
  [19919] = 18471,
  [19920] = 18541,
  [19921] = 18542,
  [19922] = 18509,
  [19923] = 18490,
  [19924] = 18486,
  [19925] = 18474,
  [19926] = 18674,
  [19927] = 18707,
  [19928] = 18502,
  [19929] = 18475,
  [19930] = 18515,
  [19931] = 18471,
  [19932] = 18541,
  [19933] = 18542,
  [19934] = 18476,
  [19935] = 18509,
  [19936] = 18738,
  [19937] = 18516,
  [19938] = 18477,
  [19939] = 18597,
  [19940] = 18479,
  [19941] = 18471,
  [19942] = 18541,
  [19943] = 18542,
  [19944] = 18490,
  [19945] = 18474,
  [19946] = 18520,
  [19947] = 18602,
  [19948] = 18706,
  [19949] = 18539,
  [19950] = 18610,
  [19951] = 18471,
  [19952] = 18541,
  [19953] = 18542,
  [19954] = 19954,
  [19955] = 18509,
  [19956] = 18606,
  [19957] = 18486,
  [19958] = 18527,
  [19959] = 18610,
  [19960] = 18529,
  [19961] = 18471,
  [19962] = 18541,
  [19963] = 18542,
  [19964] = 18490,
  [19965] = 18474,
  [19966] = 18490,
  [19967] = 18522,
  [19968] = 18531,
  [19969] = 19969,
  [19970] = 18471,
  [19971] = 18471,
  [19972] = 18541,
  [19973] = 18542,
  [19974] = 18509,
  [19975] = 18490,
  [19976] = 18474,
  [19977] = 18532,
  [19978] = 18541,
  [19979] = 19979,
  [19980] = 18537,
  [19981] = 18471,
  [19982] = 18541,
  [19983] = 18542,
  [19984] = 18503,
  [19985] = 18509,
  [19986] = 18583,
  [19987] = 18542,
  [19988] = 18539,
  [19989] = 18471,
  [19990] = 18541,
  [19991] = 18471,
  [19992] = 18541,
  [19993] = 18542,
  [19994] = 18490,
  [19995] = 18474,
  [19996] = 18485,
  [19997] = 18542,
  [19998] = 18543,
  [19999] = 18544,
  [20000] = 18545,
  [20001] = 18471,
  [20002] = 18541,
  [20003] = 18542,
  [20004] = 18509,
  [20005] = 18490,
  [20006] = 18498,
  [20007] = 18490,
  [20008] = 20008,
  [20009] = 18595,
  [20010] = 18493,
  [20011] = 18471,
  [20012] = 18541,
  [20013] = 18542,
  [20014] = 18474,
  [20015] = 18504,
  [20016] = 18534,
  [20017] = 18615,
  [20018] = 18597,
  [20019] = 18602,
  [20020] = 18606,
  [20021] = 18471,
  [20022] = 18541,
  [20023] = 18542,
  [20024] = 18509,
  [20025] = 18490,
  [20026] = 18595,
  [20027] = 18610,
  [20028] = 18514,
  [20029] = 19852,
  [20030] = 18543,
  [20031] = 18471,
  [20032] = 18541,
  [20033] = 18542,
  [20034] = 18474,
  [20035] = 18544,
  [20036] = 18532,
  [20037] = 18509,
  [20038] = 18490,
  [20039] = 20039,
  [20040] = 18474,
  [20041] = 18632,
  [20042] = 18583,
  [20043] = 18509,
  [20044] = 18490,
  [20045] = 18534,
  [20046] = 18474,
  [20047] = 18484,
  [20048] = 18498,
  [20049] = 18509,
  [20050] = 18490,
  [20051] = 18674,
  [20052] = 18474,
  [20053] = 18497,
  [20054] = 18534,
  [20055] = 18509,
  [20056] = 18490,
  [20057] = 18632,
  [20058] = 18474,
  [20059] = 18491,
  [20060] = 18674,
  [20061] = 18509,
  [20062] = 18490,
  [20063] = 18545,
  [20064] = 18474,
  [20065] = 18707,
  [20066] = 18475,
  [20067] = 18509,
  [20068] = 18490,
  [20069] = 18595,
  [20070] = 18474,
  [20071] = 18480,
  [20072] = 18516,
  [20073] = 18509,
  [20074] = 18490,
  [20075] = 18485,
  [20076] = 18474,
  [20077] = 18738,
  [20078] = 18624,
  [20079] = 18509,
  [20080] = 18490,
  [20081] = 20081,
  [20082] = 18474,
  [20083] = 18493,
  [20084] = 18513,
  [20085] = 18509,
  [20086] = 18490,
  [20087] = 18486,
  [20088] = 18474,
  [20089] = 18513,
  [20090] = 18484,
  [20091] = 18509,
  [20092] = 18490,
  [20093] = 18476,
  [20094] = 18474,
  [20095] = 18489,
  [20096] = 18477,
  [20097] = 18509,
  [20098] = 18490,
  [20099] = 18513,
  [20100] = 18474,
  [20101] = 18583,
  [20102] = 18473,
  [20103] = 18509,
  [20104] = 18490,
  [20105] = 18486,
  [20106] = 18474,
  [20107] = 19979,
  [20108] = 18479,
  [20109] = 18504,
  [20110] = 18636,
  [20111] = 18624,
  [20112] = 18632,
  [20113] = 18497,
  [20114] = 18509,
  [20115] = 18490,
  [20116] = 18474,
  [20117] = 18475,
  [20118] = 18499,
  [20119] = 18604,
  [20120] = 18474,
  [20121] = 18522,
  [20122] = 18509,
  [20123] = 18636,
  [20124] = 18490,
  [20125] = 18474,
  [20126] = 18503,
  [20127] = 19954,
  [20128] = 18474,
  [20129] = 18504,
  [20130] = 18473,
  [20131] = 18502,
  [20132] = 20132,
  [20133] = 18476,
  [20134] = 18477,
  [20135] = 18507,
  [20136] = 18509,
  [20137] = 20137,
  [20138] = 18674,
  [20139] = 20081,
  [20140] = 18497,
  [20141] = 19596,
  [20142] = 18484,
  [20143] = 18490,
  [20144] = 18479,
  [20145] = 18532,
  [20146] = 18514,
  [20147] = 18492,
  [20148] = 18482,
  [20149] = 18674,
  [20150] = 18495,
  [20151] = 18485,
  [20152] = 18498,
  [20153] = 18489,
  [20154] = 20154,
  [20155] = 18513,
  [20156] = 18534,
  [20157] = 18513,
  [20158] = 18494,
  [20159] = 20039,
  [20160] = 20160,
  [20161] = 18532,
  [20162] = 18499,
  [20163] = 18503,
  [20164] = 18504,
  [20165] = 18505,
  [20166] = 18500,
  [20167] = 18515,
  [20168] = 18506,
  [20169] = 18509,
  [20170] = 18490,
  [20171] = 18493,
  [20172] = 18473,
  [20173] = 18507,
  [20174] = 20008,
  [20175] = 18513,
  [20176] = 18475,
  [20177] = 18476,
  [20178] = 20154,
  [20179] = 18503,
  [20180] = 18477,
  [20181] = 18595,
  [20182] = 18502,
  [20183] = 18479,
  [20184] = 18522,
  [20185] = 18531,
  [20186] = 18583,
  [20187] = 18504,
  [20188] = 18532,
  [20189] = 20189,
  [20190] = 20190,
  [20191] = 20191,
  [20192] = 18632,
  [20193] = 18504,
  [20194] = 18492,
  [20195] = 18515,
  [20196] = 18649,
  [20197] = 18516,
  [20198] = 18615,
  [20199] = 18597,
  [20200] = 18602,
  [20201] = 18606,
  [20202] = 18610,
  [20203] = 18503,
  [20204] = 18493,
  [20205] = 18509,
  [20206] = 18706,
  [20207] = 18762,
  [20208] = 18486,
  [20209] = 19130,
  [20210] = 18632,
  [20211] = 18615,
  [20212] = 18495,
  [20213] = 18597,
  [20214] = 18520,
  [20215] = 18602,
  [20216] = 20216,
  [20217] = 18493,
  [20218] = 18606,
  [20219] = 19216,
  [20220] = 19216,
  [20221] = 18665,
  [20222] = 18610,
  [20223] = 18614,
  [20224] = 18615,
  [20225] = 18811,
  [20226] = 18674,
  [20227] = 18499,
  [20228] = 18502,
  [20229] = 18478,
  [20230] = 18509,
  [20231] = 18490,
  [20232] = 18475,
  [20233] = 18514,
  [20234] = 18485,
  [20235] = 18489,
  [20236] = 18494,
  [20237] = 18632,
  [20238] = 18500,
  [20239] = 18527,
  [20240] = 18624,
  [20241] = 18522,
  [20242] = 18636,
  [20243] = 18817,
  [20244] = 18476,
  [20245] = 18529,
  [20246] = 18674,
  [20247] = 18486,
  [20248] = 18498,
  [20249] = 19979,
  [20250] = 18531,
  [20251] = 18475,
  [20252] = 18477,
  [20253] = 18760,
  [20254] = 18597,
  [20255] = 18819,
  [20256] = 18604,
  [20257] = 18505,
  [20258] = 18583,
  [20259] = 18504,
  [20260] = 18534,
  [20261] = 19954,
  [20262] = 18493,
  [20263] = 18498,
  [20264] = 18534,
  [20265] = 18595,
  [20266] = 20081,
  [20267] = 18595,
  [20268] = 18506,
  [20269] = 18583,
  [20270] = 18624,
  [20271] = 18537,
  [20272] = 18474,
  [20273] = 18507,
  [20274] = 18479,
  [20275] = 18632,
  [20276] = 18480,
  [20277] = 18539,
  [20278] = 18471,
  [20279] = 20039,
  [20280] = 18541,
  [20281] = 18478,
  [20282] = 18504,
  [20283] = 18497,
  [20284] = 20284,
  [20285] = 18535,
  [20286] = 18542,
  [20287] = 18543,
  [20288] = 18544,
  [20289] = 18674,
  [20290] = 18514,
  [20291] = 18545,
  [20292] = 18674,
  [20293] = 18513,
  [20294] = 18498,
  [20295] = 18475,
  [20296] = 18489,
  [20297] = 18513,
  [20298] = 18485,
  [20299] = 20189,
  [20300] = 20190,
  [20301] = 20191,
  [20302] = 18534,
  [20303] = 18504,
  [20304] = 18489,
  [20305] = 18513,
  [20306] = 19130,
  [20307] = 18476,
  [20308] = 18495,
  [20309] = 18595,
  [20310] = 18493,
  [20311] = 18491,
  [20312] = 18477,
  [20313] = 18476,
  [20314] = 18479,
  [20315] = 18576,
  [20316] = 18475,
  [20317] = 18476,
  [20318] = 18477,
  [20319] = 18624,
  [20320] = 18479,
  [20321] = 18478,
  [20322] = 18532,
  [20323] = 18499,
  [20324] = 18532,
  [20325] = 18502,
  [20326] = 18474,
  [20327] = 20216,
  [20328] = 18499,
  [20329] = 18615,
  [20330] = 18597,
  [20331] = 18602,
  [20332] = 18606,
  [20333] = 18610,
  [20334] = 18502,
  [20335] = 18477,
  [20336] = 18504,
  [20337] = 18636,
  [20338] = 18504,
  [20339] = 18632,
  [20340] = 18474,
  [20341] = 20341,
  [20342] = 18615,
  [20343] = 19168,
  [20344] = 18532,
  [20345] = 19979,
  [20346] = 18493,
  [20347] = 18624,
  [20348] = 20348,
  [20349] = 18484,
  [20350] = 18509,
  [20351] = 18490,
  [20352] = 18604,
  [20353] = 19151,
  [20354] = 18494,
  [20355] = 18569,
  [20356] = 18490,
  [20357] = 19954,
  [20358] = 18880,
  [20359] = 18515,
  [20360] = 18817,
  [20361] = 18819,
  [20362] = 20081,
  [20363] = 18499,
  [20364] = 20364,
  [20365] = 18502,
  [20366] = 18509,
  [20367] = 18490,
  [20368] = 18474,
  [20369] = 18514,
  [20370] = 18485,
  [20371] = 18489,
  [20372] = 18494,
  [20373] = 18514,
  [20374] = 18500,
  [20375] = 20039,
  [20376] = 18516,
  [20377] = 18485,
  [20378] = 18489,
  [20379] = 18522,
  [20380] = 19670,
  [20381] = 19130,
  [20382] = 19761,
  [20383] = 18486,
  [20384] = 18576,
  [20385] = 18597,
  [20386] = 18494,
  [20387] = 18602,
  [20388] = 18615,
  [20389] = 18597,
  [20390] = 18606,
  [20391] = 18520,
  [20392] = 18500,
  [20393] = 18494,
  [20394] = 20189,
  [20395] = 20190,
  [20396] = 20191,
  [20397] = 18583,
  [20398] = 18610,
  [20399] = 18498,
  [20400] = 18534,
  [20401] = 18595,
  [20402] = 18602,
  [20403] = 18593,
  [20404] = 18624,
  [20405] = 18522,
  [20406] = 18474,
  [20407] = 18494,
  [20408] = 18509,
  [20409] = 18490,
  [20410] = 18606,
  [20411] = 18514,
  [20412] = 18473,
  [20413] = 18485,
  [20414] = 18486,
  [20415] = 18489,
  [20416] = 18497,
  [20417] = 18500,
  [20418] = 18497,
  [20419] = 18615,
  [20420] = 18493,
  [20421] = 18474,
  [20422] = 18674,
  [20423] = 20154,
  [20424] = 18494,
  [20425] = 18492,
  [20426] = 18495,
  [20427] = 18513,
  [20428] = 20428,
  [20429] = 18500,
  [20430] = 18504,
  [20431] = 18522,
  [20432] = 18497,
  [20433] = 18583,
  [20434] = 18500,
  [20435] = 18597,
  [20436] = 18498,
  [20437] = 18493,
  [20438] = 18534,
  [20439] = 18602,
  [20440] = 19979,
  [20441] = 18595,
  [20442] = 18522,
  [20443] = 18505,
  [20444] = 18475,
  [20445] = 18514,
  [20446] = 18606,
  [20447] = 19954,
  [20448] = 18476,
  [20449] = 18477,
  [20450] = 18506,
  [20451] = 20081,
  [20452] = 18479,
  [20453] = 20453,
  [20454] = 18507,
  [20455] = 18532,
  [20456] = 18475,
  [20457] = 18632,
  [20458] = 18476,
  [20459] = 20039,
  [20460] = 18610,
  [20461] = 18624,
  [20462] = 18475,
  [20463] = 19109,
  [20464] = 18615,
  [20465] = 18597,
  [20466] = 19252,
  [20467] = 18527,
  [20468] = 18602,
  [20469] = 18606,
  [20470] = 20189,
  [20471] = 20190,
  [20472] = 20191,
  [20473] = 18610,
  [20474] = 18486,
  [20475] = 18529,
  [20476] = 18485,
  [20477] = 18479,
  [20478] = 18489,
  [20479] = 19979,
  [20480] = 18610,
  [20481] = 18636,
  [20482] = 18632,
  [20483] = 18476,
  [20484] = 18513,
  [20485] = 18515,
  [20486] = 19954,
  [20487] = 18593,
  [20488] = 18474,
  [20489] = 18477,
  [20490] = 20081,
  [20491] = 18516,
  [20492] = 18477,
  [20493] = 18478,
  [20494] = 18522,
  [20495] = 18621,
  [20496] = 18674,
  [20497] = 20039,
  [20498] = 18494,
  [20499] = 18479,
  [20500] = 18531,
  [20501] = 20189,
  [20502] = 20190,
  [20503] = 20191,
  [20504] = 18481,
  [20505] = 18649,
  [20506] = 18520,
  [20507] = 18482,
  [20508] = 18514,
  [20509] = 19979,
  [20510] = 18499,
  [20511] = 18502,
  [20512] = 18509,
  [20513] = 18490,
  [20514] = 18482,
  [20515] = 18504,
  [20516] = 19954,
  [20517] = 18811,
  [20518] = 18514,
  [20519] = 18485,
  [20520] = 20081,
  [20521] = 18493,
  [20522] = 18489,
  [20523] = 18494,
  [20524] = 20039,
  [20525] = 20525,
  [20526] = 20526,
  [20527] = 18500,
  [20528] = 20189,
  [20529] = 20190,
  [20530] = 20191,
  [20531] = 18485,
  [20532] = 18499,
  [20533] = 18522,
  [20534] = 18500,
  [20535] = 18486,
  [20536] = 19979,
  [20537] = 18615,
  [20538] = 18499,
  [20539] = 18486,
  [20540] = 18583,
  [20541] = 18632,
  [20542] = 18527,
  [20543] = 19954,
  [20544] = 18502,
  [20545] = 18509,
  [20546] = 18486,
  [20547] = 18479,
  [20548] = 18529,
  [20549] = 18597,
  [20550] = 20039,
  [20551] = 18531,
  [20552] = 20552,
  [20553] = 18583,
  [20554] = 20189,
  [20555] = 20190,
  [20556] = 20191,
  [20557] = 18760,
  [20558] = 18498,
  [20559] = 18534,
  [20560] = 18595,
  [20561] = 18537,
  [20562] = 19979,
  [20563] = 18602,
  [20564] = 18497,
  [20565] = 18624,
  [20566] = 19954,
  [20567] = 18490,
  [20568] = 18498,
  [20569] = 19954,
  [20570] = 18474,
  [20571] = 18534,
  [20572] = 18595,
  [20573] = 18514,
  [20574] = 18537,
  [20575] = 18500,
  [20576] = 20039,
  [20577] = 18485,
  [20578] = 18539,
  [20579] = 20189,
  [20580] = 20190,
  [20581] = 20191,
  [20582] = 18471,
  [20583] = 19979,
  [20584] = 18489,
  [20585] = 18539,
  [20586] = 18494,
  [20587] = 18497,
  [20588] = 18532,
  [20589] = 18541,
  [20590] = 19954,
  [20591] = 18674,
  [20592] = 18500,
  [20593] = 18542,
  [20594] = 18543,
  [20595] = 18471,
  [20596] = 18544,
  [20597] = 20039,
  [20598] = 18541,
  [20599] = 20189,
  [20600] = 20190,
  [20601] = 20191,
  [20602] = 18542,
  [20603] = 19979,
  [20604] = 18674,
  [20605] = 18543,
  [20606] = 18545,
  [20607] = 18544,
  [20608] = 18497,
  [20609] = 18606,
  [20610] = 19954,
  [20611] = 18478,
  [20612] = 18513,
  [20613] = 18482,
  [20614] = 18513,
  [20615] = 18513,
  [20616] = 20039,
  [20617] = 18545,
  [20618] = 20189,
  [20619] = 20190,
  [20620] = 20191,
  [20621] = 18522,
  [20622] = 19979,
  [20623] = 18504,
  [20624] = 18624,
  [20625] = 18482,
  [20626] = 18532,
  [20627] = 18475,
  [20628] = 18497,
  [20629] = 19954,
  [20630] = 18476,
  [20631] = 18477,
  [20632] = 18491,
  [20633] = 18493,
  [20634] = 20039,
  [20635] = 20635,
  [20636] = 20189,
  [20637] = 20190,
  [20638] = 20191,
  [20639] = 18493,
  [20640] = 19979,
  [20641] = 18503,
  [20642] = 18486,
  [20643] = 18811,
  [20644] = 18665,
  [20645] = 18532,
  [20646] = 18475,
  [20647] = 18476,
  [20648] = 18479,
  [20649] = 18477,
  [20650] = 20039,
  [20651] = 18602,
  [20652] = 20189,
  [20653] = 20190,
  [20654] = 20191,
  [20655] = 18499,
  [20656] = 19979,
  [20657] = 18502,
  [20658] = 18479,
  [20659] = 18636,
  [20660] = 18624,
  [20661] = 18532,
  [20662] = 18474,
  [20663] = 18714,
  [20664] = 18674,
  [20665] = 18583,
  [20666] = 20039,
  [20667] = 18532,
  [20668] = 20189,
  [20669] = 20190,
  [20670] = 20191,
  [20671] = 18498,
  [20672] = 19979,
  [20673] = 18534,
  [20674] = 18595,
  [20675] = 18513,
  [20676] = 18674,
  [20677] = 18615,
  [20678] = 18597,
  [20679] = 18602,
  [20680] = 18509,
  [20681] = 18606,
  [20682] = 20039,
  [20683] = 18490,
  [20684] = 20189,
  [20685] = 20190,
  [20686] = 20191,
  [20687] = 19130,
  [20688] = 19979,
  [20689] = 18610,
  [20690] = 18475,
  [20691] = 18484,
  [20692] = 20692,
  [20693] = 18606,
  [20694] = 18817,
  [20695] = 18476,
  [20696] = 18819,
  [20697] = 18504,
  [20698] = 20039,
  [20699] = 18514,
  [20700] = 20189,
  [20701] = 20190,
  [20702] = 20191,
  [20703] = 18485,
  [20704] = 19979,
  [20705] = 18632,
  [20706] = 18489,
  [20707] = 18494,
  [20708] = 18760,
  [20709] = 18477,
  [20710] = 18500,
  [20711] = 18503,
  [20712] = 19451,
  [20713] = 18624,
  [20714] = 20039,
  [20715] = 18624,
  [20716] = 20189,
  [20717] = 20190,
  [20718] = 20191,
  [20719] = 18522,
  [20720] = 19979,
  [20721] = 18667,
  [20722] = 18479,
  [20723] = 18474,
  [20724] = 18486,
  [20725] = 18632,
  [20726] = 18632,
  [20727] = 18493,
  [20728] = 18539,
  [20729] = 18532,
  [20730] = 20039,
  [20731] = 18497,
  [20732] = 20189,
  [20733] = 20190,
  [20734] = 20191,
  [20735] = 18503,
  [20736] = 19979,
  [20737] = 18631,
  [20738] = 18504,
  [20739] = 18499,
  [20740] = 18478,
  [20741] = 18502,
  [20742] = 18509,
  [20743] = 18490,
  [20744] = 18473,
  [20745] = 18673,
  [20746] = 20039,
  [20747] = 18583,
  [20748] = 20189,
  [20749] = 20190,
  [20750] = 20191,
  [20751] = 18569,
  [20752] = 19979,
  [20753] = 18514,
  [20754] = 18485,
  [20755] = 18489,
  [20756] = 18498,
  [20757] = 18494,
  [20758] = 18811,
  [20759] = 18500,
  [20760] = 18534,
  [20761] = 18595,
  [20762] = 20039,
  [20763] = 18610,
  [20764] = 20189,
  [20765] = 20190,
  [20766] = 20191,
  [20767] = 18706,
  [20768] = 19979,
  [20769] = 18475,
  [20770] = 18522,
  [20771] = 18624,
  [20772] = 18513,
  [20773] = 18476,
  [20774] = 18492,
  [20775] = 18486,
  [20776] = 18504,
  [20777] = 18477,
  [20778] = 20039,
  [20779] = 18495,
  [20780] = 20189,
  [20781] = 20190,
  [20782] = 20191,
  [20783] = 18497,
  [20784] = 19979,
  [20785] = 18489,
  [20786] = 18479,
  [20787] = 18636,
  [20788] = 18880,
  [20789] = 18674,
  [20790] = 18482,
  [20791] = 18474,
  [20792] = 18475,
  [20793] = 18583,
  [20794] = 20039,
  [20795] = 20216,
  [20796] = 20189,
  [20797] = 20190,
  [20798] = 20191,
  [20799] = 18610,
  [20800] = 19979,
  [20801] = 20801,
  [20802] = 18498,
  [20803] = 18534,
  [20804] = 18615,
  [20805] = 18595,
  [20806] = 18513,
  [20807] = 18505,
  [20808] = 18493,
  [20809] = 18624,
  [20810] = 20039,
  [20811] = 18513,
  [20812] = 20189,
  [20813] = 20190,
  [20814] = 20191,
  [20815] = 20552,
  [20816] = 18506,
  [20817] = 18474,
  [20818] = 20818,
  [20819] = 18597,
  [20820] = 18507,
  [20821] = 20821,
  [20822] = 18503,
  [20823] = 18476,
  [20824] = 20824,
  [20825] = 20039,
  [20826] = 18497,
  [20827] = 20189,
  [20828] = 20190,
  [20829] = 20191,
  [20830] = 18602,
  [20831] = 18606,
  [20832] = 18597,
  [20833] = 18532,
  [20834] = 18602,
  [20835] = 18497,
  [20836] = 18606,
  [20837] = 18610,
  [20838] = 18513,
  [20839] = 18513,
  [20840] = 20039,
  [20841] = 18610,
  [20842] = 20189,
  [20843] = 20190,
  [20844] = 20191,
  [20845] = 18674,
  [20846] = 18504,
  [20847] = 20154,
  [20848] = 18674,
  [20849] = 18503,
  [20850] = 18504,
  [20851] = 18515,
  [20852] = 18504,
  [20853] = 18513,
  [20854] = 18499,
  [20855] = 20039,
  [20856] = 18502,
  [20857] = 20189,
  [20858] = 20190,
  [20859] = 20191,
  [20860] = 18516,
  [20861] = 18513,
  [20862] = 18593,
  [20863] = 18631,
  [20864] = 18503,
  [20865] = 18504,
  [20866] = 18472,
  [20867] = 18522,
  [20868] = 18504,
  [20869] = 18583,
  [20870] = 20039,
  [20871] = 18520,
  [20872] = 20189,
  [20873] = 20190,
  [20874] = 20191,
  [20875] = 18504,
  [20876] = 18509,
  [20877] = 18707,
  [20878] = 18493,
  [20879] = 18497,
  [20880] = 18493,
  [20881] = 18615,
  [20882] = 18597,
  [20883] = 18494,
  [20884] = 18615,
  [20885] = 20039,
  [20886] = 19787,
  [20887] = 20189,
  [20888] = 20190,
  [20889] = 20191,
  [20890] = 18738,
  [20891] = 18493,
  [20892] = 18475,
  [20893] = 18476,
  [20894] = 18475,
  [20895] = 18477,
  [20896] = 18673,
  [20897] = 18479,
  [20898] = 18476,
  [20899] = 18522,
  [20900] = 20039,
  [20901] = 18477,
  [20902] = 20189,
  [20903] = 20190,
  [20904] = 20191,
  [20905] = 18475,
  [20906] = 18532,
  [20907] = 18527,
  [20908] = 18597,
  [20909] = 18476,
  [20910] = 18477,
  [20911] = 18602,
  [20912] = 18606,
  [20913] = 18674,
  [20914] = 18665,
  [20915] = 20039,
  [20916] = 18479,
  [20917] = 20189,
  [20918] = 20190,
  [20919] = 20191,
  [20920] = 18479,
  [20921] = 18615,
  [20922] = 18597,
  [20923] = 18602,
  [20924] = 18482,
  [20925] = 18606,
  [20926] = 18610,
  [20927] = 18673,
  [20928] = 18632,
  [20929] = 18529,
  [20930] = 20039,
  [20931] = 18478,
  [20932] = 20189,
  [20933] = 20190,
  [20934] = 20191,
  [20935] = 18532,
  [20936] = 18610,
  [20937] = 18602,
  [20938] = 18531,
  [20939] = 19216,
  [20940] = 18606,
  [20941] = 18632,
  [20942] = 18665,
  [20943] = 18532,
  [20944] = 18504,
  [20945] = 20039,
  [20946] = 18475,
  [20947] = 20189,
  [20948] = 20190,
  [20949] = 20191,
  [20950] = 18509,
  [20951] = 18667,
  [20952] = 18493,
  [20953] = 18498,
  [20954] = 18490,
  [20955] = 18615,
  [20956] = 18738,
  [20957] = 18537,
  [20958] = 20958,
  [20959] = 18534,
  [20960] = 20039,
  [20961] = 18597,
  [20962] = 20189,
  [20963] = 20190,
  [20964] = 20191,
  [20965] = 18539,
  [20966] = 18673,
  [20967] = 18471,
  [20968] = 18632,
  [20969] = 18541,
  [20970] = 20216,
  [20971] = 18610,
  [20972] = 18595,
  [20973] = 18615,
  [20974] = 18499,
  [20975] = 20039,
  [20976] = 18597,
  [20977] = 20189,
  [20978] = 20190,
  [20979] = 20191,
  [20980] = 18602,
  [20981] = 18502,
  [20982] = 18509,
  [20983] = 18490,
  [20984] = 18606,
  [20985] = 18542,
  [20986] = 18514,
  [20987] = 18485,
  [20988] = 18665,
  [20989] = 18489,
  [20990] = 20039,
  [20991] = 18610,
  [20992] = 20189,
  [20993] = 20190,
  [20994] = 20191,
  [20995] = 18632,
  [20996] = 18494,
  [20997] = 18583,
  [20998] = 18500,
  [20999] = 18493,
  [21000] = 18543,
  [21001] = 18762,
  [21002] = 18522,
  [21003] = 18817,
  [21004] = 18819,
  [21005] = 20039,
  [21006] = 18544,
  [21007] = 20189,
  [21008] = 20190,
  [21009] = 20191,
  [21010] = 18514,
  [21011] = 19004,
  [21012] = 18485,
  [21013] = 18486,
  [21014] = 18489,
  [21015] = 18624,
  [21016] = 18632,
  [21017] = 18506,
  [21018] = 19130,
  [21019] = 18615,
  [21020] = 20039,
  [21021] = 18597,
  [21022] = 20189,
  [21023] = 20190,
  [21024] = 20191,
  [21025] = 18494,
  [21026] = 18602,
  [21027] = 18562,
  [21028] = 18583,
  [21029] = 18545,
  [21030] = 18500,
  [21031] = 18498,
  [21032] = 18534,
  [21033] = 18606,
  [21034] = 18595,
  [21035] = 20039,
  [21036] = 18610,
  [21037] = 20189,
  [21038] = 20190,
  [21039] = 20191,
  [21040] = 18498,
  [21041] = 18811,
  [21042] = 18534,
  [21043] = 18624,
  [21044] = 19151,
  [21045] = 18475,
  [21046] = 18474,
  [21047] = 18522,
  [21048] = 18583,
  [21049] = 18602,
  [21050] = 18476,
  [21051] = 20189,
  [21052] = 20190,
  [21053] = 20191,
  [21054] = 18632,
  [21055] = 18486,
  [21056] = 18475,
  [21057] = 18472,
  [21058] = 18477,
  [21059] = 18476,
  [21060] = 21060,
  [21061] = 18477,
  [21062] = 18486,
  [21063] = 18497,
  [21064] = 18615,
  [21065] = 20189,
  [21066] = 20190,
  [21067] = 20191,
  [21068] = 18606,
  [21069] = 18707,
  [21070] = 18479,
  [21071] = 18665,
  [21072] = 18762,
  [21073] = 21073,
  [21074] = 18738,
  [21075] = 18674,
  [21076] = 18479,
  [21077] = 18532,
  [21078] = 18499,
  [21079] = 20189,
  [21080] = 20190,
  [21081] = 20191,
  [21082] = 18502,
  [21083] = 18583,
  [21084] = 18583,
  [21085] = 18615,
  [21086] = 18514,
  [21087] = 18513,
  [21088] = 18485,
  [21089] = 18489,
  [21090] = 18498,
  [21091] = 18504,
  [21092] = 18534,
  [21093] = 20189,
  [21094] = 20190,
  [21095] = 20191,
  [21096] = 18474,
  [21097] = 18595,
  [21098] = 18610,
  [21099] = 18476,
  [21100] = 18499,
  [21101] = 21060,
  [21102] = 18497,
  [21103] = 18624,
  [21104] = 18493,
  [21105] = 20189,
  [21106] = 20190,
  [21107] = 20191,
  [21108] = 18482,
  [21109] = 18762,
  [21110] = 18502,
  [21111] = 18484,
  [21112] = 18493,
  [21113] = 18475,
  [21114] = 18476,
  [21115] = 18597,
  [21116] = 18477,
  [21117] = 20189,
  [21118] = 20190,
  [21119] = 20191,
  [21120] = 18632,
  [21121] = 18509,
  [21122] = 20189,
  [21123] = 20190,
  [21124] = 20191,
  [21125] = 18760,
  [21126] = 18615,
  [21127] = 20189,
  [21128] = 20190,
  [21129] = 20191,
  [21130] = 18532,
  [21131] = 18597,
  [21132] = 20189,
  [21133] = 20190,
  [21134] = 20191,
  [21135] = 18632,
  [21136] = 18597,
  [21137] = 20189,
  [21138] = 20190,
  [21139] = 20191,
  [21140] = 18490,
  [21141] = 18595,
  [21142] = 20189,
  [21143] = 20190,
  [21144] = 20191,
  [21145] = 18478,
  [21146] = 18499,
  [21147] = 20189,
  [21148] = 20190,
  [21149] = 20191,
  [21150] = 18502,
  [21151] = 18509,
  [21152] = 20189,
  [21153] = 20190,
  [21154] = 20191,
  [21155] = 18490,
  [21156] = 18636,
  [21157] = 20189,
  [21158] = 20190,
  [21159] = 20191,
  [21160] = 18602,
  [21161] = 18474,
  [21162] = 20189,
  [21163] = 20190,
  [21164] = 20191,
  [21165] = 18477,
  [21166] = 18514,
  [21167] = 20189,
  [21168] = 20190,
  [21169] = 20191,
  [21170] = 18606,
  [21171] = 18485,
  [21172] = 20189,
  [21173] = 20190,
  [21174] = 20191,
  [21175] = 18489,
  [21176] = 18494,
  [21177] = 20189,
  [21178] = 20190,
  [21179] = 20191,
  [21180] = 19109,
  [21181] = 19252,
  [21182] = 18499,
  [21183] = 18502,
  [21184] = 18602,
  [21185] = 18500,
  [21186] = 18602,
  [21187] = 18606,
  [21188] = 18522,
  [21189] = 18665,
  [21190] = 18606,
  [21191] = 18624,
  [21192] = 18610,
  [21193] = 18499,
  [21194] = 18502,
  [21195] = 18610,
  [21196] = 18514,
  [21197] = 18509,
  [21198] = 18490,
  [21199] = 21199,
  [21200] = 18485,
  [21201] = 18817,
  [21202] = 18514,
  [21203] = 18485,
  [21204] = 18489,
  [21205] = 18494,
  [21206] = 18473,
  [21207] = 20692,
  [21208] = 20453,
  [21209] = 18500,
  [21210] = 18489,
  [21211] = 21060,
  [21212] = 18504,
  [21213] = 18499,
  [21214] = 18501,
  [21215] = 18502,
  [21216] = 18479,
  [21217] = 18494,
  [21218] = 18532,
  [21219] = 18499,
  [21220] = 18632,
  [21221] = 18483,
  [21222] = 18514,
  [21223] = 18484,
  [21224] = 18485,
  [21225] = 18489,
  [21226] = 18535,
  [21227] = 20692,
  [21228] = 20453,
  [21229] = 18522,
  [21230] = 18501,
  [21231] = 18522,
  [21232] = 18615,
  [21233] = 18597,
  [21234] = 18602,
  [21235] = 18606,
  [21236] = 18610,
  [21237] = 18486,
  [21238] = 18497,
  [21239] = 18480,
  [21240] = 18636,
  [21241] = 20692,
  [21242] = 20453,
  [21243] = 18495,
  [21244] = 18501,
  [21245] = 18477,
  [21246] = 18493,
  [21247] = 18632,
  [21248] = 18474,
  [21249] = 18632,
  [21250] = 21250,
  [21251] = 20525,
  [21252] = 18760,
  [21253] = 18498,
  [21254] = 20692,
  [21255] = 18499,
  [21256] = 18491,
  [21257] = 18502,
  [21258] = 18760,
  [21259] = 18505,
  [21260] = 18500,
  [21261] = 18513,
  [21262] = 21262,
  [21263] = 20692,
  [21264] = 18576,
  [21265] = 18478,
  [21266] = 20692,
  [21267] = 18499,
  [21268] = 18502,
  [21269] = 20692,
  [21270] = 18509,
  [21271] = 18490,
  [21272] = 20692,
  [21273] = 20692,
  [21274] = 20692,
  [21275] = 20692,
  [21276] = 20692,
  [21277] = 20692,
  [21278] = 20692,
  [21279] = 20692,
  [21280] = 20692,
  [21281] = 20692,
  [21282] = 20692,
  [21283] = 20692,
  [21284] = 20692,
  [21285] = 20692,
  [21286] = 20692,
  [21287] = 20692,
  [21288] = 20692,
  [21289] = 20692,
  [21290] = 20692,
  [21291] = 20692,
  [21292] = 20692,
  [21293] = 20692,
  [21294] = 20692,
  [21295] = 20692,
  [21296] = 20692,
  [21297] = 20692,
  [21298] = 20692,
  [21299] = 20692,
  [21300] = 20692,
  [21301] = 20692,
  [21302] = 20692,
  [21303] = 20692,
  [21304] = 20692,
  [21305] = 20692,
  [21306] = 20692,
  [21307] = 20692,
  [21308] = 20692,
  [21309] = 20692,
  [21310] = 20692,
  [21311] = 20692,
  [21312] = 20692,
  [21313] = 20692,
  [21314] = 20692,
  [21315] = 20692,
  [21316] = 20692,
  [21317] = 20692,
  [21318] = 20692,
  [21319] = 20692,
  [21320] = 20008,
  [21321] = 18486,
  [21322] = 19651,
  [21323] = 18506,
  [21324] = 18809,
  [21325] = 18514,
  [21326] = 18485,
  [21327] = 18507,
  [21328] = 18500,
  [21329] = 18489,
  [21330] = 18494,
  [21331] = 18484,
  [21332] = 18500,
  [21333] = 18621,
  [21334] = 18522,
  [21335] = 21073,
  [21336] = 19651,
  [21337] = 18809,
  [21338] = 18522,
  [21339] = 18493,
  [21340] = 20189,
  [21341] = 18527,
  [21342] = 18486,
  [21343] = 20190,
  [21344] = 18503,
  [21345] = 19651,
  [21346] = 18809,
  [21347] = 18479,
  [21348] = 18513,
  [21349] = 20191,
  [21350] = 18760,
  [21351] = 18583,
  [21352] = 18502,
  [21353] = 18498,
  [21354] = 18534,
  [21355] = 18595,
  [21356] = 18486,
  [21357] = 18504,
  [21358] = 18499,
  [21359] = 18624,
  [21360] = 18583,
  [21361] = 18532,
  [21362] = 18474,
  [21363] = 18515,
  [21364] = 18481,
  [21365] = 18516,
  [21366] = 18583,
  [21367] = 18482,
  [21368] = 18498,
  [21369] = 18473,
  [21370] = 18498,
  [21371] = 18509,
  [21372] = 18534,
  [21373] = 18534,
  [21374] = 18583,
  [21375] = 18595,
  [21376] = 18520,
  [21377] = 18492,
  [21378] = 18497,
  [21379] = 18499,
  [21380] = 18595,
  [21381] = 18509,
  [21382] = 18502,
  [21383] = 18624,
  [21384] = 18674,
  [21385] = 18667,
  [21386] = 18495,
  [21387] = 18499,
  [21388] = 18760,
  [21389] = 18624,
  [21390] = 18615,
  [21391] = 18474,
  [21392] = 18502,
  [21393] = 18597,
  [21394] = 18497,
  [21395] = 18636,
  [21396] = 18513,
  [21397] = 18602,
  [21398] = 18474,
  [21399] = 18504,
  [21400] = 18498,
  [21401] = 18527,
  [21402] = 18534,
  [21403] = 18502,
  [21404] = 18505,
  [21405] = 18529,
  [21406] = 18595,
  [21407] = 18606,
  [21408] = 18506,
  [21409] = 18507,
  [21410] = 18509,
  [21411] = 18665,
  [21412] = 18531,
  [21413] = 18610,
  [21414] = 18535,
  [21415] = 18493,
  [21416] = 18632,
  [21417] = 18509,
  [21418] = 18490,
  [21419] = 18497,
  [21420] = 18490,
  [21421] = 18475,
  [21422] = 18490,
  [21423] = 18476,
  [21424] = 18514,
  [21425] = 18477,
  [21426] = 18493,
  [21427] = 18479,
  [21428] = 18492,
  [21429] = 18532,
  [21430] = 18537,
  [21431] = 18624,
  [21432] = 18636,
  [21433] = 18665,
  [21434] = 18497,
  [21435] = 18537,
  [21436] = 18539,
  [21437] = 18471,
  [21438] = 18817,
  [21439] = 18615,
  [21440] = 18597,
  [21441] = 18602,
  [21442] = 18514,
  [21443] = 18485,
  [21444] = 18606,
  [21445] = 18610,
  [21446] = 18541,
  [21447] = 18819,
  [21448] = 18880,
  [21449] = 18542,
  [21450] = 18514,
  [21451] = 18485,
  [21452] = 18543,
  [21453] = 18489,
  [21454] = 18529,
  [21455] = 18569,
  [21456] = 18544,
  [21457] = 18494,
  [21458] = 18545,
  [21459] = 18520,
  [21460] = 21460,
  [21461] = 21461,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym__lowercase_identifier_character_set_2[] = {
  {'\'', '\''}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static TSCharacterRange sym__lowercase_identifier_character_set_3[] = {
  {'_', '_'}, {'a', 'z'}, {0xb5, 0xb5}, {0xdf, 0xf6}, {0xf8, 0xff}, {0x101, 0x101}, {0x103, 0x103}, {0x105, 0x105},
  {0x107, 0x107}, {0x109, 0x109}, {0x10b, 0x10b}, {0x10d, 0x10d}, {0x10f, 0x10f}, {0x111, 0x111}, {0x113, 0x113}, {0x115, 0x115},
  {0x117, 0x117}, {0x119, 0x119}, {0x11b, 0x11b}, {0x11d, 0x11d}, {0x11f, 0x11f}, {0x121, 0x121}, {0x123, 0x123}, {0x125, 0x125},
  {0x127, 0x127}, {0x129, 0x129}, {0x12b, 0x12b}, {0x12d, 0x12d}, {0x12f, 0x12f}, {0x131, 0x131}, {0x133, 0x133}, {0x135, 0x135},
  {0x137, 0x138}, {0x13a, 0x13a}, {0x13c, 0x13c}, {0x13e, 0x13e}, {0x140, 0x140}, {0x142, 0x142}, {0x144, 0x144}, {0x146, 0x146},
  {0x148, 0x149}, {0x14b, 0x14b}, {0x14d, 0x14d}, {0x14f, 0x14f}, {0x151, 0x151}, {0x153, 0x153}, {0x155, 0x155}, {0x157, 0x157},
  {0x159, 0x159}, {0x15b, 0x15b}, {0x15d, 0x15d}, {0x15f, 0x15f}, {0x161, 0x161}, {0x163, 0x163}, {0x165, 0x165}, {0x167, 0x167},
  {0x169, 0x169}, {0x16b, 0x16b}, {0x16d, 0x16d}, {0x16f, 0x16f}, {0x171, 0x171}, {0x173, 0x173}, {0x175, 0x175}, {0x177, 0x177},
  {0x17a, 0x17a}, {0x17c, 0x17c}, {0x17e, 0x180}, {0x183, 0x183}, {0x185, 0x185}, {0x188, 0x188}, {0x18c, 0x18d}, {0x192, 0x192},
  {0x195, 0x195}, {0x199, 0x19b}, {0x19e, 0x19e}, {0x1a1, 0x1a1}, {0x1a3, 0x1a3}, {0x1a5, 0x1a5}, {0x1a8, 0x1a8}, {0x1aa, 0x1ab},
  {0x1ad, 0x1ad}, {0x1b0, 0x1b0}, {0x1b4, 0x1b4}, {0x1b6, 0x1b6}, {0x1b9, 0x1ba}, {0x1bd, 0x1bf}, {0x1c6, 0x1c6}, {0x1c9, 0x1c9},
  {0x1cc, 0x1cc}, {0x1ce, 0x1ce}, {0x1d0, 0x1d0}, {0x1d2, 0x1d2}, {0x1d4, 0x1d4}, {0x1d6, 0x1d6}, {0x1d8, 0x1d8}, {0x1da, 0x1da},
  {0x1dc, 0x1dd}, {0x1df, 0x1df}, {0x1e1, 0x1e1}, {0x1e3, 0x1e3}, {0x1e5, 0x1e5}, {0x1e7, 0x1e7}, {0x1e9, 0x1e9}, {0x1eb, 0x1eb},
  {0x1ed, 0x1ed}, {0x1ef, 0x1f0}, {0x1f3, 0x1f3}, {0x1f5, 0x1f5}, {0x1f9, 0x1f9}, {0x1fb, 0x1fb}, {0x1fd, 0x1fd}, {0x1ff, 0x1ff},
  {0x201, 0x201}, {0x203, 0x203}, {0x205, 0x205}, {0x207, 0x207}, {0x209, 0x209}, {0x20b, 0x20b}, {0x20d, 0x20d}, {0x20f, 0x20f},
  {0x211, 0x211}, {0x213, 0x213}, {0x215, 0x215}, {0x217, 0x217}, {0x219, 0x219}, {0x21b, 0x21b}, {0x21d, 0x21d}, {0x21f, 0x21f},
  {0x221, 0x221}, {0x223, 0x223}, {0x225, 0x225}, {0x227, 0x227}, {0x229, 0x229}, {0x22b, 0x22b}, {0x22d, 0x22d}, {0x22f, 0x22f},
  {0x231, 0x231}, {0x233, 0x239}, {0x23c, 0x23c}, {0x23f, 0x240}, {0x242, 0x242}, {0x247, 0x247}, {0x249, 0x249}, {0x24b, 0x24b},
  {0x24d, 0x24d}, {0x24f, 0x293}, {0x295, 0x2af}, {0x371, 0x371}, {0x373, 0x373}, {0x377, 0x377}, {0x37b, 0x37d}, {0x390, 0x390},
  {0x3ac, 0x3ce}, {0x3d0, 0x3d1}, {0x3d5, 0x3d7}, {0x3d9, 0x3d9}, {0x3db, 0x3db}, {0x3dd, 0x3dd}, {0x3df, 0x3df}, {0x3e1, 0x3e1},
  {0x3e3, 0x3e3}, {0x3e5, 0x3e5}, {0x3e7, 0x3e7}, {0x3e9, 0x3e9}, {0x3eb, 0x3eb}, {0x3ed, 0x3ed}, {0x3ef, 0x3f3}, {0x3f5, 0x3f5},
  {0x3f8, 0x3f8}, {0x3fb, 0x3fc}, {0x430, 0x45f}, {0x461, 0x461}, {0x463, 0x463}, {0x465, 0x465}, {0x467, 0x467}, {0x469, 0x469},
  {0x46b, 0x46b}, {0x46d, 0x46d}, {0x46f, 0x46f}, {0x471, 0x471}, {0x473, 0x473}, {0x475, 0x475}, {0x477, 0x477}, {0x479, 0x479},
  {0x47b, 0x47b}, {0x47d, 0x47d}, {0x47f, 0x47f}, {0x481, 0x481}, {0x48b, 0x48b}, {0x48d, 0x48d}, {0x48f, 0x48f}, {0x491, 0x491},
  {0x493, 0x493}, {0x495, 0x495}, {0x497, 0x497}, {0x499, 0x499}, {0x49b, 0x49b}, {0x49d, 0x49d}, {0x49f, 0x49f}, {0x4a1, 0x4a1},
  {0x4a3, 0x4a3}, {0x4a5, 0x4a5}, {0x4a7, 0x4a7}, {0x4a9, 0x4a9}, {0x4ab, 0x4ab}, {0x4ad, 0x4ad}, {0x4af, 0x4af}, {0x4b1, 0x4b1},
  {0x4b3, 0x4b3}, {0x4b5, 0x4b5}, {0x4b7, 0x4b7}, {0x4b9, 0x4b9}, {0x4bb, 0x4bb}, {0x4bd, 0x4bd}, {0x4bf, 0x4bf}, {0x4c2, 0x4c2},
  {0x4c4, 0x4c4}, {0x4c6, 0x4c6}, {0x4c8, 0x4c8}, {0x4ca, 0x4ca}, {0x4cc, 0x4cc}, {0x4ce, 0x4cf}, {0x4d1, 0x4d1}, {0x4d3, 0x4d3},
  {0x4d5, 0x4d5}, {0x4d7, 0x4d7}, {0x4d9, 0x4d9}, {0x4db, 0x4db}, {0x4dd, 0x4dd}, {0x4df, 0x4df}, {0x4e1, 0x4e1}, {0x4e3, 0x4e3},
  {0x4e5, 0x4e5}, {0x4e7, 0x4e7}, {0x4e9, 0x4e9}, {0x4eb, 0x4eb}, {0x4ed, 0x4ed}, {0x4ef, 0x4ef}, {0x4f1, 0x4f1}, {0x4f3, 0x4f3},
  {0x4f5, 0x4f5}, {0x4f7, 0x4f7}, {0x4f9, 0x4f9}, {0x4fb, 0x4fb}, {0x4fd, 0x4fd}, {0x4ff, 0x4ff}, {0x501, 0x501}, {0x503, 0x503},
  {0x505, 0x505}, {0x507, 0x507}, {0x509, 0x509}, {0x50b, 0x50b}, {0x50d, 0x50d}, {0x50f, 0x50f}, {0x511, 0x511}, {0x513, 0x513},
  {0x515, 0x515}, {0x517, 0x517}, {0x519, 0x519}, {0x51b, 0x51b}, {0x51d, 0x51d}, {0x51f, 0x51f}, {0x521, 0x521}, {0x523, 0x523},
  {0x525, 0x525}, {0x527, 0x527}, {0x529, 0x529}, {0x52b, 0x52b}, {0x52d, 0x52d}, {0x52f, 0x52f}, {0x560, 0x588}, {0x10d0, 0x10fa},
  {0x10fd, 0x10ff}, {0x13f8, 0x13fd}, {0x1c80, 0x1c88}, {0x1d00, 0x1d2b}, {0x1d6b, 0x1d77}, {0x1d79, 0x1d9a}, {0x1e01, 0x1e01}, {0x1e03, 0x1e03},
  {0x1e05, 0x1e05}, {0x1e07, 0x1e07}, {0x1e09, 0x1e09}, {0x1e0b, 0x1e0b}, {0x1e0d, 0x1e0d}, {0x1e0f, 0x1e0f}, {0x1e11, 0x1e11}, {0x1e13, 0x1e13},
  {0x1e15, 0x1e15}, {0x1e17, 0x1e17}, {0x1e19, 0x1e19}, {0x1e1b, 0x1e1b}, {0x1e1d, 0x1e1d}, {0x1e1f, 0x1e1f}, {0x1e21, 0x1e21}, {0x1e23, 0x1e23},
  {0x1e25, 0x1e25}, {0x1e27, 0x1e27}, {0x1e29, 0x1e29}, {0x1e2b, 0x1e2b}, {0x1e2d, 0x1e2d}, {0x1e2f, 0x1e2f}, {0x1e31, 0x1e31}, {0x1e33, 0x1e33},
  {0x1e35, 0x1e35}, {0x1e37, 0x1e37}, {0x1e39, 0x1e39}, {0x1e3b, 0x1e3b}, {0x1e3d, 0x1e3d}, {0x1e3f, 0x1e3f}, {0x1e41, 0x1e41}, {0x1e43, 0x1e43},
  {0x1e45, 0x1e45}, {0x1e47, 0x1e47}, {0x1e49, 0x1e49}, {0x1e4b, 0x1e4b}, {0x1e4d, 0x1e4d}, {0x1e4f, 0x1e4f}, {0x1e51, 0x1e51}, {0x1e53, 0x1e53},
  {0x1e55, 0x1e55}, {0x1e57, 0x1e57}, {0x1e59, 0x1e59}, {0x1e5b, 0x1e5b}, {0x1e5d, 0x1e5d}, {0x1e5f, 0x1e5f}, {0x1e61, 0x1e61}, {0x1e63, 0x1e63},
  {0x1e65, 0x1e65}, {0x1e67, 0x1e67}, {0x1e69, 0x1e69}, {0x1e6b, 0x1e6b}, {0x1e6d, 0x1e6d}, {0x1e6f, 0x1e6f}, {0x1e71, 0x1e71}, {0x1e73, 0x1e73},
  {0x1e75, 0x1e75}, {0x1e77, 0x1e77}, {0x1e79, 0x1e79}, {0x1e7b, 0x1e7b}, {0x1e7d, 0x1e7d}, {0x1e7f, 0x1e7f}, {0x1e81, 0x1e81}, {0x1e83, 0x1e83},
  {0x1e85, 0x1e85}, {0x1e87, 0x1e87}, {0x1e89, 0x1e89}, {0x1e8b, 0x1e8b}, {0x1e8d, 0x1e8d}, {0x1e8f, 0x1e8f}, {0x1e91, 0x1e91}, {0x1e93, 0x1e93},
  {0x1e95, 0x1e9d}, {0x1e9f, 0x1e9f}, {0x1ea1, 0x1ea1}, {0x1ea3, 0x1ea3}, {0x1ea5, 0x1ea5}, {0x1ea7, 0x1ea7}, {0x1ea9, 0x1ea9}, {0x1eab, 0x1eab},
  {0x1ead, 0x1ead}, {0x1eaf, 0x1eaf}, {0x1eb1, 0x1eb1}, {0x1eb3, 0x1eb3}, {0x1eb5, 0x1eb5}, {0x1eb7, 0x1eb7}, {0x1eb9, 0x1eb9}, {0x1ebb, 0x1ebb},
  {0x1ebd, 0x1ebd}, {0x1ebf, 0x1ebf}, {0x1ec1, 0x1ec1}, {0x1ec3, 0x1ec3}, {0x1ec5, 0x1ec5}, {0x1ec7, 0x1ec7}, {0x1ec9, 0x1ec9}, {0x1ecb, 0x1ecb},
  {0x1ecd, 0x1ecd}, {0x1ecf, 0x1ecf}, {0x1ed1, 0x1ed1}, {0x1ed3, 0x1ed3}, {0x1ed5, 0x1ed5}, {0x1ed7, 0x1ed7}, {0x1ed9, 0x1ed9}, {0x1edb, 0x1edb},
  {0x1edd, 0x1edd}, {0x1edf, 0x1edf}, {0x1ee1, 0x1ee1}, {0x1ee3, 0x1ee3}, {0x1ee5, 0x1ee5}, {0x1ee7, 0x1ee7}, {0x1ee9, 0x1ee9}, {0x1eeb, 0x1eeb},
  {0x1eed, 0x1eed}, {0x1eef, 0x1eef}, {0x1ef1, 0x1ef1}, {0x1ef3, 0x1ef3}, {0x1ef5, 0x1ef5}, {0x1ef7, 0x1ef7}, {0x1ef9, 0x1ef9}, {0x1efb, 0x1efb},
  {0x1efd, 0x1efd}, {0x1eff, 0x1f07}, {0x1f10, 0x1f15}, {0x1f20, 0x1f27}, {0x1f30, 0x1f37}, {0x1f40, 0x1f45}, {0x1f50, 0x1f57}, {0x1f60, 0x1f67},
  {0x1f70, 0x1f7d}, {0x1f80, 0x1f87}, {0x1f90, 0x1f97}, {0x1fa0, 0x1fa7}, {0x1fb0, 0x1fb4}, {0x1fb6, 0x1fb7}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fc7}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fd7}, {0x1fe0, 0x1fe7}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ff7}, {0x210a, 0x210a}, {0x210e, 0x210f},
  {0x2113, 0x2113}, {0x212f, 0x212f}, {0x2134, 0x2134}, {0x2139, 0x2139}, {0x213c, 0x213d}, {0x2146, 0x2149}, {0x214e, 0x214e}, {0x2184, 0x2184},
  {0x2c30, 0x2c5f}, {0x2c61, 0x2c61}, {0x2c65, 0x2c66}, {0x2c68, 0x2c68}, {0x2c6a, 0x2c6a}, {0x2c6c, 0x2c6c}, {0x2c71, 0x2c71}, {0x2c73, 0x2c74},
  {0x2c76, 0x2c7b}, {0x2c81, 0x2c81}, {0x2c83, 0x2c83}, {0x2c85, 0x2c85}, {0x2c87, 0x2c87}, {0x2c89, 0x2c89}, {0x2c8b, 0x2c8b}, {0x2c8d, 0x2c8d},
  {0x2c8f, 0x2c8f}, {0x2c91, 0x2c91}, {0x2c93, 0x2c93}, {0x2c95, 0x2c95}, {0x2c97, 0x2c97}, {0x2c99, 0x2c99}, {0x2c9b, 0x2c9b}, {0x2c9d, 0x2c9d},
  {0x2c9f, 0x2c9f}, {0x2ca1, 0x2ca1}, {0x2ca3, 0x2ca3}, {0x2ca5, 0x2ca5}, {0x2ca7, 0x2ca7}, {0x2ca9, 0x2ca9}, {0x2cab, 0x2cab}, {0x2cad, 0x2cad},
  {0x2caf, 0x2caf}, {0x2cb1, 0x2cb1}, {0x2cb3, 0x2cb3}, {0x2cb5, 0x2cb5}, {0x2cb7, 0x2cb7}, {0x2cb9, 0x2cb9}, {0x2cbb, 0x2cbb}, {0x2cbd, 0x2cbd},
  {0x2cbf, 0x2cbf}, {0x2cc1, 0x2cc1}, {0x2cc3, 0x2cc3}, {0x2cc5, 0x2cc5}, {0x2cc7, 0x2cc7}, {0x2cc9, 0x2cc9}, {0x2ccb, 0x2ccb}, {0x2ccd, 0x2ccd},
  {0x2ccf, 0x2ccf}, {0x2cd1, 0x2cd1}, {0x2cd3, 0x2cd3}, {0x2cd5, 0x2cd5}, {0x2cd7, 0x2cd7}, {0x2cd9, 0x2cd9}, {0x2cdb, 0x2cdb}, {0x2cdd, 0x2cdd},
  {0x2cdf, 0x2cdf}, {0x2ce1, 0x2ce1}, {0x2ce3, 0x2ce4}, {0x2cec, 0x2cec}, {0x2cee, 0x2cee}, {0x2cf3, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0xa641, 0xa641}, {0xa643, 0xa643}, {0xa645, 0xa645}, {0xa647, 0xa647}, {0xa649, 0xa649}, {0xa64b, 0xa64b}, {0xa64d, 0xa64d},
  {0xa64f, 0xa64f}, {0xa651, 0xa651}, {0xa653, 0xa653}, {0xa655, 0xa655}, {0xa657, 0xa657}, {0xa659, 0xa659}, {0xa65b, 0xa65b}, {0xa65d, 0xa65d},
  {0xa65f, 0xa65f}, {0xa661, 0xa661}, {0xa663, 0xa663}, {0xa665, 0xa665}, {0xa667, 0xa667}, {0xa669, 0xa669}, {0xa66b, 0xa66b}, {0xa66d, 0xa66d},
  {0xa681, 0xa681}, {0xa683, 0xa683}, {0xa685, 0xa685}, {0xa687, 0xa687}, {0xa689, 0xa689}, {0xa68b, 0xa68b}, {0xa68d, 0xa68d}, {0xa68f, 0xa68f},
  {0xa691, 0xa691}, {0xa693, 0xa693}, {0xa695, 0xa695}, {0xa697, 0xa697}, {0xa699, 0xa699}, {0xa69b, 0xa69b}, {0xa723, 0xa723}, {0xa725, 0xa725},
  {0xa727, 0xa727}, {0xa729, 0xa729}, {0xa72b, 0xa72b}, {0xa72d, 0xa72d}, {0xa72f, 0xa731}, {0xa733, 0xa733}, {0xa735, 0xa735}, {0xa737, 0xa737},
  {0xa739, 0xa739}, {0xa73b, 0xa73b}, {0xa73d, 0xa73d}, {0xa73f, 0xa73f}, {0xa741, 0xa741}, {0xa743, 0xa743}, {0xa745, 0xa745}, {0xa747, 0xa747},
  {0xa749, 0xa749}, {0xa74b, 0xa74b}, {0xa74d, 0xa74d}, {0xa74f, 0xa74f}, {0xa751, 0xa751}, {0xa753, 0xa753}, {0xa755, 0xa755}, {0xa757, 0xa757},
  {0xa759, 0xa759}, {0xa75b, 0xa75b}, {0xa75d, 0xa75d}, {0xa75f, 0xa75f}, {0xa761, 0xa761}, {0xa763, 0xa763}, {0xa765, 0xa765}, {0xa767, 0xa767},
  {0xa769, 0xa769}, {0xa76b, 0xa76b}, {0xa76d, 0xa76d}, {0xa76f, 0xa76f}, {0xa771, 0xa778}, {0xa77a, 0xa77a}, {0xa77c, 0xa77c}, {0xa77f, 0xa77f},
  {0xa781, 0xa781}, {0xa783, 0xa783}, {0xa785, 0xa785}, {0xa787, 0xa787}, {0xa78c, 0xa78c}, {0xa78e, 0xa78e}, {0xa791, 0xa791}, {0xa793, 0xa795},
  {0xa797, 0xa797}, {0xa799, 0xa799}, {0xa79b, 0xa79b}, {0xa79d, 0xa79d}, {0xa79f, 0xa79f}, {0xa7a1, 0xa7a1}, {0xa7a3, 0xa7a3}, {0xa7a5, 0xa7a5},
  {0xa7a7, 0xa7a7}, {0xa7a9, 0xa7a9}, {0xa7af, 0xa7af}, {0xa7b5, 0xa7b5}, {0xa7b7, 0xa7b7}, {0xa7b9, 0xa7b9}, {0xa7bb, 0xa7bb}, {0xa7bd, 0xa7bd},
  {0xa7bf, 0xa7bf}, {0xa7c1, 0xa7c1}, {0xa7c3, 0xa7c3}, {0xa7c8, 0xa7c8}, {0xa7ca, 0xa7ca}, {0xa7d1, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d5},
  {0xa7d7, 0xa7d7}, {0xa7d9, 0xa7d9}, {0xa7f6, 0xa7f6}, {0xa7fa, 0xa7fa}, {0xab30, 0xab5a}, {0xab60, 0xab68}, {0xab70, 0xabbf}, {0xfb00, 0xfb06},
  {0xfb13, 0xfb17}, {0xff41, 0xff5a}, {0x10428, 0x1044f}, {0x104d8, 0x104fb}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
};

static TSCharacterRange sym__uppercase_identifier_character_set_1[] = {
  {'A', 'Z'}, {0xc0, 0xd6}, {0xd8, 0xde}, {0x100, 0x100}, {0x102, 0x102}, {0x104, 0x104}, {0x106, 0x106}, {0x108, 0x108},
  {0x10a, 0x10a}, {0x10c, 0x10c}, {0x10e, 0x10e}, {0x110, 0x110}, {0x112, 0x112}, {0x114, 0x114}, {0x116, 0x116}, {0x118, 0x118},
  {0x11a, 0x11a}, {0x11c, 0x11c}, {0x11e, 0x11e}, {0x120, 0x120}, {0x122, 0x122}, {0x124, 0x124}, {0x126, 0x126}, {0x128, 0x128},
  {0x12a, 0x12a}, {0x12c, 0x12c}, {0x12e, 0x12e}, {0x130, 0x130}, {0x132, 0x132}, {0x134, 0x134}, {0x136, 0x136}, {0x139, 0x139},
  {0x13b, 0x13b}, {0x13d, 0x13d}, {0x13f, 0x13f}, {0x141, 0x141}, {0x143, 0x143}, {0x145, 0x145}, {0x147, 0x147}, {0x14a, 0x14a},
  {0x14c, 0x14c}, {0x14e, 0x14e}, {0x150, 0x150}, {0x152, 0x152}, {0x154, 0x154}, {0x156, 0x156}, {0x158, 0x158}, {0x15a, 0x15a},
  {0x15c, 0x15c}, {0x15e, 0x15e}, {0x160, 0x160}, {0x162, 0x162}, {0x164, 0x164}, {0x166, 0x166}, {0x168, 0x168}, {0x16a, 0x16a},
  {0x16c, 0x16c}, {0x16e, 0x16e}, {0x170, 0x170}, {0x172, 0x172}, {0x174, 0x174}, {0x176, 0x176}, {0x178, 0x179}, {0x17b, 0x17b},
  {0x17d, 0x17d}, {0x181, 0x182}, {0x184, 0x184}, {0x186, 0x187}, {0x189, 0x18b}, {0x18e, 0x191}, {0x193, 0x194}, {0x196, 0x198},
  {0x19c, 0x19d}, {0x19f, 0x1a0}, {0x1a2, 0x1a2}, {0x1a4, 0x1a4}, {0x1a6, 0x1a7}, {0x1a9, 0x1a9}, {0x1ac, 0x1ac}, {0x1ae, 0x1af},
  {0x1b1, 0x1b3}, {0x1b5, 0x1b5}, {0x1b7, 0x1b8}, {0x1bc, 0x1bc}, {0x1c4, 0x1c4}, {0x1c7, 0x1c7}, {0x1ca, 0x1ca}, {0x1cd, 0x1cd},
  {0x1cf, 0x1cf}, {0x1d1, 0x1d1}, {0x1d3, 0x1d3}, {0x1d5, 0x1d5}, {0x1d7, 0x1d7}, {0x1d9, 0x1d9}, {0x1db, 0x1db}, {0x1de, 0x1de},
  {0x1e0, 0x1e0}, {0x1e2, 0x1e2}, {0x1e4, 0x1e4}, {0x1e6, 0x1e6}, {0x1e8, 0x1e8}, {0x1ea, 0x1ea}, {0x1ec, 0x1ec}, {0x1ee, 0x1ee},
  {0x1f1, 0x1f1}, {0x1f4, 0x1f4}, {0x1f6, 0x1f8}, {0x1fa, 0x1fa}, {0x1fc, 0x1fc}, {0x1fe, 0x1fe}, {0x200, 0x200}, {0x202, 0x202},
  {0x204, 0x204}, {0x206, 0x206}, {0x208, 0x208}, {0x20a, 0x20a}, {0x20c, 0x20c}, {0x20e, 0x20e}, {0x210, 0x210}, {0x212, 0x212},
  {0x214, 0x214}, {0x216, 0x216}, {0x218, 0x218}, {0x21a, 0x21a}, {0x21c, 0x21c}, {0x21e, 0x21e}, {0x220, 0x220}, {0x222, 0x222},
  {0x224, 0x224}, {0x226, 0x226}, {0x228, 0x228}, {0x22a, 0x22a}, {0x22c, 0x22c}, {0x22e, 0x22e}, {0x230, 0x230}, {0x232, 0x232},
  {0x23a, 0x23b}, {0x23d, 0x23e}, {0x241, 0x241}, {0x243, 0x246}, {0x248, 0x248}, {0x24a, 0x24a}, {0x24c, 0x24c}, {0x24e, 0x24e},
  {0x370, 0x370}, {0x372, 0x372}, {0x376, 0x376}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x38f},
  {0x391, 0x3a1}, {0x3a3, 0x3ab}, {0x3cf, 0x3cf}, {0x3d2, 0x3d4}, {0x3d8, 0x3d8}, {0x3da, 0x3da}, {0x3dc, 0x3dc}, {0x3de, 0x3de},
  {0x3e0, 0x3e0}, {0x3e2, 0x3e2}, {0x3e4, 0x3e4}, {0x3e6, 0x3e6}, {0x3e8, 0x3e8}, {0x3ea, 0x3ea}, {0x3ec, 0x3ec}, {0x3ee, 0x3ee},
  {0x3f4, 0x3f4}, {0x3f7, 0x3f7}, {0x3f9, 0x3fa}, {0x3fd, 0x42f}, {0x460, 0x460}, {0x462, 0x462}, {0x464, 0x464}, {0x466, 0x466},
  {0x468, 0x468}, {0x46a, 0x46a}, {0x46c, 0x46c}, {0x46e, 0x46e}, {0x470, 0x470}, {0x472, 0x472}, {0x474, 0x474}, {0x476, 0x476},
  {0x478, 0x478}, {0x47a, 0x47a}, {0x47c, 0x47c}, {0x47e, 0x47e}, {0x480, 0x480}, {0x48a, 0x48a}, {0x48c, 0x48c}, {0x48e, 0x48e},
  {0x490, 0x490}, {0x492, 0x492}, {0x494, 0x494}, {0x496, 0x496}, {0x498, 0x498}, {0x49a, 0x49a}, {0x49c, 0x49c}, {0x49e, 0x49e},
  {0x4a0, 0x4a0}, {0x4a2, 0x4a2}, {0x4a4, 0x4a4}, {0x4a6, 0x4a6}, {0x4a8, 0x4a8}, {0x4aa, 0x4aa}, {0x4ac, 0x4ac}, {0x4ae, 0x4ae},
  {0x4b0, 0x4b0}, {0x4b2, 0x4b2}, {0x4b4, 0x4b4}, {0x4b6, 0x4b6}, {0x4b8, 0x4b8}, {0x4ba, 0x4ba}, {0x4bc, 0x4bc}, {0x4be, 0x4be},
  {0x4c0, 0x4c1}, {0x4c3, 0x4c3}, {0x4c5, 0x4c5}, {0x4c7, 0x4c7}, {0x4c9, 0x4c9}, {0x4cb, 0x4cb}, {0x4cd, 0x4cd}, {0x4d0, 0x4d0},
  {0x4d2, 0x4d2}, {0x4d4, 0x4d4}, {0x4d6, 0x4d6}, {0x4d8, 0x4d8}, {0x4da, 0x4da}, {0x4dc, 0x4dc}, {0x4de, 0x4de}, {0x4e0, 0x4e0},
  {0x4e2, 0x4e2}, {0x4e4, 0x4e4}, {0x4e6, 0x4e6}, {0x4e8, 0x4e8}, {0x4ea, 0x4ea}, {0x4ec, 0x4ec}, {0x4ee, 0x4ee}, {0x4f0, 0x4f0},
  {0x4f2, 0x4f2}, {0x4f4, 0x4f4}, {0x4f6, 0x4f6}, {0x4f8, 0x4f8}, {0x4fa, 0x4fa}, {0x4fc, 0x4fc}, {0x4fe, 0x4fe}, {0x500, 0x500},
  {0x502, 0x502}, {0x504, 0x504}, {0x506, 0x506}, {0x508, 0x508}, {0x50a, 0x50a}, {0x50c, 0x50c}, {0x50e, 0x50e}, {0x510, 0x510},
  {0x512, 0x512}, {0x514, 0x514}, {0x516, 0x516}, {0x518, 0x518}, {0x51a, 0x51a}, {0x51c, 0x51c}, {0x51e, 0x51e}, {0x520, 0x520},
  {0x522, 0x522}, {0x524, 0x524}, {0x526, 0x526}, {0x528, 0x528}, {0x52a, 0x52a}, {0x52c, 0x52c}, {0x52e, 0x52e}, {0x531, 0x556},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x13a0, 0x13f5}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1e00, 0x1e00}, {0x1e02, 0x1e02},
  {0x1e04, 0x1e04}, {0x1e06, 0x1e06}, {0x1e08, 0x1e08}, {0x1e0a, 0x1e0a}, {0x1e0c, 0x1e0c}, {0x1e0e, 0x1e0e}, {0x1e10, 0x1e10}, {0x1e12, 0x1e12},
  {0x1e14, 0x1e14}, {0x1e16, 0x1e16}, {0x1e18, 0x1e18}, {0x1e1a, 0x1e1a}, {0x1e1c, 0x1e1c}, {0x1e1e, 0x1e1e}, {0x1e20, 0x1e20}, {0x1e22, 0x1e22},
  {0x1e24, 0x1e24}, {0x1e26, 0x1e26}, {0x1e28, 0x1e28}, {0x1e2a, 0x1e2a}, {0x1e2c, 0x1e2c}, {0x1e2e, 0x1e2e}, {0x1e30, 0x1e30}, {0x1e32, 0x1e32},
  {0x1e34, 0x1e34}, {0x1e36, 0x1e36}, {0x1e38, 0x1e38}, {0x1e3a, 0x1e3a}, {0x1e3c, 0x1e3c}, {0x1e3e, 0x1e3e}, {0x1e40, 0x1e40}, {0x1e42, 0x1e42},
  {0x1e44, 0x1e44}, {0x1e46, 0x1e46}, {0x1e48, 0x1e48}, {0x1e4a, 0x1e4a}, {0x1e4c, 0x1e4c}, {0x1e4e, 0x1e4e}, {0x1e50, 0x1e50}, {0x1e52, 0x1e52},
  {0x1e54, 0x1e54}, {0x1e56, 0x1e56}, {0x1e58, 0x1e58}, {0x1e5a, 0x1e5a}, {0x1e5c, 0x1e5c}, {0x1e5e, 0x1e5e}, {0x1e60, 0x1e60}, {0x1e62, 0x1e62},
  {0x1e64, 0x1e64}, {0x1e66, 0x1e66}, {0x1e68, 0x1e68}, {0x1e6a, 0x1e6a}, {0x1e6c, 0x1e6c}, {0x1e6e, 0x1e6e}, {0x1e70, 0x1e70}, {0x1e72, 0x1e72},
  {0x1e74, 0x1e74}, {0x1e76, 0x1e76}, {0x1e78, 0x1e78}, {0x1e7a, 0x1e7a}, {0x1e7c, 0x1e7c}, {0x1e7e, 0x1e7e}, {0x1e80, 0x1e80}, {0x1e82, 0x1e82},
  {0x1e84, 0x1e84}, {0x1e86, 0x1e86}, {0x1e88, 0x1e88}, {0x1e8a, 0x1e8a}, {0x1e8c, 0x1e8c}, {0x1e8e, 0x1e8e}, {0x1e90, 0x1e90}, {0x1e92, 0x1e92},
  {0x1e94, 0x1e94}, {0x1e9e, 0x1e9e}, {0x1ea0, 0x1ea0}, {0x1ea2, 0x1ea2}, {0x1ea4, 0x1ea4}, {0x1ea6, 0x1ea6}, {0x1ea8, 0x1ea8}, {0x1eaa, 0x1eaa},
  {0x1eac, 0x1eac}, {0x1eae, 0x1eae}, {0x1eb0, 0x1eb0}, {0x1eb2, 0x1eb2}, {0x1eb4, 0x1eb4}, {0x1eb6, 0x1eb6}, {0x1eb8, 0x1eb8}, {0x1eba, 0x1eba},
  {0x1ebc, 0x1ebc}, {0x1ebe, 0x1ebe}, {0x1ec0, 0x1ec0}, {0x1ec2, 0x1ec2}, {0x1ec4, 0x1ec4}, {0x1ec6, 0x1ec6}, {0x1ec8, 0x1ec8}, {0x1eca, 0x1eca},
  {0x1ecc, 0x1ecc}, {0x1ece, 0x1ece}, {0x1ed0, 0x1ed0}, {0x1ed2, 0x1ed2}, {0x1ed4, 0x1ed4}, {0x1ed6, 0x1ed6}, {0x1ed8, 0x1ed8}, {0x1eda, 0x1eda},
  {0x1edc, 0x1edc}, {0x1ede, 0x1ede}, {0x1ee0, 0x1ee0}, {0x1ee2, 0x1ee2}, {0x1ee4, 0x1ee4}, {0x1ee6, 0x1ee6}, {0x1ee8, 0x1ee8}, {0x1eea, 0x1eea},
  {0x1eec, 0x1eec}, {0x1eee, 0x1eee}, {0x1ef0, 0x1ef0}, {0x1ef2, 0x1ef2}, {0x1ef4, 0x1ef4}, {0x1ef6, 0x1ef6}, {0x1ef8, 0x1ef8}, {0x1efa, 0x1efa},
  {0x1efc, 0x1efc}, {0x1efe, 0x1efe}, {0x1f08, 0x1f0f}, {0x1f18, 0x1f1d}, {0x1f28, 0x1f2f}, {0x1f38, 0x1f3f}, {0x1f48, 0x1f4d}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f5f}, {0x1f68, 0x1f6f}, {0x1fb8, 0x1fbb}, {0x1fc8, 0x1fcb}, {0x1fd8, 0x1fdb}, {0x1fe8, 0x1fec},
  {0x1ff8, 0x1ffb}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210b, 0x210d}, {0x2110, 0x2112}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x2130, 0x2133}, {0x213e, 0x213f}, {0x2145, 0x2145}, {0x2183, 0x2183}, {0x2c00, 0x2c2f},
  {0x2c60, 0x2c60}, {0x2c62, 0x2c64}, {0x2c67, 0x2c67}, {0x2c69, 0x2c69}, {0x2c6b, 0x2c6b}, {0x2c6d, 0x2c70}, {0x2c72, 0x2c72}, {0x2c75, 0x2c75},
  {0x2c7e, 0x2c80}, {0x2c82, 0x2c82}, {0x2c84, 0x2c84}, {0x2c86, 0x2c86}, {0x2c88, 0x2c88}, {0x2c8a, 0x2c8a}, {0x2c8c, 0x2c8c}, {0x2c8e, 0x2c8e},
  {0x2c90, 0x2c90}, {0x2c92, 0x2c92}, {0x2c94, 0x2c94}, {0x2c96, 0x2c96}, {0x2c98, 0x2c98}, {0x2c9a, 0x2c9a}, {0x2c9c, 0x2c9c}, {0x2c9e, 0x2c9e},
  {0x2ca0, 0x2ca0}, {0x2ca2, 0x2ca2}, {0x2ca4, 0x2ca4}, {0x2ca6, 0x2ca6}, {0x2ca8, 0x2ca8}, {0x2caa, 0x2caa}, {0x2cac, 0x2cac}, {0x2cae, 0x2cae},
  {0x2cb0, 0x2cb0}, {0x2cb2, 0x2cb2}, {0x2cb4, 0x2cb4}, {0x2cb6, 0x2cb6}, {0x2cb8, 0x2cb8}, {0x2cba, 0x2cba}, {0x2cbc, 0x2cbc}, {0x2cbe, 0x2cbe},
  {0x2cc0, 0x2cc0}, {0x2cc2, 0x2cc2}, {0x2cc4, 0x2cc4}, {0x2cc6, 0x2cc6}, {0x2cc8, 0x2cc8}, {0x2cca, 0x2cca}, {0x2ccc, 0x2ccc}, {0x2cce, 0x2cce},
  {0x2cd0, 0x2cd0}, {0x2cd2, 0x2cd2}, {0x2cd4, 0x2cd4}, {0x2cd6, 0x2cd6}, {0x2cd8, 0x2cd8}, {0x2cda, 0x2cda}, {0x2cdc, 0x2cdc}, {0x2cde, 0x2cde},
  {0x2ce0, 0x2ce0}, {0x2ce2, 0x2ce2}, {0x2ceb, 0x2ceb}, {0x2ced, 0x2ced}, {0x2cf2, 0x2cf2}, {0xa640, 0xa640}, {0xa642, 0xa642}, {0xa644, 0xa644},
  {0xa646, 0xa646}, {0xa648, 0xa648}, {0xa64a, 0xa64a}, {0xa64c, 0xa64c}, {0xa64e, 0xa64e}, {0xa650, 0xa650}, {0xa652, 0xa652}, {0xa654, 0xa654},
  {0xa656, 0xa656}, {0xa658, 0xa658}, {0xa65a, 0xa65a}, {0xa65c, 0xa65c}, {0xa65e, 0xa65e}, {0xa660, 0xa660}, {0xa662, 0xa662}, {0xa664, 0xa664},
  {0xa666, 0xa666}, {0xa668, 0xa668}, {0xa66a, 0xa66a}, {0xa66c, 0xa66c}, {0xa680, 0xa680}, {0xa682, 0xa682}, {0xa684, 0xa684}, {0xa686, 0xa686},
  {0xa688, 0xa688}, {0xa68a, 0xa68a}, {0xa68c, 0xa68c}, {0xa68e, 0xa68e}, {0xa690, 0xa690}, {0xa692, 0xa692}, {0xa694, 0xa694}, {0xa696, 0xa696},
  {0xa698, 0xa698}, {0xa69a, 0xa69a}, {0xa722, 0xa722}, {0xa724, 0xa724}, {0xa726, 0xa726}, {0xa728, 0xa728}, {0xa72a, 0xa72a}, {0xa72c, 0xa72c},
  {0xa72e, 0xa72e}, {0xa732, 0xa732}, {0xa734, 0xa734}, {0xa736, 0xa736}, {0xa738, 0xa738}, {0xa73a, 0xa73a}, {0xa73c, 0xa73c}, {0xa73e, 0xa73e},
  {0xa740, 0xa740}, {0xa742, 0xa742}, {0xa744, 0xa744}, {0xa746, 0xa746}, {0xa748, 0xa748}, {0xa74a, 0xa74a}, {0xa74c, 0xa74c}, {0xa74e, 0xa74e},
  {0xa750, 0xa750}, {0xa752, 0xa752}, {0xa754, 0xa754}, {0xa756, 0xa756}, {0xa758, 0xa758}, {0xa75a, 0xa75a}, {0xa75c, 0xa75c}, {0xa75e, 0xa75e},
  {0xa760, 0xa760}, {0xa762, 0xa762}, {0xa764, 0xa764}, {0xa766, 0xa766}, {0xa768, 0xa768}, {0xa76a, 0xa76a}, {0xa76c, 0xa76c}, {0xa76e, 0xa76e},
  {0xa779, 0xa779}, {0xa77b, 0xa77b}, {0xa77d, 0xa77e}, {0xa780, 0xa780}, {0xa782, 0xa782}, {0xa784, 0xa784}, {0xa786, 0xa786}, {0xa78b, 0xa78b},
  {0xa78d, 0xa78d}, {0xa790, 0xa790}, {0xa792, 0xa792}, {0xa796, 0xa796}, {0xa798, 0xa798}, {0xa79a, 0xa79a}, {0xa79c, 0xa79c}, {0xa79e, 0xa79e},
  {0xa7a0, 0xa7a0}, {0xa7a2, 0xa7a2}, {0xa7a4, 0xa7a4}, {0xa7a6, 0xa7a6}, {0xa7a8, 0xa7a8}, {0xa7aa, 0xa7ae}, {0xa7b0, 0xa7b4}, {0xa7b6, 0xa7b6},
  {0xa7b8, 0xa7b8}, {0xa7ba, 0xa7ba}, {0xa7bc, 0xa7bc}, {0xa7be, 0xa7be}, {0xa7c0, 0xa7c0}, {0xa7c2, 0xa7c2}, {0xa7c4, 0xa7c7}, {0xa7c9, 0xa7c9},
  {0xa7d0, 0xa7d0}, {0xa7d6, 0xa7d6}, {0xa7d8, 0xa7d8}, {0xa7f5, 0xa7f5}, {0xff21, 0xff3a}, {0x10400, 0x10427}, {0x104b0, 0x104d3}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '!', 489,
        '"', 629,
        '#', 569,
        '$', 435,
        '%', 603,
        '&', 565,
        '\'', 625,
        '(', 478,
        ')', 479,
        '*', 523,
        '+', 488,
        ',', 486,
        '-', 491,
        '.', 520,
        '0', 606,
        ':', 473,
        ';', 531,
        '<', 567,
        '=', 466,
        '>', 563,
        '?', 469,
        '@', 669,
        '[', 498,
        '\\', 2,
        ']', 509,
        '^', 671,
        '`', 835,
        'a', 760,
        'c', 754,
        'd', 780,
        'e', 748,
        'i', 761,
        'l', 719,
        'm', 692,
        'o', 792,
        't', 740,
        'v', 690,
        'w', 744,
        '{', 526,
        '|', 495,
        '}', 532,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(451);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(637);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 637,
        '\r', 1,
        '#', 450,
        'o', 432,
        'u', 423,
        'x', 449,
        ' ', 643,
        '"', 643,
        '\'', 643,
        '\\', 643,
        'b', 643,
        'n', 643,
        'r', 643,
        't', 643,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(439);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 637,
        '\r', 1,
        'o', 432,
        'u', 423,
        'x', 449,
        ' ', 643,
        '"', 643,
        '\'', 643,
        '\\', 643,
        'b', 643,
        'n', 643,
        'r', 643,
        't', 643,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(439);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(626);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(628);
      if (lookahead == '\\') ADVANCE(380);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(627);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(627);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(626);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(380);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(298);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 489,
        '%', 603,
        '\'', 834,
        '(', 478,
        '+', 487,
        '-', 490,
        '.', 278,
        '[', 508,
        '\\', 225,
        '{', 524,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 489,
        '\'', 834,
        '(', 478,
        '+', 487,
        '-', 490,
        '.', 836,
        '[', 508,
        '\\', 225,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(489);
      if (lookahead == '(') ADVANCE(478);
      if (lookahead == '[') ADVANCE(504);
      if (lookahead == '\\') ADVANCE(225);
      if (lookahead == 'l') ADVANCE(719);
      if (lookahead == '{') ADVANCE(267);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '\'', 624,
        '(', 478,
        ')', 479,
        ',', 486,
        '.', 519,
        '0', 606,
        ':', 511,
        ';', 530,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        '{', 528,
        '|', 494,
        '~', 468,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '\'', 624,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        '0', 606,
        ':', 471,
        ';', 287,
        '=', 466,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 526,
        '|', 493,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '\'', 624,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        '0', 606,
        ':', 471,
        ';', 287,
        '=', 466,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 526,
        '|', 493,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '\'', 624,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        '0', 606,
        ':', 477,
        '=', 466,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'c', 784,
        'e', 769,
        'i', 765,
        'm', 729,
        'v', 690,
        '{', 526,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '\'', 624,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        '0', 606,
        ':', 294,
        '=', 466,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'c', 784,
        'e', 769,
        'i', 765,
        'm', 729,
        'v', 690,
        '{', 526,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '\'', 624,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        '0', 606,
        ';', 287,
        '=', 466,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 526,
        '|', 493,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '\'', 624,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        '0', 606,
        ';', 287,
        '=', 466,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 526,
        '|', 493,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '\'', 624,
        '(', 478,
        '.', 519,
        '0', 606,
        ';', 287,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '\'', 624,
        '(', 478,
        '.', 519,
        '0', 606,
        ';', 287,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        ')', 479,
        '.', 836,
        '0', 606,
        ':', 510,
        ';', 287,
        '<', 277,
        '>', 426,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 695,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        ')', 479,
        '.', 519,
        '0', 606,
        ':', 289,
        ';', 287,
        '=', 466,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 695,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        ';', 287,
        '?', 446,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 761,
        'l', 719,
        'm', 695,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        ';', 287,
        '?', 446,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 695,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        ';', 287,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 761,
        'l', 719,
        'm', 695,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        ';', 287,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 695,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 471,
        ';', 287,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 471,
        ';', 287,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '\'', 624,
        '(', 478,
        '0', 606,
        ';', 287,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 833,
        '$', 435,
        '\'', 624,
        '(', 478,
        '0', 606,
        ';', 287,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 526,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        ')', 479,
        '+', 618,
        '-', 619,
        '.', 519,
        '0', 606,
        ':', 518,
        '?', 446,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'l', 719,
        'm', 698,
        '{', 528,
        '|', 300,
        '}', 532,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        ';', 530,
        '=', 466,
        '>', 426,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'c', 784,
        'e', 769,
        'i', 765,
        'l', 719,
        'm', 694,
        'v', 690,
        '{', 526,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'd', 780,
        'l', 719,
        'm', 698,
        '{', 528,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'd', 782,
        'l', 719,
        'm', 698,
        't', 781,
        '{', 528,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'd', 791,
        'l', 719,
        'm', 698,
        '{', 528,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'e', 769,
        'l', 719,
        'm', 698,
        '{', 528,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'l', 719,
        'm', 698,
        't', 741,
        '{', 528,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'l', 719,
        'm', 698,
        'w', 744,
        '{', 528,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        '?', 446,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 760,
        'i', 766,
        'l', 719,
        'm', 698,
        '{', 528,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '\'', 624,
        '(', 478,
        ')', 479,
        ',', 486,
        '-', 293,
        '.', 836,
        '0', 606,
        ':', 511,
        ';', 530,
        '=', 466,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        '{', 528,
        '|', 493,
        '}', 532,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '\'', 624,
        '(', 478,
        ')', 479,
        ',', 486,
        '-', 293,
        '.', 836,
        '0', 606,
        ':', 472,
        ';', 530,
        '=', 466,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        '{', 528,
        '|', 493,
        '}', 532,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '$', 435,
        '\'', 624,
        '(', 478,
        '.', 836,
        '0', 606,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'l', 719,
        'm', 698,
        '{', 528,
        '~', 468,
        '+', 618,
        '-', 618,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 784,
        'e', 749,
        'i', 765,
        'l', 702,
        'm', 693,
        'o', 796,
        'v', 690,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '.', 519,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 673,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '.', 519,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 673,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 496,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '.', 519,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 673,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '.', 519,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 673,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 496,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 784,
        'e', 749,
        'i', 765,
        'l', 704,
        'm', 728,
        'o', 796,
        'v', 690,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 784,
        'e', 769,
        'i', 765,
        'l', 704,
        'm', 728,
        'o', 796,
        'v', 690,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 780,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 780,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 782,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        't', 781,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 782,
        'l', 704,
        'm', 789,
        'o', 796,
        't', 781,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 791,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 791,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 749,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(81);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        't', 741,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        'w', 744,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 769,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        't', 741,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        'w', 744,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 759,
        'e', 751,
        'i', 766,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 474,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 759,
        'i', 766,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 823,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 750,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 750,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 750,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 748,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 748,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 768,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 748,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 784,
        'e', 749,
        'i', 765,
        'l', 704,
        'm', 728,
        'o', 796,
        'v', 690,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 784,
        'e', 769,
        'i', 765,
        'l', 704,
        'm', 728,
        'o', 796,
        'v', 690,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 780,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 780,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 782,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        't', 781,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 782,
        'l', 704,
        'm', 789,
        'o', 796,
        't', 781,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 791,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 791,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 749,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(81);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        't', 741,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        'w', 744,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 769,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        't', 741,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        'w', 744,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 759,
        'e', 751,
        'i', 766,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 673,
        '?', 470,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 759,
        'i', 766,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 775,
        'e', 824,
        'l', 703,
        'm', 696,
        'o', 796,
        't', 825,
        '{', 527,
        '|', 424,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 775,
        'e', 824,
        'l', 703,
        'm', 696,
        'o', 796,
        '{', 527,
        '|', 424,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 775,
        'l', 703,
        'm', 696,
        'o', 796,
        't', 825,
        '{', 527,
        '|', 424,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 569,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 775,
        'l', 703,
        'm', 696,
        'o', 796,
        '{', 527,
        '|', 424,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 748,
        'i', 761,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 823,
        'i', 761,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 750,
        'i', 761,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 750,
        'i', 770,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 750,
        'i', 770,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 748,
        'i', 761,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 748,
        'i', 770,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 768,
        'i', 761,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 748,
        'i', 770,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 702,
        'm', 696,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 823,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 750,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(120);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 750,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(121);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(122);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 750,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(123);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 748,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 748,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 768,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 748,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 474,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 823,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 750,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(120);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 750,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(121);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(122);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 750,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(123);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 748,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 748,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 768,
        'i', 761,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 759,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 748,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 833,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '0', 606,
        ':', 284,
        ';', 531,
        '<', 674,
        '?', 470,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 702,
        'm', 788,
        'o', 792,
        't', 825,
        '{', 526,
        '|', 497,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '#', 445,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        '-', 621,
        '.', 519,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 775,
        'l', 702,
        'm', 696,
        'o', 796,
        '{', 528,
        '|', 301,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '/', 665,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 446,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '}', 532,
        '~', 468,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '/', 665,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 446,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '}', 532,
        '~', 468,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 805,
        'c', 784,
        'e', 769,
        'i', 765,
        'l', 702,
        'm', 693,
        'o', 796,
        'v', 690,
        '{', 526,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 780,
        'e', 751,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 780,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 782,
        'e', 751,
        'l', 702,
        'm', 697,
        'o', 796,
        't', 781,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 782,
        'l', 702,
        'm', 697,
        'o', 796,
        't', 781,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 791,
        'e', 751,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'd', 791,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 749,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 702,
        'm', 697,
        'o', 796,
        't', 741,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 702,
        'm', 697,
        'o', 796,
        'w', 744,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 496,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'e', 769,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'l', 702,
        'm', 697,
        'o', 796,
        't', 741,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'l', 702,
        'm', 697,
        'o', 796,
        'w', 744,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 505,
        '\\', 225,
        '`', 835,
        'a', 805,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 496,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 759,
        'e', 751,
        'i', 766,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '%', 604,
        '&', 680,
        '\'', 624,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '/', 665,
        '0', 606,
        ':', 284,
        ';', 530,
        '<', 674,
        '?', 446,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 759,
        'i', 766,
        'l', 702,
        'm', 697,
        'o', 796,
        '{', 528,
        '|', 497,
        '~', 468,
        '@', 671,
        '^', 671,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '0', 606,
        ':', 475,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '0', 606,
        ':', 475,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 496,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '0', 606,
        ':', 475,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '0', 606,
        ':', 475,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 496,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(157);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'e', 751,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 496,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 497,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '!', 652,
        '"', 629,
        '$', 676,
        '&', 680,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '0', 606,
        ':', 514,
        ';', 530,
        '<', 674,
        '=', 677,
        '>', 675,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 805,
        'l', 704,
        'm', 789,
        'o', 796,
        '{', 528,
        '|', 496,
        '}', 532,
        '~', 468,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(157);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '!', 652,
        '#', 445,
        '&', 680,
        ')', 479,
        '*', 662,
        '+', 620,
        '-', 621,
        '.', 519,
        ':', 291,
        '<', 674,
        '[', 296,
        'a', 376,
        'l', 305,
        'm', 310,
        'o', 396,
        '|', 424,
        '%', 665,
        '/', 665,
        '?', 446,
        '~', 446,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(158);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '!', 292,
        '"', 629,
        '#', 833,
        '&', 680,
        '\'', 625,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        ':', 514,
        ';', 531,
        '<', 674,
        '[', 501,
        ']', 509,
        'a', 362,
        'c', 358,
        'd', 381,
        'e', 353,
        'i', 363,
        'l', 304,
        'm', 330,
        'o', 393,
        't', 344,
        'v', 302,
        'w', 346,
        '{', 525,
        '|', 497,
        '}', 532,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '!', 292,
        '"', 629,
        '#', 833,
        '&', 680,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        ':', 514,
        ';', 531,
        '<', 674,
        '[', 501,
        ']', 509,
        'a', 362,
        'c', 358,
        'd', 381,
        'e', 353,
        'i', 363,
        'l', 304,
        'm', 330,
        'o', 393,
        't', 344,
        'v', 302,
        'w', 346,
        '{', 525,
        '|', 497,
        '}', 532,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(160);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '!', 292,
        '#', 569,
        '&', 680,
        '(', 478,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        ':', 513,
        ';', 531,
        '<', 674,
        '[', 261,
        ']', 509,
        'a', 362,
        'c', 357,
        'd', 382,
        'e', 353,
        'i', 367,
        'l', 304,
        'm', 388,
        'o', 393,
        't', 384,
        'v', 302,
        'w', 346,
        '{', 262,
        '|', 497,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '!', 292,
        '#', 569,
        '&', 680,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '.', 519,
        ':', 514,
        ';', 530,
        '<', 674,
        '>', 675,
        '[', 269,
        ']', 509,
        'a', 403,
        'c', 387,
        'd', 381,
        'e', 352,
        'i', 368,
        'l', 306,
        'm', 331,
        'o', 396,
        't', 343,
        'v', 302,
        'w', 346,
        '{', 270,
        '|', 497,
        '}', 532,
        '$', 677,
        '=', 677,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '!', 292,
        '#', 569,
        '&', 680,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '.', 519,
        ':', 514,
        ';', 530,
        '<', 674,
        '>', 675,
        '[', 269,
        ']', 509,
        'a', 403,
        'c', 387,
        'd', 381,
        'e', 352,
        'i', 368,
        'l', 306,
        'm', 331,
        'o', 396,
        't', 343,
        'v', 302,
        'w', 346,
        '{', 270,
        '|', 496,
        '}', 532,
        '$', 677,
        '=', 677,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '!', 292,
        '#', 569,
        '&', 680,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        ':', 474,
        ';', 530,
        '<', 674,
        '[', 297,
        'a', 362,
        'd', 382,
        'e', 351,
        'i', 369,
        'l', 306,
        'm', 389,
        'o', 396,
        't', 383,
        '|', 497,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '!', 292,
        '#', 569,
        '&', 680,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        '.', 519,
        ':', 284,
        ';', 530,
        '<', 674,
        '[', 297,
        'a', 362,
        'd', 382,
        'e', 351,
        'i', 369,
        'l', 306,
        'm', 389,
        'o', 396,
        't', 383,
        '|', 497,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '!', 292,
        '#', 833,
        '&', 680,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        ':', 474,
        ';', 531,
        '<', 674,
        '[', 269,
        ']', 509,
        'a', 362,
        'c', 357,
        'd', 382,
        'e', 353,
        'i', 367,
        'l', 304,
        'm', 388,
        'o', 393,
        't', 384,
        'v', 302,
        '{', 270,
        '|', 497,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '!', 292,
        '#', 833,
        '&', 680,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 621,
        ':', 284,
        ';', 531,
        '<', 674,
        '[', 269,
        ']', 509,
        'a', 362,
        'c', 357,
        'd', 382,
        'e', 353,
        'i', 367,
        'l', 304,
        'm', 388,
        'o', 393,
        't', 384,
        'v', 302,
        '{', 270,
        '|', 497,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
        '$', 677,
        '=', 677,
        '>', 677,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '!', 292,
        '&', 680,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '.', 836,
        ':', 475,
        ';', 530,
        '<', 674,
        '>', 675,
        '[', 269,
        ']', 509,
        'a', 403,
        'c', 387,
        'd', 381,
        'e', 352,
        'i', 368,
        'l', 306,
        'm', 331,
        'o', 396,
        't', 343,
        'v', 302,
        'w', 346,
        '{', 270,
        '|', 496,
        '}', 532,
        '$', 677,
        '=', 677,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '!', 292,
        '&', 680,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        '.', 836,
        ':', 514,
        ';', 530,
        '<', 674,
        '>', 675,
        '[', 269,
        ']', 509,
        'a', 403,
        'c', 387,
        'd', 381,
        'e', 352,
        'i', 368,
        'l', 306,
        'm', 331,
        'o', 396,
        't', 343,
        'v', 302,
        'w', 346,
        '{', 270,
        '|', 496,
        '}', 532,
        '$', 677,
        '=', 677,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '!', 292,
        '&', 680,
        '(', 478,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        ':', 514,
        ';', 530,
        '<', 674,
        '>', 675,
        '[', 266,
        ']', 509,
        'a', 362,
        'd', 381,
        'e', 352,
        'i', 369,
        'l', 306,
        'm', 389,
        'o', 396,
        't', 343,
        'w', 346,
        '{', 267,
        '|', 496,
        '}', 532,
        '$', 677,
        '=', 677,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '!', 292,
        '&', 680,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        ':', 475,
        ';', 530,
        '<', 674,
        '>', 675,
        '[', 269,
        ']', 509,
        'a', 403,
        'c', 387,
        'd', 381,
        'e', 352,
        'i', 368,
        'l', 306,
        'm', 331,
        'o', 396,
        't', 343,
        'v', 302,
        'w', 346,
        '{', 270,
        '|', 497,
        '}', 532,
        '$', 677,
        '=', 677,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '!', 292,
        '&', 680,
        ')', 479,
        '*', 662,
        '+', 620,
        ',', 486,
        '-', 622,
        ':', 514,
        ';', 530,
        '<', 674,
        '>', 675,
        '[', 269,
        ']', 509,
        'a', 403,
        'c', 387,
        'd', 381,
        'e', 352,
        'i', 368,
        'l', 306,
        'm', 331,
        'o', 396,
        't', 343,
        'v', 302,
        'w', 346,
        '{', 270,
        '|', 497,
        '}', 532,
        '$', 677,
        '=', 677,
        '%', 665,
        '/', 665,
        '@', 671,
        '^', 671,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '%', 603,
        '\'', 624,
        '(', 478,
        ')', 479,
        '+', 617,
        ',', 486,
        '-', 623,
        '.', 519,
        '0', 606,
        ':', 511,
        ';', 530,
        '=', 466,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        'e', 824,
        '{', 527,
        '|', 493,
        '}', 532,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '%', 603,
        '\'', 624,
        '(', 478,
        '+', 617,
        ',', 486,
        '-', 623,
        '.', 836,
        '0', 606,
        ':', 515,
        ';', 530,
        '=', 466,
        '>', 426,
        '?', 469,
        '[', 505,
        '\\', 225,
        '`', 835,
        '{', 527,
        '|', 494,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        '[', 505,
        '\\', 225,
        '`', 835,
        'e', 824,
        'm', 785,
        'o', 793,
        '{', 527,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '%', 603,
        '\'', 624,
        '(', 478,
        '0', 606,
        '[', 505,
        '\\', 225,
        '`', 835,
        'o', 793,
        '{', 527,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 523,
        '+', 617,
        ',', 486,
        '-', 623,
        '.', 519,
        '0', 606,
        ':', 515,
        ';', 530,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'c', 784,
        'e', 769,
        'i', 765,
        'm', 729,
        'v', 690,
        '{', 525,
        '|', 493,
        '}', 532,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ')', 479,
        '+', 617,
        ',', 486,
        '-', 623,
        '.', 519,
        '0', 606,
        ':', 515,
        ';', 530,
        '=', 466,
        '?', 469,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        '{', 527,
        '|', 493,
        '}', 532,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '*', 523,
        '+', 617,
        '-', 623,
        '.', 519,
        '0', 606,
        ':', 510,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '*', 523,
        '+', 617,
        '-', 623,
        '.', 519,
        '0', 606,
        ':', 510,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 525,
        '|', 493,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '*', 523,
        '+', 617,
        '-', 623,
        '.', 519,
        '0', 606,
        ':', 510,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '*', 523,
        '+', 617,
        '-', 623,
        '.', 519,
        '0', 606,
        ':', 510,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 525,
        '|', 493,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '+', 617,
        ',', 486,
        '-', 623,
        '.', 278,
        '0', 606,
        ':', 515,
        ';', 530,
        '=', 466,
        '?', 469,
        '[', 505,
        '\\', 225,
        '`', 835,
        '{', 527,
        '|', 494,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '+', 617,
        ',', 486,
        '-', 623,
        '.', 278,
        '0', 606,
        ':', 476,
        ';', 530,
        '=', 466,
        '?', 469,
        '[', 505,
        '\\', 225,
        '`', 835,
        '{', 527,
        '|', 494,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 278,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 761,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 278,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 278,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 761,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 278,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 278,
        '0', 606,
        ':', 515,
        '=', 466,
        '?', 469,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 760,
        'i', 766,
        '{', 527,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 519,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 761,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 519,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 519,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 761,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 519,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 519,
        '0', 606,
        ':', 515,
        '=', 466,
        '?', 469,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 760,
        'i', 766,
        '{', 527,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '.', 519,
        '0', 606,
        ':', 282,
        ';', 530,
        '[', 505,
        '\\', 225,
        '`', 835,
        'e', 824,
        '{', 527,
        '|', 494,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 761,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 761,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 515,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 515,
        '=', 466,
        '?', 469,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 760,
        'i', 766,
        '{', 527,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 476,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 761,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 476,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 476,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 761,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 476,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 760,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        ',', 486,
        '0', 606,
        ':', 476,
        '=', 466,
        '?', 469,
        '[', 506,
        '\\', 225,
        '`', 835,
        'a', 760,
        'i', 766,
        '{', 527,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '.', 836,
        '0', 606,
        '[', 505,
        '\\', 225,
        '`', 835,
        'e', 824,
        '{', 527,
        '|', 493,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 510,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 510,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 510,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 510,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 510,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'c', 784,
        'e', 769,
        'i', 765,
        'm', 729,
        'v', 690,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 471,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 471,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        ']', 509,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 471,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 471,
        ';', 287,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '"', 629,
        '#', 568,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 471,
        '=', 466,
        '?', 469,
        '[', 502,
        '\\', 225,
        '`', 835,
        'c', 784,
        'e', 769,
        'i', 765,
        'm', 729,
        'v', 690,
        '{', 525,
        '~', 467,
        '+', 617,
        '-', 617,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '"', 629,
        '#', 833,
        '\'', 624,
        '(', 478,
        ')', 479,
        ',', 486,
        '0', 606,
        ':', 511,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 529,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '"', 629,
        '#', 833,
        '\'', 624,
        '(', 478,
        '0', 606,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 529,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 219:
      if (lookahead == '"') ADVANCE(629);
      if (lookahead == '%') ADVANCE(632);
      if (lookahead == '@') ADVANCE(633);
      if (lookahead == '[') ADVANCE(634);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(630);
      if (lookahead != 0) ADVANCE(635);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '#', 569,
        '(', 478,
        ')', 479,
        ',', 486,
        '-', 293,
        '.', 519,
        ':', 283,
        ';', 530,
        '=', 466,
        '[', 266,
        '\\', 225,
        'a', 776,
        'i', 766,
        'w', 744,
        '{', 267,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '#', 569,
        '(', 478,
        '*', 523,
        ',', 486,
        '-', 293,
        '.', 519,
        ':', 516,
        ';', 530,
        '=', 466,
        '[', 266,
        'a', 374,
        'c', 387,
        'i', 369,
        'w', 346,
        '{', 267,
        '}', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '#', 569,
        ')', 479,
        ',', 486,
        '-', 293,
        '.', 520,
        ':', 511,
        ';', 530,
        '=', 466,
        '[', 296,
        '\\', 225,
        ']', 509,
        'w', 744,
        '|', 493,
        '}', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '#', 569,
        ')', 479,
        ',', 486,
        '-', 293,
        '.', 519,
        ':', 511,
        ';', 530,
        '=', 466,
        '>', 563,
        '[', 296,
        '\\', 225,
        ']', 509,
        '`', 835,
        'w', 744,
        '|', 493,
        '}', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '#', 569,
        ')', 479,
        ',', 486,
        '-', 293,
        '.', 519,
        ':', 511,
        ';', 530,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'c', 784,
        'e', 769,
        'i', 765,
        'm', 729,
        'v', 690,
        'w', 744,
        '{', 270,
        '|', 493,
        '}', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 225:
      if (lookahead == '#') ADVANCE(450);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '#', 568,
        '%', 603,
        '\'', 834,
        '(', 478,
        ')', 479,
        '-', 293,
        ':', 282,
        '<', 566,
        '?', 469,
        '[', 503,
        '\\', 225,
        'm', 785,
        '{', 267,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '#', 568,
        '%', 603,
        '\'', 834,
        '(', 478,
        '<', 566,
        '?', 469,
        '[', 503,
        '\\', 225,
        't', 825,
        '{', 267,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        ':', 510,
        ';', 287,
        '<', 566,
        '=', 466,
        '?', 469,
        '[', 500,
        '\\', 225,
        ']', 509,
        'c', 755,
        'e', 823,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 262,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 507,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 823,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 507,
        '\\', 225,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        ';', 287,
        '[', 507,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '(', 478,
        '*', 523,
        '-', 293,
        '.', 519,
        ';', 287,
        '[', 507,
        '\\', 225,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 233:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '(', 478,
        '<', 566,
        '?', 469,
        '[', 503,
        '\\', 225,
        'l', 734,
        '{', 267,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        ',', 486,
        '-', 293,
        '.', 519,
        ':', 511,
        ';', 530,
        '=', 466,
        '[', 297,
        '\\', 225,
        'i', 766,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        '-', 293,
        '.', 519,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        '-', 293,
        '.', 519,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'c', 755,
        'e', 768,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        '-', 293,
        '.', 519,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        '-', 293,
        '.', 519,
        ':', 510,
        '[', 269,
        '\\', 225,
        'c', 784,
        'e', 769,
        'i', 772,
        'm', 729,
        'v', 690,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        '-', 293,
        '.', 519,
        ':', 294,
        '=', 466,
        '[', 269,
        '\\', 225,
        'c', 784,
        'e', 769,
        'i', 765,
        'm', 729,
        'v', 690,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        '-', 293,
        '.', 519,
        ';', 287,
        '[', 269,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        '-', 293,
        '.', 519,
        ';', 287,
        '[', 269,
        '\\', 225,
        ']', 509,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        '-', 293,
        '.', 519,
        ';', 287,
        '[', 269,
        '\\', 225,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '#', 568,
        '\'', 834,
        '*', 523,
        '-', 293,
        '.', 519,
        ';', 287,
        '[', 269,
        '\\', 225,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '#', 568,
        ')', 479,
        '*', 523,
        '-', 293,
        ':', 518,
        '[', 296,
        '\\', 225,
        'a', 776,
        'c', 784,
        'w', 744,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '#', 568,
        '*', 523,
        '-', 293,
        ':', 516,
        ';', 530,
        '=', 466,
        '>', 563,
        '[', 297,
        '\\', 225,
        'a', 776,
        'c', 784,
        'i', 766,
        'w', 744,
        '}', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 246:
      ADVANCE_MAP(
        '#', 568,
        '*', 523,
        '-', 293,
        ':', 516,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        'w', 744,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '#', 568,
        '*', 523,
        '-', 293,
        ':', 516,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 823,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        'w', 744,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '#', 568,
        '*', 523,
        '-', 293,
        ':', 516,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        'w', 744,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 249:
      ADVANCE_MAP(
        '#', 568,
        '*', 523,
        '-', 293,
        ':', 516,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 770,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        'w', 744,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 250:
      ADVANCE_MAP(
        '#', 833,
        '%', 603,
        '(', 478,
        ')', 479,
        '*', 523,
        '+', 288,
        '-', 293,
        '.', 519,
        ':', 517,
        ';', 287,
        '=', 466,
        '[', 261,
        ']', 509,
        'a', 374,
        'c', 358,
        'e', 371,
        'i', 363,
        'l', 323,
        'm', 332,
        'o', 392,
        't', 421,
        'v', 302,
        'w', 346,
        '{', 262,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250);
      END_STATE();
    case 251:
      ADVANCE_MAP(
        '#', 833,
        '(', 478,
        ')', 479,
        ',', 486,
        '-', 293,
        '.', 519,
        ':', 511,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 252:
      ADVANCE_MAP(
        '#', 833,
        '(', 478,
        '*', 523,
        '-', 293,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 507,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 253:
      ADVANCE_MAP(
        '#', 833,
        '(', 478,
        '*', 523,
        '-', 293,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 507,
        '\\', 225,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(253);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 254:
      ADVANCE_MAP(
        '#', 833,
        '(', 478,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 507,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 755,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 255:
      ADVANCE_MAP(
        '#', 833,
        '(', 478,
        ':', 510,
        ';', 287,
        '=', 466,
        '[', 507,
        '\\', 225,
        'a', 776,
        'c', 755,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 256:
      ADVANCE_MAP(
        '#', 833,
        ')', 479,
        '-', 293,
        ':', 290,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        'v', 690,
        'w', 744,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 257:
      ADVANCE_MAP(
        '#', 833,
        ')', 479,
        ':', 510,
        ';', 287,
        '[', 269,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 767,
        'l', 719,
        'm', 727,
        'o', 793,
        't', 825,
        'v', 690,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 258:
      ADVANCE_MAP(
        '#', 833,
        '*', 523,
        '-', 293,
        ':', 289,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 823,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        'w', 744,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 259:
      ADVANCE_MAP(
        '#', 833,
        '*', 523,
        '-', 293,
        ':', 289,
        ';', 287,
        '=', 466,
        '[', 269,
        '\\', 225,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 770,
        'l', 719,
        'm', 785,
        'o', 793,
        't', 825,
        'w', 744,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 260:
      if (lookahead == '%') ADVANCE(603);
      if (lookahead == '[') ADVANCE(508);
      if (lookahead == '\\') ADVANCE(225);
      if (lookahead == 't') ADVANCE(825);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 261:
      if (lookahead == '%') ADVANCE(597);
      if (lookahead == '@') ADVANCE(591);
      END_STATE();
    case 262:
      if (lookahead == '%') ADVANCE(599);
      END_STATE();
    case 263:
      if (lookahead == '%') ADVANCE(601);
      END_STATE();
    case 264:
      if (lookahead == '%') ADVANCE(602);
      END_STATE();
    case 265:
      if (lookahead == '%') ADVANCE(596);
      if (lookahead == '@') ADVANCE(590);
      END_STATE();
    case 266:
      if (lookahead == '%') ADVANCE(596);
      if (lookahead == '@') ADVANCE(592);
      END_STATE();
    case 267:
      if (lookahead == '%') ADVANCE(598);
      END_STATE();
    case 268:
      if (lookahead == '%') ADVANCE(639);
      if (lookahead == '@') ADVANCE(640);
      if (lookahead == '[') ADVANCE(641);
      if (lookahead == '|') ADVANCE(638);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(630);
      if (lookahead != 0) ADVANCE(642);
      END_STATE();
    case 269:
      if (lookahead == '%') ADVANCE(263);
      if (lookahead == '@') ADVANCE(591);
      END_STATE();
    case 270:
      if (lookahead == '%') ADVANCE(264);
      END_STATE();
    case 271:
      if (lookahead == '(') ADVANCE(478);
      if (lookahead == ')') ADVANCE(479);
      if (lookahead == '[') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(225);
      if (lookahead == 'v') ADVANCE(690);
      if (lookahead == '{') ADVANCE(267);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(686);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 272:
      if (lookahead == '(') ADVANCE(478);
      if (lookahead == '-') ADVANCE(293);
      if (lookahead == '.') ADVANCE(836);
      if (lookahead == '[') ADVANCE(504);
      if (lookahead == '\\') ADVANCE(225);
      if (lookahead == 'm') ADVANCE(785);
      if (lookahead == '{') ADVANCE(267);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 273:
      if (lookahead == '(') ADVANCE(478);
      if (lookahead == '[') ADVANCE(508);
      if (lookahead == '\\') ADVANCE(225);
      if (lookahead == '{') ADVANCE(524);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(686);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 274:
      if (lookahead == '*') ADVANCE(281);
      if (lookahead == '.') ADVANCE(275);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(648);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(280);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(647);
      END_STATE();
    case 275:
      if (lookahead == '*') ADVANCE(431);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(648);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(430);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(647);
      END_STATE();
    case 276:
      ADVANCE_MAP(
        ',', 486,
        '.', 519,
        ':', 511,
        ';', 530,
        '=', 466,
        '[', 297,
        '\\', 225,
        ']', 509,
        'i', 766,
        '|', 493,
        '}', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 277:
      if (lookahead == '-') ADVANCE(573);
      END_STATE();
    case 278:
      if (lookahead == '.') ADVANCE(484);
      END_STATE();
    case 279:
      if (lookahead == '.') ADVANCE(836);
      if (lookahead == '[') ADVANCE(296);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(600);
      END_STATE();
    case 280:
      if (lookahead == '.') ADVANCE(275);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(648);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(280);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(647);
      END_STATE();
    case 281:
      if (lookahead == '.') ADVANCE(275);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(648);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(647);
      END_STATE();
    case 282:
      if (lookahead == ':') ADVANCE(570);
      END_STATE();
    case 283:
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '=') ADVANCE(492);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 284:
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '=') ADVANCE(685);
      END_STATE();
    case 285:
      ADVANCE_MAP(
        ':', 518,
        ';', 530,
        '=', 466,
        '>', 426,
        '[', 269,
        'c', 387,
        'e', 370,
        'i', 368,
        'm', 329,
        'v', 302,
        '{', 270,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285);
      END_STATE();
    case 286:
      ADVANCE_MAP(
        ':', 294,
        ';', 530,
        '=', 466,
        '>', 563,
        '[', 269,
        'c', 387,
        'e', 370,
        'i', 368,
        'm', 329,
        'v', 302,
        '{', 270,
        '}', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(286);
      END_STATE();
    case 287:
      if (lookahead == ';') ADVANCE(457);
      END_STATE();
    case 288:
      if (lookahead == '=') ADVANCE(485);
      END_STATE();
    case 289:
      if (lookahead == '=') ADVANCE(492);
      END_STATE();
    case 290:
      if (lookahead == '=') ADVANCE(492);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 291:
      if (lookahead == '=') ADVANCE(685);
      END_STATE();
    case 292:
      if (lookahead == '=') ADVANCE(672);
      END_STATE();
    case 293:
      if (lookahead == '>') ADVANCE(521);
      END_STATE();
    case 294:
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 295:
      if (lookahead == '>') ADVANCE(649);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      END_STATE();
    case 296:
      if (lookahead == '@') ADVANCE(590);
      END_STATE();
    case 297:
      if (lookahead == '@') ADVANCE(592);
      END_STATE();
    case 298:
      if (lookahead == '[') ADVANCE(296);
      if (lookahead == '\\') ADVANCE(380);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(298);
      END_STATE();
    case 299:
      if (lookahead == '[') ADVANCE(504);
      if (lookahead == '\\') ADVANCE(225);
      if (lookahead == 'l') ADVANCE(734);
      if (lookahead == '{') ADVANCE(267);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(299);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 300:
      if (lookahead == ']') ADVANCE(572);
      END_STATE();
    case 301:
      if (lookahead == ']') ADVANCE(572);
      if (lookahead == '|') ADVANCE(683);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 302:
      if (lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 303:
      if (lookahead == 'a') ADVANCE(406);
      END_STATE();
    case 304:
      if (lookahead == 'a') ADVANCE(373);
      if (lookahead == 'e') ADVANCE(408);
      if (lookahead == 'o') ADVANCE(398);
      if (lookahead == 's') ADVANCE(428);
      if (lookahead == 'x') ADVANCE(386);
      END_STATE();
    case 305:
      if (lookahead == 'a') ADVANCE(373);
      if (lookahead == 'e') ADVANCE(415);
      if (lookahead == 'o') ADVANCE(398);
      if (lookahead == 's') ADVANCE(428);
      if (lookahead == 'x') ADVANCE(386);
      END_STATE();
    case 306:
      if (lookahead == 'a') ADVANCE(373);
      if (lookahead == 'o') ADVANCE(398);
      if (lookahead == 's') ADVANCE(428);
      if (lookahead == 'x') ADVANCE(386);
      END_STATE();
    case 307:
      if (lookahead == 'a') ADVANCE(349);
      END_STATE();
    case 308:
      if (lookahead == 'a') ADVANCE(359);
      END_STATE();
    case 309:
      if (lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 310:
      if (lookahead == 'a') ADVANCE(412);
      if (lookahead == 'o') ADVANCE(316);
      END_STATE();
    case 311:
      if (lookahead == 'c') ADVANCE(355);
      if (lookahead == 'h') ADVANCE(335);
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(333);
      if (lookahead == 't') ADVANCE(334);
      END_STATE();
    case 313:
      if (lookahead == 'c') ADVANCE(341);
      END_STATE();
    case 314:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 315:
      if (lookahead == 'd') ADVANCE(547);
      END_STATE();
    case 316:
      if (lookahead == 'd') ADVANCE(661);
      END_STATE();
    case 317:
      if (lookahead == 'd') ADVANCE(664);
      END_STATE();
    case 318:
      if (lookahead == 'd') ADVANCE(553);
      END_STATE();
    case 319:
      if (lookahead == 'd') ADVANCE(461);
      END_STATE();
    case 320:
      if (lookahead == 'd') ADVANCE(440);
      END_STATE();
    case 321:
      if (lookahead == 'd') ADVANCE(419);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(327);
      END_STATE();
    case 323:
      if (lookahead == 'e') ADVANCE(408);
      END_STATE();
    case 324:
      if (lookahead == 'e') ADVANCE(577);
      END_STATE();
    case 325:
      if (lookahead == 'e') ADVANCE(482);
      END_STATE();
    case 326:
      if (lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 327:
      if (lookahead == 'e') ADVANCE(541);
      END_STATE();
    case 328:
      if (lookahead == 'e') ADVANCE(581);
      END_STATE();
    case 329:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(409);
      if (lookahead == 'o') ADVANCE(317);
      END_STATE();
    case 331:
      if (lookahead == 'e') ADVANCE(409);
      if (lookahead == 'o') ADVANCE(316);
      END_STATE();
    case 332:
      if (lookahead == 'e') ADVANCE(409);
      if (lookahead == 'o') ADVANCE(321);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(401);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(365);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 339:
      if (lookahead == 'h') ADVANCE(549);
      END_STATE();
    case 340:
      if (lookahead == 'h') ADVANCE(390);
      END_STATE();
    case 341:
      if (lookahead == 'h') ADVANCE(442);
      END_STATE();
    case 342:
      if (lookahead == 'h') ADVANCE(335);
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 343:
      if (lookahead == 'h') ADVANCE(337);
      END_STATE();
    case 344:
      if (lookahead == 'h') ADVANCE(337);
      if (lookahead == 'y') ADVANCE(395);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(422);
      END_STATE();
    case 346:
      if (lookahead == 'i') ADVANCE(414);
      END_STATE();
    case 347:
      if (lookahead == 'i') ADVANCE(391);
      END_STATE();
    case 348:
      if (lookahead == 'i') ADVANCE(410);
      END_STATE();
    case 349:
      if (lookahead == 'i') ADVANCE(375);
      END_STATE();
    case 350:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 351:
      if (lookahead == 'l') ADVANCE(405);
      END_STATE();
    case 352:
      if (lookahead == 'l') ADVANCE(405);
      if (lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 353:
      if (lookahead == 'l') ADVANCE(405);
      if (lookahead == 'n') ADVANCE(315);
      if (lookahead == 'x') ADVANCE(312);
      END_STATE();
    case 354:
      if (lookahead == 'l') ADVANCE(545);
      END_STATE();
    case 355:
      if (lookahead == 'l') ADVANCE(420);
      END_STATE();
    case 356:
      if (lookahead == 'l') ADVANCE(480);
      END_STATE();
    case 357:
      if (lookahead == 'l') ADVANCE(303);
      END_STATE();
    case 358:
      if (lookahead == 'l') ADVANCE(303);
      if (lookahead == 'o') ADVANCE(372);
      END_STATE();
    case 359:
      if (lookahead == 'l') ADVANCE(345);
      END_STATE();
    case 360:
      if (lookahead == 'l') ADVANCE(326);
      END_STATE();
    case 361:
      if (lookahead == 'n') ADVANCE(649);
      END_STATE();
    case 362:
      if (lookahead == 'n') ADVANCE(314);
      if (lookahead == 's') ADVANCE(397);
      END_STATE();
    case 363:
      if (lookahead == 'n') ADVANCE(311);
      END_STATE();
    case 364:
      if (lookahead == 'n') ADVANCE(539);
      END_STATE();
    case 365:
      if (lookahead == 'n') ADVANCE(575);
      END_STATE();
    case 366:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 367:
      if (lookahead == 'n') ADVANCE(557);
      END_STATE();
    case 368:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 369:
      if (lookahead == 'n') ADVANCE(555);
      END_STATE();
    case 370:
      if (lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 371:
      if (lookahead == 'n') ADVANCE(315);
      if (lookahead == 'x') ADVANCE(312);
      END_STATE();
    case 372:
      if (lookahead == 'n') ADVANCE(407);
      END_STATE();
    case 373:
      if (lookahead == 'n') ADVANCE(316);
      END_STATE();
    case 374:
      if (lookahead == 'n') ADVANCE(319);
      END_STATE();
    case 375:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 376:
      if (lookahead == 'n') ADVANCE(320);
      if (lookahead == 's') ADVANCE(397);
      END_STATE();
    case 377:
      if (lookahead == 'n') ADVANCE(418);
      END_STATE();
    case 378:
      if (lookahead == 'n') ADVANCE(328);
      if (lookahead == 'w') ADVANCE(377);
      END_STATE();
    case 379:
      if (lookahead == 'n') ADVANCE(309);
      END_STATE();
    case 380:
      ADVANCE_MAP(
        'o', 432,
        'x', 449,
        ' ', 643,
        '"', 643,
        '\'', 643,
        '\\', 643,
        'b', 643,
        'n', 643,
        'r', 643,
        't', 643,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(439);
      END_STATE();
    case 381:
      if (lookahead == 'o') ADVANCE(579);
      END_STATE();
    case 382:
      if (lookahead == 'o') ADVANCE(378);
      END_STATE();
    case 383:
      if (lookahead == 'o') ADVANCE(583);
      END_STATE();
    case 384:
      if (lookahead == 'o') ADVANCE(583);
      if (lookahead == 'y') ADVANCE(395);
      END_STATE();
    case 385:
      if (lookahead == 'o') ADVANCE(585);
      END_STATE();
    case 386:
      if (lookahead == 'o') ADVANCE(398);
      END_STATE();
    case 387:
      if (lookahead == 'o') ADVANCE(372);
      END_STATE();
    case 388:
      if (lookahead == 'o') ADVANCE(317);
      END_STATE();
    case 389:
      if (lookahead == 'o') ADVANCE(316);
      END_STATE();
    case 390:
      if (lookahead == 'o') ADVANCE(318);
      END_STATE();
    case 391:
      if (lookahead == 'o') ADVANCE(366);
      END_STATE();
    case 392:
      if (lookahead == 'p') ADVANCE(336);
      END_STATE();
    case 393:
      if (lookahead == 'p') ADVANCE(336);
      if (lookahead == 'r') ADVANCE(682);
      END_STATE();
    case 394:
      if (lookahead == 'p') ADVANCE(416);
      END_STATE();
    case 395:
      if (lookahead == 'p') ADVANCE(325);
      END_STATE();
    case 396:
      if (lookahead == 'r') ADVANCE(682);
      END_STATE();
    case 397:
      if (lookahead == 'r') ADVANCE(658);
      END_STATE();
    case 398:
      if (lookahead == 'r') ADVANCE(661);
      END_STATE();
    case 399:
      if (lookahead == 'r') ADVANCE(559);
      END_STATE();
    case 400:
      if (lookahead == 'r') ADVANCE(307);
      END_STATE();
    case 401:
      if (lookahead == 'r') ADVANCE(379);
      END_STATE();
    case 402:
      if (lookahead == 'r') ADVANCE(348);
      END_STATE();
    case 403:
      if (lookahead == 's') ADVANCE(397);
      END_STATE();
    case 404:
      if (lookahead == 's') ADVANCE(543);
      END_STATE();
    case 405:
      if (lookahead == 's') ADVANCE(324);
      END_STATE();
    case 406:
      if (lookahead == 's') ADVANCE(404);
      END_STATE();
    case 407:
      if (lookahead == 's') ADVANCE(417);
      END_STATE();
    case 408:
      if (lookahead == 't') ADVANCE(458);
      END_STATE();
    case 409:
      if (lookahead == 't') ADVANCE(340);
      END_STATE();
    case 410:
      if (lookahead == 't') ADVANCE(551);
      END_STATE();
    case 411:
      if (lookahead == 't') ADVANCE(533);
      END_STATE();
    case 412:
      if (lookahead == 't') ADVANCE(313);
      END_STATE();
    case 413:
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 414:
      if (lookahead == 't') ADVANCE(339);
      END_STATE();
    case 415:
      if (lookahead == 't') ADVANCE(441);
      END_STATE();
    case 416:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 417:
      if (lookahead == 't') ADVANCE(400);
      END_STATE();
    case 418:
      if (lookahead == 't') ADVANCE(385);
      END_STATE();
    case 419:
      if (lookahead == 'u') ADVANCE(360);
      END_STATE();
    case 420:
      if (lookahead == 'u') ADVANCE(322);
      END_STATE();
    case 421:
      if (lookahead == 'y') ADVANCE(395);
      END_STATE();
    case 422:
      if (lookahead == 'z') ADVANCE(338);
      END_STATE();
    case 423:
      if (lookahead == '{') ADVANCE(447);
      END_STATE();
    case 424:
      if (lookahead == '|') ADVANCE(683);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 425:
      if (lookahead == '}') ADVANCE(636);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(425);
      END_STATE();
    case 426:
      if (lookahead == '}') ADVANCE(588);
      END_STATE();
    case 427:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      END_STATE();
    case 428:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(658);
      END_STATE();
    case 429:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(612);
      END_STATE();
    case 430:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(648);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(430);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(647);
      END_STATE();
    case 431:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(648);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(647);
      END_STATE();
    case 432:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(434);
      END_STATE();
    case 433:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(646);
      END_STATE();
    case 434:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(433);
      END_STATE();
    case 435:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(589);
      END_STATE();
    case 436:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      END_STATE();
    case 437:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      END_STATE();
    case 438:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(644);
      END_STATE();
    case 439:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(438);
      END_STATE();
    case 440:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(688);
      END_STATE();
    case 441:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(687);
      END_STATE();
    case 442:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(689);
      END_STATE();
    case 443:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 444:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 445:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 446:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 447:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(425);
      END_STATE();
    case 448:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(645);
      END_STATE();
    case 449:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(448);
      END_STATE();
    case 450:
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 451:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '!', 489,
        '"', 629,
        '#', 569,
        '$', 435,
        '%', 603,
        '&', 565,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 523,
        '+', 488,
        ',', 486,
        '-', 491,
        '.', 520,
        '0', 606,
        ':', 512,
        ';', 531,
        '<', 567,
        '=', 466,
        '>', 563,
        '?', 469,
        '@', 669,
        '[', 499,
        '\\', 2,
        ']', 509,
        '^', 671,
        '`', 835,
        'a', 760,
        'c', 754,
        'd', 780,
        'e', 748,
        'i', 761,
        'l', 719,
        'm', 692,
        'o', 792,
        't', 740,
        'v', 690,
        'w', 744,
        '{', 526,
        '|', 495,
        '}', 532,
        '~', 467,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(451);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 452:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '!', 489,
        '"', 629,
        '#', 568,
        '%', 603,
        '&', 564,
        '\'', 834,
        '(', 478,
        ')', 479,
        '*', 523,
        '+', 288,
        ',', 486,
        '-', 293,
        '.', 278,
        '0', 606,
        ':', 512,
        ';', 530,
        '<', 566,
        '=', 466,
        '>', 563,
        '?', 469,
        '[', 503,
        '\\', 225,
        ']', 509,
        '`', 835,
        '{', 527,
        '|', 493,
        '}', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(452);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 453:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '!', 651,
        '"', 629,
        '#', 569,
        '$', 435,
        '%', 603,
        '&', 564,
        '\'', 624,
        '(', 478,
        ')', 479,
        '*', 523,
        '+', 617,
        ',', 486,
        '-', 623,
        '.', 519,
        '0', 606,
        ':', 515,
        ';', 530,
        '=', 466,
        '>', 563,
        '?', 470,
        '[', 505,
        '\\', 225,
        ']', 509,
        '`', 835,
        '{', 528,
        '|', 493,
        '}', 532,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(453);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(607);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 454:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '#', 568,
        '&', 564,
        '\'', 834,
        ')', 479,
        '*', 523,
        ',', 486,
        '-', 293,
        '.', 519,
        ':', 294,
        ';', 530,
        '=', 466,
        '>', 563,
        '[', 296,
        '\\', 225,
        ']', 509,
        '|', 493,
        '}', 532,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(454);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 455:
      if (eof) ADVANCE(456);
      ADVANCE_MAP(
        '#', 833,
        '&', 564,
        ')', 479,
        ',', 486,
        '-', 293,
        ':', 290,
        ';', 287,
        '=', 466,
        '>', 563,
        '[', 269,
        '\\', 225,
        ']', 509,
        'a', 776,
        'c', 754,
        'e', 768,
        'i', 767,
        'l', 719,
        'm', 727,
        'o', 793,
        't', 825,
        'v', 690,
        'w', 744,
        '{', 270,
        '|', 493,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(455);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(831);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(687);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(687);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(688);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(688);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(570);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '=') ADVANCE(492);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '=') ADVANCE(685);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '=') ADVANCE(685);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_external);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_type);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(654);
      if (lookahead == '=') ADVANCE(485);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(654);
      if (lookahead == '>') ADVANCE(521);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(572);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(572);
      if (lookahead == '|') ADVANCE(682);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(572);
      if (lookahead == '|') ADVANCE(683);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(683);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(597);
      if (lookahead == '<') ADVANCE(562);
      if (lookahead == '>') ADVANCE(561);
      if (lookahead == '@') ADVANCE(631);
      if (lookahead == '|') ADVANCE(571);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(597);
      if (lookahead == '<') ADVANCE(562);
      if (lookahead == '>') ADVANCE(561);
      if (lookahead == '@') ADVANCE(590);
      if (lookahead == '|') ADVANCE(571);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(597);
      if (lookahead == '<') ADVANCE(562);
      if (lookahead == '>') ADVANCE(561);
      if (lookahead == '@') ADVANCE(591);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(597);
      if (lookahead == '@') ADVANCE(591);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(597);
      if (lookahead == '@') ADVANCE(591);
      if (lookahead == '|') ADVANCE(571);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(596);
      if (lookahead == '<') ADVANCE(562);
      if (lookahead == '>') ADVANCE(561);
      if (lookahead == '@') ADVANCE(590);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(596);
      if (lookahead == '@') ADVANCE(590);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(596);
      if (lookahead == '@') ADVANCE(590);
      if (lookahead == '|') ADVANCE(571);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(596);
      if (lookahead == '@') ADVANCE(592);
      if (lookahead == '|') ADVANCE(571);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(263);
      if (lookahead == '@') ADVANCE(591);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(590);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(570);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '=') ADVANCE(492);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '=') ADVANCE(685);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '=') ADVANCE(685);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(570);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(492);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(492);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(465);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(484);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(599);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(599);
      if (lookahead == '<') ADVANCE(587);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(598);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(598);
      if (lookahead == '<') ADVANCE(587);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(264);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(457);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_exception);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_module);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_open);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_include);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_class);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_val);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_end);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_with);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_method);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(756);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(355);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_in);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(679);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(573);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_then);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_else);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_do);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_done);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_to);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_downto);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(589);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(594);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(593);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(595);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(601);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(602);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(600);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(665);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 610,
        'B', 429,
        'b', 429,
        'E', 427,
        'e', 427,
        'O', 613,
        'o', 613,
        'X', 616,
        'x', 616,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(607);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(605);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(610);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(607);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(605);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(611);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(609);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(608);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(605);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(615);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(610);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(605);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(609);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(611);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(605);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(612);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(605);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(614);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(614);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(605);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(615);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(605);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(608);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(654);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(654);
      if (lookahead == '>') ADVANCE(521);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(656);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(655);
      if (lookahead == '>') ADVANCE(444);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(655);
      if (lookahead == '>') ADVANCE(522);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(521);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(590);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 281,
        '.', 275,
        'L', 648,
        'l', 648,
        'n', 648,
        ' ', 274,
        '#', 274,
        '+', 274,
        '-', 274,
        '0', 274,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(280);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(647);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 437,
        '\\', 361,
        ' ', 649,
        ',', 649,
        '.', 649,
        ';', 649,
        '?', 649,
        '[', 649,
        ']', 649,
        '{', 649,
        '}', 649,
      );
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(635);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(635);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 281,
        '.', 275,
        'L', 648,
        'l', 648,
        'n', 648,
        ' ', 274,
        '#', 274,
        '+', 274,
        '-', 274,
        '0', 274,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(280);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(647);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 437,
        '\\', 361,
        ' ', 649,
        ',', 649,
        '.', 649,
        ';', 649,
        '?', 649,
        '[', 649,
        ']', 649,
        '{', 649,
        '}', 649,
      );
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(631);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(642);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(642);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(647);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(446);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(678);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(668);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(657);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(659);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(665);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(758);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(360);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(665);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(668);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 670,
        '\\', 361,
        '.', 650,
        '?', 650,
        ' ', 649,
        ',', 649,
        ';', 649,
        '[', 649,
        ']', 649,
        '{', 649,
        '}', 649,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(671);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(295);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(574);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(443);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(588);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(681);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(677);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(686);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(687);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(688);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(689);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(752);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(806);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(810);
      if (lookahead == 'o') ADVANCE(712);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(810);
      if (lookahead == 'o') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'e') ADVANCE(810);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'o') ADVANCE(712);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'o') ADVANCE(715);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'o') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(809);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(745);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(753);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(757);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(773);
      if (lookahead == 'e') ADVANCE(808);
      if (lookahead == 'o') ADVANCE(798);
      if (lookahead == 's') ADVANCE(827);
      if (lookahead == 'x') ADVANCE(786);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(773);
      if (lookahead == 'e') ADVANCE(817);
      if (lookahead == 'o') ADVANCE(798);
      if (lookahead == 's') ADVANCE(827);
      if (lookahead == 'x') ADVANCE(786);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(773);
      if (lookahead == 'o') ADVANCE(798);
      if (lookahead == 's') ADVANCE(827);
      if (lookahead == 'x') ADVANCE(786);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(756);
      if (lookahead == 'h') ADVANCE(732);
      if (lookahead == 'i') ADVANCE(818);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(756);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(736);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(726);
      if (lookahead == 't') ADVANCE(721);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(726);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(463);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(548);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(820);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(554);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(666);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(663);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(464);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(828);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(724);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(808);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(578);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(801);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(483);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(538);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(542);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(582);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(795);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(810);
      if (lookahead == 'o') ADVANCE(712);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(810);
      if (lookahead == 'o') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(810);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(762);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(763);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(802);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(799);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(813);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(550);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(830);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(787);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(732);
      if (lookahead == 'i') ADVANCE(818);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(732);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(731);
      if (lookahead == 'o') ADVANCE(584);
      if (lookahead == 'y') ADVANCE(794);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(731);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(826);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(790);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(815);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(774);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(701);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(804);
      if (lookahead == 'n') ADVANCE(711);
      if (lookahead == 'x') ADVANCE(708);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(804);
      if (lookahead == 'n') ADVANCE(711);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(804);
      if (lookahead == 'x') ADVANCE(708);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(804);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(546);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(481);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(691);
      if (lookahead == 'o') ADVANCE(771);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(821);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(742);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(723);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(710);
      if (lookahead == 's') ADVANCE(797);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(710);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(556);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(540);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(576);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(536);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(738);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(558);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(705);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(711);
      if (lookahead == 'x') ADVANCE(708);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(711);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(706);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(807);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(739);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(811);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(717);
      if (lookahead == 's') ADVANCE(797);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(716);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(819);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(725);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(700);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(580);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(584);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(822);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(586);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(771);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(712);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(798);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(713);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(715);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(764);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(778);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(730);
      if (lookahead == 'r') ADVANCE(684);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(730);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(722);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(684);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(660);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(666);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(560);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(699);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(746);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(544);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(720);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(797);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(803);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(816);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(459);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(707);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(737);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(534);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(552);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(460);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(743);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(735);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(800);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(829);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(747);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(783);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(758);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(718);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'w') ADVANCE(777);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(708);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(709);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'y') ADVANCE(794);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'z') ADVANCE(733);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(660);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(688);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(687);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(689);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(831);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym__uppercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(832);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'e', 4,
        'f', 5,
        'i', 6,
        'l', 7,
        'm', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
        'w', 16,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'o') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'b') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(36);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(37);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(38);
      END_STATE();
    case 18:
      if (lookahead == 'g') ADVANCE(39);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(40);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 21:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 24:
      if (lookahead == 'z') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 27:
      if (lookahead == 'w') ADVANCE(47);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 29:
      if (lookahead == 'j') ADVANCE(49);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'g') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'y') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 44:
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 'v') ADVANCE(69);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 53:
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 65:
      if (lookahead == 'h') ADVANCE(80);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(81);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(83);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 70:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_effect);
      END_STATE();
    case 90:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 452, .external_lex_state = 2},
  [2] = {.lex_state = 18, .external_lex_state = 3},
  [3] = {.lex_state = 18, .external_lex_state = 3},
  [4] = {.lex_state = 18, .external_lex_state = 3},
  [5] = {.lex_state = 18, .external_lex_state = 3},
  [6] = {.lex_state = 18, .external_lex_state = 3},
  [7] = {.lex_state = 18, .external_lex_state = 3},
  [8] = {.lex_state = 18, .external_lex_state = 3},
  [9] = {.lex_state = 18, .external_lex_state = 3},
  [10] = {.lex_state = 18, .external_lex_state = 3},
  [11] = {.lex_state = 18, .external_lex_state = 3},
  [12] = {.lex_state = 18, .external_lex_state = 3},
  [13] = {.lex_state = 18, .external_lex_state = 3},
  [14] = {.lex_state = 18, .external_lex_state = 3},
  [15] = {.lex_state = 18, .external_lex_state = 3},
  [16] = {.lex_state = 18, .external_lex_state = 3},
  [17] = {.lex_state = 18, .external_lex_state = 3},
  [18] = {.lex_state = 18, .external_lex_state = 3},
  [19] = {.lex_state = 18, .external_lex_state = 3},
  [20] = {.lex_state = 18, .external_lex_state = 3},
  [21] = {.lex_state = 18, .external_lex_state = 3},
  [22] = {.lex_state = 18, .external_lex_state = 3},
  [23] = {.lex_state = 18, .external_lex_state = 3},
  [24] = {.lex_state = 18, .external_lex_state = 3},
  [25] = {.lex_state = 18, .external_lex_state = 3},
  [26] = {.lex_state = 18, .external_lex_state = 3},
  [27] = {.lex_state = 18, .external_lex_state = 3},
  [28] = {.lex_state = 18, .external_lex_state = 3},
  [29] = {.lex_state = 18, .external_lex_state = 3},
  [30] = {.lex_state = 18, .external_lex_state = 3},
  [31] = {.lex_state = 18, .external_lex_state = 3},
  [32] = {.lex_state = 18, .external_lex_state = 3},
  [33] = {.lex_state = 18, .external_lex_state = 3},
  [34] = {.lex_state = 18, .external_lex_state = 3},
  [35] = {.lex_state = 18, .external_lex_state = 3},
  [36] = {.lex_state = 18, .external_lex_state = 3},
  [37] = {.lex_state = 18, .external_lex_state = 3},
  [38] = {.lex_state = 18, .external_lex_state = 3},
  [39] = {.lex_state = 18, .external_lex_state = 3},
  [40] = {.lex_state = 18, .external_lex_state = 3},
  [41] = {.lex_state = 18, .external_lex_state = 3},
  [42] = {.lex_state = 18, .external_lex_state = 3},
  [43] = {.lex_state = 18, .external_lex_state = 3},
  [44] = {.lex_state = 18, .external_lex_state = 3},
  [45] = {.lex_state = 18, .external_lex_state = 3},
  [46] = {.lex_state = 18, .external_lex_state = 3},
  [47] = {.lex_state = 18, .external_lex_state = 3},
  [48] = {.lex_state = 18, .external_lex_state = 3},
  [49] = {.lex_state = 18, .external_lex_state = 3},
  [50] = {.lex_state = 18, .external_lex_state = 3},
  [51] = {.lex_state = 18, .external_lex_state = 3},
  [52] = {.lex_state = 18, .external_lex_state = 3},
  [53] = {.lex_state = 18, .external_lex_state = 3},
  [54] = {.lex_state = 18, .external_lex_state = 3},
  [55] = {.lex_state = 18, .external_lex_state = 3},
  [56] = {.lex_state = 18, .external_lex_state = 3},
  [57] = {.lex_state = 18, .external_lex_state = 3},
  [58] = {.lex_state = 18, .external_lex_state = 3},
  [59] = {.lex_state = 18, .external_lex_state = 3},
  [60] = {.lex_state = 18, .external_lex_state = 3},
  [61] = {.lex_state = 18, .external_lex_state = 3},
  [62] = {.lex_state = 18, .external_lex_state = 3},
  [63] = {.lex_state = 18, .external_lex_state = 3},
  [64] = {.lex_state = 18, .external_lex_state = 3},
  [65] = {.lex_state = 18, .external_lex_state = 3},
  [66] = {.lex_state = 18, .external_lex_state = 3},
  [67] = {.lex_state = 18, .external_lex_state = 3},
  [68] = {.lex_state = 18, .external_lex_state = 3},
  [69] = {.lex_state = 18, .external_lex_state = 3},
  [70] = {.lex_state = 18, .external_lex_state = 3},
  [71] = {.lex_state = 18, .external_lex_state = 3},
  [72] = {.lex_state = 18, .external_lex_state = 3},
  [73] = {.lex_state = 18, .external_lex_state = 3},
  [74] = {.lex_state = 18, .external_lex_state = 3},
  [75] = {.lex_state = 18, .external_lex_state = 3},
  [76] = {.lex_state = 18, .external_lex_state = 3},
  [77] = {.lex_state = 18, .external_lex_state = 3},
  [78] = {.lex_state = 18, .external_lex_state = 3},
  [79] = {.lex_state = 18, .external_lex_state = 3},
  [80] = {.lex_state = 18, .external_lex_state = 3},
  [81] = {.lex_state = 18, .external_lex_state = 3},
  [82] = {.lex_state = 18, .external_lex_state = 3},
  [83] = {.lex_state = 18, .external_lex_state = 3},
  [84] = {.lex_state = 18, .external_lex_state = 3},
  [85] = {.lex_state = 18, .external_lex_state = 3},
  [86] = {.lex_state = 18, .external_lex_state = 3},
  [87] = {.lex_state = 18, .external_lex_state = 3},
  [88] = {.lex_state = 18, .external_lex_state = 3},
  [89] = {.lex_state = 18, .external_lex_state = 3},
  [90] = {.lex_state = 19, .external_lex_state = 3},
  [91] = {.lex_state = 93, .external_lex_state = 3},
  [92] = {.lex_state = 96, .external_lex_state = 3},
  [93] = {.lex_state = 19, .external_lex_state = 3},
  [94] = {.lex_state = 19, .external_lex_state = 3},
  [95] = {.lex_state = 18, .external_lex_state = 3},
  [96] = {.lex_state = 19, .external_lex_state = 3},
  [97] = {.lex_state = 19, .external_lex_state = 3},
  [98] = {.lex_state = 102, .external_lex_state = 3},
  [99] = {.lex_state = 94, .external_lex_state = 3},
  [100] = {.lex_state = 97, .external_lex_state = 3},
  [101] = {.lex_state = 19, .external_lex_state = 3},
  [102] = {.lex_state = 101, .external_lex_state = 3},
  [103] = {.lex_state = 18, .external_lex_state = 3},
  [104] = {.lex_state = 18, .external_lex_state = 3},
  [105] = {.lex_state = 18, .external_lex_state = 3},
  [106] = {.lex_state = 18, .external_lex_state = 3},
  [107] = {.lex_state = 95, .external_lex_state = 3},
  [108] = {.lex_state = 103, .external_lex_state = 3},
  [109] = {.lex_state = 18, .external_lex_state = 3},
  [110] = {.lex_state = 104, .external_lex_state = 3},
  [111] = {.lex_state = 99, .external_lex_state = 3},
  [112] = {.lex_state = 98, .external_lex_state = 3},
  [113] = {.lex_state = 105, .external_lex_state = 3},
  [114] = {.lex_state = 40, .external_lex_state = 3},
  [115] = {.lex_state = 40, .external_lex_state = 3},
  [116] = {.lex_state = 133, .external_lex_state = 3},
  [117] = {.lex_state = 133, .external_lex_state = 3},
  [118] = {.lex_state = 131, .external_lex_state = 3},
  [119] = {.lex_state = 131, .external_lex_state = 3},
  [120] = {.lex_state = 132, .external_lex_state = 3},
  [121] = {.lex_state = 132, .external_lex_state = 3},
  [122] = {.lex_state = 148, .external_lex_state = 3},
  [123] = {.lex_state = 20, .external_lex_state = 3},
  [124] = {.lex_state = 22, .external_lex_state = 3},
  [125] = {.lex_state = 23, .external_lex_state = 3},
  [126] = {.lex_state = 148, .external_lex_state = 3},
  [127] = {.lex_state = 149, .external_lex_state = 3},
  [128] = {.lex_state = 21, .external_lex_state = 3},
  [129] = {.lex_state = 130, .external_lex_state = 3},
  [130] = {.lex_state = 130, .external_lex_state = 3},
  [131] = {.lex_state = 130, .external_lex_state = 3},
  [132] = {.lex_state = 130, .external_lex_state = 3},
  [133] = {.lex_state = 130, .external_lex_state = 3},
  [134] = {.lex_state = 130, .external_lex_state = 3},
  [135] = {.lex_state = 130, .external_lex_state = 3},
  [136] = {.lex_state = 130, .external_lex_state = 3},
  [137] = {.lex_state = 130, .external_lex_state = 3},
  [138] = {.lex_state = 130, .external_lex_state = 3},
  [139] = {.lex_state = 149, .external_lex_state = 3},
  [140] = {.lex_state = 130, .external_lex_state = 3},
  [141] = {.lex_state = 130, .external_lex_state = 3},
  [142] = {.lex_state = 130, .external_lex_state = 3},
  [143] = {.lex_state = 130, .external_lex_state = 3},
  [144] = {.lex_state = 130, .external_lex_state = 3},
  [145] = {.lex_state = 130, .external_lex_state = 3},
  [146] = {.lex_state = 130, .external_lex_state = 3},
  [147] = {.lex_state = 130, .external_lex_state = 3},
  [148] = {.lex_state = 130, .external_lex_state = 3},
  [149] = {.lex_state = 130, .external_lex_state = 3},
  [150] = {.lex_state = 130, .external_lex_state = 3},
  [151] = {.lex_state = 130, .external_lex_state = 3},
  [152] = {.lex_state = 130, .external_lex_state = 3},
  [153] = {.lex_state = 130, .external_lex_state = 3},
  [154] = {.lex_state = 130, .external_lex_state = 3},
  [155] = {.lex_state = 130, .external_lex_state = 3},
  [156] = {.lex_state = 136, .external_lex_state = 3},
  [157] = {.lex_state = 130, .external_lex_state = 3},
  [158] = {.lex_state = 130, .external_lex_state = 3},
  [159] = {.lex_state = 130, .external_lex_state = 3},
  [160] = {.lex_state = 130, .external_lex_state = 3},
  [161] = {.lex_state = 130, .external_lex_state = 3},
  [162] = {.lex_state = 130, .external_lex_state = 3},
  [163] = {.lex_state = 130, .external_lex_state = 3},
  [164] = {.lex_state = 130, .external_lex_state = 3},
  [165] = {.lex_state = 130, .external_lex_state = 3},
  [166] = {.lex_state = 130, .external_lex_state = 3},
  [167] = {.lex_state = 130, .external_lex_state = 3},
  [168] = {.lex_state = 130, .external_lex_state = 3},
  [169] = {.lex_state = 130, .external_lex_state = 3},
  [170] = {.lex_state = 130, .external_lex_state = 3},
  [171] = {.lex_state = 130, .external_lex_state = 3},
  [172] = {.lex_state = 130, .external_lex_state = 3},
  [173] = {.lex_state = 130, .external_lex_state = 3},
  [174] = {.lex_state = 130, .external_lex_state = 3},
  [175] = {.lex_state = 130, .external_lex_state = 3},
  [176] = {.lex_state = 130, .external_lex_state = 3},
  [177] = {.lex_state = 130, .external_lex_state = 3},
  [178] = {.lex_state = 130, .external_lex_state = 3},
  [179] = {.lex_state = 130, .external_lex_state = 3},
  [180] = {.lex_state = 130, .external_lex_state = 3},
  [181] = {.lex_state = 130, .external_lex_state = 3},
  [182] = {.lex_state = 130, .external_lex_state = 3},
  [183] = {.lex_state = 130, .external_lex_state = 3},
  [184] = {.lex_state = 130, .external_lex_state = 3},
  [185] = {.lex_state = 130, .external_lex_state = 3},
  [186] = {.lex_state = 130, .external_lex_state = 3},
  [187] = {.lex_state = 130, .external_lex_state = 3},
  [188] = {.lex_state = 130, .external_lex_state = 3},
  [189] = {.lex_state = 130, .external_lex_state = 3},
  [190] = {.lex_state = 130, .external_lex_state = 3},
  [191] = {.lex_state = 130, .external_lex_state = 3},
  [192] = {.lex_state = 130, .external_lex_state = 3},
  [193] = {.lex_state = 130, .external_lex_state = 3},
  [194] = {.lex_state = 130, .external_lex_state = 3},
  [195] = {.lex_state = 130, .external_lex_state = 3},
  [196] = {.lex_state = 130, .external_lex_state = 3},
  [197] = {.lex_state = 130, .external_lex_state = 3},
  [198] = {.lex_state = 130, .external_lex_state = 3},
  [199] = {.lex_state = 130, .external_lex_state = 3},
  [200] = {.lex_state = 130, .external_lex_state = 3},
  [201] = {.lex_state = 130, .external_lex_state = 3},
  [202] = {.lex_state = 130, .external_lex_state = 3},
  [203] = {.lex_state = 130, .external_lex_state = 3},
  [204] = {.lex_state = 130, .external_lex_state = 3},
  [205] = {.lex_state = 130, .external_lex_state = 3},
  [206] = {.lex_state = 130, .external_lex_state = 3},
  [207] = {.lex_state = 130, .external_lex_state = 3},
  [208] = {.lex_state = 130, .external_lex_state = 3},
  [209] = {.lex_state = 130, .external_lex_state = 3},
  [210] = {.lex_state = 130, .external_lex_state = 3},
  [211] = {.lex_state = 130, .external_lex_state = 3},
  [212] = {.lex_state = 130, .external_lex_state = 3},
  [213] = {.lex_state = 130, .external_lex_state = 3},
  [214] = {.lex_state = 130, .external_lex_state = 3},
  [215] = {.lex_state = 130, .external_lex_state = 3},
  [216] = {.lex_state = 130, .external_lex_state = 3},
  [217] = {.lex_state = 138, .external_lex_state = 3},
  [218] = {.lex_state = 140, .external_lex_state = 3},
  [219] = {.lex_state = 142, .external_lex_state = 3},
  [220] = {.lex_state = 19, .external_lex_state = 3},
  [221] = {.lex_state = 134, .external_lex_state = 3},
  [222] = {.lex_state = 141, .external_lex_state = 3},
  [223] = {.lex_state = 143, .external_lex_state = 3},
  [224] = {.lex_state = 18, .external_lex_state = 3},
  [225] = {.lex_state = 137, .external_lex_state = 3},
  [226] = {.lex_state = 134, .external_lex_state = 3},
  [227] = {.lex_state = 140, .external_lex_state = 3},
  [228] = {.lex_state = 141, .external_lex_state = 3},
  [229] = {.lex_state = 135, .external_lex_state = 3},
  [230] = {.lex_state = 146, .external_lex_state = 3},
  [231] = {.lex_state = 142, .external_lex_state = 3},
  [232] = {.lex_state = 145, .external_lex_state = 3},
  [233] = {.lex_state = 147, .external_lex_state = 3},
  [234] = {.lex_state = 144, .external_lex_state = 3},
  [235] = {.lex_state = 139, .external_lex_state = 3},
  [236] = {.lex_state = 146, .external_lex_state = 3},
  [237] = {.lex_state = 145, .external_lex_state = 3},
  [238] = {.lex_state = 144, .external_lex_state = 3},
  [239] = {.lex_state = 135, .external_lex_state = 3},
  [240] = {.lex_state = 29, .external_lex_state = 3},
  [241] = {.lex_state = 28, .external_lex_state = 3},
  [242] = {.lex_state = 36, .external_lex_state = 3},
  [243] = {.lex_state = 33, .external_lex_state = 3},
  [244] = {.lex_state = 33, .external_lex_state = 3},
  [245] = {.lex_state = 33, .external_lex_state = 3},
  [246] = {.lex_state = 33, .external_lex_state = 3},
  [247] = {.lex_state = 33, .external_lex_state = 3},
  [248] = {.lex_state = 33, .external_lex_state = 3},
  [249] = {.lex_state = 33, .external_lex_state = 3},
  [250] = {.lex_state = 33, .external_lex_state = 3},
  [251] = {.lex_state = 33, .external_lex_state = 3},
  [252] = {.lex_state = 33, .external_lex_state = 3},
  [253] = {.lex_state = 33, .external_lex_state = 3},
  [254] = {.lex_state = 33, .external_lex_state = 3},
  [255] = {.lex_state = 33, .external_lex_state = 3},
  [256] = {.lex_state = 33, .external_lex_state = 3},
  [257] = {.lex_state = 33, .external_lex_state = 3},
  [258] = {.lex_state = 33, .external_lex_state = 3},
  [259] = {.lex_state = 33, .external_lex_state = 3},
  [260] = {.lex_state = 33, .external_lex_state = 3},
  [261] = {.lex_state = 33, .external_lex_state = 3},
  [262] = {.lex_state = 33, .external_lex_state = 3},
  [263] = {.lex_state = 33, .external_lex_state = 3},
  [264] = {.lex_state = 33, .external_lex_state = 3},
  [265] = {.lex_state = 33, .external_lex_state = 3},
  [266] = {.lex_state = 31, .external_lex_state = 3},
  [267] = {.lex_state = 33, .external_lex_state = 3},
  [268] = {.lex_state = 33, .external_lex_state = 3},
  [269] = {.lex_state = 33, .external_lex_state = 3},
  [270] = {.lex_state = 33, .external_lex_state = 3},
  [271] = {.lex_state = 33, .external_lex_state = 3},
  [272] = {.lex_state = 33, .external_lex_state = 3},
  [273] = {.lex_state = 33, .external_lex_state = 3},
  [274] = {.lex_state = 33, .external_lex_state = 3},
  [275] = {.lex_state = 33, .external_lex_state = 3},
  [276] = {.lex_state = 33, .external_lex_state = 3},
  [277] = {.lex_state = 33, .external_lex_state = 3},
  [278] = {.lex_state = 33, .external_lex_state = 3},
  [279] = {.lex_state = 33, .external_lex_state = 3},
  [280] = {.lex_state = 33, .external_lex_state = 3},
  [281] = {.lex_state = 33, .external_lex_state = 3},
  [282] = {.lex_state = 33, .external_lex_state = 3},
  [283] = {.lex_state = 33, .external_lex_state = 3},
  [284] = {.lex_state = 33, .external_lex_state = 3},
  [285] = {.lex_state = 33, .external_lex_state = 3},
  [286] = {.lex_state = 33, .external_lex_state = 3},
  [287] = {.lex_state = 28, .external_lex_state = 3},
  [288] = {.lex_state = 28, .external_lex_state = 3},
  [289] = {.lex_state = 28, .external_lex_state = 3},
  [290] = {.lex_state = 28, .external_lex_state = 3},
  [291] = {.lex_state = 28, .external_lex_state = 3},
  [292] = {.lex_state = 28, .external_lex_state = 3},
  [293] = {.lex_state = 28, .external_lex_state = 3},
  [294] = {.lex_state = 28, .external_lex_state = 3},
  [295] = {.lex_state = 28, .external_lex_state = 3},
  [296] = {.lex_state = 28, .external_lex_state = 3},
  [297] = {.lex_state = 28, .external_lex_state = 3},
  [298] = {.lex_state = 28, .external_lex_state = 3},
  [299] = {.lex_state = 28, .external_lex_state = 3},
  [300] = {.lex_state = 28, .external_lex_state = 3},
  [301] = {.lex_state = 28, .external_lex_state = 3},
  [302] = {.lex_state = 28, .external_lex_state = 3},
  [303] = {.lex_state = 28, .external_lex_state = 3},
  [304] = {.lex_state = 28, .external_lex_state = 3},
  [305] = {.lex_state = 28, .external_lex_state = 3},
  [306] = {.lex_state = 28, .external_lex_state = 3},
  [307] = {.lex_state = 28, .external_lex_state = 3},
  [308] = {.lex_state = 28, .external_lex_state = 3},
  [309] = {.lex_state = 28, .external_lex_state = 3},
  [310] = {.lex_state = 28, .external_lex_state = 3},
  [311] = {.lex_state = 28, .external_lex_state = 3},
  [312] = {.lex_state = 28, .external_lex_state = 3},
  [313] = {.lex_state = 28, .external_lex_state = 3},
  [314] = {.lex_state = 32, .external_lex_state = 3},
  [315] = {.lex_state = 28, .external_lex_state = 3},
  [316] = {.lex_state = 28, .external_lex_state = 3},
  [317] = {.lex_state = 28, .external_lex_state = 3},
  [318] = {.lex_state = 28, .external_lex_state = 3},
  [319] = {.lex_state = 28, .external_lex_state = 3},
  [320] = {.lex_state = 28, .external_lex_state = 3},
  [321] = {.lex_state = 28, .external_lex_state = 3},
  [322] = {.lex_state = 28, .external_lex_state = 3},
  [323] = {.lex_state = 28, .external_lex_state = 3},
  [324] = {.lex_state = 28, .external_lex_state = 3},
  [325] = {.lex_state = 34, .external_lex_state = 3},
  [326] = {.lex_state = 28, .external_lex_state = 3},
  [327] = {.lex_state = 28, .external_lex_state = 3},
  [328] = {.lex_state = 28, .external_lex_state = 3},
  [329] = {.lex_state = 28, .external_lex_state = 3},
  [330] = {.lex_state = 28, .external_lex_state = 3},
  [331] = {.lex_state = 28, .external_lex_state = 3},
  [332] = {.lex_state = 28, .external_lex_state = 3},
  [333] = {.lex_state = 28, .external_lex_state = 3},
  [334] = {.lex_state = 28, .external_lex_state = 3},
  [335] = {.lex_state = 30, .external_lex_state = 3},
  [336] = {.lex_state = 28, .external_lex_state = 3},
  [337] = {.lex_state = 28, .external_lex_state = 3},
  [338] = {.lex_state = 28, .external_lex_state = 3},
  [339] = {.lex_state = 28, .external_lex_state = 3},
  [340] = {.lex_state = 28, .external_lex_state = 3},
  [341] = {.lex_state = 28, .external_lex_state = 3},
  [342] = {.lex_state = 28, .external_lex_state = 3},
  [343] = {.lex_state = 28, .external_lex_state = 3},
  [344] = {.lex_state = 28, .external_lex_state = 3},
  [345] = {.lex_state = 28, .external_lex_state = 3},
  [346] = {.lex_state = 28, .external_lex_state = 3},
  [347] = {.lex_state = 28, .external_lex_state = 3},
  [348] = {.lex_state = 28, .external_lex_state = 3},
  [349] = {.lex_state = 28, .external_lex_state = 3},
  [350] = {.lex_state = 35, .external_lex_state = 3},
  [351] = {.lex_state = 28, .external_lex_state = 3},
  [352] = {.lex_state = 28, .external_lex_state = 3},
  [353] = {.lex_state = 28, .external_lex_state = 3},
  [354] = {.lex_state = 28, .external_lex_state = 3},
  [355] = {.lex_state = 28, .external_lex_state = 3},
  [356] = {.lex_state = 28, .external_lex_state = 3},
  [357] = {.lex_state = 33, .external_lex_state = 3},
  [358] = {.lex_state = 28, .external_lex_state = 3},
  [359] = {.lex_state = 28, .external_lex_state = 3},
  [360] = {.lex_state = 28, .external_lex_state = 3},
  [361] = {.lex_state = 28, .external_lex_state = 3},
  [362] = {.lex_state = 28, .external_lex_state = 3},
  [363] = {.lex_state = 28, .external_lex_state = 3},
  [364] = {.lex_state = 28, .external_lex_state = 3},
  [365] = {.lex_state = 28, .external_lex_state = 3},
  [366] = {.lex_state = 28, .external_lex_state = 3},
  [367] = {.lex_state = 28, .external_lex_state = 3},
  [368] = {.lex_state = 28, .external_lex_state = 3},
  [369] = {.lex_state = 28, .external_lex_state = 3},
  [370] = {.lex_state = 28, .external_lex_state = 3},
  [371] = {.lex_state = 28, .external_lex_state = 3},
  [372] = {.lex_state = 28, .external_lex_state = 3},
  [373] = {.lex_state = 28, .external_lex_state = 3},
  [374] = {.lex_state = 28, .external_lex_state = 3},
  [375] = {.lex_state = 28, .external_lex_state = 3},
  [376] = {.lex_state = 28, .external_lex_state = 3},
  [377] = {.lex_state = 28, .external_lex_state = 3},
  [378] = {.lex_state = 28, .external_lex_state = 3},
  [379] = {.lex_state = 28, .external_lex_state = 3},
  [380] = {.lex_state = 28, .external_lex_state = 3},
  [381] = {.lex_state = 28, .external_lex_state = 3},
  [382] = {.lex_state = 28, .external_lex_state = 3},
  [383] = {.lex_state = 28, .external_lex_state = 3},
  [384] = {.lex_state = 28, .external_lex_state = 3},
  [385] = {.lex_state = 28, .external_lex_state = 3},
  [386] = {.lex_state = 28, .external_lex_state = 3},
  [387] = {.lex_state = 28, .external_lex_state = 3},
  [388] = {.lex_state = 28, .external_lex_state = 3},
  [389] = {.lex_state = 28, .external_lex_state = 3},
  [390] = {.lex_state = 28, .external_lex_state = 3},
  [391] = {.lex_state = 28, .external_lex_state = 3},
  [392] = {.lex_state = 28, .external_lex_state = 3},
  [393] = {.lex_state = 28, .external_lex_state = 3},
  [394] = {.lex_state = 28, .external_lex_state = 3},
  [395] = {.lex_state = 28, .external_lex_state = 3},
  [396] = {.lex_state = 28, .external_lex_state = 3},
  [397] = {.lex_state = 28, .external_lex_state = 3},
  [398] = {.lex_state = 28, .external_lex_state = 3},
  [399] = {.lex_state = 28, .external_lex_state = 3},
  [400] = {.lex_state = 28, .external_lex_state = 3},
  [401] = {.lex_state = 28, .external_lex_state = 3},
  [402] = {.lex_state = 28, .external_lex_state = 3},
  [403] = {.lex_state = 28, .external_lex_state = 3},
  [404] = {.lex_state = 28, .external_lex_state = 3},
  [405] = {.lex_state = 28, .external_lex_state = 3},
  [406] = {.lex_state = 28, .external_lex_state = 3},
  [407] = {.lex_state = 28, .external_lex_state = 3},
  [408] = {.lex_state = 28, .external_lex_state = 3},
  [409] = {.lex_state = 28, .external_lex_state = 3},
  [410] = {.lex_state = 28, .external_lex_state = 3},
  [411] = {.lex_state = 28, .external_lex_state = 3},
  [412] = {.lex_state = 28, .external_lex_state = 3},
  [413] = {.lex_state = 28, .external_lex_state = 3},
  [414] = {.lex_state = 28, .external_lex_state = 3},
  [415] = {.lex_state = 28, .external_lex_state = 3},
  [416] = {.lex_state = 28, .external_lex_state = 3},
  [417] = {.lex_state = 28, .external_lex_state = 3},
  [418] = {.lex_state = 28, .external_lex_state = 3},
  [419] = {.lex_state = 28, .external_lex_state = 3},
  [420] = {.lex_state = 28, .external_lex_state = 3},
  [421] = {.lex_state = 28, .external_lex_state = 3},
  [422] = {.lex_state = 28, .external_lex_state = 3},
  [423] = {.lex_state = 28, .external_lex_state = 3},
  [424] = {.lex_state = 28, .external_lex_state = 3},
  [425] = {.lex_state = 28, .external_lex_state = 3},
  [426] = {.lex_state = 28, .external_lex_state = 3},
  [427] = {.lex_state = 28, .external_lex_state = 3},
  [428] = {.lex_state = 28, .external_lex_state = 3},
  [429] = {.lex_state = 28, .external_lex_state = 3},
  [430] = {.lex_state = 28, .external_lex_state = 3},
  [431] = {.lex_state = 28, .external_lex_state = 3},
  [432] = {.lex_state = 28, .external_lex_state = 3},
  [433] = {.lex_state = 28, .external_lex_state = 3},
  [434] = {.lex_state = 28, .external_lex_state = 3},
  [435] = {.lex_state = 28, .external_lex_state = 3},
  [436] = {.lex_state = 28, .external_lex_state = 3},
  [437] = {.lex_state = 28, .external_lex_state = 3},
  [438] = {.lex_state = 28, .external_lex_state = 3},
  [439] = {.lex_state = 28, .external_lex_state = 3},
  [440] = {.lex_state = 28, .external_lex_state = 3},
  [441] = {.lex_state = 28, .external_lex_state = 3},
  [442] = {.lex_state = 28, .external_lex_state = 3},
  [443] = {.lex_state = 28, .external_lex_state = 3},
  [444] = {.lex_state = 28, .external_lex_state = 3},
  [445] = {.lex_state = 28, .external_lex_state = 3},
  [446] = {.lex_state = 28, .external_lex_state = 3},
  [447] = {.lex_state = 28, .external_lex_state = 3},
  [448] = {.lex_state = 28, .external_lex_state = 3},
  [449] = {.lex_state = 28, .external_lex_state = 3},
  [450] = {.lex_state = 28, .external_lex_state = 3},
  [451] = {.lex_state = 28, .external_lex_state = 3},
  [452] = {.lex_state = 28, .external_lex_state = 3},
  [453] = {.lex_state = 28, .external_lex_state = 3},
  [454] = {.lex_state = 28, .external_lex_state = 3},
  [455] = {.lex_state = 28, .external_lex_state = 3},
  [456] = {.lex_state = 28, .external_lex_state = 3},
  [457] = {.lex_state = 28, .external_lex_state = 3},
  [458] = {.lex_state = 28, .external_lex_state = 3},
  [459] = {.lex_state = 28, .external_lex_state = 3},
  [460] = {.lex_state = 28, .external_lex_state = 3},
  [461] = {.lex_state = 28, .external_lex_state = 3},
  [462] = {.lex_state = 28, .external_lex_state = 3},
  [463] = {.lex_state = 28, .external_lex_state = 3},
  [464] = {.lex_state = 28, .external_lex_state = 3},
  [465] = {.lex_state = 28, .external_lex_state = 3},
  [466] = {.lex_state = 28, .external_lex_state = 3},
  [467] = {.lex_state = 28, .external_lex_state = 3},
  [468] = {.lex_state = 28, .external_lex_state = 3},
  [469] = {.lex_state = 28, .external_lex_state = 3},
  [470] = {.lex_state = 28, .external_lex_state = 3},
  [471] = {.lex_state = 28, .external_lex_state = 3},
  [472] = {.lex_state = 28, .external_lex_state = 3},
  [473] = {.lex_state = 28, .external_lex_state = 3},
  [474] = {.lex_state = 28, .external_lex_state = 3},
  [475] = {.lex_state = 28, .external_lex_state = 3},
  [476] = {.lex_state = 28, .external_lex_state = 3},
  [477] = {.lex_state = 28, .external_lex_state = 3},
  [478] = {.lex_state = 28, .external_lex_state = 3},
  [479] = {.lex_state = 28, .external_lex_state = 3},
  [480] = {.lex_state = 28, .external_lex_state = 3},
  [481] = {.lex_state = 28, .external_lex_state = 3},
  [482] = {.lex_state = 28, .external_lex_state = 3},
  [483] = {.lex_state = 28, .external_lex_state = 3},
  [484] = {.lex_state = 28, .external_lex_state = 3},
  [485] = {.lex_state = 28, .external_lex_state = 3},
  [486] = {.lex_state = 28, .external_lex_state = 3},
  [487] = {.lex_state = 28, .external_lex_state = 3},
  [488] = {.lex_state = 28, .external_lex_state = 3},
  [489] = {.lex_state = 28, .external_lex_state = 3},
  [490] = {.lex_state = 28, .external_lex_state = 3},
  [491] = {.lex_state = 28, .external_lex_state = 3},
  [492] = {.lex_state = 28, .external_lex_state = 3},
  [493] = {.lex_state = 28, .external_lex_state = 3},
  [494] = {.lex_state = 28, .external_lex_state = 3},
  [495] = {.lex_state = 28, .external_lex_state = 3},
  [496] = {.lex_state = 28, .external_lex_state = 3},
  [497] = {.lex_state = 28, .external_lex_state = 3},
  [498] = {.lex_state = 28, .external_lex_state = 3},
  [499] = {.lex_state = 28, .external_lex_state = 3},
  [500] = {.lex_state = 28, .external_lex_state = 3},
  [501] = {.lex_state = 28, .external_lex_state = 3},
  [502] = {.lex_state = 32, .external_lex_state = 3},
  [503] = {.lex_state = 28, .external_lex_state = 3},
  [504] = {.lex_state = 28, .external_lex_state = 3},
  [505] = {.lex_state = 28, .external_lex_state = 3},
  [506] = {.lex_state = 28, .external_lex_state = 3},
  [507] = {.lex_state = 32, .external_lex_state = 3},
  [508] = {.lex_state = 28, .external_lex_state = 3},
  [509] = {.lex_state = 28, .external_lex_state = 3},
  [510] = {.lex_state = 28, .external_lex_state = 3},
  [511] = {.lex_state = 28, .external_lex_state = 3},
  [512] = {.lex_state = 28, .external_lex_state = 3},
  [513] = {.lex_state = 28, .external_lex_state = 3},
  [514] = {.lex_state = 28, .external_lex_state = 3},
  [515] = {.lex_state = 28, .external_lex_state = 3},
  [516] = {.lex_state = 28, .external_lex_state = 3},
  [517] = {.lex_state = 28, .external_lex_state = 3},
  [518] = {.lex_state = 28, .external_lex_state = 3},
  [519] = {.lex_state = 28, .external_lex_state = 3},
  [520] = {.lex_state = 28, .external_lex_state = 3},
  [521] = {.lex_state = 28, .external_lex_state = 3},
  [522] = {.lex_state = 28, .external_lex_state = 3},
  [523] = {.lex_state = 28, .external_lex_state = 3},
  [524] = {.lex_state = 28, .external_lex_state = 3},
  [525] = {.lex_state = 28, .external_lex_state = 3},
  [526] = {.lex_state = 28, .external_lex_state = 3},
  [527] = {.lex_state = 28, .external_lex_state = 3},
  [528] = {.lex_state = 28, .external_lex_state = 3},
  [529] = {.lex_state = 28, .external_lex_state = 3},
  [530] = {.lex_state = 28, .external_lex_state = 3},
  [531] = {.lex_state = 28, .external_lex_state = 3},
  [532] = {.lex_state = 28, .external_lex_state = 3},
  [533] = {.lex_state = 32, .external_lex_state = 3},
  [534] = {.lex_state = 28, .external_lex_state = 3},
  [535] = {.lex_state = 28, .external_lex_state = 3},
  [536] = {.lex_state = 28, .external_lex_state = 3},
  [537] = {.lex_state = 32, .external_lex_state = 3},
  [538] = {.lex_state = 28, .external_lex_state = 3},
  [539] = {.lex_state = 28, .external_lex_state = 3},
  [540] = {.lex_state = 28, .external_lex_state = 3},
  [541] = {.lex_state = 28, .external_lex_state = 3},
  [542] = {.lex_state = 28, .external_lex_state = 3},
  [543] = {.lex_state = 28, .external_lex_state = 3},
  [544] = {.lex_state = 28, .external_lex_state = 3},
  [545] = {.lex_state = 28, .external_lex_state = 3},
  [546] = {.lex_state = 28, .external_lex_state = 3},
  [547] = {.lex_state = 28, .external_lex_state = 3},
  [548] = {.lex_state = 28, .external_lex_state = 3},
  [549] = {.lex_state = 28, .external_lex_state = 3},
  [550] = {.lex_state = 28, .external_lex_state = 3},
  [551] = {.lex_state = 28, .external_lex_state = 3},
  [552] = {.lex_state = 28, .external_lex_state = 3},
  [553] = {.lex_state = 28, .external_lex_state = 3},
  [554] = {.lex_state = 28, .external_lex_state = 3},
  [555] = {.lex_state = 28, .external_lex_state = 3},
  [556] = {.lex_state = 28, .external_lex_state = 3},
  [557] = {.lex_state = 28, .external_lex_state = 3},
  [558] = {.lex_state = 28, .external_lex_state = 3},
  [559] = {.lex_state = 28, .external_lex_state = 3},
  [560] = {.lex_state = 28, .external_lex_state = 3},
  [561] = {.lex_state = 28, .external_lex_state = 3},
  [562] = {.lex_state = 28, .external_lex_state = 3},
  [563] = {.lex_state = 28, .external_lex_state = 3},
  [564] = {.lex_state = 28, .external_lex_state = 3},
  [565] = {.lex_state = 28, .external_lex_state = 3},
  [566] = {.lex_state = 28, .external_lex_state = 3},
  [567] = {.lex_state = 28, .external_lex_state = 3},
  [568] = {.lex_state = 28, .external_lex_state = 3},
  [569] = {.lex_state = 28, .external_lex_state = 3},
  [570] = {.lex_state = 28, .external_lex_state = 3},
  [571] = {.lex_state = 28, .external_lex_state = 3},
  [572] = {.lex_state = 28, .external_lex_state = 3},
  [573] = {.lex_state = 28, .external_lex_state = 3},
  [574] = {.lex_state = 28, .external_lex_state = 3},
  [575] = {.lex_state = 28, .external_lex_state = 3},
  [576] = {.lex_state = 28, .external_lex_state = 3},
  [577] = {.lex_state = 28, .external_lex_state = 3},
  [578] = {.lex_state = 28, .external_lex_state = 3},
  [579] = {.lex_state = 28, .external_lex_state = 3},
  [580] = {.lex_state = 28, .external_lex_state = 3},
  [581] = {.lex_state = 28, .external_lex_state = 3},
  [582] = {.lex_state = 28, .external_lex_state = 3},
  [583] = {.lex_state = 28, .external_lex_state = 3},
  [584] = {.lex_state = 63, .external_lex_state = 3},
  [585] = {.lex_state = 28, .external_lex_state = 3},
  [586] = {.lex_state = 28, .external_lex_state = 3},
  [587] = {.lex_state = 28, .external_lex_state = 3},
  [588] = {.lex_state = 28, .external_lex_state = 3},
  [589] = {.lex_state = 67, .external_lex_state = 3},
  [590] = {.lex_state = 28, .external_lex_state = 3},
  [591] = {.lex_state = 28, .external_lex_state = 3},
  [592] = {.lex_state = 28, .external_lex_state = 3},
  [593] = {.lex_state = 28, .external_lex_state = 3},
  [594] = {.lex_state = 28, .external_lex_state = 3},
  [595] = {.lex_state = 28, .external_lex_state = 3},
  [596] = {.lex_state = 28, .external_lex_state = 3},
  [597] = {.lex_state = 28, .external_lex_state = 3},
  [598] = {.lex_state = 28, .external_lex_state = 3},
  [599] = {.lex_state = 28, .external_lex_state = 3},
  [600] = {.lex_state = 28, .external_lex_state = 3},
  [601] = {.lex_state = 28, .external_lex_state = 3},
  [602] = {.lex_state = 28, .external_lex_state = 3},
  [603] = {.lex_state = 28, .external_lex_state = 3},
  [604] = {.lex_state = 28, .external_lex_state = 3},
  [605] = {.lex_state = 28, .external_lex_state = 3},
  [606] = {.lex_state = 28, .external_lex_state = 3},
  [607] = {.lex_state = 28, .external_lex_state = 3},
  [608] = {.lex_state = 28, .external_lex_state = 3},
  [609] = {.lex_state = 28, .external_lex_state = 3},
  [610] = {.lex_state = 28, .external_lex_state = 3},
  [611] = {.lex_state = 28, .external_lex_state = 3},
  [612] = {.lex_state = 28, .external_lex_state = 3},
  [613] = {.lex_state = 28, .external_lex_state = 3},
  [614] = {.lex_state = 28, .external_lex_state = 3},
  [615] = {.lex_state = 28, .external_lex_state = 3},
  [616] = {.lex_state = 28, .external_lex_state = 3},
  [617] = {.lex_state = 28, .external_lex_state = 3},
  [618] = {.lex_state = 28, .external_lex_state = 3},
  [619] = {.lex_state = 28, .external_lex_state = 3},
  [620] = {.lex_state = 28, .external_lex_state = 3},
  [621] = {.lex_state = 28, .external_lex_state = 3},
  [622] = {.lex_state = 28, .external_lex_state = 3},
  [623] = {.lex_state = 28, .external_lex_state = 3},
  [624] = {.lex_state = 28, .external_lex_state = 3},
  [625] = {.lex_state = 28, .external_lex_state = 3},
  [626] = {.lex_state = 28, .external_lex_state = 3},
  [627] = {.lex_state = 28, .external_lex_state = 3},
  [628] = {.lex_state = 28, .external_lex_state = 3},
  [629] = {.lex_state = 28, .external_lex_state = 3},
  [630] = {.lex_state = 28, .external_lex_state = 3},
  [631] = {.lex_state = 28, .external_lex_state = 3},
  [632] = {.lex_state = 28, .external_lex_state = 3},
  [633] = {.lex_state = 28, .external_lex_state = 3},
  [634] = {.lex_state = 28, .external_lex_state = 3},
  [635] = {.lex_state = 28, .external_lex_state = 3},
  [636] = {.lex_state = 28, .external_lex_state = 3},
  [637] = {.lex_state = 28, .external_lex_state = 3},
  [638] = {.lex_state = 28, .external_lex_state = 3},
  [639] = {.lex_state = 28, .external_lex_state = 3},
  [640] = {.lex_state = 28, .external_lex_state = 3},
  [641] = {.lex_state = 28, .external_lex_state = 3},
  [642] = {.lex_state = 28, .external_lex_state = 3},
  [643] = {.lex_state = 28, .external_lex_state = 3},
  [644] = {.lex_state = 28, .external_lex_state = 3},
  [645] = {.lex_state = 28, .external_lex_state = 3},
  [646] = {.lex_state = 28, .external_lex_state = 3},
  [647] = {.lex_state = 28, .external_lex_state = 3},
  [648] = {.lex_state = 28, .external_lex_state = 3},
  [649] = {.lex_state = 28, .external_lex_state = 3},
  [650] = {.lex_state = 28, .external_lex_state = 3},
  [651] = {.lex_state = 28, .external_lex_state = 3},
  [652] = {.lex_state = 28, .external_lex_state = 3},
  [653] = {.lex_state = 28, .external_lex_state = 3},
  [654] = {.lex_state = 28, .external_lex_state = 3},
  [655] = {.lex_state = 28, .external_lex_state = 3},
  [656] = {.lex_state = 28, .external_lex_state = 3},
  [657] = {.lex_state = 28, .external_lex_state = 3},
  [658] = {.lex_state = 28, .external_lex_state = 3},
  [659] = {.lex_state = 28, .external_lex_state = 3},
  [660] = {.lex_state = 28, .external_lex_state = 3},
  [661] = {.lex_state = 28, .external_lex_state = 3},
  [662] = {.lex_state = 28, .external_lex_state = 3},
  [663] = {.lex_state = 28, .external_lex_state = 3},
  [664] = {.lex_state = 28, .external_lex_state = 3},
  [665] = {.lex_state = 28, .external_lex_state = 3},
  [666] = {.lex_state = 28, .external_lex_state = 3},
  [667] = {.lex_state = 28, .external_lex_state = 3},
  [668] = {.lex_state = 28, .external_lex_state = 3},
  [669] = {.lex_state = 28, .external_lex_state = 3},
  [670] = {.lex_state = 28, .external_lex_state = 3},
  [671] = {.lex_state = 28, .external_lex_state = 3},
  [672] = {.lex_state = 28, .external_lex_state = 3},
  [673] = {.lex_state = 28, .external_lex_state = 3},
  [674] = {.lex_state = 28, .external_lex_state = 3},
  [675] = {.lex_state = 28, .external_lex_state = 3},
  [676] = {.lex_state = 28, .external_lex_state = 3},
  [677] = {.lex_state = 28, .external_lex_state = 3},
  [678] = {.lex_state = 28, .external_lex_state = 3},
  [679] = {.lex_state = 28, .external_lex_state = 3},
  [680] = {.lex_state = 28, .external_lex_state = 3},
  [681] = {.lex_state = 28, .external_lex_state = 3},
  [682] = {.lex_state = 28, .external_lex_state = 3},
  [683] = {.lex_state = 28, .external_lex_state = 3},
  [684] = {.lex_state = 28, .external_lex_state = 3},
  [685] = {.lex_state = 28, .external_lex_state = 3},
  [686] = {.lex_state = 28, .external_lex_state = 3},
  [687] = {.lex_state = 28, .external_lex_state = 3},
  [688] = {.lex_state = 28, .external_lex_state = 3},
  [689] = {.lex_state = 28, .external_lex_state = 3},
  [690] = {.lex_state = 28, .external_lex_state = 3},
  [691] = {.lex_state = 28, .external_lex_state = 3},
  [692] = {.lex_state = 28, .external_lex_state = 3},
  [693] = {.lex_state = 28, .external_lex_state = 3},
  [694] = {.lex_state = 28, .external_lex_state = 3},
  [695] = {.lex_state = 28, .external_lex_state = 3},
  [696] = {.lex_state = 28, .external_lex_state = 3},
  [697] = {.lex_state = 28, .external_lex_state = 3},
  [698] = {.lex_state = 28, .external_lex_state = 3},
  [699] = {.lex_state = 28, .external_lex_state = 3},
  [700] = {.lex_state = 28, .external_lex_state = 3},
  [701] = {.lex_state = 28, .external_lex_state = 3},
  [702] = {.lex_state = 28, .external_lex_state = 3},
  [703] = {.lex_state = 28, .external_lex_state = 3},
  [704] = {.lex_state = 28, .external_lex_state = 3},
  [705] = {.lex_state = 28, .external_lex_state = 3},
  [706] = {.lex_state = 28, .external_lex_state = 3},
  [707] = {.lex_state = 28, .external_lex_state = 3},
  [708] = {.lex_state = 28, .external_lex_state = 3},
  [709] = {.lex_state = 28, .external_lex_state = 3},
  [710] = {.lex_state = 28, .external_lex_state = 3},
  [711] = {.lex_state = 28, .external_lex_state = 3},
  [712] = {.lex_state = 28, .external_lex_state = 3},
  [713] = {.lex_state = 28, .external_lex_state = 3},
  [714] = {.lex_state = 28, .external_lex_state = 3},
  [715] = {.lex_state = 28, .external_lex_state = 3},
  [716] = {.lex_state = 28, .external_lex_state = 3},
  [717] = {.lex_state = 28, .external_lex_state = 3},
  [718] = {.lex_state = 28, .external_lex_state = 3},
  [719] = {.lex_state = 28, .external_lex_state = 3},
  [720] = {.lex_state = 28, .external_lex_state = 3},
  [721] = {.lex_state = 28, .external_lex_state = 3},
  [722] = {.lex_state = 28, .external_lex_state = 3},
  [723] = {.lex_state = 28, .external_lex_state = 3},
  [724] = {.lex_state = 28, .external_lex_state = 3},
  [725] = {.lex_state = 28, .external_lex_state = 3},
  [726] = {.lex_state = 28, .external_lex_state = 3},
  [727] = {.lex_state = 28, .external_lex_state = 3},
  [728] = {.lex_state = 28, .external_lex_state = 3},
  [729] = {.lex_state = 28, .external_lex_state = 3},
  [730] = {.lex_state = 28, .external_lex_state = 3},
  [731] = {.lex_state = 28, .external_lex_state = 3},
  [732] = {.lex_state = 28, .external_lex_state = 3},
  [733] = {.lex_state = 28, .external_lex_state = 3},
  [734] = {.lex_state = 28, .external_lex_state = 3},
  [735] = {.lex_state = 28, .external_lex_state = 3},
  [736] = {.lex_state = 28, .external_lex_state = 3},
  [737] = {.lex_state = 28, .external_lex_state = 3},
  [738] = {.lex_state = 28, .external_lex_state = 3},
  [739] = {.lex_state = 28, .external_lex_state = 3},
  [740] = {.lex_state = 28, .external_lex_state = 3},
  [741] = {.lex_state = 28, .external_lex_state = 3},
  [742] = {.lex_state = 28, .external_lex_state = 3},
  [743] = {.lex_state = 28, .external_lex_state = 3},
  [744] = {.lex_state = 28, .external_lex_state = 3},
  [745] = {.lex_state = 28, .external_lex_state = 3},
  [746] = {.lex_state = 28, .external_lex_state = 3},
  [747] = {.lex_state = 28, .external_lex_state = 3},
  [748] = {.lex_state = 28, .external_lex_state = 3},
  [749] = {.lex_state = 28, .external_lex_state = 3},
  [750] = {.lex_state = 28, .external_lex_state = 3},
  [751] = {.lex_state = 28, .external_lex_state = 3},
  [752] = {.lex_state = 28, .external_lex_state = 3},
  [753] = {.lex_state = 28, .external_lex_state = 3},
  [754] = {.lex_state = 28, .external_lex_state = 3},
  [755] = {.lex_state = 28, .external_lex_state = 3},
  [756] = {.lex_state = 28, .external_lex_state = 3},
  [757] = {.lex_state = 28, .external_lex_state = 3},
  [758] = {.lex_state = 28, .external_lex_state = 3},
  [759] = {.lex_state = 28, .external_lex_state = 3},
  [760] = {.lex_state = 28, .external_lex_state = 3},
  [761] = {.lex_state = 28, .external_lex_state = 3},
  [762] = {.lex_state = 28, .external_lex_state = 3},
  [763] = {.lex_state = 28, .external_lex_state = 3},
  [764] = {.lex_state = 28, .external_lex_state = 3},
  [765] = {.lex_state = 28, .external_lex_state = 3},
  [766] = {.lex_state = 28, .external_lex_state = 3},
  [767] = {.lex_state = 28, .external_lex_state = 3},
  [768] = {.lex_state = 28, .external_lex_state = 3},
  [769] = {.lex_state = 28, .external_lex_state = 3},
  [770] = {.lex_state = 28, .external_lex_state = 3},
  [771] = {.lex_state = 28, .external_lex_state = 3},
  [772] = {.lex_state = 28, .external_lex_state = 3},
  [773] = {.lex_state = 28, .external_lex_state = 3},
  [774] = {.lex_state = 28, .external_lex_state = 3},
  [775] = {.lex_state = 28, .external_lex_state = 3},
  [776] = {.lex_state = 28, .external_lex_state = 3},
  [777] = {.lex_state = 28, .external_lex_state = 3},
  [778] = {.lex_state = 28, .external_lex_state = 3},
  [779] = {.lex_state = 28, .external_lex_state = 3},
  [780] = {.lex_state = 28, .external_lex_state = 3},
  [781] = {.lex_state = 28, .external_lex_state = 3},
  [782] = {.lex_state = 28, .external_lex_state = 3},
  [783] = {.lex_state = 28, .external_lex_state = 3},
  [784] = {.lex_state = 28, .external_lex_state = 3},
  [785] = {.lex_state = 28, .external_lex_state = 3},
  [786] = {.lex_state = 28, .external_lex_state = 3},
  [787] = {.lex_state = 28, .external_lex_state = 3},
  [788] = {.lex_state = 28, .external_lex_state = 3},
  [789] = {.lex_state = 28, .external_lex_state = 3},
  [790] = {.lex_state = 28, .external_lex_state = 3},
  [791] = {.lex_state = 28, .external_lex_state = 3},
  [792] = {.lex_state = 28, .external_lex_state = 3},
  [793] = {.lex_state = 28, .external_lex_state = 3},
  [794] = {.lex_state = 28, .external_lex_state = 3},
  [795] = {.lex_state = 28, .external_lex_state = 3},
  [796] = {.lex_state = 28, .external_lex_state = 3},
  [797] = {.lex_state = 28, .external_lex_state = 3},
  [798] = {.lex_state = 28, .external_lex_state = 3},
  [799] = {.lex_state = 28, .external_lex_state = 3},
  [800] = {.lex_state = 28, .external_lex_state = 3},
  [801] = {.lex_state = 28, .external_lex_state = 3},
  [802] = {.lex_state = 28, .external_lex_state = 3},
  [803] = {.lex_state = 28, .external_lex_state = 3},
  [804] = {.lex_state = 28, .external_lex_state = 3},
  [805] = {.lex_state = 28, .external_lex_state = 3},
  [806] = {.lex_state = 28, .external_lex_state = 3},
  [807] = {.lex_state = 28, .external_lex_state = 3},
  [808] = {.lex_state = 28, .external_lex_state = 3},
  [809] = {.lex_state = 28, .external_lex_state = 3},
  [810] = {.lex_state = 28, .external_lex_state = 3},
  [811] = {.lex_state = 28, .external_lex_state = 3},
  [812] = {.lex_state = 28, .external_lex_state = 3},
  [813] = {.lex_state = 28, .external_lex_state = 3},
  [814] = {.lex_state = 28, .external_lex_state = 3},
  [815] = {.lex_state = 28, .external_lex_state = 3},
  [816] = {.lex_state = 28, .external_lex_state = 3},
  [817] = {.lex_state = 28, .external_lex_state = 3},
  [818] = {.lex_state = 28, .external_lex_state = 3},
  [819] = {.lex_state = 28, .external_lex_state = 3},
  [820] = {.lex_state = 28, .external_lex_state = 3},
  [821] = {.lex_state = 28, .external_lex_state = 3},
  [822] = {.lex_state = 28, .external_lex_state = 3},
  [823] = {.lex_state = 28, .external_lex_state = 3},
  [824] = {.lex_state = 28, .external_lex_state = 3},
  [825] = {.lex_state = 28, .external_lex_state = 3},
  [826] = {.lex_state = 28, .external_lex_state = 3},
  [827] = {.lex_state = 28, .external_lex_state = 3},
  [828] = {.lex_state = 28, .external_lex_state = 3},
  [829] = {.lex_state = 28, .external_lex_state = 3},
  [830] = {.lex_state = 28, .external_lex_state = 3},
  [831] = {.lex_state = 28, .external_lex_state = 3},
  [832] = {.lex_state = 28, .external_lex_state = 3},
  [833] = {.lex_state = 28, .external_lex_state = 3},
  [834] = {.lex_state = 28, .external_lex_state = 3},
  [835] = {.lex_state = 28, .external_lex_state = 3},
  [836] = {.lex_state = 28, .external_lex_state = 3},
  [837] = {.lex_state = 28, .external_lex_state = 3},
  [838] = {.lex_state = 28, .external_lex_state = 3},
  [839] = {.lex_state = 28, .external_lex_state = 3},
  [840] = {.lex_state = 28, .external_lex_state = 3},
  [841] = {.lex_state = 28, .external_lex_state = 3},
  [842] = {.lex_state = 28, .external_lex_state = 3},
  [843] = {.lex_state = 28, .external_lex_state = 3},
  [844] = {.lex_state = 28, .external_lex_state = 3},
  [845] = {.lex_state = 28, .external_lex_state = 3},
  [846] = {.lex_state = 28, .external_lex_state = 3},
  [847] = {.lex_state = 28, .external_lex_state = 3},
  [848] = {.lex_state = 28, .external_lex_state = 3},
  [849] = {.lex_state = 28, .external_lex_state = 3},
  [850] = {.lex_state = 28, .external_lex_state = 3},
  [851] = {.lex_state = 28, .external_lex_state = 3},
  [852] = {.lex_state = 28, .external_lex_state = 3},
  [853] = {.lex_state = 28, .external_lex_state = 3},
  [854] = {.lex_state = 28, .external_lex_state = 3},
  [855] = {.lex_state = 28, .external_lex_state = 3},
  [856] = {.lex_state = 28, .external_lex_state = 3},
  [857] = {.lex_state = 28, .external_lex_state = 3},
  [858] = {.lex_state = 28, .external_lex_state = 3},
  [859] = {.lex_state = 28, .external_lex_state = 3},
  [860] = {.lex_state = 28, .external_lex_state = 3},
  [861] = {.lex_state = 28, .external_lex_state = 3},
  [862] = {.lex_state = 28, .external_lex_state = 3},
  [863] = {.lex_state = 28, .external_lex_state = 3},
  [864] = {.lex_state = 28, .external_lex_state = 3},
  [865] = {.lex_state = 28, .external_lex_state = 3},
  [866] = {.lex_state = 28, .external_lex_state = 3},
  [867] = {.lex_state = 28, .external_lex_state = 3},
  [868] = {.lex_state = 28, .external_lex_state = 3},
  [869] = {.lex_state = 28, .external_lex_state = 3},
  [870] = {.lex_state = 28, .external_lex_state = 3},
  [871] = {.lex_state = 28, .external_lex_state = 3},
  [872] = {.lex_state = 28, .external_lex_state = 3},
  [873] = {.lex_state = 28, .external_lex_state = 3},
  [874] = {.lex_state = 28, .external_lex_state = 3},
  [875] = {.lex_state = 28, .external_lex_state = 3},
  [876] = {.lex_state = 28, .external_lex_state = 3},
  [877] = {.lex_state = 28, .external_lex_state = 3},
  [878] = {.lex_state = 28, .external_lex_state = 3},
  [879] = {.lex_state = 28, .external_lex_state = 3},
  [880] = {.lex_state = 28, .external_lex_state = 3},
  [881] = {.lex_state = 28, .external_lex_state = 3},
  [882] = {.lex_state = 28, .external_lex_state = 3},
  [883] = {.lex_state = 28, .external_lex_state = 3},
  [884] = {.lex_state = 28, .external_lex_state = 3},
  [885] = {.lex_state = 28, .external_lex_state = 3},
  [886] = {.lex_state = 28, .external_lex_state = 3},
  [887] = {.lex_state = 28, .external_lex_state = 3},
  [888] = {.lex_state = 28, .external_lex_state = 3},
  [889] = {.lex_state = 28, .external_lex_state = 3},
  [890] = {.lex_state = 28, .external_lex_state = 3},
  [891] = {.lex_state = 28, .external_lex_state = 3},
  [892] = {.lex_state = 28, .external_lex_state = 3},
  [893] = {.lex_state = 28, .external_lex_state = 3},
  [894] = {.lex_state = 28, .external_lex_state = 3},
  [895] = {.lex_state = 28, .external_lex_state = 3},
  [896] = {.lex_state = 28, .external_lex_state = 3},
  [897] = {.lex_state = 28, .external_lex_state = 3},
  [898] = {.lex_state = 28, .external_lex_state = 3},
  [899] = {.lex_state = 28, .external_lex_state = 3},
  [900] = {.lex_state = 28, .external_lex_state = 3},
  [901] = {.lex_state = 28, .external_lex_state = 3},
  [902] = {.lex_state = 28, .external_lex_state = 3},
  [903] = {.lex_state = 28, .external_lex_state = 3},
  [904] = {.lex_state = 28, .external_lex_state = 3},
  [905] = {.lex_state = 28, .external_lex_state = 3},
  [906] = {.lex_state = 28, .external_lex_state = 3},
  [907] = {.lex_state = 28, .external_lex_state = 3},
  [908] = {.lex_state = 28, .external_lex_state = 3},
  [909] = {.lex_state = 28, .external_lex_state = 3},
  [910] = {.lex_state = 28, .external_lex_state = 3},
  [911] = {.lex_state = 28, .external_lex_state = 3},
  [912] = {.lex_state = 28, .external_lex_state = 3},
  [913] = {.lex_state = 28, .external_lex_state = 3},
  [914] = {.lex_state = 28, .external_lex_state = 3},
  [915] = {.lex_state = 28, .external_lex_state = 3},
  [916] = {.lex_state = 28, .external_lex_state = 3},
  [917] = {.lex_state = 28, .external_lex_state = 3},
  [918] = {.lex_state = 28, .external_lex_state = 3},
  [919] = {.lex_state = 28, .external_lex_state = 3},
  [920] = {.lex_state = 28, .external_lex_state = 3},
  [921] = {.lex_state = 28, .external_lex_state = 3},
  [922] = {.lex_state = 28, .external_lex_state = 3},
  [923] = {.lex_state = 28, .external_lex_state = 3},
  [924] = {.lex_state = 28, .external_lex_state = 3},
  [925] = {.lex_state = 28, .external_lex_state = 3},
  [926] = {.lex_state = 28, .external_lex_state = 3},
  [927] = {.lex_state = 28, .external_lex_state = 3},
  [928] = {.lex_state = 28, .external_lex_state = 3},
  [929] = {.lex_state = 28, .external_lex_state = 3},
  [930] = {.lex_state = 28, .external_lex_state = 3},
  [931] = {.lex_state = 28, .external_lex_state = 3},
  [932] = {.lex_state = 28, .external_lex_state = 3},
  [933] = {.lex_state = 28, .external_lex_state = 3},
  [934] = {.lex_state = 28, .external_lex_state = 3},
  [935] = {.lex_state = 28, .external_lex_state = 3},
  [936] = {.lex_state = 28, .external_lex_state = 3},
  [937] = {.lex_state = 28, .external_lex_state = 3},
  [938] = {.lex_state = 28, .external_lex_state = 3},
  [939] = {.lex_state = 28, .external_lex_state = 3},
  [940] = {.lex_state = 28, .external_lex_state = 3},
  [941] = {.lex_state = 28, .external_lex_state = 3},
  [942] = {.lex_state = 28, .external_lex_state = 3},
  [943] = {.lex_state = 28, .external_lex_state = 3},
  [944] = {.lex_state = 28, .external_lex_state = 3},
  [945] = {.lex_state = 28, .external_lex_state = 3},
  [946] = {.lex_state = 28, .external_lex_state = 3},
  [947] = {.lex_state = 28, .external_lex_state = 3},
  [948] = {.lex_state = 28, .external_lex_state = 3},
  [949] = {.lex_state = 28, .external_lex_state = 3},
  [950] = {.lex_state = 28, .external_lex_state = 3},
  [951] = {.lex_state = 28, .external_lex_state = 3},
  [952] = {.lex_state = 28, .external_lex_state = 3},
  [953] = {.lex_state = 28, .external_lex_state = 3},
  [954] = {.lex_state = 28, .external_lex_state = 3},
  [955] = {.lex_state = 28, .external_lex_state = 3},
  [956] = {.lex_state = 28, .external_lex_state = 3},
  [957] = {.lex_state = 28, .external_lex_state = 3},
  [958] = {.lex_state = 28, .external_lex_state = 3},
  [959] = {.lex_state = 28, .external_lex_state = 3},
  [960] = {.lex_state = 28, .external_lex_state = 3},
  [961] = {.lex_state = 28, .external_lex_state = 3},
  [962] = {.lex_state = 28, .external_lex_state = 3},
  [963] = {.lex_state = 28, .external_lex_state = 3},
  [964] = {.lex_state = 28, .external_lex_state = 3},
  [965] = {.lex_state = 28, .external_lex_state = 3},
  [966] = {.lex_state = 28, .external_lex_state = 3},
  [967] = {.lex_state = 28, .external_lex_state = 3},
  [968] = {.lex_state = 28, .external_lex_state = 3},
  [969] = {.lex_state = 28, .external_lex_state = 3},
  [970] = {.lex_state = 28, .external_lex_state = 3},
  [971] = {.lex_state = 28, .external_lex_state = 3},
  [972] = {.lex_state = 28, .external_lex_state = 3},
  [973] = {.lex_state = 28, .external_lex_state = 3},
  [974] = {.lex_state = 28, .external_lex_state = 3},
  [975] = {.lex_state = 28, .external_lex_state = 3},
  [976] = {.lex_state = 28, .external_lex_state = 3},
  [977] = {.lex_state = 28, .external_lex_state = 3},
  [978] = {.lex_state = 28, .external_lex_state = 3},
  [979] = {.lex_state = 28, .external_lex_state = 3},
  [980] = {.lex_state = 28, .external_lex_state = 3},
  [981] = {.lex_state = 28, .external_lex_state = 3},
  [982] = {.lex_state = 28, .external_lex_state = 3},
  [983] = {.lex_state = 28, .external_lex_state = 3},
  [984] = {.lex_state = 28, .external_lex_state = 3},
  [985] = {.lex_state = 28, .external_lex_state = 3},
  [986] = {.lex_state = 28, .external_lex_state = 3},
  [987] = {.lex_state = 28, .external_lex_state = 3},
  [988] = {.lex_state = 28, .external_lex_state = 3},
  [989] = {.lex_state = 28, .external_lex_state = 3},
  [990] = {.lex_state = 28, .external_lex_state = 3},
  [991] = {.lex_state = 28, .external_lex_state = 3},
  [992] = {.lex_state = 28, .external_lex_state = 3},
  [993] = {.lex_state = 28, .external_lex_state = 3},
  [994] = {.lex_state = 28, .external_lex_state = 3},
  [995] = {.lex_state = 28, .external_lex_state = 3},
  [996] = {.lex_state = 28, .external_lex_state = 3},
  [997] = {.lex_state = 28, .external_lex_state = 3},
  [998] = {.lex_state = 28, .external_lex_state = 3},
  [999] = {.lex_state = 28, .external_lex_state = 3},
  [1000] = {.lex_state = 28, .external_lex_state = 3},
  [1001] = {.lex_state = 28, .external_lex_state = 3},
  [1002] = {.lex_state = 28, .external_lex_state = 3},
  [1003] = {.lex_state = 28, .external_lex_state = 3},
  [1004] = {.lex_state = 28, .external_lex_state = 3},
  [1005] = {.lex_state = 28, .external_lex_state = 3},
  [1006] = {.lex_state = 28, .external_lex_state = 3},
  [1007] = {.lex_state = 28, .external_lex_state = 3},
  [1008] = {.lex_state = 28, .external_lex_state = 3},
  [1009] = {.lex_state = 28, .external_lex_state = 3},
  [1010] = {.lex_state = 28, .external_lex_state = 3},
  [1011] = {.lex_state = 28, .external_lex_state = 3},
  [1012] = {.lex_state = 28, .external_lex_state = 3},
  [1013] = {.lex_state = 28, .external_lex_state = 3},
  [1014] = {.lex_state = 28, .external_lex_state = 3},
  [1015] = {.lex_state = 28, .external_lex_state = 3},
  [1016] = {.lex_state = 28, .external_lex_state = 3},
  [1017] = {.lex_state = 28, .external_lex_state = 3},
  [1018] = {.lex_state = 28, .external_lex_state = 3},
  [1019] = {.lex_state = 28, .external_lex_state = 3},
  [1020] = {.lex_state = 28, .external_lex_state = 3},
  [1021] = {.lex_state = 28, .external_lex_state = 3},
  [1022] = {.lex_state = 28, .external_lex_state = 3},
  [1023] = {.lex_state = 28, .external_lex_state = 3},
  [1024] = {.lex_state = 28, .external_lex_state = 3},
  [1025] = {.lex_state = 28, .external_lex_state = 3},
  [1026] = {.lex_state = 28, .external_lex_state = 3},
  [1027] = {.lex_state = 28, .external_lex_state = 3},
  [1028] = {.lex_state = 28, .external_lex_state = 3},
  [1029] = {.lex_state = 28, .external_lex_state = 3},
  [1030] = {.lex_state = 28, .external_lex_state = 3},
  [1031] = {.lex_state = 28, .external_lex_state = 3},
  [1032] = {.lex_state = 28, .external_lex_state = 3},
  [1033] = {.lex_state = 28, .external_lex_state = 3},
  [1034] = {.lex_state = 28, .external_lex_state = 3},
  [1035] = {.lex_state = 28, .external_lex_state = 3},
  [1036] = {.lex_state = 28, .external_lex_state = 3},
  [1037] = {.lex_state = 28, .external_lex_state = 3},
  [1038] = {.lex_state = 28, .external_lex_state = 3},
  [1039] = {.lex_state = 28, .external_lex_state = 3},
  [1040] = {.lex_state = 28, .external_lex_state = 3},
  [1041] = {.lex_state = 28, .external_lex_state = 3},
  [1042] = {.lex_state = 28, .external_lex_state = 3},
  [1043] = {.lex_state = 28, .external_lex_state = 3},
  [1044] = {.lex_state = 28, .external_lex_state = 3},
  [1045] = {.lex_state = 28, .external_lex_state = 3},
  [1046] = {.lex_state = 28, .external_lex_state = 3},
  [1047] = {.lex_state = 28, .external_lex_state = 3},
  [1048] = {.lex_state = 28, .external_lex_state = 3},
  [1049] = {.lex_state = 28, .external_lex_state = 3},
  [1050] = {.lex_state = 28, .external_lex_state = 3},
  [1051] = {.lex_state = 28, .external_lex_state = 3},
  [1052] = {.lex_state = 28, .external_lex_state = 3},
  [1053] = {.lex_state = 28, .external_lex_state = 3},
  [1054] = {.lex_state = 28, .external_lex_state = 3},
  [1055] = {.lex_state = 28, .external_lex_state = 3},
  [1056] = {.lex_state = 28, .external_lex_state = 3},
  [1057] = {.lex_state = 28, .external_lex_state = 3},
  [1058] = {.lex_state = 28, .external_lex_state = 3},
  [1059] = {.lex_state = 28, .external_lex_state = 3},
  [1060] = {.lex_state = 28, .external_lex_state = 3},
  [1061] = {.lex_state = 28, .external_lex_state = 3},
  [1062] = {.lex_state = 28, .external_lex_state = 3},
  [1063] = {.lex_state = 28, .external_lex_state = 3},
  [1064] = {.lex_state = 28, .external_lex_state = 3},
  [1065] = {.lex_state = 28, .external_lex_state = 3},
  [1066] = {.lex_state = 28, .external_lex_state = 3},
  [1067] = {.lex_state = 28, .external_lex_state = 3},
  [1068] = {.lex_state = 28, .external_lex_state = 3},
  [1069] = {.lex_state = 28, .external_lex_state = 3},
  [1070] = {.lex_state = 28, .external_lex_state = 3},
  [1071] = {.lex_state = 28, .external_lex_state = 3},
  [1072] = {.lex_state = 28, .external_lex_state = 3},
  [1073] = {.lex_state = 28, .external_lex_state = 3},
  [1074] = {.lex_state = 28, .external_lex_state = 3},
  [1075] = {.lex_state = 28, .external_lex_state = 3},
  [1076] = {.lex_state = 28, .external_lex_state = 3},
  [1077] = {.lex_state = 28, .external_lex_state = 3},
  [1078] = {.lex_state = 28, .external_lex_state = 3},
  [1079] = {.lex_state = 28, .external_lex_state = 3},
  [1080] = {.lex_state = 28, .external_lex_state = 3},
  [1081] = {.lex_state = 28, .external_lex_state = 3},
  [1082] = {.lex_state = 28, .external_lex_state = 3},
  [1083] = {.lex_state = 28, .external_lex_state = 3},
  [1084] = {.lex_state = 28, .external_lex_state = 3},
  [1085] = {.lex_state = 28, .external_lex_state = 3},
  [1086] = {.lex_state = 28, .external_lex_state = 3},
  [1087] = {.lex_state = 28, .external_lex_state = 3},
  [1088] = {.lex_state = 28, .external_lex_state = 3},
  [1089] = {.lex_state = 28, .external_lex_state = 3},
  [1090] = {.lex_state = 28, .external_lex_state = 3},
  [1091] = {.lex_state = 28, .external_lex_state = 3},
  [1092] = {.lex_state = 28, .external_lex_state = 3},
  [1093] = {.lex_state = 28, .external_lex_state = 3},
  [1094] = {.lex_state = 28, .external_lex_state = 3},
  [1095] = {.lex_state = 28, .external_lex_state = 3},
  [1096] = {.lex_state = 28, .external_lex_state = 3},
  [1097] = {.lex_state = 28, .external_lex_state = 3},
  [1098] = {.lex_state = 28, .external_lex_state = 3},
  [1099] = {.lex_state = 28, .external_lex_state = 3},
  [1100] = {.lex_state = 28, .external_lex_state = 3},
  [1101] = {.lex_state = 28, .external_lex_state = 3},
  [1102] = {.lex_state = 28, .external_lex_state = 3},
  [1103] = {.lex_state = 28, .external_lex_state = 3},
  [1104] = {.lex_state = 28, .external_lex_state = 3},
  [1105] = {.lex_state = 28, .external_lex_state = 3},
  [1106] = {.lex_state = 28, .external_lex_state = 3},
  [1107] = {.lex_state = 28, .external_lex_state = 3},
  [1108] = {.lex_state = 28, .external_lex_state = 3},
  [1109] = {.lex_state = 28, .external_lex_state = 3},
  [1110] = {.lex_state = 28, .external_lex_state = 3},
  [1111] = {.lex_state = 28, .external_lex_state = 3},
  [1112] = {.lex_state = 28, .external_lex_state = 3},
  [1113] = {.lex_state = 28, .external_lex_state = 3},
  [1114] = {.lex_state = 28, .external_lex_state = 3},
  [1115] = {.lex_state = 28, .external_lex_state = 3},
  [1116] = {.lex_state = 28, .external_lex_state = 3},
  [1117] = {.lex_state = 28, .external_lex_state = 3},
  [1118] = {.lex_state = 28, .external_lex_state = 3},
  [1119] = {.lex_state = 28, .external_lex_state = 3},
  [1120] = {.lex_state = 28, .external_lex_state = 3},
  [1121] = {.lex_state = 28, .external_lex_state = 3},
  [1122] = {.lex_state = 28, .external_lex_state = 3},
  [1123] = {.lex_state = 28, .external_lex_state = 3},
  [1124] = {.lex_state = 28, .external_lex_state = 3},
  [1125] = {.lex_state = 28, .external_lex_state = 3},
  [1126] = {.lex_state = 28, .external_lex_state = 3},
  [1127] = {.lex_state = 28, .external_lex_state = 3},
  [1128] = {.lex_state = 28, .external_lex_state = 3},
  [1129] = {.lex_state = 28, .external_lex_state = 3},
  [1130] = {.lex_state = 28, .external_lex_state = 3},
  [1131] = {.lex_state = 28, .external_lex_state = 3},
  [1132] = {.lex_state = 28, .external_lex_state = 3},
  [1133] = {.lex_state = 28, .external_lex_state = 3},
  [1134] = {.lex_state = 28, .external_lex_state = 3},
  [1135] = {.lex_state = 28, .external_lex_state = 3},
  [1136] = {.lex_state = 28, .external_lex_state = 3},
  [1137] = {.lex_state = 28, .external_lex_state = 3},
  [1138] = {.lex_state = 28, .external_lex_state = 3},
  [1139] = {.lex_state = 28, .external_lex_state = 3},
  [1140] = {.lex_state = 28, .external_lex_state = 3},
  [1141] = {.lex_state = 28, .external_lex_state = 3},
  [1142] = {.lex_state = 28, .external_lex_state = 3},
  [1143] = {.lex_state = 28, .external_lex_state = 3},
  [1144] = {.lex_state = 28, .external_lex_state = 3},
  [1145] = {.lex_state = 28, .external_lex_state = 3},
  [1146] = {.lex_state = 28, .external_lex_state = 3},
  [1147] = {.lex_state = 28, .external_lex_state = 3},
  [1148] = {.lex_state = 28, .external_lex_state = 3},
  [1149] = {.lex_state = 28, .external_lex_state = 3},
  [1150] = {.lex_state = 28, .external_lex_state = 3},
  [1151] = {.lex_state = 28, .external_lex_state = 3},
  [1152] = {.lex_state = 28, .external_lex_state = 3},
  [1153] = {.lex_state = 28, .external_lex_state = 3},
  [1154] = {.lex_state = 28, .external_lex_state = 3},
  [1155] = {.lex_state = 28, .external_lex_state = 3},
  [1156] = {.lex_state = 28, .external_lex_state = 3},
  [1157] = {.lex_state = 28, .external_lex_state = 3},
  [1158] = {.lex_state = 28, .external_lex_state = 3},
  [1159] = {.lex_state = 28, .external_lex_state = 3},
  [1160] = {.lex_state = 28, .external_lex_state = 3},
  [1161] = {.lex_state = 28, .external_lex_state = 3},
  [1162] = {.lex_state = 28, .external_lex_state = 3},
  [1163] = {.lex_state = 28, .external_lex_state = 3},
  [1164] = {.lex_state = 28, .external_lex_state = 3},
  [1165] = {.lex_state = 28, .external_lex_state = 3},
  [1166] = {.lex_state = 28, .external_lex_state = 3},
  [1167] = {.lex_state = 28, .external_lex_state = 3},
  [1168] = {.lex_state = 28, .external_lex_state = 3},
  [1169] = {.lex_state = 28, .external_lex_state = 3},
  [1170] = {.lex_state = 28, .external_lex_state = 3},
  [1171] = {.lex_state = 28, .external_lex_state = 3},
  [1172] = {.lex_state = 28, .external_lex_state = 3},
  [1173] = {.lex_state = 28, .external_lex_state = 3},
  [1174] = {.lex_state = 28, .external_lex_state = 3},
  [1175] = {.lex_state = 28, .external_lex_state = 3},
  [1176] = {.lex_state = 28, .external_lex_state = 3},
  [1177] = {.lex_state = 28, .external_lex_state = 3},
  [1178] = {.lex_state = 28, .external_lex_state = 3},
  [1179] = {.lex_state = 28, .external_lex_state = 3},
  [1180] = {.lex_state = 28, .external_lex_state = 3},
  [1181] = {.lex_state = 28, .external_lex_state = 3},
  [1182] = {.lex_state = 28, .external_lex_state = 3},
  [1183] = {.lex_state = 28, .external_lex_state = 3},
  [1184] = {.lex_state = 28, .external_lex_state = 3},
  [1185] = {.lex_state = 28, .external_lex_state = 3},
  [1186] = {.lex_state = 28, .external_lex_state = 3},
  [1187] = {.lex_state = 28, .external_lex_state = 3},
  [1188] = {.lex_state = 28, .external_lex_state = 3},
  [1189] = {.lex_state = 28, .external_lex_state = 3},
  [1190] = {.lex_state = 28, .external_lex_state = 3},
  [1191] = {.lex_state = 28, .external_lex_state = 3},
  [1192] = {.lex_state = 28, .external_lex_state = 3},
  [1193] = {.lex_state = 28, .external_lex_state = 3},
  [1194] = {.lex_state = 28, .external_lex_state = 3},
  [1195] = {.lex_state = 28, .external_lex_state = 3},
  [1196] = {.lex_state = 28, .external_lex_state = 3},
  [1197] = {.lex_state = 28, .external_lex_state = 3},
  [1198] = {.lex_state = 28, .external_lex_state = 3},
  [1199] = {.lex_state = 28, .external_lex_state = 3},
  [1200] = {.lex_state = 28, .external_lex_state = 3},
  [1201] = {.lex_state = 28, .external_lex_state = 3},
  [1202] = {.lex_state = 28, .external_lex_state = 3},
  [1203] = {.lex_state = 28, .external_lex_state = 3},
  [1204] = {.lex_state = 28, .external_lex_state = 3},
  [1205] = {.lex_state = 28, .external_lex_state = 3},
  [1206] = {.lex_state = 28, .external_lex_state = 3},
  [1207] = {.lex_state = 28, .external_lex_state = 3},
  [1208] = {.lex_state = 28, .external_lex_state = 3},
  [1209] = {.lex_state = 28, .external_lex_state = 3},
  [1210] = {.lex_state = 28, .external_lex_state = 3},
  [1211] = {.lex_state = 28, .external_lex_state = 3},
  [1212] = {.lex_state = 28, .external_lex_state = 3},
  [1213] = {.lex_state = 28, .external_lex_state = 3},
  [1214] = {.lex_state = 28, .external_lex_state = 3},
  [1215] = {.lex_state = 28, .external_lex_state = 3},
  [1216] = {.lex_state = 28, .external_lex_state = 3},
  [1217] = {.lex_state = 28, .external_lex_state = 3},
  [1218] = {.lex_state = 28, .external_lex_state = 3},
  [1219] = {.lex_state = 28, .external_lex_state = 3},
  [1220] = {.lex_state = 28, .external_lex_state = 3},
  [1221] = {.lex_state = 28, .external_lex_state = 3},
  [1222] = {.lex_state = 28, .external_lex_state = 3},
  [1223] = {.lex_state = 28, .external_lex_state = 3},
  [1224] = {.lex_state = 28, .external_lex_state = 3},
  [1225] = {.lex_state = 28, .external_lex_state = 3},
  [1226] = {.lex_state = 28, .external_lex_state = 3},
  [1227] = {.lex_state = 28, .external_lex_state = 3},
  [1228] = {.lex_state = 28, .external_lex_state = 3},
  [1229] = {.lex_state = 28, .external_lex_state = 3},
  [1230] = {.lex_state = 28, .external_lex_state = 3},
  [1231] = {.lex_state = 28, .external_lex_state = 3},
  [1232] = {.lex_state = 28, .external_lex_state = 3},
  [1233] = {.lex_state = 28, .external_lex_state = 3},
  [1234] = {.lex_state = 28, .external_lex_state = 3},
  [1235] = {.lex_state = 28, .external_lex_state = 3},
  [1236] = {.lex_state = 28, .external_lex_state = 3},
  [1237] = {.lex_state = 28, .external_lex_state = 3},
  [1238] = {.lex_state = 28, .external_lex_state = 3},
  [1239] = {.lex_state = 28, .external_lex_state = 3},
  [1240] = {.lex_state = 28, .external_lex_state = 3},
  [1241] = {.lex_state = 28, .external_lex_state = 3},
  [1242] = {.lex_state = 28, .external_lex_state = 3},
  [1243] = {.lex_state = 28, .external_lex_state = 3},
  [1244] = {.lex_state = 28, .external_lex_state = 3},
  [1245] = {.lex_state = 28, .external_lex_state = 3},
  [1246] = {.lex_state = 28, .external_lex_state = 3},
  [1247] = {.lex_state = 28, .external_lex_state = 3},
  [1248] = {.lex_state = 28, .external_lex_state = 3},
  [1249] = {.lex_state = 28, .external_lex_state = 3},
  [1250] = {.lex_state = 28, .external_lex_state = 3},
  [1251] = {.lex_state = 28, .external_lex_state = 3},
  [1252] = {.lex_state = 28, .external_lex_state = 3},
  [1253] = {.lex_state = 28, .external_lex_state = 3},
  [1254] = {.lex_state = 28, .external_lex_state = 3},
  [1255] = {.lex_state = 28, .external_lex_state = 3},
  [1256] = {.lex_state = 28, .external_lex_state = 3},
  [1257] = {.lex_state = 28, .external_lex_state = 3},
  [1258] = {.lex_state = 28, .external_lex_state = 3},
  [1259] = {.lex_state = 28, .external_lex_state = 3},
  [1260] = {.lex_state = 28, .external_lex_state = 3},
  [1261] = {.lex_state = 28, .external_lex_state = 3},
  [1262] = {.lex_state = 28, .external_lex_state = 3},
  [1263] = {.lex_state = 28, .external_lex_state = 3},
  [1264] = {.lex_state = 28, .external_lex_state = 3},
  [1265] = {.lex_state = 28, .external_lex_state = 3},
  [1266] = {.lex_state = 28, .external_lex_state = 3},
  [1267] = {.lex_state = 28, .external_lex_state = 3},
  [1268] = {.lex_state = 28, .external_lex_state = 3},
  [1269] = {.lex_state = 28, .external_lex_state = 3},
  [1270] = {.lex_state = 28, .external_lex_state = 3},
  [1271] = {.lex_state = 28, .external_lex_state = 3},
  [1272] = {.lex_state = 28, .external_lex_state = 3},
  [1273] = {.lex_state = 28, .external_lex_state = 3},
  [1274] = {.lex_state = 28, .external_lex_state = 3},
  [1275] = {.lex_state = 28, .external_lex_state = 3},
  [1276] = {.lex_state = 28, .external_lex_state = 3},
  [1277] = {.lex_state = 28, .external_lex_state = 3},
  [1278] = {.lex_state = 28, .external_lex_state = 3},
  [1279] = {.lex_state = 28, .external_lex_state = 3},
  [1280] = {.lex_state = 28, .external_lex_state = 3},
  [1281] = {.lex_state = 28, .external_lex_state = 3},
  [1282] = {.lex_state = 28, .external_lex_state = 3},
  [1283] = {.lex_state = 28, .external_lex_state = 3},
  [1284] = {.lex_state = 28, .external_lex_state = 3},
  [1285] = {.lex_state = 28, .external_lex_state = 3},
  [1286] = {.lex_state = 28, .external_lex_state = 3},
  [1287] = {.lex_state = 28, .external_lex_state = 3},
  [1288] = {.lex_state = 28, .external_lex_state = 3},
  [1289] = {.lex_state = 28, .external_lex_state = 3},
  [1290] = {.lex_state = 28, .external_lex_state = 3},
  [1291] = {.lex_state = 28, .external_lex_state = 3},
  [1292] = {.lex_state = 28, .external_lex_state = 3},
  [1293] = {.lex_state = 28, .external_lex_state = 3},
  [1294] = {.lex_state = 28, .external_lex_state = 3},
  [1295] = {.lex_state = 28, .external_lex_state = 3},
  [1296] = {.lex_state = 28, .external_lex_state = 3},
  [1297] = {.lex_state = 28, .external_lex_state = 3},
  [1298] = {.lex_state = 28, .external_lex_state = 3},
  [1299] = {.lex_state = 28, .external_lex_state = 3},
  [1300] = {.lex_state = 28, .external_lex_state = 3},
  [1301] = {.lex_state = 28, .external_lex_state = 3},
  [1302] = {.lex_state = 28, .external_lex_state = 3},
  [1303] = {.lex_state = 28, .external_lex_state = 3},
  [1304] = {.lex_state = 28, .external_lex_state = 3},
  [1305] = {.lex_state = 28, .external_lex_state = 3},
  [1306] = {.lex_state = 28, .external_lex_state = 3},
  [1307] = {.lex_state = 28, .external_lex_state = 3},
  [1308] = {.lex_state = 28, .external_lex_state = 3},
  [1309] = {.lex_state = 28, .external_lex_state = 3},
  [1310] = {.lex_state = 28, .external_lex_state = 3},
  [1311] = {.lex_state = 28, .external_lex_state = 3},
  [1312] = {.lex_state = 28, .external_lex_state = 3},
  [1313] = {.lex_state = 28, .external_lex_state = 3},
  [1314] = {.lex_state = 28, .external_lex_state = 3},
  [1315] = {.lex_state = 28, .external_lex_state = 3},
  [1316] = {.lex_state = 28, .external_lex_state = 3},
  [1317] = {.lex_state = 28, .external_lex_state = 3},
  [1318] = {.lex_state = 28, .external_lex_state = 3},
  [1319] = {.lex_state = 28, .external_lex_state = 3},
  [1320] = {.lex_state = 28, .external_lex_state = 3},
  [1321] = {.lex_state = 28, .external_lex_state = 3},
  [1322] = {.lex_state = 28, .external_lex_state = 3},
  [1323] = {.lex_state = 28, .external_lex_state = 3},
  [1324] = {.lex_state = 28, .external_lex_state = 3},
  [1325] = {.lex_state = 28, .external_lex_state = 3},
  [1326] = {.lex_state = 28, .external_lex_state = 3},
  [1327] = {.lex_state = 28, .external_lex_state = 3},
  [1328] = {.lex_state = 28, .external_lex_state = 3},
  [1329] = {.lex_state = 28, .external_lex_state = 3},
  [1330] = {.lex_state = 28, .external_lex_state = 3},
  [1331] = {.lex_state = 28, .external_lex_state = 3},
  [1332] = {.lex_state = 28, .external_lex_state = 3},
  [1333] = {.lex_state = 28, .external_lex_state = 3},
  [1334] = {.lex_state = 28, .external_lex_state = 3},
  [1335] = {.lex_state = 28, .external_lex_state = 3},
  [1336] = {.lex_state = 28, .external_lex_state = 3},
  [1337] = {.lex_state = 28, .external_lex_state = 3},
  [1338] = {.lex_state = 28, .external_lex_state = 3},
  [1339] = {.lex_state = 28, .external_lex_state = 3},
  [1340] = {.lex_state = 28, .external_lex_state = 3},
  [1341] = {.lex_state = 28, .external_lex_state = 3},
  [1342] = {.lex_state = 28, .external_lex_state = 3},
  [1343] = {.lex_state = 28, .external_lex_state = 3},
  [1344] = {.lex_state = 28, .external_lex_state = 3},
  [1345] = {.lex_state = 28, .external_lex_state = 3},
  [1346] = {.lex_state = 28, .external_lex_state = 3},
  [1347] = {.lex_state = 28, .external_lex_state = 3},
  [1348] = {.lex_state = 28, .external_lex_state = 3},
  [1349] = {.lex_state = 28, .external_lex_state = 3},
  [1350] = {.lex_state = 28, .external_lex_state = 3},
  [1351] = {.lex_state = 28, .external_lex_state = 3},
  [1352] = {.lex_state = 28, .external_lex_state = 3},
  [1353] = {.lex_state = 28, .external_lex_state = 3},
  [1354] = {.lex_state = 28, .external_lex_state = 3},
  [1355] = {.lex_state = 28, .external_lex_state = 3},
  [1356] = {.lex_state = 28, .external_lex_state = 3},
  [1357] = {.lex_state = 28, .external_lex_state = 3},
  [1358] = {.lex_state = 28, .external_lex_state = 3},
  [1359] = {.lex_state = 28, .external_lex_state = 3},
  [1360] = {.lex_state = 28, .external_lex_state = 3},
  [1361] = {.lex_state = 28, .external_lex_state = 3},
  [1362] = {.lex_state = 28, .external_lex_state = 3},
  [1363] = {.lex_state = 28, .external_lex_state = 3},
  [1364] = {.lex_state = 28, .external_lex_state = 3},
  [1365] = {.lex_state = 28, .external_lex_state = 3},
  [1366] = {.lex_state = 28, .external_lex_state = 3},
  [1367] = {.lex_state = 28, .external_lex_state = 3},
  [1368] = {.lex_state = 28, .external_lex_state = 3},
  [1369] = {.lex_state = 28, .external_lex_state = 3},
  [1370] = {.lex_state = 28, .external_lex_state = 3},
  [1371] = {.lex_state = 28, .external_lex_state = 3},
  [1372] = {.lex_state = 28, .external_lex_state = 3},
  [1373] = {.lex_state = 28, .external_lex_state = 3},
  [1374] = {.lex_state = 28, .external_lex_state = 3},
  [1375] = {.lex_state = 28, .external_lex_state = 3},
  [1376] = {.lex_state = 28, .external_lex_state = 3},
  [1377] = {.lex_state = 28, .external_lex_state = 3},
  [1378] = {.lex_state = 28, .external_lex_state = 3},
  [1379] = {.lex_state = 28, .external_lex_state = 3},
  [1380] = {.lex_state = 28, .external_lex_state = 3},
  [1381] = {.lex_state = 28, .external_lex_state = 3},
  [1382] = {.lex_state = 28, .external_lex_state = 3},
  [1383] = {.lex_state = 28, .external_lex_state = 3},
  [1384] = {.lex_state = 28, .external_lex_state = 3},
  [1385] = {.lex_state = 28, .external_lex_state = 3},
  [1386] = {.lex_state = 28, .external_lex_state = 3},
  [1387] = {.lex_state = 28, .external_lex_state = 3},
  [1388] = {.lex_state = 28, .external_lex_state = 3},
  [1389] = {.lex_state = 28, .external_lex_state = 3},
  [1390] = {.lex_state = 28, .external_lex_state = 3},
  [1391] = {.lex_state = 28, .external_lex_state = 3},
  [1392] = {.lex_state = 28, .external_lex_state = 3},
  [1393] = {.lex_state = 28, .external_lex_state = 3},
  [1394] = {.lex_state = 28, .external_lex_state = 3},
  [1395] = {.lex_state = 28, .external_lex_state = 3},
  [1396] = {.lex_state = 28, .external_lex_state = 3},
  [1397] = {.lex_state = 28, .external_lex_state = 3},
  [1398] = {.lex_state = 28, .external_lex_state = 3},
  [1399] = {.lex_state = 28, .external_lex_state = 3},
  [1400] = {.lex_state = 28, .external_lex_state = 3},
  [1401] = {.lex_state = 28, .external_lex_state = 3},
  [1402] = {.lex_state = 28, .external_lex_state = 3},
  [1403] = {.lex_state = 28, .external_lex_state = 3},
  [1404] = {.lex_state = 28, .external_lex_state = 3},
  [1405] = {.lex_state = 28, .external_lex_state = 3},
  [1406] = {.lex_state = 28, .external_lex_state = 3},
  [1407] = {.lex_state = 28, .external_lex_state = 3},
  [1408] = {.lex_state = 28, .external_lex_state = 3},
  [1409] = {.lex_state = 28, .external_lex_state = 3},
  [1410] = {.lex_state = 28, .external_lex_state = 3},
  [1411] = {.lex_state = 28, .external_lex_state = 3},
  [1412] = {.lex_state = 28, .external_lex_state = 3},
  [1413] = {.lex_state = 28, .external_lex_state = 3},
  [1414] = {.lex_state = 28, .external_lex_state = 3},
  [1415] = {.lex_state = 28, .external_lex_state = 3},
  [1416] = {.lex_state = 28, .external_lex_state = 3},
  [1417] = {.lex_state = 28, .external_lex_state = 3},
  [1418] = {.lex_state = 28, .external_lex_state = 3},
  [1419] = {.lex_state = 28, .external_lex_state = 3},
  [1420] = {.lex_state = 28, .external_lex_state = 3},
  [1421] = {.lex_state = 28, .external_lex_state = 3},
  [1422] = {.lex_state = 28, .external_lex_state = 3},
  [1423] = {.lex_state = 28, .external_lex_state = 3},
  [1424] = {.lex_state = 28, .external_lex_state = 3},
  [1425] = {.lex_state = 28, .external_lex_state = 3},
  [1426] = {.lex_state = 28, .external_lex_state = 3},
  [1427] = {.lex_state = 28, .external_lex_state = 3},
  [1428] = {.lex_state = 28, .external_lex_state = 3},
  [1429] = {.lex_state = 28, .external_lex_state = 3},
  [1430] = {.lex_state = 28, .external_lex_state = 3},
  [1431] = {.lex_state = 28, .external_lex_state = 3},
  [1432] = {.lex_state = 28, .external_lex_state = 3},
  [1433] = {.lex_state = 28, .external_lex_state = 3},
  [1434] = {.lex_state = 28, .external_lex_state = 3},
  [1435] = {.lex_state = 28, .external_lex_state = 3},
  [1436] = {.lex_state = 28, .external_lex_state = 3},
  [1437] = {.lex_state = 28, .external_lex_state = 3},
  [1438] = {.lex_state = 28, .external_lex_state = 3},
  [1439] = {.lex_state = 28, .external_lex_state = 3},
  [1440] = {.lex_state = 28, .external_lex_state = 3},
  [1441] = {.lex_state = 28, .external_lex_state = 3},
  [1442] = {.lex_state = 28, .external_lex_state = 3},
  [1443] = {.lex_state = 28, .external_lex_state = 3},
  [1444] = {.lex_state = 28, .external_lex_state = 3},
  [1445] = {.lex_state = 28, .external_lex_state = 3},
  [1446] = {.lex_state = 28, .external_lex_state = 3},
  [1447] = {.lex_state = 28, .external_lex_state = 3},
  [1448] = {.lex_state = 28, .external_lex_state = 3},
  [1449] = {.lex_state = 28, .external_lex_state = 3},
  [1450] = {.lex_state = 28, .external_lex_state = 3},
  [1451] = {.lex_state = 28, .external_lex_state = 3},
  [1452] = {.lex_state = 28, .external_lex_state = 3},
  [1453] = {.lex_state = 28, .external_lex_state = 3},
  [1454] = {.lex_state = 28, .external_lex_state = 3},
  [1455] = {.lex_state = 28, .external_lex_state = 3},
  [1456] = {.lex_state = 28, .external_lex_state = 3},
  [1457] = {.lex_state = 28, .external_lex_state = 3},
  [1458] = {.lex_state = 28, .external_lex_state = 3},
  [1459] = {.lex_state = 28, .external_lex_state = 3},
  [1460] = {.lex_state = 28, .external_lex_state = 3},
  [1461] = {.lex_state = 28, .external_lex_state = 3},
  [1462] = {.lex_state = 28, .external_lex_state = 3},
  [1463] = {.lex_state = 28, .external_lex_state = 3},
  [1464] = {.lex_state = 28, .external_lex_state = 3},
  [1465] = {.lex_state = 28, .external_lex_state = 3},
  [1466] = {.lex_state = 28, .external_lex_state = 3},
  [1467] = {.lex_state = 28, .external_lex_state = 3},
  [1468] = {.lex_state = 28, .external_lex_state = 3},
  [1469] = {.lex_state = 28, .external_lex_state = 3},
  [1470] = {.lex_state = 28, .external_lex_state = 3},
  [1471] = {.lex_state = 28, .external_lex_state = 3},
  [1472] = {.lex_state = 28, .external_lex_state = 3},
  [1473] = {.lex_state = 28, .external_lex_state = 3},
  [1474] = {.lex_state = 28, .external_lex_state = 3},
  [1475] = {.lex_state = 28, .external_lex_state = 3},
  [1476] = {.lex_state = 28, .external_lex_state = 3},
  [1477] = {.lex_state = 28, .external_lex_state = 3},
  [1478] = {.lex_state = 28, .external_lex_state = 3},
  [1479] = {.lex_state = 28, .external_lex_state = 3},
  [1480] = {.lex_state = 28, .external_lex_state = 3},
  [1481] = {.lex_state = 28, .external_lex_state = 3},
  [1482] = {.lex_state = 28, .external_lex_state = 3},
  [1483] = {.lex_state = 28, .external_lex_state = 3},
  [1484] = {.lex_state = 28, .external_lex_state = 3},
  [1485] = {.lex_state = 28, .external_lex_state = 3},
  [1486] = {.lex_state = 28, .external_lex_state = 3},
  [1487] = {.lex_state = 28, .external_lex_state = 3},
  [1488] = {.lex_state = 28, .external_lex_state = 3},
  [1489] = {.lex_state = 28, .external_lex_state = 3},
  [1490] = {.lex_state = 28, .external_lex_state = 3},
  [1491] = {.lex_state = 28, .external_lex_state = 3},
  [1492] = {.lex_state = 28, .external_lex_state = 3},
  [1493] = {.lex_state = 28, .external_lex_state = 3},
  [1494] = {.lex_state = 28, .external_lex_state = 3},
  [1495] = {.lex_state = 28, .external_lex_state = 3},
  [1496] = {.lex_state = 28, .external_lex_state = 3},
  [1497] = {.lex_state = 28, .external_lex_state = 3},
  [1498] = {.lex_state = 28, .external_lex_state = 3},
  [1499] = {.lex_state = 28, .external_lex_state = 3},
  [1500] = {.lex_state = 28, .external_lex_state = 3},
  [1501] = {.lex_state = 28, .external_lex_state = 3},
  [1502] = {.lex_state = 28, .external_lex_state = 3},
  [1503] = {.lex_state = 28, .external_lex_state = 3},
  [1504] = {.lex_state = 28, .external_lex_state = 3},
  [1505] = {.lex_state = 28, .external_lex_state = 3},
  [1506] = {.lex_state = 28, .external_lex_state = 3},
  [1507] = {.lex_state = 28, .external_lex_state = 3},
  [1508] = {.lex_state = 28, .external_lex_state = 3},
  [1509] = {.lex_state = 28, .external_lex_state = 3},
  [1510] = {.lex_state = 68, .external_lex_state = 3},
  [1511] = {.lex_state = 28, .external_lex_state = 3},
  [1512] = {.lex_state = 28, .external_lex_state = 3},
  [1513] = {.lex_state = 28, .external_lex_state = 3},
  [1514] = {.lex_state = 28, .external_lex_state = 3},
  [1515] = {.lex_state = 28, .external_lex_state = 3},
  [1516] = {.lex_state = 28, .external_lex_state = 3},
  [1517] = {.lex_state = 28, .external_lex_state = 3},
  [1518] = {.lex_state = 28, .external_lex_state = 3},
  [1519] = {.lex_state = 28, .external_lex_state = 3},
  [1520] = {.lex_state = 28, .external_lex_state = 3},
  [1521] = {.lex_state = 28, .external_lex_state = 3},
  [1522] = {.lex_state = 28, .external_lex_state = 3},
  [1523] = {.lex_state = 28, .external_lex_state = 3},
  [1524] = {.lex_state = 28, .external_lex_state = 3},
  [1525] = {.lex_state = 28, .external_lex_state = 3},
  [1526] = {.lex_state = 28, .external_lex_state = 3},
  [1527] = {.lex_state = 28, .external_lex_state = 3},
  [1528] = {.lex_state = 28, .external_lex_state = 3},
  [1529] = {.lex_state = 28, .external_lex_state = 3},
  [1530] = {.lex_state = 28, .external_lex_state = 3},
  [1531] = {.lex_state = 28, .external_lex_state = 3},
  [1532] = {.lex_state = 28, .external_lex_state = 3},
  [1533] = {.lex_state = 28, .external_lex_state = 3},
  [1534] = {.lex_state = 28, .external_lex_state = 3},
  [1535] = {.lex_state = 28, .external_lex_state = 3},
  [1536] = {.lex_state = 28, .external_lex_state = 3},
  [1537] = {.lex_state = 28, .external_lex_state = 3},
  [1538] = {.lex_state = 28, .external_lex_state = 3},
  [1539] = {.lex_state = 28, .external_lex_state = 3},
  [1540] = {.lex_state = 28, .external_lex_state = 3},
  [1541] = {.lex_state = 28, .external_lex_state = 3},
  [1542] = {.lex_state = 28, .external_lex_state = 3},
  [1543] = {.lex_state = 28, .external_lex_state = 3},
  [1544] = {.lex_state = 28, .external_lex_state = 3},
  [1545] = {.lex_state = 28, .external_lex_state = 3},
  [1546] = {.lex_state = 28, .external_lex_state = 3},
  [1547] = {.lex_state = 28, .external_lex_state = 3},
  [1548] = {.lex_state = 28, .external_lex_state = 3},
  [1549] = {.lex_state = 28, .external_lex_state = 3},
  [1550] = {.lex_state = 28, .external_lex_state = 3},
  [1551] = {.lex_state = 28, .external_lex_state = 3},
  [1552] = {.lex_state = 28, .external_lex_state = 3},
  [1553] = {.lex_state = 28, .external_lex_state = 3},
  [1554] = {.lex_state = 28, .external_lex_state = 3},
  [1555] = {.lex_state = 28, .external_lex_state = 3},
  [1556] = {.lex_state = 28, .external_lex_state = 3},
  [1557] = {.lex_state = 28, .external_lex_state = 3},
  [1558] = {.lex_state = 28, .external_lex_state = 3},
  [1559] = {.lex_state = 28, .external_lex_state = 3},
  [1560] = {.lex_state = 28, .external_lex_state = 3},
  [1561] = {.lex_state = 28, .external_lex_state = 3},
  [1562] = {.lex_state = 28, .external_lex_state = 3},
  [1563] = {.lex_state = 28, .external_lex_state = 3},
  [1564] = {.lex_state = 28, .external_lex_state = 3},
  [1565] = {.lex_state = 28, .external_lex_state = 3},
  [1566] = {.lex_state = 28, .external_lex_state = 3},
  [1567] = {.lex_state = 28, .external_lex_state = 3},
  [1568] = {.lex_state = 28, .external_lex_state = 3},
  [1569] = {.lex_state = 28, .external_lex_state = 3},
  [1570] = {.lex_state = 28, .external_lex_state = 3},
  [1571] = {.lex_state = 28, .external_lex_state = 3},
  [1572] = {.lex_state = 28, .external_lex_state = 3},
  [1573] = {.lex_state = 28, .external_lex_state = 3},
  [1574] = {.lex_state = 28, .external_lex_state = 3},
  [1575] = {.lex_state = 28, .external_lex_state = 3},
  [1576] = {.lex_state = 28, .external_lex_state = 3},
  [1577] = {.lex_state = 28, .external_lex_state = 3},
  [1578] = {.lex_state = 28, .external_lex_state = 3},
  [1579] = {.lex_state = 28, .external_lex_state = 3},
  [1580] = {.lex_state = 28, .external_lex_state = 3},
  [1581] = {.lex_state = 28, .external_lex_state = 3},
  [1582] = {.lex_state = 28, .external_lex_state = 3},
  [1583] = {.lex_state = 28, .external_lex_state = 3},
  [1584] = {.lex_state = 28, .external_lex_state = 3},
  [1585] = {.lex_state = 28, .external_lex_state = 3},
  [1586] = {.lex_state = 28, .external_lex_state = 3},
  [1587] = {.lex_state = 28, .external_lex_state = 3},
  [1588] = {.lex_state = 28, .external_lex_state = 3},
  [1589] = {.lex_state = 28, .external_lex_state = 3},
  [1590] = {.lex_state = 28, .external_lex_state = 3},
  [1591] = {.lex_state = 28, .external_lex_state = 3},
  [1592] = {.lex_state = 28, .external_lex_state = 3},
  [1593] = {.lex_state = 28, .external_lex_state = 3},
  [1594] = {.lex_state = 28, .external_lex_state = 3},
  [1595] = {.lex_state = 28, .external_lex_state = 3},
  [1596] = {.lex_state = 28, .external_lex_state = 3},
  [1597] = {.lex_state = 28, .external_lex_state = 3},
  [1598] = {.lex_state = 28, .external_lex_state = 3},
  [1599] = {.lex_state = 28, .external_lex_state = 3},
  [1600] = {.lex_state = 28, .external_lex_state = 3},
  [1601] = {.lex_state = 28, .external_lex_state = 3},
  [1602] = {.lex_state = 28, .external_lex_state = 3},
  [1603] = {.lex_state = 28, .external_lex_state = 3},
  [1604] = {.lex_state = 28, .external_lex_state = 3},
  [1605] = {.lex_state = 28, .external_lex_state = 3},
  [1606] = {.lex_state = 28, .external_lex_state = 3},
  [1607] = {.lex_state = 28, .external_lex_state = 3},
  [1608] = {.lex_state = 28, .external_lex_state = 3},
  [1609] = {.lex_state = 28, .external_lex_state = 3},
  [1610] = {.lex_state = 28, .external_lex_state = 3},
  [1611] = {.lex_state = 28, .external_lex_state = 3},
  [1612] = {.lex_state = 28, .external_lex_state = 3},
  [1613] = {.lex_state = 28, .external_lex_state = 3},
  [1614] = {.lex_state = 28, .external_lex_state = 3},
  [1615] = {.lex_state = 28, .external_lex_state = 3},
  [1616] = {.lex_state = 28, .external_lex_state = 3},
  [1617] = {.lex_state = 28, .external_lex_state = 3},
  [1618] = {.lex_state = 28, .external_lex_state = 3},
  [1619] = {.lex_state = 28, .external_lex_state = 3},
  [1620] = {.lex_state = 28, .external_lex_state = 3},
  [1621] = {.lex_state = 28, .external_lex_state = 3},
  [1622] = {.lex_state = 28, .external_lex_state = 3},
  [1623] = {.lex_state = 28, .external_lex_state = 3},
  [1624] = {.lex_state = 28, .external_lex_state = 3},
  [1625] = {.lex_state = 28, .external_lex_state = 3},
  [1626] = {.lex_state = 28, .external_lex_state = 3},
  [1627] = {.lex_state = 28, .external_lex_state = 3},
  [1628] = {.lex_state = 28, .external_lex_state = 3},
  [1629] = {.lex_state = 28, .external_lex_state = 3},
  [1630] = {.lex_state = 28, .external_lex_state = 3},
  [1631] = {.lex_state = 28, .external_lex_state = 3},
  [1632] = {.lex_state = 28, .external_lex_state = 3},
  [1633] = {.lex_state = 28, .external_lex_state = 3},
  [1634] = {.lex_state = 28, .external_lex_state = 3},
  [1635] = {.lex_state = 28, .external_lex_state = 3},
  [1636] = {.lex_state = 28, .external_lex_state = 3},
  [1637] = {.lex_state = 28, .external_lex_state = 3},
  [1638] = {.lex_state = 28, .external_lex_state = 3},
  [1639] = {.lex_state = 28, .external_lex_state = 3},
  [1640] = {.lex_state = 28, .external_lex_state = 3},
  [1641] = {.lex_state = 28, .external_lex_state = 3},
  [1642] = {.lex_state = 28, .external_lex_state = 3},
  [1643] = {.lex_state = 28, .external_lex_state = 3},
  [1644] = {.lex_state = 28, .external_lex_state = 3},
  [1645] = {.lex_state = 28, .external_lex_state = 3},
  [1646] = {.lex_state = 28, .external_lex_state = 3},
  [1647] = {.lex_state = 28, .external_lex_state = 3},
  [1648] = {.lex_state = 28, .external_lex_state = 3},
  [1649] = {.lex_state = 28, .external_lex_state = 3},
  [1650] = {.lex_state = 28, .external_lex_state = 3},
  [1651] = {.lex_state = 28, .external_lex_state = 3},
  [1652] = {.lex_state = 28, .external_lex_state = 3},
  [1653] = {.lex_state = 28, .external_lex_state = 3},
  [1654] = {.lex_state = 28, .external_lex_state = 3},
  [1655] = {.lex_state = 28, .external_lex_state = 3},
  [1656] = {.lex_state = 28, .external_lex_state = 3},
  [1657] = {.lex_state = 28, .external_lex_state = 3},
  [1658] = {.lex_state = 28, .external_lex_state = 3},
  [1659] = {.lex_state = 28, .external_lex_state = 3},
  [1660] = {.lex_state = 28, .external_lex_state = 3},
  [1661] = {.lex_state = 28, .external_lex_state = 3},
  [1662] = {.lex_state = 28, .external_lex_state = 3},
  [1663] = {.lex_state = 28, .external_lex_state = 3},
  [1664] = {.lex_state = 28, .external_lex_state = 3},
  [1665] = {.lex_state = 28, .external_lex_state = 3},
  [1666] = {.lex_state = 28, .external_lex_state = 3},
  [1667] = {.lex_state = 28, .external_lex_state = 3},
  [1668] = {.lex_state = 28, .external_lex_state = 3},
  [1669] = {.lex_state = 28, .external_lex_state = 3},
  [1670] = {.lex_state = 28, .external_lex_state = 3},
  [1671] = {.lex_state = 28, .external_lex_state = 3},
  [1672] = {.lex_state = 28, .external_lex_state = 3},
  [1673] = {.lex_state = 28, .external_lex_state = 3},
  [1674] = {.lex_state = 28, .external_lex_state = 3},
  [1675] = {.lex_state = 28, .external_lex_state = 3},
  [1676] = {.lex_state = 28, .external_lex_state = 3},
  [1677] = {.lex_state = 28, .external_lex_state = 3},
  [1678] = {.lex_state = 28, .external_lex_state = 3},
  [1679] = {.lex_state = 28, .external_lex_state = 3},
  [1680] = {.lex_state = 28, .external_lex_state = 3},
  [1681] = {.lex_state = 28, .external_lex_state = 3},
  [1682] = {.lex_state = 28, .external_lex_state = 3},
  [1683] = {.lex_state = 28, .external_lex_state = 3},
  [1684] = {.lex_state = 28, .external_lex_state = 3},
  [1685] = {.lex_state = 28, .external_lex_state = 3},
  [1686] = {.lex_state = 28, .external_lex_state = 3},
  [1687] = {.lex_state = 28, .external_lex_state = 3},
  [1688] = {.lex_state = 28, .external_lex_state = 3},
  [1689] = {.lex_state = 28, .external_lex_state = 3},
  [1690] = {.lex_state = 28, .external_lex_state = 3},
  [1691] = {.lex_state = 28, .external_lex_state = 3},
  [1692] = {.lex_state = 28, .external_lex_state = 3},
  [1693] = {.lex_state = 28, .external_lex_state = 3},
  [1694] = {.lex_state = 28, .external_lex_state = 3},
  [1695] = {.lex_state = 28, .external_lex_state = 3},
  [1696] = {.lex_state = 28, .external_lex_state = 3},
  [1697] = {.lex_state = 28, .external_lex_state = 3},
  [1698] = {.lex_state = 28, .external_lex_state = 3},
  [1699] = {.lex_state = 28, .external_lex_state = 3},
  [1700] = {.lex_state = 28, .external_lex_state = 3},
  [1701] = {.lex_state = 28, .external_lex_state = 3},
  [1702] = {.lex_state = 28, .external_lex_state = 3},
  [1703] = {.lex_state = 28, .external_lex_state = 3},
  [1704] = {.lex_state = 28, .external_lex_state = 3},
  [1705] = {.lex_state = 28, .external_lex_state = 3},
  [1706] = {.lex_state = 28, .external_lex_state = 3},
  [1707] = {.lex_state = 28, .external_lex_state = 3},
  [1708] = {.lex_state = 28, .external_lex_state = 3},
  [1709] = {.lex_state = 28, .external_lex_state = 3},
  [1710] = {.lex_state = 28, .external_lex_state = 3},
  [1711] = {.lex_state = 28, .external_lex_state = 3},
  [1712] = {.lex_state = 28, .external_lex_state = 3},
  [1713] = {.lex_state = 28, .external_lex_state = 3},
  [1714] = {.lex_state = 28, .external_lex_state = 3},
  [1715] = {.lex_state = 28, .external_lex_state = 3},
  [1716] = {.lex_state = 28, .external_lex_state = 3},
  [1717] = {.lex_state = 28, .external_lex_state = 3},
  [1718] = {.lex_state = 28, .external_lex_state = 3},
  [1719] = {.lex_state = 28, .external_lex_state = 3},
  [1720] = {.lex_state = 28, .external_lex_state = 3},
  [1721] = {.lex_state = 28, .external_lex_state = 3},
  [1722] = {.lex_state = 28, .external_lex_state = 3},
  [1723] = {.lex_state = 28, .external_lex_state = 3},
  [1724] = {.lex_state = 28, .external_lex_state = 3},
  [1725] = {.lex_state = 28, .external_lex_state = 3},
  [1726] = {.lex_state = 28, .external_lex_state = 3},
  [1727] = {.lex_state = 28, .external_lex_state = 3},
  [1728] = {.lex_state = 28, .external_lex_state = 3},
  [1729] = {.lex_state = 28, .external_lex_state = 3},
  [1730] = {.lex_state = 28, .external_lex_state = 3},
  [1731] = {.lex_state = 28, .external_lex_state = 3},
  [1732] = {.lex_state = 28, .external_lex_state = 3},
  [1733] = {.lex_state = 28, .external_lex_state = 3},
  [1734] = {.lex_state = 28, .external_lex_state = 3},
  [1735] = {.lex_state = 28, .external_lex_state = 3},
  [1736] = {.lex_state = 28, .external_lex_state = 3},
  [1737] = {.lex_state = 28, .external_lex_state = 3},
  [1738] = {.lex_state = 28, .external_lex_state = 3},
  [1739] = {.lex_state = 28, .external_lex_state = 3},
  [1740] = {.lex_state = 28, .external_lex_state = 3},
  [1741] = {.lex_state = 28, .external_lex_state = 3},
  [1742] = {.lex_state = 28, .external_lex_state = 3},
  [1743] = {.lex_state = 28, .external_lex_state = 3},
  [1744] = {.lex_state = 28, .external_lex_state = 3},
  [1745] = {.lex_state = 28, .external_lex_state = 3},
  [1746] = {.lex_state = 28, .external_lex_state = 3},
  [1747] = {.lex_state = 28, .external_lex_state = 3},
  [1748] = {.lex_state = 28, .external_lex_state = 3},
  [1749] = {.lex_state = 28, .external_lex_state = 3},
  [1750] = {.lex_state = 28, .external_lex_state = 3},
  [1751] = {.lex_state = 28, .external_lex_state = 3},
  [1752] = {.lex_state = 28, .external_lex_state = 3},
  [1753] = {.lex_state = 28, .external_lex_state = 3},
  [1754] = {.lex_state = 28, .external_lex_state = 3},
  [1755] = {.lex_state = 28, .external_lex_state = 3},
  [1756] = {.lex_state = 28, .external_lex_state = 3},
  [1757] = {.lex_state = 28, .external_lex_state = 3},
  [1758] = {.lex_state = 28, .external_lex_state = 3},
  [1759] = {.lex_state = 28, .external_lex_state = 3},
  [1760] = {.lex_state = 28, .external_lex_state = 3},
  [1761] = {.lex_state = 28, .external_lex_state = 3},
  [1762] = {.lex_state = 28, .external_lex_state = 3},
  [1763] = {.lex_state = 28, .external_lex_state = 3},
  [1764] = {.lex_state = 28, .external_lex_state = 3},
  [1765] = {.lex_state = 28, .external_lex_state = 3},
  [1766] = {.lex_state = 28, .external_lex_state = 3},
  [1767] = {.lex_state = 28, .external_lex_state = 3},
  [1768] = {.lex_state = 28, .external_lex_state = 3},
  [1769] = {.lex_state = 28, .external_lex_state = 3},
  [1770] = {.lex_state = 28, .external_lex_state = 3},
  [1771] = {.lex_state = 28, .external_lex_state = 3},
  [1772] = {.lex_state = 28, .external_lex_state = 3},
  [1773] = {.lex_state = 28, .external_lex_state = 3},
  [1774] = {.lex_state = 28, .external_lex_state = 3},
  [1775] = {.lex_state = 28, .external_lex_state = 3},
  [1776] = {.lex_state = 28, .external_lex_state = 3},
  [1777] = {.lex_state = 28, .external_lex_state = 3},
  [1778] = {.lex_state = 69, .external_lex_state = 3},
  [1779] = {.lex_state = 28, .external_lex_state = 3},
  [1780] = {.lex_state = 28, .external_lex_state = 3},
  [1781] = {.lex_state = 28, .external_lex_state = 3},
  [1782] = {.lex_state = 28, .external_lex_state = 3},
  [1783] = {.lex_state = 28, .external_lex_state = 3},
  [1784] = {.lex_state = 28, .external_lex_state = 3},
  [1785] = {.lex_state = 28, .external_lex_state = 3},
  [1786] = {.lex_state = 28, .external_lex_state = 3},
  [1787] = {.lex_state = 28, .external_lex_state = 3},
  [1788] = {.lex_state = 28, .external_lex_state = 3},
  [1789] = {.lex_state = 28, .external_lex_state = 3},
  [1790] = {.lex_state = 61, .external_lex_state = 3},
  [1791] = {.lex_state = 28, .external_lex_state = 3},
  [1792] = {.lex_state = 28, .external_lex_state = 3},
  [1793] = {.lex_state = 28, .external_lex_state = 3},
  [1794] = {.lex_state = 28, .external_lex_state = 3},
  [1795] = {.lex_state = 28, .external_lex_state = 3},
  [1796] = {.lex_state = 28, .external_lex_state = 3},
  [1797] = {.lex_state = 64, .external_lex_state = 3},
  [1798] = {.lex_state = 28, .external_lex_state = 3},
  [1799] = {.lex_state = 28, .external_lex_state = 3},
  [1800] = {.lex_state = 28, .external_lex_state = 3},
  [1801] = {.lex_state = 28, .external_lex_state = 3},
  [1802] = {.lex_state = 28, .external_lex_state = 3},
  [1803] = {.lex_state = 28, .external_lex_state = 3},
  [1804] = {.lex_state = 28, .external_lex_state = 3},
  [1805] = {.lex_state = 28, .external_lex_state = 3},
  [1806] = {.lex_state = 28, .external_lex_state = 3},
  [1807] = {.lex_state = 28, .external_lex_state = 3},
  [1808] = {.lex_state = 28, .external_lex_state = 3},
  [1809] = {.lex_state = 28, .external_lex_state = 3},
  [1810] = {.lex_state = 28, .external_lex_state = 3},
  [1811] = {.lex_state = 28, .external_lex_state = 3},
  [1812] = {.lex_state = 28, .external_lex_state = 3},
  [1813] = {.lex_state = 28, .external_lex_state = 3},
  [1814] = {.lex_state = 28, .external_lex_state = 3},
  [1815] = {.lex_state = 28, .external_lex_state = 3},
  [1816] = {.lex_state = 28, .external_lex_state = 3},
  [1817] = {.lex_state = 28, .external_lex_state = 3},
  [1818] = {.lex_state = 28, .external_lex_state = 3},
  [1819] = {.lex_state = 28, .external_lex_state = 3},
  [1820] = {.lex_state = 28, .external_lex_state = 3},
  [1821] = {.lex_state = 28, .external_lex_state = 3},
  [1822] = {.lex_state = 28, .external_lex_state = 3},
  [1823] = {.lex_state = 28, .external_lex_state = 3},
  [1824] = {.lex_state = 28, .external_lex_state = 3},
  [1825] = {.lex_state = 28, .external_lex_state = 3},
  [1826] = {.lex_state = 28, .external_lex_state = 3},
  [1827] = {.lex_state = 28, .external_lex_state = 3},
  [1828] = {.lex_state = 28, .external_lex_state = 3},
  [1829] = {.lex_state = 28, .external_lex_state = 3},
  [1830] = {.lex_state = 28, .external_lex_state = 3},
  [1831] = {.lex_state = 28, .external_lex_state = 3},
  [1832] = {.lex_state = 28, .external_lex_state = 3},
  [1833] = {.lex_state = 28, .external_lex_state = 3},
  [1834] = {.lex_state = 28, .external_lex_state = 3},
  [1835] = {.lex_state = 28, .external_lex_state = 3},
  [1836] = {.lex_state = 28, .external_lex_state = 3},
  [1837] = {.lex_state = 28, .external_lex_state = 3},
  [1838] = {.lex_state = 28, .external_lex_state = 3},
  [1839] = {.lex_state = 28, .external_lex_state = 3},
  [1840] = {.lex_state = 28, .external_lex_state = 3},
  [1841] = {.lex_state = 28, .external_lex_state = 3},
  [1842] = {.lex_state = 28, .external_lex_state = 3},
  [1843] = {.lex_state = 28, .external_lex_state = 3},
  [1844] = {.lex_state = 28, .external_lex_state = 3},
  [1845] = {.lex_state = 28, .external_lex_state = 3},
  [1846] = {.lex_state = 28, .external_lex_state = 3},
  [1847] = {.lex_state = 28, .external_lex_state = 3},
  [1848] = {.lex_state = 28, .external_lex_state = 3},
  [1849] = {.lex_state = 28, .external_lex_state = 3},
  [1850] = {.lex_state = 28, .external_lex_state = 3},
  [1851] = {.lex_state = 28, .external_lex_state = 3},
  [1852] = {.lex_state = 28, .external_lex_state = 3},
  [1853] = {.lex_state = 28, .external_lex_state = 3},
  [1854] = {.lex_state = 28, .external_lex_state = 3},
  [1855] = {.lex_state = 28, .external_lex_state = 3},
  [1856] = {.lex_state = 28, .external_lex_state = 3},
  [1857] = {.lex_state = 28, .external_lex_state = 3},
  [1858] = {.lex_state = 28, .external_lex_state = 3},
  [1859] = {.lex_state = 28, .external_lex_state = 3},
  [1860] = {.lex_state = 28, .external_lex_state = 3},
  [1861] = {.lex_state = 28, .external_lex_state = 3},
  [1862] = {.lex_state = 28, .external_lex_state = 3},
  [1863] = {.lex_state = 28, .external_lex_state = 3},
  [1864] = {.lex_state = 28, .external_lex_state = 3},
  [1865] = {.lex_state = 28, .external_lex_state = 3},
  [1866] = {.lex_state = 28, .external_lex_state = 3},
  [1867] = {.lex_state = 28, .external_lex_state = 3},
  [1868] = {.lex_state = 28, .external_lex_state = 3},
  [1869] = {.lex_state = 28, .external_lex_state = 3},
  [1870] = {.lex_state = 28, .external_lex_state = 3},
  [1871] = {.lex_state = 28, .external_lex_state = 3},
  [1872] = {.lex_state = 28, .external_lex_state = 3},
  [1873] = {.lex_state = 28, .external_lex_state = 3},
  [1874] = {.lex_state = 28, .external_lex_state = 3},
  [1875] = {.lex_state = 28, .external_lex_state = 3},
  [1876] = {.lex_state = 28, .external_lex_state = 3},
  [1877] = {.lex_state = 28, .external_lex_state = 3},
  [1878] = {.lex_state = 28, .external_lex_state = 3},
  [1879] = {.lex_state = 28, .external_lex_state = 3},
  [1880] = {.lex_state = 28, .external_lex_state = 3},
  [1881] = {.lex_state = 28, .external_lex_state = 3},
  [1882] = {.lex_state = 28, .external_lex_state = 3},
  [1883] = {.lex_state = 28, .external_lex_state = 3},
  [1884] = {.lex_state = 28, .external_lex_state = 3},
  [1885] = {.lex_state = 28, .external_lex_state = 3},
  [1886] = {.lex_state = 28, .external_lex_state = 3},
  [1887] = {.lex_state = 28, .external_lex_state = 3},
  [1888] = {.lex_state = 28, .external_lex_state = 3},
  [1889] = {.lex_state = 28, .external_lex_state = 3},
  [1890] = {.lex_state = 28, .external_lex_state = 3},
  [1891] = {.lex_state = 28, .external_lex_state = 3},
  [1892] = {.lex_state = 28, .external_lex_state = 3},
  [1893] = {.lex_state = 28, .external_lex_state = 3},
  [1894] = {.lex_state = 28, .external_lex_state = 3},
  [1895] = {.lex_state = 28, .external_lex_state = 3},
  [1896] = {.lex_state = 28, .external_lex_state = 3},
  [1897] = {.lex_state = 28, .external_lex_state = 3},
  [1898] = {.lex_state = 28, .external_lex_state = 3},
  [1899] = {.lex_state = 28, .external_lex_state = 3},
  [1900] = {.lex_state = 28, .external_lex_state = 3},
  [1901] = {.lex_state = 28, .external_lex_state = 3},
  [1902] = {.lex_state = 28, .external_lex_state = 3},
  [1903] = {.lex_state = 28, .external_lex_state = 3},
  [1904] = {.lex_state = 28, .external_lex_state = 3},
  [1905] = {.lex_state = 28, .external_lex_state = 3},
  [1906] = {.lex_state = 28, .external_lex_state = 3},
  [1907] = {.lex_state = 28, .external_lex_state = 3},
  [1908] = {.lex_state = 28, .external_lex_state = 3},
  [1909] = {.lex_state = 28, .external_lex_state = 3},
  [1910] = {.lex_state = 28, .external_lex_state = 3},
  [1911] = {.lex_state = 28, .external_lex_state = 3},
  [1912] = {.lex_state = 28, .external_lex_state = 3},
  [1913] = {.lex_state = 28, .external_lex_state = 3},
  [1914] = {.lex_state = 28, .external_lex_state = 3},
  [1915] = {.lex_state = 28, .external_lex_state = 3},
  [1916] = {.lex_state = 28, .external_lex_state = 3},
  [1917] = {.lex_state = 28, .external_lex_state = 3},
  [1918] = {.lex_state = 28, .external_lex_state = 3},
  [1919] = {.lex_state = 28, .external_lex_state = 3},
  [1920] = {.lex_state = 28, .external_lex_state = 3},
  [1921] = {.lex_state = 28, .external_lex_state = 3},
  [1922] = {.lex_state = 28, .external_lex_state = 3},
  [1923] = {.lex_state = 28, .external_lex_state = 3},
  [1924] = {.lex_state = 28, .external_lex_state = 3},
  [1925] = {.lex_state = 28, .external_lex_state = 3},
  [1926] = {.lex_state = 28, .external_lex_state = 3},
  [1927] = {.lex_state = 28, .external_lex_state = 3},
  [1928] = {.lex_state = 28, .external_lex_state = 3},
  [1929] = {.lex_state = 28, .external_lex_state = 3},
  [1930] = {.lex_state = 28, .external_lex_state = 3},
  [1931] = {.lex_state = 28, .external_lex_state = 3},
  [1932] = {.lex_state = 28, .external_lex_state = 3},
  [1933] = {.lex_state = 28, .external_lex_state = 3},
  [1934] = {.lex_state = 28, .external_lex_state = 3},
  [1935] = {.lex_state = 28, .external_lex_state = 3},
  [1936] = {.lex_state = 28, .external_lex_state = 3},
  [1937] = {.lex_state = 28, .external_lex_state = 3},
  [1938] = {.lex_state = 28, .external_lex_state = 3},
  [1939] = {.lex_state = 28, .external_lex_state = 3},
  [1940] = {.lex_state = 28, .external_lex_state = 3},
  [1941] = {.lex_state = 28, .external_lex_state = 3},
  [1942] = {.lex_state = 28, .external_lex_state = 3},
  [1943] = {.lex_state = 28, .external_lex_state = 3},
  [1944] = {.lex_state = 28, .external_lex_state = 3},
  [1945] = {.lex_state = 28, .external_lex_state = 3},
  [1946] = {.lex_state = 28, .external_lex_state = 3},
  [1947] = {.lex_state = 28, .external_lex_state = 3},
  [1948] = {.lex_state = 28, .external_lex_state = 3},
  [1949] = {.lex_state = 28, .external_lex_state = 3},
  [1950] = {.lex_state = 28, .external_lex_state = 3},
  [1951] = {.lex_state = 28, .external_lex_state = 3},
  [1952] = {.lex_state = 28, .external_lex_state = 3},
  [1953] = {.lex_state = 28, .external_lex_state = 3},
  [1954] = {.lex_state = 28, .external_lex_state = 3},
  [1955] = {.lex_state = 28, .external_lex_state = 3},
  [1956] = {.lex_state = 28, .external_lex_state = 3},
  [1957] = {.lex_state = 28, .external_lex_state = 3},
  [1958] = {.lex_state = 28, .external_lex_state = 3},
  [1959] = {.lex_state = 28, .external_lex_state = 3},
  [1960] = {.lex_state = 28, .external_lex_state = 3},
  [1961] = {.lex_state = 28, .external_lex_state = 3},
  [1962] = {.lex_state = 28, .external_lex_state = 3},
  [1963] = {.lex_state = 28, .external_lex_state = 3},
  [1964] = {.lex_state = 28, .external_lex_state = 3},
  [1965] = {.lex_state = 28, .external_lex_state = 3},
  [1966] = {.lex_state = 28, .external_lex_state = 3},
  [1967] = {.lex_state = 28, .external_lex_state = 3},
  [1968] = {.lex_state = 28, .external_lex_state = 3},
  [1969] = {.lex_state = 28, .external_lex_state = 3},
  [1970] = {.lex_state = 28, .external_lex_state = 3},
  [1971] = {.lex_state = 28, .external_lex_state = 3},
  [1972] = {.lex_state = 28, .external_lex_state = 3},
  [1973] = {.lex_state = 28, .external_lex_state = 3},
  [1974] = {.lex_state = 28, .external_lex_state = 3},
  [1975] = {.lex_state = 28, .external_lex_state = 3},
  [1976] = {.lex_state = 28, .external_lex_state = 3},
  [1977] = {.lex_state = 28, .external_lex_state = 3},
  [1978] = {.lex_state = 28, .external_lex_state = 3},
  [1979] = {.lex_state = 28, .external_lex_state = 3},
  [1980] = {.lex_state = 28, .external_lex_state = 3},
  [1981] = {.lex_state = 28, .external_lex_state = 3},
  [1982] = {.lex_state = 28, .external_lex_state = 3},
  [1983] = {.lex_state = 28, .external_lex_state = 3},
  [1984] = {.lex_state = 28, .external_lex_state = 3},
  [1985] = {.lex_state = 28, .external_lex_state = 3},
  [1986] = {.lex_state = 28, .external_lex_state = 3},
  [1987] = {.lex_state = 28, .external_lex_state = 3},
  [1988] = {.lex_state = 28, .external_lex_state = 3},
  [1989] = {.lex_state = 28, .external_lex_state = 3},
  [1990] = {.lex_state = 28, .external_lex_state = 3},
  [1991] = {.lex_state = 28, .external_lex_state = 3},
  [1992] = {.lex_state = 28, .external_lex_state = 3},
  [1993] = {.lex_state = 28, .external_lex_state = 3},
  [1994] = {.lex_state = 28, .external_lex_state = 3},
  [1995] = {.lex_state = 28, .external_lex_state = 3},
  [1996] = {.lex_state = 28, .external_lex_state = 3},
  [1997] = {.lex_state = 28, .external_lex_state = 3},
  [1998] = {.lex_state = 28, .external_lex_state = 3},
  [1999] = {.lex_state = 28, .external_lex_state = 3},
  [2000] = {.lex_state = 28, .external_lex_state = 3},
  [2001] = {.lex_state = 28, .external_lex_state = 3},
  [2002] = {.lex_state = 28, .external_lex_state = 3},
  [2003] = {.lex_state = 28, .external_lex_state = 3},
  [2004] = {.lex_state = 28, .external_lex_state = 3},
  [2005] = {.lex_state = 28, .external_lex_state = 3},
  [2006] = {.lex_state = 28, .external_lex_state = 3},
  [2007] = {.lex_state = 28, .external_lex_state = 3},
  [2008] = {.lex_state = 28, .external_lex_state = 3},
  [2009] = {.lex_state = 28, .external_lex_state = 3},
  [2010] = {.lex_state = 28, .external_lex_state = 3},
  [2011] = {.lex_state = 28, .external_lex_state = 3},
  [2012] = {.lex_state = 28, .external_lex_state = 3},
  [2013] = {.lex_state = 28, .external_lex_state = 3},
  [2014] = {.lex_state = 28, .external_lex_state = 3},
  [2015] = {.lex_state = 28, .external_lex_state = 3},
  [2016] = {.lex_state = 28, .external_lex_state = 3},
  [2017] = {.lex_state = 28, .external_lex_state = 3},
  [2018] = {.lex_state = 28, .external_lex_state = 3},
  [2019] = {.lex_state = 28, .external_lex_state = 3},
  [2020] = {.lex_state = 28, .external_lex_state = 3},
  [2021] = {.lex_state = 28, .external_lex_state = 3},
  [2022] = {.lex_state = 28, .external_lex_state = 3},
  [2023] = {.lex_state = 28, .external_lex_state = 3},
  [2024] = {.lex_state = 28, .external_lex_state = 3},
  [2025] = {.lex_state = 28, .external_lex_state = 3},
  [2026] = {.lex_state = 28, .external_lex_state = 3},
  [2027] = {.lex_state = 28, .external_lex_state = 3},
  [2028] = {.lex_state = 28, .external_lex_state = 3},
  [2029] = {.lex_state = 28, .external_lex_state = 3},
  [2030] = {.lex_state = 28, .external_lex_state = 3},
  [2031] = {.lex_state = 28, .external_lex_state = 3},
  [2032] = {.lex_state = 28, .external_lex_state = 3},
  [2033] = {.lex_state = 28, .external_lex_state = 3},
  [2034] = {.lex_state = 28, .external_lex_state = 3},
  [2035] = {.lex_state = 28, .external_lex_state = 3},
  [2036] = {.lex_state = 28, .external_lex_state = 3},
  [2037] = {.lex_state = 28, .external_lex_state = 3},
  [2038] = {.lex_state = 28, .external_lex_state = 3},
  [2039] = {.lex_state = 28, .external_lex_state = 3},
  [2040] = {.lex_state = 28, .external_lex_state = 3},
  [2041] = {.lex_state = 28, .external_lex_state = 3},
  [2042] = {.lex_state = 28, .external_lex_state = 3},
  [2043] = {.lex_state = 28, .external_lex_state = 3},
  [2044] = {.lex_state = 28, .external_lex_state = 3},
  [2045] = {.lex_state = 28, .external_lex_state = 3},
  [2046] = {.lex_state = 28, .external_lex_state = 3},
  [2047] = {.lex_state = 28, .external_lex_state = 3},
  [2048] = {.lex_state = 28, .external_lex_state = 3},
  [2049] = {.lex_state = 28, .external_lex_state = 3},
  [2050] = {.lex_state = 28, .external_lex_state = 3},
  [2051] = {.lex_state = 28, .external_lex_state = 3},
  [2052] = {.lex_state = 28, .external_lex_state = 3},
  [2053] = {.lex_state = 28, .external_lex_state = 3},
  [2054] = {.lex_state = 28, .external_lex_state = 3},
  [2055] = {.lex_state = 28, .external_lex_state = 3},
  [2056] = {.lex_state = 28, .external_lex_state = 3},
  [2057] = {.lex_state = 28, .external_lex_state = 3},
  [2058] = {.lex_state = 28, .external_lex_state = 3},
  [2059] = {.lex_state = 28, .external_lex_state = 3},
  [2060] = {.lex_state = 28, .external_lex_state = 3},
  [2061] = {.lex_state = 28, .external_lex_state = 3},
  [2062] = {.lex_state = 28, .external_lex_state = 3},
  [2063] = {.lex_state = 28, .external_lex_state = 3},
  [2064] = {.lex_state = 28, .external_lex_state = 3},
  [2065] = {.lex_state = 28, .external_lex_state = 3},
  [2066] = {.lex_state = 28, .external_lex_state = 3},
  [2067] = {.lex_state = 28, .external_lex_state = 3},
  [2068] = {.lex_state = 28, .external_lex_state = 3},
  [2069] = {.lex_state = 28, .external_lex_state = 3},
  [2070] = {.lex_state = 28, .external_lex_state = 3},
  [2071] = {.lex_state = 28, .external_lex_state = 3},
  [2072] = {.lex_state = 28, .external_lex_state = 3},
  [2073] = {.lex_state = 28, .external_lex_state = 3},
  [2074] = {.lex_state = 28, .external_lex_state = 3},
  [2075] = {.lex_state = 28, .external_lex_state = 3},
  [2076] = {.lex_state = 28, .external_lex_state = 3},
  [2077] = {.lex_state = 28, .external_lex_state = 3},
  [2078] = {.lex_state = 28, .external_lex_state = 3},
  [2079] = {.lex_state = 28, .external_lex_state = 3},
  [2080] = {.lex_state = 28, .external_lex_state = 3},
  [2081] = {.lex_state = 28, .external_lex_state = 3},
  [2082] = {.lex_state = 28, .external_lex_state = 3},
  [2083] = {.lex_state = 28, .external_lex_state = 3},
  [2084] = {.lex_state = 28, .external_lex_state = 3},
  [2085] = {.lex_state = 28, .external_lex_state = 3},
  [2086] = {.lex_state = 28, .external_lex_state = 3},
  [2087] = {.lex_state = 28, .external_lex_state = 3},
  [2088] = {.lex_state = 28, .external_lex_state = 3},
  [2089] = {.lex_state = 28, .external_lex_state = 3},
  [2090] = {.lex_state = 28, .external_lex_state = 3},
  [2091] = {.lex_state = 28, .external_lex_state = 3},
  [2092] = {.lex_state = 28, .external_lex_state = 3},
  [2093] = {.lex_state = 28, .external_lex_state = 3},
  [2094] = {.lex_state = 28, .external_lex_state = 3},
  [2095] = {.lex_state = 28, .external_lex_state = 3},
  [2096] = {.lex_state = 28, .external_lex_state = 3},
  [2097] = {.lex_state = 28, .external_lex_state = 3},
  [2098] = {.lex_state = 28, .external_lex_state = 3},
  [2099] = {.lex_state = 28, .external_lex_state = 3},
  [2100] = {.lex_state = 28, .external_lex_state = 3},
  [2101] = {.lex_state = 28, .external_lex_state = 3},
  [2102] = {.lex_state = 28, .external_lex_state = 3},
  [2103] = {.lex_state = 28, .external_lex_state = 3},
  [2104] = {.lex_state = 28, .external_lex_state = 3},
  [2105] = {.lex_state = 28, .external_lex_state = 3},
  [2106] = {.lex_state = 28, .external_lex_state = 3},
  [2107] = {.lex_state = 28, .external_lex_state = 3},
  [2108] = {.lex_state = 28, .external_lex_state = 3},
  [2109] = {.lex_state = 28, .external_lex_state = 3},
  [2110] = {.lex_state = 28, .external_lex_state = 3},
  [2111] = {.lex_state = 28, .external_lex_state = 3},
  [2112] = {.lex_state = 28, .external_lex_state = 3},
  [2113] = {.lex_state = 28, .external_lex_state = 3},
  [2114] = {.lex_state = 28, .external_lex_state = 3},
  [2115] = {.lex_state = 28, .external_lex_state = 3},
  [2116] = {.lex_state = 28, .external_lex_state = 3},
  [2117] = {.lex_state = 28, .external_lex_state = 3},
  [2118] = {.lex_state = 28, .external_lex_state = 3},
  [2119] = {.lex_state = 28, .external_lex_state = 3},
  [2120] = {.lex_state = 28, .external_lex_state = 3},
  [2121] = {.lex_state = 28, .external_lex_state = 3},
  [2122] = {.lex_state = 28, .external_lex_state = 3},
  [2123] = {.lex_state = 28, .external_lex_state = 3},
  [2124] = {.lex_state = 28, .external_lex_state = 3},
  [2125] = {.lex_state = 28, .external_lex_state = 3},
  [2126] = {.lex_state = 28, .external_lex_state = 3},
  [2127] = {.lex_state = 28, .external_lex_state = 3},
  [2128] = {.lex_state = 28, .external_lex_state = 3},
  [2129] = {.lex_state = 28, .external_lex_state = 3},
  [2130] = {.lex_state = 28, .external_lex_state = 3},
  [2131] = {.lex_state = 28, .external_lex_state = 3},
  [2132] = {.lex_state = 28, .external_lex_state = 3},
  [2133] = {.lex_state = 28, .external_lex_state = 3},
  [2134] = {.lex_state = 28, .external_lex_state = 3},
  [2135] = {.lex_state = 28, .external_lex_state = 3},
  [2136] = {.lex_state = 28, .external_lex_state = 3},
  [2137] = {.lex_state = 28, .external_lex_state = 3},
  [2138] = {.lex_state = 28, .external_lex_state = 3},
  [2139] = {.lex_state = 28, .external_lex_state = 3},
  [2140] = {.lex_state = 28, .external_lex_state = 3},
  [2141] = {.lex_state = 28, .external_lex_state = 3},
  [2142] = {.lex_state = 28, .external_lex_state = 3},
  [2143] = {.lex_state = 28, .external_lex_state = 3},
  [2144] = {.lex_state = 28, .external_lex_state = 3},
  [2145] = {.lex_state = 28, .external_lex_state = 3},
  [2146] = {.lex_state = 28, .external_lex_state = 3},
  [2147] = {.lex_state = 28, .external_lex_state = 3},
  [2148] = {.lex_state = 28, .external_lex_state = 3},
  [2149] = {.lex_state = 28, .external_lex_state = 3},
  [2150] = {.lex_state = 28, .external_lex_state = 3},
  [2151] = {.lex_state = 28, .external_lex_state = 3},
  [2152] = {.lex_state = 28, .external_lex_state = 3},
  [2153] = {.lex_state = 28, .external_lex_state = 3},
  [2154] = {.lex_state = 28, .external_lex_state = 3},
  [2155] = {.lex_state = 28, .external_lex_state = 3},
  [2156] = {.lex_state = 28, .external_lex_state = 3},
  [2157] = {.lex_state = 28, .external_lex_state = 3},
  [2158] = {.lex_state = 28, .external_lex_state = 3},
  [2159] = {.lex_state = 28, .external_lex_state = 3},
  [2160] = {.lex_state = 28, .external_lex_state = 3},
  [2161] = {.lex_state = 28, .external_lex_state = 3},
  [2162] = {.lex_state = 28, .external_lex_state = 3},
  [2163] = {.lex_state = 28, .external_lex_state = 3},
  [2164] = {.lex_state = 28, .external_lex_state = 3},
  [2165] = {.lex_state = 28, .external_lex_state = 3},
  [2166] = {.lex_state = 28, .external_lex_state = 3},
  [2167] = {.lex_state = 28, .external_lex_state = 3},
  [2168] = {.lex_state = 28, .external_lex_state = 3},
  [2169] = {.lex_state = 28, .external_lex_state = 3},
  [2170] = {.lex_state = 28, .external_lex_state = 3},
  [2171] = {.lex_state = 28, .external_lex_state = 3},
  [2172] = {.lex_state = 28, .external_lex_state = 3},
  [2173] = {.lex_state = 28, .external_lex_state = 3},
  [2174] = {.lex_state = 28, .external_lex_state = 3},
  [2175] = {.lex_state = 28, .external_lex_state = 3},
  [2176] = {.lex_state = 28, .external_lex_state = 3},
  [2177] = {.lex_state = 28, .external_lex_state = 3},
  [2178] = {.lex_state = 28, .external_lex_state = 3},
  [2179] = {.lex_state = 28, .external_lex_state = 3},
  [2180] = {.lex_state = 28, .external_lex_state = 3},
  [2181] = {.lex_state = 28, .external_lex_state = 3},
  [2182] = {.lex_state = 28, .external_lex_state = 3},
  [2183] = {.lex_state = 28, .external_lex_state = 3},
  [2184] = {.lex_state = 28, .external_lex_state = 3},
  [2185] = {.lex_state = 28, .external_lex_state = 3},
  [2186] = {.lex_state = 28, .external_lex_state = 3},
  [2187] = {.lex_state = 28, .external_lex_state = 3},
  [2188] = {.lex_state = 28, .external_lex_state = 3},
  [2189] = {.lex_state = 28, .external_lex_state = 3},
  [2190] = {.lex_state = 28, .external_lex_state = 3},
  [2191] = {.lex_state = 28, .external_lex_state = 3},
  [2192] = {.lex_state = 28, .external_lex_state = 3},
  [2193] = {.lex_state = 28, .external_lex_state = 3},
  [2194] = {.lex_state = 28, .external_lex_state = 3},
  [2195] = {.lex_state = 28, .external_lex_state = 3},
  [2196] = {.lex_state = 28, .external_lex_state = 3},
  [2197] = {.lex_state = 28, .external_lex_state = 3},
  [2198] = {.lex_state = 28, .external_lex_state = 3},
  [2199] = {.lex_state = 28, .external_lex_state = 3},
  [2200] = {.lex_state = 28, .external_lex_state = 3},
  [2201] = {.lex_state = 28, .external_lex_state = 3},
  [2202] = {.lex_state = 28, .external_lex_state = 3},
  [2203] = {.lex_state = 28, .external_lex_state = 3},
  [2204] = {.lex_state = 28, .external_lex_state = 3},
  [2205] = {.lex_state = 28, .external_lex_state = 3},
  [2206] = {.lex_state = 28, .external_lex_state = 3},
  [2207] = {.lex_state = 28, .external_lex_state = 3},
  [2208] = {.lex_state = 28, .external_lex_state = 3},
  [2209] = {.lex_state = 28, .external_lex_state = 3},
  [2210] = {.lex_state = 28, .external_lex_state = 3},
  [2211] = {.lex_state = 28, .external_lex_state = 3},
  [2212] = {.lex_state = 28, .external_lex_state = 3},
  [2213] = {.lex_state = 28, .external_lex_state = 3},
  [2214] = {.lex_state = 28, .external_lex_state = 3},
  [2215] = {.lex_state = 28, .external_lex_state = 3},
  [2216] = {.lex_state = 28, .external_lex_state = 3},
  [2217] = {.lex_state = 28, .external_lex_state = 3},
  [2218] = {.lex_state = 28, .external_lex_state = 3},
  [2219] = {.lex_state = 28, .external_lex_state = 3},
  [2220] = {.lex_state = 28, .external_lex_state = 3},
  [2221] = {.lex_state = 28, .external_lex_state = 3},
  [2222] = {.lex_state = 28, .external_lex_state = 3},
  [2223] = {.lex_state = 28, .external_lex_state = 3},
  [2224] = {.lex_state = 28, .external_lex_state = 3},
  [2225] = {.lex_state = 28, .external_lex_state = 3},
  [2226] = {.lex_state = 28, .external_lex_state = 3},
  [2227] = {.lex_state = 28, .external_lex_state = 3},
  [2228] = {.lex_state = 28, .external_lex_state = 3},
  [2229] = {.lex_state = 28, .external_lex_state = 3},
  [2230] = {.lex_state = 28, .external_lex_state = 3},
  [2231] = {.lex_state = 28, .external_lex_state = 3},
  [2232] = {.lex_state = 28, .external_lex_state = 3},
  [2233] = {.lex_state = 28, .external_lex_state = 3},
  [2234] = {.lex_state = 28, .external_lex_state = 3},
  [2235] = {.lex_state = 28, .external_lex_state = 3},
  [2236] = {.lex_state = 28, .external_lex_state = 3},
  [2237] = {.lex_state = 28, .external_lex_state = 3},
  [2238] = {.lex_state = 28, .external_lex_state = 3},
  [2239] = {.lex_state = 28, .external_lex_state = 3},
  [2240] = {.lex_state = 28, .external_lex_state = 3},
  [2241] = {.lex_state = 28, .external_lex_state = 3},
  [2242] = {.lex_state = 28, .external_lex_state = 3},
  [2243] = {.lex_state = 28, .external_lex_state = 3},
  [2244] = {.lex_state = 28, .external_lex_state = 3},
  [2245] = {.lex_state = 28, .external_lex_state = 3},
  [2246] = {.lex_state = 28, .external_lex_state = 3},
  [2247] = {.lex_state = 28, .external_lex_state = 3},
  [2248] = {.lex_state = 28, .external_lex_state = 3},
  [2249] = {.lex_state = 28, .external_lex_state = 3},
  [2250] = {.lex_state = 28, .external_lex_state = 3},
  [2251] = {.lex_state = 28, .external_lex_state = 3},
  [2252] = {.lex_state = 28, .external_lex_state = 3},
  [2253] = {.lex_state = 28, .external_lex_state = 3},
  [2254] = {.lex_state = 28, .external_lex_state = 3},
  [2255] = {.lex_state = 28, .external_lex_state = 3},
  [2256] = {.lex_state = 28, .external_lex_state = 3},
  [2257] = {.lex_state = 28, .external_lex_state = 3},
  [2258] = {.lex_state = 28, .external_lex_state = 3},
  [2259] = {.lex_state = 28, .external_lex_state = 3},
  [2260] = {.lex_state = 28, .external_lex_state = 3},
  [2261] = {.lex_state = 28, .external_lex_state = 3},
  [2262] = {.lex_state = 28, .external_lex_state = 3},
  [2263] = {.lex_state = 28, .external_lex_state = 3},
  [2264] = {.lex_state = 28, .external_lex_state = 3},
  [2265] = {.lex_state = 28, .external_lex_state = 3},
  [2266] = {.lex_state = 28, .external_lex_state = 3},
  [2267] = {.lex_state = 28, .external_lex_state = 3},
  [2268] = {.lex_state = 28, .external_lex_state = 3},
  [2269] = {.lex_state = 28, .external_lex_state = 3},
  [2270] = {.lex_state = 28, .external_lex_state = 3},
  [2271] = {.lex_state = 28, .external_lex_state = 3},
  [2272] = {.lex_state = 28, .external_lex_state = 3},
  [2273] = {.lex_state = 28, .external_lex_state = 3},
  [2274] = {.lex_state = 28, .external_lex_state = 3},
  [2275] = {.lex_state = 28, .external_lex_state = 3},
  [2276] = {.lex_state = 28, .external_lex_state = 3},
  [2277] = {.lex_state = 28, .external_lex_state = 3},
  [2278] = {.lex_state = 28, .external_lex_state = 3},
  [2279] = {.lex_state = 28, .external_lex_state = 3},
  [2280] = {.lex_state = 28, .external_lex_state = 3},
  [2281] = {.lex_state = 28, .external_lex_state = 3},
  [2282] = {.lex_state = 28, .external_lex_state = 3},
  [2283] = {.lex_state = 28, .external_lex_state = 3},
  [2284] = {.lex_state = 28, .external_lex_state = 3},
  [2285] = {.lex_state = 28, .external_lex_state = 3},
  [2286] = {.lex_state = 62, .external_lex_state = 3},
  [2287] = {.lex_state = 28, .external_lex_state = 3},
  [2288] = {.lex_state = 28, .external_lex_state = 3},
  [2289] = {.lex_state = 28, .external_lex_state = 3},
  [2290] = {.lex_state = 28, .external_lex_state = 3},
  [2291] = {.lex_state = 28, .external_lex_state = 3},
  [2292] = {.lex_state = 28, .external_lex_state = 3},
  [2293] = {.lex_state = 28, .external_lex_state = 3},
  [2294] = {.lex_state = 28, .external_lex_state = 3},
  [2295] = {.lex_state = 28, .external_lex_state = 3},
  [2296] = {.lex_state = 28, .external_lex_state = 3},
  [2297] = {.lex_state = 28, .external_lex_state = 3},
  [2298] = {.lex_state = 28, .external_lex_state = 3},
  [2299] = {.lex_state = 28, .external_lex_state = 3},
  [2300] = {.lex_state = 28, .external_lex_state = 3},
  [2301] = {.lex_state = 28, .external_lex_state = 3},
  [2302] = {.lex_state = 28, .external_lex_state = 3},
  [2303] = {.lex_state = 28, .external_lex_state = 3},
  [2304] = {.lex_state = 28, .external_lex_state = 3},
  [2305] = {.lex_state = 28, .external_lex_state = 3},
  [2306] = {.lex_state = 28, .external_lex_state = 3},
  [2307] = {.lex_state = 28, .external_lex_state = 3},
  [2308] = {.lex_state = 28, .external_lex_state = 3},
  [2309] = {.lex_state = 28, .external_lex_state = 3},
  [2310] = {.lex_state = 28, .external_lex_state = 3},
  [2311] = {.lex_state = 28, .external_lex_state = 3},
  [2312] = {.lex_state = 28, .external_lex_state = 3},
  [2313] = {.lex_state = 28, .external_lex_state = 3},
  [2314] = {.lex_state = 28, .external_lex_state = 3},
  [2315] = {.lex_state = 28, .external_lex_state = 3},
  [2316] = {.lex_state = 28, .external_lex_state = 3},
  [2317] = {.lex_state = 28, .external_lex_state = 3},
  [2318] = {.lex_state = 28, .external_lex_state = 3},
  [2319] = {.lex_state = 28, .external_lex_state = 3},
  [2320] = {.lex_state = 28, .external_lex_state = 3},
  [2321] = {.lex_state = 28, .external_lex_state = 3},
  [2322] = {.lex_state = 28, .external_lex_state = 3},
  [2323] = {.lex_state = 28, .external_lex_state = 3},
  [2324] = {.lex_state = 28, .external_lex_state = 3},
  [2325] = {.lex_state = 28, .external_lex_state = 3},
  [2326] = {.lex_state = 28, .external_lex_state = 3},
  [2327] = {.lex_state = 70, .external_lex_state = 3},
  [2328] = {.lex_state = 28, .external_lex_state = 3},
  [2329] = {.lex_state = 28, .external_lex_state = 3},
  [2330] = {.lex_state = 28, .external_lex_state = 3},
  [2331] = {.lex_state = 28, .external_lex_state = 3},
  [2332] = {.lex_state = 28, .external_lex_state = 3},
  [2333] = {.lex_state = 28, .external_lex_state = 3},
  [2334] = {.lex_state = 28, .external_lex_state = 3},
  [2335] = {.lex_state = 28, .external_lex_state = 3},
  [2336] = {.lex_state = 28, .external_lex_state = 3},
  [2337] = {.lex_state = 28, .external_lex_state = 3},
  [2338] = {.lex_state = 28, .external_lex_state = 3},
  [2339] = {.lex_state = 28, .external_lex_state = 3},
  [2340] = {.lex_state = 28, .external_lex_state = 3},
  [2341] = {.lex_state = 28, .external_lex_state = 3},
  [2342] = {.lex_state = 28, .external_lex_state = 3},
  [2343] = {.lex_state = 28, .external_lex_state = 3},
  [2344] = {.lex_state = 28, .external_lex_state = 3},
  [2345] = {.lex_state = 28, .external_lex_state = 3},
  [2346] = {.lex_state = 28, .external_lex_state = 3},
  [2347] = {.lex_state = 28, .external_lex_state = 3},
  [2348] = {.lex_state = 28, .external_lex_state = 3},
  [2349] = {.lex_state = 28, .external_lex_state = 3},
  [2350] = {.lex_state = 28, .external_lex_state = 3},
  [2351] = {.lex_state = 28, .external_lex_state = 3},
  [2352] = {.lex_state = 28, .external_lex_state = 3},
  [2353] = {.lex_state = 28, .external_lex_state = 3},
  [2354] = {.lex_state = 28, .external_lex_state = 3},
  [2355] = {.lex_state = 28, .external_lex_state = 3},
  [2356] = {.lex_state = 28, .external_lex_state = 3},
  [2357] = {.lex_state = 28, .external_lex_state = 3},
  [2358] = {.lex_state = 28, .external_lex_state = 3},
  [2359] = {.lex_state = 28, .external_lex_state = 3},
  [2360] = {.lex_state = 28, .external_lex_state = 3},
  [2361] = {.lex_state = 28, .external_lex_state = 3},
  [2362] = {.lex_state = 28, .external_lex_state = 3},
  [2363] = {.lex_state = 28, .external_lex_state = 3},
  [2364] = {.lex_state = 28, .external_lex_state = 3},
  [2365] = {.lex_state = 28, .external_lex_state = 3},
  [2366] = {.lex_state = 28, .external_lex_state = 3},
  [2367] = {.lex_state = 28, .external_lex_state = 3},
  [2368] = {.lex_state = 28, .external_lex_state = 3},
  [2369] = {.lex_state = 28, .external_lex_state = 3},
  [2370] = {.lex_state = 28, .external_lex_state = 3},
  [2371] = {.lex_state = 28, .external_lex_state = 3},
  [2372] = {.lex_state = 28, .external_lex_state = 3},
  [2373] = {.lex_state = 28, .external_lex_state = 3},
  [2374] = {.lex_state = 28, .external_lex_state = 3},
  [2375] = {.lex_state = 28, .external_lex_state = 3},
  [2376] = {.lex_state = 28, .external_lex_state = 3},
  [2377] = {.lex_state = 28, .external_lex_state = 3},
  [2378] = {.lex_state = 28, .external_lex_state = 3},
  [2379] = {.lex_state = 28, .external_lex_state = 3},
  [2380] = {.lex_state = 28, .external_lex_state = 3},
  [2381] = {.lex_state = 28, .external_lex_state = 3},
  [2382] = {.lex_state = 28, .external_lex_state = 3},
  [2383] = {.lex_state = 28, .external_lex_state = 3},
  [2384] = {.lex_state = 28, .external_lex_state = 3},
  [2385] = {.lex_state = 28, .external_lex_state = 3},
  [2386] = {.lex_state = 28, .external_lex_state = 3},
  [2387] = {.lex_state = 28, .external_lex_state = 3},
  [2388] = {.lex_state = 28, .external_lex_state = 3},
  [2389] = {.lex_state = 28, .external_lex_state = 3},
  [2390] = {.lex_state = 28, .external_lex_state = 3},
  [2391] = {.lex_state = 28, .external_lex_state = 3},
  [2392] = {.lex_state = 28, .external_lex_state = 3},
  [2393] = {.lex_state = 28, .external_lex_state = 3},
  [2394] = {.lex_state = 28, .external_lex_state = 3},
  [2395] = {.lex_state = 28, .external_lex_state = 3},
  [2396] = {.lex_state = 28, .external_lex_state = 3},
  [2397] = {.lex_state = 28, .external_lex_state = 3},
  [2398] = {.lex_state = 28, .external_lex_state = 3},
  [2399] = {.lex_state = 28, .external_lex_state = 3},
  [2400] = {.lex_state = 28, .external_lex_state = 3},
  [2401] = {.lex_state = 28, .external_lex_state = 3},
  [2402] = {.lex_state = 28, .external_lex_state = 3},
  [2403] = {.lex_state = 28, .external_lex_state = 3},
  [2404] = {.lex_state = 28, .external_lex_state = 3},
  [2405] = {.lex_state = 28, .external_lex_state = 3},
  [2406] = {.lex_state = 28, .external_lex_state = 3},
  [2407] = {.lex_state = 28, .external_lex_state = 3},
  [2408] = {.lex_state = 28, .external_lex_state = 3},
  [2409] = {.lex_state = 28, .external_lex_state = 3},
  [2410] = {.lex_state = 28, .external_lex_state = 3},
  [2411] = {.lex_state = 28, .external_lex_state = 3},
  [2412] = {.lex_state = 28, .external_lex_state = 3},
  [2413] = {.lex_state = 28, .external_lex_state = 3},
  [2414] = {.lex_state = 28, .external_lex_state = 3},
  [2415] = {.lex_state = 28, .external_lex_state = 3},
  [2416] = {.lex_state = 28, .external_lex_state = 3},
  [2417] = {.lex_state = 28, .external_lex_state = 3},
  [2418] = {.lex_state = 28, .external_lex_state = 3},
  [2419] = {.lex_state = 28, .external_lex_state = 3},
  [2420] = {.lex_state = 28, .external_lex_state = 3},
  [2421] = {.lex_state = 28, .external_lex_state = 3},
  [2422] = {.lex_state = 28, .external_lex_state = 3},
  [2423] = {.lex_state = 28, .external_lex_state = 3},
  [2424] = {.lex_state = 28, .external_lex_state = 3},
  [2425] = {.lex_state = 28, .external_lex_state = 3},
  [2426] = {.lex_state = 28, .external_lex_state = 3},
  [2427] = {.lex_state = 28, .external_lex_state = 3},
  [2428] = {.lex_state = 28, .external_lex_state = 3},
  [2429] = {.lex_state = 28, .external_lex_state = 3},
  [2430] = {.lex_state = 28, .external_lex_state = 3},
  [2431] = {.lex_state = 28, .external_lex_state = 3},
  [2432] = {.lex_state = 28, .external_lex_state = 3},
  [2433] = {.lex_state = 28, .external_lex_state = 3},
  [2434] = {.lex_state = 28, .external_lex_state = 3},
  [2435] = {.lex_state = 28, .external_lex_state = 3},
  [2436] = {.lex_state = 28, .external_lex_state = 3},
  [2437] = {.lex_state = 28, .external_lex_state = 3},
  [2438] = {.lex_state = 28, .external_lex_state = 3},
  [2439] = {.lex_state = 28, .external_lex_state = 3},
  [2440] = {.lex_state = 28, .external_lex_state = 3},
  [2441] = {.lex_state = 28, .external_lex_state = 3},
  [2442] = {.lex_state = 28, .external_lex_state = 3},
  [2443] = {.lex_state = 66, .external_lex_state = 3},
  [2444] = {.lex_state = 112, .external_lex_state = 3},
  [2445] = {.lex_state = 108, .external_lex_state = 3},
  [2446] = {.lex_state = 71, .external_lex_state = 3},
  [2447] = {.lex_state = 112, .external_lex_state = 3},
  [2448] = {.lex_state = 108, .external_lex_state = 3},
  [2449] = {.lex_state = 65, .external_lex_state = 3},
  [2450] = {.lex_state = 114, .external_lex_state = 3},
  [2451] = {.lex_state = 109, .external_lex_state = 3},
  [2452] = {.lex_state = 114, .external_lex_state = 3},
  [2453] = {.lex_state = 113, .external_lex_state = 3},
  [2454] = {.lex_state = 106, .external_lex_state = 3},
  [2455] = {.lex_state = 72, .external_lex_state = 3},
  [2456] = {.lex_state = 109, .external_lex_state = 3},
  [2457] = {.lex_state = 113, .external_lex_state = 3},
  [2458] = {.lex_state = 106, .external_lex_state = 3},
  [2459] = {.lex_state = 107, .external_lex_state = 3},
  [2460] = {.lex_state = 115, .external_lex_state = 3},
  [2461] = {.lex_state = 107, .external_lex_state = 3},
  [2462] = {.lex_state = 115, .external_lex_state = 3},
  [2463] = {.lex_state = 116, .external_lex_state = 3},
  [2464] = {.lex_state = 111, .external_lex_state = 3},
  [2465] = {.lex_state = 111, .external_lex_state = 3},
  [2466] = {.lex_state = 116, .external_lex_state = 3},
  [2467] = {.lex_state = 110, .external_lex_state = 3},
  [2468] = {.lex_state = 117, .external_lex_state = 3},
  [2469] = {.lex_state = 110, .external_lex_state = 3},
  [2470] = {.lex_state = 117, .external_lex_state = 3},
  [2471] = {.lex_state = 45, .external_lex_state = 3},
  [2472] = {.lex_state = 46, .external_lex_state = 3},
  [2473] = {.lex_state = 42, .external_lex_state = 3},
  [2474] = {.lex_state = 45, .external_lex_state = 3},
  [2475] = {.lex_state = 44, .external_lex_state = 3},
  [2476] = {.lex_state = 41, .external_lex_state = 3},
  [2477] = {.lex_state = 45, .external_lex_state = 3},
  [2478] = {.lex_state = 43, .external_lex_state = 3},
  [2479] = {.lex_state = 46, .external_lex_state = 3},
  [2480] = {.lex_state = 46, .external_lex_state = 3},
  [2481] = {.lex_state = 192, .external_lex_state = 3},
  [2482] = {.lex_state = 190, .external_lex_state = 3},
  [2483] = {.lex_state = 89, .external_lex_state = 3},
  [2484] = {.lex_state = 89, .external_lex_state = 3},
  [2485] = {.lex_state = 42, .external_lex_state = 3},
  [2486] = {.lex_state = 89, .external_lex_state = 3},
  [2487] = {.lex_state = 89, .external_lex_state = 3},
  [2488] = {.lex_state = 42, .external_lex_state = 3},
  [2489] = {.lex_state = 89, .external_lex_state = 3},
  [2490] = {.lex_state = 89, .external_lex_state = 3},
  [2491] = {.lex_state = 191, .external_lex_state = 3},
  [2492] = {.lex_state = 192, .external_lex_state = 3},
  [2493] = {.lex_state = 89, .external_lex_state = 3},
  [2494] = {.lex_state = 190, .external_lex_state = 3},
  [2495] = {.lex_state = 89, .external_lex_state = 3},
  [2496] = {.lex_state = 193, .external_lex_state = 3},
  [2497] = {.lex_state = 44, .external_lex_state = 3},
  [2498] = {.lex_state = 191, .external_lex_state = 3},
  [2499] = {.lex_state = 41, .external_lex_state = 3},
  [2500] = {.lex_state = 44, .external_lex_state = 3},
  [2501] = {.lex_state = 41, .external_lex_state = 3},
  [2502] = {.lex_state = 59, .external_lex_state = 3},
  [2503] = {.lex_state = 193, .external_lex_state = 3},
  [2504] = {.lex_state = 90, .external_lex_state = 3},
  [2505] = {.lex_state = 43, .external_lex_state = 3},
  [2506] = {.lex_state = 60, .external_lex_state = 3},
  [2507] = {.lex_state = 90, .external_lex_state = 3},
  [2508] = {.lex_state = 90, .external_lex_state = 3},
  [2509] = {.lex_state = 90, .external_lex_state = 3},
  [2510] = {.lex_state = 90, .external_lex_state = 3},
  [2511] = {.lex_state = 90, .external_lex_state = 3},
  [2512] = {.lex_state = 90, .external_lex_state = 3},
  [2513] = {.lex_state = 43, .external_lex_state = 3},
  [2514] = {.lex_state = 90, .external_lex_state = 3},
  [2515] = {.lex_state = 90, .external_lex_state = 3},
  [2516] = {.lex_state = 90, .external_lex_state = 3},
  [2517] = {.lex_state = 90, .external_lex_state = 3},
  [2518] = {.lex_state = 90, .external_lex_state = 3},
  [2519] = {.lex_state = 49, .external_lex_state = 3},
  [2520] = {.lex_state = 59, .external_lex_state = 3},
  [2521] = {.lex_state = 59, .external_lex_state = 3},
  [2522] = {.lex_state = 50, .external_lex_state = 3},
  [2523] = {.lex_state = 55, .external_lex_state = 3},
  [2524] = {.lex_state = 53, .external_lex_state = 3},
  [2525] = {.lex_state = 47, .external_lex_state = 3},
  [2526] = {.lex_state = 51, .external_lex_state = 3},
  [2527] = {.lex_state = 54, .external_lex_state = 3},
  [2528] = {.lex_state = 52, .external_lex_state = 3},
  [2529] = {.lex_state = 60, .external_lex_state = 3},
  [2530] = {.lex_state = 91, .external_lex_state = 3},
  [2531] = {.lex_state = 91, .external_lex_state = 3},
  [2532] = {.lex_state = 91, .external_lex_state = 3},
  [2533] = {.lex_state = 91, .external_lex_state = 3},
  [2534] = {.lex_state = 60, .external_lex_state = 3},
  [2535] = {.lex_state = 91, .external_lex_state = 3},
  [2536] = {.lex_state = 58, .external_lex_state = 3},
  [2537] = {.lex_state = 57, .external_lex_state = 3},
  [2538] = {.lex_state = 91, .external_lex_state = 3},
  [2539] = {.lex_state = 48, .external_lex_state = 3},
  [2540] = {.lex_state = 192, .external_lex_state = 3},
  [2541] = {.lex_state = 91, .external_lex_state = 3},
  [2542] = {.lex_state = 190, .external_lex_state = 3},
  [2543] = {.lex_state = 56, .external_lex_state = 3},
  [2544] = {.lex_state = 25, .external_lex_state = 3},
  [2545] = {.lex_state = 25, .external_lex_state = 3},
  [2546] = {.lex_state = 24, .external_lex_state = 3},
  [2547] = {.lex_state = 49, .external_lex_state = 3},
  [2548] = {.lex_state = 191, .external_lex_state = 3},
  [2549] = {.lex_state = 24, .external_lex_state = 3},
  [2550] = {.lex_state = 24, .external_lex_state = 3},
  [2551] = {.lex_state = 25, .external_lex_state = 3},
  [2552] = {.lex_state = 193, .external_lex_state = 3},
  [2553] = {.lex_state = 49, .external_lex_state = 3},
  [2554] = {.lex_state = 92, .external_lex_state = 3},
  [2555] = {.lex_state = 50, .external_lex_state = 3},
  [2556] = {.lex_state = 92, .external_lex_state = 3},
  [2557] = {.lex_state = 92, .external_lex_state = 3},
  [2558] = {.lex_state = 92, .external_lex_state = 3},
  [2559] = {.lex_state = 92, .external_lex_state = 3},
  [2560] = {.lex_state = 51, .external_lex_state = 3},
  [2561] = {.lex_state = 50, .external_lex_state = 3},
  [2562] = {.lex_state = 54, .external_lex_state = 3},
  [2563] = {.lex_state = 92, .external_lex_state = 3},
  [2564] = {.lex_state = 47, .external_lex_state = 3},
  [2565] = {.lex_state = 92, .external_lex_state = 3},
  [2566] = {.lex_state = 55, .external_lex_state = 3},
  [2567] = {.lex_state = 53, .external_lex_state = 3},
  [2568] = {.lex_state = 54, .external_lex_state = 3},
  [2569] = {.lex_state = 47, .external_lex_state = 3},
  [2570] = {.lex_state = 55, .external_lex_state = 3},
  [2571] = {.lex_state = 92, .external_lex_state = 3},
  [2572] = {.lex_state = 53, .external_lex_state = 3},
  [2573] = {.lex_state = 92, .external_lex_state = 3},
  [2574] = {.lex_state = 51, .external_lex_state = 3},
  [2575] = {.lex_state = 92, .external_lex_state = 3},
  [2576] = {.lex_state = 92, .external_lex_state = 3},
  [2577] = {.lex_state = 10, .external_lex_state = 3},
  [2578] = {.lex_state = 48, .external_lex_state = 3},
  [2579] = {.lex_state = 10, .external_lex_state = 3},
  [2580] = {.lex_state = 10, .external_lex_state = 3},
  [2581] = {.lex_state = 11, .external_lex_state = 3},
  [2582] = {.lex_state = 48, .external_lex_state = 3},
  [2583] = {.lex_state = 58, .external_lex_state = 3},
  [2584] = {.lex_state = 11, .external_lex_state = 3},
  [2585] = {.lex_state = 57, .external_lex_state = 3},
  [2586] = {.lex_state = 11, .external_lex_state = 3},
  [2587] = {.lex_state = 58, .external_lex_state = 3},
  [2588] = {.lex_state = 52, .external_lex_state = 3},
  [2589] = {.lex_state = 56, .external_lex_state = 3},
  [2590] = {.lex_state = 57, .external_lex_state = 3},
  [2591] = {.lex_state = 52, .external_lex_state = 3},
  [2592] = {.lex_state = 56, .external_lex_state = 3},
  [2593] = {.lex_state = 173, .external_lex_state = 3},
  [2594] = {.lex_state = 181, .external_lex_state = 3},
  [2595] = {.lex_state = 179, .external_lex_state = 3},
  [2596] = {.lex_state = 181, .external_lex_state = 3},
  [2597] = {.lex_state = 181, .external_lex_state = 3},
  [2598] = {.lex_state = 179, .external_lex_state = 3},
  [2599] = {.lex_state = 173, .external_lex_state = 3},
  [2600] = {.lex_state = 179, .external_lex_state = 3},
  [2601] = {.lex_state = 12, .external_lex_state = 3},
  [2602] = {.lex_state = 12, .external_lex_state = 3},
  [2603] = {.lex_state = 179, .external_lex_state = 3},
  [2604] = {.lex_state = 181, .external_lex_state = 3},
  [2605] = {.lex_state = 181, .external_lex_state = 3},
  [2606] = {.lex_state = 179, .external_lex_state = 3},
  [2607] = {.lex_state = 179, .external_lex_state = 3},
  [2608] = {.lex_state = 181, .external_lex_state = 3},
  [2609] = {.lex_state = 12, .external_lex_state = 3},
  [2610] = {.lex_state = 181, .external_lex_state = 3},
  [2611] = {.lex_state = 179, .external_lex_state = 3},
  [2612] = {.lex_state = 181, .external_lex_state = 3},
  [2613] = {.lex_state = 179, .external_lex_state = 3},
  [2614] = {.lex_state = 179, .external_lex_state = 3},
  [2615] = {.lex_state = 179, .external_lex_state = 3},
  [2616] = {.lex_state = 181, .external_lex_state = 3},
  [2617] = {.lex_state = 181, .external_lex_state = 3},
  [2618] = {.lex_state = 180, .external_lex_state = 3},
  [2619] = {.lex_state = 182, .external_lex_state = 3},
  [2620] = {.lex_state = 182, .external_lex_state = 3},
  [2621] = {.lex_state = 182, .external_lex_state = 3},
  [2622] = {.lex_state = 182, .external_lex_state = 3},
  [2623] = {.lex_state = 182, .external_lex_state = 3},
  [2624] = {.lex_state = 182, .external_lex_state = 3},
  [2625] = {.lex_state = 173, .external_lex_state = 3},
  [2626] = {.lex_state = 180, .external_lex_state = 3},
  [2627] = {.lex_state = 180, .external_lex_state = 3},
  [2628] = {.lex_state = 180, .external_lex_state = 3},
  [2629] = {.lex_state = 180, .external_lex_state = 3},
  [2630] = {.lex_state = 180, .external_lex_state = 3},
  [2631] = {.lex_state = 182, .external_lex_state = 3},
  [2632] = {.lex_state = 182, .external_lex_state = 3},
  [2633] = {.lex_state = 180, .external_lex_state = 3},
  [2634] = {.lex_state = 194, .external_lex_state = 3},
  [2635] = {.lex_state = 180, .external_lex_state = 3},
  [2636] = {.lex_state = 180, .external_lex_state = 3},
  [2637] = {.lex_state = 182, .external_lex_state = 3},
  [2638] = {.lex_state = 180, .external_lex_state = 3},
  [2639] = {.lex_state = 182, .external_lex_state = 3},
  [2640] = {.lex_state = 173, .external_lex_state = 3},
  [2641] = {.lex_state = 195, .external_lex_state = 3},
  [2642] = {.lex_state = 179, .external_lex_state = 3},
  [2643] = {.lex_state = 194, .external_lex_state = 3},
  [2644] = {.lex_state = 181, .external_lex_state = 3},
  [2645] = {.lex_state = 195, .external_lex_state = 3},
  [2646] = {.lex_state = 173, .external_lex_state = 3},
  [2647] = {.lex_state = 175, .external_lex_state = 3},
  [2648] = {.lex_state = 175, .external_lex_state = 3},
  [2649] = {.lex_state = 175, .external_lex_state = 3},
  [2650] = {.lex_state = 175, .external_lex_state = 3},
  [2651] = {.lex_state = 175, .external_lex_state = 3},
  [2652] = {.lex_state = 175, .external_lex_state = 3},
  [2653] = {.lex_state = 173, .external_lex_state = 3},
  [2654] = {.lex_state = 173, .external_lex_state = 3},
  [2655] = {.lex_state = 175, .external_lex_state = 3},
  [2656] = {.lex_state = 173, .external_lex_state = 3},
  [2657] = {.lex_state = 173, .external_lex_state = 3},
  [2658] = {.lex_state = 173, .external_lex_state = 3},
  [2659] = {.lex_state = 175, .external_lex_state = 3},
  [2660] = {.lex_state = 175, .external_lex_state = 3},
  [2661] = {.lex_state = 175, .external_lex_state = 3},
  [2662] = {.lex_state = 173, .external_lex_state = 3},
  [2663] = {.lex_state = 173, .external_lex_state = 3},
  [2664] = {.lex_state = 175, .external_lex_state = 3},
  [2665] = {.lex_state = 173, .external_lex_state = 3},
  [2666] = {.lex_state = 175, .external_lex_state = 3},
  [2667] = {.lex_state = 175, .external_lex_state = 3},
  [2668] = {.lex_state = 175, .external_lex_state = 3},
  [2669] = {.lex_state = 173, .external_lex_state = 3},
  [2670] = {.lex_state = 173, .external_lex_state = 3},
  [2671] = {.lex_state = 175, .external_lex_state = 3},
  [2672] = {.lex_state = 175, .external_lex_state = 3},
  [2673] = {.lex_state = 175, .external_lex_state = 3},
  [2674] = {.lex_state = 173, .external_lex_state = 3},
  [2675] = {.lex_state = 173, .external_lex_state = 3},
  [2676] = {.lex_state = 175, .external_lex_state = 3},
  [2677] = {.lex_state = 173, .external_lex_state = 3},
  [2678] = {.lex_state = 175, .external_lex_state = 3},
  [2679] = {.lex_state = 173, .external_lex_state = 3},
  [2680] = {.lex_state = 175, .external_lex_state = 3},
  [2681] = {.lex_state = 173, .external_lex_state = 3},
  [2682] = {.lex_state = 175, .external_lex_state = 3},
  [2683] = {.lex_state = 175, .external_lex_state = 3},
  [2684] = {.lex_state = 175, .external_lex_state = 3},
  [2685] = {.lex_state = 175, .external_lex_state = 3},
  [2686] = {.lex_state = 175, .external_lex_state = 3},
  [2687] = {.lex_state = 175, .external_lex_state = 3},
  [2688] = {.lex_state = 173, .external_lex_state = 3},
  [2689] = {.lex_state = 173, .external_lex_state = 3},
  [2690] = {.lex_state = 173, .external_lex_state = 3},
  [2691] = {.lex_state = 175, .external_lex_state = 3},
  [2692] = {.lex_state = 175, .external_lex_state = 3},
  [2693] = {.lex_state = 173, .external_lex_state = 3},
  [2694] = {.lex_state = 173, .external_lex_state = 3},
  [2695] = {.lex_state = 173, .external_lex_state = 3},
  [2696] = {.lex_state = 180, .external_lex_state = 3},
  [2697] = {.lex_state = 173, .external_lex_state = 3},
  [2698] = {.lex_state = 175, .external_lex_state = 3},
  [2699] = {.lex_state = 175, .external_lex_state = 3},
  [2700] = {.lex_state = 175, .external_lex_state = 3},
  [2701] = {.lex_state = 175, .external_lex_state = 3},
  [2702] = {.lex_state = 175, .external_lex_state = 3},
  [2703] = {.lex_state = 173, .external_lex_state = 3},
  [2704] = {.lex_state = 175, .external_lex_state = 3},
  [2705] = {.lex_state = 175, .external_lex_state = 3},
  [2706] = {.lex_state = 175, .external_lex_state = 3},
  [2707] = {.lex_state = 173, .external_lex_state = 3},
  [2708] = {.lex_state = 175, .external_lex_state = 3},
  [2709] = {.lex_state = 173, .external_lex_state = 3},
  [2710] = {.lex_state = 175, .external_lex_state = 3},
  [2711] = {.lex_state = 173, .external_lex_state = 3},
  [2712] = {.lex_state = 173, .external_lex_state = 3},
  [2713] = {.lex_state = 173, .external_lex_state = 3},
  [2714] = {.lex_state = 173, .external_lex_state = 3},
  [2715] = {.lex_state = 173, .external_lex_state = 3},
  [2716] = {.lex_state = 173, .external_lex_state = 3},
  [2717] = {.lex_state = 173, .external_lex_state = 3},
  [2718] = {.lex_state = 173, .external_lex_state = 3},
  [2719] = {.lex_state = 175, .external_lex_state = 3},
  [2720] = {.lex_state = 182, .external_lex_state = 3},
  [2721] = {.lex_state = 175, .external_lex_state = 3},
  [2722] = {.lex_state = 173, .external_lex_state = 3},
  [2723] = {.lex_state = 173, .external_lex_state = 3},
  [2724] = {.lex_state = 175, .external_lex_state = 3},
  [2725] = {.lex_state = 173, .external_lex_state = 3},
  [2726] = {.lex_state = 175, .external_lex_state = 3},
  [2727] = {.lex_state = 175, .external_lex_state = 3},
  [2728] = {.lex_state = 175, .external_lex_state = 3},
  [2729] = {.lex_state = 175, .external_lex_state = 3},
  [2730] = {.lex_state = 173, .external_lex_state = 3},
  [2731] = {.lex_state = 173, .external_lex_state = 3},
  [2732] = {.lex_state = 175, .external_lex_state = 3},
  [2733] = {.lex_state = 175, .external_lex_state = 3},
  [2734] = {.lex_state = 173, .external_lex_state = 3},
  [2735] = {.lex_state = 173, .external_lex_state = 3},
  [2736] = {.lex_state = 173, .external_lex_state = 3},
  [2737] = {.lex_state = 173, .external_lex_state = 3},
  [2738] = {.lex_state = 173, .external_lex_state = 3},
  [2739] = {.lex_state = 175, .external_lex_state = 3},
  [2740] = {.lex_state = 173, .external_lex_state = 3},
  [2741] = {.lex_state = 173, .external_lex_state = 3},
  [2742] = {.lex_state = 173, .external_lex_state = 3},
  [2743] = {.lex_state = 173, .external_lex_state = 3},
  [2744] = {.lex_state = 173, .external_lex_state = 3},
  [2745] = {.lex_state = 173, .external_lex_state = 3},
  [2746] = {.lex_state = 173, .external_lex_state = 3},
  [2747] = {.lex_state = 173, .external_lex_state = 3},
  [2748] = {.lex_state = 173, .external_lex_state = 3},
  [2749] = {.lex_state = 173, .external_lex_state = 3},
  [2750] = {.lex_state = 173, .external_lex_state = 3},
  [2751] = {.lex_state = 173, .external_lex_state = 3},
  [2752] = {.lex_state = 173, .external_lex_state = 3},
  [2753] = {.lex_state = 173, .external_lex_state = 3},
  [2754] = {.lex_state = 173, .external_lex_state = 3},
  [2755] = {.lex_state = 173, .external_lex_state = 3},
  [2756] = {.lex_state = 173, .external_lex_state = 3},
  [2757] = {.lex_state = 173, .external_lex_state = 3},
  [2758] = {.lex_state = 173, .external_lex_state = 3},
  [2759] = {.lex_state = 173, .external_lex_state = 3},
  [2760] = {.lex_state = 173, .external_lex_state = 3},
  [2761] = {.lex_state = 173, .external_lex_state = 3},
  [2762] = {.lex_state = 173, .external_lex_state = 3},
  [2763] = {.lex_state = 173, .external_lex_state = 3},
  [2764] = {.lex_state = 173, .external_lex_state = 3},
  [2765] = {.lex_state = 173, .external_lex_state = 3},
  [2766] = {.lex_state = 173, .external_lex_state = 3},
  [2767] = {.lex_state = 173, .external_lex_state = 3},
  [2768] = {.lex_state = 173, .external_lex_state = 3},
  [2769] = {.lex_state = 173, .external_lex_state = 3},
  [2770] = {.lex_state = 173, .external_lex_state = 3},
  [2771] = {.lex_state = 173, .external_lex_state = 3},
  [2772] = {.lex_state = 173, .external_lex_state = 3},
  [2773] = {.lex_state = 173, .external_lex_state = 3},
  [2774] = {.lex_state = 173, .external_lex_state = 3},
  [2775] = {.lex_state = 173, .external_lex_state = 3},
  [2776] = {.lex_state = 173, .external_lex_state = 3},
  [2777] = {.lex_state = 173, .external_lex_state = 3},
  [2778] = {.lex_state = 173, .external_lex_state = 3},
  [2779] = {.lex_state = 177, .external_lex_state = 3},
  [2780] = {.lex_state = 173, .external_lex_state = 3},
  [2781] = {.lex_state = 173, .external_lex_state = 3},
  [2782] = {.lex_state = 173, .external_lex_state = 3},
  [2783] = {.lex_state = 173, .external_lex_state = 3},
  [2784] = {.lex_state = 173, .external_lex_state = 3},
  [2785] = {.lex_state = 173, .external_lex_state = 3},
  [2786] = {.lex_state = 173, .external_lex_state = 3},
  [2787] = {.lex_state = 173, .external_lex_state = 3},
  [2788] = {.lex_state = 177, .external_lex_state = 3},
  [2789] = {.lex_state = 173, .external_lex_state = 3},
  [2790] = {.lex_state = 173, .external_lex_state = 3},
  [2791] = {.lex_state = 173, .external_lex_state = 3},
  [2792] = {.lex_state = 173, .external_lex_state = 3},
  [2793] = {.lex_state = 173, .external_lex_state = 3},
  [2794] = {.lex_state = 173, .external_lex_state = 3},
  [2795] = {.lex_state = 173, .external_lex_state = 3},
  [2796] = {.lex_state = 173, .external_lex_state = 3},
  [2797] = {.lex_state = 173, .external_lex_state = 3},
  [2798] = {.lex_state = 173, .external_lex_state = 3},
  [2799] = {.lex_state = 173, .external_lex_state = 3},
  [2800] = {.lex_state = 173, .external_lex_state = 3},
  [2801] = {.lex_state = 173, .external_lex_state = 3},
  [2802] = {.lex_state = 173, .external_lex_state = 3},
  [2803] = {.lex_state = 173, .external_lex_state = 3},
  [2804] = {.lex_state = 173, .external_lex_state = 3},
  [2805] = {.lex_state = 173, .external_lex_state = 3},
  [2806] = {.lex_state = 173, .external_lex_state = 3},
  [2807] = {.lex_state = 173, .external_lex_state = 3},
  [2808] = {.lex_state = 173, .external_lex_state = 3},
  [2809] = {.lex_state = 173, .external_lex_state = 3},
  [2810] = {.lex_state = 453, .external_lex_state = 3},
  [2811] = {.lex_state = 173, .external_lex_state = 3},
  [2812] = {.lex_state = 173, .external_lex_state = 3},
  [2813] = {.lex_state = 173, .external_lex_state = 3},
  [2814] = {.lex_state = 173, .external_lex_state = 3},
  [2815] = {.lex_state = 173, .external_lex_state = 3},
  [2816] = {.lex_state = 173, .external_lex_state = 3},
  [2817] = {.lex_state = 173, .external_lex_state = 3},
  [2818] = {.lex_state = 173, .external_lex_state = 3},
  [2819] = {.lex_state = 173, .external_lex_state = 3},
  [2820] = {.lex_state = 173, .external_lex_state = 3},
  [2821] = {.lex_state = 173, .external_lex_state = 3},
  [2822] = {.lex_state = 173, .external_lex_state = 3},
  [2823] = {.lex_state = 173, .external_lex_state = 3},
  [2824] = {.lex_state = 173, .external_lex_state = 3},
  [2825] = {.lex_state = 173, .external_lex_state = 3},
  [2826] = {.lex_state = 173, .external_lex_state = 3},
  [2827] = {.lex_state = 173, .external_lex_state = 3},
  [2828] = {.lex_state = 173, .external_lex_state = 3},
  [2829] = {.lex_state = 173, .external_lex_state = 3},
  [2830] = {.lex_state = 173, .external_lex_state = 3},
  [2831] = {.lex_state = 173, .external_lex_state = 3},
  [2832] = {.lex_state = 173, .external_lex_state = 3},
  [2833] = {.lex_state = 173, .external_lex_state = 3},
  [2834] = {.lex_state = 173, .external_lex_state = 3},
  [2835] = {.lex_state = 173, .external_lex_state = 3},
  [2836] = {.lex_state = 173, .external_lex_state = 3},
  [2837] = {.lex_state = 173, .external_lex_state = 3},
  [2838] = {.lex_state = 173, .external_lex_state = 3},
  [2839] = {.lex_state = 173, .external_lex_state = 3},
  [2840] = {.lex_state = 173, .external_lex_state = 3},
  [2841] = {.lex_state = 173, .external_lex_state = 3},
  [2842] = {.lex_state = 173, .external_lex_state = 3},
  [2843] = {.lex_state = 173, .external_lex_state = 3},
  [2844] = {.lex_state = 173, .external_lex_state = 3},
  [2845] = {.lex_state = 173, .external_lex_state = 3},
  [2846] = {.lex_state = 173, .external_lex_state = 3},
  [2847] = {.lex_state = 173, .external_lex_state = 3},
  [2848] = {.lex_state = 173, .external_lex_state = 3},
  [2849] = {.lex_state = 173, .external_lex_state = 3},
  [2850] = {.lex_state = 173, .external_lex_state = 3},
  [2851] = {.lex_state = 173, .external_lex_state = 3},
  [2852] = {.lex_state = 173, .external_lex_state = 3},
  [2853] = {.lex_state = 173, .external_lex_state = 3},
  [2854] = {.lex_state = 173, .external_lex_state = 3},
  [2855] = {.lex_state = 173, .external_lex_state = 3},
  [2856] = {.lex_state = 173, .external_lex_state = 3},
  [2857] = {.lex_state = 173, .external_lex_state = 3},
  [2858] = {.lex_state = 173, .external_lex_state = 3},
  [2859] = {.lex_state = 173, .external_lex_state = 3},
  [2860] = {.lex_state = 173, .external_lex_state = 3},
  [2861] = {.lex_state = 173, .external_lex_state = 3},
  [2862] = {.lex_state = 173, .external_lex_state = 3},
  [2863] = {.lex_state = 173, .external_lex_state = 3},
  [2864] = {.lex_state = 173, .external_lex_state = 3},
  [2865] = {.lex_state = 173, .external_lex_state = 3},
  [2866] = {.lex_state = 173, .external_lex_state = 3},
  [2867] = {.lex_state = 173, .external_lex_state = 3},
  [2868] = {.lex_state = 173, .external_lex_state = 3},
  [2869] = {.lex_state = 173, .external_lex_state = 3},
  [2870] = {.lex_state = 173, .external_lex_state = 3},
  [2871] = {.lex_state = 173, .external_lex_state = 3},
  [2872] = {.lex_state = 173, .external_lex_state = 3},
  [2873] = {.lex_state = 173, .external_lex_state = 3},
  [2874] = {.lex_state = 173, .external_lex_state = 3},
  [2875] = {.lex_state = 173, .external_lex_state = 3},
  [2876] = {.lex_state = 173, .external_lex_state = 3},
  [2877] = {.lex_state = 173, .external_lex_state = 3},
  [2878] = {.lex_state = 173, .external_lex_state = 3},
  [2879] = {.lex_state = 173, .external_lex_state = 3},
  [2880] = {.lex_state = 173, .external_lex_state = 3},
  [2881] = {.lex_state = 173, .external_lex_state = 3},
  [2882] = {.lex_state = 173, .external_lex_state = 3},
  [2883] = {.lex_state = 173, .external_lex_state = 3},
  [2884] = {.lex_state = 173, .external_lex_state = 3},
  [2885] = {.lex_state = 173, .external_lex_state = 3},
  [2886] = {.lex_state = 173, .external_lex_state = 3},
  [2887] = {.lex_state = 173, .external_lex_state = 3},
  [2888] = {.lex_state = 173, .external_lex_state = 3},
  [2889] = {.lex_state = 173, .external_lex_state = 3},
  [2890] = {.lex_state = 173, .external_lex_state = 3},
  [2891] = {.lex_state = 173, .external_lex_state = 3},
  [2892] = {.lex_state = 173, .external_lex_state = 3},
  [2893] = {.lex_state = 177, .external_lex_state = 3},
  [2894] = {.lex_state = 173, .external_lex_state = 3},
  [2895] = {.lex_state = 173, .external_lex_state = 3},
  [2896] = {.lex_state = 173, .external_lex_state = 3},
  [2897] = {.lex_state = 173, .external_lex_state = 3},
  [2898] = {.lex_state = 173, .external_lex_state = 3},
  [2899] = {.lex_state = 173, .external_lex_state = 3},
  [2900] = {.lex_state = 173, .external_lex_state = 3},
  [2901] = {.lex_state = 177, .external_lex_state = 3},
  [2902] = {.lex_state = 173, .external_lex_state = 3},
  [2903] = {.lex_state = 173, .external_lex_state = 3},
  [2904] = {.lex_state = 173, .external_lex_state = 3},
  [2905] = {.lex_state = 173, .external_lex_state = 3},
  [2906] = {.lex_state = 173, .external_lex_state = 3},
  [2907] = {.lex_state = 173, .external_lex_state = 3},
  [2908] = {.lex_state = 173, .external_lex_state = 3},
  [2909] = {.lex_state = 173, .external_lex_state = 3},
  [2910] = {.lex_state = 173, .external_lex_state = 3},
  [2911] = {.lex_state = 173, .external_lex_state = 3},
  [2912] = {.lex_state = 173, .external_lex_state = 3},
  [2913] = {.lex_state = 173, .external_lex_state = 3},
  [2914] = {.lex_state = 173, .external_lex_state = 3},
  [2915] = {.lex_state = 173, .external_lex_state = 3},
  [2916] = {.lex_state = 173, .external_lex_state = 3},
  [2917] = {.lex_state = 173, .external_lex_state = 3},
  [2918] = {.lex_state = 173, .external_lex_state = 3},
  [2919] = {.lex_state = 173, .external_lex_state = 3},
  [2920] = {.lex_state = 173, .external_lex_state = 3},
  [2921] = {.lex_state = 173, .external_lex_state = 3},
  [2922] = {.lex_state = 173, .external_lex_state = 3},
  [2923] = {.lex_state = 173, .external_lex_state = 3},
  [2924] = {.lex_state = 173, .external_lex_state = 3},
  [2925] = {.lex_state = 173, .external_lex_state = 3},
  [2926] = {.lex_state = 173, .external_lex_state = 3},
  [2927] = {.lex_state = 173, .external_lex_state = 3},
  [2928] = {.lex_state = 173, .external_lex_state = 3},
  [2929] = {.lex_state = 173, .external_lex_state = 3},
  [2930] = {.lex_state = 173, .external_lex_state = 3},
  [2931] = {.lex_state = 173, .external_lex_state = 3},
  [2932] = {.lex_state = 173, .external_lex_state = 3},
  [2933] = {.lex_state = 173, .external_lex_state = 3},
  [2934] = {.lex_state = 177, .external_lex_state = 3},
  [2935] = {.lex_state = 173, .external_lex_state = 3},
  [2936] = {.lex_state = 173, .external_lex_state = 3},
  [2937] = {.lex_state = 173, .external_lex_state = 3},
  [2938] = {.lex_state = 173, .external_lex_state = 3},
  [2939] = {.lex_state = 173, .external_lex_state = 3},
  [2940] = {.lex_state = 173, .external_lex_state = 3},
  [2941] = {.lex_state = 173, .external_lex_state = 3},
  [2942] = {.lex_state = 173, .external_lex_state = 3},
  [2943] = {.lex_state = 173, .external_lex_state = 3},
  [2944] = {.lex_state = 173, .external_lex_state = 3},
  [2945] = {.lex_state = 173, .external_lex_state = 3},
  [2946] = {.lex_state = 173, .external_lex_state = 3},
  [2947] = {.lex_state = 173, .external_lex_state = 3},
  [2948] = {.lex_state = 173, .external_lex_state = 3},
  [2949] = {.lex_state = 173, .external_lex_state = 3},
  [2950] = {.lex_state = 173, .external_lex_state = 3},
  [2951] = {.lex_state = 173, .external_lex_state = 3},
  [2952] = {.lex_state = 173, .external_lex_state = 3},
  [2953] = {.lex_state = 173, .external_lex_state = 3},
  [2954] = {.lex_state = 173, .external_lex_state = 3},
  [2955] = {.lex_state = 173, .external_lex_state = 3},
  [2956] = {.lex_state = 173, .external_lex_state = 3},
  [2957] = {.lex_state = 173, .external_lex_state = 3},
  [2958] = {.lex_state = 177, .external_lex_state = 3},
  [2959] = {.lex_state = 173, .external_lex_state = 3},
  [2960] = {.lex_state = 173, .external_lex_state = 3},
  [2961] = {.lex_state = 173, .external_lex_state = 3},
  [2962] = {.lex_state = 173, .external_lex_state = 3},
  [2963] = {.lex_state = 173, .external_lex_state = 3},
  [2964] = {.lex_state = 173, .external_lex_state = 3},
  [2965] = {.lex_state = 173, .external_lex_state = 3},
  [2966] = {.lex_state = 173, .external_lex_state = 3},
  [2967] = {.lex_state = 173, .external_lex_state = 3},
  [2968] = {.lex_state = 173, .external_lex_state = 3},
  [2969] = {.lex_state = 173, .external_lex_state = 3},
  [2970] = {.lex_state = 173, .external_lex_state = 3},
  [2971] = {.lex_state = 228, .external_lex_state = 2},
  [2972] = {.lex_state = 453, .external_lex_state = 3},
  [2973] = {.lex_state = 173, .external_lex_state = 3},
  [2974] = {.lex_state = 194, .external_lex_state = 3},
  [2975] = {.lex_state = 173, .external_lex_state = 3},
  [2976] = {.lex_state = 173, .external_lex_state = 3},
  [2977] = {.lex_state = 173, .external_lex_state = 3},
  [2978] = {.lex_state = 174, .external_lex_state = 3},
  [2979] = {.lex_state = 173, .external_lex_state = 3},
  [2980] = {.lex_state = 173, .external_lex_state = 3},
  [2981] = {.lex_state = 453, .external_lex_state = 3},
  [2982] = {.lex_state = 173, .external_lex_state = 3},
  [2983] = {.lex_state = 173, .external_lex_state = 3},
  [2984] = {.lex_state = 173, .external_lex_state = 3},
  [2985] = {.lex_state = 173, .external_lex_state = 3},
  [2986] = {.lex_state = 173, .external_lex_state = 3},
  [2987] = {.lex_state = 173, .external_lex_state = 3},
  [2988] = {.lex_state = 173, .external_lex_state = 3},
  [2989] = {.lex_state = 173, .external_lex_state = 3},
  [2990] = {.lex_state = 173, .external_lex_state = 3},
  [2991] = {.lex_state = 173, .external_lex_state = 3},
  [2992] = {.lex_state = 195, .external_lex_state = 3},
  [2993] = {.lex_state = 453, .external_lex_state = 3},
  [2994] = {.lex_state = 173, .external_lex_state = 3},
  [2995] = {.lex_state = 173, .external_lex_state = 3},
  [2996] = {.lex_state = 195, .external_lex_state = 3},
  [2997] = {.lex_state = 176, .external_lex_state = 3},
  [2998] = {.lex_state = 173, .external_lex_state = 3},
  [2999] = {.lex_state = 173, .external_lex_state = 3},
  [3000] = {.lex_state = 173, .external_lex_state = 3},
  [3001] = {.lex_state = 173, .external_lex_state = 3},
  [3002] = {.lex_state = 173, .external_lex_state = 3},
  [3003] = {.lex_state = 173, .external_lex_state = 3},
  [3004] = {.lex_state = 195, .external_lex_state = 3},
  [3005] = {.lex_state = 173, .external_lex_state = 3},
  [3006] = {.lex_state = 173, .external_lex_state = 3},
  [3007] = {.lex_state = 173, .external_lex_state = 3},
  [3008] = {.lex_state = 173, .external_lex_state = 3},
  [3009] = {.lex_state = 195, .external_lex_state = 3},
  [3010] = {.lex_state = 173, .external_lex_state = 3},
  [3011] = {.lex_state = 173, .external_lex_state = 3},
  [3012] = {.lex_state = 173, .external_lex_state = 3},
  [3013] = {.lex_state = 173, .external_lex_state = 3},
  [3014] = {.lex_state = 173, .external_lex_state = 3},
  [3015] = {.lex_state = 173, .external_lex_state = 3},
  [3016] = {.lex_state = 453, .external_lex_state = 3},
  [3017] = {.lex_state = 173, .external_lex_state = 3},
  [3018] = {.lex_state = 173, .external_lex_state = 3},
  [3019] = {.lex_state = 453, .external_lex_state = 3},
  [3020] = {.lex_state = 173, .external_lex_state = 3},
  [3021] = {.lex_state = 173, .external_lex_state = 3},
  [3022] = {.lex_state = 173, .external_lex_state = 3},
  [3023] = {.lex_state = 173, .external_lex_state = 3},
  [3024] = {.lex_state = 173, .external_lex_state = 3},
  [3025] = {.lex_state = 173, .external_lex_state = 3},
  [3026] = {.lex_state = 173, .external_lex_state = 3},
  [3027] = {.lex_state = 173, .external_lex_state = 3},
  [3028] = {.lex_state = 173, .external_lex_state = 3},
  [3029] = {.lex_state = 195, .external_lex_state = 3},
  [3030] = {.lex_state = 173, .external_lex_state = 3},
  [3031] = {.lex_state = 173, .external_lex_state = 3},
  [3032] = {.lex_state = 173, .external_lex_state = 3},
  [3033] = {.lex_state = 173, .external_lex_state = 3},
  [3034] = {.lex_state = 173, .external_lex_state = 3},
  [3035] = {.lex_state = 173, .external_lex_state = 3},
  [3036] = {.lex_state = 173, .external_lex_state = 3},
  [3037] = {.lex_state = 173, .external_lex_state = 3},
  [3038] = {.lex_state = 195, .external_lex_state = 3},
  [3039] = {.lex_state = 173, .external_lex_state = 3},
  [3040] = {.lex_state = 195, .external_lex_state = 3},
  [3041] = {.lex_state = 173, .external_lex_state = 3},
  [3042] = {.lex_state = 195, .external_lex_state = 3},
  [3043] = {.lex_state = 173, .external_lex_state = 3},
  [3044] = {.lex_state = 195, .external_lex_state = 3},
  [3045] = {.lex_state = 195, .external_lex_state = 3},
  [3046] = {.lex_state = 173, .external_lex_state = 3},
  [3047] = {.lex_state = 173, .external_lex_state = 3},
  [3048] = {.lex_state = 195, .external_lex_state = 3},
  [3049] = {.lex_state = 173, .external_lex_state = 3},
  [3050] = {.lex_state = 173, .external_lex_state = 3},
  [3051] = {.lex_state = 173, .external_lex_state = 3},
  [3052] = {.lex_state = 173, .external_lex_state = 3},
  [3053] = {.lex_state = 176, .external_lex_state = 3},
  [3054] = {.lex_state = 173, .external_lex_state = 3},
  [3055] = {.lex_state = 195, .external_lex_state = 3},
  [3056] = {.lex_state = 173, .external_lex_state = 3},
  [3057] = {.lex_state = 176, .external_lex_state = 3},
  [3058] = {.lex_state = 173, .external_lex_state = 3},
  [3059] = {.lex_state = 176, .external_lex_state = 3},
  [3060] = {.lex_state = 195, .external_lex_state = 3},
  [3061] = {.lex_state = 173, .external_lex_state = 3},
  [3062] = {.lex_state = 195, .external_lex_state = 3},
  [3063] = {.lex_state = 176, .external_lex_state = 3},
  [3064] = {.lex_state = 174, .external_lex_state = 3},
  [3065] = {.lex_state = 173, .external_lex_state = 3},
  [3066] = {.lex_state = 173, .external_lex_state = 3},
  [3067] = {.lex_state = 173, .external_lex_state = 3},
  [3068] = {.lex_state = 173, .external_lex_state = 3},
  [3069] = {.lex_state = 173, .external_lex_state = 3},
  [3070] = {.lex_state = 173, .external_lex_state = 3},
  [3071] = {.lex_state = 195, .external_lex_state = 3},
  [3072] = {.lex_state = 173, .external_lex_state = 3},
  [3073] = {.lex_state = 195, .external_lex_state = 3},
  [3074] = {.lex_state = 173, .external_lex_state = 3},
  [3075] = {.lex_state = 173, .external_lex_state = 3},
  [3076] = {.lex_state = 173, .external_lex_state = 3},
  [3077] = {.lex_state = 173, .external_lex_state = 3},
  [3078] = {.lex_state = 173, .external_lex_state = 3},
  [3079] = {.lex_state = 173, .external_lex_state = 3},
  [3080] = {.lex_state = 173, .external_lex_state = 3},
  [3081] = {.lex_state = 173, .external_lex_state = 3},
  [3082] = {.lex_state = 173, .external_lex_state = 3},
  [3083] = {.lex_state = 173, .external_lex_state = 3},
  [3084] = {.lex_state = 195, .external_lex_state = 3},
  [3085] = {.lex_state = 195, .external_lex_state = 3},
  [3086] = {.lex_state = 173, .external_lex_state = 3},
  [3087] = {.lex_state = 195, .external_lex_state = 3},
  [3088] = {.lex_state = 173, .external_lex_state = 3},
  [3089] = {.lex_state = 173, .external_lex_state = 3},
  [3090] = {.lex_state = 173, .external_lex_state = 3},
  [3091] = {.lex_state = 173, .external_lex_state = 3},
  [3092] = {.lex_state = 173, .external_lex_state = 3},
  [3093] = {.lex_state = 173, .external_lex_state = 3},
  [3094] = {.lex_state = 173, .external_lex_state = 3},
  [3095] = {.lex_state = 173, .external_lex_state = 3},
  [3096] = {.lex_state = 195, .external_lex_state = 3},
  [3097] = {.lex_state = 173, .external_lex_state = 3},
  [3098] = {.lex_state = 173, .external_lex_state = 3},
  [3099] = {.lex_state = 173, .external_lex_state = 3},
  [3100] = {.lex_state = 195, .external_lex_state = 3},
  [3101] = {.lex_state = 173, .external_lex_state = 3},
  [3102] = {.lex_state = 173, .external_lex_state = 3},
  [3103] = {.lex_state = 173, .external_lex_state = 3},
  [3104] = {.lex_state = 173, .external_lex_state = 3},
  [3105] = {.lex_state = 173, .external_lex_state = 3},
  [3106] = {.lex_state = 173, .external_lex_state = 3},
  [3107] = {.lex_state = 195, .external_lex_state = 3},
  [3108] = {.lex_state = 173, .external_lex_state = 3},
  [3109] = {.lex_state = 173, .external_lex_state = 3},
  [3110] = {.lex_state = 173, .external_lex_state = 3},
  [3111] = {.lex_state = 195, .external_lex_state = 3},
  [3112] = {.lex_state = 453, .external_lex_state = 3},
  [3113] = {.lex_state = 173, .external_lex_state = 3},
  [3114] = {.lex_state = 195, .external_lex_state = 3},
  [3115] = {.lex_state = 176, .external_lex_state = 3},
  [3116] = {.lex_state = 173, .external_lex_state = 3},
  [3117] = {.lex_state = 63, .external_lex_state = 3},
  [3118] = {.lex_state = 63, .external_lex_state = 3},
  [3119] = {.lex_state = 173, .external_lex_state = 3},
  [3120] = {.lex_state = 173, .external_lex_state = 3},
  [3121] = {.lex_state = 173, .external_lex_state = 3},
  [3122] = {.lex_state = 173, .external_lex_state = 3},
  [3123] = {.lex_state = 173, .external_lex_state = 3},
  [3124] = {.lex_state = 173, .external_lex_state = 3},
  [3125] = {.lex_state = 67, .external_lex_state = 3},
  [3126] = {.lex_state = 67, .external_lex_state = 3},
  [3127] = {.lex_state = 173, .external_lex_state = 3},
  [3128] = {.lex_state = 173, .external_lex_state = 3},
  [3129] = {.lex_state = 173, .external_lex_state = 3},
  [3130] = {.lex_state = 63, .external_lex_state = 3},
  [3131] = {.lex_state = 173, .external_lex_state = 3},
  [3132] = {.lex_state = 67, .external_lex_state = 3},
  [3133] = {.lex_state = 173, .external_lex_state = 3},
  [3134] = {.lex_state = 173, .external_lex_state = 3},
  [3135] = {.lex_state = 173, .external_lex_state = 3},
  [3136] = {.lex_state = 63, .external_lex_state = 3},
  [3137] = {.lex_state = 173, .external_lex_state = 3},
  [3138] = {.lex_state = 173, .external_lex_state = 3},
  [3139] = {.lex_state = 173, .external_lex_state = 3},
  [3140] = {.lex_state = 173, .external_lex_state = 3},
  [3141] = {.lex_state = 173, .external_lex_state = 3},
  [3142] = {.lex_state = 173, .external_lex_state = 3},
  [3143] = {.lex_state = 173, .external_lex_state = 3},
  [3144] = {.lex_state = 173, .external_lex_state = 3},
  [3145] = {.lex_state = 173, .external_lex_state = 3},
  [3146] = {.lex_state = 173, .external_lex_state = 3},
  [3147] = {.lex_state = 173, .external_lex_state = 3},
  [3148] = {.lex_state = 173, .external_lex_state = 3},
  [3149] = {.lex_state = 63, .external_lex_state = 3},
  [3150] = {.lex_state = 173, .external_lex_state = 3},
  [3151] = {.lex_state = 67, .external_lex_state = 3},
  [3152] = {.lex_state = 173, .external_lex_state = 3},
  [3153] = {.lex_state = 173, .external_lex_state = 3},
  [3154] = {.lex_state = 173, .external_lex_state = 3},
  [3155] = {.lex_state = 173, .external_lex_state = 3},
  [3156] = {.lex_state = 67, .external_lex_state = 3},
  [3157] = {.lex_state = 173, .external_lex_state = 3},
  [3158] = {.lex_state = 173, .external_lex_state = 3},
  [3159] = {.lex_state = 67, .external_lex_state = 3},
  [3160] = {.lex_state = 173, .external_lex_state = 3},
  [3161] = {.lex_state = 173, .external_lex_state = 3},
  [3162] = {.lex_state = 173, .external_lex_state = 3},
  [3163] = {.lex_state = 173, .external_lex_state = 3},
  [3164] = {.lex_state = 173, .external_lex_state = 3},
  [3165] = {.lex_state = 173, .external_lex_state = 3},
  [3166] = {.lex_state = 173, .external_lex_state = 3},
  [3167] = {.lex_state = 63, .external_lex_state = 3},
  [3168] = {.lex_state = 173, .external_lex_state = 3},
  [3169] = {.lex_state = 173, .external_lex_state = 3},
  [3170] = {.lex_state = 173, .external_lex_state = 3},
  [3171] = {.lex_state = 173, .external_lex_state = 3},
  [3172] = {.lex_state = 173, .external_lex_state = 3},
  [3173] = {.lex_state = 173, .external_lex_state = 3},
  [3174] = {.lex_state = 173, .external_lex_state = 3},
  [3175] = {.lex_state = 173, .external_lex_state = 3},
  [3176] = {.lex_state = 173, .external_lex_state = 3},
  [3177] = {.lex_state = 173, .external_lex_state = 3},
  [3178] = {.lex_state = 173, .external_lex_state = 3},
  [3179] = {.lex_state = 173, .external_lex_state = 3},
  [3180] = {.lex_state = 173, .external_lex_state = 3},
  [3181] = {.lex_state = 173, .external_lex_state = 3},
  [3182] = {.lex_state = 173, .external_lex_state = 3},
  [3183] = {.lex_state = 67, .external_lex_state = 3},
  [3184] = {.lex_state = 173, .external_lex_state = 3},
  [3185] = {.lex_state = 67, .external_lex_state = 3},
  [3186] = {.lex_state = 173, .external_lex_state = 3},
  [3187] = {.lex_state = 173, .external_lex_state = 3},
  [3188] = {.lex_state = 63, .external_lex_state = 3},
  [3189] = {.lex_state = 173, .external_lex_state = 3},
  [3190] = {.lex_state = 173, .external_lex_state = 3},
  [3191] = {.lex_state = 173, .external_lex_state = 3},
  [3192] = {.lex_state = 173, .external_lex_state = 3},
  [3193] = {.lex_state = 173, .external_lex_state = 3},
  [3194] = {.lex_state = 173, .external_lex_state = 3},
  [3195] = {.lex_state = 173, .external_lex_state = 3},
  [3196] = {.lex_state = 173, .external_lex_state = 3},
  [3197] = {.lex_state = 177, .external_lex_state = 3},
  [3198] = {.lex_state = 173, .external_lex_state = 3},
  [3199] = {.lex_state = 173, .external_lex_state = 3},
  [3200] = {.lex_state = 173, .external_lex_state = 3},
  [3201] = {.lex_state = 173, .external_lex_state = 3},
  [3202] = {.lex_state = 173, .external_lex_state = 3},
  [3203] = {.lex_state = 173, .external_lex_state = 3},
  [3204] = {.lex_state = 173, .external_lex_state = 3},
  [3205] = {.lex_state = 173, .external_lex_state = 3},
  [3206] = {.lex_state = 173, .external_lex_state = 3},
  [3207] = {.lex_state = 173, .external_lex_state = 3},
  [3208] = {.lex_state = 173, .external_lex_state = 3},
  [3209] = {.lex_state = 173, .external_lex_state = 3},
  [3210] = {.lex_state = 67, .external_lex_state = 3},
  [3211] = {.lex_state = 173, .external_lex_state = 3},
  [3212] = {.lex_state = 173, .external_lex_state = 3},
  [3213] = {.lex_state = 173, .external_lex_state = 3},
  [3214] = {.lex_state = 173, .external_lex_state = 3},
  [3215] = {.lex_state = 173, .external_lex_state = 3},
  [3216] = {.lex_state = 173, .external_lex_state = 3},
  [3217] = {.lex_state = 173, .external_lex_state = 3},
  [3218] = {.lex_state = 173, .external_lex_state = 3},
  [3219] = {.lex_state = 173, .external_lex_state = 3},
  [3220] = {.lex_state = 63, .external_lex_state = 3},
  [3221] = {.lex_state = 173, .external_lex_state = 3},
  [3222] = {.lex_state = 173, .external_lex_state = 3},
  [3223] = {.lex_state = 173, .external_lex_state = 3},
  [3224] = {.lex_state = 173, .external_lex_state = 3},
  [3225] = {.lex_state = 173, .external_lex_state = 3},
  [3226] = {.lex_state = 173, .external_lex_state = 3},
  [3227] = {.lex_state = 67, .external_lex_state = 3},
  [3228] = {.lex_state = 173, .external_lex_state = 3},
  [3229] = {.lex_state = 173, .external_lex_state = 3},
  [3230] = {.lex_state = 173, .external_lex_state = 3},
  [3231] = {.lex_state = 63, .external_lex_state = 3},
  [3232] = {.lex_state = 173, .external_lex_state = 3},
  [3233] = {.lex_state = 173, .external_lex_state = 3},
  [3234] = {.lex_state = 173, .external_lex_state = 3},
  [3235] = {.lex_state = 173, .external_lex_state = 3},
  [3236] = {.lex_state = 173, .external_lex_state = 3},
  [3237] = {.lex_state = 173, .external_lex_state = 3},
  [3238] = {.lex_state = 173, .external_lex_state = 3},
  [3239] = {.lex_state = 173, .external_lex_state = 3},
  [3240] = {.lex_state = 173, .external_lex_state = 3},
  [3241] = {.lex_state = 67, .external_lex_state = 3},
  [3242] = {.lex_state = 173, .external_lex_state = 3},
  [3243] = {.lex_state = 173, .external_lex_state = 3},
  [3244] = {.lex_state = 173, .external_lex_state = 3},
  [3245] = {.lex_state = 173, .external_lex_state = 3},
  [3246] = {.lex_state = 63, .external_lex_state = 3},
  [3247] = {.lex_state = 173, .external_lex_state = 3},
  [3248] = {.lex_state = 63, .external_lex_state = 3},
  [3249] = {.lex_state = 173, .external_lex_state = 3},
  [3250] = {.lex_state = 173, .external_lex_state = 3},
  [3251] = {.lex_state = 173, .external_lex_state = 3},
  [3252] = {.lex_state = 63, .external_lex_state = 3},
  [3253] = {.lex_state = 69, .external_lex_state = 3},
  [3254] = {.lex_state = 67, .external_lex_state = 3},
  [3255] = {.lex_state = 67, .external_lex_state = 3},
  [3256] = {.lex_state = 453, .external_lex_state = 4},
  [3257] = {.lex_state = 67, .external_lex_state = 3},
  [3258] = {.lex_state = 63, .external_lex_state = 3},
  [3259] = {.lex_state = 68, .external_lex_state = 3},
  [3260] = {.lex_state = 64, .external_lex_state = 3},
  [3261] = {.lex_state = 67, .external_lex_state = 3},
  [3262] = {.lex_state = 453, .external_lex_state = 4},
  [3263] = {.lex_state = 453, .external_lex_state = 4},
  [3264] = {.lex_state = 67, .external_lex_state = 3},
  [3265] = {.lex_state = 68, .external_lex_state = 3},
  [3266] = {.lex_state = 64, .external_lex_state = 3},
  [3267] = {.lex_state = 63, .external_lex_state = 3},
  [3268] = {.lex_state = 63, .external_lex_state = 3},
  [3269] = {.lex_state = 67, .external_lex_state = 3},
  [3270] = {.lex_state = 67, .external_lex_state = 3},
  [3271] = {.lex_state = 67, .external_lex_state = 3},
  [3272] = {.lex_state = 67, .external_lex_state = 3},
  [3273] = {.lex_state = 64, .external_lex_state = 3},
  [3274] = {.lex_state = 63, .external_lex_state = 3},
  [3275] = {.lex_state = 69, .external_lex_state = 3},
  [3276] = {.lex_state = 63, .external_lex_state = 3},
  [3277] = {.lex_state = 69, .external_lex_state = 3},
  [3278] = {.lex_state = 63, .external_lex_state = 3},
  [3279] = {.lex_state = 67, .external_lex_state = 3},
  [3280] = {.lex_state = 64, .external_lex_state = 3},
  [3281] = {.lex_state = 68, .external_lex_state = 3},
  [3282] = {.lex_state = 63, .external_lex_state = 3},
  [3283] = {.lex_state = 453, .external_lex_state = 4},
  [3284] = {.lex_state = 64, .external_lex_state = 3},
  [3285] = {.lex_state = 453, .external_lex_state = 4},
  [3286] = {.lex_state = 64, .external_lex_state = 3},
  [3287] = {.lex_state = 64, .external_lex_state = 3},
  [3288] = {.lex_state = 453, .external_lex_state = 4},
  [3289] = {.lex_state = 453, .external_lex_state = 4},
  [3290] = {.lex_state = 67, .external_lex_state = 3},
  [3291] = {.lex_state = 67, .external_lex_state = 3},
  [3292] = {.lex_state = 453, .external_lex_state = 4},
  [3293] = {.lex_state = 67, .external_lex_state = 3},
  [3294] = {.lex_state = 63, .external_lex_state = 3},
  [3295] = {.lex_state = 67, .external_lex_state = 3},
  [3296] = {.lex_state = 67, .external_lex_state = 3},
  [3297] = {.lex_state = 63, .external_lex_state = 3},
  [3298] = {.lex_state = 63, .external_lex_state = 3},
  [3299] = {.lex_state = 63, .external_lex_state = 3},
  [3300] = {.lex_state = 63, .external_lex_state = 3},
  [3301] = {.lex_state = 67, .external_lex_state = 3},
  [3302] = {.lex_state = 68, .external_lex_state = 3},
  [3303] = {.lex_state = 61, .external_lex_state = 3},
  [3304] = {.lex_state = 453, .external_lex_state = 3},
  [3305] = {.lex_state = 453, .external_lex_state = 4},
  [3306] = {.lex_state = 453, .external_lex_state = 4},
  [3307] = {.lex_state = 63, .external_lex_state = 3},
  [3308] = {.lex_state = 67, .external_lex_state = 3},
  [3309] = {.lex_state = 67, .external_lex_state = 3},
  [3310] = {.lex_state = 63, .external_lex_state = 3},
  [3311] = {.lex_state = 67, .external_lex_state = 3},
  [3312] = {.lex_state = 453, .external_lex_state = 4},
  [3313] = {.lex_state = 453, .external_lex_state = 4},
  [3314] = {.lex_state = 63, .external_lex_state = 3},
  [3315] = {.lex_state = 67, .external_lex_state = 3},
  [3316] = {.lex_state = 67, .external_lex_state = 3},
  [3317] = {.lex_state = 67, .external_lex_state = 3},
  [3318] = {.lex_state = 63, .external_lex_state = 3},
  [3319] = {.lex_state = 68, .external_lex_state = 3},
  [3320] = {.lex_state = 69, .external_lex_state = 3},
  [3321] = {.lex_state = 67, .external_lex_state = 3},
  [3322] = {.lex_state = 63, .external_lex_state = 3},
  [3323] = {.lex_state = 67, .external_lex_state = 3},
  [3324] = {.lex_state = 63, .external_lex_state = 3},
  [3325] = {.lex_state = 63, .external_lex_state = 3},
  [3326] = {.lex_state = 69, .external_lex_state = 3},
  [3327] = {.lex_state = 67, .external_lex_state = 3},
  [3328] = {.lex_state = 64, .external_lex_state = 3},
  [3329] = {.lex_state = 67, .external_lex_state = 3},
  [3330] = {.lex_state = 69, .external_lex_state = 3},
  [3331] = {.lex_state = 453, .external_lex_state = 4},
  [3332] = {.lex_state = 67, .external_lex_state = 3},
  [3333] = {.lex_state = 67, .external_lex_state = 3},
  [3334] = {.lex_state = 69, .external_lex_state = 3},
  [3335] = {.lex_state = 63, .external_lex_state = 3},
  [3336] = {.lex_state = 63, .external_lex_state = 3},
  [3337] = {.lex_state = 69, .external_lex_state = 3},
  [3338] = {.lex_state = 67, .external_lex_state = 3},
  [3339] = {.lex_state = 67, .external_lex_state = 3},
  [3340] = {.lex_state = 63, .external_lex_state = 3},
  [3341] = {.lex_state = 67, .external_lex_state = 3},
  [3342] = {.lex_state = 67, .external_lex_state = 3},
  [3343] = {.lex_state = 67, .external_lex_state = 3},
  [3344] = {.lex_state = 67, .external_lex_state = 3},
  [3345] = {.lex_state = 453, .external_lex_state = 4},
  [3346] = {.lex_state = 63, .external_lex_state = 3},
  [3347] = {.lex_state = 453, .external_lex_state = 4},
  [3348] = {.lex_state = 69, .external_lex_state = 3},
  [3349] = {.lex_state = 63, .external_lex_state = 3},
  [3350] = {.lex_state = 453, .external_lex_state = 4},
  [3351] = {.lex_state = 68, .external_lex_state = 3},
  [3352] = {.lex_state = 63, .external_lex_state = 3},
  [3353] = {.lex_state = 68, .external_lex_state = 3},
  [3354] = {.lex_state = 67, .external_lex_state = 3},
  [3355] = {.lex_state = 69, .external_lex_state = 3},
  [3356] = {.lex_state = 63, .external_lex_state = 3},
  [3357] = {.lex_state = 67, .external_lex_state = 3},
  [3358] = {.lex_state = 63, .external_lex_state = 3},
  [3359] = {.lex_state = 61, .external_lex_state = 3},
  [3360] = {.lex_state = 67, .external_lex_state = 3},
  [3361] = {.lex_state = 453, .external_lex_state = 4},
  [3362] = {.lex_state = 69, .external_lex_state = 3},
  [3363] = {.lex_state = 453, .external_lex_state = 4},
  [3364] = {.lex_state = 67, .external_lex_state = 3},
  [3365] = {.lex_state = 453, .external_lex_state = 3},
  [3366] = {.lex_state = 67, .external_lex_state = 3},
  [3367] = {.lex_state = 63, .external_lex_state = 3},
  [3368] = {.lex_state = 63, .external_lex_state = 3},
  [3369] = {.lex_state = 453, .external_lex_state = 4},
  [3370] = {.lex_state = 63, .external_lex_state = 3},
  [3371] = {.lex_state = 67, .external_lex_state = 3},
  [3372] = {.lex_state = 63, .external_lex_state = 3},
  [3373] = {.lex_state = 63, .external_lex_state = 3},
  [3374] = {.lex_state = 67, .external_lex_state = 3},
  [3375] = {.lex_state = 453, .external_lex_state = 4},
  [3376] = {.lex_state = 61, .external_lex_state = 3},
  [3377] = {.lex_state = 64, .external_lex_state = 3},
  [3378] = {.lex_state = 63, .external_lex_state = 3},
  [3379] = {.lex_state = 63, .external_lex_state = 3},
  [3380] = {.lex_state = 67, .external_lex_state = 3},
  [3381] = {.lex_state = 61, .external_lex_state = 3},
  [3382] = {.lex_state = 63, .external_lex_state = 3},
  [3383] = {.lex_state = 63, .external_lex_state = 3},
  [3384] = {.lex_state = 453, .external_lex_state = 4},
  [3385] = {.lex_state = 453, .external_lex_state = 4},
  [3386] = {.lex_state = 67, .external_lex_state = 3},
  [3387] = {.lex_state = 61, .external_lex_state = 3},
  [3388] = {.lex_state = 61, .external_lex_state = 3},
  [3389] = {.lex_state = 453, .external_lex_state = 4},
  [3390] = {.lex_state = 63, .external_lex_state = 3},
  [3391] = {.lex_state = 67, .external_lex_state = 3},
  [3392] = {.lex_state = 67, .external_lex_state = 3},
  [3393] = {.lex_state = 61, .external_lex_state = 3},
  [3394] = {.lex_state = 61, .external_lex_state = 3},
  [3395] = {.lex_state = 61, .external_lex_state = 3},
  [3396] = {.lex_state = 63, .external_lex_state = 3},
  [3397] = {.lex_state = 67, .external_lex_state = 3},
  [3398] = {.lex_state = 67, .external_lex_state = 3},
  [3399] = {.lex_state = 63, .external_lex_state = 3},
  [3400] = {.lex_state = 68, .external_lex_state = 3},
  [3401] = {.lex_state = 61, .external_lex_state = 3},
  [3402] = {.lex_state = 61, .external_lex_state = 3},
  [3403] = {.lex_state = 63, .external_lex_state = 3},
  [3404] = {.lex_state = 63, .external_lex_state = 3},
  [3405] = {.lex_state = 64, .external_lex_state = 3},
  [3406] = {.lex_state = 67, .external_lex_state = 3},
  [3407] = {.lex_state = 453, .external_lex_state = 4},
  [3408] = {.lex_state = 63, .external_lex_state = 3},
  [3409] = {.lex_state = 63, .external_lex_state = 3},
  [3410] = {.lex_state = 453, .external_lex_state = 4},
  [3411] = {.lex_state = 453, .external_lex_state = 4},
  [3412] = {.lex_state = 453, .external_lex_state = 4},
  [3413] = {.lex_state = 63, .external_lex_state = 3},
  [3414] = {.lex_state = 64, .external_lex_state = 3},
  [3415] = {.lex_state = 63, .external_lex_state = 3},
  [3416] = {.lex_state = 67, .external_lex_state = 3},
  [3417] = {.lex_state = 63, .external_lex_state = 3},
  [3418] = {.lex_state = 63, .external_lex_state = 3},
  [3419] = {.lex_state = 63, .external_lex_state = 3},
  [3420] = {.lex_state = 67, .external_lex_state = 3},
  [3421] = {.lex_state = 453, .external_lex_state = 4},
  [3422] = {.lex_state = 67, .external_lex_state = 3},
  [3423] = {.lex_state = 63, .external_lex_state = 3},
  [3424] = {.lex_state = 67, .external_lex_state = 3},
  [3425] = {.lex_state = 63, .external_lex_state = 3},
  [3426] = {.lex_state = 63, .external_lex_state = 3},
  [3427] = {.lex_state = 67, .external_lex_state = 3},
  [3428] = {.lex_state = 67, .external_lex_state = 3},
  [3429] = {.lex_state = 63, .external_lex_state = 3},
  [3430] = {.lex_state = 63, .external_lex_state = 3},
  [3431] = {.lex_state = 68, .external_lex_state = 3},
  [3432] = {.lex_state = 453, .external_lex_state = 4},
  [3433] = {.lex_state = 67, .external_lex_state = 3},
  [3434] = {.lex_state = 63, .external_lex_state = 3},
  [3435] = {.lex_state = 67, .external_lex_state = 3},
  [3436] = {.lex_state = 67, .external_lex_state = 3},
  [3437] = {.lex_state = 67, .external_lex_state = 3},
  [3438] = {.lex_state = 63, .external_lex_state = 3},
  [3439] = {.lex_state = 453, .external_lex_state = 4},
  [3440] = {.lex_state = 63, .external_lex_state = 3},
  [3441] = {.lex_state = 63, .external_lex_state = 3},
  [3442] = {.lex_state = 63, .external_lex_state = 3},
  [3443] = {.lex_state = 453, .external_lex_state = 4},
  [3444] = {.lex_state = 67, .external_lex_state = 3},
  [3445] = {.lex_state = 63, .external_lex_state = 3},
  [3446] = {.lex_state = 453, .external_lex_state = 4},
  [3447] = {.lex_state = 63, .external_lex_state = 3},
  [3448] = {.lex_state = 67, .external_lex_state = 3},
  [3449] = {.lex_state = 453, .external_lex_state = 4},
  [3450] = {.lex_state = 63, .external_lex_state = 3},
  [3451] = {.lex_state = 67, .external_lex_state = 3},
  [3452] = {.lex_state = 67, .external_lex_state = 3},
  [3453] = {.lex_state = 453, .external_lex_state = 4},
  [3454] = {.lex_state = 63, .external_lex_state = 3},
  [3455] = {.lex_state = 63, .external_lex_state = 3},
  [3456] = {.lex_state = 68, .external_lex_state = 3},
  [3457] = {.lex_state = 67, .external_lex_state = 3},
  [3458] = {.lex_state = 67, .external_lex_state = 3},
  [3459] = {.lex_state = 453, .external_lex_state = 4},
  [3460] = {.lex_state = 63, .external_lex_state = 3},
  [3461] = {.lex_state = 67, .external_lex_state = 3},
  [3462] = {.lex_state = 67, .external_lex_state = 3},
  [3463] = {.lex_state = 63, .external_lex_state = 3},
  [3464] = {.lex_state = 63, .external_lex_state = 3},
  [3465] = {.lex_state = 453, .external_lex_state = 4},
  [3466] = {.lex_state = 453, .external_lex_state = 4},
  [3467] = {.lex_state = 63, .external_lex_state = 3},
  [3468] = {.lex_state = 63, .external_lex_state = 3},
  [3469] = {.lex_state = 453, .external_lex_state = 4},
  [3470] = {.lex_state = 67, .external_lex_state = 3},
  [3471] = {.lex_state = 63, .external_lex_state = 3},
  [3472] = {.lex_state = 67, .external_lex_state = 3},
  [3473] = {.lex_state = 63, .external_lex_state = 3},
  [3474] = {.lex_state = 63, .external_lex_state = 3},
  [3475] = {.lex_state = 68, .external_lex_state = 3},
  [3476] = {.lex_state = 67, .external_lex_state = 3},
  [3477] = {.lex_state = 67, .external_lex_state = 3},
  [3478] = {.lex_state = 67, .external_lex_state = 3},
  [3479] = {.lex_state = 63, .external_lex_state = 3},
  [3480] = {.lex_state = 453, .external_lex_state = 4},
  [3481] = {.lex_state = 453, .external_lex_state = 4},
  [3482] = {.lex_state = 63, .external_lex_state = 3},
  [3483] = {.lex_state = 67, .external_lex_state = 3},
  [3484] = {.lex_state = 67, .external_lex_state = 3},
  [3485] = {.lex_state = 63, .external_lex_state = 3},
  [3486] = {.lex_state = 67, .external_lex_state = 3},
  [3487] = {.lex_state = 453, .external_lex_state = 4},
  [3488] = {.lex_state = 63, .external_lex_state = 3},
  [3489] = {.lex_state = 63, .external_lex_state = 3},
  [3490] = {.lex_state = 67, .external_lex_state = 3},
  [3491] = {.lex_state = 63, .external_lex_state = 3},
  [3492] = {.lex_state = 67, .external_lex_state = 3},
  [3493] = {.lex_state = 453, .external_lex_state = 4},
  [3494] = {.lex_state = 67, .external_lex_state = 3},
  [3495] = {.lex_state = 67, .external_lex_state = 3},
  [3496] = {.lex_state = 453, .external_lex_state = 4},
  [3497] = {.lex_state = 64, .external_lex_state = 3},
  [3498] = {.lex_state = 69, .external_lex_state = 3},
  [3499] = {.lex_state = 69, .external_lex_state = 3},
  [3500] = {.lex_state = 70, .external_lex_state = 3},
  [3501] = {.lex_state = 70, .external_lex_state = 3},
  [3502] = {.lex_state = 70, .external_lex_state = 3},
  [3503] = {.lex_state = 70, .external_lex_state = 3},
  [3504] = {.lex_state = 70, .external_lex_state = 3},
  [3505] = {.lex_state = 70, .external_lex_state = 3},
  [3506] = {.lex_state = 70, .external_lex_state = 3},
  [3507] = {.lex_state = 70, .external_lex_state = 3},
  [3508] = {.lex_state = 70, .external_lex_state = 3},
  [3509] = {.lex_state = 64, .external_lex_state = 3},
  [3510] = {.lex_state = 64, .external_lex_state = 3},
  [3511] = {.lex_state = 64, .external_lex_state = 3},
  [3512] = {.lex_state = 64, .external_lex_state = 3},
  [3513] = {.lex_state = 64, .external_lex_state = 3},
  [3514] = {.lex_state = 64, .external_lex_state = 3},
  [3515] = {.lex_state = 64, .external_lex_state = 3},
  [3516] = {.lex_state = 64, .external_lex_state = 3},
  [3517] = {.lex_state = 64, .external_lex_state = 3},
  [3518] = {.lex_state = 64, .external_lex_state = 3},
  [3519] = {.lex_state = 64, .external_lex_state = 3},
  [3520] = {.lex_state = 64, .external_lex_state = 3},
  [3521] = {.lex_state = 64, .external_lex_state = 3},
  [3522] = {.lex_state = 64, .external_lex_state = 3},
  [3523] = {.lex_state = 64, .external_lex_state = 3},
  [3524] = {.lex_state = 64, .external_lex_state = 3},
  [3525] = {.lex_state = 64, .external_lex_state = 3},
  [3526] = {.lex_state = 64, .external_lex_state = 3},
  [3527] = {.lex_state = 64, .external_lex_state = 3},
  [3528] = {.lex_state = 64, .external_lex_state = 3},
  [3529] = {.lex_state = 64, .external_lex_state = 3},
  [3530] = {.lex_state = 64, .external_lex_state = 3},
  [3531] = {.lex_state = 64, .external_lex_state = 3},
  [3532] = {.lex_state = 64, .external_lex_state = 3},
  [3533] = {.lex_state = 64, .external_lex_state = 3},
  [3534] = {.lex_state = 64, .external_lex_state = 3},
  [3535] = {.lex_state = 64, .external_lex_state = 3},
  [3536] = {.lex_state = 64, .external_lex_state = 3},
  [3537] = {.lex_state = 64, .external_lex_state = 3},
  [3538] = {.lex_state = 64, .external_lex_state = 3},
  [3539] = {.lex_state = 64, .external_lex_state = 3},
  [3540] = {.lex_state = 64, .external_lex_state = 3},
  [3541] = {.lex_state = 64, .external_lex_state = 3},
  [3542] = {.lex_state = 64, .external_lex_state = 3},
  [3543] = {.lex_state = 64, .external_lex_state = 3},
  [3544] = {.lex_state = 64, .external_lex_state = 3},
  [3545] = {.lex_state = 64, .external_lex_state = 3},
  [3546] = {.lex_state = 64, .external_lex_state = 3},
  [3547] = {.lex_state = 64, .external_lex_state = 3},
  [3548] = {.lex_state = 64, .external_lex_state = 3},
  [3549] = {.lex_state = 68, .external_lex_state = 3},
  [3550] = {.lex_state = 68, .external_lex_state = 3},
  [3551] = {.lex_state = 64, .external_lex_state = 3},
  [3552] = {.lex_state = 68, .external_lex_state = 3},
  [3553] = {.lex_state = 64, .external_lex_state = 3},
  [3554] = {.lex_state = 68, .external_lex_state = 3},
  [3555] = {.lex_state = 68, .external_lex_state = 3},
  [3556] = {.lex_state = 68, .external_lex_state = 3},
  [3557] = {.lex_state = 68, .external_lex_state = 3},
  [3558] = {.lex_state = 68, .external_lex_state = 3},
  [3559] = {.lex_state = 68, .external_lex_state = 3},
  [3560] = {.lex_state = 68, .external_lex_state = 3},
  [3561] = {.lex_state = 64, .external_lex_state = 3},
  [3562] = {.lex_state = 68, .external_lex_state = 3},
  [3563] = {.lex_state = 68, .external_lex_state = 3},
  [3564] = {.lex_state = 68, .external_lex_state = 3},
  [3565] = {.lex_state = 68, .external_lex_state = 3},
  [3566] = {.lex_state = 68, .external_lex_state = 3},
  [3567] = {.lex_state = 68, .external_lex_state = 3},
  [3568] = {.lex_state = 68, .external_lex_state = 3},
  [3569] = {.lex_state = 68, .external_lex_state = 3},
  [3570] = {.lex_state = 68, .external_lex_state = 3},
  [3571] = {.lex_state = 68, .external_lex_state = 3},
  [3572] = {.lex_state = 64, .external_lex_state = 3},
  [3573] = {.lex_state = 68, .external_lex_state = 3},
  [3574] = {.lex_state = 64, .external_lex_state = 3},
  [3575] = {.lex_state = 68, .external_lex_state = 3},
  [3576] = {.lex_state = 68, .external_lex_state = 3},
  [3577] = {.lex_state = 68, .external_lex_state = 3},
  [3578] = {.lex_state = 68, .external_lex_state = 3},
  [3579] = {.lex_state = 68, .external_lex_state = 3},
  [3580] = {.lex_state = 68, .external_lex_state = 3},
  [3581] = {.lex_state = 68, .external_lex_state = 3},
  [3582] = {.lex_state = 68, .external_lex_state = 3},
  [3583] = {.lex_state = 68, .external_lex_state = 3},
  [3584] = {.lex_state = 68, .external_lex_state = 3},
  [3585] = {.lex_state = 68, .external_lex_state = 3},
  [3586] = {.lex_state = 68, .external_lex_state = 3},
  [3587] = {.lex_state = 68, .external_lex_state = 3},
  [3588] = {.lex_state = 68, .external_lex_state = 3},
  [3589] = {.lex_state = 68, .external_lex_state = 3},
  [3590] = {.lex_state = 68, .external_lex_state = 3},
  [3591] = {.lex_state = 64, .external_lex_state = 3},
  [3592] = {.lex_state = 64, .external_lex_state = 3},
  [3593] = {.lex_state = 64, .external_lex_state = 3},
  [3594] = {.lex_state = 68, .external_lex_state = 3},
  [3595] = {.lex_state = 64, .external_lex_state = 3},
  [3596] = {.lex_state = 64, .external_lex_state = 3},
  [3597] = {.lex_state = 64, .external_lex_state = 3},
  [3598] = {.lex_state = 64, .external_lex_state = 3},
  [3599] = {.lex_state = 68, .external_lex_state = 3},
  [3600] = {.lex_state = 68, .external_lex_state = 3},
  [3601] = {.lex_state = 69, .external_lex_state = 3},
  [3602] = {.lex_state = 69, .external_lex_state = 3},
  [3603] = {.lex_state = 69, .external_lex_state = 3},
  [3604] = {.lex_state = 69, .external_lex_state = 3},
  [3605] = {.lex_state = 69, .external_lex_state = 3},
  [3606] = {.lex_state = 69, .external_lex_state = 3},
  [3607] = {.lex_state = 68, .external_lex_state = 3},
  [3608] = {.lex_state = 68, .external_lex_state = 3},
  [3609] = {.lex_state = 69, .external_lex_state = 3},
  [3610] = {.lex_state = 69, .external_lex_state = 3},
  [3611] = {.lex_state = 69, .external_lex_state = 3},
  [3612] = {.lex_state = 68, .external_lex_state = 3},
  [3613] = {.lex_state = 69, .external_lex_state = 3},
  [3614] = {.lex_state = 69, .external_lex_state = 3},
  [3615] = {.lex_state = 69, .external_lex_state = 3},
  [3616] = {.lex_state = 68, .external_lex_state = 3},
  [3617] = {.lex_state = 68, .external_lex_state = 3},
  [3618] = {.lex_state = 68, .external_lex_state = 3},
  [3619] = {.lex_state = 69, .external_lex_state = 3},
  [3620] = {.lex_state = 68, .external_lex_state = 3},
  [3621] = {.lex_state = 68, .external_lex_state = 3},
  [3622] = {.lex_state = 68, .external_lex_state = 3},
  [3623] = {.lex_state = 69, .external_lex_state = 3},
  [3624] = {.lex_state = 68, .external_lex_state = 3},
  [3625] = {.lex_state = 68, .external_lex_state = 3},
  [3626] = {.lex_state = 68, .external_lex_state = 3},
  [3627] = {.lex_state = 69, .external_lex_state = 3},
  [3628] = {.lex_state = 68, .external_lex_state = 3},
  [3629] = {.lex_state = 69, .external_lex_state = 3},
  [3630] = {.lex_state = 64, .external_lex_state = 3},
  [3631] = {.lex_state = 64, .external_lex_state = 3},
  [3632] = {.lex_state = 69, .external_lex_state = 3},
  [3633] = {.lex_state = 69, .external_lex_state = 3},
  [3634] = {.lex_state = 69, .external_lex_state = 3},
  [3635] = {.lex_state = 68, .external_lex_state = 3},
  [3636] = {.lex_state = 68, .external_lex_state = 3},
  [3637] = {.lex_state = 64, .external_lex_state = 3},
  [3638] = {.lex_state = 64, .external_lex_state = 3},
  [3639] = {.lex_state = 64, .external_lex_state = 3},
  [3640] = {.lex_state = 64, .external_lex_state = 3},
  [3641] = {.lex_state = 64, .external_lex_state = 3},
  [3642] = {.lex_state = 64, .external_lex_state = 3},
  [3643] = {.lex_state = 64, .external_lex_state = 3},
  [3644] = {.lex_state = 64, .external_lex_state = 3},
  [3645] = {.lex_state = 64, .external_lex_state = 3},
  [3646] = {.lex_state = 64, .external_lex_state = 3},
  [3647] = {.lex_state = 64, .external_lex_state = 3},
  [3648] = {.lex_state = 64, .external_lex_state = 3},
  [3649] = {.lex_state = 64, .external_lex_state = 3},
  [3650] = {.lex_state = 64, .external_lex_state = 3},
  [3651] = {.lex_state = 64, .external_lex_state = 3},
  [3652] = {.lex_state = 64, .external_lex_state = 3},
  [3653] = {.lex_state = 64, .external_lex_state = 3},
  [3654] = {.lex_state = 64, .external_lex_state = 3},
  [3655] = {.lex_state = 68, .external_lex_state = 3},
  [3656] = {.lex_state = 68, .external_lex_state = 3},
  [3657] = {.lex_state = 68, .external_lex_state = 3},
  [3658] = {.lex_state = 68, .external_lex_state = 3},
  [3659] = {.lex_state = 68, .external_lex_state = 3},
  [3660] = {.lex_state = 64, .external_lex_state = 3},
  [3661] = {.lex_state = 68, .external_lex_state = 3},
  [3662] = {.lex_state = 68, .external_lex_state = 3},
  [3663] = {.lex_state = 68, .external_lex_state = 3},
  [3664] = {.lex_state = 68, .external_lex_state = 3},
  [3665] = {.lex_state = 68, .external_lex_state = 3},
  [3666] = {.lex_state = 68, .external_lex_state = 3},
  [3667] = {.lex_state = 68, .external_lex_state = 3},
  [3668] = {.lex_state = 68, .external_lex_state = 3},
  [3669] = {.lex_state = 68, .external_lex_state = 3},
  [3670] = {.lex_state = 68, .external_lex_state = 3},
  [3671] = {.lex_state = 68, .external_lex_state = 3},
  [3672] = {.lex_state = 68, .external_lex_state = 3},
  [3673] = {.lex_state = 68, .external_lex_state = 3},
  [3674] = {.lex_state = 68, .external_lex_state = 3},
  [3675] = {.lex_state = 69, .external_lex_state = 3},
  [3676] = {.lex_state = 69, .external_lex_state = 3},
  [3677] = {.lex_state = 69, .external_lex_state = 3},
  [3678] = {.lex_state = 69, .external_lex_state = 3},
  [3679] = {.lex_state = 64, .external_lex_state = 3},
  [3680] = {.lex_state = 64, .external_lex_state = 3},
  [3681] = {.lex_state = 64, .external_lex_state = 3},
  [3682] = {.lex_state = 64, .external_lex_state = 3},
  [3683] = {.lex_state = 68, .external_lex_state = 3},
  [3684] = {.lex_state = 68, .external_lex_state = 3},
  [3685] = {.lex_state = 68, .external_lex_state = 3},
  [3686] = {.lex_state = 68, .external_lex_state = 3},
  [3687] = {.lex_state = 61, .external_lex_state = 3},
  [3688] = {.lex_state = 61, .external_lex_state = 3},
  [3689] = {.lex_state = 61, .external_lex_state = 3},
  [3690] = {.lex_state = 61, .external_lex_state = 3},
  [3691] = {.lex_state = 61, .external_lex_state = 3},
  [3692] = {.lex_state = 61, .external_lex_state = 3},
  [3693] = {.lex_state = 61, .external_lex_state = 3},
  [3694] = {.lex_state = 61, .external_lex_state = 3},
  [3695] = {.lex_state = 61, .external_lex_state = 3},
  [3696] = {.lex_state = 69, .external_lex_state = 3},
  [3697] = {.lex_state = 61, .external_lex_state = 3},
  [3698] = {.lex_state = 61, .external_lex_state = 3},
  [3699] = {.lex_state = 61, .external_lex_state = 3},
  [3700] = {.lex_state = 61, .external_lex_state = 3},
  [3701] = {.lex_state = 61, .external_lex_state = 3},
  [3702] = {.lex_state = 61, .external_lex_state = 3},
  [3703] = {.lex_state = 61, .external_lex_state = 3},
  [3704] = {.lex_state = 61, .external_lex_state = 3},
  [3705] = {.lex_state = 61, .external_lex_state = 3},
  [3706] = {.lex_state = 61, .external_lex_state = 3},
  [3707] = {.lex_state = 61, .external_lex_state = 3},
  [3708] = {.lex_state = 61, .external_lex_state = 3},
  [3709] = {.lex_state = 61, .external_lex_state = 3},
  [3710] = {.lex_state = 61, .external_lex_state = 3},
  [3711] = {.lex_state = 61, .external_lex_state = 3},
  [3712] = {.lex_state = 61, .external_lex_state = 3},
  [3713] = {.lex_state = 61, .external_lex_state = 3},
  [3714] = {.lex_state = 61, .external_lex_state = 3},
  [3715] = {.lex_state = 61, .external_lex_state = 3},
  [3716] = {.lex_state = 61, .external_lex_state = 3},
  [3717] = {.lex_state = 61, .external_lex_state = 3},
  [3718] = {.lex_state = 61, .external_lex_state = 3},
  [3719] = {.lex_state = 61, .external_lex_state = 3},
  [3720] = {.lex_state = 61, .external_lex_state = 3},
  [3721] = {.lex_state = 61, .external_lex_state = 3},
  [3722] = {.lex_state = 61, .external_lex_state = 3},
  [3723] = {.lex_state = 61, .external_lex_state = 3},
  [3724] = {.lex_state = 61, .external_lex_state = 3},
  [3725] = {.lex_state = 61, .external_lex_state = 3},
  [3726] = {.lex_state = 61, .external_lex_state = 3},
  [3727] = {.lex_state = 61, .external_lex_state = 3},
  [3728] = {.lex_state = 61, .external_lex_state = 3},
  [3729] = {.lex_state = 61, .external_lex_state = 3},
  [3730] = {.lex_state = 61, .external_lex_state = 3},
  [3731] = {.lex_state = 61, .external_lex_state = 3},
  [3732] = {.lex_state = 61, .external_lex_state = 3},
  [3733] = {.lex_state = 61, .external_lex_state = 3},
  [3734] = {.lex_state = 61, .external_lex_state = 3},
  [3735] = {.lex_state = 61, .external_lex_state = 3},
  [3736] = {.lex_state = 61, .external_lex_state = 3},
  [3737] = {.lex_state = 61, .external_lex_state = 3},
  [3738] = {.lex_state = 61, .external_lex_state = 3},
  [3739] = {.lex_state = 61, .external_lex_state = 3},
  [3740] = {.lex_state = 61, .external_lex_state = 3},
  [3741] = {.lex_state = 61, .external_lex_state = 3},
  [3742] = {.lex_state = 61, .external_lex_state = 3},
  [3743] = {.lex_state = 61, .external_lex_state = 3},
  [3744] = {.lex_state = 61, .external_lex_state = 3},
  [3745] = {.lex_state = 61, .external_lex_state = 3},
  [3746] = {.lex_state = 61, .external_lex_state = 3},
  [3747] = {.lex_state = 61, .external_lex_state = 3},
  [3748] = {.lex_state = 61, .external_lex_state = 3},
  [3749] = {.lex_state = 61, .external_lex_state = 3},
  [3750] = {.lex_state = 61, .external_lex_state = 3},
  [3751] = {.lex_state = 61, .external_lex_state = 3},
  [3752] = {.lex_state = 61, .external_lex_state = 3},
  [3753] = {.lex_state = 61, .external_lex_state = 3},
  [3754] = {.lex_state = 61, .external_lex_state = 3},
  [3755] = {.lex_state = 61, .external_lex_state = 3},
  [3756] = {.lex_state = 61, .external_lex_state = 3},
  [3757] = {.lex_state = 61, .external_lex_state = 3},
  [3758] = {.lex_state = 61, .external_lex_state = 3},
  [3759] = {.lex_state = 61, .external_lex_state = 3},
  [3760] = {.lex_state = 62, .external_lex_state = 3},
  [3761] = {.lex_state = 62, .external_lex_state = 3},
  [3762] = {.lex_state = 61, .external_lex_state = 3},
  [3763] = {.lex_state = 61, .external_lex_state = 3},
  [3764] = {.lex_state = 61, .external_lex_state = 3},
  [3765] = {.lex_state = 61, .external_lex_state = 3},
  [3766] = {.lex_state = 61, .external_lex_state = 3},
  [3767] = {.lex_state = 62, .external_lex_state = 3},
  [3768] = {.lex_state = 62, .external_lex_state = 3},
  [3769] = {.lex_state = 62, .external_lex_state = 3},
  [3770] = {.lex_state = 62, .external_lex_state = 3},
  [3771] = {.lex_state = 62, .external_lex_state = 3},
  [3772] = {.lex_state = 62, .external_lex_state = 3},
  [3773] = {.lex_state = 62, .external_lex_state = 3},
  [3774] = {.lex_state = 70, .external_lex_state = 3},
  [3775] = {.lex_state = 70, .external_lex_state = 3},
  [3776] = {.lex_state = 69, .external_lex_state = 3},
  [3777] = {.lex_state = 69, .external_lex_state = 3},
  [3778] = {.lex_state = 69, .external_lex_state = 3},
  [3779] = {.lex_state = 69, .external_lex_state = 3},
  [3780] = {.lex_state = 69, .external_lex_state = 3},
  [3781] = {.lex_state = 69, .external_lex_state = 3},
  [3782] = {.lex_state = 62, .external_lex_state = 3},
  [3783] = {.lex_state = 69, .external_lex_state = 3},
  [3784] = {.lex_state = 69, .external_lex_state = 3},
  [3785] = {.lex_state = 69, .external_lex_state = 3},
  [3786] = {.lex_state = 69, .external_lex_state = 3},
  [3787] = {.lex_state = 69, .external_lex_state = 3},
  [3788] = {.lex_state = 69, .external_lex_state = 3},
  [3789] = {.lex_state = 69, .external_lex_state = 3},
  [3790] = {.lex_state = 69, .external_lex_state = 3},
  [3791] = {.lex_state = 69, .external_lex_state = 3},
  [3792] = {.lex_state = 69, .external_lex_state = 3},
  [3793] = {.lex_state = 69, .external_lex_state = 3},
  [3794] = {.lex_state = 69, .external_lex_state = 3},
  [3795] = {.lex_state = 69, .external_lex_state = 3},
  [3796] = {.lex_state = 69, .external_lex_state = 3},
  [3797] = {.lex_state = 69, .external_lex_state = 3},
  [3798] = {.lex_state = 69, .external_lex_state = 3},
  [3799] = {.lex_state = 69, .external_lex_state = 3},
  [3800] = {.lex_state = 62, .external_lex_state = 3},
  [3801] = {.lex_state = 69, .external_lex_state = 3},
  [3802] = {.lex_state = 69, .external_lex_state = 3},
  [3803] = {.lex_state = 69, .external_lex_state = 3},
  [3804] = {.lex_state = 69, .external_lex_state = 3},
  [3805] = {.lex_state = 69, .external_lex_state = 3},
  [3806] = {.lex_state = 69, .external_lex_state = 3},
  [3807] = {.lex_state = 69, .external_lex_state = 3},
  [3808] = {.lex_state = 69, .external_lex_state = 3},
  [3809] = {.lex_state = 69, .external_lex_state = 3},
  [3810] = {.lex_state = 69, .external_lex_state = 3},
  [3811] = {.lex_state = 69, .external_lex_state = 3},
  [3812] = {.lex_state = 69, .external_lex_state = 3},
  [3813] = {.lex_state = 69, .external_lex_state = 3},
  [3814] = {.lex_state = 69, .external_lex_state = 3},
  [3815] = {.lex_state = 69, .external_lex_state = 3},
  [3816] = {.lex_state = 69, .external_lex_state = 3},
  [3817] = {.lex_state = 69, .external_lex_state = 3},
  [3818] = {.lex_state = 69, .external_lex_state = 3},
  [3819] = {.lex_state = 69, .external_lex_state = 3},
  [3820] = {.lex_state = 69, .external_lex_state = 3},
  [3821] = {.lex_state = 69, .external_lex_state = 3},
  [3822] = {.lex_state = 69, .external_lex_state = 3},
  [3823] = {.lex_state = 69, .external_lex_state = 3},
  [3824] = {.lex_state = 69, .external_lex_state = 3},
  [3825] = {.lex_state = 69, .external_lex_state = 3},
  [3826] = {.lex_state = 69, .external_lex_state = 3},
  [3827] = {.lex_state = 69, .external_lex_state = 3},
  [3828] = {.lex_state = 69, .external_lex_state = 3},
  [3829] = {.lex_state = 69, .external_lex_state = 3},
  [3830] = {.lex_state = 61, .external_lex_state = 3},
  [3831] = {.lex_state = 71, .external_lex_state = 3},
  [3832] = {.lex_state = 66, .external_lex_state = 3},
  [3833] = {.lex_state = 66, .external_lex_state = 3},
  [3834] = {.lex_state = 70, .external_lex_state = 3},
  [3835] = {.lex_state = 453, .external_lex_state = 3},
  [3836] = {.lex_state = 70, .external_lex_state = 3},
  [3837] = {.lex_state = 70, .external_lex_state = 3},
  [3838] = {.lex_state = 70, .external_lex_state = 3},
  [3839] = {.lex_state = 70, .external_lex_state = 3},
  [3840] = {.lex_state = 453, .external_lex_state = 3},
  [3841] = {.lex_state = 70, .external_lex_state = 3},
  [3842] = {.lex_state = 453, .external_lex_state = 3},
  [3843] = {.lex_state = 62, .external_lex_state = 3},
  [3844] = {.lex_state = 62, .external_lex_state = 3},
  [3845] = {.lex_state = 70, .external_lex_state = 3},
  [3846] = {.lex_state = 70, .external_lex_state = 3},
  [3847] = {.lex_state = 70, .external_lex_state = 3},
  [3848] = {.lex_state = 62, .external_lex_state = 3},
  [3849] = {.lex_state = 453, .external_lex_state = 3},
  [3850] = {.lex_state = 70, .external_lex_state = 3},
  [3851] = {.lex_state = 70, .external_lex_state = 3},
  [3852] = {.lex_state = 70, .external_lex_state = 3},
  [3853] = {.lex_state = 453, .external_lex_state = 3},
  [3854] = {.lex_state = 70, .external_lex_state = 3},
  [3855] = {.lex_state = 62, .external_lex_state = 3},
  [3856] = {.lex_state = 70, .external_lex_state = 3},
  [3857] = {.lex_state = 70, .external_lex_state = 3},
  [3858] = {.lex_state = 62, .external_lex_state = 3},
  [3859] = {.lex_state = 70, .external_lex_state = 3},
  [3860] = {.lex_state = 62, .external_lex_state = 3},
  [3861] = {.lex_state = 70, .external_lex_state = 3},
  [3862] = {.lex_state = 70, .external_lex_state = 3},
  [3863] = {.lex_state = 70, .external_lex_state = 3},
  [3864] = {.lex_state = 70, .external_lex_state = 3},
  [3865] = {.lex_state = 70, .external_lex_state = 3},
  [3866] = {.lex_state = 70, .external_lex_state = 3},
  [3867] = {.lex_state = 70, .external_lex_state = 3},
  [3868] = {.lex_state = 70, .external_lex_state = 3},
  [3869] = {.lex_state = 70, .external_lex_state = 3},
  [3870] = {.lex_state = 70, .external_lex_state = 3},
  [3871] = {.lex_state = 70, .external_lex_state = 3},
  [3872] = {.lex_state = 70, .external_lex_state = 3},
  [3873] = {.lex_state = 70, .external_lex_state = 3},
  [3874] = {.lex_state = 453, .external_lex_state = 3},
  [3875] = {.lex_state = 70, .external_lex_state = 3},
  [3876] = {.lex_state = 453, .external_lex_state = 3},
  [3877] = {.lex_state = 70, .external_lex_state = 3},
  [3878] = {.lex_state = 70, .external_lex_state = 3},
  [3879] = {.lex_state = 70, .external_lex_state = 3},
  [3880] = {.lex_state = 453, .external_lex_state = 3},
  [3881] = {.lex_state = 453, .external_lex_state = 3},
  [3882] = {.lex_state = 70, .external_lex_state = 3},
  [3883] = {.lex_state = 70, .external_lex_state = 3},
  [3884] = {.lex_state = 70, .external_lex_state = 3},
  [3885] = {.lex_state = 70, .external_lex_state = 3},
  [3886] = {.lex_state = 62, .external_lex_state = 3},
  [3887] = {.lex_state = 62, .external_lex_state = 3},
  [3888] = {.lex_state = 62, .external_lex_state = 3},
  [3889] = {.lex_state = 62, .external_lex_state = 3},
  [3890] = {.lex_state = 70, .external_lex_state = 3},
  [3891] = {.lex_state = 70, .external_lex_state = 3},
  [3892] = {.lex_state = 70, .external_lex_state = 3},
  [3893] = {.lex_state = 453, .external_lex_state = 3},
  [3894] = {.lex_state = 453, .external_lex_state = 3},
  [3895] = {.lex_state = 66, .external_lex_state = 3},
  [3896] = {.lex_state = 453, .external_lex_state = 3},
  [3897] = {.lex_state = 453, .external_lex_state = 3},
  [3898] = {.lex_state = 66, .external_lex_state = 3},
  [3899] = {.lex_state = 66, .external_lex_state = 3},
  [3900] = {.lex_state = 66, .external_lex_state = 3},
  [3901] = {.lex_state = 66, .external_lex_state = 3},
  [3902] = {.lex_state = 453, .external_lex_state = 3},
  [3903] = {.lex_state = 66, .external_lex_state = 3},
  [3904] = {.lex_state = 66, .external_lex_state = 3},
  [3905] = {.lex_state = 453, .external_lex_state = 3},
  [3906] = {.lex_state = 70, .external_lex_state = 3},
  [3907] = {.lex_state = 112, .external_lex_state = 3},
  [3908] = {.lex_state = 453, .external_lex_state = 3},
  [3909] = {.lex_state = 453, .external_lex_state = 3},
  [3910] = {.lex_state = 453, .external_lex_state = 3},
  [3911] = {.lex_state = 70, .external_lex_state = 3},
  [3912] = {.lex_state = 453, .external_lex_state = 3},
  [3913] = {.lex_state = 453, .external_lex_state = 3},
  [3914] = {.lex_state = 453, .external_lex_state = 3},
  [3915] = {.lex_state = 453, .external_lex_state = 3},
  [3916] = {.lex_state = 66, .external_lex_state = 3},
  [3917] = {.lex_state = 453, .external_lex_state = 3},
  [3918] = {.lex_state = 453, .external_lex_state = 3},
  [3919] = {.lex_state = 453, .external_lex_state = 3},
  [3920] = {.lex_state = 66, .external_lex_state = 3},
  [3921] = {.lex_state = 453, .external_lex_state = 3},
  [3922] = {.lex_state = 453, .external_lex_state = 3},
  [3923] = {.lex_state = 453, .external_lex_state = 3},
  [3924] = {.lex_state = 453, .external_lex_state = 3},
  [3925] = {.lex_state = 70, .external_lex_state = 3},
  [3926] = {.lex_state = 453, .external_lex_state = 3},
  [3927] = {.lex_state = 453, .external_lex_state = 3},
  [3928] = {.lex_state = 453, .external_lex_state = 3},
  [3929] = {.lex_state = 453, .external_lex_state = 3},
  [3930] = {.lex_state = 453, .external_lex_state = 3},
  [3931] = {.lex_state = 453, .external_lex_state = 3},
  [3932] = {.lex_state = 453, .external_lex_state = 3},
  [3933] = {.lex_state = 453, .external_lex_state = 3},
  [3934] = {.lex_state = 453, .external_lex_state = 3},
  [3935] = {.lex_state = 453, .external_lex_state = 3},
  [3936] = {.lex_state = 453, .external_lex_state = 3},
  [3937] = {.lex_state = 453, .external_lex_state = 3},
  [3938] = {.lex_state = 453, .external_lex_state = 3},
  [3939] = {.lex_state = 453, .external_lex_state = 3},
  [3940] = {.lex_state = 453, .external_lex_state = 3},
  [3941] = {.lex_state = 453, .external_lex_state = 3},
  [3942] = {.lex_state = 453, .external_lex_state = 3},
  [3943] = {.lex_state = 453, .external_lex_state = 3},
  [3944] = {.lex_state = 453, .external_lex_state = 3},
  [3945] = {.lex_state = 453, .external_lex_state = 3},
  [3946] = {.lex_state = 453, .external_lex_state = 3},
  [3947] = {.lex_state = 453, .external_lex_state = 3},
  [3948] = {.lex_state = 453, .external_lex_state = 3},
  [3949] = {.lex_state = 453, .external_lex_state = 3},
  [3950] = {.lex_state = 453, .external_lex_state = 3},
  [3951] = {.lex_state = 453, .external_lex_state = 3},
  [3952] = {.lex_state = 70, .external_lex_state = 3},
  [3953] = {.lex_state = 70, .external_lex_state = 3},
  [3954] = {.lex_state = 453, .external_lex_state = 3},
  [3955] = {.lex_state = 453, .external_lex_state = 3},
  [3956] = {.lex_state = 453, .external_lex_state = 3},
  [3957] = {.lex_state = 453, .external_lex_state = 3},
  [3958] = {.lex_state = 70, .external_lex_state = 3},
  [3959] = {.lex_state = 453, .external_lex_state = 3},
  [3960] = {.lex_state = 70, .external_lex_state = 3},
  [3961] = {.lex_state = 453, .external_lex_state = 3},
  [3962] = {.lex_state = 453, .external_lex_state = 3},
  [3963] = {.lex_state = 453, .external_lex_state = 3},
  [3964] = {.lex_state = 453, .external_lex_state = 3},
  [3965] = {.lex_state = 453, .external_lex_state = 3},
  [3966] = {.lex_state = 70, .external_lex_state = 3},
  [3967] = {.lex_state = 70, .external_lex_state = 3},
  [3968] = {.lex_state = 453, .external_lex_state = 3},
  [3969] = {.lex_state = 70, .external_lex_state = 3},
  [3970] = {.lex_state = 453, .external_lex_state = 3},
  [3971] = {.lex_state = 70, .external_lex_state = 3},
  [3972] = {.lex_state = 70, .external_lex_state = 3},
  [3973] = {.lex_state = 453, .external_lex_state = 3},
  [3974] = {.lex_state = 70, .external_lex_state = 3},
  [3975] = {.lex_state = 70, .external_lex_state = 3},
  [3976] = {.lex_state = 62, .external_lex_state = 3},
  [3977] = {.lex_state = 70, .external_lex_state = 3},
  [3978] = {.lex_state = 70, .external_lex_state = 3},
  [3979] = {.lex_state = 70, .external_lex_state = 3},
  [3980] = {.lex_state = 70, .external_lex_state = 3},
  [3981] = {.lex_state = 70, .external_lex_state = 3},
  [3982] = {.lex_state = 70, .external_lex_state = 3},
  [3983] = {.lex_state = 62, .external_lex_state = 3},
  [3984] = {.lex_state = 70, .external_lex_state = 3},
  [3985] = {.lex_state = 70, .external_lex_state = 3},
  [3986] = {.lex_state = 70, .external_lex_state = 3},
  [3987] = {.lex_state = 453, .external_lex_state = 3},
  [3988] = {.lex_state = 70, .external_lex_state = 3},
  [3989] = {.lex_state = 62, .external_lex_state = 3},
  [3990] = {.lex_state = 453, .external_lex_state = 3},
  [3991] = {.lex_state = 70, .external_lex_state = 3},
  [3992] = {.lex_state = 453, .external_lex_state = 3},
  [3993] = {.lex_state = 71, .external_lex_state = 3},
  [3994] = {.lex_state = 70, .external_lex_state = 3},
  [3995] = {.lex_state = 70, .external_lex_state = 3},
  [3996] = {.lex_state = 62, .external_lex_state = 3},
  [3997] = {.lex_state = 62, .external_lex_state = 3},
  [3998] = {.lex_state = 62, .external_lex_state = 3},
  [3999] = {.lex_state = 62, .external_lex_state = 3},
  [4000] = {.lex_state = 62, .external_lex_state = 3},
  [4001] = {.lex_state = 62, .external_lex_state = 3},
  [4002] = {.lex_state = 453, .external_lex_state = 3},
  [4003] = {.lex_state = 62, .external_lex_state = 3},
  [4004] = {.lex_state = 62, .external_lex_state = 3},
  [4005] = {.lex_state = 62, .external_lex_state = 3},
  [4006] = {.lex_state = 62, .external_lex_state = 3},
  [4007] = {.lex_state = 62, .external_lex_state = 3},
  [4008] = {.lex_state = 62, .external_lex_state = 3},
  [4009] = {.lex_state = 62, .external_lex_state = 3},
  [4010] = {.lex_state = 62, .external_lex_state = 3},
  [4011] = {.lex_state = 62, .external_lex_state = 3},
  [4012] = {.lex_state = 62, .external_lex_state = 3},
  [4013] = {.lex_state = 62, .external_lex_state = 3},
  [4014] = {.lex_state = 62, .external_lex_state = 3},
  [4015] = {.lex_state = 62, .external_lex_state = 3},
  [4016] = {.lex_state = 62, .external_lex_state = 3},
  [4017] = {.lex_state = 62, .external_lex_state = 3},
  [4018] = {.lex_state = 62, .external_lex_state = 3},
  [4019] = {.lex_state = 62, .external_lex_state = 3},
  [4020] = {.lex_state = 62, .external_lex_state = 3},
  [4021] = {.lex_state = 62, .external_lex_state = 3},
  [4022] = {.lex_state = 62, .external_lex_state = 3},
  [4023] = {.lex_state = 62, .external_lex_state = 3},
  [4024] = {.lex_state = 62, .external_lex_state = 3},
  [4025] = {.lex_state = 62, .external_lex_state = 3},
  [4026] = {.lex_state = 62, .external_lex_state = 3},
  [4027] = {.lex_state = 62, .external_lex_state = 3},
  [4028] = {.lex_state = 62, .external_lex_state = 3},
  [4029] = {.lex_state = 70, .external_lex_state = 3},
  [4030] = {.lex_state = 62, .external_lex_state = 3},
  [4031] = {.lex_state = 62, .external_lex_state = 3},
  [4032] = {.lex_state = 62, .external_lex_state = 3},
  [4033] = {.lex_state = 62, .external_lex_state = 3},
  [4034] = {.lex_state = 62, .external_lex_state = 3},
  [4035] = {.lex_state = 62, .external_lex_state = 3},
  [4036] = {.lex_state = 62, .external_lex_state = 3},
  [4037] = {.lex_state = 70, .external_lex_state = 3},
  [4038] = {.lex_state = 453, .external_lex_state = 3},
  [4039] = {.lex_state = 62, .external_lex_state = 3},
  [4040] = {.lex_state = 70, .external_lex_state = 3},
  [4041] = {.lex_state = 70, .external_lex_state = 3},
  [4042] = {.lex_state = 62, .external_lex_state = 3},
  [4043] = {.lex_state = 62, .external_lex_state = 3},
  [4044] = {.lex_state = 62, .external_lex_state = 3},
  [4045] = {.lex_state = 62, .external_lex_state = 3},
  [4046] = {.lex_state = 70, .external_lex_state = 3},
  [4047] = {.lex_state = 70, .external_lex_state = 3},
  [4048] = {.lex_state = 62, .external_lex_state = 3},
  [4049] = {.lex_state = 70, .external_lex_state = 3},
  [4050] = {.lex_state = 70, .external_lex_state = 3},
  [4051] = {.lex_state = 70, .external_lex_state = 3},
  [4052] = {.lex_state = 62, .external_lex_state = 3},
  [4053] = {.lex_state = 70, .external_lex_state = 3},
  [4054] = {.lex_state = 62, .external_lex_state = 3},
  [4055] = {.lex_state = 62, .external_lex_state = 3},
  [4056] = {.lex_state = 62, .external_lex_state = 3},
  [4057] = {.lex_state = 62, .external_lex_state = 3},
  [4058] = {.lex_state = 62, .external_lex_state = 3},
  [4059] = {.lex_state = 62, .external_lex_state = 3},
  [4060] = {.lex_state = 70, .external_lex_state = 3},
  [4061] = {.lex_state = 453, .external_lex_state = 3},
  [4062] = {.lex_state = 453, .external_lex_state = 3},
  [4063] = {.lex_state = 453, .external_lex_state = 3},
  [4064] = {.lex_state = 453, .external_lex_state = 3},
  [4065] = {.lex_state = 453, .external_lex_state = 3},
  [4066] = {.lex_state = 453, .external_lex_state = 3},
  [4067] = {.lex_state = 453, .external_lex_state = 3},
  [4068] = {.lex_state = 62, .external_lex_state = 3},
  [4069] = {.lex_state = 453, .external_lex_state = 3},
  [4070] = {.lex_state = 453, .external_lex_state = 3},
  [4071] = {.lex_state = 453, .external_lex_state = 3},
  [4072] = {.lex_state = 453, .external_lex_state = 3},
  [4073] = {.lex_state = 453, .external_lex_state = 3},
  [4074] = {.lex_state = 453, .external_lex_state = 3},
  [4075] = {.lex_state = 453, .external_lex_state = 3},
  [4076] = {.lex_state = 453, .external_lex_state = 3},
  [4077] = {.lex_state = 453, .external_lex_state = 3},
  [4078] = {.lex_state = 453, .external_lex_state = 3},
  [4079] = {.lex_state = 453, .external_lex_state = 3},
  [4080] = {.lex_state = 62, .external_lex_state = 3},
  [4081] = {.lex_state = 453, .external_lex_state = 3},
  [4082] = {.lex_state = 453, .external_lex_state = 3},
  [4083] = {.lex_state = 453, .external_lex_state = 3},
  [4084] = {.lex_state = 453, .external_lex_state = 3},
  [4085] = {.lex_state = 453, .external_lex_state = 3},
  [4086] = {.lex_state = 453, .external_lex_state = 3},
  [4087] = {.lex_state = 62, .external_lex_state = 3},
  [4088] = {.lex_state = 62, .external_lex_state = 3},
  [4089] = {.lex_state = 62, .external_lex_state = 3},
  [4090] = {.lex_state = 453, .external_lex_state = 3},
  [4091] = {.lex_state = 62, .external_lex_state = 3},
  [4092] = {.lex_state = 62, .external_lex_state = 3},
  [4093] = {.lex_state = 62, .external_lex_state = 3},
  [4094] = {.lex_state = 62, .external_lex_state = 3},
  [4095] = {.lex_state = 453, .external_lex_state = 3},
  [4096] = {.lex_state = 453, .external_lex_state = 3},
  [4097] = {.lex_state = 71, .external_lex_state = 3},
  [4098] = {.lex_state = 453, .external_lex_state = 3},
  [4099] = {.lex_state = 453, .external_lex_state = 3},
  [4100] = {.lex_state = 71, .external_lex_state = 3},
  [4101] = {.lex_state = 71, .external_lex_state = 3},
  [4102] = {.lex_state = 71, .external_lex_state = 3},
  [4103] = {.lex_state = 71, .external_lex_state = 3},
  [4104] = {.lex_state = 71, .external_lex_state = 3},
  [4105] = {.lex_state = 71, .external_lex_state = 3},
  [4106] = {.lex_state = 453, .external_lex_state = 3},
  [4107] = {.lex_state = 62, .external_lex_state = 3},
  [4108] = {.lex_state = 453, .external_lex_state = 3},
  [4109] = {.lex_state = 453, .external_lex_state = 3},
  [4110] = {.lex_state = 62, .external_lex_state = 3},
  [4111] = {.lex_state = 453, .external_lex_state = 3},
  [4112] = {.lex_state = 453, .external_lex_state = 3},
  [4113] = {.lex_state = 453, .external_lex_state = 3},
  [4114] = {.lex_state = 453, .external_lex_state = 3},
  [4115] = {.lex_state = 453, .external_lex_state = 3},
  [4116] = {.lex_state = 453, .external_lex_state = 3},
  [4117] = {.lex_state = 453, .external_lex_state = 3},
  [4118] = {.lex_state = 453, .external_lex_state = 3},
  [4119] = {.lex_state = 453, .external_lex_state = 3},
  [4120] = {.lex_state = 62, .external_lex_state = 3},
  [4121] = {.lex_state = 453, .external_lex_state = 3},
  [4122] = {.lex_state = 71, .external_lex_state = 3},
  [4123] = {.lex_state = 453, .external_lex_state = 3},
  [4124] = {.lex_state = 71, .external_lex_state = 3},
  [4125] = {.lex_state = 62, .external_lex_state = 3},
  [4126] = {.lex_state = 108, .external_lex_state = 3},
  [4127] = {.lex_state = 453, .external_lex_state = 3},
  [4128] = {.lex_state = 453, .external_lex_state = 3},
  [4129] = {.lex_state = 71, .external_lex_state = 3},
  [4130] = {.lex_state = 71, .external_lex_state = 3},
  [4131] = {.lex_state = 71, .external_lex_state = 3},
  [4132] = {.lex_state = 71, .external_lex_state = 3},
  [4133] = {.lex_state = 109, .external_lex_state = 3},
  [4134] = {.lex_state = 453, .external_lex_state = 3},
  [4135] = {.lex_state = 453, .external_lex_state = 3},
  [4136] = {.lex_state = 453, .external_lex_state = 3},
  [4137] = {.lex_state = 174, .external_lex_state = 3},
  [4138] = {.lex_state = 453, .external_lex_state = 3},
  [4139] = {.lex_state = 453, .external_lex_state = 3},
  [4140] = {.lex_state = 174, .external_lex_state = 3},
  [4141] = {.lex_state = 453, .external_lex_state = 3},
  [4142] = {.lex_state = 174, .external_lex_state = 3},
  [4143] = {.lex_state = 453, .external_lex_state = 3},
  [4144] = {.lex_state = 453, .external_lex_state = 3},
  [4145] = {.lex_state = 453, .external_lex_state = 3},
  [4146] = {.lex_state = 453, .external_lex_state = 3},
  [4147] = {.lex_state = 453, .external_lex_state = 3},
  [4148] = {.lex_state = 174, .external_lex_state = 3},
  [4149] = {.lex_state = 453, .external_lex_state = 3},
  [4150] = {.lex_state = 453, .external_lex_state = 3},
  [4151] = {.lex_state = 174, .external_lex_state = 3},
  [4152] = {.lex_state = 453, .external_lex_state = 3},
  [4153] = {.lex_state = 174, .external_lex_state = 3},
  [4154] = {.lex_state = 72, .external_lex_state = 3},
  [4155] = {.lex_state = 72, .external_lex_state = 3},
  [4156] = {.lex_state = 453, .external_lex_state = 3},
  [4157] = {.lex_state = 453, .external_lex_state = 3},
  [4158] = {.lex_state = 453, .external_lex_state = 3},
  [4159] = {.lex_state = 453, .external_lex_state = 3},
  [4160] = {.lex_state = 453, .external_lex_state = 3},
  [4161] = {.lex_state = 174, .external_lex_state = 3},
  [4162] = {.lex_state = 453, .external_lex_state = 3},
  [4163] = {.lex_state = 453, .external_lex_state = 3},
  [4164] = {.lex_state = 174, .external_lex_state = 3},
  [4165] = {.lex_state = 453, .external_lex_state = 3},
  [4166] = {.lex_state = 174, .external_lex_state = 3},
  [4167] = {.lex_state = 453, .external_lex_state = 3},
  [4168] = {.lex_state = 453, .external_lex_state = 3},
  [4169] = {.lex_state = 65, .external_lex_state = 3},
  [4170] = {.lex_state = 453, .external_lex_state = 3},
  [4171] = {.lex_state = 453, .external_lex_state = 3},
  [4172] = {.lex_state = 453, .external_lex_state = 3},
  [4173] = {.lex_state = 174, .external_lex_state = 3},
  [4174] = {.lex_state = 453, .external_lex_state = 3},
  [4175] = {.lex_state = 453, .external_lex_state = 3},
  [4176] = {.lex_state = 174, .external_lex_state = 3},
  [4177] = {.lex_state = 453, .external_lex_state = 3},
  [4178] = {.lex_state = 174, .external_lex_state = 3},
  [4179] = {.lex_state = 453, .external_lex_state = 3},
  [4180] = {.lex_state = 174, .external_lex_state = 3},
  [4181] = {.lex_state = 453, .external_lex_state = 3},
  [4182] = {.lex_state = 453, .external_lex_state = 3},
  [4183] = {.lex_state = 174, .external_lex_state = 3},
  [4184] = {.lex_state = 65, .external_lex_state = 3},
  [4185] = {.lex_state = 453, .external_lex_state = 3},
  [4186] = {.lex_state = 453, .external_lex_state = 3},
  [4187] = {.lex_state = 174, .external_lex_state = 3},
  [4188] = {.lex_state = 453, .external_lex_state = 3},
  [4189] = {.lex_state = 72, .external_lex_state = 3},
  [4190] = {.lex_state = 453, .external_lex_state = 3},
  [4191] = {.lex_state = 453, .external_lex_state = 3},
  [4192] = {.lex_state = 174, .external_lex_state = 3},
  [4193] = {.lex_state = 453, .external_lex_state = 3},
  [4194] = {.lex_state = 453, .external_lex_state = 3},
  [4195] = {.lex_state = 174, .external_lex_state = 3},
  [4196] = {.lex_state = 453, .external_lex_state = 3},
  [4197] = {.lex_state = 174, .external_lex_state = 3},
  [4198] = {.lex_state = 72, .external_lex_state = 3},
  [4199] = {.lex_state = 72, .external_lex_state = 3},
  [4200] = {.lex_state = 72, .external_lex_state = 3},
  [4201] = {.lex_state = 72, .external_lex_state = 3},
  [4202] = {.lex_state = 72, .external_lex_state = 3},
  [4203] = {.lex_state = 72, .external_lex_state = 3},
  [4204] = {.lex_state = 453, .external_lex_state = 3},
  [4205] = {.lex_state = 174, .external_lex_state = 3},
  [4206] = {.lex_state = 453, .external_lex_state = 3},
  [4207] = {.lex_state = 453, .external_lex_state = 3},
  [4208] = {.lex_state = 453, .external_lex_state = 3},
  [4209] = {.lex_state = 453, .external_lex_state = 3},
  [4210] = {.lex_state = 72, .external_lex_state = 3},
  [4211] = {.lex_state = 106, .external_lex_state = 3},
  [4212] = {.lex_state = 453, .external_lex_state = 3},
  [4213] = {.lex_state = 72, .external_lex_state = 3},
  [4214] = {.lex_state = 65, .external_lex_state = 3},
  [4215] = {.lex_state = 453, .external_lex_state = 3},
  [4216] = {.lex_state = 453, .external_lex_state = 3},
  [4217] = {.lex_state = 453, .external_lex_state = 3},
  [4218] = {.lex_state = 174, .external_lex_state = 3},
  [4219] = {.lex_state = 66, .external_lex_state = 3},
  [4220] = {.lex_state = 453, .external_lex_state = 3},
  [4221] = {.lex_state = 66, .external_lex_state = 3},
  [4222] = {.lex_state = 66, .external_lex_state = 3},
  [4223] = {.lex_state = 66, .external_lex_state = 3},
  [4224] = {.lex_state = 66, .external_lex_state = 3},
  [4225] = {.lex_state = 66, .external_lex_state = 3},
  [4226] = {.lex_state = 66, .external_lex_state = 3},
  [4227] = {.lex_state = 66, .external_lex_state = 3},
  [4228] = {.lex_state = 66, .external_lex_state = 3},
  [4229] = {.lex_state = 66, .external_lex_state = 3},
  [4230] = {.lex_state = 66, .external_lex_state = 3},
  [4231] = {.lex_state = 66, .external_lex_state = 3},
  [4232] = {.lex_state = 66, .external_lex_state = 3},
  [4233] = {.lex_state = 66, .external_lex_state = 3},
  [4234] = {.lex_state = 453, .external_lex_state = 3},
  [4235] = {.lex_state = 66, .external_lex_state = 3},
  [4236] = {.lex_state = 66, .external_lex_state = 3},
  [4237] = {.lex_state = 66, .external_lex_state = 3},
  [4238] = {.lex_state = 66, .external_lex_state = 3},
  [4239] = {.lex_state = 66, .external_lex_state = 3},
  [4240] = {.lex_state = 66, .external_lex_state = 3},
  [4241] = {.lex_state = 66, .external_lex_state = 3},
  [4242] = {.lex_state = 66, .external_lex_state = 3},
  [4243] = {.lex_state = 66, .external_lex_state = 3},
  [4244] = {.lex_state = 66, .external_lex_state = 3},
  [4245] = {.lex_state = 66, .external_lex_state = 3},
  [4246] = {.lex_state = 66, .external_lex_state = 3},
  [4247] = {.lex_state = 66, .external_lex_state = 3},
  [4248] = {.lex_state = 66, .external_lex_state = 3},
  [4249] = {.lex_state = 66, .external_lex_state = 3},
  [4250] = {.lex_state = 66, .external_lex_state = 3},
  [4251] = {.lex_state = 66, .external_lex_state = 3},
  [4252] = {.lex_state = 112, .external_lex_state = 3},
  [4253] = {.lex_state = 66, .external_lex_state = 3},
  [4254] = {.lex_state = 66, .external_lex_state = 3},
  [4255] = {.lex_state = 66, .external_lex_state = 3},
  [4256] = {.lex_state = 66, .external_lex_state = 3},
  [4257] = {.lex_state = 453, .external_lex_state = 3},
  [4258] = {.lex_state = 66, .external_lex_state = 3},
  [4259] = {.lex_state = 66, .external_lex_state = 3},
  [4260] = {.lex_state = 71, .external_lex_state = 3},
  [4261] = {.lex_state = 66, .external_lex_state = 3},
  [4262] = {.lex_state = 453, .external_lex_state = 3},
  [4263] = {.lex_state = 66, .external_lex_state = 3},
  [4264] = {.lex_state = 453, .external_lex_state = 3},
  [4265] = {.lex_state = 66, .external_lex_state = 3},
  [4266] = {.lex_state = 453, .external_lex_state = 3},
  [4267] = {.lex_state = 66, .external_lex_state = 3},
  [4268] = {.lex_state = 453, .external_lex_state = 3},
  [4269] = {.lex_state = 66, .external_lex_state = 3},
  [4270] = {.lex_state = 453, .external_lex_state = 3},
  [4271] = {.lex_state = 66, .external_lex_state = 3},
  [4272] = {.lex_state = 453, .external_lex_state = 3},
  [4273] = {.lex_state = 66, .external_lex_state = 3},
  [4274] = {.lex_state = 66, .external_lex_state = 3},
  [4275] = {.lex_state = 66, .external_lex_state = 3},
  [4276] = {.lex_state = 66, .external_lex_state = 3},
  [4277] = {.lex_state = 66, .external_lex_state = 3},
  [4278] = {.lex_state = 66, .external_lex_state = 3},
  [4279] = {.lex_state = 66, .external_lex_state = 3},
  [4280] = {.lex_state = 66, .external_lex_state = 3},
  [4281] = {.lex_state = 453, .external_lex_state = 3},
  [4282] = {.lex_state = 453, .external_lex_state = 3},
  [4283] = {.lex_state = 71, .external_lex_state = 3},
  [4284] = {.lex_state = 66, .external_lex_state = 3},
  [4285] = {.lex_state = 453, .external_lex_state = 3},
  [4286] = {.lex_state = 71, .external_lex_state = 3},
  [4287] = {.lex_state = 71, .external_lex_state = 3},
  [4288] = {.lex_state = 71, .external_lex_state = 3},
  [4289] = {.lex_state = 71, .external_lex_state = 3},
  [4290] = {.lex_state = 453, .external_lex_state = 3},
  [4291] = {.lex_state = 71, .external_lex_state = 3},
  [4292] = {.lex_state = 66, .external_lex_state = 3},
  [4293] = {.lex_state = 453, .external_lex_state = 3},
  [4294] = {.lex_state = 71, .external_lex_state = 3},
  [4295] = {.lex_state = 453, .external_lex_state = 3},
  [4296] = {.lex_state = 453, .external_lex_state = 3},
  [4297] = {.lex_state = 66, .external_lex_state = 3},
  [4298] = {.lex_state = 453, .external_lex_state = 3},
  [4299] = {.lex_state = 453, .external_lex_state = 3},
  [4300] = {.lex_state = 453, .external_lex_state = 3},
  [4301] = {.lex_state = 453, .external_lex_state = 3},
  [4302] = {.lex_state = 71, .external_lex_state = 3},
  [4303] = {.lex_state = 71, .external_lex_state = 3},
  [4304] = {.lex_state = 453, .external_lex_state = 3},
  [4305] = {.lex_state = 174, .external_lex_state = 3},
  [4306] = {.lex_state = 453, .external_lex_state = 3},
  [4307] = {.lex_state = 71, .external_lex_state = 3},
  [4308] = {.lex_state = 453, .external_lex_state = 3},
  [4309] = {.lex_state = 453, .external_lex_state = 3},
  [4310] = {.lex_state = 71, .external_lex_state = 3},
  [4311] = {.lex_state = 453, .external_lex_state = 3},
  [4312] = {.lex_state = 453, .external_lex_state = 3},
  [4313] = {.lex_state = 71, .external_lex_state = 3},
  [4314] = {.lex_state = 71, .external_lex_state = 3},
  [4315] = {.lex_state = 453, .external_lex_state = 3},
  [4316] = {.lex_state = 453, .external_lex_state = 3},
  [4317] = {.lex_state = 453, .external_lex_state = 3},
  [4318] = {.lex_state = 453, .external_lex_state = 3},
  [4319] = {.lex_state = 66, .external_lex_state = 3},
  [4320] = {.lex_state = 71, .external_lex_state = 3},
  [4321] = {.lex_state = 453, .external_lex_state = 3},
  [4322] = {.lex_state = 66, .external_lex_state = 3},
  [4323] = {.lex_state = 71, .external_lex_state = 3},
  [4324] = {.lex_state = 66, .external_lex_state = 3},
  [4325] = {.lex_state = 66, .external_lex_state = 3},
  [4326] = {.lex_state = 66, .external_lex_state = 3},
  [4327] = {.lex_state = 66, .external_lex_state = 3},
  [4328] = {.lex_state = 66, .external_lex_state = 3},
  [4329] = {.lex_state = 66, .external_lex_state = 3},
  [4330] = {.lex_state = 71, .external_lex_state = 3},
  [4331] = {.lex_state = 66, .external_lex_state = 3},
  [4332] = {.lex_state = 66, .external_lex_state = 3},
  [4333] = {.lex_state = 71, .external_lex_state = 3},
  [4334] = {.lex_state = 66, .external_lex_state = 3},
  [4335] = {.lex_state = 66, .external_lex_state = 3},
  [4336] = {.lex_state = 66, .external_lex_state = 3},
  [4337] = {.lex_state = 66, .external_lex_state = 3},
  [4338] = {.lex_state = 66, .external_lex_state = 3},
  [4339] = {.lex_state = 71, .external_lex_state = 3},
  [4340] = {.lex_state = 71, .external_lex_state = 3},
  [4341] = {.lex_state = 71, .external_lex_state = 3},
  [4342] = {.lex_state = 66, .external_lex_state = 3},
  [4343] = {.lex_state = 71, .external_lex_state = 3},
  [4344] = {.lex_state = 66, .external_lex_state = 3},
  [4345] = {.lex_state = 66, .external_lex_state = 3},
  [4346] = {.lex_state = 66, .external_lex_state = 3},
  [4347] = {.lex_state = 66, .external_lex_state = 3},
  [4348] = {.lex_state = 65, .external_lex_state = 3},
  [4349] = {.lex_state = 65, .external_lex_state = 3},
  [4350] = {.lex_state = 65, .external_lex_state = 3},
  [4351] = {.lex_state = 65, .external_lex_state = 3},
  [4352] = {.lex_state = 114, .external_lex_state = 3},
  [4353] = {.lex_state = 453, .external_lex_state = 3},
  [4354] = {.lex_state = 112, .external_lex_state = 3},
  [4355] = {.lex_state = 71, .external_lex_state = 3},
  [4356] = {.lex_state = 65, .external_lex_state = 3},
  [4357] = {.lex_state = 71, .external_lex_state = 3},
  [4358] = {.lex_state = 71, .external_lex_state = 3},
  [4359] = {.lex_state = 71, .external_lex_state = 3},
  [4360] = {.lex_state = 71, .external_lex_state = 3},
  [4361] = {.lex_state = 71, .external_lex_state = 3},
  [4362] = {.lex_state = 71, .external_lex_state = 3},
  [4363] = {.lex_state = 71, .external_lex_state = 3},
  [4364] = {.lex_state = 71, .external_lex_state = 3},
  [4365] = {.lex_state = 71, .external_lex_state = 3},
  [4366] = {.lex_state = 71, .external_lex_state = 3},
  [4367] = {.lex_state = 71, .external_lex_state = 3},
  [4368] = {.lex_state = 71, .external_lex_state = 3},
  [4369] = {.lex_state = 71, .external_lex_state = 3},
  [4370] = {.lex_state = 71, .external_lex_state = 3},
  [4371] = {.lex_state = 71, .external_lex_state = 3},
  [4372] = {.lex_state = 71, .external_lex_state = 3},
  [4373] = {.lex_state = 71, .external_lex_state = 3},
  [4374] = {.lex_state = 71, .external_lex_state = 3},
  [4375] = {.lex_state = 71, .external_lex_state = 3},
  [4376] = {.lex_state = 71, .external_lex_state = 3},
  [4377] = {.lex_state = 71, .external_lex_state = 3},
  [4378] = {.lex_state = 71, .external_lex_state = 3},
  [4379] = {.lex_state = 71, .external_lex_state = 3},
  [4380] = {.lex_state = 71, .external_lex_state = 3},
  [4381] = {.lex_state = 71, .external_lex_state = 3},
  [4382] = {.lex_state = 71, .external_lex_state = 3},
  [4383] = {.lex_state = 71, .external_lex_state = 3},
  [4384] = {.lex_state = 71, .external_lex_state = 3},
  [4385] = {.lex_state = 71, .external_lex_state = 3},
  [4386] = {.lex_state = 71, .external_lex_state = 3},
  [4387] = {.lex_state = 113, .external_lex_state = 3},
  [4388] = {.lex_state = 71, .external_lex_state = 3},
  [4389] = {.lex_state = 71, .external_lex_state = 3},
  [4390] = {.lex_state = 71, .external_lex_state = 3},
  [4391] = {.lex_state = 71, .external_lex_state = 3},
  [4392] = {.lex_state = 71, .external_lex_state = 3},
  [4393] = {.lex_state = 71, .external_lex_state = 3},
  [4394] = {.lex_state = 71, .external_lex_state = 3},
  [4395] = {.lex_state = 71, .external_lex_state = 3},
  [4396] = {.lex_state = 71, .external_lex_state = 3},
  [4397] = {.lex_state = 66, .external_lex_state = 3},
  [4398] = {.lex_state = 71, .external_lex_state = 3},
  [4399] = {.lex_state = 71, .external_lex_state = 3},
  [4400] = {.lex_state = 108, .external_lex_state = 3},
  [4401] = {.lex_state = 66, .external_lex_state = 3},
  [4402] = {.lex_state = 66, .external_lex_state = 3},
  [4403] = {.lex_state = 71, .external_lex_state = 3},
  [4404] = {.lex_state = 66, .external_lex_state = 3},
  [4405] = {.lex_state = 71, .external_lex_state = 3},
  [4406] = {.lex_state = 71, .external_lex_state = 3},
  [4407] = {.lex_state = 65, .external_lex_state = 3},
  [4408] = {.lex_state = 65, .external_lex_state = 3},
  [4409] = {.lex_state = 65, .external_lex_state = 3},
  [4410] = {.lex_state = 71, .external_lex_state = 3},
  [4411] = {.lex_state = 71, .external_lex_state = 3},
  [4412] = {.lex_state = 71, .external_lex_state = 3},
  [4413] = {.lex_state = 71, .external_lex_state = 3},
  [4414] = {.lex_state = 108, .external_lex_state = 3},
  [4415] = {.lex_state = 71, .external_lex_state = 3},
  [4416] = {.lex_state = 71, .external_lex_state = 3},
  [4417] = {.lex_state = 71, .external_lex_state = 3},
  [4418] = {.lex_state = 453, .external_lex_state = 3},
  [4419] = {.lex_state = 453, .external_lex_state = 3},
  [4420] = {.lex_state = 453, .external_lex_state = 3},
  [4421] = {.lex_state = 106, .external_lex_state = 3},
  [4422] = {.lex_state = 453, .external_lex_state = 3},
  [4423] = {.lex_state = 453, .external_lex_state = 3},
  [4424] = {.lex_state = 453, .external_lex_state = 3},
  [4425] = {.lex_state = 65, .external_lex_state = 3},
  [4426] = {.lex_state = 65, .external_lex_state = 3},
  [4427] = {.lex_state = 65, .external_lex_state = 3},
  [4428] = {.lex_state = 65, .external_lex_state = 3},
  [4429] = {.lex_state = 453, .external_lex_state = 3},
  [4430] = {.lex_state = 453, .external_lex_state = 3},
  [4431] = {.lex_state = 453, .external_lex_state = 3},
  [4432] = {.lex_state = 453, .external_lex_state = 3},
  [4433] = {.lex_state = 453, .external_lex_state = 3},
  [4434] = {.lex_state = 453, .external_lex_state = 3},
  [4435] = {.lex_state = 65, .external_lex_state = 3},
  [4436] = {.lex_state = 65, .external_lex_state = 3},
  [4437] = {.lex_state = 106, .external_lex_state = 3},
  [4438] = {.lex_state = 453, .external_lex_state = 3},
  [4439] = {.lex_state = 453, .external_lex_state = 3},
  [4440] = {.lex_state = 453, .external_lex_state = 3},
  [4441] = {.lex_state = 453, .external_lex_state = 3},
  [4442] = {.lex_state = 453, .external_lex_state = 3},
  [4443] = {.lex_state = 65, .external_lex_state = 3},
  [4444] = {.lex_state = 453, .external_lex_state = 3},
  [4445] = {.lex_state = 453, .external_lex_state = 3},
  [4446] = {.lex_state = 453, .external_lex_state = 3},
  [4447] = {.lex_state = 65, .external_lex_state = 3},
  [4448] = {.lex_state = 453, .external_lex_state = 3},
  [4449] = {.lex_state = 72, .external_lex_state = 3},
  [4450] = {.lex_state = 453, .external_lex_state = 3},
  [4451] = {.lex_state = 453, .external_lex_state = 3},
  [4452] = {.lex_state = 453, .external_lex_state = 3},
  [4453] = {.lex_state = 453, .external_lex_state = 3},
  [4454] = {.lex_state = 453, .external_lex_state = 3},
  [4455] = {.lex_state = 453, .external_lex_state = 3},
  [4456] = {.lex_state = 453, .external_lex_state = 3},
  [4457] = {.lex_state = 453, .external_lex_state = 3},
  [4458] = {.lex_state = 453, .external_lex_state = 3},
  [4459] = {.lex_state = 65, .external_lex_state = 3},
  [4460] = {.lex_state = 65, .external_lex_state = 3},
  [4461] = {.lex_state = 453, .external_lex_state = 3},
  [4462] = {.lex_state = 65, .external_lex_state = 3},
  [4463] = {.lex_state = 453, .external_lex_state = 3},
  [4464] = {.lex_state = 72, .external_lex_state = 3},
  [4465] = {.lex_state = 453, .external_lex_state = 3},
  [4466] = {.lex_state = 65, .external_lex_state = 3},
  [4467] = {.lex_state = 453, .external_lex_state = 3},
  [4468] = {.lex_state = 453, .external_lex_state = 3},
  [4469] = {.lex_state = 65, .external_lex_state = 3},
  [4470] = {.lex_state = 453, .external_lex_state = 3},
  [4471] = {.lex_state = 453, .external_lex_state = 3},
  [4472] = {.lex_state = 453, .external_lex_state = 3},
  [4473] = {.lex_state = 453, .external_lex_state = 3},
  [4474] = {.lex_state = 453, .external_lex_state = 3},
  [4475] = {.lex_state = 453, .external_lex_state = 3},
  [4476] = {.lex_state = 453, .external_lex_state = 3},
  [4477] = {.lex_state = 453, .external_lex_state = 3},
  [4478] = {.lex_state = 65, .external_lex_state = 3},
  [4479] = {.lex_state = 65, .external_lex_state = 3},
  [4480] = {.lex_state = 65, .external_lex_state = 3},
  [4481] = {.lex_state = 453, .external_lex_state = 3},
  [4482] = {.lex_state = 453, .external_lex_state = 3},
  [4483] = {.lex_state = 65, .external_lex_state = 3},
  [4484] = {.lex_state = 453, .external_lex_state = 3},
  [4485] = {.lex_state = 453, .external_lex_state = 3},
  [4486] = {.lex_state = 453, .external_lex_state = 3},
  [4487] = {.lex_state = 453, .external_lex_state = 3},
  [4488] = {.lex_state = 72, .external_lex_state = 3},
  [4489] = {.lex_state = 453, .external_lex_state = 3},
  [4490] = {.lex_state = 453, .external_lex_state = 3},
  [4491] = {.lex_state = 453, .external_lex_state = 3},
  [4492] = {.lex_state = 453, .external_lex_state = 3},
  [4493] = {.lex_state = 453, .external_lex_state = 3},
  [4494] = {.lex_state = 72, .external_lex_state = 3},
  [4495] = {.lex_state = 453, .external_lex_state = 3},
  [4496] = {.lex_state = 65, .external_lex_state = 3},
  [4497] = {.lex_state = 65, .external_lex_state = 3},
  [4498] = {.lex_state = 65, .external_lex_state = 3},
  [4499] = {.lex_state = 453, .external_lex_state = 3},
  [4500] = {.lex_state = 453, .external_lex_state = 3},
  [4501] = {.lex_state = 65, .external_lex_state = 3},
  [4502] = {.lex_state = 65, .external_lex_state = 3},
  [4503] = {.lex_state = 453, .external_lex_state = 3},
  [4504] = {.lex_state = 453, .external_lex_state = 3},
  [4505] = {.lex_state = 453, .external_lex_state = 3},
  [4506] = {.lex_state = 72, .external_lex_state = 3},
  [4507] = {.lex_state = 65, .external_lex_state = 3},
  [4508] = {.lex_state = 72, .external_lex_state = 3},
  [4509] = {.lex_state = 65, .external_lex_state = 3},
  [4510] = {.lex_state = 65, .external_lex_state = 3},
  [4511] = {.lex_state = 453, .external_lex_state = 3},
  [4512] = {.lex_state = 453, .external_lex_state = 3},
  [4513] = {.lex_state = 453, .external_lex_state = 3},
  [4514] = {.lex_state = 72, .external_lex_state = 3},
  [4515] = {.lex_state = 72, .external_lex_state = 3},
  [4516] = {.lex_state = 72, .external_lex_state = 3},
  [4517] = {.lex_state = 72, .external_lex_state = 3},
  [4518] = {.lex_state = 65, .external_lex_state = 3},
  [4519] = {.lex_state = 453, .external_lex_state = 3},
  [4520] = {.lex_state = 453, .external_lex_state = 3},
  [4521] = {.lex_state = 453, .external_lex_state = 3},
  [4522] = {.lex_state = 72, .external_lex_state = 3},
  [4523] = {.lex_state = 453, .external_lex_state = 3},
  [4524] = {.lex_state = 65, .external_lex_state = 3},
  [4525] = {.lex_state = 65, .external_lex_state = 3},
  [4526] = {.lex_state = 65, .external_lex_state = 3},
  [4527] = {.lex_state = 72, .external_lex_state = 3},
  [4528] = {.lex_state = 72, .external_lex_state = 3},
  [4529] = {.lex_state = 109, .external_lex_state = 3},
  [4530] = {.lex_state = 72, .external_lex_state = 3},
  [4531] = {.lex_state = 453, .external_lex_state = 3},
  [4532] = {.lex_state = 72, .external_lex_state = 3},
  [4533] = {.lex_state = 72, .external_lex_state = 3},
  [4534] = {.lex_state = 453, .external_lex_state = 3},
  [4535] = {.lex_state = 453, .external_lex_state = 3},
  [4536] = {.lex_state = 453, .external_lex_state = 3},
  [4537] = {.lex_state = 65, .external_lex_state = 3},
  [4538] = {.lex_state = 65, .external_lex_state = 3},
  [4539] = {.lex_state = 453, .external_lex_state = 3},
  [4540] = {.lex_state = 453, .external_lex_state = 3},
  [4541] = {.lex_state = 453, .external_lex_state = 3},
  [4542] = {.lex_state = 72, .external_lex_state = 3},
  [4543] = {.lex_state = 453, .external_lex_state = 3},
  [4544] = {.lex_state = 453, .external_lex_state = 3},
  [4545] = {.lex_state = 453, .external_lex_state = 3},
  [4546] = {.lex_state = 65, .external_lex_state = 3},
  [4547] = {.lex_state = 72, .external_lex_state = 3},
  [4548] = {.lex_state = 453, .external_lex_state = 3},
  [4549] = {.lex_state = 72, .external_lex_state = 3},
  [4550] = {.lex_state = 453, .external_lex_state = 3},
  [4551] = {.lex_state = 453, .external_lex_state = 3},
  [4552] = {.lex_state = 453, .external_lex_state = 3},
  [4553] = {.lex_state = 72, .external_lex_state = 3},
  [4554] = {.lex_state = 453, .external_lex_state = 3},
  [4555] = {.lex_state = 115, .external_lex_state = 3},
  [4556] = {.lex_state = 72, .external_lex_state = 3},
  [4557] = {.lex_state = 65, .external_lex_state = 3},
  [4558] = {.lex_state = 65, .external_lex_state = 3},
  [4559] = {.lex_state = 453, .external_lex_state = 3},
  [4560] = {.lex_state = 453, .external_lex_state = 3},
  [4561] = {.lex_state = 453, .external_lex_state = 3},
  [4562] = {.lex_state = 72, .external_lex_state = 3},
  [4563] = {.lex_state = 72, .external_lex_state = 3},
  [4564] = {.lex_state = 453, .external_lex_state = 3},
  [4565] = {.lex_state = 453, .external_lex_state = 3},
  [4566] = {.lex_state = 72, .external_lex_state = 3},
  [4567] = {.lex_state = 453, .external_lex_state = 3},
  [4568] = {.lex_state = 453, .external_lex_state = 3},
  [4569] = {.lex_state = 453, .external_lex_state = 3},
  [4570] = {.lex_state = 453, .external_lex_state = 3},
  [4571] = {.lex_state = 453, .external_lex_state = 3},
  [4572] = {.lex_state = 453, .external_lex_state = 3},
  [4573] = {.lex_state = 453, .external_lex_state = 3},
  [4574] = {.lex_state = 65, .external_lex_state = 3},
  [4575] = {.lex_state = 453, .external_lex_state = 3},
  [4576] = {.lex_state = 453, .external_lex_state = 3},
  [4577] = {.lex_state = 72, .external_lex_state = 3},
  [4578] = {.lex_state = 72, .external_lex_state = 3},
  [4579] = {.lex_state = 65, .external_lex_state = 3},
  [4580] = {.lex_state = 65, .external_lex_state = 3},
  [4581] = {.lex_state = 453, .external_lex_state = 3},
  [4582] = {.lex_state = 453, .external_lex_state = 3},
  [4583] = {.lex_state = 453, .external_lex_state = 3},
  [4584] = {.lex_state = 65, .external_lex_state = 3},
  [4585] = {.lex_state = 453, .external_lex_state = 3},
  [4586] = {.lex_state = 453, .external_lex_state = 3},
  [4587] = {.lex_state = 453, .external_lex_state = 3},
  [4588] = {.lex_state = 72, .external_lex_state = 3},
  [4589] = {.lex_state = 453, .external_lex_state = 3},
  [4590] = {.lex_state = 453, .external_lex_state = 3},
  [4591] = {.lex_state = 453, .external_lex_state = 3},
  [4592] = {.lex_state = 453, .external_lex_state = 3},
  [4593] = {.lex_state = 72, .external_lex_state = 3},
  [4594] = {.lex_state = 72, .external_lex_state = 3},
  [4595] = {.lex_state = 453, .external_lex_state = 3},
  [4596] = {.lex_state = 453, .external_lex_state = 3},
  [4597] = {.lex_state = 453, .external_lex_state = 3},
  [4598] = {.lex_state = 453, .external_lex_state = 3},
  [4599] = {.lex_state = 453, .external_lex_state = 3},
  [4600] = {.lex_state = 453, .external_lex_state = 3},
  [4601] = {.lex_state = 72, .external_lex_state = 3},
  [4602] = {.lex_state = 72, .external_lex_state = 3},
  [4603] = {.lex_state = 453, .external_lex_state = 3},
  [4604] = {.lex_state = 453, .external_lex_state = 3},
  [4605] = {.lex_state = 453, .external_lex_state = 3},
  [4606] = {.lex_state = 72, .external_lex_state = 3},
  [4607] = {.lex_state = 65, .external_lex_state = 3},
  [4608] = {.lex_state = 453, .external_lex_state = 3},
  [4609] = {.lex_state = 453, .external_lex_state = 3},
  [4610] = {.lex_state = 453, .external_lex_state = 3},
  [4611] = {.lex_state = 72, .external_lex_state = 3},
  [4612] = {.lex_state = 453, .external_lex_state = 3},
  [4613] = {.lex_state = 453, .external_lex_state = 3},
  [4614] = {.lex_state = 453, .external_lex_state = 3},
  [4615] = {.lex_state = 453, .external_lex_state = 3},
  [4616] = {.lex_state = 453, .external_lex_state = 3},
  [4617] = {.lex_state = 453, .external_lex_state = 3},
  [4618] = {.lex_state = 453, .external_lex_state = 3},
  [4619] = {.lex_state = 453, .external_lex_state = 3},
  [4620] = {.lex_state = 453, .external_lex_state = 3},
  [4621] = {.lex_state = 453, .external_lex_state = 3},
  [4622] = {.lex_state = 453, .external_lex_state = 3},
  [4623] = {.lex_state = 453, .external_lex_state = 3},
  [4624] = {.lex_state = 453, .external_lex_state = 3},
  [4625] = {.lex_state = 453, .external_lex_state = 3},
  [4626] = {.lex_state = 453, .external_lex_state = 3},
  [4627] = {.lex_state = 65, .external_lex_state = 3},
  [4628] = {.lex_state = 453, .external_lex_state = 3},
  [4629] = {.lex_state = 453, .external_lex_state = 3},
  [4630] = {.lex_state = 65, .external_lex_state = 3},
  [4631] = {.lex_state = 65, .external_lex_state = 3},
  [4632] = {.lex_state = 65, .external_lex_state = 3},
  [4633] = {.lex_state = 65, .external_lex_state = 3},
  [4634] = {.lex_state = 453, .external_lex_state = 3},
  [4635] = {.lex_state = 113, .external_lex_state = 3},
  [4636] = {.lex_state = 453, .external_lex_state = 3},
  [4637] = {.lex_state = 453, .external_lex_state = 3},
  [4638] = {.lex_state = 65, .external_lex_state = 3},
  [4639] = {.lex_state = 453, .external_lex_state = 3},
  [4640] = {.lex_state = 453, .external_lex_state = 3},
  [4641] = {.lex_state = 453, .external_lex_state = 3},
  [4642] = {.lex_state = 65, .external_lex_state = 3},
  [4643] = {.lex_state = 453, .external_lex_state = 3},
  [4644] = {.lex_state = 453, .external_lex_state = 3},
  [4645] = {.lex_state = 453, .external_lex_state = 3},
  [4646] = {.lex_state = 453, .external_lex_state = 3},
  [4647] = {.lex_state = 72, .external_lex_state = 3},
  [4648] = {.lex_state = 72, .external_lex_state = 3},
  [4649] = {.lex_state = 72, .external_lex_state = 3},
  [4650] = {.lex_state = 72, .external_lex_state = 3},
  [4651] = {.lex_state = 72, .external_lex_state = 3},
  [4652] = {.lex_state = 72, .external_lex_state = 3},
  [4653] = {.lex_state = 72, .external_lex_state = 3},
  [4654] = {.lex_state = 453, .external_lex_state = 3},
  [4655] = {.lex_state = 72, .external_lex_state = 3},
  [4656] = {.lex_state = 72, .external_lex_state = 3},
  [4657] = {.lex_state = 65, .external_lex_state = 3},
  [4658] = {.lex_state = 72, .external_lex_state = 3},
  [4659] = {.lex_state = 453, .external_lex_state = 3},
  [4660] = {.lex_state = 65, .external_lex_state = 3},
  [4661] = {.lex_state = 65, .external_lex_state = 3},
  [4662] = {.lex_state = 107, .external_lex_state = 3},
  [4663] = {.lex_state = 65, .external_lex_state = 3},
  [4664] = {.lex_state = 65, .external_lex_state = 3},
  [4665] = {.lex_state = 72, .external_lex_state = 3},
  [4666] = {.lex_state = 453, .external_lex_state = 3},
  [4667] = {.lex_state = 72, .external_lex_state = 3},
  [4668] = {.lex_state = 72, .external_lex_state = 3},
  [4669] = {.lex_state = 72, .external_lex_state = 3},
  [4670] = {.lex_state = 72, .external_lex_state = 3},
  [4671] = {.lex_state = 109, .external_lex_state = 3},
  [4672] = {.lex_state = 65, .external_lex_state = 3},
  [4673] = {.lex_state = 65, .external_lex_state = 3},
  [4674] = {.lex_state = 72, .external_lex_state = 3},
  [4675] = {.lex_state = 65, .external_lex_state = 3},
  [4676] = {.lex_state = 65, .external_lex_state = 3},
  [4677] = {.lex_state = 114, .external_lex_state = 3},
  [4678] = {.lex_state = 72, .external_lex_state = 3},
  [4679] = {.lex_state = 72, .external_lex_state = 3},
  [4680] = {.lex_state = 72, .external_lex_state = 3},
  [4681] = {.lex_state = 453, .external_lex_state = 3},
  [4682] = {.lex_state = 453, .external_lex_state = 3},
  [4683] = {.lex_state = 65, .external_lex_state = 3},
  [4684] = {.lex_state = 65, .external_lex_state = 3},
  [4685] = {.lex_state = 65, .external_lex_state = 3},
  [4686] = {.lex_state = 65, .external_lex_state = 3},
  [4687] = {.lex_state = 65, .external_lex_state = 3},
  [4688] = {.lex_state = 453, .external_lex_state = 3},
  [4689] = {.lex_state = 453, .external_lex_state = 3},
  [4690] = {.lex_state = 65, .external_lex_state = 3},
  [4691] = {.lex_state = 72, .external_lex_state = 3},
  [4692] = {.lex_state = 65, .external_lex_state = 3},
  [4693] = {.lex_state = 65, .external_lex_state = 3},
  [4694] = {.lex_state = 113, .external_lex_state = 3},
  [4695] = {.lex_state = 114, .external_lex_state = 3},
  [4696] = {.lex_state = 65, .external_lex_state = 3},
  [4697] = {.lex_state = 453, .external_lex_state = 3},
  [4698] = {.lex_state = 453, .external_lex_state = 3},
  [4699] = {.lex_state = 72, .external_lex_state = 3},
  [4700] = {.lex_state = 72, .external_lex_state = 3},
  [4701] = {.lex_state = 72, .external_lex_state = 3},
  [4702] = {.lex_state = 72, .external_lex_state = 3},
  [4703] = {.lex_state = 72, .external_lex_state = 3},
  [4704] = {.lex_state = 72, .external_lex_state = 3},
  [4705] = {.lex_state = 72, .external_lex_state = 3},
  [4706] = {.lex_state = 72, .external_lex_state = 3},
  [4707] = {.lex_state = 65, .external_lex_state = 3},
  [4708] = {.lex_state = 453, .external_lex_state = 3},
  [4709] = {.lex_state = 72, .external_lex_state = 3},
  [4710] = {.lex_state = 72, .external_lex_state = 3},
  [4711] = {.lex_state = 453, .external_lex_state = 3},
  [4712] = {.lex_state = 72, .external_lex_state = 3},
  [4713] = {.lex_state = 72, .external_lex_state = 3},
  [4714] = {.lex_state = 72, .external_lex_state = 3},
  [4715] = {.lex_state = 72, .external_lex_state = 3},
  [4716] = {.lex_state = 72, .external_lex_state = 3},
  [4717] = {.lex_state = 72, .external_lex_state = 3},
  [4718] = {.lex_state = 72, .external_lex_state = 3},
  [4719] = {.lex_state = 72, .external_lex_state = 3},
  [4720] = {.lex_state = 72, .external_lex_state = 3},
  [4721] = {.lex_state = 72, .external_lex_state = 3},
  [4722] = {.lex_state = 453, .external_lex_state = 3},
  [4723] = {.lex_state = 453, .external_lex_state = 3},
  [4724] = {.lex_state = 453, .external_lex_state = 3},
  [4725] = {.lex_state = 72, .external_lex_state = 3},
  [4726] = {.lex_state = 453, .external_lex_state = 3},
  [4727] = {.lex_state = 453, .external_lex_state = 3},
  [4728] = {.lex_state = 453, .external_lex_state = 3},
  [4729] = {.lex_state = 72, .external_lex_state = 3},
  [4730] = {.lex_state = 65, .external_lex_state = 3},
  [4731] = {.lex_state = 453, .external_lex_state = 3},
  [4732] = {.lex_state = 65, .external_lex_state = 3},
  [4733] = {.lex_state = 453, .external_lex_state = 3},
  [4734] = {.lex_state = 65, .external_lex_state = 3},
  [4735] = {.lex_state = 65, .external_lex_state = 3},
  [4736] = {.lex_state = 65, .external_lex_state = 3},
  [4737] = {.lex_state = 65, .external_lex_state = 3},
  [4738] = {.lex_state = 453, .external_lex_state = 3},
  [4739] = {.lex_state = 453, .external_lex_state = 3},
  [4740] = {.lex_state = 453, .external_lex_state = 3},
  [4741] = {.lex_state = 72, .external_lex_state = 3},
  [4742] = {.lex_state = 453, .external_lex_state = 3},
  [4743] = {.lex_state = 453, .external_lex_state = 3},
  [4744] = {.lex_state = 72, .external_lex_state = 3},
  [4745] = {.lex_state = 453, .external_lex_state = 3},
  [4746] = {.lex_state = 453, .external_lex_state = 3},
  [4747] = {.lex_state = 65, .external_lex_state = 3},
  [4748] = {.lex_state = 65, .external_lex_state = 3},
  [4749] = {.lex_state = 453, .external_lex_state = 3},
  [4750] = {.lex_state = 453, .external_lex_state = 3},
  [4751] = {.lex_state = 453, .external_lex_state = 3},
  [4752] = {.lex_state = 65, .external_lex_state = 3},
  [4753] = {.lex_state = 65, .external_lex_state = 3},
  [4754] = {.lex_state = 65, .external_lex_state = 3},
  [4755] = {.lex_state = 65, .external_lex_state = 3},
  [4756] = {.lex_state = 453, .external_lex_state = 3},
  [4757] = {.lex_state = 453, .external_lex_state = 3},
  [4758] = {.lex_state = 453, .external_lex_state = 3},
  [4759] = {.lex_state = 453, .external_lex_state = 3},
  [4760] = {.lex_state = 453, .external_lex_state = 3},
  [4761] = {.lex_state = 453, .external_lex_state = 3},
  [4762] = {.lex_state = 453, .external_lex_state = 3},
  [4763] = {.lex_state = 453, .external_lex_state = 3},
  [4764] = {.lex_state = 65, .external_lex_state = 3},
  [4765] = {.lex_state = 453, .external_lex_state = 3},
  [4766] = {.lex_state = 72, .external_lex_state = 3},
  [4767] = {.lex_state = 453, .external_lex_state = 3},
  [4768] = {.lex_state = 115, .external_lex_state = 3},
  [4769] = {.lex_state = 115, .external_lex_state = 3},
  [4770] = {.lex_state = 107, .external_lex_state = 3},
  [4771] = {.lex_state = 116, .external_lex_state = 3},
  [4772] = {.lex_state = 107, .external_lex_state = 3},
  [4773] = {.lex_state = 111, .external_lex_state = 3},
  [4774] = {.lex_state = 110, .external_lex_state = 3},
  [4775] = {.lex_state = 116, .external_lex_state = 3},
  [4776] = {.lex_state = 116, .external_lex_state = 3},
  [4777] = {.lex_state = 111, .external_lex_state = 3},
  [4778] = {.lex_state = 117, .external_lex_state = 3},
  [4779] = {.lex_state = 111, .external_lex_state = 3},
  [4780] = {.lex_state = 18, .external_lex_state = 3},
  [4781] = {.lex_state = 110, .external_lex_state = 3},
  [4782] = {.lex_state = 174, .external_lex_state = 3},
  [4783] = {.lex_state = 117, .external_lex_state = 3},
  [4784] = {.lex_state = 117, .external_lex_state = 3},
  [4785] = {.lex_state = 18, .external_lex_state = 3},
  [4786] = {.lex_state = 174, .external_lex_state = 3},
  [4787] = {.lex_state = 18, .external_lex_state = 3},
  [4788] = {.lex_state = 174, .external_lex_state = 3},
  [4789] = {.lex_state = 174, .external_lex_state = 3},
  [4790] = {.lex_state = 110, .external_lex_state = 3},
  [4791] = {.lex_state = 174, .external_lex_state = 3},
  [4792] = {.lex_state = 174, .external_lex_state = 3},
  [4793] = {.lex_state = 174, .external_lex_state = 3},
  [4794] = {.lex_state = 174, .external_lex_state = 3},
  [4795] = {.lex_state = 174, .external_lex_state = 3},
  [4796] = {.lex_state = 174, .external_lex_state = 3},
  [4797] = {.lex_state = 174, .external_lex_state = 3},
  [4798] = {.lex_state = 174, .external_lex_state = 3},
  [4799] = {.lex_state = 174, .external_lex_state = 3},
  [4800] = {.lex_state = 174, .external_lex_state = 3},
  [4801] = {.lex_state = 174, .external_lex_state = 3},
  [4802] = {.lex_state = 174, .external_lex_state = 3},
  [4803] = {.lex_state = 174, .external_lex_state = 3},
  [4804] = {.lex_state = 174, .external_lex_state = 3},
  [4805] = {.lex_state = 174, .external_lex_state = 3},
  [4806] = {.lex_state = 174, .external_lex_state = 3},
  [4807] = {.lex_state = 174, .external_lex_state = 3},
  [4808] = {.lex_state = 174, .external_lex_state = 3},
  [4809] = {.lex_state = 174, .external_lex_state = 3},
  [4810] = {.lex_state = 174, .external_lex_state = 3},
  [4811] = {.lex_state = 174, .external_lex_state = 3},
  [4812] = {.lex_state = 174, .external_lex_state = 3},
  [4813] = {.lex_state = 174, .external_lex_state = 3},
  [4814] = {.lex_state = 174, .external_lex_state = 3},
  [4815] = {.lex_state = 174, .external_lex_state = 3},
  [4816] = {.lex_state = 174, .external_lex_state = 3},
  [4817] = {.lex_state = 174, .external_lex_state = 3},
  [4818] = {.lex_state = 174, .external_lex_state = 3},
  [4819] = {.lex_state = 174, .external_lex_state = 3},
  [4820] = {.lex_state = 174, .external_lex_state = 3},
  [4821] = {.lex_state = 174, .external_lex_state = 3},
  [4822] = {.lex_state = 174, .external_lex_state = 3},
  [4823] = {.lex_state = 174, .external_lex_state = 3},
  [4824] = {.lex_state = 174, .external_lex_state = 3},
  [4825] = {.lex_state = 174, .external_lex_state = 3},
  [4826] = {.lex_state = 174, .external_lex_state = 3},
  [4827] = {.lex_state = 174, .external_lex_state = 3},
  [4828] = {.lex_state = 174, .external_lex_state = 3},
  [4829] = {.lex_state = 174, .external_lex_state = 3},
  [4830] = {.lex_state = 174, .external_lex_state = 3},
  [4831] = {.lex_state = 174, .external_lex_state = 3},
  [4832] = {.lex_state = 174, .external_lex_state = 3},
  [4833] = {.lex_state = 174, .external_lex_state = 3},
  [4834] = {.lex_state = 174, .external_lex_state = 3},
  [4835] = {.lex_state = 174, .external_lex_state = 3},
  [4836] = {.lex_state = 174, .external_lex_state = 3},
  [4837] = {.lex_state = 174, .external_lex_state = 3},
  [4838] = {.lex_state = 174, .external_lex_state = 3},
  [4839] = {.lex_state = 18, .external_lex_state = 3},
  [4840] = {.lex_state = 174, .external_lex_state = 3},
  [4841] = {.lex_state = 174, .external_lex_state = 3},
  [4842] = {.lex_state = 174, .external_lex_state = 3},
  [4843] = {.lex_state = 174, .external_lex_state = 3},
  [4844] = {.lex_state = 174, .external_lex_state = 3},
  [4845] = {.lex_state = 174, .external_lex_state = 3},
  [4846] = {.lex_state = 174, .external_lex_state = 3},
  [4847] = {.lex_state = 174, .external_lex_state = 3},
  [4848] = {.lex_state = 174, .external_lex_state = 3},
  [4849] = {.lex_state = 174, .external_lex_state = 3},
  [4850] = {.lex_state = 174, .external_lex_state = 3},
  [4851] = {.lex_state = 174, .external_lex_state = 3},
  [4852] = {.lex_state = 174, .external_lex_state = 3},
  [4853] = {.lex_state = 174, .external_lex_state = 3},
  [4854] = {.lex_state = 174, .external_lex_state = 3},
  [4855] = {.lex_state = 174, .external_lex_state = 3},
  [4856] = {.lex_state = 174, .external_lex_state = 3},
  [4857] = {.lex_state = 174, .external_lex_state = 3},
  [4858] = {.lex_state = 174, .external_lex_state = 3},
  [4859] = {.lex_state = 174, .external_lex_state = 3},
  [4860] = {.lex_state = 174, .external_lex_state = 3},
  [4861] = {.lex_state = 174, .external_lex_state = 3},
  [4862] = {.lex_state = 174, .external_lex_state = 3},
  [4863] = {.lex_state = 45, .external_lex_state = 3},
  [4864] = {.lex_state = 45, .external_lex_state = 3},
  [4865] = {.lex_state = 174, .external_lex_state = 3},
  [4866] = {.lex_state = 45, .external_lex_state = 3},
  [4867] = {.lex_state = 45, .external_lex_state = 3},
  [4868] = {.lex_state = 45, .external_lex_state = 3},
  [4869] = {.lex_state = 174, .external_lex_state = 3},
  [4870] = {.lex_state = 45, .external_lex_state = 3},
  [4871] = {.lex_state = 45, .external_lex_state = 3},
  [4872] = {.lex_state = 45, .external_lex_state = 3},
  [4873] = {.lex_state = 174, .external_lex_state = 3},
  [4874] = {.lex_state = 174, .external_lex_state = 3},
  [4875] = {.lex_state = 174, .external_lex_state = 3},
  [4876] = {.lex_state = 174, .external_lex_state = 3},
  [4877] = {.lex_state = 174, .external_lex_state = 3},
  [4878] = {.lex_state = 174, .external_lex_state = 3},
  [4879] = {.lex_state = 174, .external_lex_state = 3},
  [4880] = {.lex_state = 174, .external_lex_state = 3},
  [4881] = {.lex_state = 174, .external_lex_state = 3},
  [4882] = {.lex_state = 45, .external_lex_state = 3},
  [4883] = {.lex_state = 45, .external_lex_state = 3},
  [4884] = {.lex_state = 174, .external_lex_state = 3},
  [4885] = {.lex_state = 174, .external_lex_state = 3},
  [4886] = {.lex_state = 174, .external_lex_state = 3},
  [4887] = {.lex_state = 45, .external_lex_state = 3},
  [4888] = {.lex_state = 174, .external_lex_state = 3},
  [4889] = {.lex_state = 174, .external_lex_state = 3},
  [4890] = {.lex_state = 174, .external_lex_state = 3},
  [4891] = {.lex_state = 174, .external_lex_state = 3},
  [4892] = {.lex_state = 174, .external_lex_state = 3},
  [4893] = {.lex_state = 174, .external_lex_state = 3},
  [4894] = {.lex_state = 174, .external_lex_state = 3},
  [4895] = {.lex_state = 174, .external_lex_state = 3},
  [4896] = {.lex_state = 174, .external_lex_state = 3},
  [4897] = {.lex_state = 45, .external_lex_state = 3},
  [4898] = {.lex_state = 45, .external_lex_state = 3},
  [4899] = {.lex_state = 174, .external_lex_state = 3},
  [4900] = {.lex_state = 174, .external_lex_state = 3},
  [4901] = {.lex_state = 174, .external_lex_state = 3},
  [4902] = {.lex_state = 46, .external_lex_state = 3},
  [4903] = {.lex_state = 174, .external_lex_state = 3},
  [4904] = {.lex_state = 174, .external_lex_state = 3},
  [4905] = {.lex_state = 45, .external_lex_state = 3},
  [4906] = {.lex_state = 174, .external_lex_state = 3},
  [4907] = {.lex_state = 45, .external_lex_state = 3},
  [4908] = {.lex_state = 174, .external_lex_state = 3},
  [4909] = {.lex_state = 174, .external_lex_state = 3},
  [4910] = {.lex_state = 45, .external_lex_state = 3},
  [4911] = {.lex_state = 45, .external_lex_state = 3},
  [4912] = {.lex_state = 45, .external_lex_state = 3},
  [4913] = {.lex_state = 45, .external_lex_state = 3},
  [4914] = {.lex_state = 174, .external_lex_state = 3},
  [4915] = {.lex_state = 45, .external_lex_state = 3},
  [4916] = {.lex_state = 45, .external_lex_state = 3},
  [4917] = {.lex_state = 45, .external_lex_state = 3},
  [4918] = {.lex_state = 45, .external_lex_state = 3},
  [4919] = {.lex_state = 45, .external_lex_state = 3},
  [4920] = {.lex_state = 45, .external_lex_state = 3},
  [4921] = {.lex_state = 174, .external_lex_state = 3},
  [4922] = {.lex_state = 45, .external_lex_state = 3},
  [4923] = {.lex_state = 45, .external_lex_state = 3},
  [4924] = {.lex_state = 174, .external_lex_state = 3},
  [4925] = {.lex_state = 174, .external_lex_state = 3},
  [4926] = {.lex_state = 45, .external_lex_state = 3},
  [4927] = {.lex_state = 174, .external_lex_state = 3},
  [4928] = {.lex_state = 45, .external_lex_state = 3},
  [4929] = {.lex_state = 45, .external_lex_state = 3},
  [4930] = {.lex_state = 45, .external_lex_state = 3},
  [4931] = {.lex_state = 45, .external_lex_state = 3},
  [4932] = {.lex_state = 45, .external_lex_state = 3},
  [4933] = {.lex_state = 45, .external_lex_state = 3},
  [4934] = {.lex_state = 45, .external_lex_state = 3},
  [4935] = {.lex_state = 46, .external_lex_state = 3},
  [4936] = {.lex_state = 45, .external_lex_state = 3},
  [4937] = {.lex_state = 45, .external_lex_state = 3},
  [4938] = {.lex_state = 45, .external_lex_state = 3},
  [4939] = {.lex_state = 45, .external_lex_state = 3},
  [4940] = {.lex_state = 45, .external_lex_state = 3},
  [4941] = {.lex_state = 45, .external_lex_state = 3},
  [4942] = {.lex_state = 45, .external_lex_state = 3},
  [4943] = {.lex_state = 46, .external_lex_state = 3},
  [4944] = {.lex_state = 174, .external_lex_state = 3},
  [4945] = {.lex_state = 45, .external_lex_state = 3},
  [4946] = {.lex_state = 45, .external_lex_state = 3},
  [4947] = {.lex_state = 45, .external_lex_state = 3},
  [4948] = {.lex_state = 45, .external_lex_state = 3},
  [4949] = {.lex_state = 45, .external_lex_state = 3},
  [4950] = {.lex_state = 45, .external_lex_state = 3},
  [4951] = {.lex_state = 45, .external_lex_state = 3},
  [4952] = {.lex_state = 45, .external_lex_state = 3},
  [4953] = {.lex_state = 45, .external_lex_state = 3},
  [4954] = {.lex_state = 45, .external_lex_state = 3},
  [4955] = {.lex_state = 45, .external_lex_state = 3},
  [4956] = {.lex_state = 45, .external_lex_state = 3},
  [4957] = {.lex_state = 45, .external_lex_state = 3},
  [4958] = {.lex_state = 45, .external_lex_state = 3},
  [4959] = {.lex_state = 45, .external_lex_state = 3},
  [4960] = {.lex_state = 45, .external_lex_state = 3},
  [4961] = {.lex_state = 45, .external_lex_state = 3},
  [4962] = {.lex_state = 45, .external_lex_state = 3},
  [4963] = {.lex_state = 45, .external_lex_state = 3},
  [4964] = {.lex_state = 45, .external_lex_state = 3},
  [4965] = {.lex_state = 45, .external_lex_state = 3},
  [4966] = {.lex_state = 45, .external_lex_state = 3},
  [4967] = {.lex_state = 174, .external_lex_state = 3},
  [4968] = {.lex_state = 45, .external_lex_state = 3},
  [4969] = {.lex_state = 45, .external_lex_state = 3},
  [4970] = {.lex_state = 45, .external_lex_state = 3},
  [4971] = {.lex_state = 45, .external_lex_state = 3},
  [4972] = {.lex_state = 174, .external_lex_state = 3},
  [4973] = {.lex_state = 45, .external_lex_state = 3},
  [4974] = {.lex_state = 45, .external_lex_state = 3},
  [4975] = {.lex_state = 174, .external_lex_state = 3},
  [4976] = {.lex_state = 45, .external_lex_state = 3},
  [4977] = {.lex_state = 45, .external_lex_state = 3},
  [4978] = {.lex_state = 174, .external_lex_state = 3},
  [4979] = {.lex_state = 45, .external_lex_state = 3},
  [4980] = {.lex_state = 45, .external_lex_state = 3},
  [4981] = {.lex_state = 174, .external_lex_state = 3},
  [4982] = {.lex_state = 174, .external_lex_state = 3},
  [4983] = {.lex_state = 45, .external_lex_state = 3},
  [4984] = {.lex_state = 45, .external_lex_state = 3},
  [4985] = {.lex_state = 45, .external_lex_state = 3},
  [4986] = {.lex_state = 174, .external_lex_state = 3},
  [4987] = {.lex_state = 45, .external_lex_state = 3},
  [4988] = {.lex_state = 174, .external_lex_state = 3},
  [4989] = {.lex_state = 45, .external_lex_state = 3},
  [4990] = {.lex_state = 174, .external_lex_state = 3},
  [4991] = {.lex_state = 46, .external_lex_state = 3},
  [4992] = {.lex_state = 174, .external_lex_state = 3},
  [4993] = {.lex_state = 174, .external_lex_state = 3},
  [4994] = {.lex_state = 174, .external_lex_state = 3},
  [4995] = {.lex_state = 174, .external_lex_state = 3},
  [4996] = {.lex_state = 174, .external_lex_state = 3},
  [4997] = {.lex_state = 45, .external_lex_state = 3},
  [4998] = {.lex_state = 45, .external_lex_state = 3},
  [4999] = {.lex_state = 174, .external_lex_state = 3},
  [5000] = {.lex_state = 174, .external_lex_state = 3},
  [5001] = {.lex_state = 174, .external_lex_state = 3},
  [5002] = {.lex_state = 174, .external_lex_state = 3},
  [5003] = {.lex_state = 174, .external_lex_state = 3},
  [5004] = {.lex_state = 45, .external_lex_state = 3},
  [5005] = {.lex_state = 46, .external_lex_state = 3},
  [5006] = {.lex_state = 45, .external_lex_state = 3},
  [5007] = {.lex_state = 45, .external_lex_state = 3},
  [5008] = {.lex_state = 174, .external_lex_state = 3},
  [5009] = {.lex_state = 45, .external_lex_state = 3},
  [5010] = {.lex_state = 174, .external_lex_state = 3},
  [5011] = {.lex_state = 45, .external_lex_state = 3},
  [5012] = {.lex_state = 174, .external_lex_state = 3},
  [5013] = {.lex_state = 174, .external_lex_state = 3},
  [5014] = {.lex_state = 46, .external_lex_state = 3},
  [5015] = {.lex_state = 46, .external_lex_state = 3},
  [5016] = {.lex_state = 174, .external_lex_state = 3},
  [5017] = {.lex_state = 174, .external_lex_state = 3},
  [5018] = {.lex_state = 46, .external_lex_state = 3},
  [5019] = {.lex_state = 174, .external_lex_state = 3},
  [5020] = {.lex_state = 174, .external_lex_state = 3},
  [5021] = {.lex_state = 45, .external_lex_state = 3},
  [5022] = {.lex_state = 174, .external_lex_state = 3},
  [5023] = {.lex_state = 174, .external_lex_state = 3},
  [5024] = {.lex_state = 174, .external_lex_state = 3},
  [5025] = {.lex_state = 46, .external_lex_state = 3},
  [5026] = {.lex_state = 174, .external_lex_state = 3},
  [5027] = {.lex_state = 46, .external_lex_state = 3},
  [5028] = {.lex_state = 46, .external_lex_state = 3},
  [5029] = {.lex_state = 174, .external_lex_state = 3},
  [5030] = {.lex_state = 45, .external_lex_state = 3},
  [5031] = {.lex_state = 45, .external_lex_state = 3},
  [5032] = {.lex_state = 45, .external_lex_state = 3},
  [5033] = {.lex_state = 46, .external_lex_state = 3},
  [5034] = {.lex_state = 174, .external_lex_state = 3},
  [5035] = {.lex_state = 46, .external_lex_state = 3},
  [5036] = {.lex_state = 42, .external_lex_state = 3},
  [5037] = {.lex_state = 46, .external_lex_state = 3},
  [5038] = {.lex_state = 19, .external_lex_state = 3},
  [5039] = {.lex_state = 46, .external_lex_state = 3},
  [5040] = {.lex_state = 46, .external_lex_state = 3},
  [5041] = {.lex_state = 18, .external_lex_state = 3},
  [5042] = {.lex_state = 46, .external_lex_state = 3},
  [5043] = {.lex_state = 46, .external_lex_state = 3},
  [5044] = {.lex_state = 46, .external_lex_state = 3},
  [5045] = {.lex_state = 46, .external_lex_state = 3},
  [5046] = {.lex_state = 46, .external_lex_state = 3},
  [5047] = {.lex_state = 46, .external_lex_state = 3},
  [5048] = {.lex_state = 46, .external_lex_state = 3},
  [5049] = {.lex_state = 46, .external_lex_state = 3},
  [5050] = {.lex_state = 46, .external_lex_state = 3},
  [5051] = {.lex_state = 46, .external_lex_state = 3},
  [5052] = {.lex_state = 46, .external_lex_state = 3},
  [5053] = {.lex_state = 46, .external_lex_state = 3},
  [5054] = {.lex_state = 46, .external_lex_state = 3},
  [5055] = {.lex_state = 46, .external_lex_state = 3},
  [5056] = {.lex_state = 46, .external_lex_state = 3},
  [5057] = {.lex_state = 46, .external_lex_state = 3},
  [5058] = {.lex_state = 46, .external_lex_state = 3},
  [5059] = {.lex_state = 42, .external_lex_state = 3},
  [5060] = {.lex_state = 46, .external_lex_state = 3},
  [5061] = {.lex_state = 42, .external_lex_state = 3},
  [5062] = {.lex_state = 42, .external_lex_state = 3},
  [5063] = {.lex_state = 42, .external_lex_state = 3},
  [5064] = {.lex_state = 46, .external_lex_state = 3},
  [5065] = {.lex_state = 42, .external_lex_state = 3},
  [5066] = {.lex_state = 42, .external_lex_state = 3},
  [5067] = {.lex_state = 42, .external_lex_state = 3},
  [5068] = {.lex_state = 46, .external_lex_state = 3},
  [5069] = {.lex_state = 46, .external_lex_state = 3},
  [5070] = {.lex_state = 46, .external_lex_state = 3},
  [5071] = {.lex_state = 46, .external_lex_state = 3},
  [5072] = {.lex_state = 46, .external_lex_state = 3},
  [5073] = {.lex_state = 46, .external_lex_state = 3},
  [5074] = {.lex_state = 46, .external_lex_state = 3},
  [5075] = {.lex_state = 46, .external_lex_state = 3},
  [5076] = {.lex_state = 46, .external_lex_state = 3},
  [5077] = {.lex_state = 46, .external_lex_state = 3},
  [5078] = {.lex_state = 46, .external_lex_state = 3},
  [5079] = {.lex_state = 46, .external_lex_state = 3},
  [5080] = {.lex_state = 46, .external_lex_state = 3},
  [5081] = {.lex_state = 46, .external_lex_state = 3},
  [5082] = {.lex_state = 46, .external_lex_state = 3},
  [5083] = {.lex_state = 46, .external_lex_state = 3},
  [5084] = {.lex_state = 46, .external_lex_state = 3},
  [5085] = {.lex_state = 46, .external_lex_state = 3},
  [5086] = {.lex_state = 46, .external_lex_state = 3},
  [5087] = {.lex_state = 46, .external_lex_state = 3},
  [5088] = {.lex_state = 46, .external_lex_state = 3},
  [5089] = {.lex_state = 46, .external_lex_state = 3},
  [5090] = {.lex_state = 42, .external_lex_state = 3},
  [5091] = {.lex_state = 46, .external_lex_state = 3},
  [5092] = {.lex_state = 46, .external_lex_state = 3},
  [5093] = {.lex_state = 46, .external_lex_state = 3},
  [5094] = {.lex_state = 42, .external_lex_state = 3},
  [5095] = {.lex_state = 46, .external_lex_state = 3},
  [5096] = {.lex_state = 46, .external_lex_state = 3},
  [5097] = {.lex_state = 174, .external_lex_state = 3},
  [5098] = {.lex_state = 46, .external_lex_state = 3},
  [5099] = {.lex_state = 46, .external_lex_state = 3},
  [5100] = {.lex_state = 46, .external_lex_state = 3},
  [5101] = {.lex_state = 46, .external_lex_state = 3},
  [5102] = {.lex_state = 46, .external_lex_state = 3},
  [5103] = {.lex_state = 46, .external_lex_state = 3},
  [5104] = {.lex_state = 46, .external_lex_state = 3},
  [5105] = {.lex_state = 174, .external_lex_state = 3},
  [5106] = {.lex_state = 174, .external_lex_state = 3},
  [5107] = {.lex_state = 46, .external_lex_state = 3},
  [5108] = {.lex_state = 174, .external_lex_state = 3},
  [5109] = {.lex_state = 174, .external_lex_state = 3},
  [5110] = {.lex_state = 46, .external_lex_state = 3},
  [5111] = {.lex_state = 46, .external_lex_state = 3},
  [5112] = {.lex_state = 46, .external_lex_state = 3},
  [5113] = {.lex_state = 46, .external_lex_state = 3},
  [5114] = {.lex_state = 46, .external_lex_state = 3},
  [5115] = {.lex_state = 46, .external_lex_state = 3},
  [5116] = {.lex_state = 46, .external_lex_state = 3},
  [5117] = {.lex_state = 46, .external_lex_state = 3},
  [5118] = {.lex_state = 46, .external_lex_state = 3},
  [5119] = {.lex_state = 46, .external_lex_state = 3},
  [5120] = {.lex_state = 46, .external_lex_state = 3},
  [5121] = {.lex_state = 46, .external_lex_state = 3},
  [5122] = {.lex_state = 46, .external_lex_state = 3},
  [5123] = {.lex_state = 46, .external_lex_state = 3},
  [5124] = {.lex_state = 46, .external_lex_state = 3},
  [5125] = {.lex_state = 46, .external_lex_state = 3},
  [5126] = {.lex_state = 46, .external_lex_state = 3},
  [5127] = {.lex_state = 46, .external_lex_state = 3},
  [5128] = {.lex_state = 46, .external_lex_state = 3},
  [5129] = {.lex_state = 46, .external_lex_state = 3},
  [5130] = {.lex_state = 174, .external_lex_state = 3},
  [5131] = {.lex_state = 42, .external_lex_state = 3},
  [5132] = {.lex_state = 42, .external_lex_state = 3},
  [5133] = {.lex_state = 42, .external_lex_state = 3},
  [5134] = {.lex_state = 42, .external_lex_state = 3},
  [5135] = {.lex_state = 42, .external_lex_state = 3},
  [5136] = {.lex_state = 42, .external_lex_state = 3},
  [5137] = {.lex_state = 42, .external_lex_state = 3},
  [5138] = {.lex_state = 42, .external_lex_state = 3},
  [5139] = {.lex_state = 42, .external_lex_state = 3},
  [5140] = {.lex_state = 42, .external_lex_state = 3},
  [5141] = {.lex_state = 42, .external_lex_state = 3},
  [5142] = {.lex_state = 42, .external_lex_state = 3},
  [5143] = {.lex_state = 42, .external_lex_state = 3},
  [5144] = {.lex_state = 42, .external_lex_state = 3},
  [5145] = {.lex_state = 44, .external_lex_state = 3},
  [5146] = {.lex_state = 42, .external_lex_state = 3},
  [5147] = {.lex_state = 44, .external_lex_state = 3},
  [5148] = {.lex_state = 42, .external_lex_state = 3},
  [5149] = {.lex_state = 453, .external_lex_state = 3},
  [5150] = {.lex_state = 42, .external_lex_state = 3},
  [5151] = {.lex_state = 41, .external_lex_state = 3},
  [5152] = {.lex_state = 42, .external_lex_state = 3},
  [5153] = {.lex_state = 44, .external_lex_state = 3},
  [5154] = {.lex_state = 174, .external_lex_state = 3},
  [5155] = {.lex_state = 42, .external_lex_state = 3},
  [5156] = {.lex_state = 42, .external_lex_state = 3},
  [5157] = {.lex_state = 42, .external_lex_state = 3},
  [5158] = {.lex_state = 42, .external_lex_state = 3},
  [5159] = {.lex_state = 42, .external_lex_state = 3},
  [5160] = {.lex_state = 42, .external_lex_state = 3},
  [5161] = {.lex_state = 42, .external_lex_state = 3},
  [5162] = {.lex_state = 42, .external_lex_state = 3},
  [5163] = {.lex_state = 42, .external_lex_state = 3},
  [5164] = {.lex_state = 42, .external_lex_state = 3},
  [5165] = {.lex_state = 42, .external_lex_state = 3},
  [5166] = {.lex_state = 42, .external_lex_state = 3},
  [5167] = {.lex_state = 42, .external_lex_state = 3},
  [5168] = {.lex_state = 42, .external_lex_state = 3},
  [5169] = {.lex_state = 42, .external_lex_state = 3},
  [5170] = {.lex_state = 42, .external_lex_state = 3},
  [5171] = {.lex_state = 42, .external_lex_state = 3},
  [5172] = {.lex_state = 41, .external_lex_state = 3},
  [5173] = {.lex_state = 41, .external_lex_state = 3},
  [5174] = {.lex_state = 41, .external_lex_state = 3},
  [5175] = {.lex_state = 174, .external_lex_state = 3},
  [5176] = {.lex_state = 44, .external_lex_state = 3},
  [5177] = {.lex_state = 453, .external_lex_state = 3},
  [5178] = {.lex_state = 174, .external_lex_state = 3},
  [5179] = {.lex_state = 41, .external_lex_state = 3},
  [5180] = {.lex_state = 42, .external_lex_state = 3},
  [5181] = {.lex_state = 42, .external_lex_state = 3},
  [5182] = {.lex_state = 42, .external_lex_state = 3},
  [5183] = {.lex_state = 42, .external_lex_state = 3},
  [5184] = {.lex_state = 42, .external_lex_state = 3},
  [5185] = {.lex_state = 42, .external_lex_state = 3},
  [5186] = {.lex_state = 41, .external_lex_state = 3},
  [5187] = {.lex_state = 453, .external_lex_state = 3},
  [5188] = {.lex_state = 174, .external_lex_state = 3},
  [5189] = {.lex_state = 42, .external_lex_state = 3},
  [5190] = {.lex_state = 174, .external_lex_state = 3},
  [5191] = {.lex_state = 42, .external_lex_state = 3},
  [5192] = {.lex_state = 41, .external_lex_state = 3},
  [5193] = {.lex_state = 41, .external_lex_state = 3},
  [5194] = {.lex_state = 41, .external_lex_state = 3},
  [5195] = {.lex_state = 174, .external_lex_state = 3},
  [5196] = {.lex_state = 42, .external_lex_state = 3},
  [5197] = {.lex_state = 42, .external_lex_state = 3},
  [5198] = {.lex_state = 174, .external_lex_state = 3},
  [5199] = {.lex_state = 174, .external_lex_state = 3},
  [5200] = {.lex_state = 174, .external_lex_state = 3},
  [5201] = {.lex_state = 174, .external_lex_state = 3},
  [5202] = {.lex_state = 174, .external_lex_state = 3},
  [5203] = {.lex_state = 174, .external_lex_state = 3},
  [5204] = {.lex_state = 174, .external_lex_state = 3},
  [5205] = {.lex_state = 174, .external_lex_state = 3},
  [5206] = {.lex_state = 42, .external_lex_state = 3},
  [5207] = {.lex_state = 42, .external_lex_state = 3},
  [5208] = {.lex_state = 174, .external_lex_state = 3},
  [5209] = {.lex_state = 42, .external_lex_state = 3},
  [5210] = {.lex_state = 174, .external_lex_state = 3},
  [5211] = {.lex_state = 174, .external_lex_state = 3},
  [5212] = {.lex_state = 174, .external_lex_state = 3},
  [5213] = {.lex_state = 174, .external_lex_state = 3},
  [5214] = {.lex_state = 42, .external_lex_state = 3},
  [5215] = {.lex_state = 41, .external_lex_state = 3},
  [5216] = {.lex_state = 42, .external_lex_state = 3},
  [5217] = {.lex_state = 174, .external_lex_state = 3},
  [5218] = {.lex_state = 174, .external_lex_state = 3},
  [5219] = {.lex_state = 41, .external_lex_state = 3},
  [5220] = {.lex_state = 174, .external_lex_state = 3},
  [5221] = {.lex_state = 174, .external_lex_state = 3},
  [5222] = {.lex_state = 174, .external_lex_state = 3},
  [5223] = {.lex_state = 174, .external_lex_state = 3},
  [5224] = {.lex_state = 174, .external_lex_state = 3},
  [5225] = {.lex_state = 174, .external_lex_state = 3},
  [5226] = {.lex_state = 174, .external_lex_state = 3},
  [5227] = {.lex_state = 174, .external_lex_state = 3},
  [5228] = {.lex_state = 174, .external_lex_state = 3},
  [5229] = {.lex_state = 174, .external_lex_state = 3},
  [5230] = {.lex_state = 42, .external_lex_state = 3},
  [5231] = {.lex_state = 174, .external_lex_state = 3},
  [5232] = {.lex_state = 174, .external_lex_state = 3},
  [5233] = {.lex_state = 174, .external_lex_state = 3},
  [5234] = {.lex_state = 174, .external_lex_state = 3},
  [5235] = {.lex_state = 42, .external_lex_state = 3},
  [5236] = {.lex_state = 174, .external_lex_state = 3},
  [5237] = {.lex_state = 174, .external_lex_state = 3},
  [5238] = {.lex_state = 174, .external_lex_state = 3},
  [5239] = {.lex_state = 42, .external_lex_state = 3},
  [5240] = {.lex_state = 42, .external_lex_state = 3},
  [5241] = {.lex_state = 174, .external_lex_state = 3},
  [5242] = {.lex_state = 174, .external_lex_state = 3},
  [5243] = {.lex_state = 42, .external_lex_state = 3},
  [5244] = {.lex_state = 174, .external_lex_state = 3},
  [5245] = {.lex_state = 42, .external_lex_state = 3},
  [5246] = {.lex_state = 42, .external_lex_state = 3},
  [5247] = {.lex_state = 174, .external_lex_state = 3},
  [5248] = {.lex_state = 174, .external_lex_state = 3},
  [5249] = {.lex_state = 174, .external_lex_state = 3},
  [5250] = {.lex_state = 174, .external_lex_state = 3},
  [5251] = {.lex_state = 44, .external_lex_state = 3},
  [5252] = {.lex_state = 44, .external_lex_state = 3},
  [5253] = {.lex_state = 44, .external_lex_state = 3},
  [5254] = {.lex_state = 174, .external_lex_state = 3},
  [5255] = {.lex_state = 174, .external_lex_state = 3},
  [5256] = {.lex_state = 174, .external_lex_state = 3},
  [5257] = {.lex_state = 174, .external_lex_state = 3},
  [5258] = {.lex_state = 174, .external_lex_state = 3},
  [5259] = {.lex_state = 44, .external_lex_state = 3},
  [5260] = {.lex_state = 44, .external_lex_state = 3},
  [5261] = {.lex_state = 44, .external_lex_state = 3},
  [5262] = {.lex_state = 42, .external_lex_state = 3},
  [5263] = {.lex_state = 42, .external_lex_state = 3},
  [5264] = {.lex_state = 42, .external_lex_state = 3},
  [5265] = {.lex_state = 42, .external_lex_state = 3},
  [5266] = {.lex_state = 42, .external_lex_state = 3},
  [5267] = {.lex_state = 42, .external_lex_state = 3},
  [5268] = {.lex_state = 42, .external_lex_state = 3},
  [5269] = {.lex_state = 42, .external_lex_state = 3},
  [5270] = {.lex_state = 42, .external_lex_state = 3},
  [5271] = {.lex_state = 42, .external_lex_state = 3},
  [5272] = {.lex_state = 42, .external_lex_state = 3},
  [5273] = {.lex_state = 42, .external_lex_state = 3},
  [5274] = {.lex_state = 45, .external_lex_state = 3},
  [5275] = {.lex_state = 18, .external_lex_state = 3},
  [5276] = {.lex_state = 42, .external_lex_state = 3},
  [5277] = {.lex_state = 42, .external_lex_state = 3},
  [5278] = {.lex_state = 42, .external_lex_state = 3},
  [5279] = {.lex_state = 42, .external_lex_state = 3},
  [5280] = {.lex_state = 42, .external_lex_state = 3},
  [5281] = {.lex_state = 42, .external_lex_state = 3},
  [5282] = {.lex_state = 42, .external_lex_state = 3},
  [5283] = {.lex_state = 19, .external_lex_state = 3},
  [5284] = {.lex_state = 42, .external_lex_state = 3},
  [5285] = {.lex_state = 42, .external_lex_state = 3},
  [5286] = {.lex_state = 174, .external_lex_state = 3},
  [5287] = {.lex_state = 41, .external_lex_state = 3},
  [5288] = {.lex_state = 41, .external_lex_state = 3},
  [5289] = {.lex_state = 41, .external_lex_state = 3},
  [5290] = {.lex_state = 44, .external_lex_state = 3},
  [5291] = {.lex_state = 44, .external_lex_state = 3},
  [5292] = {.lex_state = 44, .external_lex_state = 3},
  [5293] = {.lex_state = 44, .external_lex_state = 3},
  [5294] = {.lex_state = 44, .external_lex_state = 3},
  [5295] = {.lex_state = 44, .external_lex_state = 3},
  [5296] = {.lex_state = 41, .external_lex_state = 3},
  [5297] = {.lex_state = 44, .external_lex_state = 3},
  [5298] = {.lex_state = 44, .external_lex_state = 3},
  [5299] = {.lex_state = 41, .external_lex_state = 3},
  [5300] = {.lex_state = 44, .external_lex_state = 3},
  [5301] = {.lex_state = 41, .external_lex_state = 3},
  [5302] = {.lex_state = 44, .external_lex_state = 3},
  [5303] = {.lex_state = 44, .external_lex_state = 3},
  [5304] = {.lex_state = 41, .external_lex_state = 3},
  [5305] = {.lex_state = 44, .external_lex_state = 3},
  [5306] = {.lex_state = 41, .external_lex_state = 3},
  [5307] = {.lex_state = 41, .external_lex_state = 3},
  [5308] = {.lex_state = 44, .external_lex_state = 3},
  [5309] = {.lex_state = 41, .external_lex_state = 3},
  [5310] = {.lex_state = 41, .external_lex_state = 3},
  [5311] = {.lex_state = 41, .external_lex_state = 3},
  [5312] = {.lex_state = 44, .external_lex_state = 3},
  [5313] = {.lex_state = 41, .external_lex_state = 3},
  [5314] = {.lex_state = 44, .external_lex_state = 3},
  [5315] = {.lex_state = 44, .external_lex_state = 3},
  [5316] = {.lex_state = 41, .external_lex_state = 3},
  [5317] = {.lex_state = 41, .external_lex_state = 3},
  [5318] = {.lex_state = 41, .external_lex_state = 3},
  [5319] = {.lex_state = 43, .external_lex_state = 3},
  [5320] = {.lex_state = 44, .external_lex_state = 3},
  [5321] = {.lex_state = 41, .external_lex_state = 3},
  [5322] = {.lex_state = 41, .external_lex_state = 3},
  [5323] = {.lex_state = 44, .external_lex_state = 3},
  [5324] = {.lex_state = 41, .external_lex_state = 3},
  [5325] = {.lex_state = 41, .external_lex_state = 3},
  [5326] = {.lex_state = 44, .external_lex_state = 3},
  [5327] = {.lex_state = 41, .external_lex_state = 3},
  [5328] = {.lex_state = 41, .external_lex_state = 3},
  [5329] = {.lex_state = 41, .external_lex_state = 3},
  [5330] = {.lex_state = 44, .external_lex_state = 3},
  [5331] = {.lex_state = 42, .external_lex_state = 3},
  [5332] = {.lex_state = 46, .external_lex_state = 3},
  [5333] = {.lex_state = 41, .external_lex_state = 3},
  [5334] = {.lex_state = 41, .external_lex_state = 3},
  [5335] = {.lex_state = 41, .external_lex_state = 3},
  [5336] = {.lex_state = 41, .external_lex_state = 3},
  [5337] = {.lex_state = 41, .external_lex_state = 3},
  [5338] = {.lex_state = 44, .external_lex_state = 3},
  [5339] = {.lex_state = 41, .external_lex_state = 3},
  [5340] = {.lex_state = 41, .external_lex_state = 3},
  [5341] = {.lex_state = 41, .external_lex_state = 3},
  [5342] = {.lex_state = 44, .external_lex_state = 3},
  [5343] = {.lex_state = 44, .external_lex_state = 3},
  [5344] = {.lex_state = 41, .external_lex_state = 3},
  [5345] = {.lex_state = 44, .external_lex_state = 3},
  [5346] = {.lex_state = 44, .external_lex_state = 3},
  [5347] = {.lex_state = 41, .external_lex_state = 3},
  [5348] = {.lex_state = 44, .external_lex_state = 3},
  [5349] = {.lex_state = 44, .external_lex_state = 3},
  [5350] = {.lex_state = 44, .external_lex_state = 3},
  [5351] = {.lex_state = 41, .external_lex_state = 3},
  [5352] = {.lex_state = 41, .external_lex_state = 3},
  [5353] = {.lex_state = 44, .external_lex_state = 3},
  [5354] = {.lex_state = 44, .external_lex_state = 3},
  [5355] = {.lex_state = 44, .external_lex_state = 3},
  [5356] = {.lex_state = 44, .external_lex_state = 3},
  [5357] = {.lex_state = 44, .external_lex_state = 3},
  [5358] = {.lex_state = 44, .external_lex_state = 3},
  [5359] = {.lex_state = 44, .external_lex_state = 3},
  [5360] = {.lex_state = 192, .external_lex_state = 3},
  [5361] = {.lex_state = 41, .external_lex_state = 3},
  [5362] = {.lex_state = 44, .external_lex_state = 3},
  [5363] = {.lex_state = 41, .external_lex_state = 3},
  [5364] = {.lex_state = 41, .external_lex_state = 3},
  [5365] = {.lex_state = 44, .external_lex_state = 3},
  [5366] = {.lex_state = 44, .external_lex_state = 3},
  [5367] = {.lex_state = 44, .external_lex_state = 3},
  [5368] = {.lex_state = 41, .external_lex_state = 3},
  [5369] = {.lex_state = 43, .external_lex_state = 3},
  [5370] = {.lex_state = 44, .external_lex_state = 3},
  [5371] = {.lex_state = 44, .external_lex_state = 3},
  [5372] = {.lex_state = 41, .external_lex_state = 3},
  [5373] = {.lex_state = 44, .external_lex_state = 3},
  [5374] = {.lex_state = 44, .external_lex_state = 3},
  [5375] = {.lex_state = 44, .external_lex_state = 3},
  [5376] = {.lex_state = 41, .external_lex_state = 3},
  [5377] = {.lex_state = 41, .external_lex_state = 3},
  [5378] = {.lex_state = 44, .external_lex_state = 3},
  [5379] = {.lex_state = 41, .external_lex_state = 3},
  [5380] = {.lex_state = 41, .external_lex_state = 3},
  [5381] = {.lex_state = 44, .external_lex_state = 3},
  [5382] = {.lex_state = 43, .external_lex_state = 3},
  [5383] = {.lex_state = 192, .external_lex_state = 3},
  [5384] = {.lex_state = 44, .external_lex_state = 3},
  [5385] = {.lex_state = 44, .external_lex_state = 3},
  [5386] = {.lex_state = 41, .external_lex_state = 3},
  [5387] = {.lex_state = 44, .external_lex_state = 3},
  [5388] = {.lex_state = 41, .external_lex_state = 3},
  [5389] = {.lex_state = 41, .external_lex_state = 3},
  [5390] = {.lex_state = 41, .external_lex_state = 3},
  [5391] = {.lex_state = 41, .external_lex_state = 3},
  [5392] = {.lex_state = 44, .external_lex_state = 3},
  [5393] = {.lex_state = 41, .external_lex_state = 3},
  [5394] = {.lex_state = 41, .external_lex_state = 3},
  [5395] = {.lex_state = 41, .external_lex_state = 3},
  [5396] = {.lex_state = 44, .external_lex_state = 3},
  [5397] = {.lex_state = 44, .external_lex_state = 3},
  [5398] = {.lex_state = 43, .external_lex_state = 3},
  [5399] = {.lex_state = 44, .external_lex_state = 3},
  [5400] = {.lex_state = 41, .external_lex_state = 3},
  [5401] = {.lex_state = 41, .external_lex_state = 3},
  [5402] = {.lex_state = 41, .external_lex_state = 3},
  [5403] = {.lex_state = 41, .external_lex_state = 3},
  [5404] = {.lex_state = 41, .external_lex_state = 3},
  [5405] = {.lex_state = 41, .external_lex_state = 3},
  [5406] = {.lex_state = 44, .external_lex_state = 3},
  [5407] = {.lex_state = 44, .external_lex_state = 3},
  [5408] = {.lex_state = 44, .external_lex_state = 3},
  [5409] = {.lex_state = 41, .external_lex_state = 3},
  [5410] = {.lex_state = 43, .external_lex_state = 3},
  [5411] = {.lex_state = 43, .external_lex_state = 3},
  [5412] = {.lex_state = 43, .external_lex_state = 3},
  [5413] = {.lex_state = 44, .external_lex_state = 3},
  [5414] = {.lex_state = 44, .external_lex_state = 3},
  [5415] = {.lex_state = 44, .external_lex_state = 3},
  [5416] = {.lex_state = 41, .external_lex_state = 3},
  [5417] = {.lex_state = 44, .external_lex_state = 3},
  [5418] = {.lex_state = 41, .external_lex_state = 3},
  [5419] = {.lex_state = 41, .external_lex_state = 3},
  [5420] = {.lex_state = 44, .external_lex_state = 3},
  [5421] = {.lex_state = 44, .external_lex_state = 3},
  [5422] = {.lex_state = 44, .external_lex_state = 3},
  [5423] = {.lex_state = 44, .external_lex_state = 3},
  [5424] = {.lex_state = 44, .external_lex_state = 3},
  [5425] = {.lex_state = 44, .external_lex_state = 3},
  [5426] = {.lex_state = 41, .external_lex_state = 3},
  [5427] = {.lex_state = 41, .external_lex_state = 3},
  [5428] = {.lex_state = 41, .external_lex_state = 3},
  [5429] = {.lex_state = 44, .external_lex_state = 3},
  [5430] = {.lex_state = 44, .external_lex_state = 3},
  [5431] = {.lex_state = 44, .external_lex_state = 3},
  [5432] = {.lex_state = 43, .external_lex_state = 3},
  [5433] = {.lex_state = 41, .external_lex_state = 3},
  [5434] = {.lex_state = 43, .external_lex_state = 3},
  [5435] = {.lex_state = 45, .external_lex_state = 3},
  [5436] = {.lex_state = 44, .external_lex_state = 3},
  [5437] = {.lex_state = 190, .external_lex_state = 3},
  [5438] = {.lex_state = 41, .external_lex_state = 3},
  [5439] = {.lex_state = 41, .external_lex_state = 3},
  [5440] = {.lex_state = 190, .external_lex_state = 3},
  [5441] = {.lex_state = 41, .external_lex_state = 3},
  [5442] = {.lex_state = 41, .external_lex_state = 3},
  [5443] = {.lex_state = 41, .external_lex_state = 3},
  [5444] = {.lex_state = 44, .external_lex_state = 3},
  [5445] = {.lex_state = 44, .external_lex_state = 3},
  [5446] = {.lex_state = 45, .external_lex_state = 3},
  [5447] = {.lex_state = 41, .external_lex_state = 3},
  [5448] = {.lex_state = 41, .external_lex_state = 3},
  [5449] = {.lex_state = 41, .external_lex_state = 3},
  [5450] = {.lex_state = 44, .external_lex_state = 3},
  [5451] = {.lex_state = 41, .external_lex_state = 3},
  [5452] = {.lex_state = 44, .external_lex_state = 3},
  [5453] = {.lex_state = 44, .external_lex_state = 3},
  [5454] = {.lex_state = 41, .external_lex_state = 3},
  [5455] = {.lex_state = 43, .external_lex_state = 3},
  [5456] = {.lex_state = 44, .external_lex_state = 3},
  [5457] = {.lex_state = 44, .external_lex_state = 3},
  [5458] = {.lex_state = 41, .external_lex_state = 3},
  [5459] = {.lex_state = 41, .external_lex_state = 3},
  [5460] = {.lex_state = 44, .external_lex_state = 3},
  [5461] = {.lex_state = 43, .external_lex_state = 3},
  [5462] = {.lex_state = 43, .external_lex_state = 3},
  [5463] = {.lex_state = 43, .external_lex_state = 3},
  [5464] = {.lex_state = 43, .external_lex_state = 3},
  [5465] = {.lex_state = 43, .external_lex_state = 3},
  [5466] = {.lex_state = 190, .external_lex_state = 3},
  [5467] = {.lex_state = 43, .external_lex_state = 3},
  [5468] = {.lex_state = 43, .external_lex_state = 3},
  [5469] = {.lex_state = 43, .external_lex_state = 3},
  [5470] = {.lex_state = 43, .external_lex_state = 3},
  [5471] = {.lex_state = 193, .external_lex_state = 3},
  [5472] = {.lex_state = 185, .external_lex_state = 3},
  [5473] = {.lex_state = 43, .external_lex_state = 3},
  [5474] = {.lex_state = 43, .external_lex_state = 3},
  [5475] = {.lex_state = 43, .external_lex_state = 3},
  [5476] = {.lex_state = 43, .external_lex_state = 3},
  [5477] = {.lex_state = 43, .external_lex_state = 3},
  [5478] = {.lex_state = 185, .external_lex_state = 3},
  [5479] = {.lex_state = 43, .external_lex_state = 3},
  [5480] = {.lex_state = 151, .external_lex_state = 3},
  [5481] = {.lex_state = 43, .external_lex_state = 3},
  [5482] = {.lex_state = 43, .external_lex_state = 3},
  [5483] = {.lex_state = 185, .external_lex_state = 3},
  [5484] = {.lex_state = 43, .external_lex_state = 3},
  [5485] = {.lex_state = 191, .external_lex_state = 3},
  [5486] = {.lex_state = 43, .external_lex_state = 3},
  [5487] = {.lex_state = 201, .external_lex_state = 3},
  [5488] = {.lex_state = 43, .external_lex_state = 3},
  [5489] = {.lex_state = 43, .external_lex_state = 3},
  [5490] = {.lex_state = 43, .external_lex_state = 3},
  [5491] = {.lex_state = 43, .external_lex_state = 3},
  [5492] = {.lex_state = 43, .external_lex_state = 3},
  [5493] = {.lex_state = 43, .external_lex_state = 3},
  [5494] = {.lex_state = 43, .external_lex_state = 3},
  [5495] = {.lex_state = 43, .external_lex_state = 3},
  [5496] = {.lex_state = 43, .external_lex_state = 3},
  [5497] = {.lex_state = 43, .external_lex_state = 3},
  [5498] = {.lex_state = 43, .external_lex_state = 3},
  [5499] = {.lex_state = 43, .external_lex_state = 3},
  [5500] = {.lex_state = 43, .external_lex_state = 3},
  [5501] = {.lex_state = 43, .external_lex_state = 3},
  [5502] = {.lex_state = 185, .external_lex_state = 3},
  [5503] = {.lex_state = 43, .external_lex_state = 3},
  [5504] = {.lex_state = 43, .external_lex_state = 3},
  [5505] = {.lex_state = 43, .external_lex_state = 3},
  [5506] = {.lex_state = 43, .external_lex_state = 3},
  [5507] = {.lex_state = 43, .external_lex_state = 3},
  [5508] = {.lex_state = 203, .external_lex_state = 3},
  [5509] = {.lex_state = 43, .external_lex_state = 3},
  [5510] = {.lex_state = 43, .external_lex_state = 3},
  [5511] = {.lex_state = 43, .external_lex_state = 3},
  [5512] = {.lex_state = 43, .external_lex_state = 3},
  [5513] = {.lex_state = 43, .external_lex_state = 3},
  [5514] = {.lex_state = 43, .external_lex_state = 3},
  [5515] = {.lex_state = 43, .external_lex_state = 3},
  [5516] = {.lex_state = 187, .external_lex_state = 3},
  [5517] = {.lex_state = 43, .external_lex_state = 3},
  [5518] = {.lex_state = 187, .external_lex_state = 3},
  [5519] = {.lex_state = 43, .external_lex_state = 3},
  [5520] = {.lex_state = 43, .external_lex_state = 3},
  [5521] = {.lex_state = 185, .external_lex_state = 3},
  [5522] = {.lex_state = 185, .external_lex_state = 3},
  [5523] = {.lex_state = 43, .external_lex_state = 3},
  [5524] = {.lex_state = 43, .external_lex_state = 3},
  [5525] = {.lex_state = 43, .external_lex_state = 3},
  [5526] = {.lex_state = 193, .external_lex_state = 3},
  [5527] = {.lex_state = 43, .external_lex_state = 3},
  [5528] = {.lex_state = 43, .external_lex_state = 3},
  [5529] = {.lex_state = 185, .external_lex_state = 3},
  [5530] = {.lex_state = 43, .external_lex_state = 3},
  [5531] = {.lex_state = 43, .external_lex_state = 3},
  [5532] = {.lex_state = 185, .external_lex_state = 3},
  [5533] = {.lex_state = 43, .external_lex_state = 3},
  [5534] = {.lex_state = 44, .external_lex_state = 3},
  [5535] = {.lex_state = 159, .external_lex_state = 2},
  [5536] = {.lex_state = 43, .external_lex_state = 3},
  [5537] = {.lex_state = 43, .external_lex_state = 3},
  [5538] = {.lex_state = 43, .external_lex_state = 3},
  [5539] = {.lex_state = 185, .external_lex_state = 3},
  [5540] = {.lex_state = 43, .external_lex_state = 3},
  [5541] = {.lex_state = 46, .external_lex_state = 3},
  [5542] = {.lex_state = 191, .external_lex_state = 3},
  [5543] = {.lex_state = 159, .external_lex_state = 2},
  [5544] = {.lex_state = 43, .external_lex_state = 3},
  [5545] = {.lex_state = 43, .external_lex_state = 3},
  [5546] = {.lex_state = 43, .external_lex_state = 3},
  [5547] = {.lex_state = 43, .external_lex_state = 3},
  [5548] = {.lex_state = 187, .external_lex_state = 3},
  [5549] = {.lex_state = 187, .external_lex_state = 3},
  [5550] = {.lex_state = 187, .external_lex_state = 3},
  [5551] = {.lex_state = 190, .external_lex_state = 3},
  [5552] = {.lex_state = 43, .external_lex_state = 3},
  [5553] = {.lex_state = 43, .external_lex_state = 3},
  [5554] = {.lex_state = 192, .external_lex_state = 3},
  [5555] = {.lex_state = 187, .external_lex_state = 3},
  [5556] = {.lex_state = 187, .external_lex_state = 3},
  [5557] = {.lex_state = 43, .external_lex_state = 3},
  [5558] = {.lex_state = 43, .external_lex_state = 3},
  [5559] = {.lex_state = 192, .external_lex_state = 3},
  [5560] = {.lex_state = 187, .external_lex_state = 3},
  [5561] = {.lex_state = 43, .external_lex_state = 3},
  [5562] = {.lex_state = 187, .external_lex_state = 3},
  [5563] = {.lex_state = 187, .external_lex_state = 3},
  [5564] = {.lex_state = 190, .external_lex_state = 3},
  [5565] = {.lex_state = 185, .external_lex_state = 3},
  [5566] = {.lex_state = 192, .external_lex_state = 3},
  [5567] = {.lex_state = 43, .external_lex_state = 3},
  [5568] = {.lex_state = 190, .external_lex_state = 3},
  [5569] = {.lex_state = 43, .external_lex_state = 3},
  [5570] = {.lex_state = 43, .external_lex_state = 3},
  [5571] = {.lex_state = 43, .external_lex_state = 3},
  [5572] = {.lex_state = 43, .external_lex_state = 3},
  [5573] = {.lex_state = 192, .external_lex_state = 3},
  [5574] = {.lex_state = 159, .external_lex_state = 2},
  [5575] = {.lex_state = 187, .external_lex_state = 3},
  [5576] = {.lex_state = 46, .external_lex_state = 3},
  [5577] = {.lex_state = 43, .external_lex_state = 3},
  [5578] = {.lex_state = 185, .external_lex_state = 3},
  [5579] = {.lex_state = 43, .external_lex_state = 3},
  [5580] = {.lex_state = 43, .external_lex_state = 3},
  [5581] = {.lex_state = 43, .external_lex_state = 3},
  [5582] = {.lex_state = 43, .external_lex_state = 3},
  [5583] = {.lex_state = 193, .external_lex_state = 3},
  [5584] = {.lex_state = 192, .external_lex_state = 3},
  [5585] = {.lex_state = 192, .external_lex_state = 3},
  [5586] = {.lex_state = 186, .external_lex_state = 3},
  [5587] = {.lex_state = 190, .external_lex_state = 3},
  [5588] = {.lex_state = 192, .external_lex_state = 3},
  [5589] = {.lex_state = 190, .external_lex_state = 3},
  [5590] = {.lex_state = 192, .external_lex_state = 3},
  [5591] = {.lex_state = 192, .external_lex_state = 3},
  [5592] = {.lex_state = 150, .external_lex_state = 3},
  [5593] = {.lex_state = 59, .external_lex_state = 3},
  [5594] = {.lex_state = 186, .external_lex_state = 3},
  [5595] = {.lex_state = 186, .external_lex_state = 3},
  [5596] = {.lex_state = 59, .external_lex_state = 3},
  [5597] = {.lex_state = 190, .external_lex_state = 3},
  [5598] = {.lex_state = 190, .external_lex_state = 3},
  [5599] = {.lex_state = 192, .external_lex_state = 3},
  [5600] = {.lex_state = 186, .external_lex_state = 3},
  [5601] = {.lex_state = 192, .external_lex_state = 3},
  [5602] = {.lex_state = 192, .external_lex_state = 3},
  [5603] = {.lex_state = 188, .external_lex_state = 3},
  [5604] = {.lex_state = 190, .external_lex_state = 3},
  [5605] = {.lex_state = 190, .external_lex_state = 3},
  [5606] = {.lex_state = 186, .external_lex_state = 3},
  [5607] = {.lex_state = 192, .external_lex_state = 3},
  [5608] = {.lex_state = 192, .external_lex_state = 3},
  [5609] = {.lex_state = 190, .external_lex_state = 3},
  [5610] = {.lex_state = 190, .external_lex_state = 3},
  [5611] = {.lex_state = 192, .external_lex_state = 3},
  [5612] = {.lex_state = 190, .external_lex_state = 3},
  [5613] = {.lex_state = 192, .external_lex_state = 3},
  [5614] = {.lex_state = 192, .external_lex_state = 3},
  [5615] = {.lex_state = 190, .external_lex_state = 3},
  [5616] = {.lex_state = 190, .external_lex_state = 3},
  [5617] = {.lex_state = 190, .external_lex_state = 3},
  [5618] = {.lex_state = 190, .external_lex_state = 3},
  [5619] = {.lex_state = 188, .external_lex_state = 3},
  [5620] = {.lex_state = 190, .external_lex_state = 3},
  [5621] = {.lex_state = 190, .external_lex_state = 3},
  [5622] = {.lex_state = 192, .external_lex_state = 3},
  [5623] = {.lex_state = 188, .external_lex_state = 3},
  [5624] = {.lex_state = 192, .external_lex_state = 3},
  [5625] = {.lex_state = 190, .external_lex_state = 3},
  [5626] = {.lex_state = 186, .external_lex_state = 3},
  [5627] = {.lex_state = 190, .external_lex_state = 3},
  [5628] = {.lex_state = 190, .external_lex_state = 3},
  [5629] = {.lex_state = 190, .external_lex_state = 3},
  [5630] = {.lex_state = 193, .external_lex_state = 3},
  [5631] = {.lex_state = 192, .external_lex_state = 3},
  [5632] = {.lex_state = 59, .external_lex_state = 3},
  [5633] = {.lex_state = 190, .external_lex_state = 3},
  [5634] = {.lex_state = 59, .external_lex_state = 3},
  [5635] = {.lex_state = 191, .external_lex_state = 3},
  [5636] = {.lex_state = 186, .external_lex_state = 3},
  [5637] = {.lex_state = 192, .external_lex_state = 3},
  [5638] = {.lex_state = 42, .external_lex_state = 3},
  [5639] = {.lex_state = 190, .external_lex_state = 3},
  [5640] = {.lex_state = 188, .external_lex_state = 3},
  [5641] = {.lex_state = 59, .external_lex_state = 3},
  [5642] = {.lex_state = 190, .external_lex_state = 3},
  [5643] = {.lex_state = 192, .external_lex_state = 3},
  [5644] = {.lex_state = 190, .external_lex_state = 3},
  [5645] = {.lex_state = 188, .external_lex_state = 3},
  [5646] = {.lex_state = 191, .external_lex_state = 3},
  [5647] = {.lex_state = 192, .external_lex_state = 3},
  [5648] = {.lex_state = 190, .external_lex_state = 3},
  [5649] = {.lex_state = 192, .external_lex_state = 3},
  [5650] = {.lex_state = 186, .external_lex_state = 3},
  [5651] = {.lex_state = 190, .external_lex_state = 3},
  [5652] = {.lex_state = 59, .external_lex_state = 3},
  [5653] = {.lex_state = 190, .external_lex_state = 3},
  [5654] = {.lex_state = 204, .external_lex_state = 3},
  [5655] = {.lex_state = 59, .external_lex_state = 3},
  [5656] = {.lex_state = 192, .external_lex_state = 3},
  [5657] = {.lex_state = 192, .external_lex_state = 3},
  [5658] = {.lex_state = 192, .external_lex_state = 3},
  [5659] = {.lex_state = 190, .external_lex_state = 3},
  [5660] = {.lex_state = 190, .external_lex_state = 3},
  [5661] = {.lex_state = 192, .external_lex_state = 3},
  [5662] = {.lex_state = 192, .external_lex_state = 3},
  [5663] = {.lex_state = 186, .external_lex_state = 3},
  [5664] = {.lex_state = 186, .external_lex_state = 3},
  [5665] = {.lex_state = 153, .external_lex_state = 3},
  [5666] = {.lex_state = 192, .external_lex_state = 3},
  [5667] = {.lex_state = 192, .external_lex_state = 3},
  [5668] = {.lex_state = 191, .external_lex_state = 3},
  [5669] = {.lex_state = 190, .external_lex_state = 3},
  [5670] = {.lex_state = 190, .external_lex_state = 3},
  [5671] = {.lex_state = 190, .external_lex_state = 3},
  [5672] = {.lex_state = 190, .external_lex_state = 3},
  [5673] = {.lex_state = 190, .external_lex_state = 3},
  [5674] = {.lex_state = 190, .external_lex_state = 3},
  [5675] = {.lex_state = 59, .external_lex_state = 3},
  [5676] = {.lex_state = 190, .external_lex_state = 3},
  [5677] = {.lex_state = 192, .external_lex_state = 3},
  [5678] = {.lex_state = 190, .external_lex_state = 3},
  [5679] = {.lex_state = 190, .external_lex_state = 3},
  [5680] = {.lex_state = 190, .external_lex_state = 3},
  [5681] = {.lex_state = 190, .external_lex_state = 3},
  [5682] = {.lex_state = 192, .external_lex_state = 3},
  [5683] = {.lex_state = 190, .external_lex_state = 3},
  [5684] = {.lex_state = 192, .external_lex_state = 3},
  [5685] = {.lex_state = 190, .external_lex_state = 3},
  [5686] = {.lex_state = 186, .external_lex_state = 3},
  [5687] = {.lex_state = 190, .external_lex_state = 3},
  [5688] = {.lex_state = 190, .external_lex_state = 3},
  [5689] = {.lex_state = 192, .external_lex_state = 3},
  [5690] = {.lex_state = 192, .external_lex_state = 3},
  [5691] = {.lex_state = 59, .external_lex_state = 3},
  [5692] = {.lex_state = 192, .external_lex_state = 3},
  [5693] = {.lex_state = 192, .external_lex_state = 3},
  [5694] = {.lex_state = 192, .external_lex_state = 3},
  [5695] = {.lex_state = 192, .external_lex_state = 3},
  [5696] = {.lex_state = 59, .external_lex_state = 3},
  [5697] = {.lex_state = 192, .external_lex_state = 3},
  [5698] = {.lex_state = 190, .external_lex_state = 3},
  [5699] = {.lex_state = 192, .external_lex_state = 3},
  [5700] = {.lex_state = 190, .external_lex_state = 3},
  [5701] = {.lex_state = 190, .external_lex_state = 3},
  [5702] = {.lex_state = 59, .external_lex_state = 3},
  [5703] = {.lex_state = 192, .external_lex_state = 3},
  [5704] = {.lex_state = 192, .external_lex_state = 3},
  [5705] = {.lex_state = 192, .external_lex_state = 3},
  [5706] = {.lex_state = 192, .external_lex_state = 3},
  [5707] = {.lex_state = 192, .external_lex_state = 3},
  [5708] = {.lex_state = 188, .external_lex_state = 3},
  [5709] = {.lex_state = 190, .external_lex_state = 3},
  [5710] = {.lex_state = 190, .external_lex_state = 3},
  [5711] = {.lex_state = 190, .external_lex_state = 3},
  [5712] = {.lex_state = 190, .external_lex_state = 3},
  [5713] = {.lex_state = 192, .external_lex_state = 3},
  [5714] = {.lex_state = 192, .external_lex_state = 3},
  [5715] = {.lex_state = 42, .external_lex_state = 3},
  [5716] = {.lex_state = 190, .external_lex_state = 3},
  [5717] = {.lex_state = 190, .external_lex_state = 3},
  [5718] = {.lex_state = 188, .external_lex_state = 3},
  [5719] = {.lex_state = 192, .external_lex_state = 3},
  [5720] = {.lex_state = 192, .external_lex_state = 3},
  [5721] = {.lex_state = 193, .external_lex_state = 3},
  [5722] = {.lex_state = 192, .external_lex_state = 3},
  [5723] = {.lex_state = 193, .external_lex_state = 3},
  [5724] = {.lex_state = 192, .external_lex_state = 3},
  [5725] = {.lex_state = 190, .external_lex_state = 3},
  [5726] = {.lex_state = 190, .external_lex_state = 3},
  [5727] = {.lex_state = 192, .external_lex_state = 3},
  [5728] = {.lex_state = 202, .external_lex_state = 3},
  [5729] = {.lex_state = 192, .external_lex_state = 3},
  [5730] = {.lex_state = 192, .external_lex_state = 3},
  [5731] = {.lex_state = 192, .external_lex_state = 3},
  [5732] = {.lex_state = 192, .external_lex_state = 3},
  [5733] = {.lex_state = 191, .external_lex_state = 3},
  [5734] = {.lex_state = 190, .external_lex_state = 3},
  [5735] = {.lex_state = 190, .external_lex_state = 3},
  [5736] = {.lex_state = 190, .external_lex_state = 3},
  [5737] = {.lex_state = 192, .external_lex_state = 3},
  [5738] = {.lex_state = 192, .external_lex_state = 3},
  [5739] = {.lex_state = 192, .external_lex_state = 3},
  [5740] = {.lex_state = 188, .external_lex_state = 3},
  [5741] = {.lex_state = 188, .external_lex_state = 3},
  [5742] = {.lex_state = 188, .external_lex_state = 3},
  [5743] = {.lex_state = 190, .external_lex_state = 3},
  [5744] = {.lex_state = 188, .external_lex_state = 3},
  [5745] = {.lex_state = 192, .external_lex_state = 3},
  [5746] = {.lex_state = 193, .external_lex_state = 3},
  [5747] = {.lex_state = 60, .external_lex_state = 3},
  [5748] = {.lex_state = 59, .external_lex_state = 3},
  [5749] = {.lex_state = 59, .external_lex_state = 3},
  [5750] = {.lex_state = 191, .external_lex_state = 3},
  [5751] = {.lex_state = 59, .external_lex_state = 3},
  [5752] = {.lex_state = 60, .external_lex_state = 3},
  [5753] = {.lex_state = 60, .external_lex_state = 3},
  [5754] = {.lex_state = 193, .external_lex_state = 3},
  [5755] = {.lex_state = 59, .external_lex_state = 3},
  [5756] = {.lex_state = 60, .external_lex_state = 3},
  [5757] = {.lex_state = 59, .external_lex_state = 3},
  [5758] = {.lex_state = 59, .external_lex_state = 3},
  [5759] = {.lex_state = 191, .external_lex_state = 3},
  [5760] = {.lex_state = 193, .external_lex_state = 3},
  [5761] = {.lex_state = 59, .external_lex_state = 3},
  [5762] = {.lex_state = 191, .external_lex_state = 3},
  [5763] = {.lex_state = 59, .external_lex_state = 3},
  [5764] = {.lex_state = 59, .external_lex_state = 3},
  [5765] = {.lex_state = 59, .external_lex_state = 3},
  [5766] = {.lex_state = 193, .external_lex_state = 3},
  [5767] = {.lex_state = 191, .external_lex_state = 3},
  [5768] = {.lex_state = 191, .external_lex_state = 3},
  [5769] = {.lex_state = 191, .external_lex_state = 3},
  [5770] = {.lex_state = 193, .external_lex_state = 3},
  [5771] = {.lex_state = 191, .external_lex_state = 3},
  [5772] = {.lex_state = 59, .external_lex_state = 3},
  [5773] = {.lex_state = 59, .external_lex_state = 3},
  [5774] = {.lex_state = 193, .external_lex_state = 3},
  [5775] = {.lex_state = 193, .external_lex_state = 3},
  [5776] = {.lex_state = 193, .external_lex_state = 3},
  [5777] = {.lex_state = 59, .external_lex_state = 3},
  [5778] = {.lex_state = 59, .external_lex_state = 3},
  [5779] = {.lex_state = 193, .external_lex_state = 3},
  [5780] = {.lex_state = 193, .external_lex_state = 3},
  [5781] = {.lex_state = 193, .external_lex_state = 3},
  [5782] = {.lex_state = 59, .external_lex_state = 3},
  [5783] = {.lex_state = 59, .external_lex_state = 3},
  [5784] = {.lex_state = 193, .external_lex_state = 3},
  [5785] = {.lex_state = 191, .external_lex_state = 3},
  [5786] = {.lex_state = 193, .external_lex_state = 3},
  [5787] = {.lex_state = 59, .external_lex_state = 3},
  [5788] = {.lex_state = 193, .external_lex_state = 3},
  [5789] = {.lex_state = 191, .external_lex_state = 3},
  [5790] = {.lex_state = 193, .external_lex_state = 3},
  [5791] = {.lex_state = 60, .external_lex_state = 3},
  [5792] = {.lex_state = 59, .external_lex_state = 3},
  [5793] = {.lex_state = 59, .external_lex_state = 3},
  [5794] = {.lex_state = 191, .external_lex_state = 3},
  [5795] = {.lex_state = 59, .external_lex_state = 3},
  [5796] = {.lex_state = 59, .external_lex_state = 3},
  [5797] = {.lex_state = 59, .external_lex_state = 3},
  [5798] = {.lex_state = 191, .external_lex_state = 3},
  [5799] = {.lex_state = 59, .external_lex_state = 3},
  [5800] = {.lex_state = 191, .external_lex_state = 3},
  [5801] = {.lex_state = 59, .external_lex_state = 3},
  [5802] = {.lex_state = 193, .external_lex_state = 3},
  [5803] = {.lex_state = 59, .external_lex_state = 3},
  [5804] = {.lex_state = 59, .external_lex_state = 3},
  [5805] = {.lex_state = 59, .external_lex_state = 3},
  [5806] = {.lex_state = 59, .external_lex_state = 3},
  [5807] = {.lex_state = 191, .external_lex_state = 3},
  [5808] = {.lex_state = 59, .external_lex_state = 3},
  [5809] = {.lex_state = 59, .external_lex_state = 3},
  [5810] = {.lex_state = 191, .external_lex_state = 3},
  [5811] = {.lex_state = 59, .external_lex_state = 3},
  [5812] = {.lex_state = 59, .external_lex_state = 3},
  [5813] = {.lex_state = 59, .external_lex_state = 3},
  [5814] = {.lex_state = 191, .external_lex_state = 3},
  [5815] = {.lex_state = 59, .external_lex_state = 3},
  [5816] = {.lex_state = 59, .external_lex_state = 3},
  [5817] = {.lex_state = 60, .external_lex_state = 3},
  [5818] = {.lex_state = 59, .external_lex_state = 3},
  [5819] = {.lex_state = 59, .external_lex_state = 3},
  [5820] = {.lex_state = 59, .external_lex_state = 3},
  [5821] = {.lex_state = 191, .external_lex_state = 3},
  [5822] = {.lex_state = 191, .external_lex_state = 3},
  [5823] = {.lex_state = 60, .external_lex_state = 3},
  [5824] = {.lex_state = 193, .external_lex_state = 3},
  [5825] = {.lex_state = 191, .external_lex_state = 3},
  [5826] = {.lex_state = 193, .external_lex_state = 3},
  [5827] = {.lex_state = 191, .external_lex_state = 3},
  [5828] = {.lex_state = 191, .external_lex_state = 3},
  [5829] = {.lex_state = 59, .external_lex_state = 3},
  [5830] = {.lex_state = 193, .external_lex_state = 3},
  [5831] = {.lex_state = 59, .external_lex_state = 3},
  [5832] = {.lex_state = 193, .external_lex_state = 3},
  [5833] = {.lex_state = 193, .external_lex_state = 3},
  [5834] = {.lex_state = 59, .external_lex_state = 3},
  [5835] = {.lex_state = 193, .external_lex_state = 3},
  [5836] = {.lex_state = 59, .external_lex_state = 3},
  [5837] = {.lex_state = 191, .external_lex_state = 3},
  [5838] = {.lex_state = 191, .external_lex_state = 3},
  [5839] = {.lex_state = 193, .external_lex_state = 3},
  [5840] = {.lex_state = 59, .external_lex_state = 3},
  [5841] = {.lex_state = 41, .external_lex_state = 3},
  [5842] = {.lex_state = 193, .external_lex_state = 3},
  [5843] = {.lex_state = 193, .external_lex_state = 3},
  [5844] = {.lex_state = 59, .external_lex_state = 3},
  [5845] = {.lex_state = 191, .external_lex_state = 3},
  [5846] = {.lex_state = 191, .external_lex_state = 3},
  [5847] = {.lex_state = 152, .external_lex_state = 3},
  [5848] = {.lex_state = 191, .external_lex_state = 3},
  [5849] = {.lex_state = 41, .external_lex_state = 3},
  [5850] = {.lex_state = 59, .external_lex_state = 3},
  [5851] = {.lex_state = 193, .external_lex_state = 3},
  [5852] = {.lex_state = 191, .external_lex_state = 3},
  [5853] = {.lex_state = 191, .external_lex_state = 3},
  [5854] = {.lex_state = 191, .external_lex_state = 3},
  [5855] = {.lex_state = 193, .external_lex_state = 3},
  [5856] = {.lex_state = 193, .external_lex_state = 3},
  [5857] = {.lex_state = 191, .external_lex_state = 3},
  [5858] = {.lex_state = 59, .external_lex_state = 3},
  [5859] = {.lex_state = 193, .external_lex_state = 3},
  [5860] = {.lex_state = 44, .external_lex_state = 3},
  [5861] = {.lex_state = 193, .external_lex_state = 3},
  [5862] = {.lex_state = 59, .external_lex_state = 3},
  [5863] = {.lex_state = 193, .external_lex_state = 3},
  [5864] = {.lex_state = 59, .external_lex_state = 3},
  [5865] = {.lex_state = 191, .external_lex_state = 3},
  [5866] = {.lex_state = 191, .external_lex_state = 3},
  [5867] = {.lex_state = 59, .external_lex_state = 3},
  [5868] = {.lex_state = 59, .external_lex_state = 3},
  [5869] = {.lex_state = 44, .external_lex_state = 3},
  [5870] = {.lex_state = 193, .external_lex_state = 3},
  [5871] = {.lex_state = 191, .external_lex_state = 3},
  [5872] = {.lex_state = 59, .external_lex_state = 3},
  [5873] = {.lex_state = 191, .external_lex_state = 3},
  [5874] = {.lex_state = 60, .external_lex_state = 3},
  [5875] = {.lex_state = 191, .external_lex_state = 3},
  [5876] = {.lex_state = 59, .external_lex_state = 3},
  [5877] = {.lex_state = 193, .external_lex_state = 3},
  [5878] = {.lex_state = 191, .external_lex_state = 3},
  [5879] = {.lex_state = 59, .external_lex_state = 3},
  [5880] = {.lex_state = 59, .external_lex_state = 3},
  [5881] = {.lex_state = 193, .external_lex_state = 3},
  [5882] = {.lex_state = 191, .external_lex_state = 3},
  [5883] = {.lex_state = 191, .external_lex_state = 3},
  [5884] = {.lex_state = 59, .external_lex_state = 3},
  [5885] = {.lex_state = 59, .external_lex_state = 3},
  [5886] = {.lex_state = 59, .external_lex_state = 3},
  [5887] = {.lex_state = 59, .external_lex_state = 3},
  [5888] = {.lex_state = 191, .external_lex_state = 3},
  [5889] = {.lex_state = 59, .external_lex_state = 3},
  [5890] = {.lex_state = 59, .external_lex_state = 3},
  [5891] = {.lex_state = 191, .external_lex_state = 3},
  [5892] = {.lex_state = 191, .external_lex_state = 3},
  [5893] = {.lex_state = 59, .external_lex_state = 3},
  [5894] = {.lex_state = 191, .external_lex_state = 3},
  [5895] = {.lex_state = 59, .external_lex_state = 3},
  [5896] = {.lex_state = 59, .external_lex_state = 3},
  [5897] = {.lex_state = 193, .external_lex_state = 3},
  [5898] = {.lex_state = 193, .external_lex_state = 3},
  [5899] = {.lex_state = 59, .external_lex_state = 3},
  [5900] = {.lex_state = 193, .external_lex_state = 3},
  [5901] = {.lex_state = 59, .external_lex_state = 3},
  [5902] = {.lex_state = 191, .external_lex_state = 3},
  [5903] = {.lex_state = 59, .external_lex_state = 3},
  [5904] = {.lex_state = 193, .external_lex_state = 3},
  [5905] = {.lex_state = 193, .external_lex_state = 3},
  [5906] = {.lex_state = 59, .external_lex_state = 3},
  [5907] = {.lex_state = 59, .external_lex_state = 3},
  [5908] = {.lex_state = 191, .external_lex_state = 3},
  [5909] = {.lex_state = 191, .external_lex_state = 3},
  [5910] = {.lex_state = 59, .external_lex_state = 3},
  [5911] = {.lex_state = 193, .external_lex_state = 3},
  [5912] = {.lex_state = 191, .external_lex_state = 3},
  [5913] = {.lex_state = 193, .external_lex_state = 3},
  [5914] = {.lex_state = 191, .external_lex_state = 3},
  [5915] = {.lex_state = 191, .external_lex_state = 3},
  [5916] = {.lex_state = 191, .external_lex_state = 3},
  [5917] = {.lex_state = 193, .external_lex_state = 3},
  [5918] = {.lex_state = 59, .external_lex_state = 3},
  [5919] = {.lex_state = 193, .external_lex_state = 3},
  [5920] = {.lex_state = 191, .external_lex_state = 3},
  [5921] = {.lex_state = 59, .external_lex_state = 3},
  [5922] = {.lex_state = 193, .external_lex_state = 3},
  [5923] = {.lex_state = 59, .external_lex_state = 3},
  [5924] = {.lex_state = 193, .external_lex_state = 3},
  [5925] = {.lex_state = 193, .external_lex_state = 3},
  [5926] = {.lex_state = 193, .external_lex_state = 3},
  [5927] = {.lex_state = 191, .external_lex_state = 3},
  [5928] = {.lex_state = 193, .external_lex_state = 3},
  [5929] = {.lex_state = 191, .external_lex_state = 3},
  [5930] = {.lex_state = 193, .external_lex_state = 3},
  [5931] = {.lex_state = 193, .external_lex_state = 3},
  [5932] = {.lex_state = 193, .external_lex_state = 3},
  [5933] = {.lex_state = 59, .external_lex_state = 3},
  [5934] = {.lex_state = 191, .external_lex_state = 3},
  [5935] = {.lex_state = 191, .external_lex_state = 3},
  [5936] = {.lex_state = 193, .external_lex_state = 3},
  [5937] = {.lex_state = 193, .external_lex_state = 3},
  [5938] = {.lex_state = 59, .external_lex_state = 3},
  [5939] = {.lex_state = 193, .external_lex_state = 3},
  [5940] = {.lex_state = 59, .external_lex_state = 3},
  [5941] = {.lex_state = 191, .external_lex_state = 3},
  [5942] = {.lex_state = 59, .external_lex_state = 3},
  [5943] = {.lex_state = 193, .external_lex_state = 3},
  [5944] = {.lex_state = 59, .external_lex_state = 3},
  [5945] = {.lex_state = 191, .external_lex_state = 3},
  [5946] = {.lex_state = 193, .external_lex_state = 3},
  [5947] = {.lex_state = 60, .external_lex_state = 3},
  [5948] = {.lex_state = 191, .external_lex_state = 3},
  [5949] = {.lex_state = 191, .external_lex_state = 3},
  [5950] = {.lex_state = 193, .external_lex_state = 3},
  [5951] = {.lex_state = 60, .external_lex_state = 3},
  [5952] = {.lex_state = 60, .external_lex_state = 3},
  [5953] = {.lex_state = 191, .external_lex_state = 3},
  [5954] = {.lex_state = 59, .external_lex_state = 3},
  [5955] = {.lex_state = 59, .external_lex_state = 3},
  [5956] = {.lex_state = 193, .external_lex_state = 3},
  [5957] = {.lex_state = 60, .external_lex_state = 3},
  [5958] = {.lex_state = 60, .external_lex_state = 3},
  [5959] = {.lex_state = 60, .external_lex_state = 3},
  [5960] = {.lex_state = 49, .external_lex_state = 3},
  [5961] = {.lex_state = 60, .external_lex_state = 3},
  [5962] = {.lex_state = 60, .external_lex_state = 3},
  [5963] = {.lex_state = 60, .external_lex_state = 3},
  [5964] = {.lex_state = 60, .external_lex_state = 3},
  [5965] = {.lex_state = 60, .external_lex_state = 3},
  [5966] = {.lex_state = 60, .external_lex_state = 3},
  [5967] = {.lex_state = 60, .external_lex_state = 3},
  [5968] = {.lex_state = 60, .external_lex_state = 3},
  [5969] = {.lex_state = 49, .external_lex_state = 3},
  [5970] = {.lex_state = 60, .external_lex_state = 3},
  [5971] = {.lex_state = 60, .external_lex_state = 3},
  [5972] = {.lex_state = 60, .external_lex_state = 3},
  [5973] = {.lex_state = 453, .external_lex_state = 3},
  [5974] = {.lex_state = 60, .external_lex_state = 3},
  [5975] = {.lex_state = 49, .external_lex_state = 3},
  [5976] = {.lex_state = 60, .external_lex_state = 3},
  [5977] = {.lex_state = 60, .external_lex_state = 3},
  [5978] = {.lex_state = 60, .external_lex_state = 3},
  [5979] = {.lex_state = 60, .external_lex_state = 3},
  [5980] = {.lex_state = 60, .external_lex_state = 3},
  [5981] = {.lex_state = 49, .external_lex_state = 3},
  [5982] = {.lex_state = 60, .external_lex_state = 3},
  [5983] = {.lex_state = 453, .external_lex_state = 3},
  [5984] = {.lex_state = 60, .external_lex_state = 3},
  [5985] = {.lex_state = 60, .external_lex_state = 3},
  [5986] = {.lex_state = 60, .external_lex_state = 3},
  [5987] = {.lex_state = 60, .external_lex_state = 3},
  [5988] = {.lex_state = 43, .external_lex_state = 3},
  [5989] = {.lex_state = 453, .external_lex_state = 3},
  [5990] = {.lex_state = 453, .external_lex_state = 3},
  [5991] = {.lex_state = 60, .external_lex_state = 3},
  [5992] = {.lex_state = 60, .external_lex_state = 3},
  [5993] = {.lex_state = 60, .external_lex_state = 3},
  [5994] = {.lex_state = 453, .external_lex_state = 3},
  [5995] = {.lex_state = 60, .external_lex_state = 3},
  [5996] = {.lex_state = 60, .external_lex_state = 3},
  [5997] = {.lex_state = 453, .external_lex_state = 3},
  [5998] = {.lex_state = 453, .external_lex_state = 3},
  [5999] = {.lex_state = 60, .external_lex_state = 3},
  [6000] = {.lex_state = 453, .external_lex_state = 3},
  [6001] = {.lex_state = 60, .external_lex_state = 3},
  [6002] = {.lex_state = 60, .external_lex_state = 3},
  [6003] = {.lex_state = 60, .external_lex_state = 3},
  [6004] = {.lex_state = 60, .external_lex_state = 3},
  [6005] = {.lex_state = 60, .external_lex_state = 3},
  [6006] = {.lex_state = 453, .external_lex_state = 3},
  [6007] = {.lex_state = 60, .external_lex_state = 3},
  [6008] = {.lex_state = 60, .external_lex_state = 3},
  [6009] = {.lex_state = 60, .external_lex_state = 3},
  [6010] = {.lex_state = 60, .external_lex_state = 3},
  [6011] = {.lex_state = 60, .external_lex_state = 3},
  [6012] = {.lex_state = 453, .external_lex_state = 3},
  [6013] = {.lex_state = 60, .external_lex_state = 3},
  [6014] = {.lex_state = 453, .external_lex_state = 3},
  [6015] = {.lex_state = 453, .external_lex_state = 3},
  [6016] = {.lex_state = 60, .external_lex_state = 3},
  [6017] = {.lex_state = 453, .external_lex_state = 3},
  [6018] = {.lex_state = 60, .external_lex_state = 3},
  [6019] = {.lex_state = 60, .external_lex_state = 3},
  [6020] = {.lex_state = 60, .external_lex_state = 3},
  [6021] = {.lex_state = 60, .external_lex_state = 3},
  [6022] = {.lex_state = 60, .external_lex_state = 3},
  [6023] = {.lex_state = 60, .external_lex_state = 3},
  [6024] = {.lex_state = 60, .external_lex_state = 3},
  [6025] = {.lex_state = 453, .external_lex_state = 3},
  [6026] = {.lex_state = 60, .external_lex_state = 3},
  [6027] = {.lex_state = 60, .external_lex_state = 3},
  [6028] = {.lex_state = 453, .external_lex_state = 3},
  [6029] = {.lex_state = 60, .external_lex_state = 3},
  [6030] = {.lex_state = 453, .external_lex_state = 3},
  [6031] = {.lex_state = 49, .external_lex_state = 3},
  [6032] = {.lex_state = 60, .external_lex_state = 3},
  [6033] = {.lex_state = 60, .external_lex_state = 3},
  [6034] = {.lex_state = 60, .external_lex_state = 3},
  [6035] = {.lex_state = 453, .external_lex_state = 3},
  [6036] = {.lex_state = 60, .external_lex_state = 3},
  [6037] = {.lex_state = 60, .external_lex_state = 3},
  [6038] = {.lex_state = 60, .external_lex_state = 3},
  [6039] = {.lex_state = 60, .external_lex_state = 3},
  [6040] = {.lex_state = 60, .external_lex_state = 3},
  [6041] = {.lex_state = 49, .external_lex_state = 3},
  [6042] = {.lex_state = 60, .external_lex_state = 3},
  [6043] = {.lex_state = 453, .external_lex_state = 3},
  [6044] = {.lex_state = 49, .external_lex_state = 3},
  [6045] = {.lex_state = 60, .external_lex_state = 3},
  [6046] = {.lex_state = 43, .external_lex_state = 3},
  [6047] = {.lex_state = 60, .external_lex_state = 3},
  [6048] = {.lex_state = 49, .external_lex_state = 3},
  [6049] = {.lex_state = 60, .external_lex_state = 3},
  [6050] = {.lex_state = 60, .external_lex_state = 3},
  [6051] = {.lex_state = 60, .external_lex_state = 3},
  [6052] = {.lex_state = 60, .external_lex_state = 3},
  [6053] = {.lex_state = 60, .external_lex_state = 3},
  [6054] = {.lex_state = 49, .external_lex_state = 3},
  [6055] = {.lex_state = 60, .external_lex_state = 3},
  [6056] = {.lex_state = 60, .external_lex_state = 3},
  [6057] = {.lex_state = 453, .external_lex_state = 3},
  [6058] = {.lex_state = 453, .external_lex_state = 3},
  [6059] = {.lex_state = 60, .external_lex_state = 3},
  [6060] = {.lex_state = 60, .external_lex_state = 3},
  [6061] = {.lex_state = 60, .external_lex_state = 3},
  [6062] = {.lex_state = 60, .external_lex_state = 3},
  [6063] = {.lex_state = 60, .external_lex_state = 3},
  [6064] = {.lex_state = 60, .external_lex_state = 3},
  [6065] = {.lex_state = 49, .external_lex_state = 3},
  [6066] = {.lex_state = 60, .external_lex_state = 3},
  [6067] = {.lex_state = 49, .external_lex_state = 3},
  [6068] = {.lex_state = 453, .external_lex_state = 3},
  [6069] = {.lex_state = 453, .external_lex_state = 3},
  [6070] = {.lex_state = 60, .external_lex_state = 3},
  [6071] = {.lex_state = 49, .external_lex_state = 3},
  [6072] = {.lex_state = 17, .external_lex_state = 3},
  [6073] = {.lex_state = 17, .external_lex_state = 3},
  [6074] = {.lex_state = 17, .external_lex_state = 3},
  [6075] = {.lex_state = 17, .external_lex_state = 3},
  [6076] = {.lex_state = 17, .external_lex_state = 3},
  [6077] = {.lex_state = 17, .external_lex_state = 3},
  [6078] = {.lex_state = 17, .external_lex_state = 3},
  [6079] = {.lex_state = 49, .external_lex_state = 3},
  [6080] = {.lex_state = 17, .external_lex_state = 3},
  [6081] = {.lex_state = 17, .external_lex_state = 3},
  [6082] = {.lex_state = 452, .external_lex_state = 2},
  [6083] = {.lex_state = 17, .external_lex_state = 3},
  [6084] = {.lex_state = 17, .external_lex_state = 3},
  [6085] = {.lex_state = 17, .external_lex_state = 3},
  [6086] = {.lex_state = 17, .external_lex_state = 3},
  [6087] = {.lex_state = 452, .external_lex_state = 2},
  [6088] = {.lex_state = 17, .external_lex_state = 3},
  [6089] = {.lex_state = 51, .external_lex_state = 3},
  [6090] = {.lex_state = 17, .external_lex_state = 3},
  [6091] = {.lex_state = 17, .external_lex_state = 3},
  [6092] = {.lex_state = 17, .external_lex_state = 3},
  [6093] = {.lex_state = 17, .external_lex_state = 3},
  [6094] = {.lex_state = 16, .external_lex_state = 3},
  [6095] = {.lex_state = 17, .external_lex_state = 3},
  [6096] = {.lex_state = 452, .external_lex_state = 2},
  [6097] = {.lex_state = 17, .external_lex_state = 3},
  [6098] = {.lex_state = 16, .external_lex_state = 3},
  [6099] = {.lex_state = 17, .external_lex_state = 3},
  [6100] = {.lex_state = 16, .external_lex_state = 3},
  [6101] = {.lex_state = 50, .external_lex_state = 3},
  [6102] = {.lex_state = 50, .external_lex_state = 3},
  [6103] = {.lex_state = 50, .external_lex_state = 3},
  [6104] = {.lex_state = 50, .external_lex_state = 3},
  [6105] = {.lex_state = 17, .external_lex_state = 3},
  [6106] = {.lex_state = 16, .external_lex_state = 3},
  [6107] = {.lex_state = 16, .external_lex_state = 3},
  [6108] = {.lex_state = 50, .external_lex_state = 3},
  [6109] = {.lex_state = 50, .external_lex_state = 3},
  [6110] = {.lex_state = 50, .external_lex_state = 3},
  [6111] = {.lex_state = 54, .external_lex_state = 3},
  [6112] = {.lex_state = 16, .external_lex_state = 3},
  [6113] = {.lex_state = 17, .external_lex_state = 3},
  [6114] = {.lex_state = 16, .external_lex_state = 3},
  [6115] = {.lex_state = 49, .external_lex_state = 3},
  [6116] = {.lex_state = 49, .external_lex_state = 3},
  [6117] = {.lex_state = 452, .external_lex_state = 2},
  [6118] = {.lex_state = 16, .external_lex_state = 3},
  [6119] = {.lex_state = 17, .external_lex_state = 3},
  [6120] = {.lex_state = 16, .external_lex_state = 3},
  [6121] = {.lex_state = 17, .external_lex_state = 3},
  [6122] = {.lex_state = 452, .external_lex_state = 2},
  [6123] = {.lex_state = 17, .external_lex_state = 3},
  [6124] = {.lex_state = 17, .external_lex_state = 3},
  [6125] = {.lex_state = 49, .external_lex_state = 3},
  [6126] = {.lex_state = 16, .external_lex_state = 3},
  [6127] = {.lex_state = 47, .external_lex_state = 3},
  [6128] = {.lex_state = 17, .external_lex_state = 3},
  [6129] = {.lex_state = 16, .external_lex_state = 3},
  [6130] = {.lex_state = 17, .external_lex_state = 3},
  [6131] = {.lex_state = 17, .external_lex_state = 3},
  [6132] = {.lex_state = 49, .external_lex_state = 3},
  [6133] = {.lex_state = 49, .external_lex_state = 3},
  [6134] = {.lex_state = 16, .external_lex_state = 3},
  [6135] = {.lex_state = 51, .external_lex_state = 3},
  [6136] = {.lex_state = 50, .external_lex_state = 3},
  [6137] = {.lex_state = 17, .external_lex_state = 3},
  [6138] = {.lex_state = 49, .external_lex_state = 3},
  [6139] = {.lex_state = 17, .external_lex_state = 3},
  [6140] = {.lex_state = 17, .external_lex_state = 3},
  [6141] = {.lex_state = 49, .external_lex_state = 3},
  [6142] = {.lex_state = 49, .external_lex_state = 3},
  [6143] = {.lex_state = 452, .external_lex_state = 2},
  [6144] = {.lex_state = 49, .external_lex_state = 3},
  [6145] = {.lex_state = 49, .external_lex_state = 3},
  [6146] = {.lex_state = 50, .external_lex_state = 3},
  [6147] = {.lex_state = 452, .external_lex_state = 2},
  [6148] = {.lex_state = 49, .external_lex_state = 3},
  [6149] = {.lex_state = 49, .external_lex_state = 3},
  [6150] = {.lex_state = 16, .external_lex_state = 3},
  [6151] = {.lex_state = 17, .external_lex_state = 3},
  [6152] = {.lex_state = 55, .external_lex_state = 3},
  [6153] = {.lex_state = 16, .external_lex_state = 3},
  [6154] = {.lex_state = 16, .external_lex_state = 3},
  [6155] = {.lex_state = 16, .external_lex_state = 3},
  [6156] = {.lex_state = 16, .external_lex_state = 3},
  [6157] = {.lex_state = 16, .external_lex_state = 3},
  [6158] = {.lex_state = 16, .external_lex_state = 3},
  [6159] = {.lex_state = 16, .external_lex_state = 3},
  [6160] = {.lex_state = 16, .external_lex_state = 3},
  [6161] = {.lex_state = 16, .external_lex_state = 3},
  [6162] = {.lex_state = 16, .external_lex_state = 3},
  [6163] = {.lex_state = 16, .external_lex_state = 3},
  [6164] = {.lex_state = 16, .external_lex_state = 3},
  [6165] = {.lex_state = 16, .external_lex_state = 3},
  [6166] = {.lex_state = 16, .external_lex_state = 3},
  [6167] = {.lex_state = 16, .external_lex_state = 3},
  [6168] = {.lex_state = 16, .external_lex_state = 3},
  [6169] = {.lex_state = 16, .external_lex_state = 3},
  [6170] = {.lex_state = 16, .external_lex_state = 3},
  [6171] = {.lex_state = 16, .external_lex_state = 3},
  [6172] = {.lex_state = 16, .external_lex_state = 3},
  [6173] = {.lex_state = 16, .external_lex_state = 3},
  [6174] = {.lex_state = 16, .external_lex_state = 3},
  [6175] = {.lex_state = 16, .external_lex_state = 3},
  [6176] = {.lex_state = 16, .external_lex_state = 3},
  [6177] = {.lex_state = 16, .external_lex_state = 3},
  [6178] = {.lex_state = 16, .external_lex_state = 3},
  [6179] = {.lex_state = 16, .external_lex_state = 3},
  [6180] = {.lex_state = 16, .external_lex_state = 3},
  [6181] = {.lex_state = 16, .external_lex_state = 3},
  [6182] = {.lex_state = 16, .external_lex_state = 3},
  [6183] = {.lex_state = 16, .external_lex_state = 3},
  [6184] = {.lex_state = 16, .external_lex_state = 3},
  [6185] = {.lex_state = 16, .external_lex_state = 3},
  [6186] = {.lex_state = 16, .external_lex_state = 3},
  [6187] = {.lex_state = 16, .external_lex_state = 3},
  [6188] = {.lex_state = 16, .external_lex_state = 3},
  [6189] = {.lex_state = 16, .external_lex_state = 3},
  [6190] = {.lex_state = 16, .external_lex_state = 3},
  [6191] = {.lex_state = 16, .external_lex_state = 3},
  [6192] = {.lex_state = 16, .external_lex_state = 3},
  [6193] = {.lex_state = 16, .external_lex_state = 3},
  [6194] = {.lex_state = 16, .external_lex_state = 3},
  [6195] = {.lex_state = 16, .external_lex_state = 3},
  [6196] = {.lex_state = 53, .external_lex_state = 3},
  [6197] = {.lex_state = 16, .external_lex_state = 3},
  [6198] = {.lex_state = 16, .external_lex_state = 3},
  [6199] = {.lex_state = 16, .external_lex_state = 3},
  [6200] = {.lex_state = 16, .external_lex_state = 3},
  [6201] = {.lex_state = 16, .external_lex_state = 3},
  [6202] = {.lex_state = 16, .external_lex_state = 3},
  [6203] = {.lex_state = 54, .external_lex_state = 3},
  [6204] = {.lex_state = 16, .external_lex_state = 3},
  [6205] = {.lex_state = 54, .external_lex_state = 3},
  [6206] = {.lex_state = 54, .external_lex_state = 3},
  [6207] = {.lex_state = 54, .external_lex_state = 3},
  [6208] = {.lex_state = 54, .external_lex_state = 3},
  [6209] = {.lex_state = 54, .external_lex_state = 3},
  [6210] = {.lex_state = 54, .external_lex_state = 3},
  [6211] = {.lex_state = 16, .external_lex_state = 3},
  [6212] = {.lex_state = 17, .external_lex_state = 3},
  [6213] = {.lex_state = 16, .external_lex_state = 3},
  [6214] = {.lex_state = 54, .external_lex_state = 3},
  [6215] = {.lex_state = 47, .external_lex_state = 3},
  [6216] = {.lex_state = 55, .external_lex_state = 3},
  [6217] = {.lex_state = 53, .external_lex_state = 3},
  [6218] = {.lex_state = 16, .external_lex_state = 3},
  [6219] = {.lex_state = 47, .external_lex_state = 3},
  [6220] = {.lex_state = 51, .external_lex_state = 3},
  [6221] = {.lex_state = 16, .external_lex_state = 3},
  [6222] = {.lex_state = 16, .external_lex_state = 3},
  [6223] = {.lex_state = 47, .external_lex_state = 3},
  [6224] = {.lex_state = 47, .external_lex_state = 3},
  [6225] = {.lex_state = 47, .external_lex_state = 3},
  [6226] = {.lex_state = 16, .external_lex_state = 3},
  [6227] = {.lex_state = 16, .external_lex_state = 3},
  [6228] = {.lex_state = 51, .external_lex_state = 3},
  [6229] = {.lex_state = 16, .external_lex_state = 3},
  [6230] = {.lex_state = 47, .external_lex_state = 3},
  [6231] = {.lex_state = 47, .external_lex_state = 3},
  [6232] = {.lex_state = 47, .external_lex_state = 3},
  [6233] = {.lex_state = 16, .external_lex_state = 3},
  [6234] = {.lex_state = 16, .external_lex_state = 3},
  [6235] = {.lex_state = 16, .external_lex_state = 3},
  [6236] = {.lex_state = 16, .external_lex_state = 3},
  [6237] = {.lex_state = 54, .external_lex_state = 3},
  [6238] = {.lex_state = 55, .external_lex_state = 3},
  [6239] = {.lex_state = 54, .external_lex_state = 3},
  [6240] = {.lex_state = 55, .external_lex_state = 3},
  [6241] = {.lex_state = 55, .external_lex_state = 3},
  [6242] = {.lex_state = 51, .external_lex_state = 3},
  [6243] = {.lex_state = 55, .external_lex_state = 3},
  [6244] = {.lex_state = 55, .external_lex_state = 3},
  [6245] = {.lex_state = 55, .external_lex_state = 3},
  [6246] = {.lex_state = 55, .external_lex_state = 3},
  [6247] = {.lex_state = 16, .external_lex_state = 3},
  [6248] = {.lex_state = 16, .external_lex_state = 3},
  [6249] = {.lex_state = 47, .external_lex_state = 3},
  [6250] = {.lex_state = 17, .external_lex_state = 3},
  [6251] = {.lex_state = 53, .external_lex_state = 3},
  [6252] = {.lex_state = 17, .external_lex_state = 3},
  [6253] = {.lex_state = 16, .external_lex_state = 3},
  [6254] = {.lex_state = 47, .external_lex_state = 3},
  [6255] = {.lex_state = 17, .external_lex_state = 3},
  [6256] = {.lex_state = 53, .external_lex_state = 3},
  [6257] = {.lex_state = 17, .external_lex_state = 3},
  [6258] = {.lex_state = 53, .external_lex_state = 3},
  [6259] = {.lex_state = 53, .external_lex_state = 3},
  [6260] = {.lex_state = 53, .external_lex_state = 3},
  [6261] = {.lex_state = 53, .external_lex_state = 3},
  [6262] = {.lex_state = 17, .external_lex_state = 3},
  [6263] = {.lex_state = 17, .external_lex_state = 3},
  [6264] = {.lex_state = 17, .external_lex_state = 3},
  [6265] = {.lex_state = 17, .external_lex_state = 3},
  [6266] = {.lex_state = 17, .external_lex_state = 3},
  [6267] = {.lex_state = 17, .external_lex_state = 3},
  [6268] = {.lex_state = 17, .external_lex_state = 3},
  [6269] = {.lex_state = 17, .external_lex_state = 3},
  [6270] = {.lex_state = 17, .external_lex_state = 3},
  [6271] = {.lex_state = 17, .external_lex_state = 3},
  [6272] = {.lex_state = 17, .external_lex_state = 3},
  [6273] = {.lex_state = 55, .external_lex_state = 3},
  [6274] = {.lex_state = 17, .external_lex_state = 3},
  [6275] = {.lex_state = 17, .external_lex_state = 3},
  [6276] = {.lex_state = 17, .external_lex_state = 3},
  [6277] = {.lex_state = 17, .external_lex_state = 3},
  [6278] = {.lex_state = 17, .external_lex_state = 3},
  [6279] = {.lex_state = 17, .external_lex_state = 3},
  [6280] = {.lex_state = 55, .external_lex_state = 3},
  [6281] = {.lex_state = 17, .external_lex_state = 3},
  [6282] = {.lex_state = 17, .external_lex_state = 3},
  [6283] = {.lex_state = 51, .external_lex_state = 3},
  [6284] = {.lex_state = 49, .external_lex_state = 3},
  [6285] = {.lex_state = 53, .external_lex_state = 3},
  [6286] = {.lex_state = 49, .external_lex_state = 3},
  [6287] = {.lex_state = 49, .external_lex_state = 3},
  [6288] = {.lex_state = 49, .external_lex_state = 3},
  [6289] = {.lex_state = 49, .external_lex_state = 3},
  [6290] = {.lex_state = 51, .external_lex_state = 3},
  [6291] = {.lex_state = 53, .external_lex_state = 3},
  [6292] = {.lex_state = 51, .external_lex_state = 3},
  [6293] = {.lex_state = 49, .external_lex_state = 3},
  [6294] = {.lex_state = 51, .external_lex_state = 3},
  [6295] = {.lex_state = 51, .external_lex_state = 3},
  [6296] = {.lex_state = 49, .external_lex_state = 3},
  [6297] = {.lex_state = 49, .external_lex_state = 3},
  [6298] = {.lex_state = 49, .external_lex_state = 3},
  [6299] = {.lex_state = 49, .external_lex_state = 3},
  [6300] = {.lex_state = 49, .external_lex_state = 3},
  [6301] = {.lex_state = 49, .external_lex_state = 3},
  [6302] = {.lex_state = 49, .external_lex_state = 3},
  [6303] = {.lex_state = 49, .external_lex_state = 3},
  [6304] = {.lex_state = 49, .external_lex_state = 3},
  [6305] = {.lex_state = 49, .external_lex_state = 3},
  [6306] = {.lex_state = 17, .external_lex_state = 3},
  [6307] = {.lex_state = 17, .external_lex_state = 3},
  [6308] = {.lex_state = 17, .external_lex_state = 3},
  [6309] = {.lex_state = 17, .external_lex_state = 3},
  [6310] = {.lex_state = 49, .external_lex_state = 3},
  [6311] = {.lex_state = 49, .external_lex_state = 3},
  [6312] = {.lex_state = 49, .external_lex_state = 3},
  [6313] = {.lex_state = 49, .external_lex_state = 3},
  [6314] = {.lex_state = 49, .external_lex_state = 3},
  [6315] = {.lex_state = 49, .external_lex_state = 3},
  [6316] = {.lex_state = 16, .external_lex_state = 3},
  [6317] = {.lex_state = 49, .external_lex_state = 3},
  [6318] = {.lex_state = 49, .external_lex_state = 3},
  [6319] = {.lex_state = 49, .external_lex_state = 3},
  [6320] = {.lex_state = 49, .external_lex_state = 3},
  [6321] = {.lex_state = 49, .external_lex_state = 3},
  [6322] = {.lex_state = 49, .external_lex_state = 3},
  [6323] = {.lex_state = 49, .external_lex_state = 3},
  [6324] = {.lex_state = 49, .external_lex_state = 3},
  [6325] = {.lex_state = 49, .external_lex_state = 3},
  [6326] = {.lex_state = 49, .external_lex_state = 3},
  [6327] = {.lex_state = 59, .external_lex_state = 3},
  [6328] = {.lex_state = 49, .external_lex_state = 3},
  [6329] = {.lex_state = 49, .external_lex_state = 3},
  [6330] = {.lex_state = 17, .external_lex_state = 3},
  [6331] = {.lex_state = 49, .external_lex_state = 3},
  [6332] = {.lex_state = 49, .external_lex_state = 3},
  [6333] = {.lex_state = 42, .external_lex_state = 3},
  [6334] = {.lex_state = 49, .external_lex_state = 3},
  [6335] = {.lex_state = 49, .external_lex_state = 3},
  [6336] = {.lex_state = 49, .external_lex_state = 3},
  [6337] = {.lex_state = 17, .external_lex_state = 3},
  [6338] = {.lex_state = 49, .external_lex_state = 3},
  [6339] = {.lex_state = 17, .external_lex_state = 3},
  [6340] = {.lex_state = 49, .external_lex_state = 3},
  [6341] = {.lex_state = 49, .external_lex_state = 3},
  [6342] = {.lex_state = 49, .external_lex_state = 3},
  [6343] = {.lex_state = 17, .external_lex_state = 3},
  [6344] = {.lex_state = 49, .external_lex_state = 3},
  [6345] = {.lex_state = 49, .external_lex_state = 3},
  [6346] = {.lex_state = 49, .external_lex_state = 3},
  [6347] = {.lex_state = 49, .external_lex_state = 3},
  [6348] = {.lex_state = 49, .external_lex_state = 3},
  [6349] = {.lex_state = 49, .external_lex_state = 3},
  [6350] = {.lex_state = 49, .external_lex_state = 3},
  [6351] = {.lex_state = 49, .external_lex_state = 3},
  [6352] = {.lex_state = 49, .external_lex_state = 3},
  [6353] = {.lex_state = 17, .external_lex_state = 3},
  [6354] = {.lex_state = 49, .external_lex_state = 3},
  [6355] = {.lex_state = 17, .external_lex_state = 3},
  [6356] = {.lex_state = 49, .external_lex_state = 3},
  [6357] = {.lex_state = 49, .external_lex_state = 3},
  [6358] = {.lex_state = 49, .external_lex_state = 3},
  [6359] = {.lex_state = 16, .external_lex_state = 3},
  [6360] = {.lex_state = 16, .external_lex_state = 3},
  [6361] = {.lex_state = 17, .external_lex_state = 3},
  [6362] = {.lex_state = 17, .external_lex_state = 3},
  [6363] = {.lex_state = 49, .external_lex_state = 3},
  [6364] = {.lex_state = 49, .external_lex_state = 3},
  [6365] = {.lex_state = 49, .external_lex_state = 3},
  [6366] = {.lex_state = 17, .external_lex_state = 3},
  [6367] = {.lex_state = 17, .external_lex_state = 3},
  [6368] = {.lex_state = 16, .external_lex_state = 3},
  [6369] = {.lex_state = 17, .external_lex_state = 3},
  [6370] = {.lex_state = 17, .external_lex_state = 3},
  [6371] = {.lex_state = 17, .external_lex_state = 3},
  [6372] = {.lex_state = 17, .external_lex_state = 3},
  [6373] = {.lex_state = 17, .external_lex_state = 3},
  [6374] = {.lex_state = 49, .external_lex_state = 3},
  [6375] = {.lex_state = 161, .external_lex_state = 2},
  [6376] = {.lex_state = 49, .external_lex_state = 3},
  [6377] = {.lex_state = 49, .external_lex_state = 3},
  [6378] = {.lex_state = 49, .external_lex_state = 3},
  [6379] = {.lex_state = 16, .external_lex_state = 3},
  [6380] = {.lex_state = 49, .external_lex_state = 3},
  [6381] = {.lex_state = 452, .external_lex_state = 2},
  [6382] = {.lex_state = 17, .external_lex_state = 3},
  [6383] = {.lex_state = 17, .external_lex_state = 3},
  [6384] = {.lex_state = 161, .external_lex_state = 2},
  [6385] = {.lex_state = 161, .external_lex_state = 2},
  [6386] = {.lex_state = 16, .external_lex_state = 3},
  [6387] = {.lex_state = 17, .external_lex_state = 3},
  [6388] = {.lex_state = 17, .external_lex_state = 3},
  [6389] = {.lex_state = 17, .external_lex_state = 3},
  [6390] = {.lex_state = 161, .external_lex_state = 2},
  [6391] = {.lex_state = 16, .external_lex_state = 3},
  [6392] = {.lex_state = 17, .external_lex_state = 3},
  [6393] = {.lex_state = 16, .external_lex_state = 3},
  [6394] = {.lex_state = 17, .external_lex_state = 3},
  [6395] = {.lex_state = 17, .external_lex_state = 3},
  [6396] = {.lex_state = 51, .external_lex_state = 3},
  [6397] = {.lex_state = 50, .external_lex_state = 3},
  [6398] = {.lex_state = 50, .external_lex_state = 3},
  [6399] = {.lex_state = 17, .external_lex_state = 3},
  [6400] = {.lex_state = 16, .external_lex_state = 3},
  [6401] = {.lex_state = 17, .external_lex_state = 3},
  [6402] = {.lex_state = 53, .external_lex_state = 3},
  [6403] = {.lex_state = 53, .external_lex_state = 3},
  [6404] = {.lex_state = 54, .external_lex_state = 3},
  [6405] = {.lex_state = 54, .external_lex_state = 3},
  [6406] = {.lex_state = 54, .external_lex_state = 3},
  [6407] = {.lex_state = 54, .external_lex_state = 3},
  [6408] = {.lex_state = 54, .external_lex_state = 3},
  [6409] = {.lex_state = 54, .external_lex_state = 3},
  [6410] = {.lex_state = 54, .external_lex_state = 3},
  [6411] = {.lex_state = 54, .external_lex_state = 3},
  [6412] = {.lex_state = 56, .external_lex_state = 3},
  [6413] = {.lex_state = 51, .external_lex_state = 3},
  [6414] = {.lex_state = 58, .external_lex_state = 3},
  [6415] = {.lex_state = 54, .external_lex_state = 3},
  [6416] = {.lex_state = 57, .external_lex_state = 3},
  [6417] = {.lex_state = 48, .external_lex_state = 3},
  [6418] = {.lex_state = 58, .external_lex_state = 3},
  [6419] = {.lex_state = 56, .external_lex_state = 3},
  [6420] = {.lex_state = 54, .external_lex_state = 3},
  [6421] = {.lex_state = 54, .external_lex_state = 3},
  [6422] = {.lex_state = 54, .external_lex_state = 3},
  [6423] = {.lex_state = 50, .external_lex_state = 3},
  [6424] = {.lex_state = 58, .external_lex_state = 3},
  [6425] = {.lex_state = 58, .external_lex_state = 3},
  [6426] = {.lex_state = 54, .external_lex_state = 3},
  [6427] = {.lex_state = 47, .external_lex_state = 3},
  [6428] = {.lex_state = 47, .external_lex_state = 3},
  [6429] = {.lex_state = 51, .external_lex_state = 3},
  [6430] = {.lex_state = 47, .external_lex_state = 3},
  [6431] = {.lex_state = 54, .external_lex_state = 3},
  [6432] = {.lex_state = 53, .external_lex_state = 3},
  [6433] = {.lex_state = 53, .external_lex_state = 3},
  [6434] = {.lex_state = 47, .external_lex_state = 3},
  [6435] = {.lex_state = 47, .external_lex_state = 3},
  [6436] = {.lex_state = 47, .external_lex_state = 3},
  [6437] = {.lex_state = 51, .external_lex_state = 3},
  [6438] = {.lex_state = 47, .external_lex_state = 3},
  [6439] = {.lex_state = 52, .external_lex_state = 3},
  [6440] = {.lex_state = 52, .external_lex_state = 3},
  [6441] = {.lex_state = 47, .external_lex_state = 3},
  [6442] = {.lex_state = 52, .external_lex_state = 3},
  [6443] = {.lex_state = 47, .external_lex_state = 3},
  [6444] = {.lex_state = 47, .external_lex_state = 3},
  [6445] = {.lex_state = 54, .external_lex_state = 3},
  [6446] = {.lex_state = 53, .external_lex_state = 3},
  [6447] = {.lex_state = 51, .external_lex_state = 3},
  [6448] = {.lex_state = 57, .external_lex_state = 3},
  [6449] = {.lex_state = 53, .external_lex_state = 3},
  [6450] = {.lex_state = 47, .external_lex_state = 3},
  [6451] = {.lex_state = 47, .external_lex_state = 3},
  [6452] = {.lex_state = 47, .external_lex_state = 3},
  [6453] = {.lex_state = 55, .external_lex_state = 3},
  [6454] = {.lex_state = 52, .external_lex_state = 3},
  [6455] = {.lex_state = 47, .external_lex_state = 3},
  [6456] = {.lex_state = 47, .external_lex_state = 3},
  [6457] = {.lex_state = 47, .external_lex_state = 3},
  [6458] = {.lex_state = 51, .external_lex_state = 3},
  [6459] = {.lex_state = 57, .external_lex_state = 3},
  [6460] = {.lex_state = 452, .external_lex_state = 2},
  [6461] = {.lex_state = 47, .external_lex_state = 3},
  [6462] = {.lex_state = 47, .external_lex_state = 3},
  [6463] = {.lex_state = 57, .external_lex_state = 3},
  [6464] = {.lex_state = 47, .external_lex_state = 3},
  [6465] = {.lex_state = 56, .external_lex_state = 3},
  [6466] = {.lex_state = 54, .external_lex_state = 3},
  [6467] = {.lex_state = 47, .external_lex_state = 3},
  [6468] = {.lex_state = 52, .external_lex_state = 3},
  [6469] = {.lex_state = 47, .external_lex_state = 3},
  [6470] = {.lex_state = 47, .external_lex_state = 3},
  [6471] = {.lex_state = 47, .external_lex_state = 3},
  [6472] = {.lex_state = 51, .external_lex_state = 3},
  [6473] = {.lex_state = 53, .external_lex_state = 3},
  [6474] = {.lex_state = 47, .external_lex_state = 3},
  [6475] = {.lex_state = 47, .external_lex_state = 3},
  [6476] = {.lex_state = 47, .external_lex_state = 3},
  [6477] = {.lex_state = 47, .external_lex_state = 3},
  [6478] = {.lex_state = 47, .external_lex_state = 3},
  [6479] = {.lex_state = 47, .external_lex_state = 3},
  [6480] = {.lex_state = 47, .external_lex_state = 3},
  [6481] = {.lex_state = 47, .external_lex_state = 3},
  [6482] = {.lex_state = 47, .external_lex_state = 3},
  [6483] = {.lex_state = 47, .external_lex_state = 3},
  [6484] = {.lex_state = 50, .external_lex_state = 3},
  [6485] = {.lex_state = 47, .external_lex_state = 3},
  [6486] = {.lex_state = 47, .external_lex_state = 3},
  [6487] = {.lex_state = 54, .external_lex_state = 3},
  [6488] = {.lex_state = 55, .external_lex_state = 3},
  [6489] = {.lex_state = 55, .external_lex_state = 3},
  [6490] = {.lex_state = 52, .external_lex_state = 3},
  [6491] = {.lex_state = 47, .external_lex_state = 3},
  [6492] = {.lex_state = 47, .external_lex_state = 3},
  [6493] = {.lex_state = 47, .external_lex_state = 3},
  [6494] = {.lex_state = 47, .external_lex_state = 3},
  [6495] = {.lex_state = 51, .external_lex_state = 3},
  [6496] = {.lex_state = 452, .external_lex_state = 2},
  [6497] = {.lex_state = 52, .external_lex_state = 3},
  [6498] = {.lex_state = 55, .external_lex_state = 3},
  [6499] = {.lex_state = 52, .external_lex_state = 3},
  [6500] = {.lex_state = 51, .external_lex_state = 3},
  [6501] = {.lex_state = 51, .external_lex_state = 3},
  [6502] = {.lex_state = 47, .external_lex_state = 3},
  [6503] = {.lex_state = 50, .external_lex_state = 3},
  [6504] = {.lex_state = 53, .external_lex_state = 3},
  [6505] = {.lex_state = 55, .external_lex_state = 3},
  [6506] = {.lex_state = 47, .external_lex_state = 3},
  [6507] = {.lex_state = 51, .external_lex_state = 3},
  [6508] = {.lex_state = 55, .external_lex_state = 3},
  [6509] = {.lex_state = 47, .external_lex_state = 3},
  [6510] = {.lex_state = 50, .external_lex_state = 3},
  [6511] = {.lex_state = 55, .external_lex_state = 3},
  [6512] = {.lex_state = 54, .external_lex_state = 3},
  [6513] = {.lex_state = 55, .external_lex_state = 3},
  [6514] = {.lex_state = 55, .external_lex_state = 3},
  [6515] = {.lex_state = 55, .external_lex_state = 3},
  [6516] = {.lex_state = 55, .external_lex_state = 3},
  [6517] = {.lex_state = 47, .external_lex_state = 3},
  [6518] = {.lex_state = 51, .external_lex_state = 3},
  [6519] = {.lex_state = 55, .external_lex_state = 3},
  [6520] = {.lex_state = 55, .external_lex_state = 3},
  [6521] = {.lex_state = 55, .external_lex_state = 3},
  [6522] = {.lex_state = 54, .external_lex_state = 3},
  [6523] = {.lex_state = 55, .external_lex_state = 3},
  [6524] = {.lex_state = 55, .external_lex_state = 3},
  [6525] = {.lex_state = 55, .external_lex_state = 3},
  [6526] = {.lex_state = 47, .external_lex_state = 3},
  [6527] = {.lex_state = 55, .external_lex_state = 3},
  [6528] = {.lex_state = 55, .external_lex_state = 3},
  [6529] = {.lex_state = 55, .external_lex_state = 3},
  [6530] = {.lex_state = 47, .external_lex_state = 3},
  [6531] = {.lex_state = 55, .external_lex_state = 3},
  [6532] = {.lex_state = 55, .external_lex_state = 3},
  [6533] = {.lex_state = 55, .external_lex_state = 3},
  [6534] = {.lex_state = 55, .external_lex_state = 3},
  [6535] = {.lex_state = 54, .external_lex_state = 3},
  [6536] = {.lex_state = 55, .external_lex_state = 3},
  [6537] = {.lex_state = 55, .external_lex_state = 3},
  [6538] = {.lex_state = 55, .external_lex_state = 3},
  [6539] = {.lex_state = 55, .external_lex_state = 3},
  [6540] = {.lex_state = 51, .external_lex_state = 3},
  [6541] = {.lex_state = 55, .external_lex_state = 3},
  [6542] = {.lex_state = 55, .external_lex_state = 3},
  [6543] = {.lex_state = 55, .external_lex_state = 3},
  [6544] = {.lex_state = 55, .external_lex_state = 3},
  [6545] = {.lex_state = 55, .external_lex_state = 3},
  [6546] = {.lex_state = 55, .external_lex_state = 3},
  [6547] = {.lex_state = 54, .external_lex_state = 3},
  [6548] = {.lex_state = 55, .external_lex_state = 3},
  [6549] = {.lex_state = 55, .external_lex_state = 3},
  [6550] = {.lex_state = 47, .external_lex_state = 3},
  [6551] = {.lex_state = 50, .external_lex_state = 3},
  [6552] = {.lex_state = 55, .external_lex_state = 3},
  [6553] = {.lex_state = 57, .external_lex_state = 3},
  [6554] = {.lex_state = 50, .external_lex_state = 3},
  [6555] = {.lex_state = 55, .external_lex_state = 3},
  [6556] = {.lex_state = 55, .external_lex_state = 3},
  [6557] = {.lex_state = 55, .external_lex_state = 3},
  [6558] = {.lex_state = 55, .external_lex_state = 3},
  [6559] = {.lex_state = 54, .external_lex_state = 3},
  [6560] = {.lex_state = 54, .external_lex_state = 3},
  [6561] = {.lex_state = 54, .external_lex_state = 3},
  [6562] = {.lex_state = 55, .external_lex_state = 3},
  [6563] = {.lex_state = 51, .external_lex_state = 3},
  [6564] = {.lex_state = 51, .external_lex_state = 3},
  [6565] = {.lex_state = 55, .external_lex_state = 3},
  [6566] = {.lex_state = 54, .external_lex_state = 3},
  [6567] = {.lex_state = 54, .external_lex_state = 3},
  [6568] = {.lex_state = 54, .external_lex_state = 3},
  [6569] = {.lex_state = 54, .external_lex_state = 3},
  [6570] = {.lex_state = 53, .external_lex_state = 3},
  [6571] = {.lex_state = 51, .external_lex_state = 3},
  [6572] = {.lex_state = 55, .external_lex_state = 3},
  [6573] = {.lex_state = 50, .external_lex_state = 3},
  [6574] = {.lex_state = 53, .external_lex_state = 3},
  [6575] = {.lex_state = 47, .external_lex_state = 3},
  [6576] = {.lex_state = 53, .external_lex_state = 3},
  [6577] = {.lex_state = 51, .external_lex_state = 3},
  [6578] = {.lex_state = 53, .external_lex_state = 3},
  [6579] = {.lex_state = 53, .external_lex_state = 3},
  [6580] = {.lex_state = 53, .external_lex_state = 3},
  [6581] = {.lex_state = 55, .external_lex_state = 3},
  [6582] = {.lex_state = 50, .external_lex_state = 3},
  [6583] = {.lex_state = 53, .external_lex_state = 3},
  [6584] = {.lex_state = 53, .external_lex_state = 3},
  [6585] = {.lex_state = 53, .external_lex_state = 3},
  [6586] = {.lex_state = 47, .external_lex_state = 3},
  [6587] = {.lex_state = 53, .external_lex_state = 3},
  [6588] = {.lex_state = 53, .external_lex_state = 3},
  [6589] = {.lex_state = 53, .external_lex_state = 3},
  [6590] = {.lex_state = 51, .external_lex_state = 3},
  [6591] = {.lex_state = 50, .external_lex_state = 3},
  [6592] = {.lex_state = 51, .external_lex_state = 3},
  [6593] = {.lex_state = 53, .external_lex_state = 3},
  [6594] = {.lex_state = 53, .external_lex_state = 3},
  [6595] = {.lex_state = 53, .external_lex_state = 3},
  [6596] = {.lex_state = 55, .external_lex_state = 3},
  [6597] = {.lex_state = 53, .external_lex_state = 3},
  [6598] = {.lex_state = 51, .external_lex_state = 3},
  [6599] = {.lex_state = 53, .external_lex_state = 3},
  [6600] = {.lex_state = 53, .external_lex_state = 3},
  [6601] = {.lex_state = 47, .external_lex_state = 3},
  [6602] = {.lex_state = 53, .external_lex_state = 3},
  [6603] = {.lex_state = 51, .external_lex_state = 3},
  [6604] = {.lex_state = 53, .external_lex_state = 3},
  [6605] = {.lex_state = 53, .external_lex_state = 3},
  [6606] = {.lex_state = 53, .external_lex_state = 3},
  [6607] = {.lex_state = 51, .external_lex_state = 3},
  [6608] = {.lex_state = 53, .external_lex_state = 3},
  [6609] = {.lex_state = 53, .external_lex_state = 3},
  [6610] = {.lex_state = 53, .external_lex_state = 3},
  [6611] = {.lex_state = 53, .external_lex_state = 3},
  [6612] = {.lex_state = 53, .external_lex_state = 3},
  [6613] = {.lex_state = 53, .external_lex_state = 3},
  [6614] = {.lex_state = 47, .external_lex_state = 3},
  [6615] = {.lex_state = 53, .external_lex_state = 3},
  [6616] = {.lex_state = 53, .external_lex_state = 3},
  [6617] = {.lex_state = 55, .external_lex_state = 3},
  [6618] = {.lex_state = 50, .external_lex_state = 3},
  [6619] = {.lex_state = 58, .external_lex_state = 3},
  [6620] = {.lex_state = 51, .external_lex_state = 3},
  [6621] = {.lex_state = 51, .external_lex_state = 3},
  [6622] = {.lex_state = 53, .external_lex_state = 3},
  [6623] = {.lex_state = 53, .external_lex_state = 3},
  [6624] = {.lex_state = 53, .external_lex_state = 3},
  [6625] = {.lex_state = 53, .external_lex_state = 3},
  [6626] = {.lex_state = 47, .external_lex_state = 3},
  [6627] = {.lex_state = 47, .external_lex_state = 3},
  [6628] = {.lex_state = 47, .external_lex_state = 3},
  [6629] = {.lex_state = 51, .external_lex_state = 3},
  [6630] = {.lex_state = 51, .external_lex_state = 3},
  [6631] = {.lex_state = 50, .external_lex_state = 3},
  [6632] = {.lex_state = 53, .external_lex_state = 3},
  [6633] = {.lex_state = 47, .external_lex_state = 3},
  [6634] = {.lex_state = 47, .external_lex_state = 3},
  [6635] = {.lex_state = 47, .external_lex_state = 3},
  [6636] = {.lex_state = 51, .external_lex_state = 3},
  [6637] = {.lex_state = 47, .external_lex_state = 3},
  [6638] = {.lex_state = 50, .external_lex_state = 3},
  [6639] = {.lex_state = 54, .external_lex_state = 3},
  [6640] = {.lex_state = 50, .external_lex_state = 3},
  [6641] = {.lex_state = 48, .external_lex_state = 3},
  [6642] = {.lex_state = 53, .external_lex_state = 3},
  [6643] = {.lex_state = 51, .external_lex_state = 3},
  [6644] = {.lex_state = 54, .external_lex_state = 3},
  [6645] = {.lex_state = 54, .external_lex_state = 3},
  [6646] = {.lex_state = 51, .external_lex_state = 3},
  [6647] = {.lex_state = 51, .external_lex_state = 3},
  [6648] = {.lex_state = 51, .external_lex_state = 3},
  [6649] = {.lex_state = 55, .external_lex_state = 3},
  [6650] = {.lex_state = 57, .external_lex_state = 3},
  [6651] = {.lex_state = 54, .external_lex_state = 3},
  [6652] = {.lex_state = 50, .external_lex_state = 3},
  [6653] = {.lex_state = 55, .external_lex_state = 3},
  [6654] = {.lex_state = 54, .external_lex_state = 3},
  [6655] = {.lex_state = 56, .external_lex_state = 3},
  [6656] = {.lex_state = 53, .external_lex_state = 3},
  [6657] = {.lex_state = 51, .external_lex_state = 3},
  [6658] = {.lex_state = 60, .external_lex_state = 3},
  [6659] = {.lex_state = 50, .external_lex_state = 3},
  [6660] = {.lex_state = 51, .external_lex_state = 3},
  [6661] = {.lex_state = 50, .external_lex_state = 3},
  [6662] = {.lex_state = 55, .external_lex_state = 3},
  [6663] = {.lex_state = 51, .external_lex_state = 3},
  [6664] = {.lex_state = 51, .external_lex_state = 3},
  [6665] = {.lex_state = 50, .external_lex_state = 3},
  [6666] = {.lex_state = 47, .external_lex_state = 3},
  [6667] = {.lex_state = 51, .external_lex_state = 3},
  [6668] = {.lex_state = 47, .external_lex_state = 3},
  [6669] = {.lex_state = 47, .external_lex_state = 3},
  [6670] = {.lex_state = 452, .external_lex_state = 2},
  [6671] = {.lex_state = 53, .external_lex_state = 3},
  [6672] = {.lex_state = 55, .external_lex_state = 3},
  [6673] = {.lex_state = 57, .external_lex_state = 3},
  [6674] = {.lex_state = 55, .external_lex_state = 3},
  [6675] = {.lex_state = 54, .external_lex_state = 3},
  [6676] = {.lex_state = 57, .external_lex_state = 3},
  [6677] = {.lex_state = 57, .external_lex_state = 3},
  [6678] = {.lex_state = 51, .external_lex_state = 3},
  [6679] = {.lex_state = 47, .external_lex_state = 3},
  [6680] = {.lex_state = 50, .external_lex_state = 3},
  [6681] = {.lex_state = 53, .external_lex_state = 3},
  [6682] = {.lex_state = 55, .external_lex_state = 3},
  [6683] = {.lex_state = 51, .external_lex_state = 3},
  [6684] = {.lex_state = 51, .external_lex_state = 3},
  [6685] = {.lex_state = 51, .external_lex_state = 3},
  [6686] = {.lex_state = 53, .external_lex_state = 3},
  [6687] = {.lex_state = 51, .external_lex_state = 3},
  [6688] = {.lex_state = 51, .external_lex_state = 3},
  [6689] = {.lex_state = 50, .external_lex_state = 3},
  [6690] = {.lex_state = 55, .external_lex_state = 3},
  [6691] = {.lex_state = 51, .external_lex_state = 3},
  [6692] = {.lex_state = 55, .external_lex_state = 3},
  [6693] = {.lex_state = 55, .external_lex_state = 3},
  [6694] = {.lex_state = 55, .external_lex_state = 3},
  [6695] = {.lex_state = 50, .external_lex_state = 3},
  [6696] = {.lex_state = 55, .external_lex_state = 3},
  [6697] = {.lex_state = 55, .external_lex_state = 3},
  [6698] = {.lex_state = 55, .external_lex_state = 3},
  [6699] = {.lex_state = 51, .external_lex_state = 3},
  [6700] = {.lex_state = 55, .external_lex_state = 3},
  [6701] = {.lex_state = 51, .external_lex_state = 3},
  [6702] = {.lex_state = 55, .external_lex_state = 3},
  [6703] = {.lex_state = 55, .external_lex_state = 3},
  [6704] = {.lex_state = 51, .external_lex_state = 3},
  [6705] = {.lex_state = 51, .external_lex_state = 3},
  [6706] = {.lex_state = 54, .external_lex_state = 3},
  [6707] = {.lex_state = 54, .external_lex_state = 3},
  [6708] = {.lex_state = 51, .external_lex_state = 3},
  [6709] = {.lex_state = 55, .external_lex_state = 3},
  [6710] = {.lex_state = 53, .external_lex_state = 3},
  [6711] = {.lex_state = 51, .external_lex_state = 3},
  [6712] = {.lex_state = 47, .external_lex_state = 3},
  [6713] = {.lex_state = 51, .external_lex_state = 3},
  [6714] = {.lex_state = 51, .external_lex_state = 3},
  [6715] = {.lex_state = 51, .external_lex_state = 3},
  [6716] = {.lex_state = 50, .external_lex_state = 3},
  [6717] = {.lex_state = 452, .external_lex_state = 2},
  [6718] = {.lex_state = 53, .external_lex_state = 3},
  [6719] = {.lex_state = 50, .external_lex_state = 3},
  [6720] = {.lex_state = 50, .external_lex_state = 3},
  [6721] = {.lex_state = 50, .external_lex_state = 3},
  [6722] = {.lex_state = 55, .external_lex_state = 3},
  [6723] = {.lex_state = 53, .external_lex_state = 3},
  [6724] = {.lex_state = 47, .external_lex_state = 3},
  [6725] = {.lex_state = 56, .external_lex_state = 3},
  [6726] = {.lex_state = 452, .external_lex_state = 2},
  [6727] = {.lex_state = 53, .external_lex_state = 3},
  [6728] = {.lex_state = 53, .external_lex_state = 3},
  [6729] = {.lex_state = 53, .external_lex_state = 3},
  [6730] = {.lex_state = 50, .external_lex_state = 3},
  [6731] = {.lex_state = 53, .external_lex_state = 3},
  [6732] = {.lex_state = 55, .external_lex_state = 3},
  [6733] = {.lex_state = 53, .external_lex_state = 3},
  [6734] = {.lex_state = 53, .external_lex_state = 3},
  [6735] = {.lex_state = 53, .external_lex_state = 3},
  [6736] = {.lex_state = 53, .external_lex_state = 3},
  [6737] = {.lex_state = 51, .external_lex_state = 3},
  [6738] = {.lex_state = 51, .external_lex_state = 3},
  [6739] = {.lex_state = 53, .external_lex_state = 3},
  [6740] = {.lex_state = 50, .external_lex_state = 3},
  [6741] = {.lex_state = 50, .external_lex_state = 3},
  [6742] = {.lex_state = 50, .external_lex_state = 3},
  [6743] = {.lex_state = 50, .external_lex_state = 3},
  [6744] = {.lex_state = 50, .external_lex_state = 3},
  [6745] = {.lex_state = 50, .external_lex_state = 3},
  [6746] = {.lex_state = 47, .external_lex_state = 3},
  [6747] = {.lex_state = 50, .external_lex_state = 3},
  [6748] = {.lex_state = 54, .external_lex_state = 3},
  [6749] = {.lex_state = 50, .external_lex_state = 3},
  [6750] = {.lex_state = 53, .external_lex_state = 3},
  [6751] = {.lex_state = 53, .external_lex_state = 3},
  [6752] = {.lex_state = 55, .external_lex_state = 3},
  [6753] = {.lex_state = 50, .external_lex_state = 3},
  [6754] = {.lex_state = 53, .external_lex_state = 3},
  [6755] = {.lex_state = 50, .external_lex_state = 3},
  [6756] = {.lex_state = 50, .external_lex_state = 3},
  [6757] = {.lex_state = 50, .external_lex_state = 3},
  [6758] = {.lex_state = 51, .external_lex_state = 3},
  [6759] = {.lex_state = 50, .external_lex_state = 3},
  [6760] = {.lex_state = 50, .external_lex_state = 3},
  [6761] = {.lex_state = 50, .external_lex_state = 3},
  [6762] = {.lex_state = 53, .external_lex_state = 3},
  [6763] = {.lex_state = 53, .external_lex_state = 3},
  [6764] = {.lex_state = 50, .external_lex_state = 3},
  [6765] = {.lex_state = 50, .external_lex_state = 3},
  [6766] = {.lex_state = 53, .external_lex_state = 3},
  [6767] = {.lex_state = 53, .external_lex_state = 3},
  [6768] = {.lex_state = 50, .external_lex_state = 3},
  [6769] = {.lex_state = 50, .external_lex_state = 3},
  [6770] = {.lex_state = 50, .external_lex_state = 3},
  [6771] = {.lex_state = 58, .external_lex_state = 3},
  [6772] = {.lex_state = 50, .external_lex_state = 3},
  [6773] = {.lex_state = 53, .external_lex_state = 3},
  [6774] = {.lex_state = 50, .external_lex_state = 3},
  [6775] = {.lex_state = 51, .external_lex_state = 3},
  [6776] = {.lex_state = 50, .external_lex_state = 3},
  [6777] = {.lex_state = 51, .external_lex_state = 3},
  [6778] = {.lex_state = 55, .external_lex_state = 3},
  [6779] = {.lex_state = 50, .external_lex_state = 3},
  [6780] = {.lex_state = 55, .external_lex_state = 3},
  [6781] = {.lex_state = 53, .external_lex_state = 3},
  [6782] = {.lex_state = 54, .external_lex_state = 3},
  [6783] = {.lex_state = 53, .external_lex_state = 3},
  [6784] = {.lex_state = 50, .external_lex_state = 3},
  [6785] = {.lex_state = 54, .external_lex_state = 3},
  [6786] = {.lex_state = 54, .external_lex_state = 3},
  [6787] = {.lex_state = 50, .external_lex_state = 3},
  [6788] = {.lex_state = 54, .external_lex_state = 3},
  [6789] = {.lex_state = 51, .external_lex_state = 3},
  [6790] = {.lex_state = 51, .external_lex_state = 3},
  [6791] = {.lex_state = 54, .external_lex_state = 3},
  [6792] = {.lex_state = 53, .external_lex_state = 3},
  [6793] = {.lex_state = 51, .external_lex_state = 3},
  [6794] = {.lex_state = 50, .external_lex_state = 3},
  [6795] = {.lex_state = 54, .external_lex_state = 3},
  [6796] = {.lex_state = 50, .external_lex_state = 3},
  [6797] = {.lex_state = 50, .external_lex_state = 3},
  [6798] = {.lex_state = 50, .external_lex_state = 3},
  [6799] = {.lex_state = 50, .external_lex_state = 3},
  [6800] = {.lex_state = 452, .external_lex_state = 2},
  [6801] = {.lex_state = 50, .external_lex_state = 3},
  [6802] = {.lex_state = 50, .external_lex_state = 3},
  [6803] = {.lex_state = 50, .external_lex_state = 3},
  [6804] = {.lex_state = 53, .external_lex_state = 3},
  [6805] = {.lex_state = 50, .external_lex_state = 3},
  [6806] = {.lex_state = 50, .external_lex_state = 3},
  [6807] = {.lex_state = 51, .external_lex_state = 3},
  [6808] = {.lex_state = 50, .external_lex_state = 3},
  [6809] = {.lex_state = 59, .external_lex_state = 3},
  [6810] = {.lex_state = 50, .external_lex_state = 3},
  [6811] = {.lex_state = 57, .external_lex_state = 3},
  [6812] = {.lex_state = 54, .external_lex_state = 3},
  [6813] = {.lex_state = 54, .external_lex_state = 3},
  [6814] = {.lex_state = 55, .external_lex_state = 3},
  [6815] = {.lex_state = 50, .external_lex_state = 3},
  [6816] = {.lex_state = 50, .external_lex_state = 3},
  [6817] = {.lex_state = 50, .external_lex_state = 3},
  [6818] = {.lex_state = 47, .external_lex_state = 3},
  [6819] = {.lex_state = 452, .external_lex_state = 2},
  [6820] = {.lex_state = 54, .external_lex_state = 3},
  [6821] = {.lex_state = 53, .external_lex_state = 3},
  [6822] = {.lex_state = 48, .external_lex_state = 3},
  [6823] = {.lex_state = 48, .external_lex_state = 3},
  [6824] = {.lex_state = 53, .external_lex_state = 3},
  [6825] = {.lex_state = 50, .external_lex_state = 3},
  [6826] = {.lex_state = 54, .external_lex_state = 3},
  [6827] = {.lex_state = 50, .external_lex_state = 3},
  [6828] = {.lex_state = 50, .external_lex_state = 3},
  [6829] = {.lex_state = 50, .external_lex_state = 3},
  [6830] = {.lex_state = 48, .external_lex_state = 3},
  [6831] = {.lex_state = 54, .external_lex_state = 3},
  [6832] = {.lex_state = 51, .external_lex_state = 3},
  [6833] = {.lex_state = 51, .external_lex_state = 3},
  [6834] = {.lex_state = 53, .external_lex_state = 3},
  [6835] = {.lex_state = 54, .external_lex_state = 3},
  [6836] = {.lex_state = 44, .external_lex_state = 3},
  [6837] = {.lex_state = 50, .external_lex_state = 3},
  [6838] = {.lex_state = 48, .external_lex_state = 3},
  [6839] = {.lex_state = 51, .external_lex_state = 3},
  [6840] = {.lex_state = 47, .external_lex_state = 3},
  [6841] = {.lex_state = 48, .external_lex_state = 3},
  [6842] = {.lex_state = 50, .external_lex_state = 3},
  [6843] = {.lex_state = 47, .external_lex_state = 3},
  [6844] = {.lex_state = 51, .external_lex_state = 3},
  [6845] = {.lex_state = 58, .external_lex_state = 3},
  [6846] = {.lex_state = 53, .external_lex_state = 3},
  [6847] = {.lex_state = 51, .external_lex_state = 3},
  [6848] = {.lex_state = 51, .external_lex_state = 3},
  [6849] = {.lex_state = 47, .external_lex_state = 3},
  [6850] = {.lex_state = 48, .external_lex_state = 3},
  [6851] = {.lex_state = 51, .external_lex_state = 3},
  [6852] = {.lex_state = 54, .external_lex_state = 3},
  [6853] = {.lex_state = 50, .external_lex_state = 3},
  [6854] = {.lex_state = 47, .external_lex_state = 3},
  [6855] = {.lex_state = 55, .external_lex_state = 3},
  [6856] = {.lex_state = 48, .external_lex_state = 3},
  [6857] = {.lex_state = 53, .external_lex_state = 3},
  [6858] = {.lex_state = 55, .external_lex_state = 3},
  [6859] = {.lex_state = 55, .external_lex_state = 3},
  [6860] = {.lex_state = 58, .external_lex_state = 3},
  [6861] = {.lex_state = 56, .external_lex_state = 3},
  [6862] = {.lex_state = 56, .external_lex_state = 3},
  [6863] = {.lex_state = 56, .external_lex_state = 3},
  [6864] = {.lex_state = 55, .external_lex_state = 3},
  [6865] = {.lex_state = 54, .external_lex_state = 3},
  [6866] = {.lex_state = 50, .external_lex_state = 3},
  [6867] = {.lex_state = 55, .external_lex_state = 3},
  [6868] = {.lex_state = 58, .external_lex_state = 3},
  [6869] = {.lex_state = 50, .external_lex_state = 3},
  [6870] = {.lex_state = 50, .external_lex_state = 3},
  [6871] = {.lex_state = 59, .external_lex_state = 3},
  [6872] = {.lex_state = 55, .external_lex_state = 3},
  [6873] = {.lex_state = 51, .external_lex_state = 3},
  [6874] = {.lex_state = 58, .external_lex_state = 3},
  [6875] = {.lex_state = 54, .external_lex_state = 3},
  [6876] = {.lex_state = 53, .external_lex_state = 3},
  [6877] = {.lex_state = 58, .external_lex_state = 3},
  [6878] = {.lex_state = 50, .external_lex_state = 3},
  [6879] = {.lex_state = 53, .external_lex_state = 3},
  [6880] = {.lex_state = 56, .external_lex_state = 3},
  [6881] = {.lex_state = 56, .external_lex_state = 3},
  [6882] = {.lex_state = 56, .external_lex_state = 3},
  [6883] = {.lex_state = 54, .external_lex_state = 3},
  [6884] = {.lex_state = 54, .external_lex_state = 3},
  [6885] = {.lex_state = 47, .external_lex_state = 3},
  [6886] = {.lex_state = 48, .external_lex_state = 3},
  [6887] = {.lex_state = 47, .external_lex_state = 3},
  [6888] = {.lex_state = 47, .external_lex_state = 3},
  [6889] = {.lex_state = 48, .external_lex_state = 3},
  [6890] = {.lex_state = 53, .external_lex_state = 3},
  [6891] = {.lex_state = 51, .external_lex_state = 3},
  [6892] = {.lex_state = 52, .external_lex_state = 3},
  [6893] = {.lex_state = 51, .external_lex_state = 3},
  [6894] = {.lex_state = 54, .external_lex_state = 3},
  [6895] = {.lex_state = 47, .external_lex_state = 3},
  [6896] = {.lex_state = 452, .external_lex_state = 2},
  [6897] = {.lex_state = 52, .external_lex_state = 3},
  [6898] = {.lex_state = 51, .external_lex_state = 3},
  [6899] = {.lex_state = 52, .external_lex_state = 3},
  [6900] = {.lex_state = 51, .external_lex_state = 3},
  [6901] = {.lex_state = 51, .external_lex_state = 3},
  [6902] = {.lex_state = 51, .external_lex_state = 3},
  [6903] = {.lex_state = 55, .external_lex_state = 3},
  [6904] = {.lex_state = 54, .external_lex_state = 3},
  [6905] = {.lex_state = 54, .external_lex_state = 3},
  [6906] = {.lex_state = 55, .external_lex_state = 3},
  [6907] = {.lex_state = 54, .external_lex_state = 3},
  [6908] = {.lex_state = 54, .external_lex_state = 3},
  [6909] = {.lex_state = 47, .external_lex_state = 3},
  [6910] = {.lex_state = 54, .external_lex_state = 3},
  [6911] = {.lex_state = 54, .external_lex_state = 3},
  [6912] = {.lex_state = 47, .external_lex_state = 3},
  [6913] = {.lex_state = 54, .external_lex_state = 3},
  [6914] = {.lex_state = 47, .external_lex_state = 3},
  [6915] = {.lex_state = 54, .external_lex_state = 3},
  [6916] = {.lex_state = 54, .external_lex_state = 3},
  [6917] = {.lex_state = 54, .external_lex_state = 3},
  [6918] = {.lex_state = 51, .external_lex_state = 3},
  [6919] = {.lex_state = 54, .external_lex_state = 3},
  [6920] = {.lex_state = 51, .external_lex_state = 3},
  [6921] = {.lex_state = 54, .external_lex_state = 3},
  [6922] = {.lex_state = 54, .external_lex_state = 3},
  [6923] = {.lex_state = 57, .external_lex_state = 3},
  [6924] = {.lex_state = 51, .external_lex_state = 3},
  [6925] = {.lex_state = 55, .external_lex_state = 3},
  [6926] = {.lex_state = 54, .external_lex_state = 3},
  [6927] = {.lex_state = 54, .external_lex_state = 3},
  [6928] = {.lex_state = 54, .external_lex_state = 3},
  [6929] = {.lex_state = 54, .external_lex_state = 3},
  [6930] = {.lex_state = 54, .external_lex_state = 3},
  [6931] = {.lex_state = 54, .external_lex_state = 3},
  [6932] = {.lex_state = 47, .external_lex_state = 3},
  [6933] = {.lex_state = 54, .external_lex_state = 3},
  [6934] = {.lex_state = 47, .external_lex_state = 3},
  [6935] = {.lex_state = 54, .external_lex_state = 3},
  [6936] = {.lex_state = 54, .external_lex_state = 3},
  [6937] = {.lex_state = 54, .external_lex_state = 3},
  [6938] = {.lex_state = 50, .external_lex_state = 3},
  [6939] = {.lex_state = 54, .external_lex_state = 3},
  [6940] = {.lex_state = 47, .external_lex_state = 3},
  [6941] = {.lex_state = 51, .external_lex_state = 3},
  [6942] = {.lex_state = 11, .external_lex_state = 3},
  [6943] = {.lex_state = 52, .external_lex_state = 3},
  [6944] = {.lex_state = 48, .external_lex_state = 3},
  [6945] = {.lex_state = 56, .external_lex_state = 3},
  [6946] = {.lex_state = 56, .external_lex_state = 3},
  [6947] = {.lex_state = 56, .external_lex_state = 3},
  [6948] = {.lex_state = 56, .external_lex_state = 3},
  [6949] = {.lex_state = 57, .external_lex_state = 3},
  [6950] = {.lex_state = 48, .external_lex_state = 3},
  [6951] = {.lex_state = 56, .external_lex_state = 3},
  [6952] = {.lex_state = 48, .external_lex_state = 3},
  [6953] = {.lex_state = 11, .external_lex_state = 3},
  [6954] = {.lex_state = 58, .external_lex_state = 3},
  [6955] = {.lex_state = 48, .external_lex_state = 3},
  [6956] = {.lex_state = 58, .external_lex_state = 3},
  [6957] = {.lex_state = 58, .external_lex_state = 3},
  [6958] = {.lex_state = 11, .external_lex_state = 3},
  [6959] = {.lex_state = 58, .external_lex_state = 3},
  [6960] = {.lex_state = 57, .external_lex_state = 3},
  [6961] = {.lex_state = 48, .external_lex_state = 3},
  [6962] = {.lex_state = 11, .external_lex_state = 3},
  [6963] = {.lex_state = 48, .external_lex_state = 3},
  [6964] = {.lex_state = 58, .external_lex_state = 3},
  [6965] = {.lex_state = 57, .external_lex_state = 3},
  [6966] = {.lex_state = 56, .external_lex_state = 3},
  [6967] = {.lex_state = 48, .external_lex_state = 3},
  [6968] = {.lex_state = 48, .external_lex_state = 3},
  [6969] = {.lex_state = 57, .external_lex_state = 3},
  [6970] = {.lex_state = 57, .external_lex_state = 3},
  [6971] = {.lex_state = 58, .external_lex_state = 3},
  [6972] = {.lex_state = 57, .external_lex_state = 3},
  [6973] = {.lex_state = 48, .external_lex_state = 3},
  [6974] = {.lex_state = 10, .external_lex_state = 3},
  [6975] = {.lex_state = 58, .external_lex_state = 3},
  [6976] = {.lex_state = 48, .external_lex_state = 3},
  [6977] = {.lex_state = 10, .external_lex_state = 3},
  [6978] = {.lex_state = 58, .external_lex_state = 3},
  [6979] = {.lex_state = 11, .external_lex_state = 3},
  [6980] = {.lex_state = 11, .external_lex_state = 3},
  [6981] = {.lex_state = 11, .external_lex_state = 3},
  [6982] = {.lex_state = 57, .external_lex_state = 3},
  [6983] = {.lex_state = 11, .external_lex_state = 3},
  [6984] = {.lex_state = 10, .external_lex_state = 3},
  [6985] = {.lex_state = 58, .external_lex_state = 3},
  [6986] = {.lex_state = 58, .external_lex_state = 3},
  [6987] = {.lex_state = 58, .external_lex_state = 3},
  [6988] = {.lex_state = 57, .external_lex_state = 3},
  [6989] = {.lex_state = 56, .external_lex_state = 3},
  [6990] = {.lex_state = 52, .external_lex_state = 3},
  [6991] = {.lex_state = 10, .external_lex_state = 3},
  [6992] = {.lex_state = 48, .external_lex_state = 3},
  [6993] = {.lex_state = 11, .external_lex_state = 3},
  [6994] = {.lex_state = 48, .external_lex_state = 3},
  [6995] = {.lex_state = 57, .external_lex_state = 3},
  [6996] = {.lex_state = 58, .external_lex_state = 3},
  [6997] = {.lex_state = 10, .external_lex_state = 3},
  [6998] = {.lex_state = 58, .external_lex_state = 3},
  [6999] = {.lex_state = 10, .external_lex_state = 3},
  [7000] = {.lex_state = 48, .external_lex_state = 3},
  [7001] = {.lex_state = 10, .external_lex_state = 3},
  [7002] = {.lex_state = 57, .external_lex_state = 3},
  [7003] = {.lex_state = 10, .external_lex_state = 3},
  [7004] = {.lex_state = 58, .external_lex_state = 3},
  [7005] = {.lex_state = 11, .external_lex_state = 3},
  [7006] = {.lex_state = 48, .external_lex_state = 3},
  [7007] = {.lex_state = 58, .external_lex_state = 3},
  [7008] = {.lex_state = 161, .external_lex_state = 2},
  [7009] = {.lex_state = 10, .external_lex_state = 3},
  [7010] = {.lex_state = 10, .external_lex_state = 3},
  [7011] = {.lex_state = 10, .external_lex_state = 3},
  [7012] = {.lex_state = 58, .external_lex_state = 3},
  [7013] = {.lex_state = 58, .external_lex_state = 3},
  [7014] = {.lex_state = 10, .external_lex_state = 3},
  [7015] = {.lex_state = 10, .external_lex_state = 3},
  [7016] = {.lex_state = 10, .external_lex_state = 3},
  [7017] = {.lex_state = 10, .external_lex_state = 3},
  [7018] = {.lex_state = 52, .external_lex_state = 3},
  [7019] = {.lex_state = 57, .external_lex_state = 3},
  [7020] = {.lex_state = 57, .external_lex_state = 3},
  [7021] = {.lex_state = 11, .external_lex_state = 3},
  [7022] = {.lex_state = 48, .external_lex_state = 3},
  [7023] = {.lex_state = 52, .external_lex_state = 3},
  [7024] = {.lex_state = 48, .external_lex_state = 3},
  [7025] = {.lex_state = 48, .external_lex_state = 3},
  [7026] = {.lex_state = 11, .external_lex_state = 3},
  [7027] = {.lex_state = 57, .external_lex_state = 3},
  [7028] = {.lex_state = 11, .external_lex_state = 3},
  [7029] = {.lex_state = 57, .external_lex_state = 3},
  [7030] = {.lex_state = 11, .external_lex_state = 3},
  [7031] = {.lex_state = 48, .external_lex_state = 3},
  [7032] = {.lex_state = 48, .external_lex_state = 3},
  [7033] = {.lex_state = 57, .external_lex_state = 3},
  [7034] = {.lex_state = 48, .external_lex_state = 3},
  [7035] = {.lex_state = 52, .external_lex_state = 3},
  [7036] = {.lex_state = 58, .external_lex_state = 3},
  [7037] = {.lex_state = 58, .external_lex_state = 3},
  [7038] = {.lex_state = 58, .external_lex_state = 3},
  [7039] = {.lex_state = 57, .external_lex_state = 3},
  [7040] = {.lex_state = 57, .external_lex_state = 3},
  [7041] = {.lex_state = 57, .external_lex_state = 3},
  [7042] = {.lex_state = 58, .external_lex_state = 3},
  [7043] = {.lex_state = 48, .external_lex_state = 3},
  [7044] = {.lex_state = 11, .external_lex_state = 3},
  [7045] = {.lex_state = 58, .external_lex_state = 3},
  [7046] = {.lex_state = 48, .external_lex_state = 3},
  [7047] = {.lex_state = 58, .external_lex_state = 3},
  [7048] = {.lex_state = 48, .external_lex_state = 3},
  [7049] = {.lex_state = 58, .external_lex_state = 3},
  [7050] = {.lex_state = 58, .external_lex_state = 3},
  [7051] = {.lex_state = 58, .external_lex_state = 3},
  [7052] = {.lex_state = 52, .external_lex_state = 3},
  [7053] = {.lex_state = 57, .external_lex_state = 3},
  [7054] = {.lex_state = 57, .external_lex_state = 3},
  [7055] = {.lex_state = 57, .external_lex_state = 3},
  [7056] = {.lex_state = 58, .external_lex_state = 3},
  [7057] = {.lex_state = 58, .external_lex_state = 3},
  [7058] = {.lex_state = 58, .external_lex_state = 3},
  [7059] = {.lex_state = 58, .external_lex_state = 3},
  [7060] = {.lex_state = 48, .external_lex_state = 3},
  [7061] = {.lex_state = 58, .external_lex_state = 3},
  [7062] = {.lex_state = 58, .external_lex_state = 3},
  [7063] = {.lex_state = 58, .external_lex_state = 3},
  [7064] = {.lex_state = 58, .external_lex_state = 3},
  [7065] = {.lex_state = 58, .external_lex_state = 3},
  [7066] = {.lex_state = 48, .external_lex_state = 3},
  [7067] = {.lex_state = 58, .external_lex_state = 3},
  [7068] = {.lex_state = 58, .external_lex_state = 3},
  [7069] = {.lex_state = 11, .external_lex_state = 3},
  [7070] = {.lex_state = 56, .external_lex_state = 3},
  [7071] = {.lex_state = 57, .external_lex_state = 3},
  [7072] = {.lex_state = 58, .external_lex_state = 3},
  [7073] = {.lex_state = 48, .external_lex_state = 3},
  [7074] = {.lex_state = 58, .external_lex_state = 3},
  [7075] = {.lex_state = 58, .external_lex_state = 3},
  [7076] = {.lex_state = 10, .external_lex_state = 3},
  [7077] = {.lex_state = 52, .external_lex_state = 3},
  [7078] = {.lex_state = 52, .external_lex_state = 3},
  [7079] = {.lex_state = 48, .external_lex_state = 3},
  [7080] = {.lex_state = 52, .external_lex_state = 3},
  [7081] = {.lex_state = 57, .external_lex_state = 3},
  [7082] = {.lex_state = 58, .external_lex_state = 3},
  [7083] = {.lex_state = 48, .external_lex_state = 3},
  [7084] = {.lex_state = 58, .external_lex_state = 3},
  [7085] = {.lex_state = 58, .external_lex_state = 3},
  [7086] = {.lex_state = 58, .external_lex_state = 3},
  [7087] = {.lex_state = 52, .external_lex_state = 3},
  [7088] = {.lex_state = 58, .external_lex_state = 3},
  [7089] = {.lex_state = 48, .external_lex_state = 3},
  [7090] = {.lex_state = 52, .external_lex_state = 3},
  [7091] = {.lex_state = 57, .external_lex_state = 3},
  [7092] = {.lex_state = 57, .external_lex_state = 3},
  [7093] = {.lex_state = 58, .external_lex_state = 3},
  [7094] = {.lex_state = 52, .external_lex_state = 3},
  [7095] = {.lex_state = 57, .external_lex_state = 3},
  [7096] = {.lex_state = 48, .external_lex_state = 3},
  [7097] = {.lex_state = 48, .external_lex_state = 3},
  [7098] = {.lex_state = 48, .external_lex_state = 3},
  [7099] = {.lex_state = 57, .external_lex_state = 3},
  [7100] = {.lex_state = 57, .external_lex_state = 3},
  [7101] = {.lex_state = 52, .external_lex_state = 3},
  [7102] = {.lex_state = 58, .external_lex_state = 3},
  [7103] = {.lex_state = 57, .external_lex_state = 3},
  [7104] = {.lex_state = 57, .external_lex_state = 3},
  [7105] = {.lex_state = 58, .external_lex_state = 3},
  [7106] = {.lex_state = 58, .external_lex_state = 3},
  [7107] = {.lex_state = 58, .external_lex_state = 3},
  [7108] = {.lex_state = 48, .external_lex_state = 3},
  [7109] = {.lex_state = 57, .external_lex_state = 3},
  [7110] = {.lex_state = 57, .external_lex_state = 3},
  [7111] = {.lex_state = 58, .external_lex_state = 3},
  [7112] = {.lex_state = 57, .external_lex_state = 3},
  [7113] = {.lex_state = 57, .external_lex_state = 3},
  [7114] = {.lex_state = 58, .external_lex_state = 3},
  [7115] = {.lex_state = 57, .external_lex_state = 3},
  [7116] = {.lex_state = 57, .external_lex_state = 3},
  [7117] = {.lex_state = 52, .external_lex_state = 3},
  [7118] = {.lex_state = 10, .external_lex_state = 3},
  [7119] = {.lex_state = 48, .external_lex_state = 3},
  [7120] = {.lex_state = 56, .external_lex_state = 3},
  [7121] = {.lex_state = 48, .external_lex_state = 3},
  [7122] = {.lex_state = 56, .external_lex_state = 3},
  [7123] = {.lex_state = 57, .external_lex_state = 3},
  [7124] = {.lex_state = 57, .external_lex_state = 3},
  [7125] = {.lex_state = 48, .external_lex_state = 3},
  [7126] = {.lex_state = 58, .external_lex_state = 3},
  [7127] = {.lex_state = 57, .external_lex_state = 3},
  [7128] = {.lex_state = 48, .external_lex_state = 3},
  [7129] = {.lex_state = 48, .external_lex_state = 3},
  [7130] = {.lex_state = 52, .external_lex_state = 3},
  [7131] = {.lex_state = 52, .external_lex_state = 3},
  [7132] = {.lex_state = 52, .external_lex_state = 3},
  [7133] = {.lex_state = 57, .external_lex_state = 3},
  [7134] = {.lex_state = 48, .external_lex_state = 3},
  [7135] = {.lex_state = 48, .external_lex_state = 3},
  [7136] = {.lex_state = 56, .external_lex_state = 3},
  [7137] = {.lex_state = 58, .external_lex_state = 3},
  [7138] = {.lex_state = 52, .external_lex_state = 3},
  [7139] = {.lex_state = 52, .external_lex_state = 3},
  [7140] = {.lex_state = 52, .external_lex_state = 3},
  [7141] = {.lex_state = 52, .external_lex_state = 3},
  [7142] = {.lex_state = 57, .external_lex_state = 3},
  [7143] = {.lex_state = 57, .external_lex_state = 3},
  [7144] = {.lex_state = 52, .external_lex_state = 3},
  [7145] = {.lex_state = 52, .external_lex_state = 3},
  [7146] = {.lex_state = 52, .external_lex_state = 3},
  [7147] = {.lex_state = 11, .external_lex_state = 3},
  [7148] = {.lex_state = 48, .external_lex_state = 3},
  [7149] = {.lex_state = 57, .external_lex_state = 3},
  [7150] = {.lex_state = 52, .external_lex_state = 3},
  [7151] = {.lex_state = 52, .external_lex_state = 3},
  [7152] = {.lex_state = 52, .external_lex_state = 3},
  [7153] = {.lex_state = 57, .external_lex_state = 3},
  [7154] = {.lex_state = 56, .external_lex_state = 3},
  [7155] = {.lex_state = 52, .external_lex_state = 3},
  [7156] = {.lex_state = 52, .external_lex_state = 3},
  [7157] = {.lex_state = 52, .external_lex_state = 3},
  [7158] = {.lex_state = 48, .external_lex_state = 3},
  [7159] = {.lex_state = 56, .external_lex_state = 3},
  [7160] = {.lex_state = 56, .external_lex_state = 3},
  [7161] = {.lex_state = 57, .external_lex_state = 3},
  [7162] = {.lex_state = 56, .external_lex_state = 3},
  [7163] = {.lex_state = 58, .external_lex_state = 3},
  [7164] = {.lex_state = 60, .external_lex_state = 3},
  [7165] = {.lex_state = 57, .external_lex_state = 3},
  [7166] = {.lex_state = 57, .external_lex_state = 3},
  [7167] = {.lex_state = 56, .external_lex_state = 3},
  [7168] = {.lex_state = 56, .external_lex_state = 3},
  [7169] = {.lex_state = 48, .external_lex_state = 3},
  [7170] = {.lex_state = 57, .external_lex_state = 3},
  [7171] = {.lex_state = 58, .external_lex_state = 3},
  [7172] = {.lex_state = 56, .external_lex_state = 3},
  [7173] = {.lex_state = 52, .external_lex_state = 3},
  [7174] = {.lex_state = 49, .external_lex_state = 3},
  [7175] = {.lex_state = 57, .external_lex_state = 3},
  [7176] = {.lex_state = 58, .external_lex_state = 3},
  [7177] = {.lex_state = 52, .external_lex_state = 3},
  [7178] = {.lex_state = 52, .external_lex_state = 3},
  [7179] = {.lex_state = 58, .external_lex_state = 3},
  [7180] = {.lex_state = 58, .external_lex_state = 3},
  [7181] = {.lex_state = 52, .external_lex_state = 3},
  [7182] = {.lex_state = 52, .external_lex_state = 3},
  [7183] = {.lex_state = 57, .external_lex_state = 3},
  [7184] = {.lex_state = 58, .external_lex_state = 3},
  [7185] = {.lex_state = 52, .external_lex_state = 3},
  [7186] = {.lex_state = 52, .external_lex_state = 3},
  [7187] = {.lex_state = 10, .external_lex_state = 3},
  [7188] = {.lex_state = 52, .external_lex_state = 3},
  [7189] = {.lex_state = 52, .external_lex_state = 3},
  [7190] = {.lex_state = 58, .external_lex_state = 3},
  [7191] = {.lex_state = 58, .external_lex_state = 3},
  [7192] = {.lex_state = 48, .external_lex_state = 3},
  [7193] = {.lex_state = 52, .external_lex_state = 3},
  [7194] = {.lex_state = 57, .external_lex_state = 3},
  [7195] = {.lex_state = 52, .external_lex_state = 3},
  [7196] = {.lex_state = 52, .external_lex_state = 3},
  [7197] = {.lex_state = 56, .external_lex_state = 3},
  [7198] = {.lex_state = 52, .external_lex_state = 3},
  [7199] = {.lex_state = 10, .external_lex_state = 3},
  [7200] = {.lex_state = 52, .external_lex_state = 3},
  [7201] = {.lex_state = 10, .external_lex_state = 3},
  [7202] = {.lex_state = 10, .external_lex_state = 3},
  [7203] = {.lex_state = 10, .external_lex_state = 3},
  [7204] = {.lex_state = 10, .external_lex_state = 3},
  [7205] = {.lex_state = 10, .external_lex_state = 3},
  [7206] = {.lex_state = 52, .external_lex_state = 3},
  [7207] = {.lex_state = 10, .external_lex_state = 3},
  [7208] = {.lex_state = 52, .external_lex_state = 3},
  [7209] = {.lex_state = 52, .external_lex_state = 3},
  [7210] = {.lex_state = 52, .external_lex_state = 3},
  [7211] = {.lex_state = 52, .external_lex_state = 3},
  [7212] = {.lex_state = 10, .external_lex_state = 3},
  [7213] = {.lex_state = 10, .external_lex_state = 3},
  [7214] = {.lex_state = 10, .external_lex_state = 3},
  [7215] = {.lex_state = 52, .external_lex_state = 3},
  [7216] = {.lex_state = 10, .external_lex_state = 3},
  [7217] = {.lex_state = 10, .external_lex_state = 3},
  [7218] = {.lex_state = 10, .external_lex_state = 3},
  [7219] = {.lex_state = 52, .external_lex_state = 3},
  [7220] = {.lex_state = 52, .external_lex_state = 3},
  [7221] = {.lex_state = 10, .external_lex_state = 3},
  [7222] = {.lex_state = 10, .external_lex_state = 3},
  [7223] = {.lex_state = 10, .external_lex_state = 3},
  [7224] = {.lex_state = 52, .external_lex_state = 3},
  [7225] = {.lex_state = 10, .external_lex_state = 3},
  [7226] = {.lex_state = 52, .external_lex_state = 3},
  [7227] = {.lex_state = 52, .external_lex_state = 3},
  [7228] = {.lex_state = 52, .external_lex_state = 3},
  [7229] = {.lex_state = 10, .external_lex_state = 3},
  [7230] = {.lex_state = 10, .external_lex_state = 3},
  [7231] = {.lex_state = 10, .external_lex_state = 3},
  [7232] = {.lex_state = 10, .external_lex_state = 3},
  [7233] = {.lex_state = 10, .external_lex_state = 3},
  [7234] = {.lex_state = 10, .external_lex_state = 3},
  [7235] = {.lex_state = 52, .external_lex_state = 3},
  [7236] = {.lex_state = 10, .external_lex_state = 3},
  [7237] = {.lex_state = 10, .external_lex_state = 3},
  [7238] = {.lex_state = 10, .external_lex_state = 3},
  [7239] = {.lex_state = 10, .external_lex_state = 3},
  [7240] = {.lex_state = 10, .external_lex_state = 3},
  [7241] = {.lex_state = 10, .external_lex_state = 3},
  [7242] = {.lex_state = 10, .external_lex_state = 3},
  [7243] = {.lex_state = 10, .external_lex_state = 3},
  [7244] = {.lex_state = 10, .external_lex_state = 3},
  [7245] = {.lex_state = 52, .external_lex_state = 3},
  [7246] = {.lex_state = 10, .external_lex_state = 3},
  [7247] = {.lex_state = 10, .external_lex_state = 3},
  [7248] = {.lex_state = 10, .external_lex_state = 3},
  [7249] = {.lex_state = 10, .external_lex_state = 3},
  [7250] = {.lex_state = 10, .external_lex_state = 3},
  [7251] = {.lex_state = 52, .external_lex_state = 3},
  [7252] = {.lex_state = 10, .external_lex_state = 3},
  [7253] = {.lex_state = 10, .external_lex_state = 3},
  [7254] = {.lex_state = 10, .external_lex_state = 3},
  [7255] = {.lex_state = 52, .external_lex_state = 3},
  [7256] = {.lex_state = 10, .external_lex_state = 3},
  [7257] = {.lex_state = 10, .external_lex_state = 3},
  [7258] = {.lex_state = 10, .external_lex_state = 3},
  [7259] = {.lex_state = 52, .external_lex_state = 3},
  [7260] = {.lex_state = 10, .external_lex_state = 3},
  [7261] = {.lex_state = 48, .external_lex_state = 3},
  [7262] = {.lex_state = 56, .external_lex_state = 3},
  [7263] = {.lex_state = 56, .external_lex_state = 3},
  [7264] = {.lex_state = 56, .external_lex_state = 3},
  [7265] = {.lex_state = 52, .external_lex_state = 3},
  [7266] = {.lex_state = 52, .external_lex_state = 3},
  [7267] = {.lex_state = 52, .external_lex_state = 3},
  [7268] = {.lex_state = 48, .external_lex_state = 3},
  [7269] = {.lex_state = 56, .external_lex_state = 3},
  [7270] = {.lex_state = 10, .external_lex_state = 3},
  [7271] = {.lex_state = 52, .external_lex_state = 3},
  [7272] = {.lex_state = 52, .external_lex_state = 3},
  [7273] = {.lex_state = 52, .external_lex_state = 3},
  [7274] = {.lex_state = 56, .external_lex_state = 3},
  [7275] = {.lex_state = 56, .external_lex_state = 3},
  [7276] = {.lex_state = 10, .external_lex_state = 3},
  [7277] = {.lex_state = 48, .external_lex_state = 3},
  [7278] = {.lex_state = 56, .external_lex_state = 3},
  [7279] = {.lex_state = 48, .external_lex_state = 3},
  [7280] = {.lex_state = 48, .external_lex_state = 3},
  [7281] = {.lex_state = 48, .external_lex_state = 3},
  [7282] = {.lex_state = 48, .external_lex_state = 3},
  [7283] = {.lex_state = 11, .external_lex_state = 3},
  [7284] = {.lex_state = 56, .external_lex_state = 3},
  [7285] = {.lex_state = 58, .external_lex_state = 3},
  [7286] = {.lex_state = 57, .external_lex_state = 3},
  [7287] = {.lex_state = 58, .external_lex_state = 3},
  [7288] = {.lex_state = 58, .external_lex_state = 3},
  [7289] = {.lex_state = 56, .external_lex_state = 3},
  [7290] = {.lex_state = 56, .external_lex_state = 3},
  [7291] = {.lex_state = 48, .external_lex_state = 3},
  [7292] = {.lex_state = 57, .external_lex_state = 3},
  [7293] = {.lex_state = 56, .external_lex_state = 3},
  [7294] = {.lex_state = 56, .external_lex_state = 3},
  [7295] = {.lex_state = 52, .external_lex_state = 3},
  [7296] = {.lex_state = 57, .external_lex_state = 3},
  [7297] = {.lex_state = 57, .external_lex_state = 3},
  [7298] = {.lex_state = 57, .external_lex_state = 3},
  [7299] = {.lex_state = 10, .external_lex_state = 3},
  [7300] = {.lex_state = 52, .external_lex_state = 3},
  [7301] = {.lex_state = 60, .external_lex_state = 3},
  [7302] = {.lex_state = 52, .external_lex_state = 3},
  [7303] = {.lex_state = 58, .external_lex_state = 3},
  [7304] = {.lex_state = 57, .external_lex_state = 3},
  [7305] = {.lex_state = 52, .external_lex_state = 3},
  [7306] = {.lex_state = 58, .external_lex_state = 3},
  [7307] = {.lex_state = 48, .external_lex_state = 3},
  [7308] = {.lex_state = 58, .external_lex_state = 3},
  [7309] = {.lex_state = 48, .external_lex_state = 3},
  [7310] = {.lex_state = 48, .external_lex_state = 3},
  [7311] = {.lex_state = 11, .external_lex_state = 3},
  [7312] = {.lex_state = 11, .external_lex_state = 3},
  [7313] = {.lex_state = 10, .external_lex_state = 3},
  [7314] = {.lex_state = 48, .external_lex_state = 3},
  [7315] = {.lex_state = 52, .external_lex_state = 3},
  [7316] = {.lex_state = 57, .external_lex_state = 3},
  [7317] = {.lex_state = 58, .external_lex_state = 3},
  [7318] = {.lex_state = 48, .external_lex_state = 3},
  [7319] = {.lex_state = 52, .external_lex_state = 3},
  [7320] = {.lex_state = 58, .external_lex_state = 3},
  [7321] = {.lex_state = 57, .external_lex_state = 3},
  [7322] = {.lex_state = 52, .external_lex_state = 3},
  [7323] = {.lex_state = 56, .external_lex_state = 3},
  [7324] = {.lex_state = 56, .external_lex_state = 3},
  [7325] = {.lex_state = 56, .external_lex_state = 3},
  [7326] = {.lex_state = 57, .external_lex_state = 3},
  [7327] = {.lex_state = 56, .external_lex_state = 3},
  [7328] = {.lex_state = 56, .external_lex_state = 3},
  [7329] = {.lex_state = 11, .external_lex_state = 3},
  [7330] = {.lex_state = 52, .external_lex_state = 3},
  [7331] = {.lex_state = 58, .external_lex_state = 3},
  [7332] = {.lex_state = 56, .external_lex_state = 3},
  [7333] = {.lex_state = 57, .external_lex_state = 3},
  [7334] = {.lex_state = 161, .external_lex_state = 2},
  [7335] = {.lex_state = 10, .external_lex_state = 3},
  [7336] = {.lex_state = 48, .external_lex_state = 3},
  [7337] = {.lex_state = 48, .external_lex_state = 3},
  [7338] = {.lex_state = 48, .external_lex_state = 3},
  [7339] = {.lex_state = 11, .external_lex_state = 3},
  [7340] = {.lex_state = 48, .external_lex_state = 3},
  [7341] = {.lex_state = 25, .external_lex_state = 3},
  [7342] = {.lex_state = 56, .external_lex_state = 3},
  [7343] = {.lex_state = 57, .external_lex_state = 3},
  [7344] = {.lex_state = 56, .external_lex_state = 3},
  [7345] = {.lex_state = 48, .external_lex_state = 3},
  [7346] = {.lex_state = 58, .external_lex_state = 3},
  [7347] = {.lex_state = 56, .external_lex_state = 3},
  [7348] = {.lex_state = 56, .external_lex_state = 3},
  [7349] = {.lex_state = 56, .external_lex_state = 3},
  [7350] = {.lex_state = 11, .external_lex_state = 3},
  [7351] = {.lex_state = 56, .external_lex_state = 3},
  [7352] = {.lex_state = 56, .external_lex_state = 3},
  [7353] = {.lex_state = 56, .external_lex_state = 3},
  [7354] = {.lex_state = 58, .external_lex_state = 3},
  [7355] = {.lex_state = 11, .external_lex_state = 3},
  [7356] = {.lex_state = 56, .external_lex_state = 3},
  [7357] = {.lex_state = 10, .external_lex_state = 3},
  [7358] = {.lex_state = 48, .external_lex_state = 3},
  [7359] = {.lex_state = 11, .external_lex_state = 3},
  [7360] = {.lex_state = 11, .external_lex_state = 3},
  [7361] = {.lex_state = 52, .external_lex_state = 3},
  [7362] = {.lex_state = 11, .external_lex_state = 3},
  [7363] = {.lex_state = 48, .external_lex_state = 3},
  [7364] = {.lex_state = 56, .external_lex_state = 3},
  [7365] = {.lex_state = 56, .external_lex_state = 3},
  [7366] = {.lex_state = 11, .external_lex_state = 3},
  [7367] = {.lex_state = 11, .external_lex_state = 3},
  [7368] = {.lex_state = 11, .external_lex_state = 3},
  [7369] = {.lex_state = 11, .external_lex_state = 3},
  [7370] = {.lex_state = 48, .external_lex_state = 3},
  [7371] = {.lex_state = 161, .external_lex_state = 2},
  [7372] = {.lex_state = 11, .external_lex_state = 3},
  [7373] = {.lex_state = 11, .external_lex_state = 3},
  [7374] = {.lex_state = 11, .external_lex_state = 3},
  [7375] = {.lex_state = 11, .external_lex_state = 3},
  [7376] = {.lex_state = 58, .external_lex_state = 3},
  [7377] = {.lex_state = 52, .external_lex_state = 3},
  [7378] = {.lex_state = 58, .external_lex_state = 3},
  [7379] = {.lex_state = 58, .external_lex_state = 3},
  [7380] = {.lex_state = 56, .external_lex_state = 3},
  [7381] = {.lex_state = 58, .external_lex_state = 3},
  [7382] = {.lex_state = 56, .external_lex_state = 3},
  [7383] = {.lex_state = 57, .external_lex_state = 3},
  [7384] = {.lex_state = 56, .external_lex_state = 3},
  [7385] = {.lex_state = 56, .external_lex_state = 3},
  [7386] = {.lex_state = 48, .external_lex_state = 3},
  [7387] = {.lex_state = 48, .external_lex_state = 3},
  [7388] = {.lex_state = 56, .external_lex_state = 3},
  [7389] = {.lex_state = 56, .external_lex_state = 3},
  [7390] = {.lex_state = 57, .external_lex_state = 3},
  [7391] = {.lex_state = 161, .external_lex_state = 2},
  [7392] = {.lex_state = 10, .external_lex_state = 3},
  [7393] = {.lex_state = 56, .external_lex_state = 3},
  [7394] = {.lex_state = 56, .external_lex_state = 3},
  [7395] = {.lex_state = 48, .external_lex_state = 3},
  [7396] = {.lex_state = 58, .external_lex_state = 3},
  [7397] = {.lex_state = 10, .external_lex_state = 3},
  [7398] = {.lex_state = 11, .external_lex_state = 3},
  [7399] = {.lex_state = 56, .external_lex_state = 3},
  [7400] = {.lex_state = 48, .external_lex_state = 3},
  [7401] = {.lex_state = 10, .external_lex_state = 3},
  [7402] = {.lex_state = 10, .external_lex_state = 3},
  [7403] = {.lex_state = 10, .external_lex_state = 3},
  [7404] = {.lex_state = 10, .external_lex_state = 3},
  [7405] = {.lex_state = 56, .external_lex_state = 3},
  [7406] = {.lex_state = 56, .external_lex_state = 3},
  [7407] = {.lex_state = 48, .external_lex_state = 3},
  [7408] = {.lex_state = 10, .external_lex_state = 3},
  [7409] = {.lex_state = 10, .external_lex_state = 3},
  [7410] = {.lex_state = 10, .external_lex_state = 3},
  [7411] = {.lex_state = 56, .external_lex_state = 3},
  [7412] = {.lex_state = 56, .external_lex_state = 3},
  [7413] = {.lex_state = 56, .external_lex_state = 3},
  [7414] = {.lex_state = 11, .external_lex_state = 3},
  [7415] = {.lex_state = 52, .external_lex_state = 3},
  [7416] = {.lex_state = 11, .external_lex_state = 3},
  [7417] = {.lex_state = 56, .external_lex_state = 3},
  [7418] = {.lex_state = 57, .external_lex_state = 3},
  [7419] = {.lex_state = 161, .external_lex_state = 2},
  [7420] = {.lex_state = 48, .external_lex_state = 3},
  [7421] = {.lex_state = 57, .external_lex_state = 3},
  [7422] = {.lex_state = 56, .external_lex_state = 3},
  [7423] = {.lex_state = 48, .external_lex_state = 3},
  [7424] = {.lex_state = 48, .external_lex_state = 3},
  [7425] = {.lex_state = 11, .external_lex_state = 3},
  [7426] = {.lex_state = 11, .external_lex_state = 3},
  [7427] = {.lex_state = 56, .external_lex_state = 3},
  [7428] = {.lex_state = 11, .external_lex_state = 3},
  [7429] = {.lex_state = 11, .external_lex_state = 3},
  [7430] = {.lex_state = 11, .external_lex_state = 3},
  [7431] = {.lex_state = 56, .external_lex_state = 3},
  [7432] = {.lex_state = 56, .external_lex_state = 3},
  [7433] = {.lex_state = 10, .external_lex_state = 3},
  [7434] = {.lex_state = 10, .external_lex_state = 3},
  [7435] = {.lex_state = 56, .external_lex_state = 3},
  [7436] = {.lex_state = 11, .external_lex_state = 3},
  [7437] = {.lex_state = 11, .external_lex_state = 3},
  [7438] = {.lex_state = 11, .external_lex_state = 3},
  [7439] = {.lex_state = 11, .external_lex_state = 3},
  [7440] = {.lex_state = 11, .external_lex_state = 3},
  [7441] = {.lex_state = 11, .external_lex_state = 3},
  [7442] = {.lex_state = 11, .external_lex_state = 3},
  [7443] = {.lex_state = 11, .external_lex_state = 3},
  [7444] = {.lex_state = 11, .external_lex_state = 3},
  [7445] = {.lex_state = 56, .external_lex_state = 3},
  [7446] = {.lex_state = 11, .external_lex_state = 3},
  [7447] = {.lex_state = 56, .external_lex_state = 3},
  [7448] = {.lex_state = 11, .external_lex_state = 3},
  [7449] = {.lex_state = 11, .external_lex_state = 3},
  [7450] = {.lex_state = 11, .external_lex_state = 3},
  [7451] = {.lex_state = 11, .external_lex_state = 3},
  [7452] = {.lex_state = 11, .external_lex_state = 3},
  [7453] = {.lex_state = 11, .external_lex_state = 3},
  [7454] = {.lex_state = 11, .external_lex_state = 3},
  [7455] = {.lex_state = 11, .external_lex_state = 3},
  [7456] = {.lex_state = 11, .external_lex_state = 3},
  [7457] = {.lex_state = 11, .external_lex_state = 3},
  [7458] = {.lex_state = 11, .external_lex_state = 3},
  [7459] = {.lex_state = 11, .external_lex_state = 3},
  [7460] = {.lex_state = 11, .external_lex_state = 3},
  [7461] = {.lex_state = 11, .external_lex_state = 3},
  [7462] = {.lex_state = 11, .external_lex_state = 3},
  [7463] = {.lex_state = 11, .external_lex_state = 3},
  [7464] = {.lex_state = 11, .external_lex_state = 3},
  [7465] = {.lex_state = 11, .external_lex_state = 3},
  [7466] = {.lex_state = 11, .external_lex_state = 3},
  [7467] = {.lex_state = 11, .external_lex_state = 3},
  [7468] = {.lex_state = 11, .external_lex_state = 3},
  [7469] = {.lex_state = 11, .external_lex_state = 3},
  [7470] = {.lex_state = 11, .external_lex_state = 3},
  [7471] = {.lex_state = 11, .external_lex_state = 3},
  [7472] = {.lex_state = 11, .external_lex_state = 3},
  [7473] = {.lex_state = 11, .external_lex_state = 3},
  [7474] = {.lex_state = 56, .external_lex_state = 3},
  [7475] = {.lex_state = 11, .external_lex_state = 3},
  [7476] = {.lex_state = 57, .external_lex_state = 3},
  [7477] = {.lex_state = 11, .external_lex_state = 3},
  [7478] = {.lex_state = 10, .external_lex_state = 3},
  [7479] = {.lex_state = 48, .external_lex_state = 3},
  [7480] = {.lex_state = 10, .external_lex_state = 3},
  [7481] = {.lex_state = 57, .external_lex_state = 3},
  [7482] = {.lex_state = 10, .external_lex_state = 3},
  [7483] = {.lex_state = 57, .external_lex_state = 3},
  [7484] = {.lex_state = 57, .external_lex_state = 3},
  [7485] = {.lex_state = 57, .external_lex_state = 3},
  [7486] = {.lex_state = 57, .external_lex_state = 3},
  [7487] = {.lex_state = 57, .external_lex_state = 3},
  [7488] = {.lex_state = 10, .external_lex_state = 3},
  [7489] = {.lex_state = 48, .external_lex_state = 3},
  [7490] = {.lex_state = 161, .external_lex_state = 2},
  [7491] = {.lex_state = 48, .external_lex_state = 3},
  [7492] = {.lex_state = 10, .external_lex_state = 3},
  [7493] = {.lex_state = 48, .external_lex_state = 3},
  [7494] = {.lex_state = 56, .external_lex_state = 3},
  [7495] = {.lex_state = 11, .external_lex_state = 3},
  [7496] = {.lex_state = 56, .external_lex_state = 3},
  [7497] = {.lex_state = 10, .external_lex_state = 3},
  [7498] = {.lex_state = 24, .external_lex_state = 3},
  [7499] = {.lex_state = 56, .external_lex_state = 3},
  [7500] = {.lex_state = 56, .external_lex_state = 3},
  [7501] = {.lex_state = 10, .external_lex_state = 3},
  [7502] = {.lex_state = 10, .external_lex_state = 3},
  [7503] = {.lex_state = 48, .external_lex_state = 3},
  [7504] = {.lex_state = 161, .external_lex_state = 2},
  [7505] = {.lex_state = 57, .external_lex_state = 3},
  [7506] = {.lex_state = 57, .external_lex_state = 3},
  [7507] = {.lex_state = 57, .external_lex_state = 3},
  [7508] = {.lex_state = 57, .external_lex_state = 3},
  [7509] = {.lex_state = 56, .external_lex_state = 3},
  [7510] = {.lex_state = 56, .external_lex_state = 3},
  [7511] = {.lex_state = 56, .external_lex_state = 3},
  [7512] = {.lex_state = 11, .external_lex_state = 3},
  [7513] = {.lex_state = 57, .external_lex_state = 3},
  [7514] = {.lex_state = 11, .external_lex_state = 3},
  [7515] = {.lex_state = 58, .external_lex_state = 3},
  [7516] = {.lex_state = 56, .external_lex_state = 3},
  [7517] = {.lex_state = 11, .external_lex_state = 3},
  [7518] = {.lex_state = 57, .external_lex_state = 3},
  [7519] = {.lex_state = 11, .external_lex_state = 3},
  [7520] = {.lex_state = 11, .external_lex_state = 3},
  [7521] = {.lex_state = 48, .external_lex_state = 3},
  [7522] = {.lex_state = 163, .external_lex_state = 2},
  [7523] = {.lex_state = 161, .external_lex_state = 2},
  [7524] = {.lex_state = 161, .external_lex_state = 2},
  [7525] = {.lex_state = 25, .external_lex_state = 3},
  [7526] = {.lex_state = 161, .external_lex_state = 2},
  [7527] = {.lex_state = 161, .external_lex_state = 2},
  [7528] = {.lex_state = 161, .external_lex_state = 2},
  [7529] = {.lex_state = 163, .external_lex_state = 2},
  [7530] = {.lex_state = 161, .external_lex_state = 2},
  [7531] = {.lex_state = 161, .external_lex_state = 2},
  [7532] = {.lex_state = 163, .external_lex_state = 2},
  [7533] = {.lex_state = 161, .external_lex_state = 2},
  [7534] = {.lex_state = 24, .external_lex_state = 3},
  [7535] = {.lex_state = 179, .external_lex_state = 3},
  [7536] = {.lex_state = 161, .external_lex_state = 2},
  [7537] = {.lex_state = 55, .external_lex_state = 3},
  [7538] = {.lex_state = 163, .external_lex_state = 2},
  [7539] = {.lex_state = 161, .external_lex_state = 2},
  [7540] = {.lex_state = 24, .external_lex_state = 3},
  [7541] = {.lex_state = 163, .external_lex_state = 2},
  [7542] = {.lex_state = 24, .external_lex_state = 3},
  [7543] = {.lex_state = 163, .external_lex_state = 2},
  [7544] = {.lex_state = 163, .external_lex_state = 2},
  [7545] = {.lex_state = 25, .external_lex_state = 3},
  [7546] = {.lex_state = 163, .external_lex_state = 2},
  [7547] = {.lex_state = 25, .external_lex_state = 3},
  [7548] = {.lex_state = 212, .external_lex_state = 3},
  [7549] = {.lex_state = 25, .external_lex_state = 3},
  [7550] = {.lex_state = 163, .external_lex_state = 2},
  [7551] = {.lex_state = 50, .external_lex_state = 3},
  [7552] = {.lex_state = 163, .external_lex_state = 2},
  [7553] = {.lex_state = 163, .external_lex_state = 2},
  [7554] = {.lex_state = 161, .external_lex_state = 2},
  [7555] = {.lex_state = 163, .external_lex_state = 2},
  [7556] = {.lex_state = 163, .external_lex_state = 2},
  [7557] = {.lex_state = 163, .external_lex_state = 2},
  [7558] = {.lex_state = 163, .external_lex_state = 2},
  [7559] = {.lex_state = 161, .external_lex_state = 2},
  [7560] = {.lex_state = 163, .external_lex_state = 2},
  [7561] = {.lex_state = 163, .external_lex_state = 2},
  [7562] = {.lex_state = 24, .external_lex_state = 3},
  [7563] = {.lex_state = 163, .external_lex_state = 2},
  [7564] = {.lex_state = 161, .external_lex_state = 2},
  [7565] = {.lex_state = 161, .external_lex_state = 2},
  [7566] = {.lex_state = 24, .external_lex_state = 3},
  [7567] = {.lex_state = 163, .external_lex_state = 2},
  [7568] = {.lex_state = 24, .external_lex_state = 3},
  [7569] = {.lex_state = 161, .external_lex_state = 2},
  [7570] = {.lex_state = 163, .external_lex_state = 2},
  [7571] = {.lex_state = 163, .external_lex_state = 2},
  [7572] = {.lex_state = 161, .external_lex_state = 2},
  [7573] = {.lex_state = 161, .external_lex_state = 2},
  [7574] = {.lex_state = 24, .external_lex_state = 3},
  [7575] = {.lex_state = 24, .external_lex_state = 3},
  [7576] = {.lex_state = 24, .external_lex_state = 3},
  [7577] = {.lex_state = 161, .external_lex_state = 2},
  [7578] = {.lex_state = 161, .external_lex_state = 2},
  [7579] = {.lex_state = 24, .external_lex_state = 3},
  [7580] = {.lex_state = 25, .external_lex_state = 3},
  [7581] = {.lex_state = 163, .external_lex_state = 2},
  [7582] = {.lex_state = 161, .external_lex_state = 2},
  [7583] = {.lex_state = 24, .external_lex_state = 3},
  [7584] = {.lex_state = 24, .external_lex_state = 3},
  [7585] = {.lex_state = 163, .external_lex_state = 2},
  [7586] = {.lex_state = 24, .external_lex_state = 3},
  [7587] = {.lex_state = 163, .external_lex_state = 2},
  [7588] = {.lex_state = 163, .external_lex_state = 2},
  [7589] = {.lex_state = 161, .external_lex_state = 2},
  [7590] = {.lex_state = 161, .external_lex_state = 2},
  [7591] = {.lex_state = 163, .external_lex_state = 2},
  [7592] = {.lex_state = 161, .external_lex_state = 2},
  [7593] = {.lex_state = 161, .external_lex_state = 2},
  [7594] = {.lex_state = 163, .external_lex_state = 2},
  [7595] = {.lex_state = 163, .external_lex_state = 2},
  [7596] = {.lex_state = 163, .external_lex_state = 2},
  [7597] = {.lex_state = 163, .external_lex_state = 2},
  [7598] = {.lex_state = 161, .external_lex_state = 2},
  [7599] = {.lex_state = 161, .external_lex_state = 2},
  [7600] = {.lex_state = 163, .external_lex_state = 2},
  [7601] = {.lex_state = 53, .external_lex_state = 3},
  [7602] = {.lex_state = 163, .external_lex_state = 2},
  [7603] = {.lex_state = 161, .external_lex_state = 2},
  [7604] = {.lex_state = 163, .external_lex_state = 2},
  [7605] = {.lex_state = 163, .external_lex_state = 2},
  [7606] = {.lex_state = 161, .external_lex_state = 2},
  [7607] = {.lex_state = 47, .external_lex_state = 3},
  [7608] = {.lex_state = 179, .external_lex_state = 3},
  [7609] = {.lex_state = 161, .external_lex_state = 2},
  [7610] = {.lex_state = 25, .external_lex_state = 3},
  [7611] = {.lex_state = 161, .external_lex_state = 2},
  [7612] = {.lex_state = 161, .external_lex_state = 2},
  [7613] = {.lex_state = 163, .external_lex_state = 2},
  [7614] = {.lex_state = 163, .external_lex_state = 2},
  [7615] = {.lex_state = 161, .external_lex_state = 2},
  [7616] = {.lex_state = 24, .external_lex_state = 3},
  [7617] = {.lex_state = 163, .external_lex_state = 2},
  [7618] = {.lex_state = 24, .external_lex_state = 3},
  [7619] = {.lex_state = 163, .external_lex_state = 2},
  [7620] = {.lex_state = 25, .external_lex_state = 3},
  [7621] = {.lex_state = 163, .external_lex_state = 2},
  [7622] = {.lex_state = 163, .external_lex_state = 2},
  [7623] = {.lex_state = 163, .external_lex_state = 2},
  [7624] = {.lex_state = 163, .external_lex_state = 2},
  [7625] = {.lex_state = 163, .external_lex_state = 2},
  [7626] = {.lex_state = 163, .external_lex_state = 2},
  [7627] = {.lex_state = 163, .external_lex_state = 2},
  [7628] = {.lex_state = 163, .external_lex_state = 2},
  [7629] = {.lex_state = 161, .external_lex_state = 2},
  [7630] = {.lex_state = 161, .external_lex_state = 2},
  [7631] = {.lex_state = 163, .external_lex_state = 2},
  [7632] = {.lex_state = 163, .external_lex_state = 2},
  [7633] = {.lex_state = 161, .external_lex_state = 2},
  [7634] = {.lex_state = 161, .external_lex_state = 2},
  [7635] = {.lex_state = 163, .external_lex_state = 2},
  [7636] = {.lex_state = 163, .external_lex_state = 2},
  [7637] = {.lex_state = 163, .external_lex_state = 2},
  [7638] = {.lex_state = 161, .external_lex_state = 2},
  [7639] = {.lex_state = 163, .external_lex_state = 2},
  [7640] = {.lex_state = 163, .external_lex_state = 2},
  [7641] = {.lex_state = 161, .external_lex_state = 2},
  [7642] = {.lex_state = 163, .external_lex_state = 2},
  [7643] = {.lex_state = 163, .external_lex_state = 2},
  [7644] = {.lex_state = 24, .external_lex_state = 3},
  [7645] = {.lex_state = 163, .external_lex_state = 2},
  [7646] = {.lex_state = 161, .external_lex_state = 2},
  [7647] = {.lex_state = 161, .external_lex_state = 2},
  [7648] = {.lex_state = 24, .external_lex_state = 3},
  [7649] = {.lex_state = 163, .external_lex_state = 2},
  [7650] = {.lex_state = 163, .external_lex_state = 2},
  [7651] = {.lex_state = 163, .external_lex_state = 2},
  [7652] = {.lex_state = 25, .external_lex_state = 3},
  [7653] = {.lex_state = 163, .external_lex_state = 2},
  [7654] = {.lex_state = 25, .external_lex_state = 3},
  [7655] = {.lex_state = 25, .external_lex_state = 3},
  [7656] = {.lex_state = 161, .external_lex_state = 2},
  [7657] = {.lex_state = 161, .external_lex_state = 2},
  [7658] = {.lex_state = 25, .external_lex_state = 3},
  [7659] = {.lex_state = 163, .external_lex_state = 2},
  [7660] = {.lex_state = 163, .external_lex_state = 2},
  [7661] = {.lex_state = 163, .external_lex_state = 2},
  [7662] = {.lex_state = 161, .external_lex_state = 2},
  [7663] = {.lex_state = 25, .external_lex_state = 3},
  [7664] = {.lex_state = 163, .external_lex_state = 2},
  [7665] = {.lex_state = 163, .external_lex_state = 2},
  [7666] = {.lex_state = 163, .external_lex_state = 2},
  [7667] = {.lex_state = 163, .external_lex_state = 2},
  [7668] = {.lex_state = 161, .external_lex_state = 2},
  [7669] = {.lex_state = 25, .external_lex_state = 3},
  [7670] = {.lex_state = 161, .external_lex_state = 2},
  [7671] = {.lex_state = 163, .external_lex_state = 2},
  [7672] = {.lex_state = 163, .external_lex_state = 2},
  [7673] = {.lex_state = 163, .external_lex_state = 2},
  [7674] = {.lex_state = 163, .external_lex_state = 2},
  [7675] = {.lex_state = 25, .external_lex_state = 3},
  [7676] = {.lex_state = 25, .external_lex_state = 3},
  [7677] = {.lex_state = 161, .external_lex_state = 2},
  [7678] = {.lex_state = 163, .external_lex_state = 2},
  [7679] = {.lex_state = 161, .external_lex_state = 2},
  [7680] = {.lex_state = 163, .external_lex_state = 2},
  [7681] = {.lex_state = 163, .external_lex_state = 2},
  [7682] = {.lex_state = 163, .external_lex_state = 2},
  [7683] = {.lex_state = 54, .external_lex_state = 3},
  [7684] = {.lex_state = 25, .external_lex_state = 3},
  [7685] = {.lex_state = 24, .external_lex_state = 3},
  [7686] = {.lex_state = 25, .external_lex_state = 3},
  [7687] = {.lex_state = 25, .external_lex_state = 3},
  [7688] = {.lex_state = 25, .external_lex_state = 3},
  [7689] = {.lex_state = 161, .external_lex_state = 2},
  [7690] = {.lex_state = 25, .external_lex_state = 3},
  [7691] = {.lex_state = 25, .external_lex_state = 3},
  [7692] = {.lex_state = 25, .external_lex_state = 3},
  [7693] = {.lex_state = 24, .external_lex_state = 3},
  [7694] = {.lex_state = 25, .external_lex_state = 3},
  [7695] = {.lex_state = 181, .external_lex_state = 3},
  [7696] = {.lex_state = 163, .external_lex_state = 2},
  [7697] = {.lex_state = 161, .external_lex_state = 2},
  [7698] = {.lex_state = 25, .external_lex_state = 3},
  [7699] = {.lex_state = 163, .external_lex_state = 2},
  [7700] = {.lex_state = 163, .external_lex_state = 2},
  [7701] = {.lex_state = 161, .external_lex_state = 2},
  [7702] = {.lex_state = 49, .external_lex_state = 3},
  [7703] = {.lex_state = 24, .external_lex_state = 3},
  [7704] = {.lex_state = 163, .external_lex_state = 2},
  [7705] = {.lex_state = 163, .external_lex_state = 2},
  [7706] = {.lex_state = 163, .external_lex_state = 2},
  [7707] = {.lex_state = 163, .external_lex_state = 2},
  [7708] = {.lex_state = 163, .external_lex_state = 2},
  [7709] = {.lex_state = 163, .external_lex_state = 2},
  [7710] = {.lex_state = 163, .external_lex_state = 2},
  [7711] = {.lex_state = 181, .external_lex_state = 3},
  [7712] = {.lex_state = 51, .external_lex_state = 3},
  [7713] = {.lex_state = 161, .external_lex_state = 2},
  [7714] = {.lex_state = 163, .external_lex_state = 2},
  [7715] = {.lex_state = 161, .external_lex_state = 2},
  [7716] = {.lex_state = 24, .external_lex_state = 3},
  [7717] = {.lex_state = 24, .external_lex_state = 3},
  [7718] = {.lex_state = 161, .external_lex_state = 2},
  [7719] = {.lex_state = 24, .external_lex_state = 3},
  [7720] = {.lex_state = 161, .external_lex_state = 2},
  [7721] = {.lex_state = 163, .external_lex_state = 2},
  [7722] = {.lex_state = 163, .external_lex_state = 2},
  [7723] = {.lex_state = 163, .external_lex_state = 2},
  [7724] = {.lex_state = 161, .external_lex_state = 2},
  [7725] = {.lex_state = 163, .external_lex_state = 2},
  [7726] = {.lex_state = 24, .external_lex_state = 3},
  [7727] = {.lex_state = 214, .external_lex_state = 3},
  [7728] = {.lex_state = 161, .external_lex_state = 2},
  [7729] = {.lex_state = 161, .external_lex_state = 2},
  [7730] = {.lex_state = 49, .external_lex_state = 3},
  [7731] = {.lex_state = 162, .external_lex_state = 2},
  [7732] = {.lex_state = 161, .external_lex_state = 2},
  [7733] = {.lex_state = 162, .external_lex_state = 2},
  [7734] = {.lex_state = 179, .external_lex_state = 3},
  [7735] = {.lex_state = 11, .external_lex_state = 3},
  [7736] = {.lex_state = 179, .external_lex_state = 3},
  [7737] = {.lex_state = 10, .external_lex_state = 3},
  [7738] = {.lex_state = 166, .external_lex_state = 2},
  [7739] = {.lex_state = 166, .external_lex_state = 2},
  [7740] = {.lex_state = 181, .external_lex_state = 3},
  [7741] = {.lex_state = 452, .external_lex_state = 2},
  [7742] = {.lex_state = 179, .external_lex_state = 3},
  [7743] = {.lex_state = 452, .external_lex_state = 2},
  [7744] = {.lex_state = 162, .external_lex_state = 2},
  [7745] = {.lex_state = 161, .external_lex_state = 2},
  [7746] = {.lex_state = 162, .external_lex_state = 2},
  [7747] = {.lex_state = 179, .external_lex_state = 3},
  [7748] = {.lex_state = 181, .external_lex_state = 3},
  [7749] = {.lex_state = 181, .external_lex_state = 3},
  [7750] = {.lex_state = 181, .external_lex_state = 3},
  [7751] = {.lex_state = 162, .external_lex_state = 2},
  [7752] = {.lex_state = 181, .external_lex_state = 3},
  [7753] = {.lex_state = 161, .external_lex_state = 2},
  [7754] = {.lex_state = 161, .external_lex_state = 2},
  [7755] = {.lex_state = 161, .external_lex_state = 2},
  [7756] = {.lex_state = 181, .external_lex_state = 3},
  [7757] = {.lex_state = 179, .external_lex_state = 3},
  [7758] = {.lex_state = 50, .external_lex_state = 3},
  [7759] = {.lex_state = 162, .external_lex_state = 2},
  [7760] = {.lex_state = 162, .external_lex_state = 2},
  [7761] = {.lex_state = 161, .external_lex_state = 2},
  [7762] = {.lex_state = 452, .external_lex_state = 2},
  [7763] = {.lex_state = 181, .external_lex_state = 3},
  [7764] = {.lex_state = 181, .external_lex_state = 3},
  [7765] = {.lex_state = 452, .external_lex_state = 2},
  [7766] = {.lex_state = 179, .external_lex_state = 3},
  [7767] = {.lex_state = 161, .external_lex_state = 2},
  [7768] = {.lex_state = 181, .external_lex_state = 3},
  [7769] = {.lex_state = 452, .external_lex_state = 2},
  [7770] = {.lex_state = 181, .external_lex_state = 3},
  [7771] = {.lex_state = 179, .external_lex_state = 3},
  [7772] = {.lex_state = 162, .external_lex_state = 2},
  [7773] = {.lex_state = 179, .external_lex_state = 3},
  [7774] = {.lex_state = 162, .external_lex_state = 2},
  [7775] = {.lex_state = 162, .external_lex_state = 2},
  [7776] = {.lex_state = 181, .external_lex_state = 3},
  [7777] = {.lex_state = 162, .external_lex_state = 2},
  [7778] = {.lex_state = 51, .external_lex_state = 3},
  [7779] = {.lex_state = 161, .external_lex_state = 2},
  [7780] = {.lex_state = 179, .external_lex_state = 3},
  [7781] = {.lex_state = 162, .external_lex_state = 2},
  [7782] = {.lex_state = 53, .external_lex_state = 3},
  [7783] = {.lex_state = 162, .external_lex_state = 2},
  [7784] = {.lex_state = 162, .external_lex_state = 2},
  [7785] = {.lex_state = 181, .external_lex_state = 3},
  [7786] = {.lex_state = 161, .external_lex_state = 2},
  [7787] = {.lex_state = 162, .external_lex_state = 2},
  [7788] = {.lex_state = 181, .external_lex_state = 3},
  [7789] = {.lex_state = 179, .external_lex_state = 3},
  [7790] = {.lex_state = 179, .external_lex_state = 3},
  [7791] = {.lex_state = 179, .external_lex_state = 3},
  [7792] = {.lex_state = 181, .external_lex_state = 3},
  [7793] = {.lex_state = 162, .external_lex_state = 2},
  [7794] = {.lex_state = 161, .external_lex_state = 2},
  [7795] = {.lex_state = 181, .external_lex_state = 3},
  [7796] = {.lex_state = 179, .external_lex_state = 3},
  [7797] = {.lex_state = 452, .external_lex_state = 2},
  [7798] = {.lex_state = 162, .external_lex_state = 2},
  [7799] = {.lex_state = 162, .external_lex_state = 2},
  [7800] = {.lex_state = 162, .external_lex_state = 2},
  [7801] = {.lex_state = 162, .external_lex_state = 2},
  [7802] = {.lex_state = 162, .external_lex_state = 2},
  [7803] = {.lex_state = 162, .external_lex_state = 2},
  [7804] = {.lex_state = 162, .external_lex_state = 2},
  [7805] = {.lex_state = 181, .external_lex_state = 3},
  [7806] = {.lex_state = 452, .external_lex_state = 2},
  [7807] = {.lex_state = 452, .external_lex_state = 2},
  [7808] = {.lex_state = 51, .external_lex_state = 3},
  [7809] = {.lex_state = 181, .external_lex_state = 3},
  [7810] = {.lex_state = 162, .external_lex_state = 2},
  [7811] = {.lex_state = 179, .external_lex_state = 3},
  [7812] = {.lex_state = 452, .external_lex_state = 2},
  [7813] = {.lex_state = 179, .external_lex_state = 3},
  [7814] = {.lex_state = 55, .external_lex_state = 3},
  [7815] = {.lex_state = 48, .external_lex_state = 3},
  [7816] = {.lex_state = 162, .external_lex_state = 2},
  [7817] = {.lex_state = 181, .external_lex_state = 3},
  [7818] = {.lex_state = 452, .external_lex_state = 2},
  [7819] = {.lex_state = 161, .external_lex_state = 2},
  [7820] = {.lex_state = 452, .external_lex_state = 2},
  [7821] = {.lex_state = 47, .external_lex_state = 3},
  [7822] = {.lex_state = 162, .external_lex_state = 2},
  [7823] = {.lex_state = 162, .external_lex_state = 2},
  [7824] = {.lex_state = 162, .external_lex_state = 2},
  [7825] = {.lex_state = 162, .external_lex_state = 2},
  [7826] = {.lex_state = 162, .external_lex_state = 2},
  [7827] = {.lex_state = 181, .external_lex_state = 3},
  [7828] = {.lex_state = 162, .external_lex_state = 2},
  [7829] = {.lex_state = 162, .external_lex_state = 2},
  [7830] = {.lex_state = 162, .external_lex_state = 2},
  [7831] = {.lex_state = 179, .external_lex_state = 3},
  [7832] = {.lex_state = 179, .external_lex_state = 3},
  [7833] = {.lex_state = 162, .external_lex_state = 2},
  [7834] = {.lex_state = 162, .external_lex_state = 2},
  [7835] = {.lex_state = 162, .external_lex_state = 2},
  [7836] = {.lex_state = 162, .external_lex_state = 2},
  [7837] = {.lex_state = 161, .external_lex_state = 2},
  [7838] = {.lex_state = 162, .external_lex_state = 2},
  [7839] = {.lex_state = 179, .external_lex_state = 3},
  [7840] = {.lex_state = 162, .external_lex_state = 2},
  [7841] = {.lex_state = 179, .external_lex_state = 3},
  [7842] = {.lex_state = 162, .external_lex_state = 2},
  [7843] = {.lex_state = 179, .external_lex_state = 3},
  [7844] = {.lex_state = 162, .external_lex_state = 2},
  [7845] = {.lex_state = 161, .external_lex_state = 2},
  [7846] = {.lex_state = 179, .external_lex_state = 3},
  [7847] = {.lex_state = 179, .external_lex_state = 3},
  [7848] = {.lex_state = 52, .external_lex_state = 3},
  [7849] = {.lex_state = 179, .external_lex_state = 3},
  [7850] = {.lex_state = 179, .external_lex_state = 3},
  [7851] = {.lex_state = 452, .external_lex_state = 2},
  [7852] = {.lex_state = 179, .external_lex_state = 3},
  [7853] = {.lex_state = 162, .external_lex_state = 2},
  [7854] = {.lex_state = 162, .external_lex_state = 2},
  [7855] = {.lex_state = 179, .external_lex_state = 3},
  [7856] = {.lex_state = 452, .external_lex_state = 2},
  [7857] = {.lex_state = 452, .external_lex_state = 2},
  [7858] = {.lex_state = 162, .external_lex_state = 2},
  [7859] = {.lex_state = 162, .external_lex_state = 2},
  [7860] = {.lex_state = 181, .external_lex_state = 3},
  [7861] = {.lex_state = 162, .external_lex_state = 2},
  [7862] = {.lex_state = 162, .external_lex_state = 2},
  [7863] = {.lex_state = 162, .external_lex_state = 2},
  [7864] = {.lex_state = 162, .external_lex_state = 2},
  [7865] = {.lex_state = 162, .external_lex_state = 2},
  [7866] = {.lex_state = 179, .external_lex_state = 3},
  [7867] = {.lex_state = 181, .external_lex_state = 3},
  [7868] = {.lex_state = 181, .external_lex_state = 3},
  [7869] = {.lex_state = 181, .external_lex_state = 3},
  [7870] = {.lex_state = 162, .external_lex_state = 2},
  [7871] = {.lex_state = 181, .external_lex_state = 3},
  [7872] = {.lex_state = 58, .external_lex_state = 3},
  [7873] = {.lex_state = 161, .external_lex_state = 2},
  [7874] = {.lex_state = 179, .external_lex_state = 3},
  [7875] = {.lex_state = 162, .external_lex_state = 2},
  [7876] = {.lex_state = 161, .external_lex_state = 2},
  [7877] = {.lex_state = 162, .external_lex_state = 2},
  [7878] = {.lex_state = 179, .external_lex_state = 3},
  [7879] = {.lex_state = 179, .external_lex_state = 3},
  [7880] = {.lex_state = 181, .external_lex_state = 3},
  [7881] = {.lex_state = 57, .external_lex_state = 3},
  [7882] = {.lex_state = 179, .external_lex_state = 3},
  [7883] = {.lex_state = 181, .external_lex_state = 3},
  [7884] = {.lex_state = 179, .external_lex_state = 3},
  [7885] = {.lex_state = 162, .external_lex_state = 2},
  [7886] = {.lex_state = 181, .external_lex_state = 3},
  [7887] = {.lex_state = 162, .external_lex_state = 2},
  [7888] = {.lex_state = 179, .external_lex_state = 3},
  [7889] = {.lex_state = 161, .external_lex_state = 2},
  [7890] = {.lex_state = 181, .external_lex_state = 3},
  [7891] = {.lex_state = 181, .external_lex_state = 3},
  [7892] = {.lex_state = 181, .external_lex_state = 3},
  [7893] = {.lex_state = 162, .external_lex_state = 2},
  [7894] = {.lex_state = 179, .external_lex_state = 3},
  [7895] = {.lex_state = 179, .external_lex_state = 3},
  [7896] = {.lex_state = 166, .external_lex_state = 2},
  [7897] = {.lex_state = 54, .external_lex_state = 3},
  [7898] = {.lex_state = 179, .external_lex_state = 3},
  [7899] = {.lex_state = 179, .external_lex_state = 3},
  [7900] = {.lex_state = 162, .external_lex_state = 2},
  [7901] = {.lex_state = 452, .external_lex_state = 2},
  [7902] = {.lex_state = 179, .external_lex_state = 3},
  [7903] = {.lex_state = 181, .external_lex_state = 3},
  [7904] = {.lex_state = 161, .external_lex_state = 2},
  [7905] = {.lex_state = 179, .external_lex_state = 3},
  [7906] = {.lex_state = 50, .external_lex_state = 3},
  [7907] = {.lex_state = 452, .external_lex_state = 2},
  [7908] = {.lex_state = 162, .external_lex_state = 2},
  [7909] = {.lex_state = 162, .external_lex_state = 2},
  [7910] = {.lex_state = 179, .external_lex_state = 3},
  [7911] = {.lex_state = 181, .external_lex_state = 3},
  [7912] = {.lex_state = 47, .external_lex_state = 3},
  [7913] = {.lex_state = 179, .external_lex_state = 3},
  [7914] = {.lex_state = 179, .external_lex_state = 3},
  [7915] = {.lex_state = 161, .external_lex_state = 2},
  [7916] = {.lex_state = 452, .external_lex_state = 2},
  [7917] = {.lex_state = 452, .external_lex_state = 2},
  [7918] = {.lex_state = 162, .external_lex_state = 2},
  [7919] = {.lex_state = 452, .external_lex_state = 2},
  [7920] = {.lex_state = 181, .external_lex_state = 3},
  [7921] = {.lex_state = 162, .external_lex_state = 2},
  [7922] = {.lex_state = 179, .external_lex_state = 3},
  [7923] = {.lex_state = 179, .external_lex_state = 3},
  [7924] = {.lex_state = 179, .external_lex_state = 3},
  [7925] = {.lex_state = 179, .external_lex_state = 3},
  [7926] = {.lex_state = 181, .external_lex_state = 3},
  [7927] = {.lex_state = 162, .external_lex_state = 2},
  [7928] = {.lex_state = 162, .external_lex_state = 2},
  [7929] = {.lex_state = 162, .external_lex_state = 2},
  [7930] = {.lex_state = 55, .external_lex_state = 3},
  [7931] = {.lex_state = 179, .external_lex_state = 3},
  [7932] = {.lex_state = 181, .external_lex_state = 3},
  [7933] = {.lex_state = 179, .external_lex_state = 3},
  [7934] = {.lex_state = 181, .external_lex_state = 3},
  [7935] = {.lex_state = 179, .external_lex_state = 3},
  [7936] = {.lex_state = 53, .external_lex_state = 3},
  [7937] = {.lex_state = 179, .external_lex_state = 3},
  [7938] = {.lex_state = 452, .external_lex_state = 2},
  [7939] = {.lex_state = 181, .external_lex_state = 3},
  [7940] = {.lex_state = 181, .external_lex_state = 3},
  [7941] = {.lex_state = 162, .external_lex_state = 2},
  [7942] = {.lex_state = 181, .external_lex_state = 3},
  [7943] = {.lex_state = 181, .external_lex_state = 3},
  [7944] = {.lex_state = 452, .external_lex_state = 2},
  [7945] = {.lex_state = 181, .external_lex_state = 3},
  [7946] = {.lex_state = 161, .external_lex_state = 2},
  [7947] = {.lex_state = 181, .external_lex_state = 3},
  [7948] = {.lex_state = 56, .external_lex_state = 3},
  [7949] = {.lex_state = 54, .external_lex_state = 3},
  [7950] = {.lex_state = 162, .external_lex_state = 2},
  [7951] = {.lex_state = 162, .external_lex_state = 2},
  [7952] = {.lex_state = 162, .external_lex_state = 2},
  [7953] = {.lex_state = 161, .external_lex_state = 2},
  [7954] = {.lex_state = 162, .external_lex_state = 2},
  [7955] = {.lex_state = 181, .external_lex_state = 3},
  [7956] = {.lex_state = 162, .external_lex_state = 2},
  [7957] = {.lex_state = 181, .external_lex_state = 3},
  [7958] = {.lex_state = 181, .external_lex_state = 3},
  [7959] = {.lex_state = 162, .external_lex_state = 2},
  [7960] = {.lex_state = 162, .external_lex_state = 2},
  [7961] = {.lex_state = 181, .external_lex_state = 3},
  [7962] = {.lex_state = 181, .external_lex_state = 3},
  [7963] = {.lex_state = 181, .external_lex_state = 3},
  [7964] = {.lex_state = 452, .external_lex_state = 2},
  [7965] = {.lex_state = 181, .external_lex_state = 3},
  [7966] = {.lex_state = 181, .external_lex_state = 3},
  [7967] = {.lex_state = 179, .external_lex_state = 3},
  [7968] = {.lex_state = 179, .external_lex_state = 3},
  [7969] = {.lex_state = 162, .external_lex_state = 2},
  [7970] = {.lex_state = 179, .external_lex_state = 3},
  [7971] = {.lex_state = 162, .external_lex_state = 2},
  [7972] = {.lex_state = 162, .external_lex_state = 2},
  [7973] = {.lex_state = 181, .external_lex_state = 3},
  [7974] = {.lex_state = 452, .external_lex_state = 2},
  [7975] = {.lex_state = 452, .external_lex_state = 2},
  [7976] = {.lex_state = 162, .external_lex_state = 2},
  [7977] = {.lex_state = 162, .external_lex_state = 2},
  [7978] = {.lex_state = 162, .external_lex_state = 2},
  [7979] = {.lex_state = 162, .external_lex_state = 2},
  [7980] = {.lex_state = 161, .external_lex_state = 2},
  [7981] = {.lex_state = 162, .external_lex_state = 2},
  [7982] = {.lex_state = 452, .external_lex_state = 2},
  [7983] = {.lex_state = 162, .external_lex_state = 2},
  [7984] = {.lex_state = 179, .external_lex_state = 3},
  [7985] = {.lex_state = 452, .external_lex_state = 2},
  [7986] = {.lex_state = 181, .external_lex_state = 3},
  [7987] = {.lex_state = 179, .external_lex_state = 3},
  [7988] = {.lex_state = 179, .external_lex_state = 3},
  [7989] = {.lex_state = 181, .external_lex_state = 3},
  [7990] = {.lex_state = 181, .external_lex_state = 3},
  [7991] = {.lex_state = 179, .external_lex_state = 3},
  [7992] = {.lex_state = 162, .external_lex_state = 2},
  [7993] = {.lex_state = 179, .external_lex_state = 3},
  [7994] = {.lex_state = 179, .external_lex_state = 3},
  [7995] = {.lex_state = 179, .external_lex_state = 3},
  [7996] = {.lex_state = 181, .external_lex_state = 3},
  [7997] = {.lex_state = 162, .external_lex_state = 2},
  [7998] = {.lex_state = 452, .external_lex_state = 2},
  [7999] = {.lex_state = 162, .external_lex_state = 2},
  [8000] = {.lex_state = 181, .external_lex_state = 3},
  [8001] = {.lex_state = 179, .external_lex_state = 3},
  [8002] = {.lex_state = 181, .external_lex_state = 3},
  [8003] = {.lex_state = 162, .external_lex_state = 2},
  [8004] = {.lex_state = 162, .external_lex_state = 2},
  [8005] = {.lex_state = 162, .external_lex_state = 2},
  [8006] = {.lex_state = 162, .external_lex_state = 2},
  [8007] = {.lex_state = 162, .external_lex_state = 2},
  [8008] = {.lex_state = 181, .external_lex_state = 3},
  [8009] = {.lex_state = 161, .external_lex_state = 2},
  [8010] = {.lex_state = 162, .external_lex_state = 2},
  [8011] = {.lex_state = 181, .external_lex_state = 3},
  [8012] = {.lex_state = 181, .external_lex_state = 3},
  [8013] = {.lex_state = 181, .external_lex_state = 3},
  [8014] = {.lex_state = 452, .external_lex_state = 2},
  [8015] = {.lex_state = 52, .external_lex_state = 3},
  [8016] = {.lex_state = 215, .external_lex_state = 3},
  [8017] = {.lex_state = 452, .external_lex_state = 2},
  [8018] = {.lex_state = 452, .external_lex_state = 2},
  [8019] = {.lex_state = 168, .external_lex_state = 2},
  [8020] = {.lex_state = 452, .external_lex_state = 2},
  [8021] = {.lex_state = 57, .external_lex_state = 3},
  [8022] = {.lex_state = 452, .external_lex_state = 2},
  [8023] = {.lex_state = 452, .external_lex_state = 2},
  [8024] = {.lex_state = 180, .external_lex_state = 3},
  [8025] = {.lex_state = 452, .external_lex_state = 2},
  [8026] = {.lex_state = 452, .external_lex_state = 2},
  [8027] = {.lex_state = 452, .external_lex_state = 2},
  [8028] = {.lex_state = 452, .external_lex_state = 2},
  [8029] = {.lex_state = 452, .external_lex_state = 2},
  [8030] = {.lex_state = 452, .external_lex_state = 2},
  [8031] = {.lex_state = 452, .external_lex_state = 2},
  [8032] = {.lex_state = 11, .external_lex_state = 3},
  [8033] = {.lex_state = 452, .external_lex_state = 2},
  [8034] = {.lex_state = 10, .external_lex_state = 3},
  [8035] = {.lex_state = 452, .external_lex_state = 2},
  [8036] = {.lex_state = 227, .external_lex_state = 2},
  [8037] = {.lex_state = 58, .external_lex_state = 3},
  [8038] = {.lex_state = 452, .external_lex_state = 2},
  [8039] = {.lex_state = 452, .external_lex_state = 2},
  [8040] = {.lex_state = 10, .external_lex_state = 3},
  [8041] = {.lex_state = 452, .external_lex_state = 2},
  [8042] = {.lex_state = 452, .external_lex_state = 2},
  [8043] = {.lex_state = 452, .external_lex_state = 2},
  [8044] = {.lex_state = 182, .external_lex_state = 3},
  [8045] = {.lex_state = 452, .external_lex_state = 2},
  [8046] = {.lex_state = 452, .external_lex_state = 2},
  [8047] = {.lex_state = 48, .external_lex_state = 3},
  [8048] = {.lex_state = 10, .external_lex_state = 3},
  [8049] = {.lex_state = 227, .external_lex_state = 2},
  [8050] = {.lex_state = 452, .external_lex_state = 2},
  [8051] = {.lex_state = 452, .external_lex_state = 2},
  [8052] = {.lex_state = 452, .external_lex_state = 2},
  [8053] = {.lex_state = 48, .external_lex_state = 3},
  [8054] = {.lex_state = 452, .external_lex_state = 2},
  [8055] = {.lex_state = 452, .external_lex_state = 2},
  [8056] = {.lex_state = 39, .external_lex_state = 3},
  [8057] = {.lex_state = 58, .external_lex_state = 3},
  [8058] = {.lex_state = 452, .external_lex_state = 2},
  [8059] = {.lex_state = 11, .external_lex_state = 3},
  [8060] = {.lex_state = 452, .external_lex_state = 2},
  [8061] = {.lex_state = 452, .external_lex_state = 2},
  [8062] = {.lex_state = 452, .external_lex_state = 2},
  [8063] = {.lex_state = 452, .external_lex_state = 2},
  [8064] = {.lex_state = 452, .external_lex_state = 2},
  [8065] = {.lex_state = 452, .external_lex_state = 2},
  [8066] = {.lex_state = 182, .external_lex_state = 3},
  [8067] = {.lex_state = 452, .external_lex_state = 2},
  [8068] = {.lex_state = 180, .external_lex_state = 3},
  [8069] = {.lex_state = 452, .external_lex_state = 2},
  [8070] = {.lex_state = 452, .external_lex_state = 2},
  [8071] = {.lex_state = 39, .external_lex_state = 3},
  [8072] = {.lex_state = 452, .external_lex_state = 2},
  [8073] = {.lex_state = 452, .external_lex_state = 2},
  [8074] = {.lex_state = 213, .external_lex_state = 3},
  [8075] = {.lex_state = 452, .external_lex_state = 2},
  [8076] = {.lex_state = 52, .external_lex_state = 3},
  [8077] = {.lex_state = 452, .external_lex_state = 2},
  [8078] = {.lex_state = 452, .external_lex_state = 2},
  [8079] = {.lex_state = 452, .external_lex_state = 2},
  [8080] = {.lex_state = 452, .external_lex_state = 2},
  [8081] = {.lex_state = 452, .external_lex_state = 2},
  [8082] = {.lex_state = 11, .external_lex_state = 3},
  [8083] = {.lex_state = 452, .external_lex_state = 2},
  [8084] = {.lex_state = 10, .external_lex_state = 3},
  [8085] = {.lex_state = 56, .external_lex_state = 3},
  [8086] = {.lex_state = 452, .external_lex_state = 2},
  [8087] = {.lex_state = 10, .external_lex_state = 3},
  [8088] = {.lex_state = 11, .external_lex_state = 3},
  [8089] = {.lex_state = 452, .external_lex_state = 2},
  [8090] = {.lex_state = 452, .external_lex_state = 2},
  [8091] = {.lex_state = 227, .external_lex_state = 2},
  [8092] = {.lex_state = 227, .external_lex_state = 2},
  [8093] = {.lex_state = 452, .external_lex_state = 2},
  [8094] = {.lex_state = 452, .external_lex_state = 2},
  [8095] = {.lex_state = 452, .external_lex_state = 2},
  [8096] = {.lex_state = 452, .external_lex_state = 2},
  [8097] = {.lex_state = 56, .external_lex_state = 3},
  [8098] = {.lex_state = 11, .external_lex_state = 3},
  [8099] = {.lex_state = 11, .external_lex_state = 3},
  [8100] = {.lex_state = 452, .external_lex_state = 2},
  [8101] = {.lex_state = 39, .external_lex_state = 3},
  [8102] = {.lex_state = 452, .external_lex_state = 2},
  [8103] = {.lex_state = 452, .external_lex_state = 2},
  [8104] = {.lex_state = 11, .external_lex_state = 3},
  [8105] = {.lex_state = 452, .external_lex_state = 2},
  [8106] = {.lex_state = 452, .external_lex_state = 2},
  [8107] = {.lex_state = 452, .external_lex_state = 2},
  [8108] = {.lex_state = 452, .external_lex_state = 2},
  [8109] = {.lex_state = 452, .external_lex_state = 2},
  [8110] = {.lex_state = 452, .external_lex_state = 2},
  [8111] = {.lex_state = 227, .external_lex_state = 2},
  [8112] = {.lex_state = 57, .external_lex_state = 3},
  [8113] = {.lex_state = 452, .external_lex_state = 2},
  [8114] = {.lex_state = 10, .external_lex_state = 3},
  [8115] = {.lex_state = 452, .external_lex_state = 2},
  [8116] = {.lex_state = 452, .external_lex_state = 2},
  [8117] = {.lex_state = 10, .external_lex_state = 3},
  [8118] = {.lex_state = 452, .external_lex_state = 2},
  [8119] = {.lex_state = 452, .external_lex_state = 2},
  [8120] = {.lex_state = 452, .external_lex_state = 2},
  [8121] = {.lex_state = 452, .external_lex_state = 2},
  [8122] = {.lex_state = 452, .external_lex_state = 2},
  [8123] = {.lex_state = 452, .external_lex_state = 2},
  [8124] = {.lex_state = 227, .external_lex_state = 2},
  [8125] = {.lex_state = 163, .external_lex_state = 2},
  [8126] = {.lex_state = 452, .external_lex_state = 2},
  [8127] = {.lex_state = 233, .external_lex_state = 2},
  [8128] = {.lex_state = 12, .external_lex_state = 3},
  [8129] = {.lex_state = 180, .external_lex_state = 3},
  [8130] = {.lex_state = 180, .external_lex_state = 3},
  [8131] = {.lex_state = 180, .external_lex_state = 3},
  [8132] = {.lex_state = 180, .external_lex_state = 3},
  [8133] = {.lex_state = 180, .external_lex_state = 3},
  [8134] = {.lex_state = 180, .external_lex_state = 3},
  [8135] = {.lex_state = 180, .external_lex_state = 3},
  [8136] = {.lex_state = 182, .external_lex_state = 3},
  [8137] = {.lex_state = 12, .external_lex_state = 3},
  [8138] = {.lex_state = 12, .external_lex_state = 3},
  [8139] = {.lex_state = 12, .external_lex_state = 3},
  [8140] = {.lex_state = 12, .external_lex_state = 3},
  [8141] = {.lex_state = 12, .external_lex_state = 3},
  [8142] = {.lex_state = 233, .external_lex_state = 2},
  [8143] = {.lex_state = 180, .external_lex_state = 3},
  [8144] = {.lex_state = 180, .external_lex_state = 3},
  [8145] = {.lex_state = 12, .external_lex_state = 3},
  [8146] = {.lex_state = 233, .external_lex_state = 2},
  [8147] = {.lex_state = 180, .external_lex_state = 3},
  [8148] = {.lex_state = 233, .external_lex_state = 2},
  [8149] = {.lex_state = 180, .external_lex_state = 3},
  [8150] = {.lex_state = 180, .external_lex_state = 3},
  [8151] = {.lex_state = 180, .external_lex_state = 3},
  [8152] = {.lex_state = 182, .external_lex_state = 3},
  [8153] = {.lex_state = 233, .external_lex_state = 2},
  [8154] = {.lex_state = 180, .external_lex_state = 3},
  [8155] = {.lex_state = 180, .external_lex_state = 3},
  [8156] = {.lex_state = 180, .external_lex_state = 3},
  [8157] = {.lex_state = 180, .external_lex_state = 3},
  [8158] = {.lex_state = 180, .external_lex_state = 3},
  [8159] = {.lex_state = 180, .external_lex_state = 3},
  [8160] = {.lex_state = 180, .external_lex_state = 3},
  [8161] = {.lex_state = 233, .external_lex_state = 2},
  [8162] = {.lex_state = 180, .external_lex_state = 3},
  [8163] = {.lex_state = 180, .external_lex_state = 3},
  [8164] = {.lex_state = 180, .external_lex_state = 3},
  [8165] = {.lex_state = 180, .external_lex_state = 3},
  [8166] = {.lex_state = 180, .external_lex_state = 3},
  [8167] = {.lex_state = 180, .external_lex_state = 3},
  [8168] = {.lex_state = 180, .external_lex_state = 3},
  [8169] = {.lex_state = 182, .external_lex_state = 3},
  [8170] = {.lex_state = 182, .external_lex_state = 3},
  [8171] = {.lex_state = 12, .external_lex_state = 3},
  [8172] = {.lex_state = 12, .external_lex_state = 3},
  [8173] = {.lex_state = 12, .external_lex_state = 3},
  [8174] = {.lex_state = 12, .external_lex_state = 3},
  [8175] = {.lex_state = 12, .external_lex_state = 3},
  [8176] = {.lex_state = 12, .external_lex_state = 3},
  [8177] = {.lex_state = 452, .external_lex_state = 2},
  [8178] = {.lex_state = 12, .external_lex_state = 3},
  [8179] = {.lex_state = 180, .external_lex_state = 3},
  [8180] = {.lex_state = 180, .external_lex_state = 3},
  [8181] = {.lex_state = 12, .external_lex_state = 3},
  [8182] = {.lex_state = 12, .external_lex_state = 3},
  [8183] = {.lex_state = 12, .external_lex_state = 3},
  [8184] = {.lex_state = 12, .external_lex_state = 3},
  [8185] = {.lex_state = 12, .external_lex_state = 3},
  [8186] = {.lex_state = 182, .external_lex_state = 3},
  [8187] = {.lex_state = 12, .external_lex_state = 3},
  [8188] = {.lex_state = 12, .external_lex_state = 3},
  [8189] = {.lex_state = 12, .external_lex_state = 3},
  [8190] = {.lex_state = 12, .external_lex_state = 3},
  [8191] = {.lex_state = 12, .external_lex_state = 3},
  [8192] = {.lex_state = 12, .external_lex_state = 3},
  [8193] = {.lex_state = 12, .external_lex_state = 3},
  [8194] = {.lex_state = 180, .external_lex_state = 3},
  [8195] = {.lex_state = 180, .external_lex_state = 3},
  [8196] = {.lex_state = 180, .external_lex_state = 3},
  [8197] = {.lex_state = 180, .external_lex_state = 3},
  [8198] = {.lex_state = 180, .external_lex_state = 3},
  [8199] = {.lex_state = 180, .external_lex_state = 3},
  [8200] = {.lex_state = 180, .external_lex_state = 3},
  [8201] = {.lex_state = 180, .external_lex_state = 3},
  [8202] = {.lex_state = 180, .external_lex_state = 3},
  [8203] = {.lex_state = 180, .external_lex_state = 3},
  [8204] = {.lex_state = 180, .external_lex_state = 3},
  [8205] = {.lex_state = 180, .external_lex_state = 3},
  [8206] = {.lex_state = 180, .external_lex_state = 3},
  [8207] = {.lex_state = 180, .external_lex_state = 3},
  [8208] = {.lex_state = 233, .external_lex_state = 2},
  [8209] = {.lex_state = 182, .external_lex_state = 3},
  [8210] = {.lex_state = 182, .external_lex_state = 3},
  [8211] = {.lex_state = 180, .external_lex_state = 3},
  [8212] = {.lex_state = 180, .external_lex_state = 3},
  [8213] = {.lex_state = 180, .external_lex_state = 3},
  [8214] = {.lex_state = 180, .external_lex_state = 3},
  [8215] = {.lex_state = 182, .external_lex_state = 3},
  [8216] = {.lex_state = 180, .external_lex_state = 3},
  [8217] = {.lex_state = 182, .external_lex_state = 3},
  [8218] = {.lex_state = 180, .external_lex_state = 3},
  [8219] = {.lex_state = 182, .external_lex_state = 3},
  [8220] = {.lex_state = 182, .external_lex_state = 3},
  [8221] = {.lex_state = 182, .external_lex_state = 3},
  [8222] = {.lex_state = 182, .external_lex_state = 3},
  [8223] = {.lex_state = 182, .external_lex_state = 3},
  [8224] = {.lex_state = 182, .external_lex_state = 3},
  [8225] = {.lex_state = 182, .external_lex_state = 3},
  [8226] = {.lex_state = 182, .external_lex_state = 3},
  [8227] = {.lex_state = 182, .external_lex_state = 3},
  [8228] = {.lex_state = 182, .external_lex_state = 3},
  [8229] = {.lex_state = 182, .external_lex_state = 3},
  [8230] = {.lex_state = 182, .external_lex_state = 3},
  [8231] = {.lex_state = 182, .external_lex_state = 3},
  [8232] = {.lex_state = 182, .external_lex_state = 3},
  [8233] = {.lex_state = 182, .external_lex_state = 3},
  [8234] = {.lex_state = 182, .external_lex_state = 3},
  [8235] = {.lex_state = 182, .external_lex_state = 3},
  [8236] = {.lex_state = 182, .external_lex_state = 3},
  [8237] = {.lex_state = 182, .external_lex_state = 3},
  [8238] = {.lex_state = 182, .external_lex_state = 3},
  [8239] = {.lex_state = 182, .external_lex_state = 3},
  [8240] = {.lex_state = 39, .external_lex_state = 3},
  [8241] = {.lex_state = 182, .external_lex_state = 3},
  [8242] = {.lex_state = 182, .external_lex_state = 3},
  [8243] = {.lex_state = 182, .external_lex_state = 3},
  [8244] = {.lex_state = 182, .external_lex_state = 3},
  [8245] = {.lex_state = 182, .external_lex_state = 3},
  [8246] = {.lex_state = 182, .external_lex_state = 3},
  [8247] = {.lex_state = 182, .external_lex_state = 3},
  [8248] = {.lex_state = 182, .external_lex_state = 3},
  [8249] = {.lex_state = 182, .external_lex_state = 3},
  [8250] = {.lex_state = 163, .external_lex_state = 2},
  [8251] = {.lex_state = 182, .external_lex_state = 3},
  [8252] = {.lex_state = 182, .external_lex_state = 3},
  [8253] = {.lex_state = 182, .external_lex_state = 3},
  [8254] = {.lex_state = 182, .external_lex_state = 3},
  [8255] = {.lex_state = 182, .external_lex_state = 3},
  [8256] = {.lex_state = 163, .external_lex_state = 2},
  [8257] = {.lex_state = 217, .external_lex_state = 3},
  [8258] = {.lex_state = 182, .external_lex_state = 3},
  [8259] = {.lex_state = 182, .external_lex_state = 3},
  [8260] = {.lex_state = 182, .external_lex_state = 3},
  [8261] = {.lex_state = 182, .external_lex_state = 3},
  [8262] = {.lex_state = 182, .external_lex_state = 3},
  [8263] = {.lex_state = 182, .external_lex_state = 3},
  [8264] = {.lex_state = 180, .external_lex_state = 3},
  [8265] = {.lex_state = 163, .external_lex_state = 2},
  [8266] = {.lex_state = 12, .external_lex_state = 3},
  [8267] = {.lex_state = 233, .external_lex_state = 2},
  [8268] = {.lex_state = 180, .external_lex_state = 3},
  [8269] = {.lex_state = 180, .external_lex_state = 3},
  [8270] = {.lex_state = 28, .external_lex_state = 3},
  [8271] = {.lex_state = 180, .external_lex_state = 3},
  [8272] = {.lex_state = 12, .external_lex_state = 3},
  [8273] = {.lex_state = 180, .external_lex_state = 3},
  [8274] = {.lex_state = 180, .external_lex_state = 3},
  [8275] = {.lex_state = 180, .external_lex_state = 3},
  [8276] = {.lex_state = 182, .external_lex_state = 3},
  [8277] = {.lex_state = 182, .external_lex_state = 3},
  [8278] = {.lex_state = 182, .external_lex_state = 3},
  [8279] = {.lex_state = 163, .external_lex_state = 2},
  [8280] = {.lex_state = 163, .external_lex_state = 2},
  [8281] = {.lex_state = 182, .external_lex_state = 3},
  [8282] = {.lex_state = 163, .external_lex_state = 2},
  [8283] = {.lex_state = 12, .external_lex_state = 3},
  [8284] = {.lex_state = 163, .external_lex_state = 2},
  [8285] = {.lex_state = 452, .external_lex_state = 2},
  [8286] = {.lex_state = 452, .external_lex_state = 2},
  [8287] = {.lex_state = 12, .external_lex_state = 3},
  [8288] = {.lex_state = 452, .external_lex_state = 2},
  [8289] = {.lex_state = 166, .external_lex_state = 2},
  [8290] = {.lex_state = 163, .external_lex_state = 2},
  [8291] = {.lex_state = 163, .external_lex_state = 2},
  [8292] = {.lex_state = 163, .external_lex_state = 2},
  [8293] = {.lex_state = 12, .external_lex_state = 3},
  [8294] = {.lex_state = 12, .external_lex_state = 3},
  [8295] = {.lex_state = 12, .external_lex_state = 3},
  [8296] = {.lex_state = 12, .external_lex_state = 3},
  [8297] = {.lex_state = 12, .external_lex_state = 3},
  [8298] = {.lex_state = 12, .external_lex_state = 3},
  [8299] = {.lex_state = 12, .external_lex_state = 3},
  [8300] = {.lex_state = 12, .external_lex_state = 3},
  [8301] = {.lex_state = 12, .external_lex_state = 3},
  [8302] = {.lex_state = 452, .external_lex_state = 2},
  [8303] = {.lex_state = 452, .external_lex_state = 2},
  [8304] = {.lex_state = 452, .external_lex_state = 2},
  [8305] = {.lex_state = 163, .external_lex_state = 2},
  [8306] = {.lex_state = 163, .external_lex_state = 2},
  [8307] = {.lex_state = 163, .external_lex_state = 2},
  [8308] = {.lex_state = 163, .external_lex_state = 2},
  [8309] = {.lex_state = 163, .external_lex_state = 2},
  [8310] = {.lex_state = 452, .external_lex_state = 2},
  [8311] = {.lex_state = 452, .external_lex_state = 2},
  [8312] = {.lex_state = 163, .external_lex_state = 2},
  [8313] = {.lex_state = 452, .external_lex_state = 2},
  [8314] = {.lex_state = 452, .external_lex_state = 2},
  [8315] = {.lex_state = 452, .external_lex_state = 2},
  [8316] = {.lex_state = 452, .external_lex_state = 2},
  [8317] = {.lex_state = 163, .external_lex_state = 2},
  [8318] = {.lex_state = 452, .external_lex_state = 2},
  [8319] = {.lex_state = 452, .external_lex_state = 2},
  [8320] = {.lex_state = 452, .external_lex_state = 2},
  [8321] = {.lex_state = 452, .external_lex_state = 2},
  [8322] = {.lex_state = 452, .external_lex_state = 2},
  [8323] = {.lex_state = 452, .external_lex_state = 2},
  [8324] = {.lex_state = 233, .external_lex_state = 2},
  [8325] = {.lex_state = 163, .external_lex_state = 2},
  [8326] = {.lex_state = 452, .external_lex_state = 2},
  [8327] = {.lex_state = 452, .external_lex_state = 2},
  [8328] = {.lex_state = 452, .external_lex_state = 2},
  [8329] = {.lex_state = 163, .external_lex_state = 2},
  [8330] = {.lex_state = 163, .external_lex_state = 2},
  [8331] = {.lex_state = 163, .external_lex_state = 2},
  [8332] = {.lex_state = 163, .external_lex_state = 2},
  [8333] = {.lex_state = 452, .external_lex_state = 2},
  [8334] = {.lex_state = 452, .external_lex_state = 2},
  [8335] = {.lex_state = 452, .external_lex_state = 2},
  [8336] = {.lex_state = 452, .external_lex_state = 2},
  [8337] = {.lex_state = 452, .external_lex_state = 2},
  [8338] = {.lex_state = 452, .external_lex_state = 2},
  [8339] = {.lex_state = 12, .external_lex_state = 3},
  [8340] = {.lex_state = 452, .external_lex_state = 2},
  [8341] = {.lex_state = 452, .external_lex_state = 2},
  [8342] = {.lex_state = 452, .external_lex_state = 2},
  [8343] = {.lex_state = 182, .external_lex_state = 3},
  [8344] = {.lex_state = 452, .external_lex_state = 2},
  [8345] = {.lex_state = 452, .external_lex_state = 2},
  [8346] = {.lex_state = 12, .external_lex_state = 3},
  [8347] = {.lex_state = 12, .external_lex_state = 3},
  [8348] = {.lex_state = 452, .external_lex_state = 2},
  [8349] = {.lex_state = 12, .external_lex_state = 3},
  [8350] = {.lex_state = 12, .external_lex_state = 3},
  [8351] = {.lex_state = 12, .external_lex_state = 3},
  [8352] = {.lex_state = 452, .external_lex_state = 2},
  [8353] = {.lex_state = 452, .external_lex_state = 2},
  [8354] = {.lex_state = 452, .external_lex_state = 2},
  [8355] = {.lex_state = 452, .external_lex_state = 2},
  [8356] = {.lex_state = 452, .external_lex_state = 2},
  [8357] = {.lex_state = 452, .external_lex_state = 2},
  [8358] = {.lex_state = 182, .external_lex_state = 3},
  [8359] = {.lex_state = 182, .external_lex_state = 3},
  [8360] = {.lex_state = 12, .external_lex_state = 3},
  [8361] = {.lex_state = 12, .external_lex_state = 3},
  [8362] = {.lex_state = 12, .external_lex_state = 3},
  [8363] = {.lex_state = 452, .external_lex_state = 2},
  [8364] = {.lex_state = 452, .external_lex_state = 2},
  [8365] = {.lex_state = 452, .external_lex_state = 2},
  [8366] = {.lex_state = 163, .external_lex_state = 2},
  [8367] = {.lex_state = 12, .external_lex_state = 3},
  [8368] = {.lex_state = 12, .external_lex_state = 3},
  [8369] = {.lex_state = 12, .external_lex_state = 3},
  [8370] = {.lex_state = 12, .external_lex_state = 3},
  [8371] = {.lex_state = 12, .external_lex_state = 3},
  [8372] = {.lex_state = 12, .external_lex_state = 3},
  [8373] = {.lex_state = 452, .external_lex_state = 2},
  [8374] = {.lex_state = 452, .external_lex_state = 2},
  [8375] = {.lex_state = 452, .external_lex_state = 2},
  [8376] = {.lex_state = 452, .external_lex_state = 2},
  [8377] = {.lex_state = 452, .external_lex_state = 2},
  [8378] = {.lex_state = 12, .external_lex_state = 3},
  [8379] = {.lex_state = 452, .external_lex_state = 2},
  [8380] = {.lex_state = 12, .external_lex_state = 3},
  [8381] = {.lex_state = 12, .external_lex_state = 3},
  [8382] = {.lex_state = 12, .external_lex_state = 3},
  [8383] = {.lex_state = 12, .external_lex_state = 3},
  [8384] = {.lex_state = 452, .external_lex_state = 2},
  [8385] = {.lex_state = 452, .external_lex_state = 2},
  [8386] = {.lex_state = 452, .external_lex_state = 2},
  [8387] = {.lex_state = 12, .external_lex_state = 3},
  [8388] = {.lex_state = 12, .external_lex_state = 3},
  [8389] = {.lex_state = 12, .external_lex_state = 3},
  [8390] = {.lex_state = 12, .external_lex_state = 3},
  [8391] = {.lex_state = 452, .external_lex_state = 2},
  [8392] = {.lex_state = 452, .external_lex_state = 2},
  [8393] = {.lex_state = 182, .external_lex_state = 3},
  [8394] = {.lex_state = 452, .external_lex_state = 2},
  [8395] = {.lex_state = 12, .external_lex_state = 3},
  [8396] = {.lex_state = 12, .external_lex_state = 3},
  [8397] = {.lex_state = 12, .external_lex_state = 3},
  [8398] = {.lex_state = 12, .external_lex_state = 3},
  [8399] = {.lex_state = 12, .external_lex_state = 3},
  [8400] = {.lex_state = 12, .external_lex_state = 3},
  [8401] = {.lex_state = 12, .external_lex_state = 3},
  [8402] = {.lex_state = 452, .external_lex_state = 2},
  [8403] = {.lex_state = 452, .external_lex_state = 2},
  [8404] = {.lex_state = 12, .external_lex_state = 3},
  [8405] = {.lex_state = 12, .external_lex_state = 3},
  [8406] = {.lex_state = 452, .external_lex_state = 2},
  [8407] = {.lex_state = 12, .external_lex_state = 3},
  [8408] = {.lex_state = 12, .external_lex_state = 3},
  [8409] = {.lex_state = 12, .external_lex_state = 3},
  [8410] = {.lex_state = 182, .external_lex_state = 3},
  [8411] = {.lex_state = 182, .external_lex_state = 3},
  [8412] = {.lex_state = 12, .external_lex_state = 3},
  [8413] = {.lex_state = 12, .external_lex_state = 3},
  [8414] = {.lex_state = 12, .external_lex_state = 3},
  [8415] = {.lex_state = 452, .external_lex_state = 2},
  [8416] = {.lex_state = 452, .external_lex_state = 2},
  [8417] = {.lex_state = 452, .external_lex_state = 2},
  [8418] = {.lex_state = 452, .external_lex_state = 2},
  [8419] = {.lex_state = 12, .external_lex_state = 3},
  [8420] = {.lex_state = 12, .external_lex_state = 3},
  [8421] = {.lex_state = 12, .external_lex_state = 3},
  [8422] = {.lex_state = 182, .external_lex_state = 3},
  [8423] = {.lex_state = 12, .external_lex_state = 3},
  [8424] = {.lex_state = 452, .external_lex_state = 2},
  [8425] = {.lex_state = 452, .external_lex_state = 2},
  [8426] = {.lex_state = 452, .external_lex_state = 2},
  [8427] = {.lex_state = 452, .external_lex_state = 2},
  [8428] = {.lex_state = 452, .external_lex_state = 2},
  [8429] = {.lex_state = 452, .external_lex_state = 2},
  [8430] = {.lex_state = 180, .external_lex_state = 3},
  [8431] = {.lex_state = 218, .external_lex_state = 3},
  [8432] = {.lex_state = 12, .external_lex_state = 3},
  [8433] = {.lex_state = 163, .external_lex_state = 2},
  [8434] = {.lex_state = 163, .external_lex_state = 2},
  [8435] = {.lex_state = 12, .external_lex_state = 3},
  [8436] = {.lex_state = 171, .external_lex_state = 2},
  [8437] = {.lex_state = 180, .external_lex_state = 3},
  [8438] = {.lex_state = 180, .external_lex_state = 3},
  [8439] = {.lex_state = 180, .external_lex_state = 3},
  [8440] = {.lex_state = 12, .external_lex_state = 3},
  [8441] = {.lex_state = 452, .external_lex_state = 2},
  [8442] = {.lex_state = 12, .external_lex_state = 3},
  [8443] = {.lex_state = 12, .external_lex_state = 3},
  [8444] = {.lex_state = 180, .external_lex_state = 3},
  [8445] = {.lex_state = 233, .external_lex_state = 2},
  [8446] = {.lex_state = 166, .external_lex_state = 2},
  [8447] = {.lex_state = 166, .external_lex_state = 2},
  [8448] = {.lex_state = 166, .external_lex_state = 2},
  [8449] = {.lex_state = 166, .external_lex_state = 2},
  [8450] = {.lex_state = 166, .external_lex_state = 2},
  [8451] = {.lex_state = 162, .external_lex_state = 2},
  [8452] = {.lex_state = 166, .external_lex_state = 2},
  [8453] = {.lex_state = 166, .external_lex_state = 2},
  [8454] = {.lex_state = 166, .external_lex_state = 2},
  [8455] = {.lex_state = 9, .external_lex_state = 3},
  [8456] = {.lex_state = 162, .external_lex_state = 2},
  [8457] = {.lex_state = 166, .external_lex_state = 2},
  [8458] = {.lex_state = 166, .external_lex_state = 2},
  [8459] = {.lex_state = 166, .external_lex_state = 2},
  [8460] = {.lex_state = 166, .external_lex_state = 2},
  [8461] = {.lex_state = 226, .external_lex_state = 2},
  [8462] = {.lex_state = 166, .external_lex_state = 2},
  [8463] = {.lex_state = 166, .external_lex_state = 2},
  [8464] = {.lex_state = 166, .external_lex_state = 2},
  [8465] = {.lex_state = 166, .external_lex_state = 2},
  [8466] = {.lex_state = 166, .external_lex_state = 2},
  [8467] = {.lex_state = 28, .external_lex_state = 3},
  [8468] = {.lex_state = 166, .external_lex_state = 2},
  [8469] = {.lex_state = 166, .external_lex_state = 2},
  [8470] = {.lex_state = 166, .external_lex_state = 2},
  [8471] = {.lex_state = 455, .external_lex_state = 2},
  [8472] = {.lex_state = 166, .external_lex_state = 2},
  [8473] = {.lex_state = 166, .external_lex_state = 2},
  [8474] = {.lex_state = 162, .external_lex_state = 2},
  [8475] = {.lex_state = 162, .external_lex_state = 2},
  [8476] = {.lex_state = 162, .external_lex_state = 2},
  [8477] = {.lex_state = 166, .external_lex_state = 2},
  [8478] = {.lex_state = 166, .external_lex_state = 2},
  [8479] = {.lex_state = 166, .external_lex_state = 2},
  [8480] = {.lex_state = 162, .external_lex_state = 2},
  [8481] = {.lex_state = 166, .external_lex_state = 2},
  [8482] = {.lex_state = 162, .external_lex_state = 2},
  [8483] = {.lex_state = 226, .external_lex_state = 2},
  [8484] = {.lex_state = 166, .external_lex_state = 2},
  [8485] = {.lex_state = 162, .external_lex_state = 2},
  [8486] = {.lex_state = 162, .external_lex_state = 2},
  [8487] = {.lex_state = 166, .external_lex_state = 2},
  [8488] = {.lex_state = 28, .external_lex_state = 3},
  [8489] = {.lex_state = 166, .external_lex_state = 2},
  [8490] = {.lex_state = 162, .external_lex_state = 2},
  [8491] = {.lex_state = 162, .external_lex_state = 2},
  [8492] = {.lex_state = 162, .external_lex_state = 2},
  [8493] = {.lex_state = 28, .external_lex_state = 3},
  [8494] = {.lex_state = 455, .external_lex_state = 2},
  [8495] = {.lex_state = 166, .external_lex_state = 2},
  [8496] = {.lex_state = 166, .external_lex_state = 2},
  [8497] = {.lex_state = 226, .external_lex_state = 2},
  [8498] = {.lex_state = 166, .external_lex_state = 2},
  [8499] = {.lex_state = 166, .external_lex_state = 2},
  [8500] = {.lex_state = 166, .external_lex_state = 2},
  [8501] = {.lex_state = 166, .external_lex_state = 2},
  [8502] = {.lex_state = 166, .external_lex_state = 2},
  [8503] = {.lex_state = 166, .external_lex_state = 2},
  [8504] = {.lex_state = 166, .external_lex_state = 2},
  [8505] = {.lex_state = 166, .external_lex_state = 2},
  [8506] = {.lex_state = 166, .external_lex_state = 2},
  [8507] = {.lex_state = 166, .external_lex_state = 2},
  [8508] = {.lex_state = 166, .external_lex_state = 2},
  [8509] = {.lex_state = 166, .external_lex_state = 2},
  [8510] = {.lex_state = 166, .external_lex_state = 2},
  [8511] = {.lex_state = 166, .external_lex_state = 2},
  [8512] = {.lex_state = 166, .external_lex_state = 2},
  [8513] = {.lex_state = 166, .external_lex_state = 2},
  [8514] = {.lex_state = 162, .external_lex_state = 2},
  [8515] = {.lex_state = 166, .external_lex_state = 2},
  [8516] = {.lex_state = 166, .external_lex_state = 2},
  [8517] = {.lex_state = 162, .external_lex_state = 2},
  [8518] = {.lex_state = 162, .external_lex_state = 2},
  [8519] = {.lex_state = 166, .external_lex_state = 2},
  [8520] = {.lex_state = 162, .external_lex_state = 2},
  [8521] = {.lex_state = 166, .external_lex_state = 2},
  [8522] = {.lex_state = 166, .external_lex_state = 2},
  [8523] = {.lex_state = 166, .external_lex_state = 2},
  [8524] = {.lex_state = 166, .external_lex_state = 2},
  [8525] = {.lex_state = 166, .external_lex_state = 2},
  [8526] = {.lex_state = 166, .external_lex_state = 2},
  [8527] = {.lex_state = 166, .external_lex_state = 2},
  [8528] = {.lex_state = 166, .external_lex_state = 2},
  [8529] = {.lex_state = 166, .external_lex_state = 2},
  [8530] = {.lex_state = 166, .external_lex_state = 2},
  [8531] = {.lex_state = 166, .external_lex_state = 2},
  [8532] = {.lex_state = 166, .external_lex_state = 2},
  [8533] = {.lex_state = 166, .external_lex_state = 2},
  [8534] = {.lex_state = 166, .external_lex_state = 2},
  [8535] = {.lex_state = 166, .external_lex_state = 2},
  [8536] = {.lex_state = 166, .external_lex_state = 2},
  [8537] = {.lex_state = 166, .external_lex_state = 2},
  [8538] = {.lex_state = 166, .external_lex_state = 2},
  [8539] = {.lex_state = 166, .external_lex_state = 2},
  [8540] = {.lex_state = 166, .external_lex_state = 2},
  [8541] = {.lex_state = 166, .external_lex_state = 2},
  [8542] = {.lex_state = 166, .external_lex_state = 2},
  [8543] = {.lex_state = 455, .external_lex_state = 2},
  [8544] = {.lex_state = 9, .external_lex_state = 3},
  [8545] = {.lex_state = 9, .external_lex_state = 3},
  [8546] = {.lex_state = 166, .external_lex_state = 2},
  [8547] = {.lex_state = 455, .external_lex_state = 2},
  [8548] = {.lex_state = 455, .external_lex_state = 2},
  [8549] = {.lex_state = 166, .external_lex_state = 2},
  [8550] = {.lex_state = 162, .external_lex_state = 2},
  [8551] = {.lex_state = 162, .external_lex_state = 2},
  [8552] = {.lex_state = 162, .external_lex_state = 2},
  [8553] = {.lex_state = 166, .external_lex_state = 2},
  [8554] = {.lex_state = 166, .external_lex_state = 2},
  [8555] = {.lex_state = 166, .external_lex_state = 2},
  [8556] = {.lex_state = 162, .external_lex_state = 2},
  [8557] = {.lex_state = 166, .external_lex_state = 2},
  [8558] = {.lex_state = 9, .external_lex_state = 3},
  [8559] = {.lex_state = 162, .external_lex_state = 2},
  [8560] = {.lex_state = 226, .external_lex_state = 2},
  [8561] = {.lex_state = 166, .external_lex_state = 2},
  [8562] = {.lex_state = 9, .external_lex_state = 3},
  [8563] = {.lex_state = 455, .external_lex_state = 2},
  [8564] = {.lex_state = 166, .external_lex_state = 2},
  [8565] = {.lex_state = 9, .external_lex_state = 3},
  [8566] = {.lex_state = 162, .external_lex_state = 2},
  [8567] = {.lex_state = 162, .external_lex_state = 2},
  [8568] = {.lex_state = 162, .external_lex_state = 2},
  [8569] = {.lex_state = 162, .external_lex_state = 2},
  [8570] = {.lex_state = 162, .external_lex_state = 2},
  [8571] = {.lex_state = 162, .external_lex_state = 2},
  [8572] = {.lex_state = 166, .external_lex_state = 2},
  [8573] = {.lex_state = 166, .external_lex_state = 2},
  [8574] = {.lex_state = 162, .external_lex_state = 2},
  [8575] = {.lex_state = 162, .external_lex_state = 2},
  [8576] = {.lex_state = 162, .external_lex_state = 2},
  [8577] = {.lex_state = 162, .external_lex_state = 2},
  [8578] = {.lex_state = 162, .external_lex_state = 2},
  [8579] = {.lex_state = 162, .external_lex_state = 2},
  [8580] = {.lex_state = 159, .external_lex_state = 2},
  [8581] = {.lex_state = 159, .external_lex_state = 2},
  [8582] = {.lex_state = 166, .external_lex_state = 2},
  [8583] = {.lex_state = 166, .external_lex_state = 2},
  [8584] = {.lex_state = 166, .external_lex_state = 2},
  [8585] = {.lex_state = 166, .external_lex_state = 2},
  [8586] = {.lex_state = 166, .external_lex_state = 2},
  [8587] = {.lex_state = 166, .external_lex_state = 2},
  [8588] = {.lex_state = 166, .external_lex_state = 2},
  [8589] = {.lex_state = 159, .external_lex_state = 2},
  [8590] = {.lex_state = 159, .external_lex_state = 2},
  [8591] = {.lex_state = 159, .external_lex_state = 2},
  [8592] = {.lex_state = 159, .external_lex_state = 2},
  [8593] = {.lex_state = 159, .external_lex_state = 2},
  [8594] = {.lex_state = 159, .external_lex_state = 2},
  [8595] = {.lex_state = 159, .external_lex_state = 2},
  [8596] = {.lex_state = 159, .external_lex_state = 2},
  [8597] = {.lex_state = 159, .external_lex_state = 2},
  [8598] = {.lex_state = 159, .external_lex_state = 2},
  [8599] = {.lex_state = 159, .external_lex_state = 2},
  [8600] = {.lex_state = 159, .external_lex_state = 2},
  [8601] = {.lex_state = 159, .external_lex_state = 2},
  [8602] = {.lex_state = 166, .external_lex_state = 2},
  [8603] = {.lex_state = 159, .external_lex_state = 2},
  [8604] = {.lex_state = 159, .external_lex_state = 2},
  [8605] = {.lex_state = 166, .external_lex_state = 2},
  [8606] = {.lex_state = 166, .external_lex_state = 2},
  [8607] = {.lex_state = 166, .external_lex_state = 2},
  [8608] = {.lex_state = 159, .external_lex_state = 2},
  [8609] = {.lex_state = 159, .external_lex_state = 2},
  [8610] = {.lex_state = 159, .external_lex_state = 2},
  [8611] = {.lex_state = 159, .external_lex_state = 2},
  [8612] = {.lex_state = 166, .external_lex_state = 2},
  [8613] = {.lex_state = 159, .external_lex_state = 2},
  [8614] = {.lex_state = 159, .external_lex_state = 2},
  [8615] = {.lex_state = 166, .external_lex_state = 2},
  [8616] = {.lex_state = 166, .external_lex_state = 2},
  [8617] = {.lex_state = 166, .external_lex_state = 2},
  [8618] = {.lex_state = 159, .external_lex_state = 2},
  [8619] = {.lex_state = 166, .external_lex_state = 2},
  [8620] = {.lex_state = 159, .external_lex_state = 2},
  [8621] = {.lex_state = 159, .external_lex_state = 2},
  [8622] = {.lex_state = 159, .external_lex_state = 2},
  [8623] = {.lex_state = 166, .external_lex_state = 2},
  [8624] = {.lex_state = 159, .external_lex_state = 2},
  [8625] = {.lex_state = 166, .external_lex_state = 2},
  [8626] = {.lex_state = 159, .external_lex_state = 2},
  [8627] = {.lex_state = 12, .external_lex_state = 3},
  [8628] = {.lex_state = 159, .external_lex_state = 2},
  [8629] = {.lex_state = 166, .external_lex_state = 2},
  [8630] = {.lex_state = 166, .external_lex_state = 2},
  [8631] = {.lex_state = 166, .external_lex_state = 2},
  [8632] = {.lex_state = 159, .external_lex_state = 2},
  [8633] = {.lex_state = 166, .external_lex_state = 2},
  [8634] = {.lex_state = 166, .external_lex_state = 2},
  [8635] = {.lex_state = 159, .external_lex_state = 2},
  [8636] = {.lex_state = 166, .external_lex_state = 2},
  [8637] = {.lex_state = 159, .external_lex_state = 2},
  [8638] = {.lex_state = 166, .external_lex_state = 2},
  [8639] = {.lex_state = 159, .external_lex_state = 2},
  [8640] = {.lex_state = 166, .external_lex_state = 2},
  [8641] = {.lex_state = 166, .external_lex_state = 2},
  [8642] = {.lex_state = 159, .external_lex_state = 2},
  [8643] = {.lex_state = 166, .external_lex_state = 2},
  [8644] = {.lex_state = 166, .external_lex_state = 2},
  [8645] = {.lex_state = 166, .external_lex_state = 2},
  [8646] = {.lex_state = 159, .external_lex_state = 2},
  [8647] = {.lex_state = 159, .external_lex_state = 2},
  [8648] = {.lex_state = 159, .external_lex_state = 2},
  [8649] = {.lex_state = 159, .external_lex_state = 2},
  [8650] = {.lex_state = 159, .external_lex_state = 2},
  [8651] = {.lex_state = 159, .external_lex_state = 2},
  [8652] = {.lex_state = 159, .external_lex_state = 2},
  [8653] = {.lex_state = 159, .external_lex_state = 2},
  [8654] = {.lex_state = 159, .external_lex_state = 2},
  [8655] = {.lex_state = 159, .external_lex_state = 2},
  [8656] = {.lex_state = 159, .external_lex_state = 2},
  [8657] = {.lex_state = 173, .external_lex_state = 3},
  [8658] = {.lex_state = 159, .external_lex_state = 2},
  [8659] = {.lex_state = 159, .external_lex_state = 2},
  [8660] = {.lex_state = 159, .external_lex_state = 2},
  [8661] = {.lex_state = 159, .external_lex_state = 2},
  [8662] = {.lex_state = 166, .external_lex_state = 2},
  [8663] = {.lex_state = 166, .external_lex_state = 2},
  [8664] = {.lex_state = 166, .external_lex_state = 2},
  [8665] = {.lex_state = 166, .external_lex_state = 2},
  [8666] = {.lex_state = 166, .external_lex_state = 2},
  [8667] = {.lex_state = 166, .external_lex_state = 2},
  [8668] = {.lex_state = 166, .external_lex_state = 2},
  [8669] = {.lex_state = 166, .external_lex_state = 2},
  [8670] = {.lex_state = 166, .external_lex_state = 2},
  [8671] = {.lex_state = 159, .external_lex_state = 2},
  [8672] = {.lex_state = 173, .external_lex_state = 3},
  [8673] = {.lex_state = 166, .external_lex_state = 2},
  [8674] = {.lex_state = 166, .external_lex_state = 2},
  [8675] = {.lex_state = 166, .external_lex_state = 2},
  [8676] = {.lex_state = 166, .external_lex_state = 2},
  [8677] = {.lex_state = 159, .external_lex_state = 2},
  [8678] = {.lex_state = 166, .external_lex_state = 2},
  [8679] = {.lex_state = 159, .external_lex_state = 2},
  [8680] = {.lex_state = 226, .external_lex_state = 2},
  [8681] = {.lex_state = 226, .external_lex_state = 2},
  [8682] = {.lex_state = 159, .external_lex_state = 2},
  [8683] = {.lex_state = 452, .external_lex_state = 2},
  [8684] = {.lex_state = 12, .external_lex_state = 3},
  [8685] = {.lex_state = 226, .external_lex_state = 2},
  [8686] = {.lex_state = 159, .external_lex_state = 2},
  [8687] = {.lex_state = 166, .external_lex_state = 2},
  [8688] = {.lex_state = 159, .external_lex_state = 2},
  [8689] = {.lex_state = 226, .external_lex_state = 2},
  [8690] = {.lex_state = 226, .external_lex_state = 2},
  [8691] = {.lex_state = 159, .external_lex_state = 2},
  [8692] = {.lex_state = 159, .external_lex_state = 2},
  [8693] = {.lex_state = 452, .external_lex_state = 2},
  [8694] = {.lex_state = 173, .external_lex_state = 3},
  [8695] = {.lex_state = 226, .external_lex_state = 2},
  [8696] = {.lex_state = 226, .external_lex_state = 2},
  [8697] = {.lex_state = 159, .external_lex_state = 2},
  [8698] = {.lex_state = 159, .external_lex_state = 2},
  [8699] = {.lex_state = 452, .external_lex_state = 2},
  [8700] = {.lex_state = 159, .external_lex_state = 2},
  [8701] = {.lex_state = 226, .external_lex_state = 2},
  [8702] = {.lex_state = 452, .external_lex_state = 2},
  [8703] = {.lex_state = 159, .external_lex_state = 2},
  [8704] = {.lex_state = 226, .external_lex_state = 2},
  [8705] = {.lex_state = 452, .external_lex_state = 2},
  [8706] = {.lex_state = 159, .external_lex_state = 2},
  [8707] = {.lex_state = 159, .external_lex_state = 2},
  [8708] = {.lex_state = 226, .external_lex_state = 2},
  [8709] = {.lex_state = 159, .external_lex_state = 2},
  [8710] = {.lex_state = 226, .external_lex_state = 2},
  [8711] = {.lex_state = 226, .external_lex_state = 2},
  [8712] = {.lex_state = 226, .external_lex_state = 2},
  [8713] = {.lex_state = 159, .external_lex_state = 2},
  [8714] = {.lex_state = 226, .external_lex_state = 2},
  [8715] = {.lex_state = 159, .external_lex_state = 2},
  [8716] = {.lex_state = 226, .external_lex_state = 2},
  [8717] = {.lex_state = 452, .external_lex_state = 2},
  [8718] = {.lex_state = 159, .external_lex_state = 2},
  [8719] = {.lex_state = 159, .external_lex_state = 2},
  [8720] = {.lex_state = 226, .external_lex_state = 2},
  [8721] = {.lex_state = 159, .external_lex_state = 2},
  [8722] = {.lex_state = 166, .external_lex_state = 2},
  [8723] = {.lex_state = 159, .external_lex_state = 2},
  [8724] = {.lex_state = 159, .external_lex_state = 2},
  [8725] = {.lex_state = 159, .external_lex_state = 2},
  [8726] = {.lex_state = 159, .external_lex_state = 2},
  [8727] = {.lex_state = 226, .external_lex_state = 2},
  [8728] = {.lex_state = 159, .external_lex_state = 2},
  [8729] = {.lex_state = 159, .external_lex_state = 2},
  [8730] = {.lex_state = 159, .external_lex_state = 2},
  [8731] = {.lex_state = 159, .external_lex_state = 2},
  [8732] = {.lex_state = 159, .external_lex_state = 2},
  [8733] = {.lex_state = 159, .external_lex_state = 2},
  [8734] = {.lex_state = 226, .external_lex_state = 2},
  [8735] = {.lex_state = 159, .external_lex_state = 2},
  [8736] = {.lex_state = 159, .external_lex_state = 2},
  [8737] = {.lex_state = 159, .external_lex_state = 2},
  [8738] = {.lex_state = 159, .external_lex_state = 2},
  [8739] = {.lex_state = 178, .external_lex_state = 3},
  [8740] = {.lex_state = 226, .external_lex_state = 2},
  [8741] = {.lex_state = 166, .external_lex_state = 2},
  [8742] = {.lex_state = 159, .external_lex_state = 2},
  [8743] = {.lex_state = 226, .external_lex_state = 2},
  [8744] = {.lex_state = 159, .external_lex_state = 2},
  [8745] = {.lex_state = 226, .external_lex_state = 2},
  [8746] = {.lex_state = 226, .external_lex_state = 2},
  [8747] = {.lex_state = 226, .external_lex_state = 2},
  [8748] = {.lex_state = 226, .external_lex_state = 2},
  [8749] = {.lex_state = 159, .external_lex_state = 2},
  [8750] = {.lex_state = 452, .external_lex_state = 2},
  [8751] = {.lex_state = 12, .external_lex_state = 3},
  [8752] = {.lex_state = 159, .external_lex_state = 2},
  [8753] = {.lex_state = 226, .external_lex_state = 2},
  [8754] = {.lex_state = 159, .external_lex_state = 2},
  [8755] = {.lex_state = 226, .external_lex_state = 2},
  [8756] = {.lex_state = 159, .external_lex_state = 2},
  [8757] = {.lex_state = 159, .external_lex_state = 2},
  [8758] = {.lex_state = 226, .external_lex_state = 2},
  [8759] = {.lex_state = 226, .external_lex_state = 2},
  [8760] = {.lex_state = 12, .external_lex_state = 3},
  [8761] = {.lex_state = 226, .external_lex_state = 2},
  [8762] = {.lex_state = 12, .external_lex_state = 3},
  [8763] = {.lex_state = 226, .external_lex_state = 2},
  [8764] = {.lex_state = 159, .external_lex_state = 2},
  [8765] = {.lex_state = 159, .external_lex_state = 2},
  [8766] = {.lex_state = 226, .external_lex_state = 2},
  [8767] = {.lex_state = 226, .external_lex_state = 2},
  [8768] = {.lex_state = 159, .external_lex_state = 2},
  [8769] = {.lex_state = 159, .external_lex_state = 2},
  [8770] = {.lex_state = 226, .external_lex_state = 2},
  [8771] = {.lex_state = 226, .external_lex_state = 2},
  [8772] = {.lex_state = 226, .external_lex_state = 2},
  [8773] = {.lex_state = 166, .external_lex_state = 2},
  [8774] = {.lex_state = 173, .external_lex_state = 3},
  [8775] = {.lex_state = 452, .external_lex_state = 2},
  [8776] = {.lex_state = 159, .external_lex_state = 2},
  [8777] = {.lex_state = 226, .external_lex_state = 2},
  [8778] = {.lex_state = 12, .external_lex_state = 3},
  [8779] = {.lex_state = 452, .external_lex_state = 2},
  [8780] = {.lex_state = 226, .external_lex_state = 2},
  [8781] = {.lex_state = 226, .external_lex_state = 2},
  [8782] = {.lex_state = 166, .external_lex_state = 2},
  [8783] = {.lex_state = 12, .external_lex_state = 3},
  [8784] = {.lex_state = 159, .external_lex_state = 2},
  [8785] = {.lex_state = 159, .external_lex_state = 2},
  [8786] = {.lex_state = 226, .external_lex_state = 2},
  [8787] = {.lex_state = 166, .external_lex_state = 2},
  [8788] = {.lex_state = 452, .external_lex_state = 2},
  [8789] = {.lex_state = 226, .external_lex_state = 2},
  [8790] = {.lex_state = 173, .external_lex_state = 3},
  [8791] = {.lex_state = 226, .external_lex_state = 2},
  [8792] = {.lex_state = 159, .external_lex_state = 2},
  [8793] = {.lex_state = 166, .external_lex_state = 2},
  [8794] = {.lex_state = 159, .external_lex_state = 2},
  [8795] = {.lex_state = 226, .external_lex_state = 2},
  [8796] = {.lex_state = 159, .external_lex_state = 2},
  [8797] = {.lex_state = 159, .external_lex_state = 2},
  [8798] = {.lex_state = 226, .external_lex_state = 2},
  [8799] = {.lex_state = 159, .external_lex_state = 2},
  [8800] = {.lex_state = 173, .external_lex_state = 3},
  [8801] = {.lex_state = 226, .external_lex_state = 2},
  [8802] = {.lex_state = 226, .external_lex_state = 2},
  [8803] = {.lex_state = 452, .external_lex_state = 2},
  [8804] = {.lex_state = 159, .external_lex_state = 2},
  [8805] = {.lex_state = 178, .external_lex_state = 3},
  [8806] = {.lex_state = 159, .external_lex_state = 2},
  [8807] = {.lex_state = 166, .external_lex_state = 2},
  [8808] = {.lex_state = 12, .external_lex_state = 3},
  [8809] = {.lex_state = 159, .external_lex_state = 2},
  [8810] = {.lex_state = 226, .external_lex_state = 2},
  [8811] = {.lex_state = 452, .external_lex_state = 2},
  [8812] = {.lex_state = 178, .external_lex_state = 3},
  [8813] = {.lex_state = 178, .external_lex_state = 3},
  [8814] = {.lex_state = 178, .external_lex_state = 3},
  [8815] = {.lex_state = 452, .external_lex_state = 2},
  [8816] = {.lex_state = 159, .external_lex_state = 2},
  [8817] = {.lex_state = 452, .external_lex_state = 2},
  [8818] = {.lex_state = 452, .external_lex_state = 2},
  [8819] = {.lex_state = 159, .external_lex_state = 2},
  [8820] = {.lex_state = 452, .external_lex_state = 2},
  [8821] = {.lex_state = 452, .external_lex_state = 2},
  [8822] = {.lex_state = 452, .external_lex_state = 2},
  [8823] = {.lex_state = 452, .external_lex_state = 2},
  [8824] = {.lex_state = 452, .external_lex_state = 2},
  [8825] = {.lex_state = 452, .external_lex_state = 2},
  [8826] = {.lex_state = 452, .external_lex_state = 2},
  [8827] = {.lex_state = 178, .external_lex_state = 3},
  [8828] = {.lex_state = 452, .external_lex_state = 2},
  [8829] = {.lex_state = 159, .external_lex_state = 2},
  [8830] = {.lex_state = 159, .external_lex_state = 2},
  [8831] = {.lex_state = 452, .external_lex_state = 2},
  [8832] = {.lex_state = 159, .external_lex_state = 2},
  [8833] = {.lex_state = 159, .external_lex_state = 2},
  [8834] = {.lex_state = 452, .external_lex_state = 2},
  [8835] = {.lex_state = 452, .external_lex_state = 2},
  [8836] = {.lex_state = 452, .external_lex_state = 2},
  [8837] = {.lex_state = 159, .external_lex_state = 2},
  [8838] = {.lex_state = 452, .external_lex_state = 2},
  [8839] = {.lex_state = 159, .external_lex_state = 2},
  [8840] = {.lex_state = 452, .external_lex_state = 2},
  [8841] = {.lex_state = 452, .external_lex_state = 2},
  [8842] = {.lex_state = 452, .external_lex_state = 2},
  [8843] = {.lex_state = 452, .external_lex_state = 2},
  [8844] = {.lex_state = 452, .external_lex_state = 2},
  [8845] = {.lex_state = 452, .external_lex_state = 2},
  [8846] = {.lex_state = 452, .external_lex_state = 2},
  [8847] = {.lex_state = 159, .external_lex_state = 2},
  [8848] = {.lex_state = 452, .external_lex_state = 2},
  [8849] = {.lex_state = 452, .external_lex_state = 2},
  [8850] = {.lex_state = 452, .external_lex_state = 2},
  [8851] = {.lex_state = 452, .external_lex_state = 2},
  [8852] = {.lex_state = 452, .external_lex_state = 2},
  [8853] = {.lex_state = 452, .external_lex_state = 2},
  [8854] = {.lex_state = 452, .external_lex_state = 2},
  [8855] = {.lex_state = 452, .external_lex_state = 2},
  [8856] = {.lex_state = 250, .external_lex_state = 2},
  [8857] = {.lex_state = 452, .external_lex_state = 2},
  [8858] = {.lex_state = 452, .external_lex_state = 2},
  [8859] = {.lex_state = 452, .external_lex_state = 2},
  [8860] = {.lex_state = 452, .external_lex_state = 2},
  [8861] = {.lex_state = 159, .external_lex_state = 2},
  [8862] = {.lex_state = 159, .external_lex_state = 2},
  [8863] = {.lex_state = 159, .external_lex_state = 2},
  [8864] = {.lex_state = 159, .external_lex_state = 2},
  [8865] = {.lex_state = 159, .external_lex_state = 2},
  [8866] = {.lex_state = 159, .external_lex_state = 2},
  [8867] = {.lex_state = 159, .external_lex_state = 2},
  [8868] = {.lex_state = 159, .external_lex_state = 2},
  [8869] = {.lex_state = 159, .external_lex_state = 2},
  [8870] = {.lex_state = 159, .external_lex_state = 2},
  [8871] = {.lex_state = 159, .external_lex_state = 2},
  [8872] = {.lex_state = 159, .external_lex_state = 2},
  [8873] = {.lex_state = 159, .external_lex_state = 2},
  [8874] = {.lex_state = 452, .external_lex_state = 2},
  [8875] = {.lex_state = 159, .external_lex_state = 2},
  [8876] = {.lex_state = 159, .external_lex_state = 2},
  [8877] = {.lex_state = 159, .external_lex_state = 2},
  [8878] = {.lex_state = 159, .external_lex_state = 2},
  [8879] = {.lex_state = 452, .external_lex_state = 2},
  [8880] = {.lex_state = 159, .external_lex_state = 2},
  [8881] = {.lex_state = 159, .external_lex_state = 2},
  [8882] = {.lex_state = 159, .external_lex_state = 2},
  [8883] = {.lex_state = 452, .external_lex_state = 2},
  [8884] = {.lex_state = 159, .external_lex_state = 2},
  [8885] = {.lex_state = 452, .external_lex_state = 2},
  [8886] = {.lex_state = 452, .external_lex_state = 2},
  [8887] = {.lex_state = 452, .external_lex_state = 2},
  [8888] = {.lex_state = 452, .external_lex_state = 2},
  [8889] = {.lex_state = 452, .external_lex_state = 2},
  [8890] = {.lex_state = 159, .external_lex_state = 2},
  [8891] = {.lex_state = 452, .external_lex_state = 2},
  [8892] = {.lex_state = 452, .external_lex_state = 2},
  [8893] = {.lex_state = 159, .external_lex_state = 2},
  [8894] = {.lex_state = 452, .external_lex_state = 2},
  [8895] = {.lex_state = 159, .external_lex_state = 2},
  [8896] = {.lex_state = 452, .external_lex_state = 2},
  [8897] = {.lex_state = 159, .external_lex_state = 2},
  [8898] = {.lex_state = 159, .external_lex_state = 2},
  [8899] = {.lex_state = 159, .external_lex_state = 2},
  [8900] = {.lex_state = 159, .external_lex_state = 2},
  [8901] = {.lex_state = 159, .external_lex_state = 2},
  [8902] = {.lex_state = 159, .external_lex_state = 2},
  [8903] = {.lex_state = 159, .external_lex_state = 2},
  [8904] = {.lex_state = 159, .external_lex_state = 2},
  [8905] = {.lex_state = 159, .external_lex_state = 2},
  [8906] = {.lex_state = 452, .external_lex_state = 2},
  [8907] = {.lex_state = 452, .external_lex_state = 2},
  [8908] = {.lex_state = 159, .external_lex_state = 2},
  [8909] = {.lex_state = 452, .external_lex_state = 2},
  [8910] = {.lex_state = 452, .external_lex_state = 2},
  [8911] = {.lex_state = 452, .external_lex_state = 2},
  [8912] = {.lex_state = 159, .external_lex_state = 2},
  [8913] = {.lex_state = 159, .external_lex_state = 2},
  [8914] = {.lex_state = 159, .external_lex_state = 2},
  [8915] = {.lex_state = 159, .external_lex_state = 2},
  [8916] = {.lex_state = 159, .external_lex_state = 2},
  [8917] = {.lex_state = 452, .external_lex_state = 2},
  [8918] = {.lex_state = 159, .external_lex_state = 2},
  [8919] = {.lex_state = 452, .external_lex_state = 2},
  [8920] = {.lex_state = 452, .external_lex_state = 2},
  [8921] = {.lex_state = 452, .external_lex_state = 2},
  [8922] = {.lex_state = 159, .external_lex_state = 2},
  [8923] = {.lex_state = 452, .external_lex_state = 2},
  [8924] = {.lex_state = 452, .external_lex_state = 2},
  [8925] = {.lex_state = 452, .external_lex_state = 2},
  [8926] = {.lex_state = 452, .external_lex_state = 2},
  [8927] = {.lex_state = 452, .external_lex_state = 2},
  [8928] = {.lex_state = 452, .external_lex_state = 2},
  [8929] = {.lex_state = 452, .external_lex_state = 2},
  [8930] = {.lex_state = 452, .external_lex_state = 2},
  [8931] = {.lex_state = 452, .external_lex_state = 2},
  [8932] = {.lex_state = 452, .external_lex_state = 2},
  [8933] = {.lex_state = 452, .external_lex_state = 2},
  [8934] = {.lex_state = 452, .external_lex_state = 2},
  [8935] = {.lex_state = 452, .external_lex_state = 2},
  [8936] = {.lex_state = 452, .external_lex_state = 2},
  [8937] = {.lex_state = 452, .external_lex_state = 2},
  [8938] = {.lex_state = 452, .external_lex_state = 2},
  [8939] = {.lex_state = 452, .external_lex_state = 2},
  [8940] = {.lex_state = 159, .external_lex_state = 2},
  [8941] = {.lex_state = 452, .external_lex_state = 2},
  [8942] = {.lex_state = 452, .external_lex_state = 2},
  [8943] = {.lex_state = 452, .external_lex_state = 2},
  [8944] = {.lex_state = 452, .external_lex_state = 2},
  [8945] = {.lex_state = 452, .external_lex_state = 2},
  [8946] = {.lex_state = 452, .external_lex_state = 2},
  [8947] = {.lex_state = 452, .external_lex_state = 2},
  [8948] = {.lex_state = 177, .external_lex_state = 3},
  [8949] = {.lex_state = 452, .external_lex_state = 2},
  [8950] = {.lex_state = 452, .external_lex_state = 2},
  [8951] = {.lex_state = 216, .external_lex_state = 3},
  [8952] = {.lex_state = 452, .external_lex_state = 2},
  [8953] = {.lex_state = 452, .external_lex_state = 2},
  [8954] = {.lex_state = 452, .external_lex_state = 2},
  [8955] = {.lex_state = 452, .external_lex_state = 2},
  [8956] = {.lex_state = 452, .external_lex_state = 2},
  [8957] = {.lex_state = 452, .external_lex_state = 2},
  [8958] = {.lex_state = 452, .external_lex_state = 2},
  [8959] = {.lex_state = 452, .external_lex_state = 2},
  [8960] = {.lex_state = 452, .external_lex_state = 2},
  [8961] = {.lex_state = 159, .external_lex_state = 2},
  [8962] = {.lex_state = 177, .external_lex_state = 3},
  [8963] = {.lex_state = 159, .external_lex_state = 2},
  [8964] = {.lex_state = 452, .external_lex_state = 2},
  [8965] = {.lex_state = 452, .external_lex_state = 2},
  [8966] = {.lex_state = 452, .external_lex_state = 2},
  [8967] = {.lex_state = 452, .external_lex_state = 2},
  [8968] = {.lex_state = 452, .external_lex_state = 2},
  [8969] = {.lex_state = 159, .external_lex_state = 2},
  [8970] = {.lex_state = 159, .external_lex_state = 2},
  [8971] = {.lex_state = 452, .external_lex_state = 2},
  [8972] = {.lex_state = 452, .external_lex_state = 2},
  [8973] = {.lex_state = 159, .external_lex_state = 2},
  [8974] = {.lex_state = 452, .external_lex_state = 2},
  [8975] = {.lex_state = 452, .external_lex_state = 2},
  [8976] = {.lex_state = 452, .external_lex_state = 2},
  [8977] = {.lex_state = 159, .external_lex_state = 2},
  [8978] = {.lex_state = 159, .external_lex_state = 2},
  [8979] = {.lex_state = 452, .external_lex_state = 2},
  [8980] = {.lex_state = 452, .external_lex_state = 2},
  [8981] = {.lex_state = 452, .external_lex_state = 2},
  [8982] = {.lex_state = 452, .external_lex_state = 2},
  [8983] = {.lex_state = 452, .external_lex_state = 2},
  [8984] = {.lex_state = 194, .external_lex_state = 3},
  [8985] = {.lex_state = 452, .external_lex_state = 2},
  [8986] = {.lex_state = 452, .external_lex_state = 2},
  [8987] = {.lex_state = 452, .external_lex_state = 2},
  [8988] = {.lex_state = 452, .external_lex_state = 2},
  [8989] = {.lex_state = 452, .external_lex_state = 2},
  [8990] = {.lex_state = 452, .external_lex_state = 2},
  [8991] = {.lex_state = 452, .external_lex_state = 2},
  [8992] = {.lex_state = 452, .external_lex_state = 2},
  [8993] = {.lex_state = 452, .external_lex_state = 2},
  [8994] = {.lex_state = 452, .external_lex_state = 2},
  [8995] = {.lex_state = 452, .external_lex_state = 2},
  [8996] = {.lex_state = 452, .external_lex_state = 2},
  [8997] = {.lex_state = 452, .external_lex_state = 2},
  [8998] = {.lex_state = 452, .external_lex_state = 2},
  [8999] = {.lex_state = 452, .external_lex_state = 2},
  [9000] = {.lex_state = 452, .external_lex_state = 2},
  [9001] = {.lex_state = 452, .external_lex_state = 2},
  [9002] = {.lex_state = 194, .external_lex_state = 3},
  [9003] = {.lex_state = 452, .external_lex_state = 2},
  [9004] = {.lex_state = 452, .external_lex_state = 2},
  [9005] = {.lex_state = 452, .external_lex_state = 2},
  [9006] = {.lex_state = 452, .external_lex_state = 2},
  [9007] = {.lex_state = 452, .external_lex_state = 2},
  [9008] = {.lex_state = 452, .external_lex_state = 2},
  [9009] = {.lex_state = 452, .external_lex_state = 2},
  [9010] = {.lex_state = 452, .external_lex_state = 2},
  [9011] = {.lex_state = 452, .external_lex_state = 2},
  [9012] = {.lex_state = 452, .external_lex_state = 2},
  [9013] = {.lex_state = 452, .external_lex_state = 2},
  [9014] = {.lex_state = 452, .external_lex_state = 2},
  [9015] = {.lex_state = 452, .external_lex_state = 2},
  [9016] = {.lex_state = 452, .external_lex_state = 2},
  [9017] = {.lex_state = 452, .external_lex_state = 2},
  [9018] = {.lex_state = 452, .external_lex_state = 2},
  [9019] = {.lex_state = 452, .external_lex_state = 2},
  [9020] = {.lex_state = 452, .external_lex_state = 2},
  [9021] = {.lex_state = 452, .external_lex_state = 2},
  [9022] = {.lex_state = 452, .external_lex_state = 2},
  [9023] = {.lex_state = 452, .external_lex_state = 2},
  [9024] = {.lex_state = 452, .external_lex_state = 2},
  [9025] = {.lex_state = 452, .external_lex_state = 2},
  [9026] = {.lex_state = 452, .external_lex_state = 2},
  [9027] = {.lex_state = 452, .external_lex_state = 2},
  [9028] = {.lex_state = 452, .external_lex_state = 2},
  [9029] = {.lex_state = 452, .external_lex_state = 2},
  [9030] = {.lex_state = 452, .external_lex_state = 2},
  [9031] = {.lex_state = 452, .external_lex_state = 2},
  [9032] = {.lex_state = 452, .external_lex_state = 2},
  [9033] = {.lex_state = 452, .external_lex_state = 2},
  [9034] = {.lex_state = 452, .external_lex_state = 2},
  [9035] = {.lex_state = 452, .external_lex_state = 2},
  [9036] = {.lex_state = 452, .external_lex_state = 2},
  [9037] = {.lex_state = 452, .external_lex_state = 2},
  [9038] = {.lex_state = 250, .external_lex_state = 2},
  [9039] = {.lex_state = 452, .external_lex_state = 2},
  [9040] = {.lex_state = 452, .external_lex_state = 2},
  [9041] = {.lex_state = 452, .external_lex_state = 2},
  [9042] = {.lex_state = 452, .external_lex_state = 2},
  [9043] = {.lex_state = 452, .external_lex_state = 2},
  [9044] = {.lex_state = 452, .external_lex_state = 2},
  [9045] = {.lex_state = 452, .external_lex_state = 2},
  [9046] = {.lex_state = 452, .external_lex_state = 2},
  [9047] = {.lex_state = 452, .external_lex_state = 2},
  [9048] = {.lex_state = 452, .external_lex_state = 2},
  [9049] = {.lex_state = 452, .external_lex_state = 2},
  [9050] = {.lex_state = 452, .external_lex_state = 2},
  [9051] = {.lex_state = 452, .external_lex_state = 2},
  [9052] = {.lex_state = 452, .external_lex_state = 2},
  [9053] = {.lex_state = 452, .external_lex_state = 2},
  [9054] = {.lex_state = 452, .external_lex_state = 2},
  [9055] = {.lex_state = 452, .external_lex_state = 2},
  [9056] = {.lex_state = 452, .external_lex_state = 2},
  [9057] = {.lex_state = 452, .external_lex_state = 2},
  [9058] = {.lex_state = 452, .external_lex_state = 2},
  [9059] = {.lex_state = 452, .external_lex_state = 2},
  [9060] = {.lex_state = 452, .external_lex_state = 2},
  [9061] = {.lex_state = 452, .external_lex_state = 2},
  [9062] = {.lex_state = 452, .external_lex_state = 2},
  [9063] = {.lex_state = 452, .external_lex_state = 2},
  [9064] = {.lex_state = 452, .external_lex_state = 2},
  [9065] = {.lex_state = 452, .external_lex_state = 2},
  [9066] = {.lex_state = 159, .external_lex_state = 2},
  [9067] = {.lex_state = 452, .external_lex_state = 2},
  [9068] = {.lex_state = 452, .external_lex_state = 2},
  [9069] = {.lex_state = 159, .external_lex_state = 2},
  [9070] = {.lex_state = 177, .external_lex_state = 3},
  [9071] = {.lex_state = 177, .external_lex_state = 3},
  [9072] = {.lex_state = 177, .external_lex_state = 3},
  [9073] = {.lex_state = 159, .external_lex_state = 2},
  [9074] = {.lex_state = 159, .external_lex_state = 2},
  [9075] = {.lex_state = 159, .external_lex_state = 2},
  [9076] = {.lex_state = 159, .external_lex_state = 2},
  [9077] = {.lex_state = 177, .external_lex_state = 3},
  [9078] = {.lex_state = 177, .external_lex_state = 3},
  [9079] = {.lex_state = 177, .external_lex_state = 3},
  [9080] = {.lex_state = 177, .external_lex_state = 3},
  [9081] = {.lex_state = 159, .external_lex_state = 2},
  [9082] = {.lex_state = 159, .external_lex_state = 2},
  [9083] = {.lex_state = 159, .external_lex_state = 2},
  [9084] = {.lex_state = 159, .external_lex_state = 2},
  [9085] = {.lex_state = 159, .external_lex_state = 2},
  [9086] = {.lex_state = 159, .external_lex_state = 2},
  [9087] = {.lex_state = 177, .external_lex_state = 3},
  [9088] = {.lex_state = 159, .external_lex_state = 2},
  [9089] = {.lex_state = 159, .external_lex_state = 2},
  [9090] = {.lex_state = 159, .external_lex_state = 2},
  [9091] = {.lex_state = 189, .external_lex_state = 3},
  [9092] = {.lex_state = 189, .external_lex_state = 3},
  [9093] = {.lex_state = 177, .external_lex_state = 3},
  [9094] = {.lex_state = 189, .external_lex_state = 3},
  [9095] = {.lex_state = 159, .external_lex_state = 2},
  [9096] = {.lex_state = 159, .external_lex_state = 2},
  [9097] = {.lex_state = 189, .external_lex_state = 3},
  [9098] = {.lex_state = 159, .external_lex_state = 2},
  [9099] = {.lex_state = 159, .external_lex_state = 2},
  [9100] = {.lex_state = 194, .external_lex_state = 3},
  [9101] = {.lex_state = 177, .external_lex_state = 3},
  [9102] = {.lex_state = 159, .external_lex_state = 2},
  [9103] = {.lex_state = 159, .external_lex_state = 2},
  [9104] = {.lex_state = 189, .external_lex_state = 3},
  [9105] = {.lex_state = 159, .external_lex_state = 2},
  [9106] = {.lex_state = 189, .external_lex_state = 3},
  [9107] = {.lex_state = 159, .external_lex_state = 2},
  [9108] = {.lex_state = 159, .external_lex_state = 2},
  [9109] = {.lex_state = 159, .external_lex_state = 2},
  [9110] = {.lex_state = 159, .external_lex_state = 2},
  [9111] = {.lex_state = 159, .external_lex_state = 2},
  [9112] = {.lex_state = 177, .external_lex_state = 3},
  [9113] = {.lex_state = 159, .external_lex_state = 2},
  [9114] = {.lex_state = 159, .external_lex_state = 2},
  [9115] = {.lex_state = 189, .external_lex_state = 3},
  [9116] = {.lex_state = 159, .external_lex_state = 2},
  [9117] = {.lex_state = 189, .external_lex_state = 3},
  [9118] = {.lex_state = 189, .external_lex_state = 3},
  [9119] = {.lex_state = 159, .external_lex_state = 2},
  [9120] = {.lex_state = 159, .external_lex_state = 2},
  [9121] = {.lex_state = 177, .external_lex_state = 3},
  [9122] = {.lex_state = 159, .external_lex_state = 2},
  [9123] = {.lex_state = 194, .external_lex_state = 3},
  [9124] = {.lex_state = 189, .external_lex_state = 3},
  [9125] = {.lex_state = 177, .external_lex_state = 3},
  [9126] = {.lex_state = 159, .external_lex_state = 2},
  [9127] = {.lex_state = 189, .external_lex_state = 3},
  [9128] = {.lex_state = 177, .external_lex_state = 3},
  [9129] = {.lex_state = 159, .external_lex_state = 2},
  [9130] = {.lex_state = 177, .external_lex_state = 3},
  [9131] = {.lex_state = 177, .external_lex_state = 3},
  [9132] = {.lex_state = 177, .external_lex_state = 3},
  [9133] = {.lex_state = 159, .external_lex_state = 2},
  [9134] = {.lex_state = 159, .external_lex_state = 2},
  [9135] = {.lex_state = 177, .external_lex_state = 3},
  [9136] = {.lex_state = 159, .external_lex_state = 2},
  [9137] = {.lex_state = 177, .external_lex_state = 3},
  [9138] = {.lex_state = 159, .external_lex_state = 2},
  [9139] = {.lex_state = 170, .external_lex_state = 2},
  [9140] = {.lex_state = 177, .external_lex_state = 3},
  [9141] = {.lex_state = 177, .external_lex_state = 3},
  [9142] = {.lex_state = 159, .external_lex_state = 2},
  [9143] = {.lex_state = 177, .external_lex_state = 3},
  [9144] = {.lex_state = 177, .external_lex_state = 3},
  [9145] = {.lex_state = 194, .external_lex_state = 3},
  [9146] = {.lex_state = 177, .external_lex_state = 3},
  [9147] = {.lex_state = 177, .external_lex_state = 3},
  [9148] = {.lex_state = 177, .external_lex_state = 3},
  [9149] = {.lex_state = 177, .external_lex_state = 3},
  [9150] = {.lex_state = 177, .external_lex_state = 3},
  [9151] = {.lex_state = 177, .external_lex_state = 3},
  [9152] = {.lex_state = 177, .external_lex_state = 3},
  [9153] = {.lex_state = 205, .external_lex_state = 3},
  [9154] = {.lex_state = 159, .external_lex_state = 2},
  [9155] = {.lex_state = 177, .external_lex_state = 3},
  [9156] = {.lex_state = 159, .external_lex_state = 2},
  [9157] = {.lex_state = 194, .external_lex_state = 3},
  [9158] = {.lex_state = 177, .external_lex_state = 3},
  [9159] = {.lex_state = 177, .external_lex_state = 3},
  [9160] = {.lex_state = 177, .external_lex_state = 3},
  [9161] = {.lex_state = 177, .external_lex_state = 3},
  [9162] = {.lex_state = 170, .external_lex_state = 2},
  [9163] = {.lex_state = 177, .external_lex_state = 3},
  [9164] = {.lex_state = 177, .external_lex_state = 3},
  [9165] = {.lex_state = 170, .external_lex_state = 2},
  [9166] = {.lex_state = 177, .external_lex_state = 3},
  [9167] = {.lex_state = 159, .external_lex_state = 2},
  [9168] = {.lex_state = 177, .external_lex_state = 3},
  [9169] = {.lex_state = 177, .external_lex_state = 3},
  [9170] = {.lex_state = 177, .external_lex_state = 3},
  [9171] = {.lex_state = 177, .external_lex_state = 3},
  [9172] = {.lex_state = 177, .external_lex_state = 3},
  [9173] = {.lex_state = 177, .external_lex_state = 3},
  [9174] = {.lex_state = 177, .external_lex_state = 3},
  [9175] = {.lex_state = 177, .external_lex_state = 3},
  [9176] = {.lex_state = 177, .external_lex_state = 3},
  [9177] = {.lex_state = 177, .external_lex_state = 3},
  [9178] = {.lex_state = 177, .external_lex_state = 3},
  [9179] = {.lex_state = 159, .external_lex_state = 2},
  [9180] = {.lex_state = 177, .external_lex_state = 3},
  [9181] = {.lex_state = 177, .external_lex_state = 3},
  [9182] = {.lex_state = 177, .external_lex_state = 3},
  [9183] = {.lex_state = 177, .external_lex_state = 3},
  [9184] = {.lex_state = 177, .external_lex_state = 3},
  [9185] = {.lex_state = 177, .external_lex_state = 3},
  [9186] = {.lex_state = 159, .external_lex_state = 2},
  [9187] = {.lex_state = 177, .external_lex_state = 3},
  [9188] = {.lex_state = 177, .external_lex_state = 3},
  [9189] = {.lex_state = 177, .external_lex_state = 3},
  [9190] = {.lex_state = 159, .external_lex_state = 2},
  [9191] = {.lex_state = 177, .external_lex_state = 3},
  [9192] = {.lex_state = 177, .external_lex_state = 3},
  [9193] = {.lex_state = 177, .external_lex_state = 3},
  [9194] = {.lex_state = 194, .external_lex_state = 3},
  [9195] = {.lex_state = 159, .external_lex_state = 2},
  [9196] = {.lex_state = 194, .external_lex_state = 3},
  [9197] = {.lex_state = 194, .external_lex_state = 3},
  [9198] = {.lex_state = 250, .external_lex_state = 2},
  [9199] = {.lex_state = 194, .external_lex_state = 3},
  [9200] = {.lex_state = 194, .external_lex_state = 3},
  [9201] = {.lex_state = 159, .external_lex_state = 2},
  [9202] = {.lex_state = 194, .external_lex_state = 3},
  [9203] = {.lex_state = 194, .external_lex_state = 3},
  [9204] = {.lex_state = 251, .external_lex_state = 2},
  [9205] = {.lex_state = 250, .external_lex_state = 2},
  [9206] = {.lex_state = 194, .external_lex_state = 3},
  [9207] = {.lex_state = 194, .external_lex_state = 3},
  [9208] = {.lex_state = 194, .external_lex_state = 3},
  [9209] = {.lex_state = 194, .external_lex_state = 3},
  [9210] = {.lex_state = 194, .external_lex_state = 3},
  [9211] = {.lex_state = 194, .external_lex_state = 3},
  [9212] = {.lex_state = 194, .external_lex_state = 3},
  [9213] = {.lex_state = 194, .external_lex_state = 3},
  [9214] = {.lex_state = 194, .external_lex_state = 3},
  [9215] = {.lex_state = 194, .external_lex_state = 3},
  [9216] = {.lex_state = 194, .external_lex_state = 3},
  [9217] = {.lex_state = 194, .external_lex_state = 3},
  [9218] = {.lex_state = 159, .external_lex_state = 2},
  [9219] = {.lex_state = 194, .external_lex_state = 3},
  [9220] = {.lex_state = 194, .external_lex_state = 3},
  [9221] = {.lex_state = 194, .external_lex_state = 3},
  [9222] = {.lex_state = 194, .external_lex_state = 3},
  [9223] = {.lex_state = 194, .external_lex_state = 3},
  [9224] = {.lex_state = 159, .external_lex_state = 2},
  [9225] = {.lex_state = 194, .external_lex_state = 3},
  [9226] = {.lex_state = 194, .external_lex_state = 3},
  [9227] = {.lex_state = 194, .external_lex_state = 3},
  [9228] = {.lex_state = 194, .external_lex_state = 3},
  [9229] = {.lex_state = 194, .external_lex_state = 3},
  [9230] = {.lex_state = 250, .external_lex_state = 2},
  [9231] = {.lex_state = 194, .external_lex_state = 3},
  [9232] = {.lex_state = 194, .external_lex_state = 3},
  [9233] = {.lex_state = 159, .external_lex_state = 2},
  [9234] = {.lex_state = 194, .external_lex_state = 3},
  [9235] = {.lex_state = 194, .external_lex_state = 3},
  [9236] = {.lex_state = 194, .external_lex_state = 3},
  [9237] = {.lex_state = 159, .external_lex_state = 2},
  [9238] = {.lex_state = 194, .external_lex_state = 3},
  [9239] = {.lex_state = 194, .external_lex_state = 3},
  [9240] = {.lex_state = 194, .external_lex_state = 3},
  [9241] = {.lex_state = 194, .external_lex_state = 3},
  [9242] = {.lex_state = 250, .external_lex_state = 2},
  [9243] = {.lex_state = 250, .external_lex_state = 2},
  [9244] = {.lex_state = 194, .external_lex_state = 3},
  [9245] = {.lex_state = 194, .external_lex_state = 3},
  [9246] = {.lex_state = 250, .external_lex_state = 2},
  [9247] = {.lex_state = 194, .external_lex_state = 3},
  [9248] = {.lex_state = 194, .external_lex_state = 3},
  [9249] = {.lex_state = 194, .external_lex_state = 3},
  [9250] = {.lex_state = 194, .external_lex_state = 3},
  [9251] = {.lex_state = 159, .external_lex_state = 2},
  [9252] = {.lex_state = 194, .external_lex_state = 3},
  [9253] = {.lex_state = 159, .external_lex_state = 2},
  [9254] = {.lex_state = 194, .external_lex_state = 3},
  [9255] = {.lex_state = 194, .external_lex_state = 3},
  [9256] = {.lex_state = 159, .external_lex_state = 2},
  [9257] = {.lex_state = 194, .external_lex_state = 3},
  [9258] = {.lex_state = 251, .external_lex_state = 2},
  [9259] = {.lex_state = 194, .external_lex_state = 3},
  [9260] = {.lex_state = 194, .external_lex_state = 3},
  [9261] = {.lex_state = 194, .external_lex_state = 3},
  [9262] = {.lex_state = 455, .external_lex_state = 2},
  [9263] = {.lex_state = 159, .external_lex_state = 2},
  [9264] = {.lex_state = 194, .external_lex_state = 3},
  [9265] = {.lex_state = 250, .external_lex_state = 2},
  [9266] = {.lex_state = 194, .external_lex_state = 3},
  [9267] = {.lex_state = 194, .external_lex_state = 3},
  [9268] = {.lex_state = 250, .external_lex_state = 2},
  [9269] = {.lex_state = 194, .external_lex_state = 3},
  [9270] = {.lex_state = 194, .external_lex_state = 3},
  [9271] = {.lex_state = 194, .external_lex_state = 3},
  [9272] = {.lex_state = 194, .external_lex_state = 3},
  [9273] = {.lex_state = 250, .external_lex_state = 2},
  [9274] = {.lex_state = 251, .external_lex_state = 2},
  [9275] = {.lex_state = 250, .external_lex_state = 2},
  [9276] = {.lex_state = 250, .external_lex_state = 2},
  [9277] = {.lex_state = 250, .external_lex_state = 2},
  [9278] = {.lex_state = 250, .external_lex_state = 2},
  [9279] = {.lex_state = 251, .external_lex_state = 2},
  [9280] = {.lex_state = 250, .external_lex_state = 2},
  [9281] = {.lex_state = 159, .external_lex_state = 2},
  [9282] = {.lex_state = 250, .external_lex_state = 2},
  [9283] = {.lex_state = 248, .external_lex_state = 2},
  [9284] = {.lex_state = 250, .external_lex_state = 2},
  [9285] = {.lex_state = 248, .external_lex_state = 2},
  [9286] = {.lex_state = 159, .external_lex_state = 2},
  [9287] = {.lex_state = 251, .external_lex_state = 2},
  [9288] = {.lex_state = 246, .external_lex_state = 2},
  [9289] = {.lex_state = 159, .external_lex_state = 2},
  [9290] = {.lex_state = 248, .external_lex_state = 2},
  [9291] = {.lex_state = 246, .external_lex_state = 2},
  [9292] = {.lex_state = 246, .external_lex_state = 2},
  [9293] = {.lex_state = 248, .external_lex_state = 2},
  [9294] = {.lex_state = 250, .external_lex_state = 2},
  [9295] = {.lex_state = 246, .external_lex_state = 2},
  [9296] = {.lex_state = 159, .external_lex_state = 2},
  [9297] = {.lex_state = 250, .external_lex_state = 2},
  [9298] = {.lex_state = 250, .external_lex_state = 2},
  [9299] = {.lex_state = 250, .external_lex_state = 2},
  [9300] = {.lex_state = 250, .external_lex_state = 2},
  [9301] = {.lex_state = 452, .external_lex_state = 2},
  [9302] = {.lex_state = 452, .external_lex_state = 2},
  [9303] = {.lex_state = 452, .external_lex_state = 2},
  [9304] = {.lex_state = 159, .external_lex_state = 2},
  [9305] = {.lex_state = 452, .external_lex_state = 2},
  [9306] = {.lex_state = 452, .external_lex_state = 2},
  [9307] = {.lex_state = 452, .external_lex_state = 2},
  [9308] = {.lex_state = 159, .external_lex_state = 2},
  [9309] = {.lex_state = 159, .external_lex_state = 2},
  [9310] = {.lex_state = 195, .external_lex_state = 3},
  [9311] = {.lex_state = 452, .external_lex_state = 2},
  [9312] = {.lex_state = 452, .external_lex_state = 2},
  [9313] = {.lex_state = 452, .external_lex_state = 2},
  [9314] = {.lex_state = 452, .external_lex_state = 2},
  [9315] = {.lex_state = 248, .external_lex_state = 2},
  [9316] = {.lex_state = 452, .external_lex_state = 2},
  [9317] = {.lex_state = 452, .external_lex_state = 2},
  [9318] = {.lex_state = 195, .external_lex_state = 3},
  [9319] = {.lex_state = 452, .external_lex_state = 2},
  [9320] = {.lex_state = 452, .external_lex_state = 2},
  [9321] = {.lex_state = 452, .external_lex_state = 2},
  [9322] = {.lex_state = 452, .external_lex_state = 2},
  [9323] = {.lex_state = 452, .external_lex_state = 2},
  [9324] = {.lex_state = 452, .external_lex_state = 2},
  [9325] = {.lex_state = 452, .external_lex_state = 2},
  [9326] = {.lex_state = 452, .external_lex_state = 2},
  [9327] = {.lex_state = 159, .external_lex_state = 2},
  [9328] = {.lex_state = 452, .external_lex_state = 2},
  [9329] = {.lex_state = 159, .external_lex_state = 2},
  [9330] = {.lex_state = 159, .external_lex_state = 2},
  [9331] = {.lex_state = 237, .external_lex_state = 2},
  [9332] = {.lex_state = 452, .external_lex_state = 2},
  [9333] = {.lex_state = 452, .external_lex_state = 2},
  [9334] = {.lex_state = 452, .external_lex_state = 2},
  [9335] = {.lex_state = 235, .external_lex_state = 2},
  [9336] = {.lex_state = 159, .external_lex_state = 2},
  [9337] = {.lex_state = 452, .external_lex_state = 2},
  [9338] = {.lex_state = 452, .external_lex_state = 2},
  [9339] = {.lex_state = 452, .external_lex_state = 2},
  [9340] = {.lex_state = 235, .external_lex_state = 2},
  [9341] = {.lex_state = 452, .external_lex_state = 2},
  [9342] = {.lex_state = 452, .external_lex_state = 2},
  [9343] = {.lex_state = 159, .external_lex_state = 2},
  [9344] = {.lex_state = 452, .external_lex_state = 2},
  [9345] = {.lex_state = 452, .external_lex_state = 2},
  [9346] = {.lex_state = 452, .external_lex_state = 2},
  [9347] = {.lex_state = 237, .external_lex_state = 2},
  [9348] = {.lex_state = 452, .external_lex_state = 2},
  [9349] = {.lex_state = 452, .external_lex_state = 2},
  [9350] = {.lex_state = 159, .external_lex_state = 2},
  [9351] = {.lex_state = 452, .external_lex_state = 2},
  [9352] = {.lex_state = 452, .external_lex_state = 2},
  [9353] = {.lex_state = 452, .external_lex_state = 2},
  [9354] = {.lex_state = 452, .external_lex_state = 2},
  [9355] = {.lex_state = 248, .external_lex_state = 2},
  [9356] = {.lex_state = 246, .external_lex_state = 2},
  [9357] = {.lex_state = 246, .external_lex_state = 2},
  [9358] = {.lex_state = 452, .external_lex_state = 2},
  [9359] = {.lex_state = 248, .external_lex_state = 2},
  [9360] = {.lex_state = 453, .external_lex_state = 3},
  [9361] = {.lex_state = 453, .external_lex_state = 3},
  [9362] = {.lex_state = 452, .external_lex_state = 2},
  [9363] = {.lex_state = 453, .external_lex_state = 3},
  [9364] = {.lex_state = 452, .external_lex_state = 2},
  [9365] = {.lex_state = 453, .external_lex_state = 3},
  [9366] = {.lex_state = 452, .external_lex_state = 2},
  [9367] = {.lex_state = 453, .external_lex_state = 3},
  [9368] = {.lex_state = 452, .external_lex_state = 2},
  [9369] = {.lex_state = 453, .external_lex_state = 3},
  [9370] = {.lex_state = 452, .external_lex_state = 2},
  [9371] = {.lex_state = 453, .external_lex_state = 3},
  [9372] = {.lex_state = 453, .external_lex_state = 3},
  [9373] = {.lex_state = 453, .external_lex_state = 3},
  [9374] = {.lex_state = 453, .external_lex_state = 3},
  [9375] = {.lex_state = 452, .external_lex_state = 2},
  [9376] = {.lex_state = 453, .external_lex_state = 3},
  [9377] = {.lex_state = 246, .external_lex_state = 2},
  [9378] = {.lex_state = 246, .external_lex_state = 2},
  [9379] = {.lex_state = 246, .external_lex_state = 2},
  [9380] = {.lex_state = 452, .external_lex_state = 2},
  [9381] = {.lex_state = 248, .external_lex_state = 2},
  [9382] = {.lex_state = 452, .external_lex_state = 2},
  [9383] = {.lex_state = 453, .external_lex_state = 3},
  [9384] = {.lex_state = 453, .external_lex_state = 3},
  [9385] = {.lex_state = 452, .external_lex_state = 2},
  [9386] = {.lex_state = 452, .external_lex_state = 2},
  [9387] = {.lex_state = 246, .external_lex_state = 2},
  [9388] = {.lex_state = 246, .external_lex_state = 2},
  [9389] = {.lex_state = 246, .external_lex_state = 2},
  [9390] = {.lex_state = 247, .external_lex_state = 2},
  [9391] = {.lex_state = 246, .external_lex_state = 2},
  [9392] = {.lex_state = 246, .external_lex_state = 2},
  [9393] = {.lex_state = 246, .external_lex_state = 2},
  [9394] = {.lex_state = 453, .external_lex_state = 3},
  [9395] = {.lex_state = 452, .external_lex_state = 2},
  [9396] = {.lex_state = 453, .external_lex_state = 3},
  [9397] = {.lex_state = 453, .external_lex_state = 3},
  [9398] = {.lex_state = 246, .external_lex_state = 2},
  [9399] = {.lex_state = 453, .external_lex_state = 3},
  [9400] = {.lex_state = 452, .external_lex_state = 2},
  [9401] = {.lex_state = 452, .external_lex_state = 2},
  [9402] = {.lex_state = 452, .external_lex_state = 2},
  [9403] = {.lex_state = 452, .external_lex_state = 2},
  [9404] = {.lex_state = 452, .external_lex_state = 2},
  [9405] = {.lex_state = 452, .external_lex_state = 2},
  [9406] = {.lex_state = 195, .external_lex_state = 3},
  [9407] = {.lex_state = 452, .external_lex_state = 2},
  [9408] = {.lex_state = 453, .external_lex_state = 3},
  [9409] = {.lex_state = 452, .external_lex_state = 2},
  [9410] = {.lex_state = 452, .external_lex_state = 2},
  [9411] = {.lex_state = 247, .external_lex_state = 2},
  [9412] = {.lex_state = 246, .external_lex_state = 2},
  [9413] = {.lex_state = 452, .external_lex_state = 2},
  [9414] = {.lex_state = 256, .external_lex_state = 2},
  [9415] = {.lex_state = 159, .external_lex_state = 2},
  [9416] = {.lex_state = 452, .external_lex_state = 2},
  [9417] = {.lex_state = 452, .external_lex_state = 2},
  [9418] = {.lex_state = 453, .external_lex_state = 3},
  [9419] = {.lex_state = 452, .external_lex_state = 2},
  [9420] = {.lex_state = 452, .external_lex_state = 2},
  [9421] = {.lex_state = 452, .external_lex_state = 2},
  [9422] = {.lex_state = 246, .external_lex_state = 2},
  [9423] = {.lex_state = 453, .external_lex_state = 3},
  [9424] = {.lex_state = 246, .external_lex_state = 2},
  [9425] = {.lex_state = 453, .external_lex_state = 3},
  [9426] = {.lex_state = 452, .external_lex_state = 2},
  [9427] = {.lex_state = 453, .external_lex_state = 3},
  [9428] = {.lex_state = 452, .external_lex_state = 2},
  [9429] = {.lex_state = 452, .external_lex_state = 2},
  [9430] = {.lex_state = 453, .external_lex_state = 3},
  [9431] = {.lex_state = 452, .external_lex_state = 2},
  [9432] = {.lex_state = 237, .external_lex_state = 2},
  [9433] = {.lex_state = 452, .external_lex_state = 2},
  [9434] = {.lex_state = 452, .external_lex_state = 2},
  [9435] = {.lex_state = 247, .external_lex_state = 2},
  [9436] = {.lex_state = 452, .external_lex_state = 2},
  [9437] = {.lex_state = 452, .external_lex_state = 2},
  [9438] = {.lex_state = 256, .external_lex_state = 2},
  [9439] = {.lex_state = 248, .external_lex_state = 2},
  [9440] = {.lex_state = 452, .external_lex_state = 2},
  [9441] = {.lex_state = 452, .external_lex_state = 2},
  [9442] = {.lex_state = 452, .external_lex_state = 2},
  [9443] = {.lex_state = 452, .external_lex_state = 2},
  [9444] = {.lex_state = 453, .external_lex_state = 3},
  [9445] = {.lex_state = 452, .external_lex_state = 2},
  [9446] = {.lex_state = 453, .external_lex_state = 3},
  [9447] = {.lex_state = 246, .external_lex_state = 2},
  [9448] = {.lex_state = 246, .external_lex_state = 2},
  [9449] = {.lex_state = 235, .external_lex_state = 2},
  [9450] = {.lex_state = 452, .external_lex_state = 2},
  [9451] = {.lex_state = 248, .external_lex_state = 2},
  [9452] = {.lex_state = 235, .external_lex_state = 2},
  [9453] = {.lex_state = 452, .external_lex_state = 2},
  [9454] = {.lex_state = 452, .external_lex_state = 2},
  [9455] = {.lex_state = 452, .external_lex_state = 2},
  [9456] = {.lex_state = 248, .external_lex_state = 2},
  [9457] = {.lex_state = 248, .external_lex_state = 2},
  [9458] = {.lex_state = 452, .external_lex_state = 2},
  [9459] = {.lex_state = 452, .external_lex_state = 2},
  [9460] = {.lex_state = 452, .external_lex_state = 2},
  [9461] = {.lex_state = 452, .external_lex_state = 2},
  [9462] = {.lex_state = 452, .external_lex_state = 2},
  [9463] = {.lex_state = 195, .external_lex_state = 3},
  [9464] = {.lex_state = 452, .external_lex_state = 2},
  [9465] = {.lex_state = 453, .external_lex_state = 3},
  [9466] = {.lex_state = 247, .external_lex_state = 2},
  [9467] = {.lex_state = 246, .external_lex_state = 2},
  [9468] = {.lex_state = 452, .external_lex_state = 2},
  [9469] = {.lex_state = 452, .external_lex_state = 2},
  [9470] = {.lex_state = 452, .external_lex_state = 2},
  [9471] = {.lex_state = 452, .external_lex_state = 2},
  [9472] = {.lex_state = 250, .external_lex_state = 2},
  [9473] = {.lex_state = 453, .external_lex_state = 3},
  [9474] = {.lex_state = 452, .external_lex_state = 2},
  [9475] = {.lex_state = 452, .external_lex_state = 2},
  [9476] = {.lex_state = 452, .external_lex_state = 2},
  [9477] = {.lex_state = 452, .external_lex_state = 2},
  [9478] = {.lex_state = 452, .external_lex_state = 2},
  [9479] = {.lex_state = 246, .external_lex_state = 2},
  [9480] = {.lex_state = 452, .external_lex_state = 2},
  [9481] = {.lex_state = 246, .external_lex_state = 2},
  [9482] = {.lex_state = 237, .external_lex_state = 2},
  [9483] = {.lex_state = 452, .external_lex_state = 2},
  [9484] = {.lex_state = 452, .external_lex_state = 2},
  [9485] = {.lex_state = 453, .external_lex_state = 3},
  [9486] = {.lex_state = 452, .external_lex_state = 2},
  [9487] = {.lex_state = 235, .external_lex_state = 2},
  [9488] = {.lex_state = 452, .external_lex_state = 2},
  [9489] = {.lex_state = 452, .external_lex_state = 2},
  [9490] = {.lex_state = 452, .external_lex_state = 2},
  [9491] = {.lex_state = 452, .external_lex_state = 2},
  [9492] = {.lex_state = 453, .external_lex_state = 3},
  [9493] = {.lex_state = 246, .external_lex_state = 2},
  [9494] = {.lex_state = 452, .external_lex_state = 2},
  [9495] = {.lex_state = 453, .external_lex_state = 3},
  [9496] = {.lex_state = 452, .external_lex_state = 2},
  [9497] = {.lex_state = 246, .external_lex_state = 2},
  [9498] = {.lex_state = 453, .external_lex_state = 3},
  [9499] = {.lex_state = 452, .external_lex_state = 2},
  [9500] = {.lex_state = 452, .external_lex_state = 2},
  [9501] = {.lex_state = 248, .external_lex_state = 2},
  [9502] = {.lex_state = 248, .external_lex_state = 2},
  [9503] = {.lex_state = 248, .external_lex_state = 2},
  [9504] = {.lex_state = 248, .external_lex_state = 2},
  [9505] = {.lex_state = 248, .external_lex_state = 2},
  [9506] = {.lex_state = 452, .external_lex_state = 2},
  [9507] = {.lex_state = 452, .external_lex_state = 2},
  [9508] = {.lex_state = 452, .external_lex_state = 2},
  [9509] = {.lex_state = 246, .external_lex_state = 2},
  [9510] = {.lex_state = 453, .external_lex_state = 3},
  [9511] = {.lex_state = 246, .external_lex_state = 2},
  [9512] = {.lex_state = 452, .external_lex_state = 2},
  [9513] = {.lex_state = 452, .external_lex_state = 2},
  [9514] = {.lex_state = 453, .external_lex_state = 3},
  [9515] = {.lex_state = 453, .external_lex_state = 3},
  [9516] = {.lex_state = 452, .external_lex_state = 2},
  [9517] = {.lex_state = 248, .external_lex_state = 2},
  [9518] = {.lex_state = 453, .external_lex_state = 3},
  [9519] = {.lex_state = 250, .external_lex_state = 2},
  [9520] = {.lex_state = 453, .external_lex_state = 3},
  [9521] = {.lex_state = 248, .external_lex_state = 2},
  [9522] = {.lex_state = 452, .external_lex_state = 2},
  [9523] = {.lex_state = 452, .external_lex_state = 2},
  [9524] = {.lex_state = 453, .external_lex_state = 3},
  [9525] = {.lex_state = 452, .external_lex_state = 2},
  [9526] = {.lex_state = 452, .external_lex_state = 2},
  [9527] = {.lex_state = 453, .external_lex_state = 3},
  [9528] = {.lex_state = 453, .external_lex_state = 3},
  [9529] = {.lex_state = 248, .external_lex_state = 2},
  [9530] = {.lex_state = 453, .external_lex_state = 3},
  [9531] = {.lex_state = 452, .external_lex_state = 2},
  [9532] = {.lex_state = 453, .external_lex_state = 3},
  [9533] = {.lex_state = 453, .external_lex_state = 3},
  [9534] = {.lex_state = 452, .external_lex_state = 2},
  [9535] = {.lex_state = 452, .external_lex_state = 2},
  [9536] = {.lex_state = 452, .external_lex_state = 2},
  [9537] = {.lex_state = 452, .external_lex_state = 2},
  [9538] = {.lex_state = 453, .external_lex_state = 3},
  [9539] = {.lex_state = 195, .external_lex_state = 3},
  [9540] = {.lex_state = 452, .external_lex_state = 2},
  [9541] = {.lex_state = 248, .external_lex_state = 2},
  [9542] = {.lex_state = 248, .external_lex_state = 2},
  [9543] = {.lex_state = 453, .external_lex_state = 3},
  [9544] = {.lex_state = 250, .external_lex_state = 2},
  [9545] = {.lex_state = 453, .external_lex_state = 3},
  [9546] = {.lex_state = 453, .external_lex_state = 3},
  [9547] = {.lex_state = 453, .external_lex_state = 3},
  [9548] = {.lex_state = 452, .external_lex_state = 2},
  [9549] = {.lex_state = 453, .external_lex_state = 3},
  [9550] = {.lex_state = 452, .external_lex_state = 2},
  [9551] = {.lex_state = 453, .external_lex_state = 3},
  [9552] = {.lex_state = 452, .external_lex_state = 2},
  [9553] = {.lex_state = 235, .external_lex_state = 2},
  [9554] = {.lex_state = 452, .external_lex_state = 2},
  [9555] = {.lex_state = 452, .external_lex_state = 2},
  [9556] = {.lex_state = 195, .external_lex_state = 3},
  [9557] = {.lex_state = 452, .external_lex_state = 2},
  [9558] = {.lex_state = 452, .external_lex_state = 2},
  [9559] = {.lex_state = 452, .external_lex_state = 2},
  [9560] = {.lex_state = 453, .external_lex_state = 3},
  [9561] = {.lex_state = 452, .external_lex_state = 2},
  [9562] = {.lex_state = 452, .external_lex_state = 2},
  [9563] = {.lex_state = 452, .external_lex_state = 2},
  [9564] = {.lex_state = 235, .external_lex_state = 2},
  [9565] = {.lex_state = 452, .external_lex_state = 2},
  [9566] = {.lex_state = 248, .external_lex_state = 2},
  [9567] = {.lex_state = 452, .external_lex_state = 2},
  [9568] = {.lex_state = 248, .external_lex_state = 2},
  [9569] = {.lex_state = 452, .external_lex_state = 2},
  [9570] = {.lex_state = 452, .external_lex_state = 2},
  [9571] = {.lex_state = 452, .external_lex_state = 2},
  [9572] = {.lex_state = 452, .external_lex_state = 2},
  [9573] = {.lex_state = 250, .external_lex_state = 2},
  [9574] = {.lex_state = 452, .external_lex_state = 2},
  [9575] = {.lex_state = 452, .external_lex_state = 2},
  [9576] = {.lex_state = 237, .external_lex_state = 2},
  [9577] = {.lex_state = 237, .external_lex_state = 2},
  [9578] = {.lex_state = 452, .external_lex_state = 2},
  [9579] = {.lex_state = 452, .external_lex_state = 2},
  [9580] = {.lex_state = 452, .external_lex_state = 2},
  [9581] = {.lex_state = 235, .external_lex_state = 2},
  [9582] = {.lex_state = 452, .external_lex_state = 2},
  [9583] = {.lex_state = 453, .external_lex_state = 3},
  [9584] = {.lex_state = 235, .external_lex_state = 2},
  [9585] = {.lex_state = 237, .external_lex_state = 2},
  [9586] = {.lex_state = 453, .external_lex_state = 3},
  [9587] = {.lex_state = 246, .external_lex_state = 2},
  [9588] = {.lex_state = 248, .external_lex_state = 2},
  [9589] = {.lex_state = 246, .external_lex_state = 2},
  [9590] = {.lex_state = 246, .external_lex_state = 2},
  [9591] = {.lex_state = 248, .external_lex_state = 2},
  [9592] = {.lex_state = 237, .external_lex_state = 2},
  [9593] = {.lex_state = 237, .external_lex_state = 2},
  [9594] = {.lex_state = 452, .external_lex_state = 2},
  [9595] = {.lex_state = 237, .external_lex_state = 2},
  [9596] = {.lex_state = 248, .external_lex_state = 2},
  [9597] = {.lex_state = 248, .external_lex_state = 2},
  [9598] = {.lex_state = 452, .external_lex_state = 2},
  [9599] = {.lex_state = 452, .external_lex_state = 2},
  [9600] = {.lex_state = 246, .external_lex_state = 2},
  [9601] = {.lex_state = 249, .external_lex_state = 2},
  [9602] = {.lex_state = 453, .external_lex_state = 3},
  [9603] = {.lex_state = 452, .external_lex_state = 2},
  [9604] = {.lex_state = 452, .external_lex_state = 2},
  [9605] = {.lex_state = 453, .external_lex_state = 3},
  [9606] = {.lex_state = 452, .external_lex_state = 2},
  [9607] = {.lex_state = 452, .external_lex_state = 2},
  [9608] = {.lex_state = 256, .external_lex_state = 2},
  [9609] = {.lex_state = 452, .external_lex_state = 2},
  [9610] = {.lex_state = 452, .external_lex_state = 2},
  [9611] = {.lex_state = 452, .external_lex_state = 2},
  [9612] = {.lex_state = 452, .external_lex_state = 2},
  [9613] = {.lex_state = 249, .external_lex_state = 2},
  [9614] = {.lex_state = 452, .external_lex_state = 2},
  [9615] = {.lex_state = 235, .external_lex_state = 2},
  [9616] = {.lex_state = 453, .external_lex_state = 3},
  [9617] = {.lex_state = 249, .external_lex_state = 2},
  [9618] = {.lex_state = 452, .external_lex_state = 2},
  [9619] = {.lex_state = 452, .external_lex_state = 2},
  [9620] = {.lex_state = 452, .external_lex_state = 2},
  [9621] = {.lex_state = 452, .external_lex_state = 2},
  [9622] = {.lex_state = 248, .external_lex_state = 2},
  [9623] = {.lex_state = 452, .external_lex_state = 2},
  [9624] = {.lex_state = 453, .external_lex_state = 3},
  [9625] = {.lex_state = 453, .external_lex_state = 3},
  [9626] = {.lex_state = 453, .external_lex_state = 3},
  [9627] = {.lex_state = 453, .external_lex_state = 3},
  [9628] = {.lex_state = 453, .external_lex_state = 3},
  [9629] = {.lex_state = 452, .external_lex_state = 2},
  [9630] = {.lex_state = 453, .external_lex_state = 3},
  [9631] = {.lex_state = 159, .external_lex_state = 2},
  [9632] = {.lex_state = 453, .external_lex_state = 3},
  [9633] = {.lex_state = 452, .external_lex_state = 2},
  [9634] = {.lex_state = 452, .external_lex_state = 2},
  [9635] = {.lex_state = 452, .external_lex_state = 2},
  [9636] = {.lex_state = 452, .external_lex_state = 2},
  [9637] = {.lex_state = 452, .external_lex_state = 2},
  [9638] = {.lex_state = 452, .external_lex_state = 2},
  [9639] = {.lex_state = 453, .external_lex_state = 3},
  [9640] = {.lex_state = 452, .external_lex_state = 2},
  [9641] = {.lex_state = 246, .external_lex_state = 2},
  [9642] = {.lex_state = 453, .external_lex_state = 3},
  [9643] = {.lex_state = 452, .external_lex_state = 2},
  [9644] = {.lex_state = 453, .external_lex_state = 3},
  [9645] = {.lex_state = 250, .external_lex_state = 2},
  [9646] = {.lex_state = 452, .external_lex_state = 2},
  [9647] = {.lex_state = 452, .external_lex_state = 2},
  [9648] = {.lex_state = 246, .external_lex_state = 2},
  [9649] = {.lex_state = 246, .external_lex_state = 2},
  [9650] = {.lex_state = 453, .external_lex_state = 3},
  [9651] = {.lex_state = 237, .external_lex_state = 2},
  [9652] = {.lex_state = 452, .external_lex_state = 2},
  [9653] = {.lex_state = 246, .external_lex_state = 2},
  [9654] = {.lex_state = 249, .external_lex_state = 2},
  [9655] = {.lex_state = 452, .external_lex_state = 2},
  [9656] = {.lex_state = 453, .external_lex_state = 3},
  [9657] = {.lex_state = 246, .external_lex_state = 2},
  [9658] = {.lex_state = 453, .external_lex_state = 3},
  [9659] = {.lex_state = 453, .external_lex_state = 3},
  [9660] = {.lex_state = 452, .external_lex_state = 2},
  [9661] = {.lex_state = 452, .external_lex_state = 2},
  [9662] = {.lex_state = 452, .external_lex_state = 2},
  [9663] = {.lex_state = 453, .external_lex_state = 3},
  [9664] = {.lex_state = 248, .external_lex_state = 2},
  [9665] = {.lex_state = 453, .external_lex_state = 3},
  [9666] = {.lex_state = 453, .external_lex_state = 3},
  [9667] = {.lex_state = 453, .external_lex_state = 3},
  [9668] = {.lex_state = 248, .external_lex_state = 2},
  [9669] = {.lex_state = 453, .external_lex_state = 3},
  [9670] = {.lex_state = 453, .external_lex_state = 3},
  [9671] = {.lex_state = 453, .external_lex_state = 3},
  [9672] = {.lex_state = 248, .external_lex_state = 2},
  [9673] = {.lex_state = 453, .external_lex_state = 3},
  [9674] = {.lex_state = 453, .external_lex_state = 3},
  [9675] = {.lex_state = 452, .external_lex_state = 2},
  [9676] = {.lex_state = 452, .external_lex_state = 2},
  [9677] = {.lex_state = 452, .external_lex_state = 2},
  [9678] = {.lex_state = 452, .external_lex_state = 2},
  [9679] = {.lex_state = 452, .external_lex_state = 2},
  [9680] = {.lex_state = 248, .external_lex_state = 2},
  [9681] = {.lex_state = 248, .external_lex_state = 2},
  [9682] = {.lex_state = 453, .external_lex_state = 3},
  [9683] = {.lex_state = 246, .external_lex_state = 2},
  [9684] = {.lex_state = 452, .external_lex_state = 2},
  [9685] = {.lex_state = 248, .external_lex_state = 2},
  [9686] = {.lex_state = 453, .external_lex_state = 3},
  [9687] = {.lex_state = 235, .external_lex_state = 2},
  [9688] = {.lex_state = 452, .external_lex_state = 2},
  [9689] = {.lex_state = 250, .external_lex_state = 2},
  [9690] = {.lex_state = 248, .external_lex_state = 2},
  [9691] = {.lex_state = 248, .external_lex_state = 2},
  [9692] = {.lex_state = 453, .external_lex_state = 3},
  [9693] = {.lex_state = 248, .external_lex_state = 2},
  [9694] = {.lex_state = 452, .external_lex_state = 2},
  [9695] = {.lex_state = 237, .external_lex_state = 2},
  [9696] = {.lex_state = 237, .external_lex_state = 2},
  [9697] = {.lex_state = 452, .external_lex_state = 2},
  [9698] = {.lex_state = 237, .external_lex_state = 2},
  [9699] = {.lex_state = 162, .external_lex_state = 2},
  [9700] = {.lex_state = 452, .external_lex_state = 2},
  [9701] = {.lex_state = 250, .external_lex_state = 2},
  [9702] = {.lex_state = 452, .external_lex_state = 2},
  [9703] = {.lex_state = 452, .external_lex_state = 2},
  [9704] = {.lex_state = 235, .external_lex_state = 2},
  [9705] = {.lex_state = 235, .external_lex_state = 2},
  [9706] = {.lex_state = 452, .external_lex_state = 2},
  [9707] = {.lex_state = 235, .external_lex_state = 2},
  [9708] = {.lex_state = 224, .external_lex_state = 2},
  [9709] = {.lex_state = 250, .external_lex_state = 2},
  [9710] = {.lex_state = 237, .external_lex_state = 2},
  [9711] = {.lex_state = 237, .external_lex_state = 2},
  [9712] = {.lex_state = 237, .external_lex_state = 2},
  [9713] = {.lex_state = 235, .external_lex_state = 2},
  [9714] = {.lex_state = 235, .external_lex_state = 2},
  [9715] = {.lex_state = 237, .external_lex_state = 2},
  [9716] = {.lex_state = 452, .external_lex_state = 2},
  [9717] = {.lex_state = 452, .external_lex_state = 2},
  [9718] = {.lex_state = 250, .external_lex_state = 2},
  [9719] = {.lex_state = 162, .external_lex_state = 2},
  [9720] = {.lex_state = 452, .external_lex_state = 2},
  [9721] = {.lex_state = 237, .external_lex_state = 2},
  [9722] = {.lex_state = 452, .external_lex_state = 2},
  [9723] = {.lex_state = 452, .external_lex_state = 2},
  [9724] = {.lex_state = 179, .external_lex_state = 2},
  [9725] = {.lex_state = 250, .external_lex_state = 2},
  [9726] = {.lex_state = 235, .external_lex_state = 2},
  [9727] = {.lex_state = 237, .external_lex_state = 2},
  [9728] = {.lex_state = 235, .external_lex_state = 2},
  [9729] = {.lex_state = 452, .external_lex_state = 2},
  [9730] = {.lex_state = 452, .external_lex_state = 2},
  [9731] = {.lex_state = 452, .external_lex_state = 2},
  [9732] = {.lex_state = 250, .external_lex_state = 2},
  [9733] = {.lex_state = 162, .external_lex_state = 2},
  [9734] = {.lex_state = 452, .external_lex_state = 2},
  [9735] = {.lex_state = 250, .external_lex_state = 2},
  [9736] = {.lex_state = 162, .external_lex_state = 2},
  [9737] = {.lex_state = 162, .external_lex_state = 2},
  [9738] = {.lex_state = 235, .external_lex_state = 2},
  [9739] = {.lex_state = 452, .external_lex_state = 2},
  [9740] = {.lex_state = 249, .external_lex_state = 2},
  [9741] = {.lex_state = 452, .external_lex_state = 2},
  [9742] = {.lex_state = 452, .external_lex_state = 2},
  [9743] = {.lex_state = 230, .external_lex_state = 2},
  [9744] = {.lex_state = 237, .external_lex_state = 2},
  [9745] = {.lex_state = 235, .external_lex_state = 2},
  [9746] = {.lex_state = 452, .external_lex_state = 2},
  [9747] = {.lex_state = 179, .external_lex_state = 2},
  [9748] = {.lex_state = 452, .external_lex_state = 2},
  [9749] = {.lex_state = 257, .external_lex_state = 2},
  [9750] = {.lex_state = 237, .external_lex_state = 2},
  [9751] = {.lex_state = 251, .external_lex_state = 2},
  [9752] = {.lex_state = 452, .external_lex_state = 2},
  [9753] = {.lex_state = 235, .external_lex_state = 2},
  [9754] = {.lex_state = 237, .external_lex_state = 2},
  [9755] = {.lex_state = 237, .external_lex_state = 2},
  [9756] = {.lex_state = 162, .external_lex_state = 2},
  [9757] = {.lex_state = 249, .external_lex_state = 2},
  [9758] = {.lex_state = 250, .external_lex_state = 2},
  [9759] = {.lex_state = 247, .external_lex_state = 2},
  [9760] = {.lex_state = 237, .external_lex_state = 2},
  [9761] = {.lex_state = 237, .external_lex_state = 2},
  [9762] = {.lex_state = 237, .external_lex_state = 2},
  [9763] = {.lex_state = 162, .external_lex_state = 2},
  [9764] = {.lex_state = 179, .external_lex_state = 2},
  [9765] = {.lex_state = 162, .external_lex_state = 2},
  [9766] = {.lex_state = 452, .external_lex_state = 2},
  [9767] = {.lex_state = 235, .external_lex_state = 2},
  [9768] = {.lex_state = 229, .external_lex_state = 2},
  [9769] = {.lex_state = 235, .external_lex_state = 2},
  [9770] = {.lex_state = 235, .external_lex_state = 2},
  [9771] = {.lex_state = 250, .external_lex_state = 2},
  [9772] = {.lex_state = 235, .external_lex_state = 2},
  [9773] = {.lex_state = 235, .external_lex_state = 2},
  [9774] = {.lex_state = 452, .external_lex_state = 2},
  [9775] = {.lex_state = 237, .external_lex_state = 2},
  [9776] = {.lex_state = 237, .external_lex_state = 2},
  [9777] = {.lex_state = 452, .external_lex_state = 2},
  [9778] = {.lex_state = 452, .external_lex_state = 2},
  [9779] = {.lex_state = 452, .external_lex_state = 2},
  [9780] = {.lex_state = 452, .external_lex_state = 2},
  [9781] = {.lex_state = 452, .external_lex_state = 2},
  [9782] = {.lex_state = 159, .external_lex_state = 2},
  [9783] = {.lex_state = 452, .external_lex_state = 2},
  [9784] = {.lex_state = 224, .external_lex_state = 2},
  [9785] = {.lex_state = 237, .external_lex_state = 2},
  [9786] = {.lex_state = 159, .external_lex_state = 2},
  [9787] = {.lex_state = 452, .external_lex_state = 2},
  [9788] = {.lex_state = 179, .external_lex_state = 2},
  [9789] = {.lex_state = 452, .external_lex_state = 2},
  [9790] = {.lex_state = 452, .external_lex_state = 2},
  [9791] = {.lex_state = 159, .external_lex_state = 2},
  [9792] = {.lex_state = 162, .external_lex_state = 2},
  [9793] = {.lex_state = 257, .external_lex_state = 2},
  [9794] = {.lex_state = 452, .external_lex_state = 2},
  [9795] = {.lex_state = 250, .external_lex_state = 2},
  [9796] = {.lex_state = 179, .external_lex_state = 2},
  [9797] = {.lex_state = 162, .external_lex_state = 2},
  [9798] = {.lex_state = 250, .external_lex_state = 2},
  [9799] = {.lex_state = 452, .external_lex_state = 2},
  [9800] = {.lex_state = 237, .external_lex_state = 2},
  [9801] = {.lex_state = 452, .external_lex_state = 2},
  [9802] = {.lex_state = 237, .external_lex_state = 2},
  [9803] = {.lex_state = 162, .external_lex_state = 2},
  [9804] = {.lex_state = 237, .external_lex_state = 2},
  [9805] = {.lex_state = 237, .external_lex_state = 2},
  [9806] = {.lex_state = 162, .external_lex_state = 2},
  [9807] = {.lex_state = 162, .external_lex_state = 2},
  [9808] = {.lex_state = 452, .external_lex_state = 2},
  [9809] = {.lex_state = 162, .external_lex_state = 2},
  [9810] = {.lex_state = 162, .external_lex_state = 2},
  [9811] = {.lex_state = 162, .external_lex_state = 2},
  [9812] = {.lex_state = 452, .external_lex_state = 2},
  [9813] = {.lex_state = 452, .external_lex_state = 2},
  [9814] = {.lex_state = 257, .external_lex_state = 2},
  [9815] = {.lex_state = 237, .external_lex_state = 2},
  [9816] = {.lex_state = 235, .external_lex_state = 2},
  [9817] = {.lex_state = 257, .external_lex_state = 2},
  [9818] = {.lex_state = 452, .external_lex_state = 2},
  [9819] = {.lex_state = 224, .external_lex_state = 2},
  [9820] = {.lex_state = 235, .external_lex_state = 2},
  [9821] = {.lex_state = 162, .external_lex_state = 2},
  [9822] = {.lex_state = 235, .external_lex_state = 2},
  [9823] = {.lex_state = 250, .external_lex_state = 2},
  [9824] = {.lex_state = 235, .external_lex_state = 2},
  [9825] = {.lex_state = 237, .external_lex_state = 2},
  [9826] = {.lex_state = 452, .external_lex_state = 2},
  [9827] = {.lex_state = 235, .external_lex_state = 2},
  [9828] = {.lex_state = 224, .external_lex_state = 2},
  [9829] = {.lex_state = 181, .external_lex_state = 2},
  [9830] = {.lex_state = 181, .external_lex_state = 2},
  [9831] = {.lex_state = 237, .external_lex_state = 2},
  [9832] = {.lex_state = 452, .external_lex_state = 2},
  [9833] = {.lex_state = 237, .external_lex_state = 2},
  [9834] = {.lex_state = 235, .external_lex_state = 2},
  [9835] = {.lex_state = 452, .external_lex_state = 2},
  [9836] = {.lex_state = 181, .external_lex_state = 2},
  [9837] = {.lex_state = 8, .external_lex_state = 2},
  [9838] = {.lex_state = 235, .external_lex_state = 2},
  [9839] = {.lex_state = 235, .external_lex_state = 2},
  [9840] = {.lex_state = 181, .external_lex_state = 2},
  [9841] = {.lex_state = 181, .external_lex_state = 2},
  [9842] = {.lex_state = 235, .external_lex_state = 2},
  [9843] = {.lex_state = 235, .external_lex_state = 2},
  [9844] = {.lex_state = 250, .external_lex_state = 2},
  [9845] = {.lex_state = 162, .external_lex_state = 2},
  [9846] = {.lex_state = 181, .external_lex_state = 2},
  [9847] = {.lex_state = 250, .external_lex_state = 2},
  [9848] = {.lex_state = 162, .external_lex_state = 2},
  [9849] = {.lex_state = 452, .external_lex_state = 2},
  [9850] = {.lex_state = 235, .external_lex_state = 2},
  [9851] = {.lex_state = 162, .external_lex_state = 2},
  [9852] = {.lex_state = 162, .external_lex_state = 2},
  [9853] = {.lex_state = 162, .external_lex_state = 2},
  [9854] = {.lex_state = 250, .external_lex_state = 2},
  [9855] = {.lex_state = 162, .external_lex_state = 2},
  [9856] = {.lex_state = 235, .external_lex_state = 2},
  [9857] = {.lex_state = 452, .external_lex_state = 2},
  [9858] = {.lex_state = 452, .external_lex_state = 2},
  [9859] = {.lex_state = 235, .external_lex_state = 2},
  [9860] = {.lex_state = 235, .external_lex_state = 2},
  [9861] = {.lex_state = 247, .external_lex_state = 2},
  [9862] = {.lex_state = 452, .external_lex_state = 2},
  [9863] = {.lex_state = 237, .external_lex_state = 2},
  [9864] = {.lex_state = 235, .external_lex_state = 2},
  [9865] = {.lex_state = 235, .external_lex_state = 2},
  [9866] = {.lex_state = 235, .external_lex_state = 2},
  [9867] = {.lex_state = 235, .external_lex_state = 2},
  [9868] = {.lex_state = 235, .external_lex_state = 2},
  [9869] = {.lex_state = 162, .external_lex_state = 2},
  [9870] = {.lex_state = 452, .external_lex_state = 2},
  [9871] = {.lex_state = 162, .external_lex_state = 2},
  [9872] = {.lex_state = 235, .external_lex_state = 2},
  [9873] = {.lex_state = 237, .external_lex_state = 2},
  [9874] = {.lex_state = 452, .external_lex_state = 2},
  [9875] = {.lex_state = 162, .external_lex_state = 2},
  [9876] = {.lex_state = 224, .external_lex_state = 2},
  [9877] = {.lex_state = 237, .external_lex_state = 2},
  [9878] = {.lex_state = 237, .external_lex_state = 2},
  [9879] = {.lex_state = 237, .external_lex_state = 2},
  [9880] = {.lex_state = 452, .external_lex_state = 2},
  [9881] = {.lex_state = 237, .external_lex_state = 2},
  [9882] = {.lex_state = 237, .external_lex_state = 2},
  [9883] = {.lex_state = 230, .external_lex_state = 2},
  [9884] = {.lex_state = 237, .external_lex_state = 2},
  [9885] = {.lex_state = 229, .external_lex_state = 2},
  [9886] = {.lex_state = 179, .external_lex_state = 2},
  [9887] = {.lex_state = 164, .external_lex_state = 2},
  [9888] = {.lex_state = 164, .external_lex_state = 2},
  [9889] = {.lex_state = 164, .external_lex_state = 2},
  [9890] = {.lex_state = 164, .external_lex_state = 2},
  [9891] = {.lex_state = 8, .external_lex_state = 2},
  [9892] = {.lex_state = 8, .external_lex_state = 2},
  [9893] = {.lex_state = 8, .external_lex_state = 2},
  [9894] = {.lex_state = 8, .external_lex_state = 2},
  [9895] = {.lex_state = 164, .external_lex_state = 2},
  [9896] = {.lex_state = 164, .external_lex_state = 2},
  [9897] = {.lex_state = 164, .external_lex_state = 2},
  [9898] = {.lex_state = 164, .external_lex_state = 2},
  [9899] = {.lex_state = 8, .external_lex_state = 2},
  [9900] = {.lex_state = 8, .external_lex_state = 2},
  [9901] = {.lex_state = 8, .external_lex_state = 2},
  [9902] = {.lex_state = 8, .external_lex_state = 2},
  [9903] = {.lex_state = 8, .external_lex_state = 2},
  [9904] = {.lex_state = 164, .external_lex_state = 2},
  [9905] = {.lex_state = 164, .external_lex_state = 2},
  [9906] = {.lex_state = 8, .external_lex_state = 2},
  [9907] = {.lex_state = 8, .external_lex_state = 2},
  [9908] = {.lex_state = 8, .external_lex_state = 2},
  [9909] = {.lex_state = 8, .external_lex_state = 2},
  [9910] = {.lex_state = 8, .external_lex_state = 2},
  [9911] = {.lex_state = 8, .external_lex_state = 2},
  [9912] = {.lex_state = 8, .external_lex_state = 2},
  [9913] = {.lex_state = 8, .external_lex_state = 2},
  [9914] = {.lex_state = 8, .external_lex_state = 2},
  [9915] = {.lex_state = 8, .external_lex_state = 2},
  [9916] = {.lex_state = 8, .external_lex_state = 2},
  [9917] = {.lex_state = 8, .external_lex_state = 2},
  [9918] = {.lex_state = 8, .external_lex_state = 2},
  [9919] = {.lex_state = 8, .external_lex_state = 2},
  [9920] = {.lex_state = 164, .external_lex_state = 2},
  [9921] = {.lex_state = 164, .external_lex_state = 2},
  [9922] = {.lex_state = 164, .external_lex_state = 2},
  [9923] = {.lex_state = 164, .external_lex_state = 2},
  [9924] = {.lex_state = 250, .external_lex_state = 2},
  [9925] = {.lex_state = 164, .external_lex_state = 2},
  [9926] = {.lex_state = 250, .external_lex_state = 2},
  [9927] = {.lex_state = 164, .external_lex_state = 2},
  [9928] = {.lex_state = 164, .external_lex_state = 2},
  [9929] = {.lex_state = 8, .external_lex_state = 2},
  [9930] = {.lex_state = 162, .external_lex_state = 2},
  [9931] = {.lex_state = 250, .external_lex_state = 2},
  [9932] = {.lex_state = 162, .external_lex_state = 2},
  [9933] = {.lex_state = 162, .external_lex_state = 2},
  [9934] = {.lex_state = 162, .external_lex_state = 2},
  [9935] = {.lex_state = 162, .external_lex_state = 2},
  [9936] = {.lex_state = 162, .external_lex_state = 2},
  [9937] = {.lex_state = 162, .external_lex_state = 2},
  [9938] = {.lex_state = 162, .external_lex_state = 2},
  [9939] = {.lex_state = 162, .external_lex_state = 2},
  [9940] = {.lex_state = 242, .external_lex_state = 2},
  [9941] = {.lex_state = 163, .external_lex_state = 2},
  [9942] = {.lex_state = 163, .external_lex_state = 2},
  [9943] = {.lex_state = 162, .external_lex_state = 2},
  [9944] = {.lex_state = 162, .external_lex_state = 2},
  [9945] = {.lex_state = 164, .external_lex_state = 2},
  [9946] = {.lex_state = 162, .external_lex_state = 2},
  [9947] = {.lex_state = 8, .external_lex_state = 2},
  [9948] = {.lex_state = 164, .external_lex_state = 2},
  [9949] = {.lex_state = 8, .external_lex_state = 2},
  [9950] = {.lex_state = 247, .external_lex_state = 2},
  [9951] = {.lex_state = 247, .external_lex_state = 2},
  [9952] = {.lex_state = 247, .external_lex_state = 2},
  [9953] = {.lex_state = 247, .external_lex_state = 2},
  [9954] = {.lex_state = 247, .external_lex_state = 2},
  [9955] = {.lex_state = 8, .external_lex_state = 2},
  [9956] = {.lex_state = 164, .external_lex_state = 2},
  [9957] = {.lex_state = 164, .external_lex_state = 2},
  [9958] = {.lex_state = 247, .external_lex_state = 2},
  [9959] = {.lex_state = 247, .external_lex_state = 2},
  [9960] = {.lex_state = 164, .external_lex_state = 2},
  [9961] = {.lex_state = 247, .external_lex_state = 2},
  [9962] = {.lex_state = 247, .external_lex_state = 2},
  [9963] = {.lex_state = 8, .external_lex_state = 2},
  [9964] = {.lex_state = 229, .external_lex_state = 2},
  [9965] = {.lex_state = 8, .external_lex_state = 2},
  [9966] = {.lex_state = 250, .external_lex_state = 2},
  [9967] = {.lex_state = 230, .external_lex_state = 2},
  [9968] = {.lex_state = 230, .external_lex_state = 2},
  [9969] = {.lex_state = 247, .external_lex_state = 2},
  [9970] = {.lex_state = 162, .external_lex_state = 2},
  [9971] = {.lex_state = 162, .external_lex_state = 2},
  [9972] = {.lex_state = 162, .external_lex_state = 2},
  [9973] = {.lex_state = 162, .external_lex_state = 2},
  [9974] = {.lex_state = 162, .external_lex_state = 2},
  [9975] = {.lex_state = 247, .external_lex_state = 2},
  [9976] = {.lex_state = 247, .external_lex_state = 2},
  [9977] = {.lex_state = 247, .external_lex_state = 2},
  [9978] = {.lex_state = 242, .external_lex_state = 2},
  [9979] = {.lex_state = 162, .external_lex_state = 2},
  [9980] = {.lex_state = 8, .external_lex_state = 2},
  [9981] = {.lex_state = 8, .external_lex_state = 2},
  [9982] = {.lex_state = 162, .external_lex_state = 2},
  [9983] = {.lex_state = 162, .external_lex_state = 2},
  [9984] = {.lex_state = 164, .external_lex_state = 2},
  [9985] = {.lex_state = 164, .external_lex_state = 2},
  [9986] = {.lex_state = 230, .external_lex_state = 2},
  [9987] = {.lex_state = 8, .external_lex_state = 2},
  [9988] = {.lex_state = 8, .external_lex_state = 2},
  [9989] = {.lex_state = 163, .external_lex_state = 2},
  [9990] = {.lex_state = 163, .external_lex_state = 2},
  [9991] = {.lex_state = 163, .external_lex_state = 2},
  [9992] = {.lex_state = 163, .external_lex_state = 2},
  [9993] = {.lex_state = 163, .external_lex_state = 2},
  [9994] = {.lex_state = 163, .external_lex_state = 2},
  [9995] = {.lex_state = 163, .external_lex_state = 2},
  [9996] = {.lex_state = 163, .external_lex_state = 2},
  [9997] = {.lex_state = 163, .external_lex_state = 2},
  [9998] = {.lex_state = 452, .external_lex_state = 2},
  [9999] = {.lex_state = 163, .external_lex_state = 2},
  [10000] = {.lex_state = 163, .external_lex_state = 2},
  [10001] = {.lex_state = 164, .external_lex_state = 2},
  [10002] = {.lex_state = 163, .external_lex_state = 2},
  [10003] = {.lex_state = 163, .external_lex_state = 2},
  [10004] = {.lex_state = 164, .external_lex_state = 2},
  [10005] = {.lex_state = 164, .external_lex_state = 2},
  [10006] = {.lex_state = 8, .external_lex_state = 2},
  [10007] = {.lex_state = 230, .external_lex_state = 2},
  [10008] = {.lex_state = 8, .external_lex_state = 2},
  [10009] = {.lex_state = 229, .external_lex_state = 2},
  [10010] = {.lex_state = 247, .external_lex_state = 2},
  [10011] = {.lex_state = 247, .external_lex_state = 2},
  [10012] = {.lex_state = 230, .external_lex_state = 2},
  [10013] = {.lex_state = 247, .external_lex_state = 2},
  [10014] = {.lex_state = 247, .external_lex_state = 2},
  [10015] = {.lex_state = 230, .external_lex_state = 2},
  [10016] = {.lex_state = 247, .external_lex_state = 2},
  [10017] = {.lex_state = 247, .external_lex_state = 2},
  [10018] = {.lex_state = 8, .external_lex_state = 2},
  [10019] = {.lex_state = 249, .external_lex_state = 2},
  [10020] = {.lex_state = 249, .external_lex_state = 2},
  [10021] = {.lex_state = 249, .external_lex_state = 2},
  [10022] = {.lex_state = 249, .external_lex_state = 2},
  [10023] = {.lex_state = 179, .external_lex_state = 2},
  [10024] = {.lex_state = 8, .external_lex_state = 2},
  [10025] = {.lex_state = 8, .external_lex_state = 2},
  [10026] = {.lex_state = 8, .external_lex_state = 2},
  [10027] = {.lex_state = 249, .external_lex_state = 2},
  [10028] = {.lex_state = 8, .external_lex_state = 2},
  [10029] = {.lex_state = 179, .external_lex_state = 2},
  [10030] = {.lex_state = 8, .external_lex_state = 2},
  [10031] = {.lex_state = 247, .external_lex_state = 2},
  [10032] = {.lex_state = 163, .external_lex_state = 2},
  [10033] = {.lex_state = 163, .external_lex_state = 2},
  [10034] = {.lex_state = 163, .external_lex_state = 2},
  [10035] = {.lex_state = 162, .external_lex_state = 2},
  [10036] = {.lex_state = 8, .external_lex_state = 2},
  [10037] = {.lex_state = 247, .external_lex_state = 2},
  [10038] = {.lex_state = 247, .external_lex_state = 2},
  [10039] = {.lex_state = 247, .external_lex_state = 2},
  [10040] = {.lex_state = 249, .external_lex_state = 2},
  [10041] = {.lex_state = 249, .external_lex_state = 2},
  [10042] = {.lex_state = 249, .external_lex_state = 2},
  [10043] = {.lex_state = 249, .external_lex_state = 2},
  [10044] = {.lex_state = 250, .external_lex_state = 2},
  [10045] = {.lex_state = 235, .external_lex_state = 2},
  [10046] = {.lex_state = 249, .external_lex_state = 2},
  [10047] = {.lex_state = 249, .external_lex_state = 2},
  [10048] = {.lex_state = 249, .external_lex_state = 2},
  [10049] = {.lex_state = 249, .external_lex_state = 2},
  [10050] = {.lex_state = 249, .external_lex_state = 2},
  [10051] = {.lex_state = 247, .external_lex_state = 2},
  [10052] = {.lex_state = 8, .external_lex_state = 2},
  [10053] = {.lex_state = 247, .external_lex_state = 2},
  [10054] = {.lex_state = 247, .external_lex_state = 2},
  [10055] = {.lex_state = 8, .external_lex_state = 2},
  [10056] = {.lex_state = 8, .external_lex_state = 2},
  [10057] = {.lex_state = 230, .external_lex_state = 2},
  [10058] = {.lex_state = 249, .external_lex_state = 2},
  [10059] = {.lex_state = 8, .external_lex_state = 2},
  [10060] = {.lex_state = 8, .external_lex_state = 2},
  [10061] = {.lex_state = 8, .external_lex_state = 2},
  [10062] = {.lex_state = 8, .external_lex_state = 2},
  [10063] = {.lex_state = 8, .external_lex_state = 2},
  [10064] = {.lex_state = 249, .external_lex_state = 2},
  [10065] = {.lex_state = 8, .external_lex_state = 2},
  [10066] = {.lex_state = 8, .external_lex_state = 2},
  [10067] = {.lex_state = 249, .external_lex_state = 2},
  [10068] = {.lex_state = 230, .external_lex_state = 2},
  [10069] = {.lex_state = 249, .external_lex_state = 2},
  [10070] = {.lex_state = 249, .external_lex_state = 2},
  [10071] = {.lex_state = 249, .external_lex_state = 2},
  [10072] = {.lex_state = 249, .external_lex_state = 2},
  [10073] = {.lex_state = 8, .external_lex_state = 2},
  [10074] = {.lex_state = 164, .external_lex_state = 2},
  [10075] = {.lex_state = 8, .external_lex_state = 2},
  [10076] = {.lex_state = 8, .external_lex_state = 2},
  [10077] = {.lex_state = 249, .external_lex_state = 2},
  [10078] = {.lex_state = 8, .external_lex_state = 2},
  [10079] = {.lex_state = 8, .external_lex_state = 2},
  [10080] = {.lex_state = 164, .external_lex_state = 2},
  [10081] = {.lex_state = 164, .external_lex_state = 2},
  [10082] = {.lex_state = 8, .external_lex_state = 2},
  [10083] = {.lex_state = 8, .external_lex_state = 2},
  [10084] = {.lex_state = 247, .external_lex_state = 2},
  [10085] = {.lex_state = 247, .external_lex_state = 2},
  [10086] = {.lex_state = 240, .external_lex_state = 2},
  [10087] = {.lex_state = 8, .external_lex_state = 2},
  [10088] = {.lex_state = 249, .external_lex_state = 2},
  [10089] = {.lex_state = 249, .external_lex_state = 2},
  [10090] = {.lex_state = 249, .external_lex_state = 2},
  [10091] = {.lex_state = 8, .external_lex_state = 2},
  [10092] = {.lex_state = 230, .external_lex_state = 2},
  [10093] = {.lex_state = 8, .external_lex_state = 2},
  [10094] = {.lex_state = 8, .external_lex_state = 2},
  [10095] = {.lex_state = 8, .external_lex_state = 2},
  [10096] = {.lex_state = 8, .external_lex_state = 2},
  [10097] = {.lex_state = 249, .external_lex_state = 2},
  [10098] = {.lex_state = 8, .external_lex_state = 2},
  [10099] = {.lex_state = 8, .external_lex_state = 2},
  [10100] = {.lex_state = 247, .external_lex_state = 2},
  [10101] = {.lex_state = 8, .external_lex_state = 2},
  [10102] = {.lex_state = 163, .external_lex_state = 2},
  [10103] = {.lex_state = 8, .external_lex_state = 2},
  [10104] = {.lex_state = 8, .external_lex_state = 2},
  [10105] = {.lex_state = 8, .external_lex_state = 2},
  [10106] = {.lex_state = 163, .external_lex_state = 2},
  [10107] = {.lex_state = 8, .external_lex_state = 2},
  [10108] = {.lex_state = 8, .external_lex_state = 2},
  [10109] = {.lex_state = 250, .external_lex_state = 2},
  [10110] = {.lex_state = 38, .external_lex_state = 3},
  [10111] = {.lex_state = 8, .external_lex_state = 2},
  [10112] = {.lex_state = 8, .external_lex_state = 2},
  [10113] = {.lex_state = 8, .external_lex_state = 2},
  [10114] = {.lex_state = 249, .external_lex_state = 2},
  [10115] = {.lex_state = 8, .external_lex_state = 2},
  [10116] = {.lex_state = 249, .external_lex_state = 2},
  [10117] = {.lex_state = 8, .external_lex_state = 2},
  [10118] = {.lex_state = 8, .external_lex_state = 2},
  [10119] = {.lex_state = 8, .external_lex_state = 2},
  [10120] = {.lex_state = 217, .external_lex_state = 3},
  [10121] = {.lex_state = 162, .external_lex_state = 2},
  [10122] = {.lex_state = 240, .external_lex_state = 2},
  [10123] = {.lex_state = 250, .external_lex_state = 2},
  [10124] = {.lex_state = 8, .external_lex_state = 2},
  [10125] = {.lex_state = 8, .external_lex_state = 2},
  [10126] = {.lex_state = 247, .external_lex_state = 2},
  [10127] = {.lex_state = 247, .external_lex_state = 2},
  [10128] = {.lex_state = 250, .external_lex_state = 2},
  [10129] = {.lex_state = 249, .external_lex_state = 2},
  [10130] = {.lex_state = 249, .external_lex_state = 2},
  [10131] = {.lex_state = 229, .external_lex_state = 2},
  [10132] = {.lex_state = 229, .external_lex_state = 2},
  [10133] = {.lex_state = 163, .external_lex_state = 2},
  [10134] = {.lex_state = 252, .external_lex_state = 2},
  [10135] = {.lex_state = 229, .external_lex_state = 2},
  [10136] = {.lex_state = 229, .external_lex_state = 2},
  [10137] = {.lex_state = 229, .external_lex_state = 2},
  [10138] = {.lex_state = 181, .external_lex_state = 2},
  [10139] = {.lex_state = 229, .external_lex_state = 2},
  [10140] = {.lex_state = 249, .external_lex_state = 2},
  [10141] = {.lex_state = 164, .external_lex_state = 2},
  [10142] = {.lex_state = 8, .external_lex_state = 2},
  [10143] = {.lex_state = 8, .external_lex_state = 2},
  [10144] = {.lex_state = 164, .external_lex_state = 2},
  [10145] = {.lex_state = 164, .external_lex_state = 2},
  [10146] = {.lex_state = 8, .external_lex_state = 2},
  [10147] = {.lex_state = 164, .external_lex_state = 2},
  [10148] = {.lex_state = 8, .external_lex_state = 2},
  [10149] = {.lex_state = 164, .external_lex_state = 2},
  [10150] = {.lex_state = 164, .external_lex_state = 2},
  [10151] = {.lex_state = 8, .external_lex_state = 2},
  [10152] = {.lex_state = 164, .external_lex_state = 2},
  [10153] = {.lex_state = 164, .external_lex_state = 2},
  [10154] = {.lex_state = 164, .external_lex_state = 2},
  [10155] = {.lex_state = 164, .external_lex_state = 2},
  [10156] = {.lex_state = 164, .external_lex_state = 2},
  [10157] = {.lex_state = 164, .external_lex_state = 2},
  [10158] = {.lex_state = 164, .external_lex_state = 2},
  [10159] = {.lex_state = 164, .external_lex_state = 2},
  [10160] = {.lex_state = 164, .external_lex_state = 2},
  [10161] = {.lex_state = 164, .external_lex_state = 2},
  [10162] = {.lex_state = 253, .external_lex_state = 2},
  [10163] = {.lex_state = 164, .external_lex_state = 2},
  [10164] = {.lex_state = 164, .external_lex_state = 2},
  [10165] = {.lex_state = 164, .external_lex_state = 2},
  [10166] = {.lex_state = 164, .external_lex_state = 2},
  [10167] = {.lex_state = 164, .external_lex_state = 2},
  [10168] = {.lex_state = 164, .external_lex_state = 2},
  [10169] = {.lex_state = 164, .external_lex_state = 2},
  [10170] = {.lex_state = 164, .external_lex_state = 2},
  [10171] = {.lex_state = 164, .external_lex_state = 2},
  [10172] = {.lex_state = 164, .external_lex_state = 2},
  [10173] = {.lex_state = 164, .external_lex_state = 2},
  [10174] = {.lex_state = 164, .external_lex_state = 2},
  [10175] = {.lex_state = 164, .external_lex_state = 2},
  [10176] = {.lex_state = 164, .external_lex_state = 2},
  [10177] = {.lex_state = 164, .external_lex_state = 2},
  [10178] = {.lex_state = 164, .external_lex_state = 2},
  [10179] = {.lex_state = 164, .external_lex_state = 2},
  [10180] = {.lex_state = 164, .external_lex_state = 2},
  [10181] = {.lex_state = 164, .external_lex_state = 2},
  [10182] = {.lex_state = 164, .external_lex_state = 2},
  [10183] = {.lex_state = 164, .external_lex_state = 2},
  [10184] = {.lex_state = 164, .external_lex_state = 2},
  [10185] = {.lex_state = 181, .external_lex_state = 2},
  [10186] = {.lex_state = 164, .external_lex_state = 2},
  [10187] = {.lex_state = 164, .external_lex_state = 2},
  [10188] = {.lex_state = 164, .external_lex_state = 2},
  [10189] = {.lex_state = 164, .external_lex_state = 2},
  [10190] = {.lex_state = 8, .external_lex_state = 2},
  [10191] = {.lex_state = 247, .external_lex_state = 2},
  [10192] = {.lex_state = 164, .external_lex_state = 2},
  [10193] = {.lex_state = 8, .external_lex_state = 2},
  [10194] = {.lex_state = 164, .external_lex_state = 2},
  [10195] = {.lex_state = 164, .external_lex_state = 2},
  [10196] = {.lex_state = 164, .external_lex_state = 2},
  [10197] = {.lex_state = 229, .external_lex_state = 2},
  [10198] = {.lex_state = 237, .external_lex_state = 2},
  [10199] = {.lex_state = 8, .external_lex_state = 2},
  [10200] = {.lex_state = 8, .external_lex_state = 2},
  [10201] = {.lex_state = 164, .external_lex_state = 2},
  [10202] = {.lex_state = 164, .external_lex_state = 2},
  [10203] = {.lex_state = 8, .external_lex_state = 2},
  [10204] = {.lex_state = 164, .external_lex_state = 2},
  [10205] = {.lex_state = 8, .external_lex_state = 2},
  [10206] = {.lex_state = 8, .external_lex_state = 2},
  [10207] = {.lex_state = 164, .external_lex_state = 2},
  [10208] = {.lex_state = 164, .external_lex_state = 2},
  [10209] = {.lex_state = 164, .external_lex_state = 2},
  [10210] = {.lex_state = 164, .external_lex_state = 2},
  [10211] = {.lex_state = 164, .external_lex_state = 2},
  [10212] = {.lex_state = 164, .external_lex_state = 2},
  [10213] = {.lex_state = 164, .external_lex_state = 2},
  [10214] = {.lex_state = 164, .external_lex_state = 2},
  [10215] = {.lex_state = 164, .external_lex_state = 2},
  [10216] = {.lex_state = 164, .external_lex_state = 2},
  [10217] = {.lex_state = 8, .external_lex_state = 2},
  [10218] = {.lex_state = 8, .external_lex_state = 2},
  [10219] = {.lex_state = 250, .external_lex_state = 2},
  [10220] = {.lex_state = 8, .external_lex_state = 2},
  [10221] = {.lex_state = 8, .external_lex_state = 2},
  [10222] = {.lex_state = 8, .external_lex_state = 2},
  [10223] = {.lex_state = 8, .external_lex_state = 2},
  [10224] = {.lex_state = 8, .external_lex_state = 2},
  [10225] = {.lex_state = 8, .external_lex_state = 2},
  [10226] = {.lex_state = 8, .external_lex_state = 2},
  [10227] = {.lex_state = 8, .external_lex_state = 2},
  [10228] = {.lex_state = 218, .external_lex_state = 3},
  [10229] = {.lex_state = 164, .external_lex_state = 2},
  [10230] = {.lex_state = 8, .external_lex_state = 2},
  [10231] = {.lex_state = 249, .external_lex_state = 2},
  [10232] = {.lex_state = 230, .external_lex_state = 2},
  [10233] = {.lex_state = 452, .external_lex_state = 2},
  [10234] = {.lex_state = 452, .external_lex_state = 2},
  [10235] = {.lex_state = 452, .external_lex_state = 2},
  [10236] = {.lex_state = 230, .external_lex_state = 2},
  [10237] = {.lex_state = 10, .external_lex_state = 2},
  [10238] = {.lex_state = 181, .external_lex_state = 2},
  [10239] = {.lex_state = 452, .external_lex_state = 2},
  [10240] = {.lex_state = 229, .external_lex_state = 2},
  [10241] = {.lex_state = 452, .external_lex_state = 2},
  [10242] = {.lex_state = 452, .external_lex_state = 2},
  [10243] = {.lex_state = 452, .external_lex_state = 2},
  [10244] = {.lex_state = 259, .external_lex_state = 2},
  [10245] = {.lex_state = 230, .external_lex_state = 2},
  [10246] = {.lex_state = 11, .external_lex_state = 2},
  [10247] = {.lex_state = 229, .external_lex_state = 2},
  [10248] = {.lex_state = 11, .external_lex_state = 2},
  [10249] = {.lex_state = 452, .external_lex_state = 2},
  [10250] = {.lex_state = 10, .external_lex_state = 2},
  [10251] = {.lex_state = 235, .external_lex_state = 2},
  [10252] = {.lex_state = 452, .external_lex_state = 2},
  [10253] = {.lex_state = 250, .external_lex_state = 2},
  [10254] = {.lex_state = 452, .external_lex_state = 2},
  [10255] = {.lex_state = 452, .external_lex_state = 2},
  [10256] = {.lex_state = 11, .external_lex_state = 2},
  [10257] = {.lex_state = 452, .external_lex_state = 2},
  [10258] = {.lex_state = 235, .external_lex_state = 2},
  [10259] = {.lex_state = 452, .external_lex_state = 2},
  [10260] = {.lex_state = 452, .external_lex_state = 2},
  [10261] = {.lex_state = 452, .external_lex_state = 2},
  [10262] = {.lex_state = 452, .external_lex_state = 2},
  [10263] = {.lex_state = 452, .external_lex_state = 2},
  [10264] = {.lex_state = 235, .external_lex_state = 2},
  [10265] = {.lex_state = 162, .external_lex_state = 2},
  [10266] = {.lex_state = 230, .external_lex_state = 2},
  [10267] = {.lex_state = 452, .external_lex_state = 2},
  [10268] = {.lex_state = 230, .external_lex_state = 2},
  [10269] = {.lex_state = 230, .external_lex_state = 2},
  [10270] = {.lex_state = 452, .external_lex_state = 2},
  [10271] = {.lex_state = 229, .external_lex_state = 2},
  [10272] = {.lex_state = 163, .external_lex_state = 2},
  [10273] = {.lex_state = 452, .external_lex_state = 2},
  [10274] = {.lex_state = 452, .external_lex_state = 2},
  [10275] = {.lex_state = 243, .external_lex_state = 2},
  [10276] = {.lex_state = 243, .external_lex_state = 2},
  [10277] = {.lex_state = 229, .external_lex_state = 2},
  [10278] = {.lex_state = 230, .external_lex_state = 2},
  [10279] = {.lex_state = 452, .external_lex_state = 2},
  [10280] = {.lex_state = 229, .external_lex_state = 2},
  [10281] = {.lex_state = 229, .external_lex_state = 2},
  [10282] = {.lex_state = 229, .external_lex_state = 2},
  [10283] = {.lex_state = 229, .external_lex_state = 2},
  [10284] = {.lex_state = 453, .external_lex_state = 3},
  [10285] = {.lex_state = 452, .external_lex_state = 2},
  [10286] = {.lex_state = 241, .external_lex_state = 2},
  [10287] = {.lex_state = 10, .external_lex_state = 2},
  [10288] = {.lex_state = 229, .external_lex_state = 2},
  [10289] = {.lex_state = 243, .external_lex_state = 2},
  [10290] = {.lex_state = 452, .external_lex_state = 2},
  [10291] = {.lex_state = 452, .external_lex_state = 2},
  [10292] = {.lex_state = 230, .external_lex_state = 2},
  [10293] = {.lex_state = 452, .external_lex_state = 2},
  [10294] = {.lex_state = 452, .external_lex_state = 2},
  [10295] = {.lex_state = 452, .external_lex_state = 2},
  [10296] = {.lex_state = 179, .external_lex_state = 2},
  [10297] = {.lex_state = 243, .external_lex_state = 2},
  [10298] = {.lex_state = 243, .external_lex_state = 2},
  [10299] = {.lex_state = 452, .external_lex_state = 2},
  [10300] = {.lex_state = 453, .external_lex_state = 3},
  [10301] = {.lex_state = 452, .external_lex_state = 2},
  [10302] = {.lex_state = 452, .external_lex_state = 2},
  [10303] = {.lex_state = 243, .external_lex_state = 2},
  [10304] = {.lex_state = 230, .external_lex_state = 2},
  [10305] = {.lex_state = 452, .external_lex_state = 2},
  [10306] = {.lex_state = 206, .external_lex_state = 3},
  [10307] = {.lex_state = 452, .external_lex_state = 2},
  [10308] = {.lex_state = 452, .external_lex_state = 2},
  [10309] = {.lex_state = 206, .external_lex_state = 3},
  [10310] = {.lex_state = 250, .external_lex_state = 2},
  [10311] = {.lex_state = 452, .external_lex_state = 2},
  [10312] = {.lex_state = 206, .external_lex_state = 3},
  [10313] = {.lex_state = 229, .external_lex_state = 2},
  [10314] = {.lex_state = 229, .external_lex_state = 2},
  [10315] = {.lex_state = 163, .external_lex_state = 2},
  [10316] = {.lex_state = 229, .external_lex_state = 2},
  [10317] = {.lex_state = 250, .external_lex_state = 2},
  [10318] = {.lex_state = 181, .external_lex_state = 2},
  [10319] = {.lex_state = 250, .external_lex_state = 2},
  [10320] = {.lex_state = 452, .external_lex_state = 2},
  [10321] = {.lex_state = 250, .external_lex_state = 2},
  [10322] = {.lex_state = 229, .external_lex_state = 2},
  [10323] = {.lex_state = 229, .external_lex_state = 2},
  [10324] = {.lex_state = 229, .external_lex_state = 2},
  [10325] = {.lex_state = 452, .external_lex_state = 2},
  [10326] = {.lex_state = 452, .external_lex_state = 2},
  [10327] = {.lex_state = 453, .external_lex_state = 3},
  [10328] = {.lex_state = 10, .external_lex_state = 2},
  [10329] = {.lex_state = 452, .external_lex_state = 2},
  [10330] = {.lex_state = 452, .external_lex_state = 2},
  [10331] = {.lex_state = 452, .external_lex_state = 2},
  [10332] = {.lex_state = 453, .external_lex_state = 3},
  [10333] = {.lex_state = 452, .external_lex_state = 2},
  [10334] = {.lex_state = 229, .external_lex_state = 2},
  [10335] = {.lex_state = 163, .external_lex_state = 2},
  [10336] = {.lex_state = 230, .external_lex_state = 2},
  [10337] = {.lex_state = 163, .external_lex_state = 2},
  [10338] = {.lex_state = 237, .external_lex_state = 2},
  [10339] = {.lex_state = 163, .external_lex_state = 2},
  [10340] = {.lex_state = 237, .external_lex_state = 2},
  [10341] = {.lex_state = 163, .external_lex_state = 2},
  [10342] = {.lex_state = 163, .external_lex_state = 2},
  [10343] = {.lex_state = 163, .external_lex_state = 2},
  [10344] = {.lex_state = 453, .external_lex_state = 3},
  [10345] = {.lex_state = 163, .external_lex_state = 2},
  [10346] = {.lex_state = 237, .external_lex_state = 2},
  [10347] = {.lex_state = 163, .external_lex_state = 2},
  [10348] = {.lex_state = 163, .external_lex_state = 2},
  [10349] = {.lex_state = 163, .external_lex_state = 2},
  [10350] = {.lex_state = 163, .external_lex_state = 2},
  [10351] = {.lex_state = 163, .external_lex_state = 2},
  [10352] = {.lex_state = 452, .external_lex_state = 2},
  [10353] = {.lex_state = 237, .external_lex_state = 2},
  [10354] = {.lex_state = 237, .external_lex_state = 2},
  [10355] = {.lex_state = 237, .external_lex_state = 2},
  [10356] = {.lex_state = 452, .external_lex_state = 2},
  [10357] = {.lex_state = 452, .external_lex_state = 2},
  [10358] = {.lex_state = 452, .external_lex_state = 2},
  [10359] = {.lex_state = 229, .external_lex_state = 2},
  [10360] = {.lex_state = 452, .external_lex_state = 2},
  [10361] = {.lex_state = 229, .external_lex_state = 2},
  [10362] = {.lex_state = 229, .external_lex_state = 2},
  [10363] = {.lex_state = 184, .external_lex_state = 3},
  [10364] = {.lex_state = 163, .external_lex_state = 2},
  [10365] = {.lex_state = 181, .external_lex_state = 2},
  [10366] = {.lex_state = 452, .external_lex_state = 2},
  [10367] = {.lex_state = 452, .external_lex_state = 2},
  [10368] = {.lex_state = 452, .external_lex_state = 2},
  [10369] = {.lex_state = 229, .external_lex_state = 2},
  [10370] = {.lex_state = 163, .external_lex_state = 2},
  [10371] = {.lex_state = 452, .external_lex_state = 2},
  [10372] = {.lex_state = 452, .external_lex_state = 2},
  [10373] = {.lex_state = 452, .external_lex_state = 2},
  [10374] = {.lex_state = 229, .external_lex_state = 2},
  [10375] = {.lex_state = 452, .external_lex_state = 2},
  [10376] = {.lex_state = 452, .external_lex_state = 2},
  [10377] = {.lex_state = 250, .external_lex_state = 2},
  [10378] = {.lex_state = 453, .external_lex_state = 3},
  [10379] = {.lex_state = 251, .external_lex_state = 2},
  [10380] = {.lex_state = 254, .external_lex_state = 2},
  [10381] = {.lex_state = 229, .external_lex_state = 2},
  [10382] = {.lex_state = 159, .external_lex_state = 2},
  [10383] = {.lex_state = 230, .external_lex_state = 2},
  [10384] = {.lex_state = 452, .external_lex_state = 2},
  [10385] = {.lex_state = 181, .external_lex_state = 2},
  [10386] = {.lex_state = 230, .external_lex_state = 2},
  [10387] = {.lex_state = 230, .external_lex_state = 2},
  [10388] = {.lex_state = 452, .external_lex_state = 2},
  [10389] = {.lex_state = 241, .external_lex_state = 2},
  [10390] = {.lex_state = 452, .external_lex_state = 2},
  [10391] = {.lex_state = 235, .external_lex_state = 2},
  [10392] = {.lex_state = 230, .external_lex_state = 2},
  [10393] = {.lex_state = 230, .external_lex_state = 2},
  [10394] = {.lex_state = 230, .external_lex_state = 2},
  [10395] = {.lex_state = 452, .external_lex_state = 2},
  [10396] = {.lex_state = 230, .external_lex_state = 2},
  [10397] = {.lex_state = 230, .external_lex_state = 2},
  [10398] = {.lex_state = 452, .external_lex_state = 2},
  [10399] = {.lex_state = 229, .external_lex_state = 2},
  [10400] = {.lex_state = 229, .external_lex_state = 2},
  [10401] = {.lex_state = 174, .external_lex_state = 3},
  [10402] = {.lex_state = 229, .external_lex_state = 2},
  [10403] = {.lex_state = 10, .external_lex_state = 2},
  [10404] = {.lex_state = 229, .external_lex_state = 2},
  [10405] = {.lex_state = 229, .external_lex_state = 2},
  [10406] = {.lex_state = 229, .external_lex_state = 2},
  [10407] = {.lex_state = 10, .external_lex_state = 2},
  [10408] = {.lex_state = 452, .external_lex_state = 2},
  [10409] = {.lex_state = 258, .external_lex_state = 2},
  [10410] = {.lex_state = 229, .external_lex_state = 2},
  [10411] = {.lex_state = 250, .external_lex_state = 2},
  [10412] = {.lex_state = 250, .external_lex_state = 2},
  [10413] = {.lex_state = 250, .external_lex_state = 2},
  [10414] = {.lex_state = 452, .external_lex_state = 2},
  [10415] = {.lex_state = 452, .external_lex_state = 2},
  [10416] = {.lex_state = 452, .external_lex_state = 2},
  [10417] = {.lex_state = 230, .external_lex_state = 2},
  [10418] = {.lex_state = 452, .external_lex_state = 2},
  [10419] = {.lex_state = 255, .external_lex_state = 2},
  [10420] = {.lex_state = 250, .external_lex_state = 2},
  [10421] = {.lex_state = 452, .external_lex_state = 2},
  [10422] = {.lex_state = 181, .external_lex_state = 2},
  [10423] = {.lex_state = 452, .external_lex_state = 2},
  [10424] = {.lex_state = 452, .external_lex_state = 2},
  [10425] = {.lex_state = 452, .external_lex_state = 2},
  [10426] = {.lex_state = 230, .external_lex_state = 2},
  [10427] = {.lex_state = 452, .external_lex_state = 2},
  [10428] = {.lex_state = 250, .external_lex_state = 2},
  [10429] = {.lex_state = 250, .external_lex_state = 2},
  [10430] = {.lex_state = 452, .external_lex_state = 2},
  [10431] = {.lex_state = 452, .external_lex_state = 2},
  [10432] = {.lex_state = 229, .external_lex_state = 2},
  [10433] = {.lex_state = 229, .external_lex_state = 2},
  [10434] = {.lex_state = 229, .external_lex_state = 2},
  [10435] = {.lex_state = 452, .external_lex_state = 2},
  [10436] = {.lex_state = 163, .external_lex_state = 2},
  [10437] = {.lex_state = 163, .external_lex_state = 2},
  [10438] = {.lex_state = 230, .external_lex_state = 2},
  [10439] = {.lex_state = 452, .external_lex_state = 2},
  [10440] = {.lex_state = 452, .external_lex_state = 2},
  [10441] = {.lex_state = 452, .external_lex_state = 2},
  [10442] = {.lex_state = 229, .external_lex_state = 2},
  [10443] = {.lex_state = 235, .external_lex_state = 2},
  [10444] = {.lex_state = 230, .external_lex_state = 2},
  [10445] = {.lex_state = 235, .external_lex_state = 2},
  [10446] = {.lex_state = 452, .external_lex_state = 2},
  [10447] = {.lex_state = 241, .external_lex_state = 2},
  [10448] = {.lex_state = 452, .external_lex_state = 2},
  [10449] = {.lex_state = 241, .external_lex_state = 2},
  [10450] = {.lex_state = 452, .external_lex_state = 2},
  [10451] = {.lex_state = 229, .external_lex_state = 2},
  [10452] = {.lex_state = 453, .external_lex_state = 3},
  [10453] = {.lex_state = 452, .external_lex_state = 2},
  [10454] = {.lex_state = 230, .external_lex_state = 2},
  [10455] = {.lex_state = 163, .external_lex_state = 2},
  [10456] = {.lex_state = 452, .external_lex_state = 2},
  [10457] = {.lex_state = 452, .external_lex_state = 2},
  [10458] = {.lex_state = 179, .external_lex_state = 2},
  [10459] = {.lex_state = 179, .external_lex_state = 2},
  [10460] = {.lex_state = 452, .external_lex_state = 2},
  [10461] = {.lex_state = 452, .external_lex_state = 2},
  [10462] = {.lex_state = 179, .external_lex_state = 2},
  [10463] = {.lex_state = 230, .external_lex_state = 2},
  [10464] = {.lex_state = 452, .external_lex_state = 2},
  [10465] = {.lex_state = 452, .external_lex_state = 2},
  [10466] = {.lex_state = 230, .external_lex_state = 2},
  [10467] = {.lex_state = 452, .external_lex_state = 2},
  [10468] = {.lex_state = 452, .external_lex_state = 2},
  [10469] = {.lex_state = 452, .external_lex_state = 2},
  [10470] = {.lex_state = 230, .external_lex_state = 2},
  [10471] = {.lex_state = 452, .external_lex_state = 2},
  [10472] = {.lex_state = 179, .external_lex_state = 2},
  [10473] = {.lex_state = 241, .external_lex_state = 2},
  [10474] = {.lex_state = 452, .external_lex_state = 2},
  [10475] = {.lex_state = 452, .external_lex_state = 2},
  [10476] = {.lex_state = 452, .external_lex_state = 2},
  [10477] = {.lex_state = 452, .external_lex_state = 2},
  [10478] = {.lex_state = 11, .external_lex_state = 2},
  [10479] = {.lex_state = 11, .external_lex_state = 2},
  [10480] = {.lex_state = 250, .external_lex_state = 2},
  [10481] = {.lex_state = 452, .external_lex_state = 2},
  [10482] = {.lex_state = 230, .external_lex_state = 2},
  [10483] = {.lex_state = 230, .external_lex_state = 2},
  [10484] = {.lex_state = 230, .external_lex_state = 2},
  [10485] = {.lex_state = 230, .external_lex_state = 2},
  [10486] = {.lex_state = 452, .external_lex_state = 2},
  [10487] = {.lex_state = 230, .external_lex_state = 2},
  [10488] = {.lex_state = 452, .external_lex_state = 2},
  [10489] = {.lex_state = 452, .external_lex_state = 2},
  [10490] = {.lex_state = 452, .external_lex_state = 2},
  [10491] = {.lex_state = 452, .external_lex_state = 2},
  [10492] = {.lex_state = 229, .external_lex_state = 2},
  [10493] = {.lex_state = 452, .external_lex_state = 2},
  [10494] = {.lex_state = 452, .external_lex_state = 2},
  [10495] = {.lex_state = 452, .external_lex_state = 2},
  [10496] = {.lex_state = 250, .external_lex_state = 2},
  [10497] = {.lex_state = 452, .external_lex_state = 2},
  [10498] = {.lex_state = 452, .external_lex_state = 2},
  [10499] = {.lex_state = 241, .external_lex_state = 2},
  [10500] = {.lex_state = 163, .external_lex_state = 2},
  [10501] = {.lex_state = 250, .external_lex_state = 2},
  [10502] = {.lex_state = 452, .external_lex_state = 2},
  [10503] = {.lex_state = 452, .external_lex_state = 2},
  [10504] = {.lex_state = 181, .external_lex_state = 2},
  [10505] = {.lex_state = 230, .external_lex_state = 2},
  [10506] = {.lex_state = 230, .external_lex_state = 2},
  [10507] = {.lex_state = 230, .external_lex_state = 2},
  [10508] = {.lex_state = 452, .external_lex_state = 2},
  [10509] = {.lex_state = 230, .external_lex_state = 2},
  [10510] = {.lex_state = 250, .external_lex_state = 2},
  [10511] = {.lex_state = 250, .external_lex_state = 2},
  [10512] = {.lex_state = 179, .external_lex_state = 2},
  [10513] = {.lex_state = 250, .external_lex_state = 2},
  [10514] = {.lex_state = 250, .external_lex_state = 2},
  [10515] = {.lex_state = 250, .external_lex_state = 2},
  [10516] = {.lex_state = 250, .external_lex_state = 2},
  [10517] = {.lex_state = 250, .external_lex_state = 2},
  [10518] = {.lex_state = 250, .external_lex_state = 2},
  [10519] = {.lex_state = 250, .external_lex_state = 2},
  [10520] = {.lex_state = 250, .external_lex_state = 2},
  [10521] = {.lex_state = 250, .external_lex_state = 2},
  [10522] = {.lex_state = 250, .external_lex_state = 2},
  [10523] = {.lex_state = 11, .external_lex_state = 2},
  [10524] = {.lex_state = 250, .external_lex_state = 2},
  [10525] = {.lex_state = 250, .external_lex_state = 2},
  [10526] = {.lex_state = 452, .external_lex_state = 2},
  [10527] = {.lex_state = 174, .external_lex_state = 3},
  [10528] = {.lex_state = 226, .external_lex_state = 2},
  [10529] = {.lex_state = 174, .external_lex_state = 3},
  [10530] = {.lex_state = 10, .external_lex_state = 2},
  [10531] = {.lex_state = 174, .external_lex_state = 3},
  [10532] = {.lex_state = 174, .external_lex_state = 3},
  [10533] = {.lex_state = 174, .external_lex_state = 3},
  [10534] = {.lex_state = 232, .external_lex_state = 2},
  [10535] = {.lex_state = 258, .external_lex_state = 2},
  [10536] = {.lex_state = 179, .external_lex_state = 2},
  [10537] = {.lex_state = 174, .external_lex_state = 3},
  [10538] = {.lex_state = 174, .external_lex_state = 3},
  [10539] = {.lex_state = 226, .external_lex_state = 2},
  [10540] = {.lex_state = 181, .external_lex_state = 2},
  [10541] = {.lex_state = 174, .external_lex_state = 3},
  [10542] = {.lex_state = 10, .external_lex_state = 2},
  [10543] = {.lex_state = 179, .external_lex_state = 2},
  [10544] = {.lex_state = 226, .external_lex_state = 2},
  [10545] = {.lex_state = 174, .external_lex_state = 3},
  [10546] = {.lex_state = 179, .external_lex_state = 2},
  [10547] = {.lex_state = 174, .external_lex_state = 3},
  [10548] = {.lex_state = 174, .external_lex_state = 3},
  [10549] = {.lex_state = 174, .external_lex_state = 3},
  [10550] = {.lex_state = 174, .external_lex_state = 3},
  [10551] = {.lex_state = 11, .external_lex_state = 2},
  [10552] = {.lex_state = 174, .external_lex_state = 3},
  [10553] = {.lex_state = 174, .external_lex_state = 3},
  [10554] = {.lex_state = 174, .external_lex_state = 3},
  [10555] = {.lex_state = 243, .external_lex_state = 2},
  [10556] = {.lex_state = 453, .external_lex_state = 2},
  [10557] = {.lex_state = 174, .external_lex_state = 3},
  [10558] = {.lex_state = 453, .external_lex_state = 2},
  [10559] = {.lex_state = 226, .external_lex_state = 2},
  [10560] = {.lex_state = 174, .external_lex_state = 3},
  [10561] = {.lex_state = 226, .external_lex_state = 2},
  [10562] = {.lex_state = 250, .external_lex_state = 2},
  [10563] = {.lex_state = 159, .external_lex_state = 3},
  [10564] = {.lex_state = 181, .external_lex_state = 2},
  [10565] = {.lex_state = 179, .external_lex_state = 2},
  [10566] = {.lex_state = 162, .external_lex_state = 2},
  [10567] = {.lex_state = 174, .external_lex_state = 3},
  [10568] = {.lex_state = 162, .external_lex_state = 2},
  [10569] = {.lex_state = 174, .external_lex_state = 3},
  [10570] = {.lex_state = 181, .external_lex_state = 2},
  [10571] = {.lex_state = 250, .external_lex_state = 2},
  [10572] = {.lex_state = 174, .external_lex_state = 3},
  [10573] = {.lex_state = 174, .external_lex_state = 3},
  [10574] = {.lex_state = 206, .external_lex_state = 3},
  [10575] = {.lex_state = 226, .external_lex_state = 2},
  [10576] = {.lex_state = 179, .external_lex_state = 2},
  [10577] = {.lex_state = 181, .external_lex_state = 2},
  [10578] = {.lex_state = 179, .external_lex_state = 2},
  [10579] = {.lex_state = 179, .external_lex_state = 2},
  [10580] = {.lex_state = 162, .external_lex_state = 2},
  [10581] = {.lex_state = 181, .external_lex_state = 2},
  [10582] = {.lex_state = 181, .external_lex_state = 2},
  [10583] = {.lex_state = 181, .external_lex_state = 2},
  [10584] = {.lex_state = 179, .external_lex_state = 2},
  [10585] = {.lex_state = 174, .external_lex_state = 3},
  [10586] = {.lex_state = 162, .external_lex_state = 2},
  [10587] = {.lex_state = 226, .external_lex_state = 2},
  [10588] = {.lex_state = 181, .external_lex_state = 2},
  [10589] = {.lex_state = 174, .external_lex_state = 3},
  [10590] = {.lex_state = 179, .external_lex_state = 2},
  [10591] = {.lex_state = 163, .external_lex_state = 2},
  [10592] = {.lex_state = 162, .external_lex_state = 2},
  [10593] = {.lex_state = 226, .external_lex_state = 2},
  [10594] = {.lex_state = 174, .external_lex_state = 3},
  [10595] = {.lex_state = 162, .external_lex_state = 2},
  [10596] = {.lex_state = 226, .external_lex_state = 2},
  [10597] = {.lex_state = 181, .external_lex_state = 2},
  [10598] = {.lex_state = 179, .external_lex_state = 2},
  [10599] = {.lex_state = 179, .external_lex_state = 2},
  [10600] = {.lex_state = 174, .external_lex_state = 3},
  [10601] = {.lex_state = 241, .external_lex_state = 2},
  [10602] = {.lex_state = 162, .external_lex_state = 2},
  [10603] = {.lex_state = 179, .external_lex_state = 2},
  [10604] = {.lex_state = 179, .external_lex_state = 2},
  [10605] = {.lex_state = 162, .external_lex_state = 2},
  [10606] = {.lex_state = 162, .external_lex_state = 2},
  [10607] = {.lex_state = 174, .external_lex_state = 3},
  [10608] = {.lex_state = 226, .external_lex_state = 2},
  [10609] = {.lex_state = 243, .external_lex_state = 2},
  [10610] = {.lex_state = 162, .external_lex_state = 2},
  [10611] = {.lex_state = 174, .external_lex_state = 3},
  [10612] = {.lex_state = 162, .external_lex_state = 2},
  [10613] = {.lex_state = 174, .external_lex_state = 3},
  [10614] = {.lex_state = 181, .external_lex_state = 2},
  [10615] = {.lex_state = 174, .external_lex_state = 3},
  [10616] = {.lex_state = 231, .external_lex_state = 2},
  [10617] = {.lex_state = 226, .external_lex_state = 2},
  [10618] = {.lex_state = 250, .external_lex_state = 2},
  [10619] = {.lex_state = 250, .external_lex_state = 2},
  [10620] = {.lex_state = 162, .external_lex_state = 2},
  [10621] = {.lex_state = 232, .external_lex_state = 2},
  [10622] = {.lex_state = 162, .external_lex_state = 2},
  [10623] = {.lex_state = 181, .external_lex_state = 2},
  [10624] = {.lex_state = 162, .external_lex_state = 2},
  [10625] = {.lex_state = 181, .external_lex_state = 2},
  [10626] = {.lex_state = 174, .external_lex_state = 3},
  [10627] = {.lex_state = 174, .external_lex_state = 3},
  [10628] = {.lex_state = 181, .external_lex_state = 2},
  [10629] = {.lex_state = 174, .external_lex_state = 3},
  [10630] = {.lex_state = 181, .external_lex_state = 2},
  [10631] = {.lex_state = 174, .external_lex_state = 3},
  [10632] = {.lex_state = 174, .external_lex_state = 3},
  [10633] = {.lex_state = 174, .external_lex_state = 3},
  [10634] = {.lex_state = 162, .external_lex_state = 2},
  [10635] = {.lex_state = 179, .external_lex_state = 2},
  [10636] = {.lex_state = 229, .external_lex_state = 2},
  [10637] = {.lex_state = 229, .external_lex_state = 2},
  [10638] = {.lex_state = 174, .external_lex_state = 3},
  [10639] = {.lex_state = 226, .external_lex_state = 2},
  [10640] = {.lex_state = 250, .external_lex_state = 2},
  [10641] = {.lex_state = 162, .external_lex_state = 2},
  [10642] = {.lex_state = 162, .external_lex_state = 2},
  [10643] = {.lex_state = 226, .external_lex_state = 2},
  [10644] = {.lex_state = 250, .external_lex_state = 2},
  [10645] = {.lex_state = 230, .external_lex_state = 2},
  [10646] = {.lex_state = 259, .external_lex_state = 2},
  [10647] = {.lex_state = 179, .external_lex_state = 2},
  [10648] = {.lex_state = 179, .external_lex_state = 2},
  [10649] = {.lex_state = 179, .external_lex_state = 2},
  [10650] = {.lex_state = 174, .external_lex_state = 3},
  [10651] = {.lex_state = 226, .external_lex_state = 2},
  [10652] = {.lex_state = 230, .external_lex_state = 2},
  [10653] = {.lex_state = 181, .external_lex_state = 2},
  [10654] = {.lex_state = 179, .external_lex_state = 2},
  [10655] = {.lex_state = 226, .external_lex_state = 2},
  [10656] = {.lex_state = 181, .external_lex_state = 2},
  [10657] = {.lex_state = 250, .external_lex_state = 2},
  [10658] = {.lex_state = 174, .external_lex_state = 3},
  [10659] = {.lex_state = 164, .external_lex_state = 2},
  [10660] = {.lex_state = 181, .external_lex_state = 2},
  [10661] = {.lex_state = 241, .external_lex_state = 2},
  [10662] = {.lex_state = 174, .external_lex_state = 3},
  [10663] = {.lex_state = 181, .external_lex_state = 2},
  [10664] = {.lex_state = 179, .external_lex_state = 2},
  [10665] = {.lex_state = 226, .external_lex_state = 2},
  [10666] = {.lex_state = 250, .external_lex_state = 2},
  [10667] = {.lex_state = 174, .external_lex_state = 3},
  [10668] = {.lex_state = 174, .external_lex_state = 3},
  [10669] = {.lex_state = 174, .external_lex_state = 3},
  [10670] = {.lex_state = 162, .external_lex_state = 2},
  [10671] = {.lex_state = 241, .external_lex_state = 2},
  [10672] = {.lex_state = 174, .external_lex_state = 3},
  [10673] = {.lex_state = 181, .external_lex_state = 2},
  [10674] = {.lex_state = 174, .external_lex_state = 3},
  [10675] = {.lex_state = 181, .external_lex_state = 2},
  [10676] = {.lex_state = 453, .external_lex_state = 2},
  [10677] = {.lex_state = 226, .external_lex_state = 2},
  [10678] = {.lex_state = 250, .external_lex_state = 2},
  [10679] = {.lex_state = 181, .external_lex_state = 2},
  [10680] = {.lex_state = 179, .external_lex_state = 2},
  [10681] = {.lex_state = 179, .external_lex_state = 2},
  [10682] = {.lex_state = 226, .external_lex_state = 2},
  [10683] = {.lex_state = 226, .external_lex_state = 2},
  [10684] = {.lex_state = 226, .external_lex_state = 2},
  [10685] = {.lex_state = 174, .external_lex_state = 3},
  [10686] = {.lex_state = 174, .external_lex_state = 3},
  [10687] = {.lex_state = 162, .external_lex_state = 2},
  [10688] = {.lex_state = 179, .external_lex_state = 2},
  [10689] = {.lex_state = 179, .external_lex_state = 2},
  [10690] = {.lex_state = 174, .external_lex_state = 3},
  [10691] = {.lex_state = 250, .external_lex_state = 2},
  [10692] = {.lex_state = 179, .external_lex_state = 2},
  [10693] = {.lex_state = 181, .external_lex_state = 2},
  [10694] = {.lex_state = 181, .external_lex_state = 2},
  [10695] = {.lex_state = 179, .external_lex_state = 2},
  [10696] = {.lex_state = 179, .external_lex_state = 2},
  [10697] = {.lex_state = 179, .external_lex_state = 2},
  [10698] = {.lex_state = 250, .external_lex_state = 2},
  [10699] = {.lex_state = 181, .external_lex_state = 2},
  [10700] = {.lex_state = 179, .external_lex_state = 2},
  [10701] = {.lex_state = 181, .external_lex_state = 2},
  [10702] = {.lex_state = 226, .external_lex_state = 2},
  [10703] = {.lex_state = 174, .external_lex_state = 3},
  [10704] = {.lex_state = 179, .external_lex_state = 2},
  [10705] = {.lex_state = 11, .external_lex_state = 2},
  [10706] = {.lex_state = 174, .external_lex_state = 3},
  [10707] = {.lex_state = 179, .external_lex_state = 2},
  [10708] = {.lex_state = 174, .external_lex_state = 3},
  [10709] = {.lex_state = 181, .external_lex_state = 2},
  [10710] = {.lex_state = 179, .external_lex_state = 2},
  [10711] = {.lex_state = 174, .external_lex_state = 3},
  [10712] = {.lex_state = 181, .external_lex_state = 2},
  [10713] = {.lex_state = 181, .external_lex_state = 2},
  [10714] = {.lex_state = 226, .external_lex_state = 2},
  [10715] = {.lex_state = 181, .external_lex_state = 2},
  [10716] = {.lex_state = 162, .external_lex_state = 2},
  [10717] = {.lex_state = 162, .external_lex_state = 2},
  [10718] = {.lex_state = 243, .external_lex_state = 2},
  [10719] = {.lex_state = 243, .external_lex_state = 2},
  [10720] = {.lex_state = 179, .external_lex_state = 2},
  [10721] = {.lex_state = 226, .external_lex_state = 2},
  [10722] = {.lex_state = 162, .external_lex_state = 2},
  [10723] = {.lex_state = 162, .external_lex_state = 2},
  [10724] = {.lex_state = 179, .external_lex_state = 2},
  [10725] = {.lex_state = 179, .external_lex_state = 2},
  [10726] = {.lex_state = 162, .external_lex_state = 2},
  [10727] = {.lex_state = 166, .external_lex_state = 2},
  [10728] = {.lex_state = 226, .external_lex_state = 2},
  [10729] = {.lex_state = 181, .external_lex_state = 2},
  [10730] = {.lex_state = 181, .external_lex_state = 2},
  [10731] = {.lex_state = 241, .external_lex_state = 2},
  [10732] = {.lex_state = 174, .external_lex_state = 3},
  [10733] = {.lex_state = 226, .external_lex_state = 2},
  [10734] = {.lex_state = 174, .external_lex_state = 3},
  [10735] = {.lex_state = 159, .external_lex_state = 3},
  [10736] = {.lex_state = 174, .external_lex_state = 3},
  [10737] = {.lex_state = 174, .external_lex_state = 3},
  [10738] = {.lex_state = 162, .external_lex_state = 2},
  [10739] = {.lex_state = 453, .external_lex_state = 2},
  [10740] = {.lex_state = 226, .external_lex_state = 2},
  [10741] = {.lex_state = 174, .external_lex_state = 3},
  [10742] = {.lex_state = 181, .external_lex_state = 2},
  [10743] = {.lex_state = 162, .external_lex_state = 2},
  [10744] = {.lex_state = 181, .external_lex_state = 2},
  [10745] = {.lex_state = 174, .external_lex_state = 3},
  [10746] = {.lex_state = 179, .external_lex_state = 2},
  [10747] = {.lex_state = 181, .external_lex_state = 2},
  [10748] = {.lex_state = 226, .external_lex_state = 2},
  [10749] = {.lex_state = 174, .external_lex_state = 3},
  [10750] = {.lex_state = 181, .external_lex_state = 2},
  [10751] = {.lex_state = 231, .external_lex_state = 2},
  [10752] = {.lex_state = 250, .external_lex_state = 2},
  [10753] = {.lex_state = 229, .external_lex_state = 2},
  [10754] = {.lex_state = 250, .external_lex_state = 2},
  [10755] = {.lex_state = 10, .external_lex_state = 2},
  [10756] = {.lex_state = 229, .external_lex_state = 2},
  [10757] = {.lex_state = 252, .external_lex_state = 2},
  [10758] = {.lex_state = 250, .external_lex_state = 2},
  [10759] = {.lex_state = 236, .external_lex_state = 2},
  [10760] = {.lex_state = 236, .external_lex_state = 2},
  [10761] = {.lex_state = 164, .external_lex_state = 2},
  [10762] = {.lex_state = 250, .external_lex_state = 2},
  [10763] = {.lex_state = 229, .external_lex_state = 2},
  [10764] = {.lex_state = 166, .external_lex_state = 2},
  [10765] = {.lex_state = 250, .external_lex_state = 2},
  [10766] = {.lex_state = 166, .external_lex_state = 2},
  [10767] = {.lex_state = 250, .external_lex_state = 2},
  [10768] = {.lex_state = 250, .external_lex_state = 2},
  [10769] = {.lex_state = 229, .external_lex_state = 2},
  [10770] = {.lex_state = 229, .external_lex_state = 2},
  [10771] = {.lex_state = 164, .external_lex_state = 2},
  [10772] = {.lex_state = 164, .external_lex_state = 2},
  [10773] = {.lex_state = 164, .external_lex_state = 2},
  [10774] = {.lex_state = 229, .external_lex_state = 2},
  [10775] = {.lex_state = 230, .external_lex_state = 2},
  [10776] = {.lex_state = 250, .external_lex_state = 2},
  [10777] = {.lex_state = 230, .external_lex_state = 2},
  [10778] = {.lex_state = 162, .external_lex_state = 2},
  [10779] = {.lex_state = 163, .external_lex_state = 2},
  [10780] = {.lex_state = 250, .external_lex_state = 2},
  [10781] = {.lex_state = 250, .external_lex_state = 2},
  [10782] = {.lex_state = 162, .external_lex_state = 2},
  [10783] = {.lex_state = 250, .external_lex_state = 2},
  [10784] = {.lex_state = 38, .external_lex_state = 3},
  [10785] = {.lex_state = 164, .external_lex_state = 2},
  [10786] = {.lex_state = 177, .external_lex_state = 2},
  [10787] = {.lex_state = 164, .external_lex_state = 2},
  [10788] = {.lex_state = 250, .external_lex_state = 2},
  [10789] = {.lex_state = 162, .external_lex_state = 2},
  [10790] = {.lex_state = 230, .external_lex_state = 2},
  [10791] = {.lex_state = 163, .external_lex_state = 2},
  [10792] = {.lex_state = 236, .external_lex_state = 2},
  [10793] = {.lex_state = 250, .external_lex_state = 2},
  [10794] = {.lex_state = 250, .external_lex_state = 2},
  [10795] = {.lex_state = 236, .external_lex_state = 2},
  [10796] = {.lex_state = 230, .external_lex_state = 2},
  [10797] = {.lex_state = 250, .external_lex_state = 2},
  [10798] = {.lex_state = 236, .external_lex_state = 2},
  [10799] = {.lex_state = 230, .external_lex_state = 2},
  [10800] = {.lex_state = 250, .external_lex_state = 2},
  [10801] = {.lex_state = 250, .external_lex_state = 2},
  [10802] = {.lex_state = 228, .external_lex_state = 2},
  [10803] = {.lex_state = 250, .external_lex_state = 2},
  [10804] = {.lex_state = 231, .external_lex_state = 2},
  [10805] = {.lex_state = 250, .external_lex_state = 2},
  [10806] = {.lex_state = 228, .external_lex_state = 2},
  [10807] = {.lex_state = 250, .external_lex_state = 2},
  [10808] = {.lex_state = 250, .external_lex_state = 2},
  [10809] = {.lex_state = 38, .external_lex_state = 3},
  [10810] = {.lex_state = 250, .external_lex_state = 2},
  [10811] = {.lex_state = 250, .external_lex_state = 2},
  [10812] = {.lex_state = 250, .external_lex_state = 2},
  [10813] = {.lex_state = 250, .external_lex_state = 2},
  [10814] = {.lex_state = 250, .external_lex_state = 2},
  [10815] = {.lex_state = 250, .external_lex_state = 2},
  [10816] = {.lex_state = 250, .external_lex_state = 2},
  [10817] = {.lex_state = 250, .external_lex_state = 2},
  [10818] = {.lex_state = 250, .external_lex_state = 2},
  [10819] = {.lex_state = 250, .external_lex_state = 2},
  [10820] = {.lex_state = 250, .external_lex_state = 2},
  [10821] = {.lex_state = 250, .external_lex_state = 2},
  [10822] = {.lex_state = 250, .external_lex_state = 2},
  [10823] = {.lex_state = 164, .external_lex_state = 2},
  [10824] = {.lex_state = 250, .external_lex_state = 2},
  [10825] = {.lex_state = 250, .external_lex_state = 2},
  [10826] = {.lex_state = 250, .external_lex_state = 2},
  [10827] = {.lex_state = 250, .external_lex_state = 2},
  [10828] = {.lex_state = 250, .external_lex_state = 2},
  [10829] = {.lex_state = 250, .external_lex_state = 2},
  [10830] = {.lex_state = 250, .external_lex_state = 2},
  [10831] = {.lex_state = 250, .external_lex_state = 2},
  [10832] = {.lex_state = 250, .external_lex_state = 2},
  [10833] = {.lex_state = 250, .external_lex_state = 2},
  [10834] = {.lex_state = 250, .external_lex_state = 2},
  [10835] = {.lex_state = 250, .external_lex_state = 2},
  [10836] = {.lex_state = 250, .external_lex_state = 2},
  [10837] = {.lex_state = 250, .external_lex_state = 2},
  [10838] = {.lex_state = 250, .external_lex_state = 2},
  [10839] = {.lex_state = 250, .external_lex_state = 2},
  [10840] = {.lex_state = 250, .external_lex_state = 2},
  [10841] = {.lex_state = 250, .external_lex_state = 2},
  [10842] = {.lex_state = 250, .external_lex_state = 2},
  [10843] = {.lex_state = 250, .external_lex_state = 2},
  [10844] = {.lex_state = 250, .external_lex_state = 2},
  [10845] = {.lex_state = 163, .external_lex_state = 2},
  [10846] = {.lex_state = 166, .external_lex_state = 2},
  [10847] = {.lex_state = 250, .external_lex_state = 2},
  [10848] = {.lex_state = 250, .external_lex_state = 2},
  [10849] = {.lex_state = 162, .external_lex_state = 2},
  [10850] = {.lex_state = 236, .external_lex_state = 2},
  [10851] = {.lex_state = 228, .external_lex_state = 2},
  [10852] = {.lex_state = 11, .external_lex_state = 2},
  [10853] = {.lex_state = 250, .external_lex_state = 2},
  [10854] = {.lex_state = 162, .external_lex_state = 2},
  [10855] = {.lex_state = 250, .external_lex_state = 2},
  [10856] = {.lex_state = 230, .external_lex_state = 2},
  [10857] = {.lex_state = 250, .external_lex_state = 2},
  [10858] = {.lex_state = 162, .external_lex_state = 2},
  [10859] = {.lex_state = 250, .external_lex_state = 2},
  [10860] = {.lex_state = 250, .external_lex_state = 2},
  [10861] = {.lex_state = 250, .external_lex_state = 2},
  [10862] = {.lex_state = 166, .external_lex_state = 2},
  [10863] = {.lex_state = 250, .external_lex_state = 2},
  [10864] = {.lex_state = 250, .external_lex_state = 2},
  [10865] = {.lex_state = 250, .external_lex_state = 2},
  [10866] = {.lex_state = 232, .external_lex_state = 2},
  [10867] = {.lex_state = 250, .external_lex_state = 2},
  [10868] = {.lex_state = 164, .external_lex_state = 2},
  [10869] = {.lex_state = 250, .external_lex_state = 2},
  [10870] = {.lex_state = 164, .external_lex_state = 2},
  [10871] = {.lex_state = 250, .external_lex_state = 2},
  [10872] = {.lex_state = 166, .external_lex_state = 2},
  [10873] = {.lex_state = 250, .external_lex_state = 2},
  [10874] = {.lex_state = 250, .external_lex_state = 2},
  [10875] = {.lex_state = 250, .external_lex_state = 2},
  [10876] = {.lex_state = 163, .external_lex_state = 2},
  [10877] = {.lex_state = 162, .external_lex_state = 2},
  [10878] = {.lex_state = 163, .external_lex_state = 2},
  [10879] = {.lex_state = 164, .external_lex_state = 2},
  [10880] = {.lex_state = 162, .external_lex_state = 2},
  [10881] = {.lex_state = 162, .external_lex_state = 2},
  [10882] = {.lex_state = 180, .external_lex_state = 2},
  [10883] = {.lex_state = 250, .external_lex_state = 2},
  [10884] = {.lex_state = 250, .external_lex_state = 2},
  [10885] = {.lex_state = 236, .external_lex_state = 2},
  [10886] = {.lex_state = 250, .external_lex_state = 2},
  [10887] = {.lex_state = 250, .external_lex_state = 2},
  [10888] = {.lex_state = 250, .external_lex_state = 2},
  [10889] = {.lex_state = 166, .external_lex_state = 2},
  [10890] = {.lex_state = 166, .external_lex_state = 2},
  [10891] = {.lex_state = 166, .external_lex_state = 2},
  [10892] = {.lex_state = 162, .external_lex_state = 2},
  [10893] = {.lex_state = 250, .external_lex_state = 2},
  [10894] = {.lex_state = 164, .external_lex_state = 2},
  [10895] = {.lex_state = 11, .external_lex_state = 2},
  [10896] = {.lex_state = 250, .external_lex_state = 2},
  [10897] = {.lex_state = 164, .external_lex_state = 2},
  [10898] = {.lex_state = 162, .external_lex_state = 2},
  [10899] = {.lex_state = 250, .external_lex_state = 2},
  [10900] = {.lex_state = 250, .external_lex_state = 2},
  [10901] = {.lex_state = 250, .external_lex_state = 2},
  [10902] = {.lex_state = 164, .external_lex_state = 2},
  [10903] = {.lex_state = 247, .external_lex_state = 2},
  [10904] = {.lex_state = 164, .external_lex_state = 2},
  [10905] = {.lex_state = 164, .external_lex_state = 2},
  [10906] = {.lex_state = 166, .external_lex_state = 2},
  [10907] = {.lex_state = 250, .external_lex_state = 2},
  [10908] = {.lex_state = 250, .external_lex_state = 2},
  [10909] = {.lex_state = 236, .external_lex_state = 2},
  [10910] = {.lex_state = 250, .external_lex_state = 2},
  [10911] = {.lex_state = 250, .external_lex_state = 2},
  [10912] = {.lex_state = 164, .external_lex_state = 2},
  [10913] = {.lex_state = 250, .external_lex_state = 2},
  [10914] = {.lex_state = 164, .external_lex_state = 2},
  [10915] = {.lex_state = 164, .external_lex_state = 2},
  [10916] = {.lex_state = 243, .external_lex_state = 2},
  [10917] = {.lex_state = 228, .external_lex_state = 2},
  [10918] = {.lex_state = 250, .external_lex_state = 2},
  [10919] = {.lex_state = 250, .external_lex_state = 2},
  [10920] = {.lex_state = 250, .external_lex_state = 2},
  [10921] = {.lex_state = 217, .external_lex_state = 2},
  [10922] = {.lex_state = 162, .external_lex_state = 2},
  [10923] = {.lex_state = 162, .external_lex_state = 2},
  [10924] = {.lex_state = 162, .external_lex_state = 2},
  [10925] = {.lex_state = 250, .external_lex_state = 2},
  [10926] = {.lex_state = 38, .external_lex_state = 3},
  [10927] = {.lex_state = 250, .external_lex_state = 2},
  [10928] = {.lex_state = 250, .external_lex_state = 2},
  [10929] = {.lex_state = 250, .external_lex_state = 2},
  [10930] = {.lex_state = 162, .external_lex_state = 2},
  [10931] = {.lex_state = 164, .external_lex_state = 2},
  [10932] = {.lex_state = 250, .external_lex_state = 2},
  [10933] = {.lex_state = 10, .external_lex_state = 2},
  [10934] = {.lex_state = 11, .external_lex_state = 2},
  [10935] = {.lex_state = 162, .external_lex_state = 2},
  [10936] = {.lex_state = 250, .external_lex_state = 2},
  [10937] = {.lex_state = 250, .external_lex_state = 2},
  [10938] = {.lex_state = 166, .external_lex_state = 2},
  [10939] = {.lex_state = 217, .external_lex_state = 2},
  [10940] = {.lex_state = 228, .external_lex_state = 2},
  [10941] = {.lex_state = 166, .external_lex_state = 2},
  [10942] = {.lex_state = 250, .external_lex_state = 2},
  [10943] = {.lex_state = 250, .external_lex_state = 2},
  [10944] = {.lex_state = 250, .external_lex_state = 2},
  [10945] = {.lex_state = 166, .external_lex_state = 2},
  [10946] = {.lex_state = 253, .external_lex_state = 2},
  [10947] = {.lex_state = 236, .external_lex_state = 2},
  [10948] = {.lex_state = 253, .external_lex_state = 2},
  [10949] = {.lex_state = 250, .external_lex_state = 2},
  [10950] = {.lex_state = 250, .external_lex_state = 2},
  [10951] = {.lex_state = 228, .external_lex_state = 2},
  [10952] = {.lex_state = 164, .external_lex_state = 2},
  [10953] = {.lex_state = 241, .external_lex_state = 2},
  [10954] = {.lex_state = 166, .external_lex_state = 2},
  [10955] = {.lex_state = 253, .external_lex_state = 2},
  [10956] = {.lex_state = 250, .external_lex_state = 2},
  [10957] = {.lex_state = 166, .external_lex_state = 2},
  [10958] = {.lex_state = 10, .external_lex_state = 2},
  [10959] = {.lex_state = 10, .external_lex_state = 2},
  [10960] = {.lex_state = 250, .external_lex_state = 2},
  [10961] = {.lex_state = 236, .external_lex_state = 2},
  [10962] = {.lex_state = 164, .external_lex_state = 2},
  [10963] = {.lex_state = 236, .external_lex_state = 2},
  [10964] = {.lex_state = 250, .external_lex_state = 2},
  [10965] = {.lex_state = 250, .external_lex_state = 2},
  [10966] = {.lex_state = 250, .external_lex_state = 2},
  [10967] = {.lex_state = 252, .external_lex_state = 2},
  [10968] = {.lex_state = 166, .external_lex_state = 2},
  [10969] = {.lex_state = 249, .external_lex_state = 2},
  [10970] = {.lex_state = 164, .external_lex_state = 2},
  [10971] = {.lex_state = 11, .external_lex_state = 2},
  [10972] = {.lex_state = 228, .external_lex_state = 2},
  [10973] = {.lex_state = 252, .external_lex_state = 2},
  [10974] = {.lex_state = 252, .external_lex_state = 2},
  [10975] = {.lex_state = 250, .external_lex_state = 2},
  [10976] = {.lex_state = 164, .external_lex_state = 2},
  [10977] = {.lex_state = 250, .external_lex_state = 2},
  [10978] = {.lex_state = 173, .external_lex_state = 3},
  [10979] = {.lex_state = 250, .external_lex_state = 2},
  [10980] = {.lex_state = 250, .external_lex_state = 2},
  [10981] = {.lex_state = 250, .external_lex_state = 2},
  [10982] = {.lex_state = 162, .external_lex_state = 2},
  [10983] = {.lex_state = 162, .external_lex_state = 2},
  [10984] = {.lex_state = 250, .external_lex_state = 2},
  [10985] = {.lex_state = 250, .external_lex_state = 2},
  [10986] = {.lex_state = 250, .external_lex_state = 2},
  [10987] = {.lex_state = 236, .external_lex_state = 2},
  [10988] = {.lex_state = 164, .external_lex_state = 2},
  [10989] = {.lex_state = 163, .external_lex_state = 2},
  [10990] = {.lex_state = 166, .external_lex_state = 2},
  [10991] = {.lex_state = 250, .external_lex_state = 2},
  [10992] = {.lex_state = 163, .external_lex_state = 2},
  [10993] = {.lex_state = 253, .external_lex_state = 2},
  [10994] = {.lex_state = 174, .external_lex_state = 3},
  [10995] = {.lex_state = 163, .external_lex_state = 2},
  [10996] = {.lex_state = 228, .external_lex_state = 2},
  [10997] = {.lex_state = 228, .external_lex_state = 2},
  [10998] = {.lex_state = 250, .external_lex_state = 2},
  [10999] = {.lex_state = 250, .external_lex_state = 2},
  [11000] = {.lex_state = 250, .external_lex_state = 2},
  [11001] = {.lex_state = 164, .external_lex_state = 2},
  [11002] = {.lex_state = 163, .external_lex_state = 2},
  [11003] = {.lex_state = 163, .external_lex_state = 2},
  [11004] = {.lex_state = 163, .external_lex_state = 2},
  [11005] = {.lex_state = 163, .external_lex_state = 2},
  [11006] = {.lex_state = 163, .external_lex_state = 2},
  [11007] = {.lex_state = 163, .external_lex_state = 2},
  [11008] = {.lex_state = 163, .external_lex_state = 2},
  [11009] = {.lex_state = 163, .external_lex_state = 2},
  [11010] = {.lex_state = 163, .external_lex_state = 2},
  [11011] = {.lex_state = 163, .external_lex_state = 2},
  [11012] = {.lex_state = 163, .external_lex_state = 2},
  [11013] = {.lex_state = 228, .external_lex_state = 2},
  [11014] = {.lex_state = 228, .external_lex_state = 2},
  [11015] = {.lex_state = 250, .external_lex_state = 2},
  [11016] = {.lex_state = 182, .external_lex_state = 2},
  [11017] = {.lex_state = 163, .external_lex_state = 2},
  [11018] = {.lex_state = 164, .external_lex_state = 2},
  [11019] = {.lex_state = 250, .external_lex_state = 2},
  [11020] = {.lex_state = 250, .external_lex_state = 2},
  [11021] = {.lex_state = 164, .external_lex_state = 2},
  [11022] = {.lex_state = 250, .external_lex_state = 2},
  [11023] = {.lex_state = 250, .external_lex_state = 2},
  [11024] = {.lex_state = 250, .external_lex_state = 2},
  [11025] = {.lex_state = 250, .external_lex_state = 2},
  [11026] = {.lex_state = 250, .external_lex_state = 2},
  [11027] = {.lex_state = 11, .external_lex_state = 2},
  [11028] = {.lex_state = 250, .external_lex_state = 2},
  [11029] = {.lex_state = 250, .external_lex_state = 2},
  [11030] = {.lex_state = 250, .external_lex_state = 2},
  [11031] = {.lex_state = 250, .external_lex_state = 2},
  [11032] = {.lex_state = 250, .external_lex_state = 2},
  [11033] = {.lex_state = 250, .external_lex_state = 2},
  [11034] = {.lex_state = 163, .external_lex_state = 2},
  [11035] = {.lex_state = 250, .external_lex_state = 2},
  [11036] = {.lex_state = 228, .external_lex_state = 2},
  [11037] = {.lex_state = 164, .external_lex_state = 2},
  [11038] = {.lex_state = 10, .external_lex_state = 2},
  [11039] = {.lex_state = 250, .external_lex_state = 2},
  [11040] = {.lex_state = 250, .external_lex_state = 2},
  [11041] = {.lex_state = 162, .external_lex_state = 2},
  [11042] = {.lex_state = 164, .external_lex_state = 2},
  [11043] = {.lex_state = 164, .external_lex_state = 2},
  [11044] = {.lex_state = 164, .external_lex_state = 2},
  [11045] = {.lex_state = 164, .external_lex_state = 2},
  [11046] = {.lex_state = 162, .external_lex_state = 2},
  [11047] = {.lex_state = 164, .external_lex_state = 2},
  [11048] = {.lex_state = 166, .external_lex_state = 2},
  [11049] = {.lex_state = 162, .external_lex_state = 2},
  [11050] = {.lex_state = 162, .external_lex_state = 2},
  [11051] = {.lex_state = 243, .external_lex_state = 2},
  [11052] = {.lex_state = 226, .external_lex_state = 2},
  [11053] = {.lex_state = 11, .external_lex_state = 2},
  [11054] = {.lex_state = 10, .external_lex_state = 2},
  [11055] = {.lex_state = 250, .external_lex_state = 2},
  [11056] = {.lex_state = 250, .external_lex_state = 2},
  [11057] = {.lex_state = 250, .external_lex_state = 2},
  [11058] = {.lex_state = 250, .external_lex_state = 2},
  [11059] = {.lex_state = 250, .external_lex_state = 2},
  [11060] = {.lex_state = 250, .external_lex_state = 2},
  [11061] = {.lex_state = 250, .external_lex_state = 2},
  [11062] = {.lex_state = 250, .external_lex_state = 2},
  [11063] = {.lex_state = 250, .external_lex_state = 2},
  [11064] = {.lex_state = 250, .external_lex_state = 2},
  [11065] = {.lex_state = 241, .external_lex_state = 2},
  [11066] = {.lex_state = 241, .external_lex_state = 2},
  [11067] = {.lex_state = 250, .external_lex_state = 2},
  [11068] = {.lex_state = 250, .external_lex_state = 2},
  [11069] = {.lex_state = 250, .external_lex_state = 2},
  [11070] = {.lex_state = 250, .external_lex_state = 2},
  [11071] = {.lex_state = 250, .external_lex_state = 2},
  [11072] = {.lex_state = 250, .external_lex_state = 2},
  [11073] = {.lex_state = 250, .external_lex_state = 2},
  [11074] = {.lex_state = 250, .external_lex_state = 2},
  [11075] = {.lex_state = 11, .external_lex_state = 2},
  [11076] = {.lex_state = 226, .external_lex_state = 2},
  [11077] = {.lex_state = 250, .external_lex_state = 2},
  [11078] = {.lex_state = 250, .external_lex_state = 2},
  [11079] = {.lex_state = 250, .external_lex_state = 2},
  [11080] = {.lex_state = 250, .external_lex_state = 2},
  [11081] = {.lex_state = 11, .external_lex_state = 2},
  [11082] = {.lex_state = 241, .external_lex_state = 2},
  [11083] = {.lex_state = 250, .external_lex_state = 2},
  [11084] = {.lex_state = 10, .external_lex_state = 2},
  [11085] = {.lex_state = 250, .external_lex_state = 2},
  [11086] = {.lex_state = 10, .external_lex_state = 2},
  [11087] = {.lex_state = 250, .external_lex_state = 2},
  [11088] = {.lex_state = 250, .external_lex_state = 2},
  [11089] = {.lex_state = 250, .external_lex_state = 2},
  [11090] = {.lex_state = 250, .external_lex_state = 2},
  [11091] = {.lex_state = 241, .external_lex_state = 2},
  [11092] = {.lex_state = 250, .external_lex_state = 2},
  [11093] = {.lex_state = 250, .external_lex_state = 2},
  [11094] = {.lex_state = 250, .external_lex_state = 2},
  [11095] = {.lex_state = 250, .external_lex_state = 2},
  [11096] = {.lex_state = 250, .external_lex_state = 2},
  [11097] = {.lex_state = 250, .external_lex_state = 2},
  [11098] = {.lex_state = 250, .external_lex_state = 2},
  [11099] = {.lex_state = 250, .external_lex_state = 2},
  [11100] = {.lex_state = 226, .external_lex_state = 2},
  [11101] = {.lex_state = 250, .external_lex_state = 2},
  [11102] = {.lex_state = 10, .external_lex_state = 2},
  [11103] = {.lex_state = 250, .external_lex_state = 2},
  [11104] = {.lex_state = 250, .external_lex_state = 2},
  [11105] = {.lex_state = 250, .external_lex_state = 2},
  [11106] = {.lex_state = 250, .external_lex_state = 2},
  [11107] = {.lex_state = 250, .external_lex_state = 2},
  [11108] = {.lex_state = 250, .external_lex_state = 2},
  [11109] = {.lex_state = 250, .external_lex_state = 2},
  [11110] = {.lex_state = 250, .external_lex_state = 2},
  [11111] = {.lex_state = 250, .external_lex_state = 2},
  [11112] = {.lex_state = 250, .external_lex_state = 2},
  [11113] = {.lex_state = 250, .external_lex_state = 2},
  [11114] = {.lex_state = 250, .external_lex_state = 2},
  [11115] = {.lex_state = 250, .external_lex_state = 2},
  [11116] = {.lex_state = 226, .external_lex_state = 2},
  [11117] = {.lex_state = 250, .external_lex_state = 2},
  [11118] = {.lex_state = 250, .external_lex_state = 2},
  [11119] = {.lex_state = 250, .external_lex_state = 2},
  [11120] = {.lex_state = 250, .external_lex_state = 2},
  [11121] = {.lex_state = 250, .external_lex_state = 2},
  [11122] = {.lex_state = 250, .external_lex_state = 2},
  [11123] = {.lex_state = 250, .external_lex_state = 2},
  [11124] = {.lex_state = 250, .external_lex_state = 2},
  [11125] = {.lex_state = 11, .external_lex_state = 2},
  [11126] = {.lex_state = 250, .external_lex_state = 2},
  [11127] = {.lex_state = 226, .external_lex_state = 2},
  [11128] = {.lex_state = 250, .external_lex_state = 2},
  [11129] = {.lex_state = 250, .external_lex_state = 2},
  [11130] = {.lex_state = 243, .external_lex_state = 2},
  [11131] = {.lex_state = 243, .external_lex_state = 2},
  [11132] = {.lex_state = 243, .external_lex_state = 2},
  [11133] = {.lex_state = 243, .external_lex_state = 2},
  [11134] = {.lex_state = 243, .external_lex_state = 2},
  [11135] = {.lex_state = 243, .external_lex_state = 2},
  [11136] = {.lex_state = 236, .external_lex_state = 2},
  [11137] = {.lex_state = 226, .external_lex_state = 2},
  [11138] = {.lex_state = 250, .external_lex_state = 2},
  [11139] = {.lex_state = 236, .external_lex_state = 2},
  [11140] = {.lex_state = 250, .external_lex_state = 2},
  [11141] = {.lex_state = 241, .external_lex_state = 2},
  [11142] = {.lex_state = 10, .external_lex_state = 2},
  [11143] = {.lex_state = 163, .external_lex_state = 2},
  [11144] = {.lex_state = 226, .external_lex_state = 2},
  [11145] = {.lex_state = 174, .external_lex_state = 3},
  [11146] = {.lex_state = 250, .external_lex_state = 2},
  [11147] = {.lex_state = 228, .external_lex_state = 2},
  [11148] = {.lex_state = 226, .external_lex_state = 2},
  [11149] = {.lex_state = 241, .external_lex_state = 2},
  [11150] = {.lex_state = 241, .external_lex_state = 2},
  [11151] = {.lex_state = 241, .external_lex_state = 2},
  [11152] = {.lex_state = 11, .external_lex_state = 2},
  [11153] = {.lex_state = 226, .external_lex_state = 2},
  [11154] = {.lex_state = 228, .external_lex_state = 2},
  [11155] = {.lex_state = 159, .external_lex_state = 2},
  [11156] = {.lex_state = 38, .external_lex_state = 3},
  [11157] = {.lex_state = 241, .external_lex_state = 2},
  [11158] = {.lex_state = 163, .external_lex_state = 2},
  [11159] = {.lex_state = 163, .external_lex_state = 2},
  [11160] = {.lex_state = 163, .external_lex_state = 2},
  [11161] = {.lex_state = 163, .external_lex_state = 2},
  [11162] = {.lex_state = 163, .external_lex_state = 2},
  [11163] = {.lex_state = 163, .external_lex_state = 2},
  [11164] = {.lex_state = 163, .external_lex_state = 2},
  [11165] = {.lex_state = 163, .external_lex_state = 2},
  [11166] = {.lex_state = 163, .external_lex_state = 2},
  [11167] = {.lex_state = 163, .external_lex_state = 2},
  [11168] = {.lex_state = 163, .external_lex_state = 2},
  [11169] = {.lex_state = 10, .external_lex_state = 2},
  [11170] = {.lex_state = 226, .external_lex_state = 2},
  [11171] = {.lex_state = 241, .external_lex_state = 2},
  [11172] = {.lex_state = 241, .external_lex_state = 2},
  [11173] = {.lex_state = 241, .external_lex_state = 2},
  [11174] = {.lex_state = 226, .external_lex_state = 2},
  [11175] = {.lex_state = 163, .external_lex_state = 2},
  [11176] = {.lex_state = 241, .external_lex_state = 2},
  [11177] = {.lex_state = 241, .external_lex_state = 2},
  [11178] = {.lex_state = 10, .external_lex_state = 2},
  [11179] = {.lex_state = 241, .external_lex_state = 2},
  [11180] = {.lex_state = 226, .external_lex_state = 2},
  [11181] = {.lex_state = 226, .external_lex_state = 2},
  [11182] = {.lex_state = 220, .external_lex_state = 2},
  [11183] = {.lex_state = 10, .external_lex_state = 2},
  [11184] = {.lex_state = 253, .external_lex_state = 2},
  [11185] = {.lex_state = 241, .external_lex_state = 2},
  [11186] = {.lex_state = 10, .external_lex_state = 2},
  [11187] = {.lex_state = 10, .external_lex_state = 2},
  [11188] = {.lex_state = 10, .external_lex_state = 2},
  [11189] = {.lex_state = 10, .external_lex_state = 2},
  [11190] = {.lex_state = 10, .external_lex_state = 2},
  [11191] = {.lex_state = 10, .external_lex_state = 2},
  [11192] = {.lex_state = 166, .external_lex_state = 2},
  [11193] = {.lex_state = 10, .external_lex_state = 2},
  [11194] = {.lex_state = 10, .external_lex_state = 2},
  [11195] = {.lex_state = 10, .external_lex_state = 2},
  [11196] = {.lex_state = 10, .external_lex_state = 2},
  [11197] = {.lex_state = 10, .external_lex_state = 2},
  [11198] = {.lex_state = 11, .external_lex_state = 2},
  [11199] = {.lex_state = 226, .external_lex_state = 2},
  [11200] = {.lex_state = 11, .external_lex_state = 2},
  [11201] = {.lex_state = 10, .external_lex_state = 2},
  [11202] = {.lex_state = 11, .external_lex_state = 2},
  [11203] = {.lex_state = 10, .external_lex_state = 2},
  [11204] = {.lex_state = 173, .external_lex_state = 3},
  [11205] = {.lex_state = 11, .external_lex_state = 2},
  [11206] = {.lex_state = 11, .external_lex_state = 2},
  [11207] = {.lex_state = 10, .external_lex_state = 2},
  [11208] = {.lex_state = 250, .external_lex_state = 2},
  [11209] = {.lex_state = 250, .external_lex_state = 2},
  [11210] = {.lex_state = 226, .external_lex_state = 2},
  [11211] = {.lex_state = 250, .external_lex_state = 2},
  [11212] = {.lex_state = 11, .external_lex_state = 2},
  [11213] = {.lex_state = 250, .external_lex_state = 2},
  [11214] = {.lex_state = 250, .external_lex_state = 2},
  [11215] = {.lex_state = 226, .external_lex_state = 2},
  [11216] = {.lex_state = 226, .external_lex_state = 2},
  [11217] = {.lex_state = 254, .external_lex_state = 2},
  [11218] = {.lex_state = 254, .external_lex_state = 2},
  [11219] = {.lex_state = 241, .external_lex_state = 2},
  [11220] = {.lex_state = 254, .external_lex_state = 2},
  [11221] = {.lex_state = 236, .external_lex_state = 2},
  [11222] = {.lex_state = 241, .external_lex_state = 2},
  [11223] = {.lex_state = 220, .external_lex_state = 2},
  [11224] = {.lex_state = 11, .external_lex_state = 2},
  [11225] = {.lex_state = 11, .external_lex_state = 2},
  [11226] = {.lex_state = 162, .external_lex_state = 2},
  [11227] = {.lex_state = 226, .external_lex_state = 2},
  [11228] = {.lex_state = 159, .external_lex_state = 3},
  [11229] = {.lex_state = 250, .external_lex_state = 2},
  [11230] = {.lex_state = 247, .external_lex_state = 2},
  [11231] = {.lex_state = 250, .external_lex_state = 2},
  [11232] = {.lex_state = 250, .external_lex_state = 2},
  [11233] = {.lex_state = 250, .external_lex_state = 2},
  [11234] = {.lex_state = 250, .external_lex_state = 2},
  [11235] = {.lex_state = 250, .external_lex_state = 2},
  [11236] = {.lex_state = 226, .external_lex_state = 2},
  [11237] = {.lex_state = 250, .external_lex_state = 2},
  [11238] = {.lex_state = 250, .external_lex_state = 2},
  [11239] = {.lex_state = 11, .external_lex_state = 2},
  [11240] = {.lex_state = 11, .external_lex_state = 2},
  [11241] = {.lex_state = 250, .external_lex_state = 2},
  [11242] = {.lex_state = 10, .external_lex_state = 2},
  [11243] = {.lex_state = 163, .external_lex_state = 2},
  [11244] = {.lex_state = 250, .external_lex_state = 2},
  [11245] = {.lex_state = 10, .external_lex_state = 2},
  [11246] = {.lex_state = 226, .external_lex_state = 2},
  [11247] = {.lex_state = 250, .external_lex_state = 2},
  [11248] = {.lex_state = 243, .external_lex_state = 2},
  [11249] = {.lex_state = 250, .external_lex_state = 2},
  [11250] = {.lex_state = 250, .external_lex_state = 2},
  [11251] = {.lex_state = 226, .external_lex_state = 2},
  [11252] = {.lex_state = 10, .external_lex_state = 2},
  [11253] = {.lex_state = 10, .external_lex_state = 2},
  [11254] = {.lex_state = 226, .external_lex_state = 2},
  [11255] = {.lex_state = 250, .external_lex_state = 2},
  [11256] = {.lex_state = 250, .external_lex_state = 2},
  [11257] = {.lex_state = 226, .external_lex_state = 2},
  [11258] = {.lex_state = 241, .external_lex_state = 2},
  [11259] = {.lex_state = 250, .external_lex_state = 2},
  [11260] = {.lex_state = 250, .external_lex_state = 2},
  [11261] = {.lex_state = 250, .external_lex_state = 2},
  [11262] = {.lex_state = 241, .external_lex_state = 2},
  [11263] = {.lex_state = 250, .external_lex_state = 2},
  [11264] = {.lex_state = 241, .external_lex_state = 2},
  [11265] = {.lex_state = 226, .external_lex_state = 2},
  [11266] = {.lex_state = 241, .external_lex_state = 2},
  [11267] = {.lex_state = 255, .external_lex_state = 2},
  [11268] = {.lex_state = 255, .external_lex_state = 2},
  [11269] = {.lex_state = 241, .external_lex_state = 2},
  [11270] = {.lex_state = 255, .external_lex_state = 2},
  [11271] = {.lex_state = 249, .external_lex_state = 2},
  [11272] = {.lex_state = 10, .external_lex_state = 2},
  [11273] = {.lex_state = 226, .external_lex_state = 2},
  [11274] = {.lex_state = 241, .external_lex_state = 2},
  [11275] = {.lex_state = 241, .external_lex_state = 2},
  [11276] = {.lex_state = 10, .external_lex_state = 2},
  [11277] = {.lex_state = 226, .external_lex_state = 2},
  [11278] = {.lex_state = 243, .external_lex_state = 2},
  [11279] = {.lex_state = 226, .external_lex_state = 2},
  [11280] = {.lex_state = 250, .external_lex_state = 2},
  [11281] = {.lex_state = 250, .external_lex_state = 2},
  [11282] = {.lex_state = 250, .external_lex_state = 2},
  [11283] = {.lex_state = 243, .external_lex_state = 2},
  [11284] = {.lex_state = 163, .external_lex_state = 2},
  [11285] = {.lex_state = 226, .external_lex_state = 2},
  [11286] = {.lex_state = 10, .external_lex_state = 2},
  [11287] = {.lex_state = 226, .external_lex_state = 2},
  [11288] = {.lex_state = 10, .external_lex_state = 2},
  [11289] = {.lex_state = 10, .external_lex_state = 2},
  [11290] = {.lex_state = 10, .external_lex_state = 2},
  [11291] = {.lex_state = 159, .external_lex_state = 2},
  [11292] = {.lex_state = 226, .external_lex_state = 2},
  [11293] = {.lex_state = 250, .external_lex_state = 2},
  [11294] = {.lex_state = 250, .external_lex_state = 2},
  [11295] = {.lex_state = 250, .external_lex_state = 2},
  [11296] = {.lex_state = 226, .external_lex_state = 2},
  [11297] = {.lex_state = 226, .external_lex_state = 2},
  [11298] = {.lex_state = 163, .external_lex_state = 2},
  [11299] = {.lex_state = 10, .external_lex_state = 2},
  [11300] = {.lex_state = 250, .external_lex_state = 2},
  [11301] = {.lex_state = 226, .external_lex_state = 2},
  [11302] = {.lex_state = 250, .external_lex_state = 2},
  [11303] = {.lex_state = 250, .external_lex_state = 2},
  [11304] = {.lex_state = 226, .external_lex_state = 2},
  [11305] = {.lex_state = 241, .external_lex_state = 2},
  [11306] = {.lex_state = 11, .external_lex_state = 2},
  [11307] = {.lex_state = 11, .external_lex_state = 2},
  [11308] = {.lex_state = 226, .external_lex_state = 2},
  [11309] = {.lex_state = 250, .external_lex_state = 2},
  [11310] = {.lex_state = 11, .external_lex_state = 2},
  [11311] = {.lex_state = 11, .external_lex_state = 2},
  [11312] = {.lex_state = 11, .external_lex_state = 2},
  [11313] = {.lex_state = 11, .external_lex_state = 2},
  [11314] = {.lex_state = 250, .external_lex_state = 2},
  [11315] = {.lex_state = 226, .external_lex_state = 2},
  [11316] = {.lex_state = 11, .external_lex_state = 2},
  [11317] = {.lex_state = 11, .external_lex_state = 2},
  [11318] = {.lex_state = 11, .external_lex_state = 2},
  [11319] = {.lex_state = 11, .external_lex_state = 2},
  [11320] = {.lex_state = 226, .external_lex_state = 2},
  [11321] = {.lex_state = 10, .external_lex_state = 2},
  [11322] = {.lex_state = 243, .external_lex_state = 2},
  [11323] = {.lex_state = 250, .external_lex_state = 2},
  [11324] = {.lex_state = 241, .external_lex_state = 2},
  [11325] = {.lex_state = 241, .external_lex_state = 2},
  [11326] = {.lex_state = 250, .external_lex_state = 2},
  [11327] = {.lex_state = 250, .external_lex_state = 2},
  [11328] = {.lex_state = 250, .external_lex_state = 2},
  [11329] = {.lex_state = 166, .external_lex_state = 2},
  [11330] = {.lex_state = 226, .external_lex_state = 2},
  [11331] = {.lex_state = 166, .external_lex_state = 2},
  [11332] = {.lex_state = 241, .external_lex_state = 2},
  [11333] = {.lex_state = 241, .external_lex_state = 2},
  [11334] = {.lex_state = 226, .external_lex_state = 2},
  [11335] = {.lex_state = 243, .external_lex_state = 2},
  [11336] = {.lex_state = 243, .external_lex_state = 2},
  [11337] = {.lex_state = 243, .external_lex_state = 2},
  [11338] = {.lex_state = 243, .external_lex_state = 2},
  [11339] = {.lex_state = 243, .external_lex_state = 2},
  [11340] = {.lex_state = 10, .external_lex_state = 2},
  [11341] = {.lex_state = 252, .external_lex_state = 2},
  [11342] = {.lex_state = 250, .external_lex_state = 2},
  [11343] = {.lex_state = 243, .external_lex_state = 2},
  [11344] = {.lex_state = 11, .external_lex_state = 2},
  [11345] = {.lex_state = 243, .external_lex_state = 2},
  [11346] = {.lex_state = 243, .external_lex_state = 2},
  [11347] = {.lex_state = 243, .external_lex_state = 2},
  [11348] = {.lex_state = 250, .external_lex_state = 2},
  [11349] = {.lex_state = 250, .external_lex_state = 2},
  [11350] = {.lex_state = 250, .external_lex_state = 2},
  [11351] = {.lex_state = 226, .external_lex_state = 2},
  [11352] = {.lex_state = 11, .external_lex_state = 2},
  [11353] = {.lex_state = 243, .external_lex_state = 2},
  [11354] = {.lex_state = 243, .external_lex_state = 2},
  [11355] = {.lex_state = 243, .external_lex_state = 2},
  [11356] = {.lex_state = 243, .external_lex_state = 2},
  [11357] = {.lex_state = 11, .external_lex_state = 2},
  [11358] = {.lex_state = 226, .external_lex_state = 2},
  [11359] = {.lex_state = 250, .external_lex_state = 2},
  [11360] = {.lex_state = 226, .external_lex_state = 2},
  [11361] = {.lex_state = 226, .external_lex_state = 2},
  [11362] = {.lex_state = 250, .external_lex_state = 2},
  [11363] = {.lex_state = 226, .external_lex_state = 2},
  [11364] = {.lex_state = 226, .external_lex_state = 2},
  [11365] = {.lex_state = 250, .external_lex_state = 2},
  [11366] = {.lex_state = 226, .external_lex_state = 2},
  [11367] = {.lex_state = 226, .external_lex_state = 2},
  [11368] = {.lex_state = 250, .external_lex_state = 2},
  [11369] = {.lex_state = 250, .external_lex_state = 2},
  [11370] = {.lex_state = 11, .external_lex_state = 2},
  [11371] = {.lex_state = 11, .external_lex_state = 2},
  [11372] = {.lex_state = 250, .external_lex_state = 2},
  [11373] = {.lex_state = 250, .external_lex_state = 2},
  [11374] = {.lex_state = 250, .external_lex_state = 2},
  [11375] = {.lex_state = 250, .external_lex_state = 2},
  [11376] = {.lex_state = 250, .external_lex_state = 2},
  [11377] = {.lex_state = 250, .external_lex_state = 2},
  [11378] = {.lex_state = 243, .external_lex_state = 2},
  [11379] = {.lex_state = 250, .external_lex_state = 2},
  [11380] = {.lex_state = 250, .external_lex_state = 2},
  [11381] = {.lex_state = 250, .external_lex_state = 2},
  [11382] = {.lex_state = 250, .external_lex_state = 2},
  [11383] = {.lex_state = 250, .external_lex_state = 2},
  [11384] = {.lex_state = 250, .external_lex_state = 2},
  [11385] = {.lex_state = 250, .external_lex_state = 2},
  [11386] = {.lex_state = 250, .external_lex_state = 2},
  [11387] = {.lex_state = 243, .external_lex_state = 2},
  [11388] = {.lex_state = 241, .external_lex_state = 2},
  [11389] = {.lex_state = 11, .external_lex_state = 2},
  [11390] = {.lex_state = 243, .external_lex_state = 2},
  [11391] = {.lex_state = 243, .external_lex_state = 2},
  [11392] = {.lex_state = 243, .external_lex_state = 2},
  [11393] = {.lex_state = 250, .external_lex_state = 2},
  [11394] = {.lex_state = 250, .external_lex_state = 2},
  [11395] = {.lex_state = 243, .external_lex_state = 2},
  [11396] = {.lex_state = 241, .external_lex_state = 2},
  [11397] = {.lex_state = 250, .external_lex_state = 2},
  [11398] = {.lex_state = 250, .external_lex_state = 2},
  [11399] = {.lex_state = 243, .external_lex_state = 2},
  [11400] = {.lex_state = 243, .external_lex_state = 2},
  [11401] = {.lex_state = 243, .external_lex_state = 2},
  [11402] = {.lex_state = 226, .external_lex_state = 2},
  [11403] = {.lex_state = 250, .external_lex_state = 2},
  [11404] = {.lex_state = 250, .external_lex_state = 2},
  [11405] = {.lex_state = 241, .external_lex_state = 2},
  [11406] = {.lex_state = 250, .external_lex_state = 2},
  [11407] = {.lex_state = 243, .external_lex_state = 2},
  [11408] = {.lex_state = 250, .external_lex_state = 2},
  [11409] = {.lex_state = 250, .external_lex_state = 2},
  [11410] = {.lex_state = 250, .external_lex_state = 2},
  [11411] = {.lex_state = 241, .external_lex_state = 2},
  [11412] = {.lex_state = 250, .external_lex_state = 2},
  [11413] = {.lex_state = 250, .external_lex_state = 2},
  [11414] = {.lex_state = 250, .external_lex_state = 2},
  [11415] = {.lex_state = 250, .external_lex_state = 2},
  [11416] = {.lex_state = 241, .external_lex_state = 2},
  [11417] = {.lex_state = 243, .external_lex_state = 2},
  [11418] = {.lex_state = 241, .external_lex_state = 2},
  [11419] = {.lex_state = 250, .external_lex_state = 2},
  [11420] = {.lex_state = 220, .external_lex_state = 2},
  [11421] = {.lex_state = 243, .external_lex_state = 2},
  [11422] = {.lex_state = 228, .external_lex_state = 2},
  [11423] = {.lex_state = 163, .external_lex_state = 2},
  [11424] = {.lex_state = 220, .external_lex_state = 2},
  [11425] = {.lex_state = 243, .external_lex_state = 2},
  [11426] = {.lex_state = 11, .external_lex_state = 2},
  [11427] = {.lex_state = 11, .external_lex_state = 2},
  [11428] = {.lex_state = 11, .external_lex_state = 2},
  [11429] = {.lex_state = 11, .external_lex_state = 2},
  [11430] = {.lex_state = 250, .external_lex_state = 2},
  [11431] = {.lex_state = 250, .external_lex_state = 2},
  [11432] = {.lex_state = 250, .external_lex_state = 2},
  [11433] = {.lex_state = 226, .external_lex_state = 2},
  [11434] = {.lex_state = 250, .external_lex_state = 2},
  [11435] = {.lex_state = 250, .external_lex_state = 2},
  [11436] = {.lex_state = 250, .external_lex_state = 2},
  [11437] = {.lex_state = 250, .external_lex_state = 2},
  [11438] = {.lex_state = 250, .external_lex_state = 2},
  [11439] = {.lex_state = 250, .external_lex_state = 2},
  [11440] = {.lex_state = 250, .external_lex_state = 2},
  [11441] = {.lex_state = 250, .external_lex_state = 2},
  [11442] = {.lex_state = 250, .external_lex_state = 2},
  [11443] = {.lex_state = 226, .external_lex_state = 2},
  [11444] = {.lex_state = 226, .external_lex_state = 2},
  [11445] = {.lex_state = 226, .external_lex_state = 2},
  [11446] = {.lex_state = 226, .external_lex_state = 2},
  [11447] = {.lex_state = 226, .external_lex_state = 2},
  [11448] = {.lex_state = 226, .external_lex_state = 2},
  [11449] = {.lex_state = 226, .external_lex_state = 2},
  [11450] = {.lex_state = 226, .external_lex_state = 2},
  [11451] = {.lex_state = 226, .external_lex_state = 2},
  [11452] = {.lex_state = 226, .external_lex_state = 2},
  [11453] = {.lex_state = 226, .external_lex_state = 2},
  [11454] = {.lex_state = 226, .external_lex_state = 2},
  [11455] = {.lex_state = 226, .external_lex_state = 2},
  [11456] = {.lex_state = 226, .external_lex_state = 2},
  [11457] = {.lex_state = 226, .external_lex_state = 2},
  [11458] = {.lex_state = 226, .external_lex_state = 2},
  [11459] = {.lex_state = 226, .external_lex_state = 2},
  [11460] = {.lex_state = 226, .external_lex_state = 2},
  [11461] = {.lex_state = 226, .external_lex_state = 2},
  [11462] = {.lex_state = 226, .external_lex_state = 2},
  [11463] = {.lex_state = 226, .external_lex_state = 2},
  [11464] = {.lex_state = 226, .external_lex_state = 2},
  [11465] = {.lex_state = 226, .external_lex_state = 2},
  [11466] = {.lex_state = 226, .external_lex_state = 2},
  [11467] = {.lex_state = 241, .external_lex_state = 2},
  [11468] = {.lex_state = 12, .external_lex_state = 2},
  [11469] = {.lex_state = 159, .external_lex_state = 2},
  [11470] = {.lex_state = 159, .external_lex_state = 2},
  [11471] = {.lex_state = 159, .external_lex_state = 2},
  [11472] = {.lex_state = 159, .external_lex_state = 2},
  [11473] = {.lex_state = 159, .external_lex_state = 2},
  [11474] = {.lex_state = 159, .external_lex_state = 2},
  [11475] = {.lex_state = 159, .external_lex_state = 2},
  [11476] = {.lex_state = 159, .external_lex_state = 2},
  [11477] = {.lex_state = 159, .external_lex_state = 2},
  [11478] = {.lex_state = 250, .external_lex_state = 2},
  [11479] = {.lex_state = 163, .external_lex_state = 2},
  [11480] = {.lex_state = 164, .external_lex_state = 2},
  [11481] = {.lex_state = 159, .external_lex_state = 2},
  [11482] = {.lex_state = 164, .external_lex_state = 2},
  [11483] = {.lex_state = 250, .external_lex_state = 2},
  [11484] = {.lex_state = 250, .external_lex_state = 2},
  [11485] = {.lex_state = 453, .external_lex_state = 3},
  [11486] = {.lex_state = 228, .external_lex_state = 2},
  [11487] = {.lex_state = 228, .external_lex_state = 2},
  [11488] = {.lex_state = 228, .external_lex_state = 2},
  [11489] = {.lex_state = 228, .external_lex_state = 2},
  [11490] = {.lex_state = 229, .external_lex_state = 2},
  [11491] = {.lex_state = 250, .external_lex_state = 2},
  [11492] = {.lex_state = 159, .external_lex_state = 2},
  [11493] = {.lex_state = 159, .external_lex_state = 2},
  [11494] = {.lex_state = 159, .external_lex_state = 2},
  [11495] = {.lex_state = 159, .external_lex_state = 2},
  [11496] = {.lex_state = 159, .external_lex_state = 2},
  [11497] = {.lex_state = 250, .external_lex_state = 2},
  [11498] = {.lex_state = 164, .external_lex_state = 2},
  [11499] = {.lex_state = 159, .external_lex_state = 2},
  [11500] = {.lex_state = 159, .external_lex_state = 2},
  [11501] = {.lex_state = 236, .external_lex_state = 2},
  [11502] = {.lex_state = 236, .external_lex_state = 2},
  [11503] = {.lex_state = 236, .external_lex_state = 2},
  [11504] = {.lex_state = 236, .external_lex_state = 2},
  [11505] = {.lex_state = 236, .external_lex_state = 2},
  [11506] = {.lex_state = 228, .external_lex_state = 2},
  [11507] = {.lex_state = 228, .external_lex_state = 2},
  [11508] = {.lex_state = 228, .external_lex_state = 2},
  [11509] = {.lex_state = 236, .external_lex_state = 2},
  [11510] = {.lex_state = 159, .external_lex_state = 2},
  [11511] = {.lex_state = 236, .external_lex_state = 2},
  [11512] = {.lex_state = 236, .external_lex_state = 2},
  [11513] = {.lex_state = 236, .external_lex_state = 2},
  [11514] = {.lex_state = 236, .external_lex_state = 2},
  [11515] = {.lex_state = 228, .external_lex_state = 2},
  [11516] = {.lex_state = 164, .external_lex_state = 2},
  [11517] = {.lex_state = 250, .external_lex_state = 2},
  [11518] = {.lex_state = 228, .external_lex_state = 2},
  [11519] = {.lex_state = 164, .external_lex_state = 2},
  [11520] = {.lex_state = 164, .external_lex_state = 2},
  [11521] = {.lex_state = 236, .external_lex_state = 2},
  [11522] = {.lex_state = 236, .external_lex_state = 2},
  [11523] = {.lex_state = 250, .external_lex_state = 2},
  [11524] = {.lex_state = 159, .external_lex_state = 2},
  [11525] = {.lex_state = 236, .external_lex_state = 2},
  [11526] = {.lex_state = 236, .external_lex_state = 2},
  [11527] = {.lex_state = 250, .external_lex_state = 2},
  [11528] = {.lex_state = 250, .external_lex_state = 2},
  [11529] = {.lex_state = 250, .external_lex_state = 2},
  [11530] = {.lex_state = 250, .external_lex_state = 2},
  [11531] = {.lex_state = 250, .external_lex_state = 2},
  [11532] = {.lex_state = 250, .external_lex_state = 2},
  [11533] = {.lex_state = 250, .external_lex_state = 2},
  [11534] = {.lex_state = 250, .external_lex_state = 2},
  [11535] = {.lex_state = 250, .external_lex_state = 2},
  [11536] = {.lex_state = 164, .external_lex_state = 2},
  [11537] = {.lex_state = 164, .external_lex_state = 2},
  [11538] = {.lex_state = 164, .external_lex_state = 2},
  [11539] = {.lex_state = 164, .external_lex_state = 2},
  [11540] = {.lex_state = 164, .external_lex_state = 2},
  [11541] = {.lex_state = 164, .external_lex_state = 2},
  [11542] = {.lex_state = 164, .external_lex_state = 2},
  [11543] = {.lex_state = 164, .external_lex_state = 2},
  [11544] = {.lex_state = 164, .external_lex_state = 2},
  [11545] = {.lex_state = 164, .external_lex_state = 2},
  [11546] = {.lex_state = 164, .external_lex_state = 2},
  [11547] = {.lex_state = 164, .external_lex_state = 2},
  [11548] = {.lex_state = 164, .external_lex_state = 2},
  [11549] = {.lex_state = 250, .external_lex_state = 2},
  [11550] = {.lex_state = 250, .external_lex_state = 2},
  [11551] = {.lex_state = 250, .external_lex_state = 2},
  [11552] = {.lex_state = 230, .external_lex_state = 2},
  [11553] = {.lex_state = 228, .external_lex_state = 2},
  [11554] = {.lex_state = 228, .external_lex_state = 2},
  [11555] = {.lex_state = 159, .external_lex_state = 2},
  [11556] = {.lex_state = 236, .external_lex_state = 2},
  [11557] = {.lex_state = 236, .external_lex_state = 2},
  [11558] = {.lex_state = 236, .external_lex_state = 2},
  [11559] = {.lex_state = 236, .external_lex_state = 2},
  [11560] = {.lex_state = 236, .external_lex_state = 2},
  [11561] = {.lex_state = 159, .external_lex_state = 2},
  [11562] = {.lex_state = 236, .external_lex_state = 2},
  [11563] = {.lex_state = 228, .external_lex_state = 2},
  [11564] = {.lex_state = 228, .external_lex_state = 2},
  [11565] = {.lex_state = 228, .external_lex_state = 2},
  [11566] = {.lex_state = 164, .external_lex_state = 2},
  [11567] = {.lex_state = 164, .external_lex_state = 2},
  [11568] = {.lex_state = 164, .external_lex_state = 2},
  [11569] = {.lex_state = 164, .external_lex_state = 2},
  [11570] = {.lex_state = 164, .external_lex_state = 2},
  [11571] = {.lex_state = 236, .external_lex_state = 2},
  [11572] = {.lex_state = 250, .external_lex_state = 2},
  [11573] = {.lex_state = 159, .external_lex_state = 2},
  [11574] = {.lex_state = 228, .external_lex_state = 2},
  [11575] = {.lex_state = 250, .external_lex_state = 2},
  [11576] = {.lex_state = 236, .external_lex_state = 2},
  [11577] = {.lex_state = 236, .external_lex_state = 2},
  [11578] = {.lex_state = 236, .external_lex_state = 2},
  [11579] = {.lex_state = 229, .external_lex_state = 2},
  [11580] = {.lex_state = 229, .external_lex_state = 2},
  [11581] = {.lex_state = 229, .external_lex_state = 2},
  [11582] = {.lex_state = 159, .external_lex_state = 2},
  [11583] = {.lex_state = 236, .external_lex_state = 2},
  [11584] = {.lex_state = 236, .external_lex_state = 2},
  [11585] = {.lex_state = 236, .external_lex_state = 2},
  [11586] = {.lex_state = 228, .external_lex_state = 2},
  [11587] = {.lex_state = 236, .external_lex_state = 2},
  [11588] = {.lex_state = 159, .external_lex_state = 2},
  [11589] = {.lex_state = 159, .external_lex_state = 2},
  [11590] = {.lex_state = 230, .external_lex_state = 2},
  [11591] = {.lex_state = 230, .external_lex_state = 2},
  [11592] = {.lex_state = 230, .external_lex_state = 2},
  [11593] = {.lex_state = 159, .external_lex_state = 2},
  [11594] = {.lex_state = 236, .external_lex_state = 2},
  [11595] = {.lex_state = 228, .external_lex_state = 2},
  [11596] = {.lex_state = 236, .external_lex_state = 2},
  [11597] = {.lex_state = 164, .external_lex_state = 2},
  [11598] = {.lex_state = 250, .external_lex_state = 2},
  [11599] = {.lex_state = 250, .external_lex_state = 2},
  [11600] = {.lex_state = 228, .external_lex_state = 2},
  [11601] = {.lex_state = 228, .external_lex_state = 2},
  [11602] = {.lex_state = 228, .external_lex_state = 2},
  [11603] = {.lex_state = 159, .external_lex_state = 2},
  [11604] = {.lex_state = 228, .external_lex_state = 2},
  [11605] = {.lex_state = 228, .external_lex_state = 2},
  [11606] = {.lex_state = 228, .external_lex_state = 2},
  [11607] = {.lex_state = 159, .external_lex_state = 2},
  [11608] = {.lex_state = 236, .external_lex_state = 2},
  [11609] = {.lex_state = 159, .external_lex_state = 2},
  [11610] = {.lex_state = 159, .external_lex_state = 2},
  [11611] = {.lex_state = 228, .external_lex_state = 2},
  [11612] = {.lex_state = 159, .external_lex_state = 2},
  [11613] = {.lex_state = 250, .external_lex_state = 2},
  [11614] = {.lex_state = 159, .external_lex_state = 2},
  [11615] = {.lex_state = 228, .external_lex_state = 2},
  [11616] = {.lex_state = 159, .external_lex_state = 2},
  [11617] = {.lex_state = 159, .external_lex_state = 2},
  [11618] = {.lex_state = 250, .external_lex_state = 2},
  [11619] = {.lex_state = 159, .external_lex_state = 2},
  [11620] = {.lex_state = 159, .external_lex_state = 2},
  [11621] = {.lex_state = 228, .external_lex_state = 2},
  [11622] = {.lex_state = 159, .external_lex_state = 2},
  [11623] = {.lex_state = 452, .external_lex_state = 2},
  [11624] = {.lex_state = 159, .external_lex_state = 2},
  [11625] = {.lex_state = 159, .external_lex_state = 2},
  [11626] = {.lex_state = 236, .external_lex_state = 2},
  [11627] = {.lex_state = 159, .external_lex_state = 2},
  [11628] = {.lex_state = 159, .external_lex_state = 2},
  [11629] = {.lex_state = 228, .external_lex_state = 2},
  [11630] = {.lex_state = 159, .external_lex_state = 2},
  [11631] = {.lex_state = 250, .external_lex_state = 2},
  [11632] = {.lex_state = 164, .external_lex_state = 2},
  [11633] = {.lex_state = 228, .external_lex_state = 2},
  [11634] = {.lex_state = 159, .external_lex_state = 2},
  [11635] = {.lex_state = 12, .external_lex_state = 2},
  [11636] = {.lex_state = 239, .external_lex_state = 2},
  [11637] = {.lex_state = 250, .external_lex_state = 2},
  [11638] = {.lex_state = 250, .external_lex_state = 2},
  [11639] = {.lex_state = 250, .external_lex_state = 2},
  [11640] = {.lex_state = 159, .external_lex_state = 2},
  [11641] = {.lex_state = 12, .external_lex_state = 2},
  [11642] = {.lex_state = 452, .external_lex_state = 2},
  [11643] = {.lex_state = 228, .external_lex_state = 2},
  [11644] = {.lex_state = 159, .external_lex_state = 2},
  [11645] = {.lex_state = 159, .external_lex_state = 2},
  [11646] = {.lex_state = 250, .external_lex_state = 2},
  [11647] = {.lex_state = 250, .external_lex_state = 2},
  [11648] = {.lex_state = 250, .external_lex_state = 2},
  [11649] = {.lex_state = 250, .external_lex_state = 2},
  [11650] = {.lex_state = 250, .external_lex_state = 2},
  [11651] = {.lex_state = 250, .external_lex_state = 2},
  [11652] = {.lex_state = 250, .external_lex_state = 2},
  [11653] = {.lex_state = 250, .external_lex_state = 2},
  [11654] = {.lex_state = 250, .external_lex_state = 2},
  [11655] = {.lex_state = 250, .external_lex_state = 2},
  [11656] = {.lex_state = 250, .external_lex_state = 2},
  [11657] = {.lex_state = 250, .external_lex_state = 2},
  [11658] = {.lex_state = 250, .external_lex_state = 2},
  [11659] = {.lex_state = 250, .external_lex_state = 2},
  [11660] = {.lex_state = 250, .external_lex_state = 2},
  [11661] = {.lex_state = 250, .external_lex_state = 2},
  [11662] = {.lex_state = 250, .external_lex_state = 2},
  [11663] = {.lex_state = 250, .external_lex_state = 2},
  [11664] = {.lex_state = 250, .external_lex_state = 2},
  [11665] = {.lex_state = 250, .external_lex_state = 2},
  [11666] = {.lex_state = 250, .external_lex_state = 2},
  [11667] = {.lex_state = 250, .external_lex_state = 2},
  [11668] = {.lex_state = 250, .external_lex_state = 2},
  [11669] = {.lex_state = 250, .external_lex_state = 2},
  [11670] = {.lex_state = 250, .external_lex_state = 2},
  [11671] = {.lex_state = 250, .external_lex_state = 2},
  [11672] = {.lex_state = 250, .external_lex_state = 2},
  [11673] = {.lex_state = 250, .external_lex_state = 2},
  [11674] = {.lex_state = 250, .external_lex_state = 2},
  [11675] = {.lex_state = 250, .external_lex_state = 2},
  [11676] = {.lex_state = 250, .external_lex_state = 2},
  [11677] = {.lex_state = 250, .external_lex_state = 2},
  [11678] = {.lex_state = 250, .external_lex_state = 2},
  [11679] = {.lex_state = 250, .external_lex_state = 2},
  [11680] = {.lex_state = 250, .external_lex_state = 2},
  [11681] = {.lex_state = 250, .external_lex_state = 2},
  [11682] = {.lex_state = 250, .external_lex_state = 2},
  [11683] = {.lex_state = 250, .external_lex_state = 2},
  [11684] = {.lex_state = 159, .external_lex_state = 2},
  [11685] = {.lex_state = 250, .external_lex_state = 2},
  [11686] = {.lex_state = 250, .external_lex_state = 2},
  [11687] = {.lex_state = 250, .external_lex_state = 2},
  [11688] = {.lex_state = 250, .external_lex_state = 2},
  [11689] = {.lex_state = 250, .external_lex_state = 2},
  [11690] = {.lex_state = 159, .external_lex_state = 2},
  [11691] = {.lex_state = 250, .external_lex_state = 2},
  [11692] = {.lex_state = 250, .external_lex_state = 2},
  [11693] = {.lex_state = 250, .external_lex_state = 2},
  [11694] = {.lex_state = 250, .external_lex_state = 2},
  [11695] = {.lex_state = 250, .external_lex_state = 2},
  [11696] = {.lex_state = 250, .external_lex_state = 2},
  [11697] = {.lex_state = 250, .external_lex_state = 2},
  [11698] = {.lex_state = 250, .external_lex_state = 2},
  [11699] = {.lex_state = 250, .external_lex_state = 2},
  [11700] = {.lex_state = 250, .external_lex_state = 2},
  [11701] = {.lex_state = 250, .external_lex_state = 2},
  [11702] = {.lex_state = 250, .external_lex_state = 2},
  [11703] = {.lex_state = 250, .external_lex_state = 2},
  [11704] = {.lex_state = 250, .external_lex_state = 2},
  [11705] = {.lex_state = 250, .external_lex_state = 2},
  [11706] = {.lex_state = 250, .external_lex_state = 2},
  [11707] = {.lex_state = 250, .external_lex_state = 2},
  [11708] = {.lex_state = 250, .external_lex_state = 2},
  [11709] = {.lex_state = 250, .external_lex_state = 2},
  [11710] = {.lex_state = 250, .external_lex_state = 2},
  [11711] = {.lex_state = 250, .external_lex_state = 2},
  [11712] = {.lex_state = 250, .external_lex_state = 2},
  [11713] = {.lex_state = 250, .external_lex_state = 2},
  [11714] = {.lex_state = 250, .external_lex_state = 2},
  [11715] = {.lex_state = 250, .external_lex_state = 2},
  [11716] = {.lex_state = 250, .external_lex_state = 2},
  [11717] = {.lex_state = 250, .external_lex_state = 2},
  [11718] = {.lex_state = 250, .external_lex_state = 2},
  [11719] = {.lex_state = 250, .external_lex_state = 2},
  [11720] = {.lex_state = 250, .external_lex_state = 2},
  [11721] = {.lex_state = 250, .external_lex_state = 2},
  [11722] = {.lex_state = 250, .external_lex_state = 2},
  [11723] = {.lex_state = 250, .external_lex_state = 2},
  [11724] = {.lex_state = 250, .external_lex_state = 2},
  [11725] = {.lex_state = 159, .external_lex_state = 2},
  [11726] = {.lex_state = 159, .external_lex_state = 2},
  [11727] = {.lex_state = 159, .external_lex_state = 2},
  [11728] = {.lex_state = 250, .external_lex_state = 2},
  [11729] = {.lex_state = 452, .external_lex_state = 2},
  [11730] = {.lex_state = 159, .external_lex_state = 2},
  [11731] = {.lex_state = 159, .external_lex_state = 2},
  [11732] = {.lex_state = 228, .external_lex_state = 2},
  [11733] = {.lex_state = 250, .external_lex_state = 2},
  [11734] = {.lex_state = 250, .external_lex_state = 2},
  [11735] = {.lex_state = 250, .external_lex_state = 2},
  [11736] = {.lex_state = 159, .external_lex_state = 2},
  [11737] = {.lex_state = 228, .external_lex_state = 2},
  [11738] = {.lex_state = 159, .external_lex_state = 2},
  [11739] = {.lex_state = 159, .external_lex_state = 2},
  [11740] = {.lex_state = 159, .external_lex_state = 2},
  [11741] = {.lex_state = 250, .external_lex_state = 2},
  [11742] = {.lex_state = 12, .external_lex_state = 2},
  [11743] = {.lex_state = 250, .external_lex_state = 2},
  [11744] = {.lex_state = 250, .external_lex_state = 2},
  [11745] = {.lex_state = 228, .external_lex_state = 2},
  [11746] = {.lex_state = 159, .external_lex_state = 2},
  [11747] = {.lex_state = 159, .external_lex_state = 2},
  [11748] = {.lex_state = 159, .external_lex_state = 2},
  [11749] = {.lex_state = 452, .external_lex_state = 2},
  [11750] = {.lex_state = 159, .external_lex_state = 2},
  [11751] = {.lex_state = 250, .external_lex_state = 2},
  [11752] = {.lex_state = 250, .external_lex_state = 2},
  [11753] = {.lex_state = 250, .external_lex_state = 2},
  [11754] = {.lex_state = 159, .external_lex_state = 2},
  [11755] = {.lex_state = 250, .external_lex_state = 2},
  [11756] = {.lex_state = 250, .external_lex_state = 2},
  [11757] = {.lex_state = 159, .external_lex_state = 2},
  [11758] = {.lex_state = 159, .external_lex_state = 2},
  [11759] = {.lex_state = 250, .external_lex_state = 2},
  [11760] = {.lex_state = 250, .external_lex_state = 2},
  [11761] = {.lex_state = 159, .external_lex_state = 2},
  [11762] = {.lex_state = 250, .external_lex_state = 2},
  [11763] = {.lex_state = 250, .external_lex_state = 2},
  [11764] = {.lex_state = 236, .external_lex_state = 2},
  [11765] = {.lex_state = 170, .external_lex_state = 2},
  [11766] = {.lex_state = 170, .external_lex_state = 2},
  [11767] = {.lex_state = 170, .external_lex_state = 2},
  [11768] = {.lex_state = 159, .external_lex_state = 2},
  [11769] = {.lex_state = 159, .external_lex_state = 2},
  [11770] = {.lex_state = 159, .external_lex_state = 2},
  [11771] = {.lex_state = 159, .external_lex_state = 2},
  [11772] = {.lex_state = 159, .external_lex_state = 2},
  [11773] = {.lex_state = 228, .external_lex_state = 2},
  [11774] = {.lex_state = 228, .external_lex_state = 2},
  [11775] = {.lex_state = 159, .external_lex_state = 2},
  [11776] = {.lex_state = 452, .external_lex_state = 2},
  [11777] = {.lex_state = 159, .external_lex_state = 2},
  [11778] = {.lex_state = 163, .external_lex_state = 2},
  [11779] = {.lex_state = 228, .external_lex_state = 2},
  [11780] = {.lex_state = 159, .external_lex_state = 2},
  [11781] = {.lex_state = 159, .external_lex_state = 2},
  [11782] = {.lex_state = 159, .external_lex_state = 2},
  [11783] = {.lex_state = 159, .external_lex_state = 2},
  [11784] = {.lex_state = 159, .external_lex_state = 2},
  [11785] = {.lex_state = 159, .external_lex_state = 2},
  [11786] = {.lex_state = 159, .external_lex_state = 2},
  [11787] = {.lex_state = 159, .external_lex_state = 2},
  [11788] = {.lex_state = 218, .external_lex_state = 2},
  [11789] = {.lex_state = 159, .external_lex_state = 2},
  [11790] = {.lex_state = 164, .external_lex_state = 2},
  [11791] = {.lex_state = 164, .external_lex_state = 2},
  [11792] = {.lex_state = 159, .external_lex_state = 2},
  [11793] = {.lex_state = 159, .external_lex_state = 2},
  [11794] = {.lex_state = 159, .external_lex_state = 2},
  [11795] = {.lex_state = 170, .external_lex_state = 2},
  [11796] = {.lex_state = 159, .external_lex_state = 2},
  [11797] = {.lex_state = 159, .external_lex_state = 2},
  [11798] = {.lex_state = 159, .external_lex_state = 2},
  [11799] = {.lex_state = 159, .external_lex_state = 2},
  [11800] = {.lex_state = 164, .external_lex_state = 2},
  [11801] = {.lex_state = 159, .external_lex_state = 2},
  [11802] = {.lex_state = 159, .external_lex_state = 2},
  [11803] = {.lex_state = 159, .external_lex_state = 2},
  [11804] = {.lex_state = 159, .external_lex_state = 2},
  [11805] = {.lex_state = 159, .external_lex_state = 2},
  [11806] = {.lex_state = 159, .external_lex_state = 2},
  [11807] = {.lex_state = 159, .external_lex_state = 2},
  [11808] = {.lex_state = 159, .external_lex_state = 2},
  [11809] = {.lex_state = 159, .external_lex_state = 2},
  [11810] = {.lex_state = 159, .external_lex_state = 2},
  [11811] = {.lex_state = 159, .external_lex_state = 2},
  [11812] = {.lex_state = 159, .external_lex_state = 2},
  [11813] = {.lex_state = 159, .external_lex_state = 2},
  [11814] = {.lex_state = 159, .external_lex_state = 2},
  [11815] = {.lex_state = 159, .external_lex_state = 2},
  [11816] = {.lex_state = 170, .external_lex_state = 2},
  [11817] = {.lex_state = 170, .external_lex_state = 2},
  [11818] = {.lex_state = 159, .external_lex_state = 2},
  [11819] = {.lex_state = 159, .external_lex_state = 2},
  [11820] = {.lex_state = 159, .external_lex_state = 2},
  [11821] = {.lex_state = 452, .external_lex_state = 2},
  [11822] = {.lex_state = 159, .external_lex_state = 2},
  [11823] = {.lex_state = 159, .external_lex_state = 2},
  [11824] = {.lex_state = 159, .external_lex_state = 2},
  [11825] = {.lex_state = 159, .external_lex_state = 2},
  [11826] = {.lex_state = 159, .external_lex_state = 2},
  [11827] = {.lex_state = 228, .external_lex_state = 2},
  [11828] = {.lex_state = 159, .external_lex_state = 2},
  [11829] = {.lex_state = 159, .external_lex_state = 2},
  [11830] = {.lex_state = 159, .external_lex_state = 2},
  [11831] = {.lex_state = 159, .external_lex_state = 2},
  [11832] = {.lex_state = 159, .external_lex_state = 2},
  [11833] = {.lex_state = 159, .external_lex_state = 2},
  [11834] = {.lex_state = 159, .external_lex_state = 2},
  [11835] = {.lex_state = 159, .external_lex_state = 2},
  [11836] = {.lex_state = 159, .external_lex_state = 2},
  [11837] = {.lex_state = 164, .external_lex_state = 2},
  [11838] = {.lex_state = 164, .external_lex_state = 2},
  [11839] = {.lex_state = 164, .external_lex_state = 2},
  [11840] = {.lex_state = 164, .external_lex_state = 2},
  [11841] = {.lex_state = 164, .external_lex_state = 2},
  [11842] = {.lex_state = 159, .external_lex_state = 2},
  [11843] = {.lex_state = 159, .external_lex_state = 2},
  [11844] = {.lex_state = 164, .external_lex_state = 2},
  [11845] = {.lex_state = 159, .external_lex_state = 2},
  [11846] = {.lex_state = 159, .external_lex_state = 2},
  [11847] = {.lex_state = 159, .external_lex_state = 2},
  [11848] = {.lex_state = 452, .external_lex_state = 2},
  [11849] = {.lex_state = 159, .external_lex_state = 2},
  [11850] = {.lex_state = 159, .external_lex_state = 2},
  [11851] = {.lex_state = 159, .external_lex_state = 2},
  [11852] = {.lex_state = 159, .external_lex_state = 2},
  [11853] = {.lex_state = 159, .external_lex_state = 2},
  [11854] = {.lex_state = 159, .external_lex_state = 2},
  [11855] = {.lex_state = 159, .external_lex_state = 2},
  [11856] = {.lex_state = 452, .external_lex_state = 2},
  [11857] = {.lex_state = 217, .external_lex_state = 2},
  [11858] = {.lex_state = 217, .external_lex_state = 2},
  [11859] = {.lex_state = 159, .external_lex_state = 2},
  [11860] = {.lex_state = 159, .external_lex_state = 2},
  [11861] = {.lex_state = 217, .external_lex_state = 2},
  [11862] = {.lex_state = 159, .external_lex_state = 2},
  [11863] = {.lex_state = 159, .external_lex_state = 2},
  [11864] = {.lex_state = 159, .external_lex_state = 2},
  [11865] = {.lex_state = 159, .external_lex_state = 2},
  [11866] = {.lex_state = 159, .external_lex_state = 2},
  [11867] = {.lex_state = 159, .external_lex_state = 2},
  [11868] = {.lex_state = 159, .external_lex_state = 2},
  [11869] = {.lex_state = 159, .external_lex_state = 2},
  [11870] = {.lex_state = 159, .external_lex_state = 2},
  [11871] = {.lex_state = 159, .external_lex_state = 2},
  [11872] = {.lex_state = 159, .external_lex_state = 2},
  [11873] = {.lex_state = 159, .external_lex_state = 2},
  [11874] = {.lex_state = 159, .external_lex_state = 2},
  [11875] = {.lex_state = 236, .external_lex_state = 2},
  [11876] = {.lex_state = 250, .external_lex_state = 2},
  [11877] = {.lex_state = 250, .external_lex_state = 2},
  [11878] = {.lex_state = 159, .external_lex_state = 2},
  [11879] = {.lex_state = 159, .external_lex_state = 2},
  [11880] = {.lex_state = 163, .external_lex_state = 2},
  [11881] = {.lex_state = 159, .external_lex_state = 2},
  [11882] = {.lex_state = 159, .external_lex_state = 2},
  [11883] = {.lex_state = 159, .external_lex_state = 2},
  [11884] = {.lex_state = 159, .external_lex_state = 2},
  [11885] = {.lex_state = 159, .external_lex_state = 2},
  [11886] = {.lex_state = 159, .external_lex_state = 2},
  [11887] = {.lex_state = 452, .external_lex_state = 2},
  [11888] = {.lex_state = 159, .external_lex_state = 2},
  [11889] = {.lex_state = 159, .external_lex_state = 2},
  [11890] = {.lex_state = 159, .external_lex_state = 2},
  [11891] = {.lex_state = 159, .external_lex_state = 2},
  [11892] = {.lex_state = 159, .external_lex_state = 2},
  [11893] = {.lex_state = 159, .external_lex_state = 2},
  [11894] = {.lex_state = 159, .external_lex_state = 2},
  [11895] = {.lex_state = 159, .external_lex_state = 2},
  [11896] = {.lex_state = 159, .external_lex_state = 2},
  [11897] = {.lex_state = 159, .external_lex_state = 2},
  [11898] = {.lex_state = 159, .external_lex_state = 2},
  [11899] = {.lex_state = 159, .external_lex_state = 2},
  [11900] = {.lex_state = 159, .external_lex_state = 2},
  [11901] = {.lex_state = 159, .external_lex_state = 2},
  [11902] = {.lex_state = 159, .external_lex_state = 2},
  [11903] = {.lex_state = 159, .external_lex_state = 2},
  [11904] = {.lex_state = 159, .external_lex_state = 2},
  [11905] = {.lex_state = 170, .external_lex_state = 2},
  [11906] = {.lex_state = 159, .external_lex_state = 2},
  [11907] = {.lex_state = 159, .external_lex_state = 2},
  [11908] = {.lex_state = 159, .external_lex_state = 2},
  [11909] = {.lex_state = 159, .external_lex_state = 2},
  [11910] = {.lex_state = 159, .external_lex_state = 2},
  [11911] = {.lex_state = 159, .external_lex_state = 2},
  [11912] = {.lex_state = 159, .external_lex_state = 2},
  [11913] = {.lex_state = 159, .external_lex_state = 2},
  [11914] = {.lex_state = 452, .external_lex_state = 2},
  [11915] = {.lex_state = 180, .external_lex_state = 2},
  [11916] = {.lex_state = 180, .external_lex_state = 2},
  [11917] = {.lex_state = 250, .external_lex_state = 2},
  [11918] = {.lex_state = 159, .external_lex_state = 2},
  [11919] = {.lex_state = 180, .external_lex_state = 2},
  [11920] = {.lex_state = 159, .external_lex_state = 2},
  [11921] = {.lex_state = 159, .external_lex_state = 2},
  [11922] = {.lex_state = 159, .external_lex_state = 2},
  [11923] = {.lex_state = 159, .external_lex_state = 2},
  [11924] = {.lex_state = 236, .external_lex_state = 2},
  [11925] = {.lex_state = 250, .external_lex_state = 2},
  [11926] = {.lex_state = 250, .external_lex_state = 2},
  [11927] = {.lex_state = 159, .external_lex_state = 2},
  [11928] = {.lex_state = 159, .external_lex_state = 2},
  [11929] = {.lex_state = 166, .external_lex_state = 2},
  [11930] = {.lex_state = 159, .external_lex_state = 2},
  [11931] = {.lex_state = 452, .external_lex_state = 2},
  [11932] = {.lex_state = 159, .external_lex_state = 2},
  [11933] = {.lex_state = 159, .external_lex_state = 2},
  [11934] = {.lex_state = 159, .external_lex_state = 2},
  [11935] = {.lex_state = 159, .external_lex_state = 2},
  [11936] = {.lex_state = 159, .external_lex_state = 2},
  [11937] = {.lex_state = 159, .external_lex_state = 2},
  [11938] = {.lex_state = 159, .external_lex_state = 2},
  [11939] = {.lex_state = 159, .external_lex_state = 2},
  [11940] = {.lex_state = 452, .external_lex_state = 2},
  [11941] = {.lex_state = 182, .external_lex_state = 2},
  [11942] = {.lex_state = 182, .external_lex_state = 2},
  [11943] = {.lex_state = 159, .external_lex_state = 2},
  [11944] = {.lex_state = 159, .external_lex_state = 2},
  [11945] = {.lex_state = 182, .external_lex_state = 2},
  [11946] = {.lex_state = 229, .external_lex_state = 2},
  [11947] = {.lex_state = 159, .external_lex_state = 2},
  [11948] = {.lex_state = 159, .external_lex_state = 2},
  [11949] = {.lex_state = 159, .external_lex_state = 2},
  [11950] = {.lex_state = 159, .external_lex_state = 2},
  [11951] = {.lex_state = 159, .external_lex_state = 2},
  [11952] = {.lex_state = 159, .external_lex_state = 2},
  [11953] = {.lex_state = 159, .external_lex_state = 2},
  [11954] = {.lex_state = 159, .external_lex_state = 2},
  [11955] = {.lex_state = 452, .external_lex_state = 2},
  [11956] = {.lex_state = 159, .external_lex_state = 2},
  [11957] = {.lex_state = 159, .external_lex_state = 2},
  [11958] = {.lex_state = 159, .external_lex_state = 2},
  [11959] = {.lex_state = 159, .external_lex_state = 2},
  [11960] = {.lex_state = 159, .external_lex_state = 2},
  [11961] = {.lex_state = 159, .external_lex_state = 2},
  [11962] = {.lex_state = 159, .external_lex_state = 2},
  [11963] = {.lex_state = 159, .external_lex_state = 2},
  [11964] = {.lex_state = 159, .external_lex_state = 2},
  [11965] = {.lex_state = 159, .external_lex_state = 2},
  [11966] = {.lex_state = 159, .external_lex_state = 2},
  [11967] = {.lex_state = 452, .external_lex_state = 2},
  [11968] = {.lex_state = 159, .external_lex_state = 2},
  [11969] = {.lex_state = 159, .external_lex_state = 2},
  [11970] = {.lex_state = 159, .external_lex_state = 2},
  [11971] = {.lex_state = 159, .external_lex_state = 2},
  [11972] = {.lex_state = 159, .external_lex_state = 2},
  [11973] = {.lex_state = 159, .external_lex_state = 2},
  [11974] = {.lex_state = 159, .external_lex_state = 2},
  [11975] = {.lex_state = 159, .external_lex_state = 2},
  [11976] = {.lex_state = 452, .external_lex_state = 2},
  [11977] = {.lex_state = 159, .external_lex_state = 2},
  [11978] = {.lex_state = 159, .external_lex_state = 2},
  [11979] = {.lex_state = 159, .external_lex_state = 2},
  [11980] = {.lex_state = 159, .external_lex_state = 2},
  [11981] = {.lex_state = 163, .external_lex_state = 2},
  [11982] = {.lex_state = 159, .external_lex_state = 2},
  [11983] = {.lex_state = 159, .external_lex_state = 2},
  [11984] = {.lex_state = 159, .external_lex_state = 2},
  [11985] = {.lex_state = 236, .external_lex_state = 2},
  [11986] = {.lex_state = 159, .external_lex_state = 2},
  [11987] = {.lex_state = 452, .external_lex_state = 2},
  [11988] = {.lex_state = 159, .external_lex_state = 2},
  [11989] = {.lex_state = 159, .external_lex_state = 2},
  [11990] = {.lex_state = 166, .external_lex_state = 2},
  [11991] = {.lex_state = 166, .external_lex_state = 2},
  [11992] = {.lex_state = 159, .external_lex_state = 2},
  [11993] = {.lex_state = 159, .external_lex_state = 2},
  [11994] = {.lex_state = 159, .external_lex_state = 2},
  [11995] = {.lex_state = 159, .external_lex_state = 2},
  [11996] = {.lex_state = 452, .external_lex_state = 2},
  [11997] = {.lex_state = 159, .external_lex_state = 2},
  [11998] = {.lex_state = 159, .external_lex_state = 2},
  [11999] = {.lex_state = 159, .external_lex_state = 2},
  [12000] = {.lex_state = 159, .external_lex_state = 2},
  [12001] = {.lex_state = 159, .external_lex_state = 2},
  [12002] = {.lex_state = 159, .external_lex_state = 2},
  [12003] = {.lex_state = 159, .external_lex_state = 2},
  [12004] = {.lex_state = 218, .external_lex_state = 2},
  [12005] = {.lex_state = 452, .external_lex_state = 2},
  [12006] = {.lex_state = 159, .external_lex_state = 2},
  [12007] = {.lex_state = 159, .external_lex_state = 2},
  [12008] = {.lex_state = 159, .external_lex_state = 2},
  [12009] = {.lex_state = 159, .external_lex_state = 2},
  [12010] = {.lex_state = 159, .external_lex_state = 2},
  [12011] = {.lex_state = 159, .external_lex_state = 2},
  [12012] = {.lex_state = 159, .external_lex_state = 2},
  [12013] = {.lex_state = 159, .external_lex_state = 2},
  [12014] = {.lex_state = 159, .external_lex_state = 2},
  [12015] = {.lex_state = 452, .external_lex_state = 2},
  [12016] = {.lex_state = 159, .external_lex_state = 2},
  [12017] = {.lex_state = 159, .external_lex_state = 2},
  [12018] = {.lex_state = 452, .external_lex_state = 2},
  [12019] = {.lex_state = 159, .external_lex_state = 2},
  [12020] = {.lex_state = 159, .external_lex_state = 3},
  [12021] = {.lex_state = 159, .external_lex_state = 2},
  [12022] = {.lex_state = 159, .external_lex_state = 2},
  [12023] = {.lex_state = 159, .external_lex_state = 2},
  [12024] = {.lex_state = 452, .external_lex_state = 2},
  [12025] = {.lex_state = 159, .external_lex_state = 2},
  [12026] = {.lex_state = 159, .external_lex_state = 2},
  [12027] = {.lex_state = 159, .external_lex_state = 2},
  [12028] = {.lex_state = 159, .external_lex_state = 2},
  [12029] = {.lex_state = 159, .external_lex_state = 2},
  [12030] = {.lex_state = 159, .external_lex_state = 2},
  [12031] = {.lex_state = 228, .external_lex_state = 2},
  [12032] = {.lex_state = 452, .external_lex_state = 2},
  [12033] = {.lex_state = 159, .external_lex_state = 2},
  [12034] = {.lex_state = 159, .external_lex_state = 2},
  [12035] = {.lex_state = 159, .external_lex_state = 2},
  [12036] = {.lex_state = 159, .external_lex_state = 2},
  [12037] = {.lex_state = 452, .external_lex_state = 2},
  [12038] = {.lex_state = 159, .external_lex_state = 2},
  [12039] = {.lex_state = 159, .external_lex_state = 2},
  [12040] = {.lex_state = 236, .external_lex_state = 2},
  [12041] = {.lex_state = 159, .external_lex_state = 2},
  [12042] = {.lex_state = 159, .external_lex_state = 2},
  [12043] = {.lex_state = 159, .external_lex_state = 2},
  [12044] = {.lex_state = 452, .external_lex_state = 2},
  [12045] = {.lex_state = 159, .external_lex_state = 2},
  [12046] = {.lex_state = 166, .external_lex_state = 2},
  [12047] = {.lex_state = 159, .external_lex_state = 2},
  [12048] = {.lex_state = 159, .external_lex_state = 2},
  [12049] = {.lex_state = 159, .external_lex_state = 2},
  [12050] = {.lex_state = 159, .external_lex_state = 3},
  [12051] = {.lex_state = 159, .external_lex_state = 2},
  [12052] = {.lex_state = 159, .external_lex_state = 2},
  [12053] = {.lex_state = 159, .external_lex_state = 2},
  [12054] = {.lex_state = 452, .external_lex_state = 2},
  [12055] = {.lex_state = 159, .external_lex_state = 2},
  [12056] = {.lex_state = 159, .external_lex_state = 2},
  [12057] = {.lex_state = 159, .external_lex_state = 2},
  [12058] = {.lex_state = 159, .external_lex_state = 2},
  [12059] = {.lex_state = 159, .external_lex_state = 2},
  [12060] = {.lex_state = 159, .external_lex_state = 2},
  [12061] = {.lex_state = 159, .external_lex_state = 2},
  [12062] = {.lex_state = 159, .external_lex_state = 2},
  [12063] = {.lex_state = 159, .external_lex_state = 2},
  [12064] = {.lex_state = 159, .external_lex_state = 2},
  [12065] = {.lex_state = 159, .external_lex_state = 2},
  [12066] = {.lex_state = 159, .external_lex_state = 2},
  [12067] = {.lex_state = 159, .external_lex_state = 2},
  [12068] = {.lex_state = 452, .external_lex_state = 2},
  [12069] = {.lex_state = 159, .external_lex_state = 2},
  [12070] = {.lex_state = 228, .external_lex_state = 2},
  [12071] = {.lex_state = 159, .external_lex_state = 2},
  [12072] = {.lex_state = 159, .external_lex_state = 2},
  [12073] = {.lex_state = 159, .external_lex_state = 2},
  [12074] = {.lex_state = 452, .external_lex_state = 2},
  [12075] = {.lex_state = 159, .external_lex_state = 2},
  [12076] = {.lex_state = 159, .external_lex_state = 2},
  [12077] = {.lex_state = 159, .external_lex_state = 2},
  [12078] = {.lex_state = 159, .external_lex_state = 2},
  [12079] = {.lex_state = 159, .external_lex_state = 2},
  [12080] = {.lex_state = 159, .external_lex_state = 2},
  [12081] = {.lex_state = 159, .external_lex_state = 2},
  [12082] = {.lex_state = 452, .external_lex_state = 2},
  [12083] = {.lex_state = 166, .external_lex_state = 2},
  [12084] = {.lex_state = 159, .external_lex_state = 2},
  [12085] = {.lex_state = 452, .external_lex_state = 2},
  [12086] = {.lex_state = 159, .external_lex_state = 2},
  [12087] = {.lex_state = 159, .external_lex_state = 2},
  [12088] = {.lex_state = 159, .external_lex_state = 2},
  [12089] = {.lex_state = 159, .external_lex_state = 2},
  [12090] = {.lex_state = 159, .external_lex_state = 2},
  [12091] = {.lex_state = 452, .external_lex_state = 2},
  [12092] = {.lex_state = 159, .external_lex_state = 2},
  [12093] = {.lex_state = 159, .external_lex_state = 2},
  [12094] = {.lex_state = 452, .external_lex_state = 2},
  [12095] = {.lex_state = 159, .external_lex_state = 2},
  [12096] = {.lex_state = 452, .external_lex_state = 2},
  [12097] = {.lex_state = 159, .external_lex_state = 2},
  [12098] = {.lex_state = 452, .external_lex_state = 2},
  [12099] = {.lex_state = 177, .external_lex_state = 2},
  [12100] = {.lex_state = 452, .external_lex_state = 2},
  [12101] = {.lex_state = 159, .external_lex_state = 2},
  [12102] = {.lex_state = 159, .external_lex_state = 2},
  [12103] = {.lex_state = 159, .external_lex_state = 2},
  [12104] = {.lex_state = 159, .external_lex_state = 2},
  [12105] = {.lex_state = 159, .external_lex_state = 2},
  [12106] = {.lex_state = 159, .external_lex_state = 2},
  [12107] = {.lex_state = 159, .external_lex_state = 2},
  [12108] = {.lex_state = 452, .external_lex_state = 2},
  [12109] = {.lex_state = 452, .external_lex_state = 2},
  [12110] = {.lex_state = 452, .external_lex_state = 2},
  [12111] = {.lex_state = 164, .external_lex_state = 2},
  [12112] = {.lex_state = 452, .external_lex_state = 2},
  [12113] = {.lex_state = 452, .external_lex_state = 2},
  [12114] = {.lex_state = 158, .external_lex_state = 2},
  [12115] = {.lex_state = 452, .external_lex_state = 2},
  [12116] = {.lex_state = 452, .external_lex_state = 2},
  [12117] = {.lex_state = 452, .external_lex_state = 2},
  [12118] = {.lex_state = 159, .external_lex_state = 2},
  [12119] = {.lex_state = 159, .external_lex_state = 2},
  [12120] = {.lex_state = 177, .external_lex_state = 2},
  [12121] = {.lex_state = 452, .external_lex_state = 2},
  [12122] = {.lex_state = 159, .external_lex_state = 2},
  [12123] = {.lex_state = 159, .external_lex_state = 2},
  [12124] = {.lex_state = 236, .external_lex_state = 2},
  [12125] = {.lex_state = 159, .external_lex_state = 2},
  [12126] = {.lex_state = 452, .external_lex_state = 2},
  [12127] = {.lex_state = 159, .external_lex_state = 2},
  [12128] = {.lex_state = 223, .external_lex_state = 2},
  [12129] = {.lex_state = 159, .external_lex_state = 2},
  [12130] = {.lex_state = 159, .external_lex_state = 2},
  [12131] = {.lex_state = 159, .external_lex_state = 2},
  [12132] = {.lex_state = 452, .external_lex_state = 2},
  [12133] = {.lex_state = 159, .external_lex_state = 2},
  [12134] = {.lex_state = 159, .external_lex_state = 2},
  [12135] = {.lex_state = 159, .external_lex_state = 2},
  [12136] = {.lex_state = 159, .external_lex_state = 2},
  [12137] = {.lex_state = 159, .external_lex_state = 2},
  [12138] = {.lex_state = 159, .external_lex_state = 2},
  [12139] = {.lex_state = 159, .external_lex_state = 2},
  [12140] = {.lex_state = 159, .external_lex_state = 2},
  [12141] = {.lex_state = 452, .external_lex_state = 2},
  [12142] = {.lex_state = 159, .external_lex_state = 2},
  [12143] = {.lex_state = 159, .external_lex_state = 2},
  [12144] = {.lex_state = 159, .external_lex_state = 2},
  [12145] = {.lex_state = 159, .external_lex_state = 2},
  [12146] = {.lex_state = 159, .external_lex_state = 2},
  [12147] = {.lex_state = 452, .external_lex_state = 2},
  [12148] = {.lex_state = 159, .external_lex_state = 2},
  [12149] = {.lex_state = 159, .external_lex_state = 2},
  [12150] = {.lex_state = 159, .external_lex_state = 2},
  [12151] = {.lex_state = 159, .external_lex_state = 2},
  [12152] = {.lex_state = 159, .external_lex_state = 2},
  [12153] = {.lex_state = 159, .external_lex_state = 2},
  [12154] = {.lex_state = 159, .external_lex_state = 2},
  [12155] = {.lex_state = 159, .external_lex_state = 2},
  [12156] = {.lex_state = 159, .external_lex_state = 2},
  [12157] = {.lex_state = 159, .external_lex_state = 2},
  [12158] = {.lex_state = 159, .external_lex_state = 2},
  [12159] = {.lex_state = 452, .external_lex_state = 2},
  [12160] = {.lex_state = 159, .external_lex_state = 2},
  [12161] = {.lex_state = 159, .external_lex_state = 2},
  [12162] = {.lex_state = 159, .external_lex_state = 2},
  [12163] = {.lex_state = 166, .external_lex_state = 2},
  [12164] = {.lex_state = 159, .external_lex_state = 2},
  [12165] = {.lex_state = 250, .external_lex_state = 2},
  [12166] = {.lex_state = 159, .external_lex_state = 2},
  [12167] = {.lex_state = 250, .external_lex_state = 2},
  [12168] = {.lex_state = 166, .external_lex_state = 2},
  [12169] = {.lex_state = 166, .external_lex_state = 2},
  [12170] = {.lex_state = 159, .external_lex_state = 2},
  [12171] = {.lex_state = 166, .external_lex_state = 2},
  [12172] = {.lex_state = 250, .external_lex_state = 2},
  [12173] = {.lex_state = 166, .external_lex_state = 2},
  [12174] = {.lex_state = 159, .external_lex_state = 2},
  [12175] = {.lex_state = 250, .external_lex_state = 2},
  [12176] = {.lex_state = 159, .external_lex_state = 2},
  [12177] = {.lex_state = 239, .external_lex_state = 2},
  [12178] = {.lex_state = 159, .external_lex_state = 2},
  [12179] = {.lex_state = 164, .external_lex_state = 2},
  [12180] = {.lex_state = 159, .external_lex_state = 2},
  [12181] = {.lex_state = 164, .external_lex_state = 2},
  [12182] = {.lex_state = 164, .external_lex_state = 2},
  [12183] = {.lex_state = 250, .external_lex_state = 2},
  [12184] = {.lex_state = 250, .external_lex_state = 2},
  [12185] = {.lex_state = 164, .external_lex_state = 2},
  [12186] = {.lex_state = 164, .external_lex_state = 2},
  [12187] = {.lex_state = 164, .external_lex_state = 2},
  [12188] = {.lex_state = 164, .external_lex_state = 2},
  [12189] = {.lex_state = 164, .external_lex_state = 2},
  [12190] = {.lex_state = 164, .external_lex_state = 2},
  [12191] = {.lex_state = 164, .external_lex_state = 2},
  [12192] = {.lex_state = 164, .external_lex_state = 2},
  [12193] = {.lex_state = 159, .external_lex_state = 2},
  [12194] = {.lex_state = 164, .external_lex_state = 2},
  [12195] = {.lex_state = 159, .external_lex_state = 2},
  [12196] = {.lex_state = 159, .external_lex_state = 2},
  [12197] = {.lex_state = 159, .external_lex_state = 2},
  [12198] = {.lex_state = 271, .external_lex_state = 2},
  [12199] = {.lex_state = 159, .external_lex_state = 2},
  [12200] = {.lex_state = 159, .external_lex_state = 2},
  [12201] = {.lex_state = 159, .external_lex_state = 2},
  [12202] = {.lex_state = 159, .external_lex_state = 2},
  [12203] = {.lex_state = 159, .external_lex_state = 2},
  [12204] = {.lex_state = 159, .external_lex_state = 2},
  [12205] = {.lex_state = 159, .external_lex_state = 2},
  [12206] = {.lex_state = 166, .external_lex_state = 2},
  [12207] = {.lex_state = 166, .external_lex_state = 2},
  [12208] = {.lex_state = 159, .external_lex_state = 2},
  [12209] = {.lex_state = 159, .external_lex_state = 2},
  [12210] = {.lex_state = 159, .external_lex_state = 2},
  [12211] = {.lex_state = 170, .external_lex_state = 2},
  [12212] = {.lex_state = 159, .external_lex_state = 2},
  [12213] = {.lex_state = 230, .external_lex_state = 2},
  [12214] = {.lex_state = 159, .external_lex_state = 2},
  [12215] = {.lex_state = 159, .external_lex_state = 2},
  [12216] = {.lex_state = 159, .external_lex_state = 2},
  [12217] = {.lex_state = 159, .external_lex_state = 2},
  [12218] = {.lex_state = 159, .external_lex_state = 2},
  [12219] = {.lex_state = 159, .external_lex_state = 2},
  [12220] = {.lex_state = 159, .external_lex_state = 2},
  [12221] = {.lex_state = 159, .external_lex_state = 2},
  [12222] = {.lex_state = 159, .external_lex_state = 2},
  [12223] = {.lex_state = 159, .external_lex_state = 2},
  [12224] = {.lex_state = 218, .external_lex_state = 2},
  [12225] = {.lex_state = 159, .external_lex_state = 2},
  [12226] = {.lex_state = 159, .external_lex_state = 2},
  [12227] = {.lex_state = 159, .external_lex_state = 2},
  [12228] = {.lex_state = 159, .external_lex_state = 2},
  [12229] = {.lex_state = 159, .external_lex_state = 2},
  [12230] = {.lex_state = 452, .external_lex_state = 2},
  [12231] = {.lex_state = 159, .external_lex_state = 2},
  [12232] = {.lex_state = 159, .external_lex_state = 2},
  [12233] = {.lex_state = 159, .external_lex_state = 2},
  [12234] = {.lex_state = 159, .external_lex_state = 2},
  [12235] = {.lex_state = 159, .external_lex_state = 2},
  [12236] = {.lex_state = 159, .external_lex_state = 2},
  [12237] = {.lex_state = 271, .external_lex_state = 2},
  [12238] = {.lex_state = 159, .external_lex_state = 2},
  [12239] = {.lex_state = 159, .external_lex_state = 2},
  [12240] = {.lex_state = 159, .external_lex_state = 2},
  [12241] = {.lex_state = 159, .external_lex_state = 2},
  [12242] = {.lex_state = 159, .external_lex_state = 2},
  [12243] = {.lex_state = 159, .external_lex_state = 2},
  [12244] = {.lex_state = 159, .external_lex_state = 2},
  [12245] = {.lex_state = 159, .external_lex_state = 2},
  [12246] = {.lex_state = 159, .external_lex_state = 2},
  [12247] = {.lex_state = 159, .external_lex_state = 2},
  [12248] = {.lex_state = 159, .external_lex_state = 2},
  [12249] = {.lex_state = 159, .external_lex_state = 2},
  [12250] = {.lex_state = 159, .external_lex_state = 2},
  [12251] = {.lex_state = 159, .external_lex_state = 2},
  [12252] = {.lex_state = 159, .external_lex_state = 2},
  [12253] = {.lex_state = 159, .external_lex_state = 2},
  [12254] = {.lex_state = 159, .external_lex_state = 2},
  [12255] = {.lex_state = 159, .external_lex_state = 2},
  [12256] = {.lex_state = 159, .external_lex_state = 2},
  [12257] = {.lex_state = 250, .external_lex_state = 2},
  [12258] = {.lex_state = 159, .external_lex_state = 2},
  [12259] = {.lex_state = 159, .external_lex_state = 2},
  [12260] = {.lex_state = 159, .external_lex_state = 2},
  [12261] = {.lex_state = 159, .external_lex_state = 2},
  [12262] = {.lex_state = 159, .external_lex_state = 2},
  [12263] = {.lex_state = 159, .external_lex_state = 2},
  [12264] = {.lex_state = 159, .external_lex_state = 2},
  [12265] = {.lex_state = 159, .external_lex_state = 2},
  [12266] = {.lex_state = 159, .external_lex_state = 2},
  [12267] = {.lex_state = 159, .external_lex_state = 2},
  [12268] = {.lex_state = 159, .external_lex_state = 2},
  [12269] = {.lex_state = 250, .external_lex_state = 2},
  [12270] = {.lex_state = 250, .external_lex_state = 2},
  [12271] = {.lex_state = 250, .external_lex_state = 2},
  [12272] = {.lex_state = 159, .external_lex_state = 2},
  [12273] = {.lex_state = 159, .external_lex_state = 2},
  [12274] = {.lex_state = 159, .external_lex_state = 2},
  [12275] = {.lex_state = 159, .external_lex_state = 2},
  [12276] = {.lex_state = 159, .external_lex_state = 2},
  [12277] = {.lex_state = 159, .external_lex_state = 2},
  [12278] = {.lex_state = 159, .external_lex_state = 2},
  [12279] = {.lex_state = 159, .external_lex_state = 2},
  [12280] = {.lex_state = 159, .external_lex_state = 2},
  [12281] = {.lex_state = 159, .external_lex_state = 2},
  [12282] = {.lex_state = 170, .external_lex_state = 2},
  [12283] = {.lex_state = 159, .external_lex_state = 2},
  [12284] = {.lex_state = 159, .external_lex_state = 2},
  [12285] = {.lex_state = 159, .external_lex_state = 2},
  [12286] = {.lex_state = 159, .external_lex_state = 2},
  [12287] = {.lex_state = 159, .external_lex_state = 2},
  [12288] = {.lex_state = 159, .external_lex_state = 2},
  [12289] = {.lex_state = 166, .external_lex_state = 2},
  [12290] = {.lex_state = 159, .external_lex_state = 2},
  [12291] = {.lex_state = 159, .external_lex_state = 2},
  [12292] = {.lex_state = 159, .external_lex_state = 2},
  [12293] = {.lex_state = 159, .external_lex_state = 2},
  [12294] = {.lex_state = 452, .external_lex_state = 2},
  [12295] = {.lex_state = 159, .external_lex_state = 2},
  [12296] = {.lex_state = 159, .external_lex_state = 2},
  [12297] = {.lex_state = 159, .external_lex_state = 2},
  [12298] = {.lex_state = 159, .external_lex_state = 3},
  [12299] = {.lex_state = 159, .external_lex_state = 2},
  [12300] = {.lex_state = 250, .external_lex_state = 2},
  [12301] = {.lex_state = 170, .external_lex_state = 2},
  [12302] = {.lex_state = 170, .external_lex_state = 2},
  [12303] = {.lex_state = 159, .external_lex_state = 2},
  [12304] = {.lex_state = 159, .external_lex_state = 2},
  [12305] = {.lex_state = 159, .external_lex_state = 2},
  [12306] = {.lex_state = 159, .external_lex_state = 2},
  [12307] = {.lex_state = 159, .external_lex_state = 2},
  [12308] = {.lex_state = 159, .external_lex_state = 2},
  [12309] = {.lex_state = 159, .external_lex_state = 2},
  [12310] = {.lex_state = 159, .external_lex_state = 2},
  [12311] = {.lex_state = 159, .external_lex_state = 2},
  [12312] = {.lex_state = 159, .external_lex_state = 2},
  [12313] = {.lex_state = 159, .external_lex_state = 2},
  [12314] = {.lex_state = 159, .external_lex_state = 2},
  [12315] = {.lex_state = 159, .external_lex_state = 2},
  [12316] = {.lex_state = 159, .external_lex_state = 2},
  [12317] = {.lex_state = 159, .external_lex_state = 2},
  [12318] = {.lex_state = 159, .external_lex_state = 2},
  [12319] = {.lex_state = 159, .external_lex_state = 2},
  [12320] = {.lex_state = 250, .external_lex_state = 2},
  [12321] = {.lex_state = 250, .external_lex_state = 2},
  [12322] = {.lex_state = 166, .external_lex_state = 2},
  [12323] = {.lex_state = 159, .external_lex_state = 2},
  [12324] = {.lex_state = 159, .external_lex_state = 2},
  [12325] = {.lex_state = 159, .external_lex_state = 2},
  [12326] = {.lex_state = 159, .external_lex_state = 2},
  [12327] = {.lex_state = 159, .external_lex_state = 2},
  [12328] = {.lex_state = 159, .external_lex_state = 2},
  [12329] = {.lex_state = 159, .external_lex_state = 2},
  [12330] = {.lex_state = 159, .external_lex_state = 2},
  [12331] = {.lex_state = 159, .external_lex_state = 2},
  [12332] = {.lex_state = 159, .external_lex_state = 2},
  [12333] = {.lex_state = 159, .external_lex_state = 2},
  [12334] = {.lex_state = 250, .external_lex_state = 2},
  [12335] = {.lex_state = 166, .external_lex_state = 2},
  [12336] = {.lex_state = 250, .external_lex_state = 2},
  [12337] = {.lex_state = 250, .external_lex_state = 2},
  [12338] = {.lex_state = 170, .external_lex_state = 2},
  [12339] = {.lex_state = 159, .external_lex_state = 2},
  [12340] = {.lex_state = 170, .external_lex_state = 2},
  [12341] = {.lex_state = 170, .external_lex_state = 2},
  [12342] = {.lex_state = 250, .external_lex_state = 2},
  [12343] = {.lex_state = 250, .external_lex_state = 2},
  [12344] = {.lex_state = 250, .external_lex_state = 2},
  [12345] = {.lex_state = 250, .external_lex_state = 2},
  [12346] = {.lex_state = 250, .external_lex_state = 2},
  [12347] = {.lex_state = 250, .external_lex_state = 2},
  [12348] = {.lex_state = 250, .external_lex_state = 2},
  [12349] = {.lex_state = 250, .external_lex_state = 2},
  [12350] = {.lex_state = 170, .external_lex_state = 2},
  [12351] = {.lex_state = 170, .external_lex_state = 2},
  [12352] = {.lex_state = 159, .external_lex_state = 2},
  [12353] = {.lex_state = 159, .external_lex_state = 2},
  [12354] = {.lex_state = 170, .external_lex_state = 2},
  [12355] = {.lex_state = 170, .external_lex_state = 2},
  [12356] = {.lex_state = 159, .external_lex_state = 2},
  [12357] = {.lex_state = 159, .external_lex_state = 2},
  [12358] = {.lex_state = 159, .external_lex_state = 2},
  [12359] = {.lex_state = 159, .external_lex_state = 2},
  [12360] = {.lex_state = 159, .external_lex_state = 2},
  [12361] = {.lex_state = 159, .external_lex_state = 2},
  [12362] = {.lex_state = 159, .external_lex_state = 2},
  [12363] = {.lex_state = 159, .external_lex_state = 2},
  [12364] = {.lex_state = 159, .external_lex_state = 2},
  [12365] = {.lex_state = 170, .external_lex_state = 2},
  [12366] = {.lex_state = 159, .external_lex_state = 2},
  [12367] = {.lex_state = 159, .external_lex_state = 2},
  [12368] = {.lex_state = 159, .external_lex_state = 2},
  [12369] = {.lex_state = 159, .external_lex_state = 2},
  [12370] = {.lex_state = 159, .external_lex_state = 2},
  [12371] = {.lex_state = 159, .external_lex_state = 2},
  [12372] = {.lex_state = 159, .external_lex_state = 2},
  [12373] = {.lex_state = 159, .external_lex_state = 2},
  [12374] = {.lex_state = 159, .external_lex_state = 2},
  [12375] = {.lex_state = 159, .external_lex_state = 2},
  [12376] = {.lex_state = 159, .external_lex_state = 2},
  [12377] = {.lex_state = 159, .external_lex_state = 2},
  [12378] = {.lex_state = 159, .external_lex_state = 2},
  [12379] = {.lex_state = 170, .external_lex_state = 2},
  [12380] = {.lex_state = 170, .external_lex_state = 2},
  [12381] = {.lex_state = 452, .external_lex_state = 2},
  [12382] = {.lex_state = 250, .external_lex_state = 2},
  [12383] = {.lex_state = 250, .external_lex_state = 2},
  [12384] = {.lex_state = 250, .external_lex_state = 2},
  [12385] = {.lex_state = 159, .external_lex_state = 2},
  [12386] = {.lex_state = 453, .external_lex_state = 3},
  [12387] = {.lex_state = 250, .external_lex_state = 2},
  [12388] = {.lex_state = 12, .external_lex_state = 2},
  [12389] = {.lex_state = 12, .external_lex_state = 2},
  [12390] = {.lex_state = 159, .external_lex_state = 2},
  [12391] = {.lex_state = 453, .external_lex_state = 3},
  [12392] = {.lex_state = 250, .external_lex_state = 2},
  [12393] = {.lex_state = 164, .external_lex_state = 2},
  [12394] = {.lex_state = 164, .external_lex_state = 2},
  [12395] = {.lex_state = 164, .external_lex_state = 2},
  [12396] = {.lex_state = 164, .external_lex_state = 2},
  [12397] = {.lex_state = 164, .external_lex_state = 2},
  [12398] = {.lex_state = 164, .external_lex_state = 2},
  [12399] = {.lex_state = 250, .external_lex_state = 2},
  [12400] = {.lex_state = 250, .external_lex_state = 2},
  [12401] = {.lex_state = 159, .external_lex_state = 2},
  [12402] = {.lex_state = 250, .external_lex_state = 2},
  [12403] = {.lex_state = 164, .external_lex_state = 2},
  [12404] = {.lex_state = 164, .external_lex_state = 2},
  [12405] = {.lex_state = 170, .external_lex_state = 2},
  [12406] = {.lex_state = 12, .external_lex_state = 2},
  [12407] = {.lex_state = 164, .external_lex_state = 2},
  [12408] = {.lex_state = 250, .external_lex_state = 2},
  [12409] = {.lex_state = 164, .external_lex_state = 2},
  [12410] = {.lex_state = 250, .external_lex_state = 2},
  [12411] = {.lex_state = 12, .external_lex_state = 2},
  [12412] = {.lex_state = 12, .external_lex_state = 2},
  [12413] = {.lex_state = 271, .external_lex_state = 2},
  [12414] = {.lex_state = 250, .external_lex_state = 2},
  [12415] = {.lex_state = 164, .external_lex_state = 2},
  [12416] = {.lex_state = 250, .external_lex_state = 2},
  [12417] = {.lex_state = 164, .external_lex_state = 2},
  [12418] = {.lex_state = 164, .external_lex_state = 2},
  [12419] = {.lex_state = 12, .external_lex_state = 2},
  [12420] = {.lex_state = 170, .external_lex_state = 2},
  [12421] = {.lex_state = 164, .external_lex_state = 2},
  [12422] = {.lex_state = 164, .external_lex_state = 2},
  [12423] = {.lex_state = 12, .external_lex_state = 2},
  [12424] = {.lex_state = 250, .external_lex_state = 2},
  [12425] = {.lex_state = 158, .external_lex_state = 2},
  [12426] = {.lex_state = 250, .external_lex_state = 2},
  [12427] = {.lex_state = 12, .external_lex_state = 2},
  [12428] = {.lex_state = 164, .external_lex_state = 2},
  [12429] = {.lex_state = 250, .external_lex_state = 2},
  [12430] = {.lex_state = 159, .external_lex_state = 2},
  [12431] = {.lex_state = 164, .external_lex_state = 2},
  [12432] = {.lex_state = 159, .external_lex_state = 2},
  [12433] = {.lex_state = 164, .external_lex_state = 2},
  [12434] = {.lex_state = 159, .external_lex_state = 2},
  [12435] = {.lex_state = 250, .external_lex_state = 2},
  [12436] = {.lex_state = 170, .external_lex_state = 2},
  [12437] = {.lex_state = 453, .external_lex_state = 3},
  [12438] = {.lex_state = 12, .external_lex_state = 2},
  [12439] = {.lex_state = 250, .external_lex_state = 2},
  [12440] = {.lex_state = 159, .external_lex_state = 2},
  [12441] = {.lex_state = 250, .external_lex_state = 2},
  [12442] = {.lex_state = 170, .external_lex_state = 2},
  [12443] = {.lex_state = 250, .external_lex_state = 2},
  [12444] = {.lex_state = 159, .external_lex_state = 2},
  [12445] = {.lex_state = 170, .external_lex_state = 2},
  [12446] = {.lex_state = 453, .external_lex_state = 3},
  [12447] = {.lex_state = 250, .external_lex_state = 2},
  [12448] = {.lex_state = 250, .external_lex_state = 2},
  [12449] = {.lex_state = 158, .external_lex_state = 2},
  [12450] = {.lex_state = 12, .external_lex_state = 2},
  [12451] = {.lex_state = 12, .external_lex_state = 2},
  [12452] = {.lex_state = 159, .external_lex_state = 2},
  [12453] = {.lex_state = 159, .external_lex_state = 2},
  [12454] = {.lex_state = 164, .external_lex_state = 2},
  [12455] = {.lex_state = 250, .external_lex_state = 2},
  [12456] = {.lex_state = 250, .external_lex_state = 2},
  [12457] = {.lex_state = 170, .external_lex_state = 2},
  [12458] = {.lex_state = 170, .external_lex_state = 2},
  [12459] = {.lex_state = 159, .external_lex_state = 2},
  [12460] = {.lex_state = 271, .external_lex_state = 2},
  [12461] = {.lex_state = 12, .external_lex_state = 2},
  [12462] = {.lex_state = 12, .external_lex_state = 2},
  [12463] = {.lex_state = 250, .external_lex_state = 2},
  [12464] = {.lex_state = 12, .external_lex_state = 2},
  [12465] = {.lex_state = 164, .external_lex_state = 2},
  [12466] = {.lex_state = 164, .external_lex_state = 2},
  [12467] = {.lex_state = 158, .external_lex_state = 2},
  [12468] = {.lex_state = 12, .external_lex_state = 2},
  [12469] = {.lex_state = 250, .external_lex_state = 2},
  [12470] = {.lex_state = 158, .external_lex_state = 2},
  [12471] = {.lex_state = 170, .external_lex_state = 2},
  [12472] = {.lex_state = 170, .external_lex_state = 2},
  [12473] = {.lex_state = 158, .external_lex_state = 2},
  [12474] = {.lex_state = 164, .external_lex_state = 2},
  [12475] = {.lex_state = 170, .external_lex_state = 2},
  [12476] = {.lex_state = 170, .external_lex_state = 2},
  [12477] = {.lex_state = 164, .external_lex_state = 2},
  [12478] = {.lex_state = 453, .external_lex_state = 3},
  [12479] = {.lex_state = 159, .external_lex_state = 2},
  [12480] = {.lex_state = 159, .external_lex_state = 2},
  [12481] = {.lex_state = 250, .external_lex_state = 2},
  [12482] = {.lex_state = 250, .external_lex_state = 2},
  [12483] = {.lex_state = 250, .external_lex_state = 2},
  [12484] = {.lex_state = 250, .external_lex_state = 2},
  [12485] = {.lex_state = 250, .external_lex_state = 2},
  [12486] = {.lex_state = 250, .external_lex_state = 2},
  [12487] = {.lex_state = 170, .external_lex_state = 2},
  [12488] = {.lex_state = 250, .external_lex_state = 2},
  [12489] = {.lex_state = 12, .external_lex_state = 2},
  [12490] = {.lex_state = 250, .external_lex_state = 2},
  [12491] = {.lex_state = 250, .external_lex_state = 2},
  [12492] = {.lex_state = 250, .external_lex_state = 2},
  [12493] = {.lex_state = 250, .external_lex_state = 2},
  [12494] = {.lex_state = 164, .external_lex_state = 2},
  [12495] = {.lex_state = 250, .external_lex_state = 2},
  [12496] = {.lex_state = 250, .external_lex_state = 2},
  [12497] = {.lex_state = 12, .external_lex_state = 2},
  [12498] = {.lex_state = 159, .external_lex_state = 2},
  [12499] = {.lex_state = 250, .external_lex_state = 2},
  [12500] = {.lex_state = 250, .external_lex_state = 2},
  [12501] = {.lex_state = 164, .external_lex_state = 2},
  [12502] = {.lex_state = 250, .external_lex_state = 2},
  [12503] = {.lex_state = 250, .external_lex_state = 2},
  [12504] = {.lex_state = 12, .external_lex_state = 2},
  [12505] = {.lex_state = 164, .external_lex_state = 2},
  [12506] = {.lex_state = 12, .external_lex_state = 2},
  [12507] = {.lex_state = 250, .external_lex_state = 2},
  [12508] = {.lex_state = 12, .external_lex_state = 2},
  [12509] = {.lex_state = 170, .external_lex_state = 2},
  [12510] = {.lex_state = 250, .external_lex_state = 2},
  [12511] = {.lex_state = 12, .external_lex_state = 2},
  [12512] = {.lex_state = 12, .external_lex_state = 2},
  [12513] = {.lex_state = 12, .external_lex_state = 2},
  [12514] = {.lex_state = 12, .external_lex_state = 2},
  [12515] = {.lex_state = 170, .external_lex_state = 2},
  [12516] = {.lex_state = 170, .external_lex_state = 2},
  [12517] = {.lex_state = 12, .external_lex_state = 2},
  [12518] = {.lex_state = 170, .external_lex_state = 2},
  [12519] = {.lex_state = 170, .external_lex_state = 2},
  [12520] = {.lex_state = 250, .external_lex_state = 2},
  [12521] = {.lex_state = 250, .external_lex_state = 2},
  [12522] = {.lex_state = 164, .external_lex_state = 2},
  [12523] = {.lex_state = 250, .external_lex_state = 2},
  [12524] = {.lex_state = 250, .external_lex_state = 2},
  [12525] = {.lex_state = 250, .external_lex_state = 2},
  [12526] = {.lex_state = 250, .external_lex_state = 2},
  [12527] = {.lex_state = 250, .external_lex_state = 2},
  [12528] = {.lex_state = 158, .external_lex_state = 2},
  [12529] = {.lex_state = 453, .external_lex_state = 3},
  [12530] = {.lex_state = 158, .external_lex_state = 2},
  [12531] = {.lex_state = 170, .external_lex_state = 2},
  [12532] = {.lex_state = 158, .external_lex_state = 2},
  [12533] = {.lex_state = 12, .external_lex_state = 2},
  [12534] = {.lex_state = 12, .external_lex_state = 2},
  [12535] = {.lex_state = 12, .external_lex_state = 2},
  [12536] = {.lex_state = 12, .external_lex_state = 2},
  [12537] = {.lex_state = 170, .external_lex_state = 2},
  [12538] = {.lex_state = 453, .external_lex_state = 3},
  [12539] = {.lex_state = 159, .external_lex_state = 2},
  [12540] = {.lex_state = 12, .external_lex_state = 2},
  [12541] = {.lex_state = 250, .external_lex_state = 2},
  [12542] = {.lex_state = 250, .external_lex_state = 2},
  [12543] = {.lex_state = 250, .external_lex_state = 2},
  [12544] = {.lex_state = 250, .external_lex_state = 2},
  [12545] = {.lex_state = 12, .external_lex_state = 2},
  [12546] = {.lex_state = 250, .external_lex_state = 2},
  [12547] = {.lex_state = 170, .external_lex_state = 2},
  [12548] = {.lex_state = 162, .external_lex_state = 2},
  [12549] = {.lex_state = 163, .external_lex_state = 2},
  [12550] = {.lex_state = 163, .external_lex_state = 2},
  [12551] = {.lex_state = 162, .external_lex_state = 2},
  [12552] = {.lex_state = 163, .external_lex_state = 2},
  [12553] = {.lex_state = 163, .external_lex_state = 2},
  [12554] = {.lex_state = 164, .external_lex_state = 2},
  [12555] = {.lex_state = 164, .external_lex_state = 2},
  [12556] = {.lex_state = 164, .external_lex_state = 2},
  [12557] = {.lex_state = 164, .external_lex_state = 2},
  [12558] = {.lex_state = 164, .external_lex_state = 2},
  [12559] = {.lex_state = 163, .external_lex_state = 2},
  [12560] = {.lex_state = 163, .external_lex_state = 2},
  [12561] = {.lex_state = 163, .external_lex_state = 2},
  [12562] = {.lex_state = 163, .external_lex_state = 2},
  [12563] = {.lex_state = 163, .external_lex_state = 2},
  [12564] = {.lex_state = 163, .external_lex_state = 2},
  [12565] = {.lex_state = 163, .external_lex_state = 2},
  [12566] = {.lex_state = 163, .external_lex_state = 2},
  [12567] = {.lex_state = 163, .external_lex_state = 2},
  [12568] = {.lex_state = 163, .external_lex_state = 2},
  [12569] = {.lex_state = 163, .external_lex_state = 2},
  [12570] = {.lex_state = 163, .external_lex_state = 2},
  [12571] = {.lex_state = 163, .external_lex_state = 2},
  [12572] = {.lex_state = 164, .external_lex_state = 2},
  [12573] = {.lex_state = 250, .external_lex_state = 2},
  [12574] = {.lex_state = 452, .external_lex_state = 2},
  [12575] = {.lex_state = 163, .external_lex_state = 2},
  [12576] = {.lex_state = 163, .external_lex_state = 2},
  [12577] = {.lex_state = 452, .external_lex_state = 2},
  [12578] = {.lex_state = 162, .external_lex_state = 2},
  [12579] = {.lex_state = 163, .external_lex_state = 2},
  [12580] = {.lex_state = 163, .external_lex_state = 2},
  [12581] = {.lex_state = 452, .external_lex_state = 2},
  [12582] = {.lex_state = 163, .external_lex_state = 2},
  [12583] = {.lex_state = 164, .external_lex_state = 2},
  [12584] = {.lex_state = 452, .external_lex_state = 2},
  [12585] = {.lex_state = 452, .external_lex_state = 2},
  [12586] = {.lex_state = 236, .external_lex_state = 2},
  [12587] = {.lex_state = 236, .external_lex_state = 2},
  [12588] = {.lex_state = 162, .external_lex_state = 2},
  [12589] = {.lex_state = 452, .external_lex_state = 2},
  [12590] = {.lex_state = 236, .external_lex_state = 2},
  [12591] = {.lex_state = 452, .external_lex_state = 2},
  [12592] = {.lex_state = 250, .external_lex_state = 2},
  [12593] = {.lex_state = 162, .external_lex_state = 2},
  [12594] = {.lex_state = 162, .external_lex_state = 2},
  [12595] = {.lex_state = 452, .external_lex_state = 2},
  [12596] = {.lex_state = 250, .external_lex_state = 2},
  [12597] = {.lex_state = 162, .external_lex_state = 2},
  [12598] = {.lex_state = 164, .external_lex_state = 2},
  [12599] = {.lex_state = 164, .external_lex_state = 2},
  [12600] = {.lex_state = 164, .external_lex_state = 2},
  [12601] = {.lex_state = 164, .external_lex_state = 2},
  [12602] = {.lex_state = 164, .external_lex_state = 2},
  [12603] = {.lex_state = 250, .external_lex_state = 2},
  [12604] = {.lex_state = 162, .external_lex_state = 2},
  [12605] = {.lex_state = 162, .external_lex_state = 2},
  [12606] = {.lex_state = 162, .external_lex_state = 2},
  [12607] = {.lex_state = 162, .external_lex_state = 2},
  [12608] = {.lex_state = 162, .external_lex_state = 2},
  [12609] = {.lex_state = 162, .external_lex_state = 2},
  [12610] = {.lex_state = 162, .external_lex_state = 2},
  [12611] = {.lex_state = 162, .external_lex_state = 2},
  [12612] = {.lex_state = 162, .external_lex_state = 2},
  [12613] = {.lex_state = 162, .external_lex_state = 2},
  [12614] = {.lex_state = 162, .external_lex_state = 2},
  [12615] = {.lex_state = 162, .external_lex_state = 2},
  [12616] = {.lex_state = 162, .external_lex_state = 2},
  [12617] = {.lex_state = 250, .external_lex_state = 2},
  [12618] = {.lex_state = 163, .external_lex_state = 2},
  [12619] = {.lex_state = 452, .external_lex_state = 2},
  [12620] = {.lex_state = 452, .external_lex_state = 2},
  [12621] = {.lex_state = 250, .external_lex_state = 2},
  [12622] = {.lex_state = 250, .external_lex_state = 2},
  [12623] = {.lex_state = 250, .external_lex_state = 2},
  [12624] = {.lex_state = 250, .external_lex_state = 2},
  [12625] = {.lex_state = 250, .external_lex_state = 2},
  [12626] = {.lex_state = 238, .external_lex_state = 2},
  [12627] = {.lex_state = 162, .external_lex_state = 2},
  [12628] = {.lex_state = 162, .external_lex_state = 2},
  [12629] = {.lex_state = 162, .external_lex_state = 2},
  [12630] = {.lex_state = 452, .external_lex_state = 2},
  [12631] = {.lex_state = 452, .external_lex_state = 2},
  [12632] = {.lex_state = 250, .external_lex_state = 2},
  [12633] = {.lex_state = 162, .external_lex_state = 2},
  [12634] = {.lex_state = 162, .external_lex_state = 2},
  [12635] = {.lex_state = 162, .external_lex_state = 2},
  [12636] = {.lex_state = 162, .external_lex_state = 2},
  [12637] = {.lex_state = 162, .external_lex_state = 2},
  [12638] = {.lex_state = 162, .external_lex_state = 2},
  [12639] = {.lex_state = 162, .external_lex_state = 2},
  [12640] = {.lex_state = 162, .external_lex_state = 2},
  [12641] = {.lex_state = 162, .external_lex_state = 2},
  [12642] = {.lex_state = 162, .external_lex_state = 2},
  [12643] = {.lex_state = 162, .external_lex_state = 2},
  [12644] = {.lex_state = 162, .external_lex_state = 2},
  [12645] = {.lex_state = 162, .external_lex_state = 2},
  [12646] = {.lex_state = 250, .external_lex_state = 2},
  [12647] = {.lex_state = 452, .external_lex_state = 2},
  [12648] = {.lex_state = 164, .external_lex_state = 2},
  [12649] = {.lex_state = 162, .external_lex_state = 2},
  [12650] = {.lex_state = 162, .external_lex_state = 2},
  [12651] = {.lex_state = 452, .external_lex_state = 2},
  [12652] = {.lex_state = 162, .external_lex_state = 2},
  [12653] = {.lex_state = 162, .external_lex_state = 2},
  [12654] = {.lex_state = 162, .external_lex_state = 2},
  [12655] = {.lex_state = 162, .external_lex_state = 2},
  [12656] = {.lex_state = 162, .external_lex_state = 2},
  [12657] = {.lex_state = 162, .external_lex_state = 2},
  [12658] = {.lex_state = 162, .external_lex_state = 2},
  [12659] = {.lex_state = 162, .external_lex_state = 2},
  [12660] = {.lex_state = 162, .external_lex_state = 2},
  [12661] = {.lex_state = 162, .external_lex_state = 2},
  [12662] = {.lex_state = 162, .external_lex_state = 2},
  [12663] = {.lex_state = 162, .external_lex_state = 2},
  [12664] = {.lex_state = 452, .external_lex_state = 2},
  [12665] = {.lex_state = 250, .external_lex_state = 2},
  [12666] = {.lex_state = 162, .external_lex_state = 2},
  [12667] = {.lex_state = 250, .external_lex_state = 2},
  [12668] = {.lex_state = 250, .external_lex_state = 2},
  [12669] = {.lex_state = 250, .external_lex_state = 2},
  [12670] = {.lex_state = 162, .external_lex_state = 2},
  [12671] = {.lex_state = 452, .external_lex_state = 2},
  [12672] = {.lex_state = 452, .external_lex_state = 2},
  [12673] = {.lex_state = 164, .external_lex_state = 2},
  [12674] = {.lex_state = 452, .external_lex_state = 2},
  [12675] = {.lex_state = 250, .external_lex_state = 2},
  [12676] = {.lex_state = 164, .external_lex_state = 2},
  [12677] = {.lex_state = 164, .external_lex_state = 2},
  [12678] = {.lex_state = 452, .external_lex_state = 2},
  [12679] = {.lex_state = 162, .external_lex_state = 2},
  [12680] = {.lex_state = 162, .external_lex_state = 2},
  [12681] = {.lex_state = 162, .external_lex_state = 2},
  [12682] = {.lex_state = 162, .external_lex_state = 2},
  [12683] = {.lex_state = 162, .external_lex_state = 2},
  [12684] = {.lex_state = 452, .external_lex_state = 2},
  [12685] = {.lex_state = 452, .external_lex_state = 2},
  [12686] = {.lex_state = 162, .external_lex_state = 2},
  [12687] = {.lex_state = 162, .external_lex_state = 2},
  [12688] = {.lex_state = 162, .external_lex_state = 2},
  [12689] = {.lex_state = 162, .external_lex_state = 2},
  [12690] = {.lex_state = 162, .external_lex_state = 2},
  [12691] = {.lex_state = 452, .external_lex_state = 2},
  [12692] = {.lex_state = 159, .external_lex_state = 2},
  [12693] = {.lex_state = 159, .external_lex_state = 2},
  [12694] = {.lex_state = 162, .external_lex_state = 2},
  [12695] = {.lex_state = 162, .external_lex_state = 2},
  [12696] = {.lex_state = 162, .external_lex_state = 2},
  [12697] = {.lex_state = 162, .external_lex_state = 2},
  [12698] = {.lex_state = 159, .external_lex_state = 2},
  [12699] = {.lex_state = 159, .external_lex_state = 2},
  [12700] = {.lex_state = 452, .external_lex_state = 2},
  [12701] = {.lex_state = 162, .external_lex_state = 2},
  [12702] = {.lex_state = 162, .external_lex_state = 2},
  [12703] = {.lex_state = 162, .external_lex_state = 2},
  [12704] = {.lex_state = 162, .external_lex_state = 2},
  [12705] = {.lex_state = 162, .external_lex_state = 2},
  [12706] = {.lex_state = 228, .external_lex_state = 2},
  [12707] = {.lex_state = 159, .external_lex_state = 2},
  [12708] = {.lex_state = 452, .external_lex_state = 2},
  [12709] = {.lex_state = 6, .external_lex_state = 2},
  [12710] = {.lex_state = 250, .external_lex_state = 2},
  [12711] = {.lex_state = 452, .external_lex_state = 2},
  [12712] = {.lex_state = 162, .external_lex_state = 2},
  [12713] = {.lex_state = 452, .external_lex_state = 2},
  [12714] = {.lex_state = 452, .external_lex_state = 2},
  [12715] = {.lex_state = 162, .external_lex_state = 2},
  [12716] = {.lex_state = 452, .external_lex_state = 2},
  [12717] = {.lex_state = 162, .external_lex_state = 2},
  [12718] = {.lex_state = 162, .external_lex_state = 2},
  [12719] = {.lex_state = 452, .external_lex_state = 2},
  [12720] = {.lex_state = 164, .external_lex_state = 2},
  [12721] = {.lex_state = 250, .external_lex_state = 2},
  [12722] = {.lex_state = 454, .external_lex_state = 2},
  [12723] = {.lex_state = 164, .external_lex_state = 2},
  [12724] = {.lex_state = 452, .external_lex_state = 2},
  [12725] = {.lex_state = 164, .external_lex_state = 2},
  [12726] = {.lex_state = 164, .external_lex_state = 2},
  [12727] = {.lex_state = 164, .external_lex_state = 2},
  [12728] = {.lex_state = 164, .external_lex_state = 2},
  [12729] = {.lex_state = 164, .external_lex_state = 2},
  [12730] = {.lex_state = 164, .external_lex_state = 2},
  [12731] = {.lex_state = 164, .external_lex_state = 2},
  [12732] = {.lex_state = 164, .external_lex_state = 2},
  [12733] = {.lex_state = 164, .external_lex_state = 2},
  [12734] = {.lex_state = 164, .external_lex_state = 2},
  [12735] = {.lex_state = 452, .external_lex_state = 2},
  [12736] = {.lex_state = 250, .external_lex_state = 2},
  [12737] = {.lex_state = 452, .external_lex_state = 2},
  [12738] = {.lex_state = 162, .external_lex_state = 2},
  [12739] = {.lex_state = 162, .external_lex_state = 2},
  [12740] = {.lex_state = 162, .external_lex_state = 2},
  [12741] = {.lex_state = 452, .external_lex_state = 2},
  [12742] = {.lex_state = 162, .external_lex_state = 2},
  [12743] = {.lex_state = 162, .external_lex_state = 2},
  [12744] = {.lex_state = 162, .external_lex_state = 2},
  [12745] = {.lex_state = 162, .external_lex_state = 2},
  [12746] = {.lex_state = 238, .external_lex_state = 2},
  [12747] = {.lex_state = 164, .external_lex_state = 2},
  [12748] = {.lex_state = 452, .external_lex_state = 2},
  [12749] = {.lex_state = 238, .external_lex_state = 2},
  [12750] = {.lex_state = 162, .external_lex_state = 2},
  [12751] = {.lex_state = 162, .external_lex_state = 2},
  [12752] = {.lex_state = 162, .external_lex_state = 2},
  [12753] = {.lex_state = 452, .external_lex_state = 2},
  [12754] = {.lex_state = 159, .external_lex_state = 2},
  [12755] = {.lex_state = 452, .external_lex_state = 2},
  [12756] = {.lex_state = 238, .external_lex_state = 2},
  [12757] = {.lex_state = 452, .external_lex_state = 2},
  [12758] = {.lex_state = 162, .external_lex_state = 2},
  [12759] = {.lex_state = 159, .external_lex_state = 2},
  [12760] = {.lex_state = 452, .external_lex_state = 2},
  [12761] = {.lex_state = 162, .external_lex_state = 2},
  [12762] = {.lex_state = 164, .external_lex_state = 2},
  [12763] = {.lex_state = 452, .external_lex_state = 2},
  [12764] = {.lex_state = 452, .external_lex_state = 2},
  [12765] = {.lex_state = 272, .external_lex_state = 2},
  [12766] = {.lex_state = 452, .external_lex_state = 2},
  [12767] = {.lex_state = 272, .external_lex_state = 2},
  [12768] = {.lex_state = 452, .external_lex_state = 2},
  [12769] = {.lex_state = 222, .external_lex_state = 2},
  [12770] = {.lex_state = 222, .external_lex_state = 2},
  [12771] = {.lex_state = 164, .external_lex_state = 2},
  [12772] = {.lex_state = 452, .external_lex_state = 2},
  [12773] = {.lex_state = 164, .external_lex_state = 2},
  [12774] = {.lex_state = 164, .external_lex_state = 2},
  [12775] = {.lex_state = 164, .external_lex_state = 2},
  [12776] = {.lex_state = 164, .external_lex_state = 2},
  [12777] = {.lex_state = 164, .external_lex_state = 2},
  [12778] = {.lex_state = 164, .external_lex_state = 2},
  [12779] = {.lex_state = 164, .external_lex_state = 2},
  [12780] = {.lex_state = 164, .external_lex_state = 2},
  [12781] = {.lex_state = 164, .external_lex_state = 2},
  [12782] = {.lex_state = 164, .external_lex_state = 2},
  [12783] = {.lex_state = 452, .external_lex_state = 2},
  [12784] = {.lex_state = 162, .external_lex_state = 2},
  [12785] = {.lex_state = 452, .external_lex_state = 2},
  [12786] = {.lex_state = 238, .external_lex_state = 2},
  [12787] = {.lex_state = 222, .external_lex_state = 2},
  [12788] = {.lex_state = 452, .external_lex_state = 2},
  [12789] = {.lex_state = 164, .external_lex_state = 2},
  [12790] = {.lex_state = 236, .external_lex_state = 2},
  [12791] = {.lex_state = 452, .external_lex_state = 2},
  [12792] = {.lex_state = 162, .external_lex_state = 2},
  [12793] = {.lex_state = 272, .external_lex_state = 2},
  [12794] = {.lex_state = 452, .external_lex_state = 2},
  [12795] = {.lex_state = 164, .external_lex_state = 2},
  [12796] = {.lex_state = 452, .external_lex_state = 2},
  [12797] = {.lex_state = 162, .external_lex_state = 2},
  [12798] = {.lex_state = 164, .external_lex_state = 2},
  [12799] = {.lex_state = 452, .external_lex_state = 2},
  [12800] = {.lex_state = 222, .external_lex_state = 2},
  [12801] = {.lex_state = 452, .external_lex_state = 2},
  [12802] = {.lex_state = 452, .external_lex_state = 2},
  [12803] = {.lex_state = 250, .external_lex_state = 2},
  [12804] = {.lex_state = 452, .external_lex_state = 2},
  [12805] = {.lex_state = 159, .external_lex_state = 2},
  [12806] = {.lex_state = 452, .external_lex_state = 2},
  [12807] = {.lex_state = 222, .external_lex_state = 2},
  [12808] = {.lex_state = 452, .external_lex_state = 2},
  [12809] = {.lex_state = 452, .external_lex_state = 2},
  [12810] = {.lex_state = 250, .external_lex_state = 2},
  [12811] = {.lex_state = 250, .external_lex_state = 2},
  [12812] = {.lex_state = 452, .external_lex_state = 2},
  [12813] = {.lex_state = 6, .external_lex_state = 2},
  [12814] = {.lex_state = 452, .external_lex_state = 2},
  [12815] = {.lex_state = 452, .external_lex_state = 2},
  [12816] = {.lex_state = 452, .external_lex_state = 2},
  [12817] = {.lex_state = 452, .external_lex_state = 2},
  [12818] = {.lex_state = 162, .external_lex_state = 2},
  [12819] = {.lex_state = 162, .external_lex_state = 2},
  [12820] = {.lex_state = 159, .external_lex_state = 2},
  [12821] = {.lex_state = 163, .external_lex_state = 2},
  [12822] = {.lex_state = 163, .external_lex_state = 2},
  [12823] = {.lex_state = 162, .external_lex_state = 2},
  [12824] = {.lex_state = 159, .external_lex_state = 2},
  [12825] = {.lex_state = 6, .external_lex_state = 2},
  [12826] = {.lex_state = 162, .external_lex_state = 2},
  [12827] = {.lex_state = 452, .external_lex_state = 2},
  [12828] = {.lex_state = 162, .external_lex_state = 2},
  [12829] = {.lex_state = 162, .external_lex_state = 2},
  [12830] = {.lex_state = 162, .external_lex_state = 2},
  [12831] = {.lex_state = 162, .external_lex_state = 2},
  [12832] = {.lex_state = 250, .external_lex_state = 2},
  [12833] = {.lex_state = 6, .external_lex_state = 2},
  [12834] = {.lex_state = 170, .external_lex_state = 2},
  [12835] = {.lex_state = 250, .external_lex_state = 2},
  [12836] = {.lex_state = 250, .external_lex_state = 2},
  [12837] = {.lex_state = 250, .external_lex_state = 2},
  [12838] = {.lex_state = 250, .external_lex_state = 2},
  [12839] = {.lex_state = 250, .external_lex_state = 2},
  [12840] = {.lex_state = 250, .external_lex_state = 2},
  [12841] = {.lex_state = 250, .external_lex_state = 2},
  [12842] = {.lex_state = 250, .external_lex_state = 2},
  [12843] = {.lex_state = 250, .external_lex_state = 2},
  [12844] = {.lex_state = 164, .external_lex_state = 2},
  [12845] = {.lex_state = 162, .external_lex_state = 2},
  [12846] = {.lex_state = 164, .external_lex_state = 2},
  [12847] = {.lex_state = 238, .external_lex_state = 2},
  [12848] = {.lex_state = 452, .external_lex_state = 2},
  [12849] = {.lex_state = 164, .external_lex_state = 2},
  [12850] = {.lex_state = 162, .external_lex_state = 2},
  [12851] = {.lex_state = 452, .external_lex_state = 2},
  [12852] = {.lex_state = 222, .external_lex_state = 2},
  [12853] = {.lex_state = 250, .external_lex_state = 2},
  [12854] = {.lex_state = 452, .external_lex_state = 2},
  [12855] = {.lex_state = 452, .external_lex_state = 2},
  [12856] = {.lex_state = 452, .external_lex_state = 2},
  [12857] = {.lex_state = 222, .external_lex_state = 2},
  [12858] = {.lex_state = 222, .external_lex_state = 2},
  [12859] = {.lex_state = 250, .external_lex_state = 2},
  [12860] = {.lex_state = 250, .external_lex_state = 2},
  [12861] = {.lex_state = 163, .external_lex_state = 2},
  [12862] = {.lex_state = 162, .external_lex_state = 2},
  [12863] = {.lex_state = 228, .external_lex_state = 2},
  [12864] = {.lex_state = 228, .external_lex_state = 2},
  [12865] = {.lex_state = 159, .external_lex_state = 2},
  [12866] = {.lex_state = 452, .external_lex_state = 2},
  [12867] = {.lex_state = 452, .external_lex_state = 2},
  [12868] = {.lex_state = 162, .external_lex_state = 2},
  [12869] = {.lex_state = 452, .external_lex_state = 2},
  [12870] = {.lex_state = 228, .external_lex_state = 2},
  [12871] = {.lex_state = 162, .external_lex_state = 2},
  [12872] = {.lex_state = 452, .external_lex_state = 2},
  [12873] = {.lex_state = 452, .external_lex_state = 2},
  [12874] = {.lex_state = 452, .external_lex_state = 2},
  [12875] = {.lex_state = 250, .external_lex_state = 2},
  [12876] = {.lex_state = 250, .external_lex_state = 2},
  [12877] = {.lex_state = 250, .external_lex_state = 2},
  [12878] = {.lex_state = 250, .external_lex_state = 2},
  [12879] = {.lex_state = 250, .external_lex_state = 2},
  [12880] = {.lex_state = 250, .external_lex_state = 2},
  [12881] = {.lex_state = 164, .external_lex_state = 2},
  [12882] = {.lex_state = 163, .external_lex_state = 2},
  [12883] = {.lex_state = 163, .external_lex_state = 2},
  [12884] = {.lex_state = 250, .external_lex_state = 2},
  [12885] = {.lex_state = 250, .external_lex_state = 2},
  [12886] = {.lex_state = 250, .external_lex_state = 2},
  [12887] = {.lex_state = 250, .external_lex_state = 2},
  [12888] = {.lex_state = 250, .external_lex_state = 2},
  [12889] = {.lex_state = 250, .external_lex_state = 2},
  [12890] = {.lex_state = 162, .external_lex_state = 2},
  [12891] = {.lex_state = 163, .external_lex_state = 2},
  [12892] = {.lex_state = 163, .external_lex_state = 2},
  [12893] = {.lex_state = 163, .external_lex_state = 2},
  [12894] = {.lex_state = 164, .external_lex_state = 2},
  [12895] = {.lex_state = 162, .external_lex_state = 2},
  [12896] = {.lex_state = 164, .external_lex_state = 2},
  [12897] = {.lex_state = 164, .external_lex_state = 2},
  [12898] = {.lex_state = 159, .external_lex_state = 2},
  [12899] = {.lex_state = 219, .external_lex_state = 5},
  [12900] = {.lex_state = 164, .external_lex_state = 2},
  [12901] = {.lex_state = 164, .external_lex_state = 2},
  [12902] = {.lex_state = 164, .external_lex_state = 2},
  [12903] = {.lex_state = 163, .external_lex_state = 2},
  [12904] = {.lex_state = 164, .external_lex_state = 2},
  [12905] = {.lex_state = 164, .external_lex_state = 2},
  [12906] = {.lex_state = 164, .external_lex_state = 2},
  [12907] = {.lex_state = 164, .external_lex_state = 2},
  [12908] = {.lex_state = 164, .external_lex_state = 2},
  [12909] = {.lex_state = 219, .external_lex_state = 5},
  [12910] = {.lex_state = 163, .external_lex_state = 2},
  [12911] = {.lex_state = 163, .external_lex_state = 2},
  [12912] = {.lex_state = 162, .external_lex_state = 2},
  [12913] = {.lex_state = 163, .external_lex_state = 2},
  [12914] = {.lex_state = 163, .external_lex_state = 2},
  [12915] = {.lex_state = 164, .external_lex_state = 2},
  [12916] = {.lex_state = 163, .external_lex_state = 2},
  [12917] = {.lex_state = 163, .external_lex_state = 2},
  [12918] = {.lex_state = 163, .external_lex_state = 2},
  [12919] = {.lex_state = 159, .external_lex_state = 2},
  [12920] = {.lex_state = 162, .external_lex_state = 2},
  [12921] = {.lex_state = 162, .external_lex_state = 2},
  [12922] = {.lex_state = 162, .external_lex_state = 2},
  [12923] = {.lex_state = 162, .external_lex_state = 2},
  [12924] = {.lex_state = 162, .external_lex_state = 2},
  [12925] = {.lex_state = 163, .external_lex_state = 2},
  [12926] = {.lex_state = 163, .external_lex_state = 2},
  [12927] = {.lex_state = 250, .external_lex_state = 2},
  [12928] = {.lex_state = 166, .external_lex_state = 2},
  [12929] = {.lex_state = 162, .external_lex_state = 2},
  [12930] = {.lex_state = 163, .external_lex_state = 2},
  [12931] = {.lex_state = 163, .external_lex_state = 2},
  [12932] = {.lex_state = 163, .external_lex_state = 2},
  [12933] = {.lex_state = 163, .external_lex_state = 2},
  [12934] = {.lex_state = 162, .external_lex_state = 2},
  [12935] = {.lex_state = 219, .external_lex_state = 5},
  [12936] = {.lex_state = 162, .external_lex_state = 2},
  [12937] = {.lex_state = 164, .external_lex_state = 2},
  [12938] = {.lex_state = 162, .external_lex_state = 2},
  [12939] = {.lex_state = 162, .external_lex_state = 2},
  [12940] = {.lex_state = 163, .external_lex_state = 2},
  [12941] = {.lex_state = 162, .external_lex_state = 2},
  [12942] = {.lex_state = 163, .external_lex_state = 2},
  [12943] = {.lex_state = 219, .external_lex_state = 5},
  [12944] = {.lex_state = 162, .external_lex_state = 2},
  [12945] = {.lex_state = 162, .external_lex_state = 2},
  [12946] = {.lex_state = 162, .external_lex_state = 2},
  [12947] = {.lex_state = 162, .external_lex_state = 2},
  [12948] = {.lex_state = 162, .external_lex_state = 2},
  [12949] = {.lex_state = 159, .external_lex_state = 2},
  [12950] = {.lex_state = 162, .external_lex_state = 2},
  [12951] = {.lex_state = 162, .external_lex_state = 2},
  [12952] = {.lex_state = 162, .external_lex_state = 2},
  [12953] = {.lex_state = 163, .external_lex_state = 2},
  [12954] = {.lex_state = 163, .external_lex_state = 2},
  [12955] = {.lex_state = 164, .external_lex_state = 2},
  [12956] = {.lex_state = 219, .external_lex_state = 5},
  [12957] = {.lex_state = 236, .external_lex_state = 2},
  [12958] = {.lex_state = 250, .external_lex_state = 2},
  [12959] = {.lex_state = 163, .external_lex_state = 2},
  [12960] = {.lex_state = 162, .external_lex_state = 2},
  [12961] = {.lex_state = 162, .external_lex_state = 2},
  [12962] = {.lex_state = 163, .external_lex_state = 2},
  [12963] = {.lex_state = 219, .external_lex_state = 5},
  [12964] = {.lex_state = 163, .external_lex_state = 2},
  [12965] = {.lex_state = 164, .external_lex_state = 2},
  [12966] = {.lex_state = 163, .external_lex_state = 2},
  [12967] = {.lex_state = 163, .external_lex_state = 2},
  [12968] = {.lex_state = 238, .external_lex_state = 2},
  [12969] = {.lex_state = 163, .external_lex_state = 2},
  [12970] = {.lex_state = 162, .external_lex_state = 2},
  [12971] = {.lex_state = 164, .external_lex_state = 2},
  [12972] = {.lex_state = 159, .external_lex_state = 2},
  [12973] = {.lex_state = 162, .external_lex_state = 2},
  [12974] = {.lex_state = 163, .external_lex_state = 2},
  [12975] = {.lex_state = 163, .external_lex_state = 2},
  [12976] = {.lex_state = 162, .external_lex_state = 2},
  [12977] = {.lex_state = 159, .external_lex_state = 2},
  [12978] = {.lex_state = 163, .external_lex_state = 2},
  [12979] = {.lex_state = 163, .external_lex_state = 2},
  [12980] = {.lex_state = 159, .external_lex_state = 2},
  [12981] = {.lex_state = 163, .external_lex_state = 2},
  [12982] = {.lex_state = 164, .external_lex_state = 2},
  [12983] = {.lex_state = 163, .external_lex_state = 2},
  [12984] = {.lex_state = 452, .external_lex_state = 2},
  [12985] = {.lex_state = 162, .external_lex_state = 2},
  [12986] = {.lex_state = 163, .external_lex_state = 2},
  [12987] = {.lex_state = 238, .external_lex_state = 2},
  [12988] = {.lex_state = 163, .external_lex_state = 2},
  [12989] = {.lex_state = 159, .external_lex_state = 2},
  [12990] = {.lex_state = 159, .external_lex_state = 2},
  [12991] = {.lex_state = 163, .external_lex_state = 2},
  [12992] = {.lex_state = 162, .external_lex_state = 2},
  [12993] = {.lex_state = 163, .external_lex_state = 2},
  [12994] = {.lex_state = 159, .external_lex_state = 2},
  [12995] = {.lex_state = 219, .external_lex_state = 5},
  [12996] = {.lex_state = 162, .external_lex_state = 2},
  [12997] = {.lex_state = 219, .external_lex_state = 5},
  [12998] = {.lex_state = 250, .external_lex_state = 2},
  [12999] = {.lex_state = 219, .external_lex_state = 5},
  [13000] = {.lex_state = 163, .external_lex_state = 2},
  [13001] = {.lex_state = 219, .external_lex_state = 5},
  [13002] = {.lex_state = 163, .external_lex_state = 2},
  [13003] = {.lex_state = 163, .external_lex_state = 2},
  [13004] = {.lex_state = 250, .external_lex_state = 2},
  [13005] = {.lex_state = 163, .external_lex_state = 2},
  [13006] = {.lex_state = 219, .external_lex_state = 5},
  [13007] = {.lex_state = 163, .external_lex_state = 2},
  [13008] = {.lex_state = 162, .external_lex_state = 2},
  [13009] = {.lex_state = 163, .external_lex_state = 2},
  [13010] = {.lex_state = 219, .external_lex_state = 5},
  [13011] = {.lex_state = 163, .external_lex_state = 2},
  [13012] = {.lex_state = 162, .external_lex_state = 2},
  [13013] = {.lex_state = 163, .external_lex_state = 2},
  [13014] = {.lex_state = 163, .external_lex_state = 2},
  [13015] = {.lex_state = 162, .external_lex_state = 2},
  [13016] = {.lex_state = 162, .external_lex_state = 2},
  [13017] = {.lex_state = 219, .external_lex_state = 5},
  [13018] = {.lex_state = 163, .external_lex_state = 2},
  [13019] = {.lex_state = 162, .external_lex_state = 2},
  [13020] = {.lex_state = 164, .external_lex_state = 2},
  [13021] = {.lex_state = 163, .external_lex_state = 2},
  [13022] = {.lex_state = 163, .external_lex_state = 2},
  [13023] = {.lex_state = 163, .external_lex_state = 2},
  [13024] = {.lex_state = 452, .external_lex_state = 2},
  [13025] = {.lex_state = 163, .external_lex_state = 2},
  [13026] = {.lex_state = 163, .external_lex_state = 2},
  [13027] = {.lex_state = 164, .external_lex_state = 2},
  [13028] = {.lex_state = 162, .external_lex_state = 2},
  [13029] = {.lex_state = 163, .external_lex_state = 2},
  [13030] = {.lex_state = 219, .external_lex_state = 5},
  [13031] = {.lex_state = 163, .external_lex_state = 2},
  [13032] = {.lex_state = 164, .external_lex_state = 2},
  [13033] = {.lex_state = 219, .external_lex_state = 5},
  [13034] = {.lex_state = 163, .external_lex_state = 2},
  [13035] = {.lex_state = 162, .external_lex_state = 2},
  [13036] = {.lex_state = 162, .external_lex_state = 2},
  [13037] = {.lex_state = 221, .external_lex_state = 2},
  [13038] = {.lex_state = 163, .external_lex_state = 2},
  [13039] = {.lex_state = 162, .external_lex_state = 2},
  [13040] = {.lex_state = 163, .external_lex_state = 2},
  [13041] = {.lex_state = 162, .external_lex_state = 2},
  [13042] = {.lex_state = 162, .external_lex_state = 2},
  [13043] = {.lex_state = 163, .external_lex_state = 2},
  [13044] = {.lex_state = 162, .external_lex_state = 2},
  [13045] = {.lex_state = 163, .external_lex_state = 2},
  [13046] = {.lex_state = 162, .external_lex_state = 2},
  [13047] = {.lex_state = 163, .external_lex_state = 2},
  [13048] = {.lex_state = 162, .external_lex_state = 2},
  [13049] = {.lex_state = 163, .external_lex_state = 2},
  [13050] = {.lex_state = 163, .external_lex_state = 2},
  [13051] = {.lex_state = 162, .external_lex_state = 2},
  [13052] = {.lex_state = 272, .external_lex_state = 2},
  [13053] = {.lex_state = 162, .external_lex_state = 2},
  [13054] = {.lex_state = 163, .external_lex_state = 2},
  [13055] = {.lex_state = 162, .external_lex_state = 2},
  [13056] = {.lex_state = 163, .external_lex_state = 2},
  [13057] = {.lex_state = 163, .external_lex_state = 2},
  [13058] = {.lex_state = 163, .external_lex_state = 2},
  [13059] = {.lex_state = 219, .external_lex_state = 5},
  [13060] = {.lex_state = 162, .external_lex_state = 2},
  [13061] = {.lex_state = 163, .external_lex_state = 2},
  [13062] = {.lex_state = 163, .external_lex_state = 2},
  [13063] = {.lex_state = 162, .external_lex_state = 2},
  [13064] = {.lex_state = 163, .external_lex_state = 2},
  [13065] = {.lex_state = 163, .external_lex_state = 2},
  [13066] = {.lex_state = 163, .external_lex_state = 2},
  [13067] = {.lex_state = 163, .external_lex_state = 2},
  [13068] = {.lex_state = 219, .external_lex_state = 5},
  [13069] = {.lex_state = 250, .external_lex_state = 2},
  [13070] = {.lex_state = 163, .external_lex_state = 2},
  [13071] = {.lex_state = 163, .external_lex_state = 2},
  [13072] = {.lex_state = 163, .external_lex_state = 2},
  [13073] = {.lex_state = 163, .external_lex_state = 2},
  [13074] = {.lex_state = 164, .external_lex_state = 2},
  [13075] = {.lex_state = 163, .external_lex_state = 2},
  [13076] = {.lex_state = 163, .external_lex_state = 2},
  [13077] = {.lex_state = 163, .external_lex_state = 2},
  [13078] = {.lex_state = 163, .external_lex_state = 2},
  [13079] = {.lex_state = 164, .external_lex_state = 2},
  [13080] = {.lex_state = 163, .external_lex_state = 2},
  [13081] = {.lex_state = 163, .external_lex_state = 2},
  [13082] = {.lex_state = 163, .external_lex_state = 2},
  [13083] = {.lex_state = 163, .external_lex_state = 2},
  [13084] = {.lex_state = 162, .external_lex_state = 2},
  [13085] = {.lex_state = 219, .external_lex_state = 5},
  [13086] = {.lex_state = 159, .external_lex_state = 2},
  [13087] = {.lex_state = 163, .external_lex_state = 2},
  [13088] = {.lex_state = 163, .external_lex_state = 2},
  [13089] = {.lex_state = 163, .external_lex_state = 2},
  [13090] = {.lex_state = 163, .external_lex_state = 2},
  [13091] = {.lex_state = 163, .external_lex_state = 2},
  [13092] = {.lex_state = 219, .external_lex_state = 5},
  [13093] = {.lex_state = 163, .external_lex_state = 2},
  [13094] = {.lex_state = 163, .external_lex_state = 2},
  [13095] = {.lex_state = 163, .external_lex_state = 2},
  [13096] = {.lex_state = 163, .external_lex_state = 2},
  [13097] = {.lex_state = 221, .external_lex_state = 2},
  [13098] = {.lex_state = 162, .external_lex_state = 2},
  [13099] = {.lex_state = 163, .external_lex_state = 2},
  [13100] = {.lex_state = 162, .external_lex_state = 2},
  [13101] = {.lex_state = 163, .external_lex_state = 2},
  [13102] = {.lex_state = 163, .external_lex_state = 2},
  [13103] = {.lex_state = 163, .external_lex_state = 2},
  [13104] = {.lex_state = 163, .external_lex_state = 2},
  [13105] = {.lex_state = 163, .external_lex_state = 2},
  [13106] = {.lex_state = 219, .external_lex_state = 5},
  [13107] = {.lex_state = 219, .external_lex_state = 5},
  [13108] = {.lex_state = 163, .external_lex_state = 2},
  [13109] = {.lex_state = 163, .external_lex_state = 2},
  [13110] = {.lex_state = 163, .external_lex_state = 2},
  [13111] = {.lex_state = 163, .external_lex_state = 2},
  [13112] = {.lex_state = 163, .external_lex_state = 2},
  [13113] = {.lex_state = 163, .external_lex_state = 2},
  [13114] = {.lex_state = 163, .external_lex_state = 2},
  [13115] = {.lex_state = 163, .external_lex_state = 2},
  [13116] = {.lex_state = 219, .external_lex_state = 5},
  [13117] = {.lex_state = 163, .external_lex_state = 2},
  [13118] = {.lex_state = 219, .external_lex_state = 5},
  [13119] = {.lex_state = 159, .external_lex_state = 2},
  [13120] = {.lex_state = 163, .external_lex_state = 2},
  [13121] = {.lex_state = 163, .external_lex_state = 2},
  [13122] = {.lex_state = 163, .external_lex_state = 2},
  [13123] = {.lex_state = 163, .external_lex_state = 2},
  [13124] = {.lex_state = 163, .external_lex_state = 2},
  [13125] = {.lex_state = 163, .external_lex_state = 2},
  [13126] = {.lex_state = 163, .external_lex_state = 2},
  [13127] = {.lex_state = 163, .external_lex_state = 2},
  [13128] = {.lex_state = 163, .external_lex_state = 2},
  [13129] = {.lex_state = 219, .external_lex_state = 5},
  [13130] = {.lex_state = 163, .external_lex_state = 2},
  [13131] = {.lex_state = 219, .external_lex_state = 5},
  [13132] = {.lex_state = 163, .external_lex_state = 2},
  [13133] = {.lex_state = 163, .external_lex_state = 2},
  [13134] = {.lex_state = 163, .external_lex_state = 2},
  [13135] = {.lex_state = 163, .external_lex_state = 2},
  [13136] = {.lex_state = 163, .external_lex_state = 2},
  [13137] = {.lex_state = 163, .external_lex_state = 2},
  [13138] = {.lex_state = 163, .external_lex_state = 2},
  [13139] = {.lex_state = 163, .external_lex_state = 2},
  [13140] = {.lex_state = 163, .external_lex_state = 2},
  [13141] = {.lex_state = 236, .external_lex_state = 2},
  [13142] = {.lex_state = 163, .external_lex_state = 2},
  [13143] = {.lex_state = 162, .external_lex_state = 2},
  [13144] = {.lex_state = 219, .external_lex_state = 5},
  [13145] = {.lex_state = 162, .external_lex_state = 2},
  [13146] = {.lex_state = 162, .external_lex_state = 2},
  [13147] = {.lex_state = 219, .external_lex_state = 5},
  [13148] = {.lex_state = 163, .external_lex_state = 2},
  [13149] = {.lex_state = 163, .external_lex_state = 2},
  [13150] = {.lex_state = 163, .external_lex_state = 2},
  [13151] = {.lex_state = 162, .external_lex_state = 2},
  [13152] = {.lex_state = 162, .external_lex_state = 2},
  [13153] = {.lex_state = 162, .external_lex_state = 2},
  [13154] = {.lex_state = 163, .external_lex_state = 2},
  [13155] = {.lex_state = 163, .external_lex_state = 2},
  [13156] = {.lex_state = 163, .external_lex_state = 2},
  [13157] = {.lex_state = 163, .external_lex_state = 2},
  [13158] = {.lex_state = 162, .external_lex_state = 2},
  [13159] = {.lex_state = 163, .external_lex_state = 2},
  [13160] = {.lex_state = 163, .external_lex_state = 2},
  [13161] = {.lex_state = 163, .external_lex_state = 2},
  [13162] = {.lex_state = 163, .external_lex_state = 2},
  [13163] = {.lex_state = 159, .external_lex_state = 2},
  [13164] = {.lex_state = 219, .external_lex_state = 5},
  [13165] = {.lex_state = 228, .external_lex_state = 2},
  [13166] = {.lex_state = 163, .external_lex_state = 2},
  [13167] = {.lex_state = 162, .external_lex_state = 2},
  [13168] = {.lex_state = 162, .external_lex_state = 2},
  [13169] = {.lex_state = 162, .external_lex_state = 2},
  [13170] = {.lex_state = 162, .external_lex_state = 2},
  [13171] = {.lex_state = 162, .external_lex_state = 2},
  [13172] = {.lex_state = 219, .external_lex_state = 5},
  [13173] = {.lex_state = 219, .external_lex_state = 5},
  [13174] = {.lex_state = 162, .external_lex_state = 2},
  [13175] = {.lex_state = 219, .external_lex_state = 5},
  [13176] = {.lex_state = 162, .external_lex_state = 2},
  [13177] = {.lex_state = 219, .external_lex_state = 5},
  [13178] = {.lex_state = 163, .external_lex_state = 2},
  [13179] = {.lex_state = 162, .external_lex_state = 2},
  [13180] = {.lex_state = 219, .external_lex_state = 5},
  [13181] = {.lex_state = 219, .external_lex_state = 5},
  [13182] = {.lex_state = 162, .external_lex_state = 2},
  [13183] = {.lex_state = 162, .external_lex_state = 2},
  [13184] = {.lex_state = 219, .external_lex_state = 5},
  [13185] = {.lex_state = 219, .external_lex_state = 5},
  [13186] = {.lex_state = 163, .external_lex_state = 2},
  [13187] = {.lex_state = 219, .external_lex_state = 5},
  [13188] = {.lex_state = 162, .external_lex_state = 2},
  [13189] = {.lex_state = 219, .external_lex_state = 5},
  [13190] = {.lex_state = 219, .external_lex_state = 5},
  [13191] = {.lex_state = 162, .external_lex_state = 2},
  [13192] = {.lex_state = 219, .external_lex_state = 5},
  [13193] = {.lex_state = 162, .external_lex_state = 2},
  [13194] = {.lex_state = 219, .external_lex_state = 5},
  [13195] = {.lex_state = 219, .external_lex_state = 5},
  [13196] = {.lex_state = 163, .external_lex_state = 2},
  [13197] = {.lex_state = 219, .external_lex_state = 5},
  [13198] = {.lex_state = 163, .external_lex_state = 2},
  [13199] = {.lex_state = 219, .external_lex_state = 5},
  [13200] = {.lex_state = 163, .external_lex_state = 2},
  [13201] = {.lex_state = 219, .external_lex_state = 5},
  [13202] = {.lex_state = 164, .external_lex_state = 2},
  [13203] = {.lex_state = 159, .external_lex_state = 2},
  [13204] = {.lex_state = 162, .external_lex_state = 2},
  [13205] = {.lex_state = 162, .external_lex_state = 2},
  [13206] = {.lex_state = 219, .external_lex_state = 5},
  [13207] = {.lex_state = 163, .external_lex_state = 2},
  [13208] = {.lex_state = 162, .external_lex_state = 2},
  [13209] = {.lex_state = 219, .external_lex_state = 5},
  [13210] = {.lex_state = 163, .external_lex_state = 2},
  [13211] = {.lex_state = 163, .external_lex_state = 2},
  [13212] = {.lex_state = 159, .external_lex_state = 2},
  [13213] = {.lex_state = 162, .external_lex_state = 2},
  [13214] = {.lex_state = 163, .external_lex_state = 2},
  [13215] = {.lex_state = 163, .external_lex_state = 2},
  [13216] = {.lex_state = 164, .external_lex_state = 2},
  [13217] = {.lex_state = 163, .external_lex_state = 2},
  [13218] = {.lex_state = 163, .external_lex_state = 2},
  [13219] = {.lex_state = 236, .external_lex_state = 2},
  [13220] = {.lex_state = 163, .external_lex_state = 2},
  [13221] = {.lex_state = 163, .external_lex_state = 2},
  [13222] = {.lex_state = 163, .external_lex_state = 2},
  [13223] = {.lex_state = 163, .external_lex_state = 2},
  [13224] = {.lex_state = 163, .external_lex_state = 2},
  [13225] = {.lex_state = 219, .external_lex_state = 5},
  [13226] = {.lex_state = 219, .external_lex_state = 5},
  [13227] = {.lex_state = 163, .external_lex_state = 2},
  [13228] = {.lex_state = 163, .external_lex_state = 2},
  [13229] = {.lex_state = 163, .external_lex_state = 2},
  [13230] = {.lex_state = 219, .external_lex_state = 5},
  [13231] = {.lex_state = 250, .external_lex_state = 2},
  [13232] = {.lex_state = 163, .external_lex_state = 2},
  [13233] = {.lex_state = 219, .external_lex_state = 5},
  [13234] = {.lex_state = 236, .external_lex_state = 2},
  [13235] = {.lex_state = 162, .external_lex_state = 2},
  [13236] = {.lex_state = 163, .external_lex_state = 2},
  [13237] = {.lex_state = 163, .external_lex_state = 2},
  [13238] = {.lex_state = 250, .external_lex_state = 2},
  [13239] = {.lex_state = 219, .external_lex_state = 5},
  [13240] = {.lex_state = 163, .external_lex_state = 2},
  [13241] = {.lex_state = 159, .external_lex_state = 2},
  [13242] = {.lex_state = 159, .external_lex_state = 2},
  [13243] = {.lex_state = 159, .external_lex_state = 2},
  [13244] = {.lex_state = 163, .external_lex_state = 2},
  [13245] = {.lex_state = 163, .external_lex_state = 2},
  [13246] = {.lex_state = 219, .external_lex_state = 5},
  [13247] = {.lex_state = 219, .external_lex_state = 5},
  [13248] = {.lex_state = 163, .external_lex_state = 2},
  [13249] = {.lex_state = 163, .external_lex_state = 2},
  [13250] = {.lex_state = 219, .external_lex_state = 5},
  [13251] = {.lex_state = 162, .external_lex_state = 2},
  [13252] = {.lex_state = 159, .external_lex_state = 2},
  [13253] = {.lex_state = 162, .external_lex_state = 2},
  [13254] = {.lex_state = 163, .external_lex_state = 2},
  [13255] = {.lex_state = 162, .external_lex_state = 2},
  [13256] = {.lex_state = 219, .external_lex_state = 5},
  [13257] = {.lex_state = 219, .external_lex_state = 5},
  [13258] = {.lex_state = 163, .external_lex_state = 2},
  [13259] = {.lex_state = 163, .external_lex_state = 2},
  [13260] = {.lex_state = 163, .external_lex_state = 2},
  [13261] = {.lex_state = 162, .external_lex_state = 2},
  [13262] = {.lex_state = 163, .external_lex_state = 2},
  [13263] = {.lex_state = 163, .external_lex_state = 2},
  [13264] = {.lex_state = 162, .external_lex_state = 2},
  [13265] = {.lex_state = 166, .external_lex_state = 2},
  [13266] = {.lex_state = 163, .external_lex_state = 2},
  [13267] = {.lex_state = 162, .external_lex_state = 2},
  [13268] = {.lex_state = 164, .external_lex_state = 2},
  [13269] = {.lex_state = 163, .external_lex_state = 2},
  [13270] = {.lex_state = 163, .external_lex_state = 2},
  [13271] = {.lex_state = 163, .external_lex_state = 2},
  [13272] = {.lex_state = 162, .external_lex_state = 2},
  [13273] = {.lex_state = 162, .external_lex_state = 2},
  [13274] = {.lex_state = 163, .external_lex_state = 2},
  [13275] = {.lex_state = 163, .external_lex_state = 2},
  [13276] = {.lex_state = 163, .external_lex_state = 2},
  [13277] = {.lex_state = 163, .external_lex_state = 2},
  [13278] = {.lex_state = 163, .external_lex_state = 2},
  [13279] = {.lex_state = 163, .external_lex_state = 2},
  [13280] = {.lex_state = 163, .external_lex_state = 2},
  [13281] = {.lex_state = 163, .external_lex_state = 2},
  [13282] = {.lex_state = 163, .external_lex_state = 2},
  [13283] = {.lex_state = 163, .external_lex_state = 2},
  [13284] = {.lex_state = 163, .external_lex_state = 2},
  [13285] = {.lex_state = 162, .external_lex_state = 2},
  [13286] = {.lex_state = 162, .external_lex_state = 2},
  [13287] = {.lex_state = 163, .external_lex_state = 2},
  [13288] = {.lex_state = 162, .external_lex_state = 2},
  [13289] = {.lex_state = 162, .external_lex_state = 2},
  [13290] = {.lex_state = 163, .external_lex_state = 2},
  [13291] = {.lex_state = 163, .external_lex_state = 2},
  [13292] = {.lex_state = 164, .external_lex_state = 2},
  [13293] = {.lex_state = 163, .external_lex_state = 2},
  [13294] = {.lex_state = 163, .external_lex_state = 2},
  [13295] = {.lex_state = 159, .external_lex_state = 2},
  [13296] = {.lex_state = 163, .external_lex_state = 2},
  [13297] = {.lex_state = 163, .external_lex_state = 2},
  [13298] = {.lex_state = 453, .external_lex_state = 2},
  [13299] = {.lex_state = 163, .external_lex_state = 2},
  [13300] = {.lex_state = 299, .external_lex_state = 2},
  [13301] = {.lex_state = 163, .external_lex_state = 2},
  [13302] = {.lex_state = 238, .external_lex_state = 2},
  [13303] = {.lex_state = 250, .external_lex_state = 2},
  [13304] = {.lex_state = 452, .external_lex_state = 2},
  [13305] = {.lex_state = 453, .external_lex_state = 2},
  [13306] = {.lex_state = 453, .external_lex_state = 2},
  [13307] = {.lex_state = 238, .external_lex_state = 2},
  [13308] = {.lex_state = 163, .external_lex_state = 2},
  [13309] = {.lex_state = 453, .external_lex_state = 2},
  [13310] = {.lex_state = 238, .external_lex_state = 2},
  [13311] = {.lex_state = 452, .external_lex_state = 2},
  [13312] = {.lex_state = 452, .external_lex_state = 2},
  [13313] = {.lex_state = 238, .external_lex_state = 2},
  [13314] = {.lex_state = 238, .external_lex_state = 2},
  [13315] = {.lex_state = 238, .external_lex_state = 2},
  [13316] = {.lex_state = 238, .external_lex_state = 2},
  [13317] = {.lex_state = 238, .external_lex_state = 2},
  [13318] = {.lex_state = 238, .external_lex_state = 2},
  [13319] = {.lex_state = 452, .external_lex_state = 2},
  [13320] = {.lex_state = 452, .external_lex_state = 2},
  [13321] = {.lex_state = 250, .external_lex_state = 2},
  [13322] = {.lex_state = 164, .external_lex_state = 2},
  [13323] = {.lex_state = 159, .external_lex_state = 2},
  [13324] = {.lex_state = 453, .external_lex_state = 2},
  [13325] = {.lex_state = 238, .external_lex_state = 2},
  [13326] = {.lex_state = 250, .external_lex_state = 2},
  [13327] = {.lex_state = 453, .external_lex_state = 2},
  [13328] = {.lex_state = 163, .external_lex_state = 2},
  [13329] = {.lex_state = 250, .external_lex_state = 2},
  [13330] = {.lex_state = 453, .external_lex_state = 2},
  [13331] = {.lex_state = 452, .external_lex_state = 2},
  [13332] = {.lex_state = 299, .external_lex_state = 2},
  [13333] = {.lex_state = 452, .external_lex_state = 2},
  [13334] = {.lex_state = 452, .external_lex_state = 2},
  [13335] = {.lex_state = 286, .external_lex_state = 2},
  [13336] = {.lex_state = 162, .external_lex_state = 2},
  [13337] = {.lex_state = 452, .external_lex_state = 2},
  [13338] = {.lex_state = 250, .external_lex_state = 2},
  [13339] = {.lex_state = 163, .external_lex_state = 2},
  [13340] = {.lex_state = 452, .external_lex_state = 2},
  [13341] = {.lex_state = 163, .external_lex_state = 2},
  [13342] = {.lex_state = 453, .external_lex_state = 2},
  [13343] = {.lex_state = 164, .external_lex_state = 2},
  [13344] = {.lex_state = 163, .external_lex_state = 2},
  [13345] = {.lex_state = 163, .external_lex_state = 2},
  [13346] = {.lex_state = 163, .external_lex_state = 2},
  [13347] = {.lex_state = 453, .external_lex_state = 2},
  [13348] = {.lex_state = 238, .external_lex_state = 2},
  [13349] = {.lex_state = 245, .external_lex_state = 2},
  [13350] = {.lex_state = 163, .external_lex_state = 2},
  [13351] = {.lex_state = 452, .external_lex_state = 2},
  [13352] = {.lex_state = 452, .external_lex_state = 2},
  [13353] = {.lex_state = 163, .external_lex_state = 2},
  [13354] = {.lex_state = 453, .external_lex_state = 2},
  [13355] = {.lex_state = 163, .external_lex_state = 2},
  [13356] = {.lex_state = 163, .external_lex_state = 2},
  [13357] = {.lex_state = 163, .external_lex_state = 2},
  [13358] = {.lex_state = 163, .external_lex_state = 2},
  [13359] = {.lex_state = 452, .external_lex_state = 2},
  [13360] = {.lex_state = 238, .external_lex_state = 2},
  [13361] = {.lex_state = 453, .external_lex_state = 2},
  [13362] = {.lex_state = 452, .external_lex_state = 2},
  [13363] = {.lex_state = 238, .external_lex_state = 2},
  [13364] = {.lex_state = 250, .external_lex_state = 2},
  [13365] = {.lex_state = 286, .external_lex_state = 2},
  [13366] = {.lex_state = 250, .external_lex_state = 2},
  [13367] = {.lex_state = 453, .external_lex_state = 2},
  [13368] = {.lex_state = 245, .external_lex_state = 2},
  [13369] = {.lex_state = 453, .external_lex_state = 2},
  [13370] = {.lex_state = 163, .external_lex_state = 2},
  [13371] = {.lex_state = 163, .external_lex_state = 2},
  [13372] = {.lex_state = 453, .external_lex_state = 2},
  [13373] = {.lex_state = 453, .external_lex_state = 2},
  [13374] = {.lex_state = 453, .external_lex_state = 2},
  [13375] = {.lex_state = 285, .external_lex_state = 2},
  [13376] = {.lex_state = 453, .external_lex_state = 2},
  [13377] = {.lex_state = 453, .external_lex_state = 2},
  [13378] = {.lex_state = 163, .external_lex_state = 2},
  [13379] = {.lex_state = 238, .external_lex_state = 2},
  [13380] = {.lex_state = 250, .external_lex_state = 2},
  [13381] = {.lex_state = 452, .external_lex_state = 2},
  [13382] = {.lex_state = 250, .external_lex_state = 2},
  [13383] = {.lex_state = 452, .external_lex_state = 2},
  [13384] = {.lex_state = 452, .external_lex_state = 2},
  [13385] = {.lex_state = 250, .external_lex_state = 2},
  [13386] = {.lex_state = 159, .external_lex_state = 2},
  [13387] = {.lex_state = 163, .external_lex_state = 2},
  [13388] = {.lex_state = 453, .external_lex_state = 2},
  [13389] = {.lex_state = 163, .external_lex_state = 2},
  [13390] = {.lex_state = 163, .external_lex_state = 2},
  [13391] = {.lex_state = 163, .external_lex_state = 2},
  [13392] = {.lex_state = 163, .external_lex_state = 2},
  [13393] = {.lex_state = 238, .external_lex_state = 2},
  [13394] = {.lex_state = 163, .external_lex_state = 2},
  [13395] = {.lex_state = 299, .external_lex_state = 2},
  [13396] = {.lex_state = 219, .external_lex_state = 5},
  [13397] = {.lex_state = 299, .external_lex_state = 2},
  [13398] = {.lex_state = 163, .external_lex_state = 2},
  [13399] = {.lex_state = 163, .external_lex_state = 2},
  [13400] = {.lex_state = 163, .external_lex_state = 2},
  [13401] = {.lex_state = 163, .external_lex_state = 2},
  [13402] = {.lex_state = 163, .external_lex_state = 2},
  [13403] = {.lex_state = 250, .external_lex_state = 2},
  [13404] = {.lex_state = 250, .external_lex_state = 2},
  [13405] = {.lex_state = 453, .external_lex_state = 2},
  [13406] = {.lex_state = 452, .external_lex_state = 2},
  [13407] = {.lex_state = 159, .external_lex_state = 2},
  [13408] = {.lex_state = 163, .external_lex_state = 2},
  [13409] = {.lex_state = 163, .external_lex_state = 2},
  [13410] = {.lex_state = 453, .external_lex_state = 2},
  [13411] = {.lex_state = 238, .external_lex_state = 2},
  [13412] = {.lex_state = 238, .external_lex_state = 2},
  [13413] = {.lex_state = 163, .external_lex_state = 2},
  [13414] = {.lex_state = 453, .external_lex_state = 2},
  [13415] = {.lex_state = 163, .external_lex_state = 2},
  [13416] = {.lex_state = 299, .external_lex_state = 2},
  [13417] = {.lex_state = 163, .external_lex_state = 2},
  [13418] = {.lex_state = 453, .external_lex_state = 2},
  [13419] = {.lex_state = 453, .external_lex_state = 2},
  [13420] = {.lex_state = 453, .external_lex_state = 2},
  [13421] = {.lex_state = 453, .external_lex_state = 2},
  [13422] = {.lex_state = 162, .external_lex_state = 2},
  [13423] = {.lex_state = 238, .external_lex_state = 2},
  [13424] = {.lex_state = 238, .external_lex_state = 2},
  [13425] = {.lex_state = 163, .external_lex_state = 2},
  [13426] = {.lex_state = 238, .external_lex_state = 2},
  [13427] = {.lex_state = 163, .external_lex_state = 2},
  [13428] = {.lex_state = 238, .external_lex_state = 2},
  [13429] = {.lex_state = 238, .external_lex_state = 2},
  [13430] = {.lex_state = 453, .external_lex_state = 2},
  [13431] = {.lex_state = 452, .external_lex_state = 2},
  [13432] = {.lex_state = 12, .external_lex_state = 2},
  [13433] = {.lex_state = 452, .external_lex_state = 2},
  [13434] = {.lex_state = 299, .external_lex_state = 2},
  [13435] = {.lex_state = 163, .external_lex_state = 2},
  [13436] = {.lex_state = 453, .external_lex_state = 2},
  [13437] = {.lex_state = 163, .external_lex_state = 2},
  [13438] = {.lex_state = 453, .external_lex_state = 2},
  [13439] = {.lex_state = 163, .external_lex_state = 2},
  [13440] = {.lex_state = 163, .external_lex_state = 2},
  [13441] = {.lex_state = 453, .external_lex_state = 2},
  [13442] = {.lex_state = 163, .external_lex_state = 2},
  [13443] = {.lex_state = 453, .external_lex_state = 2},
  [13444] = {.lex_state = 453, .external_lex_state = 2},
  [13445] = {.lex_state = 163, .external_lex_state = 2},
  [13446] = {.lex_state = 163, .external_lex_state = 2},
  [13447] = {.lex_state = 163, .external_lex_state = 2},
  [13448] = {.lex_state = 163, .external_lex_state = 2},
  [13449] = {.lex_state = 163, .external_lex_state = 2},
  [13450] = {.lex_state = 163, .external_lex_state = 2},
  [13451] = {.lex_state = 163, .external_lex_state = 2},
  [13452] = {.lex_state = 163, .external_lex_state = 2},
  [13453] = {.lex_state = 163, .external_lex_state = 2},
  [13454] = {.lex_state = 163, .external_lex_state = 2},
  [13455] = {.lex_state = 163, .external_lex_state = 2},
  [13456] = {.lex_state = 163, .external_lex_state = 2},
  [13457] = {.lex_state = 164, .external_lex_state = 2},
  [13458] = {.lex_state = 299, .external_lex_state = 2},
  [13459] = {.lex_state = 163, .external_lex_state = 2},
  [13460] = {.lex_state = 250, .external_lex_state = 2},
  [13461] = {.lex_state = 250, .external_lex_state = 2},
  [13462] = {.lex_state = 238, .external_lex_state = 2},
  [13463] = {.lex_state = 299, .external_lex_state = 2},
  [13464] = {.lex_state = 238, .external_lex_state = 2},
  [13465] = {.lex_state = 453, .external_lex_state = 2},
  [13466] = {.lex_state = 453, .external_lex_state = 2},
  [13467] = {.lex_state = 6, .external_lex_state = 2},
  [13468] = {.lex_state = 163, .external_lex_state = 2},
  [13469] = {.lex_state = 453, .external_lex_state = 2},
  [13470] = {.lex_state = 250, .external_lex_state = 2},
  [13471] = {.lex_state = 238, .external_lex_state = 2},
  [13472] = {.lex_state = 453, .external_lex_state = 2},
  [13473] = {.lex_state = 6, .external_lex_state = 2},
  [13474] = {.lex_state = 163, .external_lex_state = 2},
  [13475] = {.lex_state = 452, .external_lex_state = 2},
  [13476] = {.lex_state = 163, .external_lex_state = 2},
  [13477] = {.lex_state = 163, .external_lex_state = 2},
  [13478] = {.lex_state = 238, .external_lex_state = 2},
  [13479] = {.lex_state = 163, .external_lex_state = 2},
  [13480] = {.lex_state = 238, .external_lex_state = 2},
  [13481] = {.lex_state = 163, .external_lex_state = 2},
  [13482] = {.lex_state = 163, .external_lex_state = 2},
  [13483] = {.lex_state = 453, .external_lex_state = 2},
  [13484] = {.lex_state = 163, .external_lex_state = 2},
  [13485] = {.lex_state = 163, .external_lex_state = 2},
  [13486] = {.lex_state = 163, .external_lex_state = 2},
  [13487] = {.lex_state = 163, .external_lex_state = 2},
  [13488] = {.lex_state = 163, .external_lex_state = 2},
  [13489] = {.lex_state = 163, .external_lex_state = 2},
  [13490] = {.lex_state = 163, .external_lex_state = 2},
  [13491] = {.lex_state = 163, .external_lex_state = 2},
  [13492] = {.lex_state = 163, .external_lex_state = 2},
  [13493] = {.lex_state = 163, .external_lex_state = 2},
  [13494] = {.lex_state = 245, .external_lex_state = 2},
  [13495] = {.lex_state = 163, .external_lex_state = 2},
  [13496] = {.lex_state = 163, .external_lex_state = 2},
  [13497] = {.lex_state = 250, .external_lex_state = 2},
  [13498] = {.lex_state = 163, .external_lex_state = 2},
  [13499] = {.lex_state = 163, .external_lex_state = 2},
  [13500] = {.lex_state = 453, .external_lex_state = 2},
  [13501] = {.lex_state = 299, .external_lex_state = 2},
  [13502] = {.lex_state = 163, .external_lex_state = 2},
  [13503] = {.lex_state = 164, .external_lex_state = 2},
  [13504] = {.lex_state = 163, .external_lex_state = 2},
  [13505] = {.lex_state = 163, .external_lex_state = 2},
  [13506] = {.lex_state = 250, .external_lex_state = 2},
  [13507] = {.lex_state = 453, .external_lex_state = 2},
  [13508] = {.lex_state = 250, .external_lex_state = 2},
  [13509] = {.lex_state = 250, .external_lex_state = 2},
  [13510] = {.lex_state = 250, .external_lex_state = 2},
  [13511] = {.lex_state = 250, .external_lex_state = 2},
  [13512] = {.lex_state = 219, .external_lex_state = 5},
  [13513] = {.lex_state = 272, .external_lex_state = 2},
  [13514] = {.lex_state = 453, .external_lex_state = 2},
  [13515] = {.lex_state = 163, .external_lex_state = 2},
  [13516] = {.lex_state = 162, .external_lex_state = 2},
  [13517] = {.lex_state = 163, .external_lex_state = 2},
  [13518] = {.lex_state = 238, .external_lex_state = 2},
  [13519] = {.lex_state = 250, .external_lex_state = 2},
  [13520] = {.lex_state = 250, .external_lex_state = 2},
  [13521] = {.lex_state = 245, .external_lex_state = 2},
  [13522] = {.lex_state = 163, .external_lex_state = 2},
  [13523] = {.lex_state = 163, .external_lex_state = 2},
  [13524] = {.lex_state = 163, .external_lex_state = 2},
  [13525] = {.lex_state = 238, .external_lex_state = 2},
  [13526] = {.lex_state = 250, .external_lex_state = 2},
  [13527] = {.lex_state = 6, .external_lex_state = 2},
  [13528] = {.lex_state = 452, .external_lex_state = 2},
  [13529] = {.lex_state = 6, .external_lex_state = 2},
  [13530] = {.lex_state = 238, .external_lex_state = 2},
  [13531] = {.lex_state = 163, .external_lex_state = 2},
  [13532] = {.lex_state = 452, .external_lex_state = 2},
  [13533] = {.lex_state = 163, .external_lex_state = 2},
  [13534] = {.lex_state = 452, .external_lex_state = 2},
  [13535] = {.lex_state = 452, .external_lex_state = 2},
  [13536] = {.lex_state = 162, .external_lex_state = 2},
  [13537] = {.lex_state = 163, .external_lex_state = 2},
  [13538] = {.lex_state = 250, .external_lex_state = 2},
  [13539] = {.lex_state = 250, .external_lex_state = 2},
  [13540] = {.lex_state = 250, .external_lex_state = 2},
  [13541] = {.lex_state = 250, .external_lex_state = 2},
  [13542] = {.lex_state = 250, .external_lex_state = 2},
  [13543] = {.lex_state = 250, .external_lex_state = 2},
  [13544] = {.lex_state = 250, .external_lex_state = 2},
  [13545] = {.lex_state = 453, .external_lex_state = 2},
  [13546] = {.lex_state = 250, .external_lex_state = 2},
  [13547] = {.lex_state = 250, .external_lex_state = 2},
  [13548] = {.lex_state = 250, .external_lex_state = 2},
  [13549] = {.lex_state = 453, .external_lex_state = 2},
  [13550] = {.lex_state = 453, .external_lex_state = 2},
  [13551] = {.lex_state = 453, .external_lex_state = 2},
  [13552] = {.lex_state = 238, .external_lex_state = 2},
  [13553] = {.lex_state = 250, .external_lex_state = 2},
  [13554] = {.lex_state = 250, .external_lex_state = 2},
  [13555] = {.lex_state = 250, .external_lex_state = 2},
  [13556] = {.lex_state = 250, .external_lex_state = 2},
  [13557] = {.lex_state = 163, .external_lex_state = 2},
  [13558] = {.lex_state = 6, .external_lex_state = 2},
  [13559] = {.lex_state = 6, .external_lex_state = 2},
  [13560] = {.lex_state = 12, .external_lex_state = 2},
  [13561] = {.lex_state = 6, .external_lex_state = 2},
  [13562] = {.lex_state = 245, .external_lex_state = 2},
  [13563] = {.lex_state = 250, .external_lex_state = 2},
  [13564] = {.lex_state = 452, .external_lex_state = 2},
  [13565] = {.lex_state = 163, .external_lex_state = 2},
  [13566] = {.lex_state = 159, .external_lex_state = 2},
  [13567] = {.lex_state = 221, .external_lex_state = 2},
  [13568] = {.lex_state = 159, .external_lex_state = 2},
  [13569] = {.lex_state = 221, .external_lex_state = 2},
  [13570] = {.lex_state = 12, .external_lex_state = 2},
  [13571] = {.lex_state = 250, .external_lex_state = 2},
  [13572] = {.lex_state = 221, .external_lex_state = 2},
  [13573] = {.lex_state = 12, .external_lex_state = 2},
  [13574] = {.lex_state = 221, .external_lex_state = 2},
  [13575] = {.lex_state = 12, .external_lex_state = 2},
  [13576] = {.lex_state = 245, .external_lex_state = 2},
  [13577] = {.lex_state = 221, .external_lex_state = 2},
  [13578] = {.lex_state = 452, .external_lex_state = 2},
  [13579] = {.lex_state = 6, .external_lex_state = 2},
  [13580] = {.lex_state = 6, .external_lex_state = 2},
  [13581] = {.lex_state = 6, .external_lex_state = 2},
  [13582] = {.lex_state = 6, .external_lex_state = 2},
  [13583] = {.lex_state = 452, .external_lex_state = 2},
  [13584] = {.lex_state = 159, .external_lex_state = 2},
  [13585] = {.lex_state = 12, .external_lex_state = 2},
  [13586] = {.lex_state = 452, .external_lex_state = 2},
  [13587] = {.lex_state = 163, .external_lex_state = 2},
  [13588] = {.lex_state = 452, .external_lex_state = 2},
  [13589] = {.lex_state = 221, .external_lex_state = 2},
  [13590] = {.lex_state = 6, .external_lex_state = 2},
  [13591] = {.lex_state = 163, .external_lex_state = 2},
  [13592] = {.lex_state = 6, .external_lex_state = 2},
  [13593] = {.lex_state = 250, .external_lex_state = 2},
  [13594] = {.lex_state = 6, .external_lex_state = 2},
  [13595] = {.lex_state = 163, .external_lex_state = 2},
  [13596] = {.lex_state = 12, .external_lex_state = 2},
  [13597] = {.lex_state = 250, .external_lex_state = 2},
  [13598] = {.lex_state = 6, .external_lex_state = 2},
  [13599] = {.lex_state = 452, .external_lex_state = 2},
  [13600] = {.lex_state = 12, .external_lex_state = 2},
  [13601] = {.lex_state = 6, .external_lex_state = 2},
  [13602] = {.lex_state = 250, .external_lex_state = 2},
  [13603] = {.lex_state = 159, .external_lex_state = 2},
  [13604] = {.lex_state = 245, .external_lex_state = 2},
  [13605] = {.lex_state = 245, .external_lex_state = 2},
  [13606] = {.lex_state = 6, .external_lex_state = 2},
  [13607] = {.lex_state = 245, .external_lex_state = 2},
  [13608] = {.lex_state = 12, .external_lex_state = 2},
  [13609] = {.lex_state = 250, .external_lex_state = 2},
  [13610] = {.lex_state = 244, .external_lex_state = 2},
  [13611] = {.lex_state = 245, .external_lex_state = 2},
  [13612] = {.lex_state = 245, .external_lex_state = 2},
  [13613] = {.lex_state = 219, .external_lex_state = 5},
  [13614] = {.lex_state = 6, .external_lex_state = 2},
  [13615] = {.lex_state = 245, .external_lex_state = 2},
  [13616] = {.lex_state = 6, .external_lex_state = 2},
  [13617] = {.lex_state = 245, .external_lex_state = 2},
  [13618] = {.lex_state = 219, .external_lex_state = 5},
  [13619] = {.lex_state = 6, .external_lex_state = 2},
  [13620] = {.lex_state = 170, .external_lex_state = 2},
  [13621] = {.lex_state = 245, .external_lex_state = 2},
  [13622] = {.lex_state = 245, .external_lex_state = 2},
  [13623] = {.lex_state = 245, .external_lex_state = 2},
  [13624] = {.lex_state = 245, .external_lex_state = 2},
  [13625] = {.lex_state = 245, .external_lex_state = 2},
  [13626] = {.lex_state = 245, .external_lex_state = 2},
  [13627] = {.lex_state = 6, .external_lex_state = 2},
  [13628] = {.lex_state = 170, .external_lex_state = 2},
  [13629] = {.lex_state = 6, .external_lex_state = 2},
  [13630] = {.lex_state = 6, .external_lex_state = 2},
  [13631] = {.lex_state = 12, .external_lex_state = 2},
  [13632] = {.lex_state = 6, .external_lex_state = 2},
  [13633] = {.lex_state = 250, .external_lex_state = 2},
  [13634] = {.lex_state = 245, .external_lex_state = 2},
  [13635] = {.lex_state = 245, .external_lex_state = 2},
  [13636] = {.lex_state = 245, .external_lex_state = 2},
  [13637] = {.lex_state = 6, .external_lex_state = 2},
  [13638] = {.lex_state = 170, .external_lex_state = 2},
  [13639] = {.lex_state = 452, .external_lex_state = 2},
  [13640] = {.lex_state = 7, .external_lex_state = 2},
  [13641] = {.lex_state = 454, .external_lex_state = 2},
  [13642] = {.lex_state = 452, .external_lex_state = 2},
  [13643] = {.lex_state = 245, .external_lex_state = 2},
  [13644] = {.lex_state = 6, .external_lex_state = 2},
  [13645] = {.lex_state = 245, .external_lex_state = 2},
  [13646] = {.lex_state = 452, .external_lex_state = 2},
  [13647] = {.lex_state = 245, .external_lex_state = 2},
  [13648] = {.lex_state = 7, .external_lex_state = 2},
  [13649] = {.lex_state = 245, .external_lex_state = 2},
  [13650] = {.lex_state = 245, .external_lex_state = 2},
  [13651] = {.lex_state = 12, .external_lex_state = 2},
  [13652] = {.lex_state = 245, .external_lex_state = 2},
  [13653] = {.lex_state = 250, .external_lex_state = 2},
  [13654] = {.lex_state = 234, .external_lex_state = 2},
  [13655] = {.lex_state = 245, .external_lex_state = 2},
  [13656] = {.lex_state = 244, .external_lex_state = 2},
  [13657] = {.lex_state = 6, .external_lex_state = 2},
  [13658] = {.lex_state = 12, .external_lex_state = 2},
  [13659] = {.lex_state = 245, .external_lex_state = 2},
  [13660] = {.lex_state = 6, .external_lex_state = 2},
  [13661] = {.lex_state = 245, .external_lex_state = 2},
  [13662] = {.lex_state = 245, .external_lex_state = 2},
  [13663] = {.lex_state = 250, .external_lex_state = 2},
  [13664] = {.lex_state = 250, .external_lex_state = 2},
  [13665] = {.lex_state = 244, .external_lex_state = 2},
  [13666] = {.lex_state = 245, .external_lex_state = 2},
  [13667] = {.lex_state = 250, .external_lex_state = 2},
  [13668] = {.lex_state = 245, .external_lex_state = 2},
  [13669] = {.lex_state = 245, .external_lex_state = 2},
  [13670] = {.lex_state = 245, .external_lex_state = 2},
  [13671] = {.lex_state = 7, .external_lex_state = 2},
  [13672] = {.lex_state = 234, .external_lex_state = 2},
  [13673] = {.lex_state = 245, .external_lex_state = 2},
  [13674] = {.lex_state = 6, .external_lex_state = 2},
  [13675] = {.lex_state = 244, .external_lex_state = 2},
  [13676] = {.lex_state = 6, .external_lex_state = 2},
  [13677] = {.lex_state = 245, .external_lex_state = 2},
  [13678] = {.lex_state = 452, .external_lex_state = 2},
  [13679] = {.lex_state = 159, .external_lex_state = 2},
  [13680] = {.lex_state = 159, .external_lex_state = 2},
  [13681] = {.lex_state = 6, .external_lex_state = 2},
  [13682] = {.lex_state = 159, .external_lex_state = 2},
  [13683] = {.lex_state = 452, .external_lex_state = 2},
  [13684] = {.lex_state = 159, .external_lex_state = 2},
  [13685] = {.lex_state = 452, .external_lex_state = 2},
  [13686] = {.lex_state = 6, .external_lex_state = 2},
  [13687] = {.lex_state = 159, .external_lex_state = 2},
  [13688] = {.lex_state = 159, .external_lex_state = 2},
  [13689] = {.lex_state = 452, .external_lex_state = 2},
  [13690] = {.lex_state = 452, .external_lex_state = 2},
  [13691] = {.lex_state = 452, .external_lex_state = 2},
  [13692] = {.lex_state = 452, .external_lex_state = 2},
  [13693] = {.lex_state = 221, .external_lex_state = 2},
  [13694] = {.lex_state = 452, .external_lex_state = 2},
  [13695] = {.lex_state = 159, .external_lex_state = 2},
  [13696] = {.lex_state = 159, .external_lex_state = 2},
  [13697] = {.lex_state = 452, .external_lex_state = 2},
  [13698] = {.lex_state = 452, .external_lex_state = 2},
  [13699] = {.lex_state = 452, .external_lex_state = 2},
  [13700] = {.lex_state = 452, .external_lex_state = 2},
  [13701] = {.lex_state = 452, .external_lex_state = 2},
  [13702] = {.lex_state = 452, .external_lex_state = 2},
  [13703] = {.lex_state = 159, .external_lex_state = 2},
  [13704] = {.lex_state = 452, .external_lex_state = 2},
  [13705] = {.lex_state = 159, .external_lex_state = 2},
  [13706] = {.lex_state = 452, .external_lex_state = 2},
  [13707] = {.lex_state = 452, .external_lex_state = 2},
  [13708] = {.lex_state = 168, .external_lex_state = 2},
  [13709] = {.lex_state = 6, .external_lex_state = 2},
  [13710] = {.lex_state = 452, .external_lex_state = 2},
  [13711] = {.lex_state = 452, .external_lex_state = 2},
  [13712] = {.lex_state = 452, .external_lex_state = 2},
  [13713] = {.lex_state = 452, .external_lex_state = 2},
  [13714] = {.lex_state = 159, .external_lex_state = 2},
  [13715] = {.lex_state = 159, .external_lex_state = 2},
  [13716] = {.lex_state = 6, .external_lex_state = 2},
  [13717] = {.lex_state = 159, .external_lex_state = 2},
  [13718] = {.lex_state = 6, .external_lex_state = 2},
  [13719] = {.lex_state = 452, .external_lex_state = 2},
  [13720] = {.lex_state = 454, .external_lex_state = 2},
  [13721] = {.lex_state = 159, .external_lex_state = 2},
  [13722] = {.lex_state = 6, .external_lex_state = 2},
  [13723] = {.lex_state = 452, .external_lex_state = 2},
  [13724] = {.lex_state = 452, .external_lex_state = 2},
  [13725] = {.lex_state = 159, .external_lex_state = 2},
  [13726] = {.lex_state = 159, .external_lex_state = 2},
  [13727] = {.lex_state = 159, .external_lex_state = 2},
  [13728] = {.lex_state = 452, .external_lex_state = 2},
  [13729] = {.lex_state = 452, .external_lex_state = 2},
  [13730] = {.lex_state = 452, .external_lex_state = 2},
  [13731] = {.lex_state = 452, .external_lex_state = 2},
  [13732] = {.lex_state = 452, .external_lex_state = 2},
  [13733] = {.lex_state = 452, .external_lex_state = 2},
  [13734] = {.lex_state = 159, .external_lex_state = 2},
  [13735] = {.lex_state = 159, .external_lex_state = 2},
  [13736] = {.lex_state = 159, .external_lex_state = 2},
  [13737] = {.lex_state = 452, .external_lex_state = 2},
  [13738] = {.lex_state = 452, .external_lex_state = 2},
  [13739] = {.lex_state = 452, .external_lex_state = 2},
  [13740] = {.lex_state = 452, .external_lex_state = 2},
  [13741] = {.lex_state = 452, .external_lex_state = 2},
  [13742] = {.lex_state = 168, .external_lex_state = 2},
  [13743] = {.lex_state = 159, .external_lex_state = 2},
  [13744] = {.lex_state = 452, .external_lex_state = 2},
  [13745] = {.lex_state = 159, .external_lex_state = 2},
  [13746] = {.lex_state = 452, .external_lex_state = 2},
  [13747] = {.lex_state = 452, .external_lex_state = 2},
  [13748] = {.lex_state = 452, .external_lex_state = 2},
  [13749] = {.lex_state = 238, .external_lex_state = 2},
  [13750] = {.lex_state = 244, .external_lex_state = 2},
  [13751] = {.lex_state = 452, .external_lex_state = 2},
  [13752] = {.lex_state = 452, .external_lex_state = 2},
  [13753] = {.lex_state = 452, .external_lex_state = 2},
  [13754] = {.lex_state = 452, .external_lex_state = 2},
  [13755] = {.lex_state = 159, .external_lex_state = 2},
  [13756] = {.lex_state = 159, .external_lex_state = 2},
  [13757] = {.lex_state = 452, .external_lex_state = 2},
  [13758] = {.lex_state = 452, .external_lex_state = 2},
  [13759] = {.lex_state = 452, .external_lex_state = 2},
  [13760] = {.lex_state = 159, .external_lex_state = 2},
  [13761] = {.lex_state = 452, .external_lex_state = 2},
  [13762] = {.lex_state = 159, .external_lex_state = 2},
  [13763] = {.lex_state = 452, .external_lex_state = 2},
  [13764] = {.lex_state = 452, .external_lex_state = 2},
  [13765] = {.lex_state = 159, .external_lex_state = 2},
  [13766] = {.lex_state = 452, .external_lex_state = 2},
  [13767] = {.lex_state = 245, .external_lex_state = 2},
  [13768] = {.lex_state = 159, .external_lex_state = 2},
  [13769] = {.lex_state = 452, .external_lex_state = 2},
  [13770] = {.lex_state = 159, .external_lex_state = 2},
  [13771] = {.lex_state = 245, .external_lex_state = 2},
  [13772] = {.lex_state = 452, .external_lex_state = 2},
  [13773] = {.lex_state = 452, .external_lex_state = 2},
  [13774] = {.lex_state = 159, .external_lex_state = 2},
  [13775] = {.lex_state = 159, .external_lex_state = 2},
  [13776] = {.lex_state = 452, .external_lex_state = 2},
  [13777] = {.lex_state = 452, .external_lex_state = 2},
  [13778] = {.lex_state = 452, .external_lex_state = 2},
  [13779] = {.lex_state = 452, .external_lex_state = 2},
  [13780] = {.lex_state = 159, .external_lex_state = 2},
  [13781] = {.lex_state = 159, .external_lex_state = 2},
  [13782] = {.lex_state = 452, .external_lex_state = 2},
  [13783] = {.lex_state = 159, .external_lex_state = 2},
  [13784] = {.lex_state = 159, .external_lex_state = 2},
  [13785] = {.lex_state = 452, .external_lex_state = 2},
  [13786] = {.lex_state = 159, .external_lex_state = 2},
  [13787] = {.lex_state = 159, .external_lex_state = 2},
  [13788] = {.lex_state = 452, .external_lex_state = 2},
  [13789] = {.lex_state = 159, .external_lex_state = 2},
  [13790] = {.lex_state = 452, .external_lex_state = 2},
  [13791] = {.lex_state = 452, .external_lex_state = 2},
  [13792] = {.lex_state = 452, .external_lex_state = 2},
  [13793] = {.lex_state = 245, .external_lex_state = 2},
  [13794] = {.lex_state = 452, .external_lex_state = 2},
  [13795] = {.lex_state = 452, .external_lex_state = 2},
  [13796] = {.lex_state = 452, .external_lex_state = 2},
  [13797] = {.lex_state = 452, .external_lex_state = 2},
  [13798] = {.lex_state = 452, .external_lex_state = 2},
  [13799] = {.lex_state = 452, .external_lex_state = 2},
  [13800] = {.lex_state = 452, .external_lex_state = 2},
  [13801] = {.lex_state = 452, .external_lex_state = 2},
  [13802] = {.lex_state = 159, .external_lex_state = 2},
  [13803] = {.lex_state = 452, .external_lex_state = 2},
  [13804] = {.lex_state = 452, .external_lex_state = 2},
  [13805] = {.lex_state = 452, .external_lex_state = 2},
  [13806] = {.lex_state = 452, .external_lex_state = 2},
  [13807] = {.lex_state = 159, .external_lex_state = 2},
  [13808] = {.lex_state = 159, .external_lex_state = 2},
  [13809] = {.lex_state = 159, .external_lex_state = 2},
  [13810] = {.lex_state = 452, .external_lex_state = 2},
  [13811] = {.lex_state = 452, .external_lex_state = 2},
  [13812] = {.lex_state = 452, .external_lex_state = 2},
  [13813] = {.lex_state = 159, .external_lex_state = 2},
  [13814] = {.lex_state = 452, .external_lex_state = 2},
  [13815] = {.lex_state = 452, .external_lex_state = 2},
  [13816] = {.lex_state = 452, .external_lex_state = 2},
  [13817] = {.lex_state = 159, .external_lex_state = 2},
  [13818] = {.lex_state = 159, .external_lex_state = 2},
  [13819] = {.lex_state = 159, .external_lex_state = 2},
  [13820] = {.lex_state = 452, .external_lex_state = 2},
  [13821] = {.lex_state = 452, .external_lex_state = 2},
  [13822] = {.lex_state = 452, .external_lex_state = 2},
  [13823] = {.lex_state = 168, .external_lex_state = 2},
  [13824] = {.lex_state = 245, .external_lex_state = 2},
  [13825] = {.lex_state = 159, .external_lex_state = 2},
  [13826] = {.lex_state = 452, .external_lex_state = 2},
  [13827] = {.lex_state = 159, .external_lex_state = 2},
  [13828] = {.lex_state = 12, .external_lex_state = 2},
  [13829] = {.lex_state = 159, .external_lex_state = 2},
  [13830] = {.lex_state = 452, .external_lex_state = 2},
  [13831] = {.lex_state = 452, .external_lex_state = 2},
  [13832] = {.lex_state = 159, .external_lex_state = 2},
  [13833] = {.lex_state = 452, .external_lex_state = 2},
  [13834] = {.lex_state = 159, .external_lex_state = 2},
  [13835] = {.lex_state = 159, .external_lex_state = 2},
  [13836] = {.lex_state = 159, .external_lex_state = 2},
  [13837] = {.lex_state = 452, .external_lex_state = 2},
  [13838] = {.lex_state = 452, .external_lex_state = 2},
  [13839] = {.lex_state = 159, .external_lex_state = 2},
  [13840] = {.lex_state = 159, .external_lex_state = 2},
  [13841] = {.lex_state = 159, .external_lex_state = 2},
  [13842] = {.lex_state = 452, .external_lex_state = 2},
  [13843] = {.lex_state = 276, .external_lex_state = 2},
  [13844] = {.lex_state = 7, .external_lex_state = 2},
  [13845] = {.lex_state = 452, .external_lex_state = 2},
  [13846] = {.lex_state = 452, .external_lex_state = 2},
  [13847] = {.lex_state = 159, .external_lex_state = 2},
  [13848] = {.lex_state = 159, .external_lex_state = 2},
  [13849] = {.lex_state = 159, .external_lex_state = 2},
  [13850] = {.lex_state = 452, .external_lex_state = 2},
  [13851] = {.lex_state = 159, .external_lex_state = 2},
  [13852] = {.lex_state = 159, .external_lex_state = 2},
  [13853] = {.lex_state = 159, .external_lex_state = 2},
  [13854] = {.lex_state = 159, .external_lex_state = 2},
  [13855] = {.lex_state = 159, .external_lex_state = 2},
  [13856] = {.lex_state = 159, .external_lex_state = 2},
  [13857] = {.lex_state = 159, .external_lex_state = 2},
  [13858] = {.lex_state = 452, .external_lex_state = 2},
  [13859] = {.lex_state = 6, .external_lex_state = 2},
  [13860] = {.lex_state = 452, .external_lex_state = 2},
  [13861] = {.lex_state = 452, .external_lex_state = 2},
  [13862] = {.lex_state = 452, .external_lex_state = 2},
  [13863] = {.lex_state = 452, .external_lex_state = 2},
  [13864] = {.lex_state = 159, .external_lex_state = 2},
  [13865] = {.lex_state = 159, .external_lex_state = 2},
  [13866] = {.lex_state = 452, .external_lex_state = 2},
  [13867] = {.lex_state = 452, .external_lex_state = 2},
  [13868] = {.lex_state = 452, .external_lex_state = 2},
  [13869] = {.lex_state = 159, .external_lex_state = 2},
  [13870] = {.lex_state = 159, .external_lex_state = 2},
  [13871] = {.lex_state = 159, .external_lex_state = 2},
  [13872] = {.lex_state = 452, .external_lex_state = 2},
  [13873] = {.lex_state = 452, .external_lex_state = 2},
  [13874] = {.lex_state = 159, .external_lex_state = 2},
  [13875] = {.lex_state = 452, .external_lex_state = 2},
  [13876] = {.lex_state = 452, .external_lex_state = 2},
  [13877] = {.lex_state = 159, .external_lex_state = 2},
  [13878] = {.lex_state = 452, .external_lex_state = 2},
  [13879] = {.lex_state = 12, .external_lex_state = 2},
  [13880] = {.lex_state = 159, .external_lex_state = 2},
  [13881] = {.lex_state = 159, .external_lex_state = 2},
  [13882] = {.lex_state = 159, .external_lex_state = 2},
  [13883] = {.lex_state = 12, .external_lex_state = 2},
  [13884] = {.lex_state = 452, .external_lex_state = 2},
  [13885] = {.lex_state = 159, .external_lex_state = 2},
  [13886] = {.lex_state = 159, .external_lex_state = 2},
  [13887] = {.lex_state = 452, .external_lex_state = 2},
  [13888] = {.lex_state = 452, .external_lex_state = 2},
  [13889] = {.lex_state = 159, .external_lex_state = 2},
  [13890] = {.lex_state = 159, .external_lex_state = 2},
  [13891] = {.lex_state = 245, .external_lex_state = 2},
  [13892] = {.lex_state = 159, .external_lex_state = 2},
  [13893] = {.lex_state = 221, .external_lex_state = 2},
  [13894] = {.lex_state = 452, .external_lex_state = 2},
  [13895] = {.lex_state = 452, .external_lex_state = 2},
  [13896] = {.lex_state = 159, .external_lex_state = 2},
  [13897] = {.lex_state = 452, .external_lex_state = 2},
  [13898] = {.lex_state = 159, .external_lex_state = 2},
  [13899] = {.lex_state = 159, .external_lex_state = 2},
  [13900] = {.lex_state = 452, .external_lex_state = 2},
  [13901] = {.lex_state = 452, .external_lex_state = 2},
  [13902] = {.lex_state = 452, .external_lex_state = 2},
  [13903] = {.lex_state = 244, .external_lex_state = 2},
  [13904] = {.lex_state = 452, .external_lex_state = 2},
  [13905] = {.lex_state = 452, .external_lex_state = 2},
  [13906] = {.lex_state = 159, .external_lex_state = 2},
  [13907] = {.lex_state = 452, .external_lex_state = 2},
  [13908] = {.lex_state = 452, .external_lex_state = 2},
  [13909] = {.lex_state = 452, .external_lex_state = 2},
  [13910] = {.lex_state = 452, .external_lex_state = 2},
  [13911] = {.lex_state = 452, .external_lex_state = 2},
  [13912] = {.lex_state = 6, .external_lex_state = 2},
  [13913] = {.lex_state = 159, .external_lex_state = 2},
  [13914] = {.lex_state = 452, .external_lex_state = 2},
  [13915] = {.lex_state = 159, .external_lex_state = 2},
  [13916] = {.lex_state = 452, .external_lex_state = 2},
  [13917] = {.lex_state = 452, .external_lex_state = 2},
  [13918] = {.lex_state = 159, .external_lex_state = 2},
  [13919] = {.lex_state = 452, .external_lex_state = 2},
  [13920] = {.lex_state = 452, .external_lex_state = 2},
  [13921] = {.lex_state = 452, .external_lex_state = 2},
  [13922] = {.lex_state = 245, .external_lex_state = 2},
  [13923] = {.lex_state = 159, .external_lex_state = 2},
  [13924] = {.lex_state = 452, .external_lex_state = 2},
  [13925] = {.lex_state = 452, .external_lex_state = 2},
  [13926] = {.lex_state = 452, .external_lex_state = 2},
  [13927] = {.lex_state = 244, .external_lex_state = 2},
  [13928] = {.lex_state = 244, .external_lex_state = 2},
  [13929] = {.lex_state = 244, .external_lex_state = 2},
  [13930] = {.lex_state = 244, .external_lex_state = 2},
  [13931] = {.lex_state = 244, .external_lex_state = 2},
  [13932] = {.lex_state = 244, .external_lex_state = 2},
  [13933] = {.lex_state = 244, .external_lex_state = 2},
  [13934] = {.lex_state = 244, .external_lex_state = 2},
  [13935] = {.lex_state = 244, .external_lex_state = 2},
  [13936] = {.lex_state = 244, .external_lex_state = 2},
  [13937] = {.lex_state = 159, .external_lex_state = 2},
  [13938] = {.lex_state = 221, .external_lex_state = 2},
  [13939] = {.lex_state = 244, .external_lex_state = 2},
  [13940] = {.lex_state = 159, .external_lex_state = 2},
  [13941] = {.lex_state = 159, .external_lex_state = 2},
  [13942] = {.lex_state = 244, .external_lex_state = 2},
  [13943] = {.lex_state = 244, .external_lex_state = 2},
  [13944] = {.lex_state = 244, .external_lex_state = 2},
  [13945] = {.lex_state = 244, .external_lex_state = 2},
  [13946] = {.lex_state = 244, .external_lex_state = 2},
  [13947] = {.lex_state = 159, .external_lex_state = 2},
  [13948] = {.lex_state = 244, .external_lex_state = 2},
  [13949] = {.lex_state = 159, .external_lex_state = 2},
  [13950] = {.lex_state = 238, .external_lex_state = 2},
  [13951] = {.lex_state = 6, .external_lex_state = 2},
  [13952] = {.lex_state = 244, .external_lex_state = 2},
  [13953] = {.lex_state = 452, .external_lex_state = 2},
  [13954] = {.lex_state = 168, .external_lex_state = 2},
  [13955] = {.lex_state = 244, .external_lex_state = 2},
  [13956] = {.lex_state = 244, .external_lex_state = 2},
  [13957] = {.lex_state = 221, .external_lex_state = 2},
  [13958] = {.lex_state = 244, .external_lex_state = 2},
  [13959] = {.lex_state = 452, .external_lex_state = 2},
  [13960] = {.lex_state = 244, .external_lex_state = 2},
  [13961] = {.lex_state = 221, .external_lex_state = 2},
  [13962] = {.lex_state = 159, .external_lex_state = 2},
  [13963] = {.lex_state = 244, .external_lex_state = 2},
  [13964] = {.lex_state = 159, .external_lex_state = 2},
  [13965] = {.lex_state = 244, .external_lex_state = 2},
  [13966] = {.lex_state = 452, .external_lex_state = 2},
  [13967] = {.lex_state = 244, .external_lex_state = 2},
  [13968] = {.lex_state = 38, .external_lex_state = 2},
  [13969] = {.lex_state = 244, .external_lex_state = 2},
  [13970] = {.lex_state = 244, .external_lex_state = 2},
  [13971] = {.lex_state = 244, .external_lex_state = 2},
  [13972] = {.lex_state = 244, .external_lex_state = 2},
  [13973] = {.lex_state = 244, .external_lex_state = 2},
  [13974] = {.lex_state = 244, .external_lex_state = 2},
  [13975] = {.lex_state = 159, .external_lex_state = 2},
  [13976] = {.lex_state = 159, .external_lex_state = 2},
  [13977] = {.lex_state = 159, .external_lex_state = 2},
  [13978] = {.lex_state = 244, .external_lex_state = 2},
  [13979] = {.lex_state = 452, .external_lex_state = 2},
  [13980] = {.lex_state = 452, .external_lex_state = 2},
  [13981] = {.lex_state = 452, .external_lex_state = 2},
  [13982] = {.lex_state = 452, .external_lex_state = 2},
  [13983] = {.lex_state = 452, .external_lex_state = 2},
  [13984] = {.lex_state = 452, .external_lex_state = 2},
  [13985] = {.lex_state = 452, .external_lex_state = 2},
  [13986] = {.lex_state = 6, .external_lex_state = 2},
  [13987] = {.lex_state = 221, .external_lex_state = 2},
  [13988] = {.lex_state = 221, .external_lex_state = 2},
  [13989] = {.lex_state = 221, .external_lex_state = 2},
  [13990] = {.lex_state = 221, .external_lex_state = 2},
  [13991] = {.lex_state = 452, .external_lex_state = 2},
  [13992] = {.lex_state = 6, .external_lex_state = 2},
  [13993] = {.lex_state = 452, .external_lex_state = 2},
  [13994] = {.lex_state = 452, .external_lex_state = 2},
  [13995] = {.lex_state = 452, .external_lex_state = 2},
  [13996] = {.lex_state = 6, .external_lex_state = 2},
  [13997] = {.lex_state = 221, .external_lex_state = 2},
  [13998] = {.lex_state = 221, .external_lex_state = 2},
  [13999] = {.lex_state = 452, .external_lex_state = 2},
  [14000] = {.lex_state = 221, .external_lex_state = 2},
  [14001] = {.lex_state = 452, .external_lex_state = 2},
  [14002] = {.lex_state = 452, .external_lex_state = 2},
  [14003] = {.lex_state = 276, .external_lex_state = 2},
  [14004] = {.lex_state = 452, .external_lex_state = 2},
  [14005] = {.lex_state = 452, .external_lex_state = 2},
  [14006] = {.lex_state = 452, .external_lex_state = 2},
  [14007] = {.lex_state = 221, .external_lex_state = 2},
  [14008] = {.lex_state = 452, .external_lex_state = 2},
  [14009] = {.lex_state = 452, .external_lex_state = 2},
  [14010] = {.lex_state = 452, .external_lex_state = 2},
  [14011] = {.lex_state = 221, .external_lex_state = 2},
  [14012] = {.lex_state = 452, .external_lex_state = 2},
  [14013] = {.lex_state = 234, .external_lex_state = 2},
  [14014] = {.lex_state = 221, .external_lex_state = 2},
  [14015] = {.lex_state = 234, .external_lex_state = 2},
  [14016] = {.lex_state = 221, .external_lex_state = 2},
  [14017] = {.lex_state = 221, .external_lex_state = 2},
  [14018] = {.lex_state = 452, .external_lex_state = 2},
  [14019] = {.lex_state = 245, .external_lex_state = 2},
  [14020] = {.lex_state = 221, .external_lex_state = 2},
  [14021] = {.lex_state = 452, .external_lex_state = 2},
  [14022] = {.lex_state = 452, .external_lex_state = 2},
  [14023] = {.lex_state = 452, .external_lex_state = 2},
  [14024] = {.lex_state = 452, .external_lex_state = 2},
  [14025] = {.lex_state = 452, .external_lex_state = 2},
  [14026] = {.lex_state = 6, .external_lex_state = 2},
  [14027] = {.lex_state = 452, .external_lex_state = 2},
  [14028] = {.lex_state = 234, .external_lex_state = 2},
  [14029] = {.lex_state = 221, .external_lex_state = 2},
  [14030] = {.lex_state = 221, .external_lex_state = 2},
  [14031] = {.lex_state = 276, .external_lex_state = 2},
  [14032] = {.lex_state = 6, .external_lex_state = 2},
  [14033] = {.lex_state = 6, .external_lex_state = 2},
  [14034] = {.lex_state = 234, .external_lex_state = 2},
  [14035] = {.lex_state = 6, .external_lex_state = 2},
  [14036] = {.lex_state = 221, .external_lex_state = 2},
  [14037] = {.lex_state = 452, .external_lex_state = 2},
  [14038] = {.lex_state = 221, .external_lex_state = 2},
  [14039] = {.lex_state = 452, .external_lex_state = 2},
  [14040] = {.lex_state = 452, .external_lex_state = 2},
  [14041] = {.lex_state = 452, .external_lex_state = 2},
  [14042] = {.lex_state = 159, .external_lex_state = 2},
  [14043] = {.lex_state = 234, .external_lex_state = 2},
  [14044] = {.lex_state = 6, .external_lex_state = 2},
  [14045] = {.lex_state = 234, .external_lex_state = 2},
  [14046] = {.lex_state = 18, .external_lex_state = 2},
  [14047] = {.lex_state = 4, .external_lex_state = 6},
  [14048] = {.lex_state = 234, .external_lex_state = 2},
  [14049] = {.lex_state = 4, .external_lex_state = 6},
  [14050] = {.lex_state = 452, .external_lex_state = 2},
  [14051] = {.lex_state = 452, .external_lex_state = 2},
  [14052] = {.lex_state = 452, .external_lex_state = 2},
  [14053] = {.lex_state = 234, .external_lex_state = 2},
  [14054] = {.lex_state = 4, .external_lex_state = 6},
  [14055] = {.lex_state = 268, .external_lex_state = 7},
  [14056] = {.lex_state = 4, .external_lex_state = 6},
  [14057] = {.lex_state = 4, .external_lex_state = 6},
  [14058] = {.lex_state = 18, .external_lex_state = 2},
  [14059] = {.lex_state = 245, .external_lex_state = 2},
  [14060] = {.lex_state = 452, .external_lex_state = 2},
  [14061] = {.lex_state = 4, .external_lex_state = 6},
  [14062] = {.lex_state = 4, .external_lex_state = 6},
  [14063] = {.lex_state = 273, .external_lex_state = 2},
  [14064] = {.lex_state = 452, .external_lex_state = 2},
  [14065] = {.lex_state = 4, .external_lex_state = 6},
  [14066] = {.lex_state = 6, .external_lex_state = 2},
  [14067] = {.lex_state = 4, .external_lex_state = 6},
  [14068] = {.lex_state = 273, .external_lex_state = 2},
  [14069] = {.lex_state = 4, .external_lex_state = 6},
  [14070] = {.lex_state = 273, .external_lex_state = 2},
  [14071] = {.lex_state = 273, .external_lex_state = 2},
  [14072] = {.lex_state = 4, .external_lex_state = 6},
  [14073] = {.lex_state = 4, .external_lex_state = 6},
  [14074] = {.lex_state = 4, .external_lex_state = 6},
  [14075] = {.lex_state = 4, .external_lex_state = 6},
  [14076] = {.lex_state = 273, .external_lex_state = 2},
  [14077] = {.lex_state = 273, .external_lex_state = 2},
  [14078] = {.lex_state = 4, .external_lex_state = 6},
  [14079] = {.lex_state = 273, .external_lex_state = 2},
  [14080] = {.lex_state = 273, .external_lex_state = 2},
  [14081] = {.lex_state = 245, .external_lex_state = 2},
  [14082] = {.lex_state = 4, .external_lex_state = 6},
  [14083] = {.lex_state = 6, .external_lex_state = 2},
  [14084] = {.lex_state = 234, .external_lex_state = 2},
  [14085] = {.lex_state = 4, .external_lex_state = 6},
  [14086] = {.lex_state = 4, .external_lex_state = 6},
  [14087] = {.lex_state = 221, .external_lex_state = 2},
  [14088] = {.lex_state = 4, .external_lex_state = 6},
  [14089] = {.lex_state = 4, .external_lex_state = 6},
  [14090] = {.lex_state = 4, .external_lex_state = 6},
  [14091] = {.lex_state = 273, .external_lex_state = 2},
  [14092] = {.lex_state = 4, .external_lex_state = 6},
  [14093] = {.lex_state = 4, .external_lex_state = 6},
  [14094] = {.lex_state = 4, .external_lex_state = 6},
  [14095] = {.lex_state = 4, .external_lex_state = 6},
  [14096] = {.lex_state = 4, .external_lex_state = 6},
  [14097] = {.lex_state = 4, .external_lex_state = 6},
  [14098] = {.lex_state = 4, .external_lex_state = 6},
  [14099] = {.lex_state = 4, .external_lex_state = 6},
  [14100] = {.lex_state = 4, .external_lex_state = 6},
  [14101] = {.lex_state = 4, .external_lex_state = 6},
  [14102] = {.lex_state = 4, .external_lex_state = 6},
  [14103] = {.lex_state = 159, .external_lex_state = 2},
  [14104] = {.lex_state = 6, .external_lex_state = 2},
  [14105] = {.lex_state = 159, .external_lex_state = 2},
  [14106] = {.lex_state = 273, .external_lex_state = 2},
  [14107] = {.lex_state = 18, .external_lex_state = 2},
  [14108] = {.lex_state = 452, .external_lex_state = 2},
  [14109] = {.lex_state = 245, .external_lex_state = 2},
  [14110] = {.lex_state = 276, .external_lex_state = 2},
  [14111] = {.lex_state = 452, .external_lex_state = 2},
  [14112] = {.lex_state = 4, .external_lex_state = 6},
  [14113] = {.lex_state = 273, .external_lex_state = 2},
  [14114] = {.lex_state = 452, .external_lex_state = 2},
  [14115] = {.lex_state = 273, .external_lex_state = 2},
  [14116] = {.lex_state = 6, .external_lex_state = 2},
  [14117] = {.lex_state = 452, .external_lex_state = 2},
  [14118] = {.lex_state = 18, .external_lex_state = 2},
  [14119] = {.lex_state = 18, .external_lex_state = 2},
  [14120] = {.lex_state = 6, .external_lex_state = 2},
  [14121] = {.lex_state = 234, .external_lex_state = 2},
  [14122] = {.lex_state = 273, .external_lex_state = 2},
  [14123] = {.lex_state = 273, .external_lex_state = 2},
  [14124] = {.lex_state = 4, .external_lex_state = 6},
  [14125] = {.lex_state = 273, .external_lex_state = 2},
  [14126] = {.lex_state = 273, .external_lex_state = 2},
  [14127] = {.lex_state = 452, .external_lex_state = 2},
  [14128] = {.lex_state = 6, .external_lex_state = 2},
  [14129] = {.lex_state = 18, .external_lex_state = 2},
  [14130] = {.lex_state = 273, .external_lex_state = 2},
  [14131] = {.lex_state = 273, .external_lex_state = 2},
  [14132] = {.lex_state = 4, .external_lex_state = 6},
  [14133] = {.lex_state = 18, .external_lex_state = 2},
  [14134] = {.lex_state = 452, .external_lex_state = 2},
  [14135] = {.lex_state = 18, .external_lex_state = 2},
  [14136] = {.lex_state = 6, .external_lex_state = 2},
  [14137] = {.lex_state = 18, .external_lex_state = 2},
  [14138] = {.lex_state = 6, .external_lex_state = 2},
  [14139] = {.lex_state = 18, .external_lex_state = 2},
  [14140] = {.lex_state = 4, .external_lex_state = 6},
  [14141] = {.lex_state = 273, .external_lex_state = 2},
  [14142] = {.lex_state = 6, .external_lex_state = 2},
  [14143] = {.lex_state = 273, .external_lex_state = 2},
  [14144] = {.lex_state = 18, .external_lex_state = 2},
  [14145] = {.lex_state = 6, .external_lex_state = 2},
  [14146] = {.lex_state = 273, .external_lex_state = 2},
  [14147] = {.lex_state = 273, .external_lex_state = 2},
  [14148] = {.lex_state = 273, .external_lex_state = 2},
  [14149] = {.lex_state = 4, .external_lex_state = 6},
  [14150] = {.lex_state = 4, .external_lex_state = 6},
  [14151] = {.lex_state = 452, .external_lex_state = 2},
  [14152] = {.lex_state = 452, .external_lex_state = 2},
  [14153] = {.lex_state = 6, .external_lex_state = 2},
  [14154] = {.lex_state = 452, .external_lex_state = 2},
  [14155] = {.lex_state = 221, .external_lex_state = 2},
  [14156] = {.lex_state = 6, .external_lex_state = 2},
  [14157] = {.lex_state = 452, .external_lex_state = 2},
  [14158] = {.lex_state = 18, .external_lex_state = 2},
  [14159] = {.lex_state = 18, .external_lex_state = 2},
  [14160] = {.lex_state = 452, .external_lex_state = 2},
  [14161] = {.lex_state = 18, .external_lex_state = 2},
  [14162] = {.lex_state = 4, .external_lex_state = 6},
  [14163] = {.lex_state = 452, .external_lex_state = 2},
  [14164] = {.lex_state = 452, .external_lex_state = 2},
  [14165] = {.lex_state = 273, .external_lex_state = 2},
  [14166] = {.lex_state = 452, .external_lex_state = 2},
  [14167] = {.lex_state = 452, .external_lex_state = 2},
  [14168] = {.lex_state = 4, .external_lex_state = 6},
  [14169] = {.lex_state = 273, .external_lex_state = 2},
  [14170] = {.lex_state = 273, .external_lex_state = 2},
  [14171] = {.lex_state = 273, .external_lex_state = 2},
  [14172] = {.lex_state = 18, .external_lex_state = 2},
  [14173] = {.lex_state = 273, .external_lex_state = 2},
  [14174] = {.lex_state = 273, .external_lex_state = 2},
  [14175] = {.lex_state = 245, .external_lex_state = 2},
  [14176] = {.lex_state = 4, .external_lex_state = 6},
  [14177] = {.lex_state = 452, .external_lex_state = 2},
  [14178] = {.lex_state = 245, .external_lex_state = 2},
  [14179] = {.lex_state = 4, .external_lex_state = 6},
  [14180] = {.lex_state = 221, .external_lex_state = 2},
  [14181] = {.lex_state = 4, .external_lex_state = 6},
  [14182] = {.lex_state = 452, .external_lex_state = 2},
  [14183] = {.lex_state = 273, .external_lex_state = 2},
  [14184] = {.lex_state = 4, .external_lex_state = 6},
  [14185] = {.lex_state = 273, .external_lex_state = 2},
  [14186] = {.lex_state = 221, .external_lex_state = 2},
  [14187] = {.lex_state = 273, .external_lex_state = 2},
  [14188] = {.lex_state = 273, .external_lex_state = 2},
  [14189] = {.lex_state = 452, .external_lex_state = 2},
  [14190] = {.lex_state = 273, .external_lex_state = 2},
  [14191] = {.lex_state = 452, .external_lex_state = 2},
  [14192] = {.lex_state = 4, .external_lex_state = 6},
  [14193] = {.lex_state = 18, .external_lex_state = 2},
  [14194] = {.lex_state = 452, .external_lex_state = 2},
  [14195] = {.lex_state = 221, .external_lex_state = 2},
  [14196] = {.lex_state = 273, .external_lex_state = 2},
  [14197] = {.lex_state = 18, .external_lex_state = 2},
  [14198] = {.lex_state = 4, .external_lex_state = 6},
  [14199] = {.lex_state = 452, .external_lex_state = 2},
  [14200] = {.lex_state = 18, .external_lex_state = 2},
  [14201] = {.lex_state = 276, .external_lex_state = 2},
  [14202] = {.lex_state = 452, .external_lex_state = 2},
  [14203] = {.lex_state = 4, .external_lex_state = 6},
  [14204] = {.lex_state = 18, .external_lex_state = 2},
  [14205] = {.lex_state = 452, .external_lex_state = 2},
  [14206] = {.lex_state = 452, .external_lex_state = 2},
  [14207] = {.lex_state = 4, .external_lex_state = 6},
  [14208] = {.lex_state = 452, .external_lex_state = 2},
  [14209] = {.lex_state = 4, .external_lex_state = 6},
  [14210] = {.lex_state = 273, .external_lex_state = 2},
  [14211] = {.lex_state = 452, .external_lex_state = 2},
  [14212] = {.lex_state = 4, .external_lex_state = 6},
  [14213] = {.lex_state = 273, .external_lex_state = 2},
  [14214] = {.lex_state = 221, .external_lex_state = 2},
  [14215] = {.lex_state = 4, .external_lex_state = 6},
  [14216] = {.lex_state = 221, .external_lex_state = 2},
  [14217] = {.lex_state = 4, .external_lex_state = 6},
  [14218] = {.lex_state = 273, .external_lex_state = 2},
  [14219] = {.lex_state = 221, .external_lex_state = 2},
  [14220] = {.lex_state = 273, .external_lex_state = 2},
  [14221] = {.lex_state = 18, .external_lex_state = 2},
  [14222] = {.lex_state = 4, .external_lex_state = 6},
  [14223] = {.lex_state = 18, .external_lex_state = 2},
  [14224] = {.lex_state = 452, .external_lex_state = 2},
  [14225] = {.lex_state = 452, .external_lex_state = 2},
  [14226] = {.lex_state = 452, .external_lex_state = 2},
  [14227] = {.lex_state = 273, .external_lex_state = 2},
  [14228] = {.lex_state = 18, .external_lex_state = 2},
  [14229] = {.lex_state = 273, .external_lex_state = 2},
  [14230] = {.lex_state = 4, .external_lex_state = 6},
  [14231] = {.lex_state = 221, .external_lex_state = 2},
  [14232] = {.lex_state = 273, .external_lex_state = 2},
  [14233] = {.lex_state = 452, .external_lex_state = 2},
  [14234] = {.lex_state = 4, .external_lex_state = 6},
  [14235] = {.lex_state = 273, .external_lex_state = 2},
  [14236] = {.lex_state = 4, .external_lex_state = 6},
  [14237] = {.lex_state = 6, .external_lex_state = 2},
  [14238] = {.lex_state = 18, .external_lex_state = 2},
  [14239] = {.lex_state = 452, .external_lex_state = 2},
  [14240] = {.lex_state = 452, .external_lex_state = 2},
  [14241] = {.lex_state = 268, .external_lex_state = 7},
  [14242] = {.lex_state = 452, .external_lex_state = 2},
  [14243] = {.lex_state = 250, .external_lex_state = 2},
  [14244] = {.lex_state = 452, .external_lex_state = 2},
  [14245] = {.lex_state = 452, .external_lex_state = 2},
  [14246] = {.lex_state = 452, .external_lex_state = 2},
  [14247] = {.lex_state = 452, .external_lex_state = 2},
  [14248] = {.lex_state = 452, .external_lex_state = 2},
  [14249] = {.lex_state = 452, .external_lex_state = 2},
  [14250] = {.lex_state = 221, .external_lex_state = 2},
  [14251] = {.lex_state = 452, .external_lex_state = 2},
  [14252] = {.lex_state = 452, .external_lex_state = 2},
  [14253] = {.lex_state = 221, .external_lex_state = 2},
  [14254] = {.lex_state = 159, .external_lex_state = 2},
  [14255] = {.lex_state = 452, .external_lex_state = 2},
  [14256] = {.lex_state = 452, .external_lex_state = 2},
  [14257] = {.lex_state = 250, .external_lex_state = 2},
  [14258] = {.lex_state = 452, .external_lex_state = 2},
  [14259] = {.lex_state = 452, .external_lex_state = 2},
  [14260] = {.lex_state = 452, .external_lex_state = 2},
  [14261] = {.lex_state = 452, .external_lex_state = 2},
  [14262] = {.lex_state = 452, .external_lex_state = 2},
  [14263] = {.lex_state = 452, .external_lex_state = 2},
  [14264] = {.lex_state = 452, .external_lex_state = 2},
  [14265] = {.lex_state = 38, .external_lex_state = 2},
  [14266] = {.lex_state = 452, .external_lex_state = 2},
  [14267] = {.lex_state = 452, .external_lex_state = 2},
  [14268] = {.lex_state = 234, .external_lex_state = 2},
  [14269] = {.lex_state = 452, .external_lex_state = 2},
  [14270] = {.lex_state = 159, .external_lex_state = 2},
  [14271] = {.lex_state = 452, .external_lex_state = 2},
  [14272] = {.lex_state = 452, .external_lex_state = 2},
  [14273] = {.lex_state = 452, .external_lex_state = 2},
  [14274] = {.lex_state = 452, .external_lex_state = 2},
  [14275] = {.lex_state = 250, .external_lex_state = 2},
  [14276] = {.lex_state = 452, .external_lex_state = 2},
  [14277] = {.lex_state = 452, .external_lex_state = 2},
  [14278] = {.lex_state = 452, .external_lex_state = 2},
  [14279] = {.lex_state = 452, .external_lex_state = 2},
  [14280] = {.lex_state = 452, .external_lex_state = 2},
  [14281] = {.lex_state = 452, .external_lex_state = 2},
  [14282] = {.lex_state = 452, .external_lex_state = 2},
  [14283] = {.lex_state = 244, .external_lex_state = 2},
  [14284] = {.lex_state = 268, .external_lex_state = 7},
  [14285] = {.lex_state = 452, .external_lex_state = 2},
  [14286] = {.lex_state = 452, .external_lex_state = 2},
  [14287] = {.lex_state = 452, .external_lex_state = 2},
  [14288] = {.lex_state = 221, .external_lex_state = 2},
  [14289] = {.lex_state = 452, .external_lex_state = 2},
  [14290] = {.lex_state = 221, .external_lex_state = 2},
  [14291] = {.lex_state = 452, .external_lex_state = 2},
  [14292] = {.lex_state = 452, .external_lex_state = 2},
  [14293] = {.lex_state = 452, .external_lex_state = 2},
  [14294] = {.lex_state = 250, .external_lex_state = 2},
  [14295] = {.lex_state = 221, .external_lex_state = 2},
  [14296] = {.lex_state = 221, .external_lex_state = 2},
  [14297] = {.lex_state = 452, .external_lex_state = 2},
  [14298] = {.lex_state = 452, .external_lex_state = 2},
  [14299] = {.lex_state = 452, .external_lex_state = 2},
  [14300] = {.lex_state = 452, .external_lex_state = 2},
  [14301] = {.lex_state = 452, .external_lex_state = 2},
  [14302] = {.lex_state = 452, .external_lex_state = 2},
  [14303] = {.lex_state = 452, .external_lex_state = 2},
  [14304] = {.lex_state = 38, .external_lex_state = 2},
  [14305] = {.lex_state = 452, .external_lex_state = 2},
  [14306] = {.lex_state = 452, .external_lex_state = 2},
  [14307] = {.lex_state = 452, .external_lex_state = 2},
  [14308] = {.lex_state = 452, .external_lex_state = 2},
  [14309] = {.lex_state = 452, .external_lex_state = 2},
  [14310] = {.lex_state = 452, .external_lex_state = 2},
  [14311] = {.lex_state = 452, .external_lex_state = 2},
  [14312] = {.lex_state = 452, .external_lex_state = 2},
  [14313] = {.lex_state = 250, .external_lex_state = 2},
  [14314] = {.lex_state = 452, .external_lex_state = 2},
  [14315] = {.lex_state = 184, .external_lex_state = 2},
  [14316] = {.lex_state = 452, .external_lex_state = 2},
  [14317] = {.lex_state = 452, .external_lex_state = 2},
  [14318] = {.lex_state = 174, .external_lex_state = 2},
  [14319] = {.lex_state = 452, .external_lex_state = 2},
  [14320] = {.lex_state = 234, .external_lex_state = 2},
  [14321] = {.lex_state = 452, .external_lex_state = 2},
  [14322] = {.lex_state = 234, .external_lex_state = 2},
  [14323] = {.lex_state = 452, .external_lex_state = 2},
  [14324] = {.lex_state = 452, .external_lex_state = 2},
  [14325] = {.lex_state = 452, .external_lex_state = 2},
  [14326] = {.lex_state = 452, .external_lex_state = 2},
  [14327] = {.lex_state = 452, .external_lex_state = 2},
  [14328] = {.lex_state = 452, .external_lex_state = 2},
  [14329] = {.lex_state = 452, .external_lex_state = 2},
  [14330] = {.lex_state = 6, .external_lex_state = 2},
  [14331] = {.lex_state = 6, .external_lex_state = 2},
  [14332] = {.lex_state = 452, .external_lex_state = 2},
  [14333] = {.lex_state = 452, .external_lex_state = 2},
  [14334] = {.lex_state = 452, .external_lex_state = 2},
  [14335] = {.lex_state = 452, .external_lex_state = 2},
  [14336] = {.lex_state = 244, .external_lex_state = 2},
  [14337] = {.lex_state = 6, .external_lex_state = 2},
  [14338] = {.lex_state = 184, .external_lex_state = 2},
  [14339] = {.lex_state = 452, .external_lex_state = 2},
  [14340] = {.lex_state = 234, .external_lex_state = 2},
  [14341] = {.lex_state = 452, .external_lex_state = 2},
  [14342] = {.lex_state = 6, .external_lex_state = 2},
  [14343] = {.lex_state = 452, .external_lex_state = 2},
  [14344] = {.lex_state = 234, .external_lex_state = 2},
  [14345] = {.lex_state = 452, .external_lex_state = 2},
  [14346] = {.lex_state = 234, .external_lex_state = 2},
  [14347] = {.lex_state = 268, .external_lex_state = 7},
  [14348] = {.lex_state = 452, .external_lex_state = 2},
  [14349] = {.lex_state = 184, .external_lex_state = 2},
  [14350] = {.lex_state = 184, .external_lex_state = 2},
  [14351] = {.lex_state = 184, .external_lex_state = 2},
  [14352] = {.lex_state = 452, .external_lex_state = 2},
  [14353] = {.lex_state = 452, .external_lex_state = 2},
  [14354] = {.lex_state = 174, .external_lex_state = 2},
  [14355] = {.lex_state = 452, .external_lex_state = 2},
  [14356] = {.lex_state = 452, .external_lex_state = 8},
  [14357] = {.lex_state = 452, .external_lex_state = 2},
  [14358] = {.lex_state = 452, .external_lex_state = 2},
  [14359] = {.lex_state = 452, .external_lex_state = 2},
  [14360] = {.lex_state = 452, .external_lex_state = 2},
  [14361] = {.lex_state = 6, .external_lex_state = 2},
  [14362] = {.lex_state = 234, .external_lex_state = 2},
  [14363] = {.lex_state = 452, .external_lex_state = 2},
  [14364] = {.lex_state = 452, .external_lex_state = 2},
  [14365] = {.lex_state = 452, .external_lex_state = 8},
  [14366] = {.lex_state = 221, .external_lex_state = 2},
  [14367] = {.lex_state = 6, .external_lex_state = 2},
  [14368] = {.lex_state = 452, .external_lex_state = 2},
  [14369] = {.lex_state = 452, .external_lex_state = 2},
  [14370] = {.lex_state = 452, .external_lex_state = 2},
  [14371] = {.lex_state = 452, .external_lex_state = 2},
  [14372] = {.lex_state = 174, .external_lex_state = 2},
  [14373] = {.lex_state = 234, .external_lex_state = 2},
  [14374] = {.lex_state = 452, .external_lex_state = 2},
  [14375] = {.lex_state = 452, .external_lex_state = 2},
  [14376] = {.lex_state = 452, .external_lex_state = 2},
  [14377] = {.lex_state = 452, .external_lex_state = 2},
  [14378] = {.lex_state = 221, .external_lex_state = 2},
  [14379] = {.lex_state = 452, .external_lex_state = 2},
  [14380] = {.lex_state = 452, .external_lex_state = 8},
  [14381] = {.lex_state = 452, .external_lex_state = 2},
  [14382] = {.lex_state = 221, .external_lex_state = 2},
  [14383] = {.lex_state = 6, .external_lex_state = 2},
  [14384] = {.lex_state = 452, .external_lex_state = 2},
  [14385] = {.lex_state = 452, .external_lex_state = 2},
  [14386] = {.lex_state = 184, .external_lex_state = 2},
  [14387] = {.lex_state = 452, .external_lex_state = 2},
  [14388] = {.lex_state = 174, .external_lex_state = 2},
  [14389] = {.lex_state = 234, .external_lex_state = 2},
  [14390] = {.lex_state = 452, .external_lex_state = 2},
  [14391] = {.lex_state = 184, .external_lex_state = 2},
  [14392] = {.lex_state = 6, .external_lex_state = 2},
  [14393] = {.lex_state = 452, .external_lex_state = 8},
  [14394] = {.lex_state = 234, .external_lex_state = 2},
  [14395] = {.lex_state = 452, .external_lex_state = 2},
  [14396] = {.lex_state = 452, .external_lex_state = 2},
  [14397] = {.lex_state = 174, .external_lex_state = 2},
  [14398] = {.lex_state = 452, .external_lex_state = 2},
  [14399] = {.lex_state = 452, .external_lex_state = 8},
  [14400] = {.lex_state = 452, .external_lex_state = 2},
  [14401] = {.lex_state = 452, .external_lex_state = 2},
  [14402] = {.lex_state = 452, .external_lex_state = 2},
  [14403] = {.lex_state = 452, .external_lex_state = 2},
  [14404] = {.lex_state = 6, .external_lex_state = 2},
  [14405] = {.lex_state = 452, .external_lex_state = 2},
  [14406] = {.lex_state = 452, .external_lex_state = 2},
  [14407] = {.lex_state = 452, .external_lex_state = 2},
  [14408] = {.lex_state = 452, .external_lex_state = 2},
  [14409] = {.lex_state = 6, .external_lex_state = 2},
  [14410] = {.lex_state = 184, .external_lex_state = 2},
  [14411] = {.lex_state = 6, .external_lex_state = 2},
  [14412] = {.lex_state = 452, .external_lex_state = 2},
  [14413] = {.lex_state = 6, .external_lex_state = 2},
  [14414] = {.lex_state = 6, .external_lex_state = 2},
  [14415] = {.lex_state = 452, .external_lex_state = 2},
  [14416] = {.lex_state = 452, .external_lex_state = 8},
  [14417] = {.lex_state = 452, .external_lex_state = 8},
  [14418] = {.lex_state = 234, .external_lex_state = 2},
  [14419] = {.lex_state = 6, .external_lex_state = 2},
  [14420] = {.lex_state = 452, .external_lex_state = 2},
  [14421] = {.lex_state = 452, .external_lex_state = 2},
  [14422] = {.lex_state = 174, .external_lex_state = 2},
  [14423] = {.lex_state = 452, .external_lex_state = 2},
  [14424] = {.lex_state = 452, .external_lex_state = 2},
  [14425] = {.lex_state = 452, .external_lex_state = 2},
  [14426] = {.lex_state = 234, .external_lex_state = 2},
  [14427] = {.lex_state = 452, .external_lex_state = 2},
  [14428] = {.lex_state = 184, .external_lex_state = 2},
  [14429] = {.lex_state = 234, .external_lex_state = 2},
  [14430] = {.lex_state = 234, .external_lex_state = 2},
  [14431] = {.lex_state = 234, .external_lex_state = 2},
  [14432] = {.lex_state = 452, .external_lex_state = 2},
  [14433] = {.lex_state = 452, .external_lex_state = 2},
  [14434] = {.lex_state = 452, .external_lex_state = 2},
  [14435] = {.lex_state = 184, .external_lex_state = 2},
  [14436] = {.lex_state = 452, .external_lex_state = 2},
  [14437] = {.lex_state = 452, .external_lex_state = 2},
  [14438] = {.lex_state = 452, .external_lex_state = 2},
  [14439] = {.lex_state = 234, .external_lex_state = 2},
  [14440] = {.lex_state = 174, .external_lex_state = 2},
  [14441] = {.lex_state = 452, .external_lex_state = 2},
  [14442] = {.lex_state = 234, .external_lex_state = 2},
  [14443] = {.lex_state = 452, .external_lex_state = 2},
  [14444] = {.lex_state = 452, .external_lex_state = 2},
  [14445] = {.lex_state = 452, .external_lex_state = 2},
  [14446] = {.lex_state = 452, .external_lex_state = 2},
  [14447] = {.lex_state = 452, .external_lex_state = 2},
  [14448] = {.lex_state = 452, .external_lex_state = 2},
  [14449] = {.lex_state = 452, .external_lex_state = 8},
  [14450] = {.lex_state = 184, .external_lex_state = 2},
  [14451] = {.lex_state = 6, .external_lex_state = 2},
  [14452] = {.lex_state = 452, .external_lex_state = 2},
  [14453] = {.lex_state = 6, .external_lex_state = 2},
  [14454] = {.lex_state = 452, .external_lex_state = 2},
  [14455] = {.lex_state = 452, .external_lex_state = 2},
  [14456] = {.lex_state = 452, .external_lex_state = 2},
  [14457] = {.lex_state = 452, .external_lex_state = 2},
  [14458] = {.lex_state = 6, .external_lex_state = 2},
  [14459] = {.lex_state = 452, .external_lex_state = 2},
  [14460] = {.lex_state = 452, .external_lex_state = 2},
  [14461] = {.lex_state = 221, .external_lex_state = 2},
  [14462] = {.lex_state = 452, .external_lex_state = 2},
  [14463] = {.lex_state = 452, .external_lex_state = 2},
  [14464] = {.lex_state = 221, .external_lex_state = 2},
  [14465] = {.lex_state = 452, .external_lex_state = 2},
  [14466] = {.lex_state = 6, .external_lex_state = 2},
  [14467] = {.lex_state = 452, .external_lex_state = 2},
  [14468] = {.lex_state = 452, .external_lex_state = 8},
  [14469] = {.lex_state = 234, .external_lex_state = 2},
  [14470] = {.lex_state = 452, .external_lex_state = 2},
  [14471] = {.lex_state = 221, .external_lex_state = 2},
  [14472] = {.lex_state = 452, .external_lex_state = 2},
  [14473] = {.lex_state = 452, .external_lex_state = 2},
  [14474] = {.lex_state = 452, .external_lex_state = 2},
  [14475] = {.lex_state = 452, .external_lex_state = 2},
  [14476] = {.lex_state = 6, .external_lex_state = 2},
  [14477] = {.lex_state = 234, .external_lex_state = 2},
  [14478] = {.lex_state = 452, .external_lex_state = 2},
  [14479] = {.lex_state = 452, .external_lex_state = 2},
  [14480] = {.lex_state = 452, .external_lex_state = 2},
  [14481] = {.lex_state = 452, .external_lex_state = 2},
  [14482] = {.lex_state = 452, .external_lex_state = 2},
  [14483] = {.lex_state = 221, .external_lex_state = 2},
  [14484] = {.lex_state = 452, .external_lex_state = 2},
  [14485] = {.lex_state = 221, .external_lex_state = 2},
  [14486] = {.lex_state = 221, .external_lex_state = 2},
  [14487] = {.lex_state = 221, .external_lex_state = 2},
  [14488] = {.lex_state = 452, .external_lex_state = 2},
  [14489] = {.lex_state = 452, .external_lex_state = 2},
  [14490] = {.lex_state = 452, .external_lex_state = 2},
  [14491] = {.lex_state = 234, .external_lex_state = 2},
  [14492] = {.lex_state = 452, .external_lex_state = 2},
  [14493] = {.lex_state = 452, .external_lex_state = 2},
  [14494] = {.lex_state = 221, .external_lex_state = 2},
  [14495] = {.lex_state = 184, .external_lex_state = 2},
  [14496] = {.lex_state = 234, .external_lex_state = 2},
  [14497] = {.lex_state = 221, .external_lex_state = 2},
  [14498] = {.lex_state = 452, .external_lex_state = 2},
  [14499] = {.lex_state = 452, .external_lex_state = 2},
  [14500] = {.lex_state = 9, .external_lex_state = 2},
  [14501] = {.lex_state = 452, .external_lex_state = 8},
  [14502] = {.lex_state = 452, .external_lex_state = 2},
  [14503] = {.lex_state = 250, .external_lex_state = 2},
  [14504] = {.lex_state = 452, .external_lex_state = 2},
  [14505] = {.lex_state = 260, .external_lex_state = 2},
  [14506] = {.lex_state = 452, .external_lex_state = 2},
  [14507] = {.lex_state = 452, .external_lex_state = 2},
  [14508] = {.lex_state = 452, .external_lex_state = 2},
  [14509] = {.lex_state = 452, .external_lex_state = 2},
  [14510] = {.lex_state = 452, .external_lex_state = 2},
  [14511] = {.lex_state = 452, .external_lex_state = 8},
  [14512] = {.lex_state = 452, .external_lex_state = 2},
  [14513] = {.lex_state = 452, .external_lex_state = 2},
  [14514] = {.lex_state = 452, .external_lex_state = 8},
  [14515] = {.lex_state = 452, .external_lex_state = 8},
  [14516] = {.lex_state = 221, .external_lex_state = 2},
  [14517] = {.lex_state = 452, .external_lex_state = 2},
  [14518] = {.lex_state = 452, .external_lex_state = 2},
  [14519] = {.lex_state = 234, .external_lex_state = 2},
  [14520] = {.lex_state = 452, .external_lex_state = 2},
  [14521] = {.lex_state = 452, .external_lex_state = 2},
  [14522] = {.lex_state = 452, .external_lex_state = 2},
  [14523] = {.lex_state = 452, .external_lex_state = 2},
  [14524] = {.lex_state = 174, .external_lex_state = 2},
  [14525] = {.lex_state = 452, .external_lex_state = 2},
  [14526] = {.lex_state = 6, .external_lex_state = 2},
  [14527] = {.lex_state = 452, .external_lex_state = 2},
  [14528] = {.lex_state = 452, .external_lex_state = 2},
  [14529] = {.lex_state = 452, .external_lex_state = 2},
  [14530] = {.lex_state = 452, .external_lex_state = 2},
  [14531] = {.lex_state = 452, .external_lex_state = 2},
  [14532] = {.lex_state = 452, .external_lex_state = 2},
  [14533] = {.lex_state = 452, .external_lex_state = 2},
  [14534] = {.lex_state = 452, .external_lex_state = 2},
  [14535] = {.lex_state = 452, .external_lex_state = 2},
  [14536] = {.lex_state = 452, .external_lex_state = 2},
  [14537] = {.lex_state = 452, .external_lex_state = 2},
  [14538] = {.lex_state = 234, .external_lex_state = 2},
  [14539] = {.lex_state = 174, .external_lex_state = 2},
  [14540] = {.lex_state = 234, .external_lex_state = 2},
  [14541] = {.lex_state = 260, .external_lex_state = 2},
  [14542] = {.lex_state = 234, .external_lex_state = 2},
  [14543] = {.lex_state = 452, .external_lex_state = 2},
  [14544] = {.lex_state = 452, .external_lex_state = 2},
  [14545] = {.lex_state = 452, .external_lex_state = 2},
  [14546] = {.lex_state = 452, .external_lex_state = 2},
  [14547] = {.lex_state = 234, .external_lex_state = 2},
  [14548] = {.lex_state = 452, .external_lex_state = 2},
  [14549] = {.lex_state = 452, .external_lex_state = 2},
  [14550] = {.lex_state = 260, .external_lex_state = 2},
  [14551] = {.lex_state = 38, .external_lex_state = 2},
  [14552] = {.lex_state = 452, .external_lex_state = 2},
  [14553] = {.lex_state = 452, .external_lex_state = 2},
  [14554] = {.lex_state = 221, .external_lex_state = 2},
  [14555] = {.lex_state = 452, .external_lex_state = 2},
  [14556] = {.lex_state = 452, .external_lex_state = 2},
  [14557] = {.lex_state = 452, .external_lex_state = 2},
  [14558] = {.lex_state = 452, .external_lex_state = 2},
  [14559] = {.lex_state = 452, .external_lex_state = 2},
  [14560] = {.lex_state = 234, .external_lex_state = 2},
  [14561] = {.lex_state = 234, .external_lex_state = 2},
  [14562] = {.lex_state = 452, .external_lex_state = 2},
  [14563] = {.lex_state = 6, .external_lex_state = 2},
  [14564] = {.lex_state = 452, .external_lex_state = 2},
  [14565] = {.lex_state = 221, .external_lex_state = 2},
  [14566] = {.lex_state = 452, .external_lex_state = 2},
  [14567] = {.lex_state = 452, .external_lex_state = 2},
  [14568] = {.lex_state = 234, .external_lex_state = 2},
  [14569] = {.lex_state = 452, .external_lex_state = 2},
  [14570] = {.lex_state = 452, .external_lex_state = 2},
  [14571] = {.lex_state = 174, .external_lex_state = 2},
  [14572] = {.lex_state = 452, .external_lex_state = 2},
  [14573] = {.lex_state = 452, .external_lex_state = 2},
  [14574] = {.lex_state = 452, .external_lex_state = 2},
  [14575] = {.lex_state = 9, .external_lex_state = 2},
  [14576] = {.lex_state = 452, .external_lex_state = 2},
  [14577] = {.lex_state = 234, .external_lex_state = 2},
  [14578] = {.lex_state = 452, .external_lex_state = 8},
  [14579] = {.lex_state = 234, .external_lex_state = 2},
  [14580] = {.lex_state = 452, .external_lex_state = 2},
  [14581] = {.lex_state = 452, .external_lex_state = 8},
  [14582] = {.lex_state = 452, .external_lex_state = 2},
  [14583] = {.lex_state = 452, .external_lex_state = 2},
  [14584] = {.lex_state = 452, .external_lex_state = 2},
  [14585] = {.lex_state = 452, .external_lex_state = 2},
  [14586] = {.lex_state = 234, .external_lex_state = 2},
  [14587] = {.lex_state = 452, .external_lex_state = 2},
  [14588] = {.lex_state = 227, .external_lex_state = 2},
  [14589] = {.lex_state = 452, .external_lex_state = 2},
  [14590] = {.lex_state = 452, .external_lex_state = 2},
  [14591] = {.lex_state = 174, .external_lex_state = 2},
  [14592] = {.lex_state = 234, .external_lex_state = 2},
  [14593] = {.lex_state = 221, .external_lex_state = 2},
  [14594] = {.lex_state = 452, .external_lex_state = 2},
  [14595] = {.lex_state = 452, .external_lex_state = 2},
  [14596] = {.lex_state = 452, .external_lex_state = 2},
  [14597] = {.lex_state = 6, .external_lex_state = 2},
  [14598] = {.lex_state = 174, .external_lex_state = 2},
  [14599] = {.lex_state = 234, .external_lex_state = 2},
  [14600] = {.lex_state = 452, .external_lex_state = 2},
  [14601] = {.lex_state = 452, .external_lex_state = 2},
  [14602] = {.lex_state = 452, .external_lex_state = 2},
  [14603] = {.lex_state = 452, .external_lex_state = 2},
  [14604] = {.lex_state = 221, .external_lex_state = 2},
  [14605] = {.lex_state = 452, .external_lex_state = 2},
  [14606] = {.lex_state = 452, .external_lex_state = 2},
  [14607] = {.lex_state = 174, .external_lex_state = 2},
  [14608] = {.lex_state = 452, .external_lex_state = 2},
  [14609] = {.lex_state = 452, .external_lex_state = 2},
  [14610] = {.lex_state = 452, .external_lex_state = 2},
  [14611] = {.lex_state = 174, .external_lex_state = 2},
  [14612] = {.lex_state = 452, .external_lex_state = 2},
  [14613] = {.lex_state = 452, .external_lex_state = 2},
  [14614] = {.lex_state = 452, .external_lex_state = 2},
  [14615] = {.lex_state = 452, .external_lex_state = 2},
  [14616] = {.lex_state = 452, .external_lex_state = 2},
  [14617] = {.lex_state = 452, .external_lex_state = 2},
  [14618] = {.lex_state = 260, .external_lex_state = 2},
  [14619] = {.lex_state = 184, .external_lex_state = 2},
  [14620] = {.lex_state = 452, .external_lex_state = 2},
  [14621] = {.lex_state = 234, .external_lex_state = 2},
  [14622] = {.lex_state = 452, .external_lex_state = 2},
  [14623] = {.lex_state = 452, .external_lex_state = 2},
  [14624] = {.lex_state = 452, .external_lex_state = 2},
  [14625] = {.lex_state = 452, .external_lex_state = 2},
  [14626] = {.lex_state = 6, .external_lex_state = 2},
  [14627] = {.lex_state = 174, .external_lex_state = 2},
  [14628] = {.lex_state = 452, .external_lex_state = 2},
  [14629] = {.lex_state = 452, .external_lex_state = 2},
  [14630] = {.lex_state = 452, .external_lex_state = 2},
  [14631] = {.lex_state = 452, .external_lex_state = 2},
  [14632] = {.lex_state = 6, .external_lex_state = 2},
  [14633] = {.lex_state = 452, .external_lex_state = 2},
  [14634] = {.lex_state = 452, .external_lex_state = 2},
  [14635] = {.lex_state = 452, .external_lex_state = 2},
  [14636] = {.lex_state = 452, .external_lex_state = 2},
  [14637] = {.lex_state = 452, .external_lex_state = 2},
  [14638] = {.lex_state = 452, .external_lex_state = 2},
  [14639] = {.lex_state = 452, .external_lex_state = 2},
  [14640] = {.lex_state = 184, .external_lex_state = 2},
  [14641] = {.lex_state = 452, .external_lex_state = 2},
  [14642] = {.lex_state = 221, .external_lex_state = 2},
  [14643] = {.lex_state = 452, .external_lex_state = 2},
  [14644] = {.lex_state = 452, .external_lex_state = 2},
  [14645] = {.lex_state = 452, .external_lex_state = 2},
  [14646] = {.lex_state = 452, .external_lex_state = 2},
  [14647] = {.lex_state = 452, .external_lex_state = 2},
  [14648] = {.lex_state = 452, .external_lex_state = 2},
  [14649] = {.lex_state = 452, .external_lex_state = 2},
  [14650] = {.lex_state = 452, .external_lex_state = 2},
  [14651] = {.lex_state = 227, .external_lex_state = 2},
  [14652] = {.lex_state = 227, .external_lex_state = 2},
  [14653] = {.lex_state = 6, .external_lex_state = 2},
  [14654] = {.lex_state = 227, .external_lex_state = 2},
  [14655] = {.lex_state = 234, .external_lex_state = 2},
  [14656] = {.lex_state = 452, .external_lex_state = 2},
  [14657] = {.lex_state = 452, .external_lex_state = 2},
  [14658] = {.lex_state = 452, .external_lex_state = 2},
  [14659] = {.lex_state = 452, .external_lex_state = 2},
  [14660] = {.lex_state = 452, .external_lex_state = 2},
  [14661] = {.lex_state = 452, .external_lex_state = 2},
  [14662] = {.lex_state = 174, .external_lex_state = 2},
  [14663] = {.lex_state = 452, .external_lex_state = 2},
  [14664] = {.lex_state = 452, .external_lex_state = 2},
  [14665] = {.lex_state = 250, .external_lex_state = 2},
  [14666] = {.lex_state = 174, .external_lex_state = 2},
  [14667] = {.lex_state = 174, .external_lex_state = 2},
  [14668] = {.lex_state = 452, .external_lex_state = 2},
  [14669] = {.lex_state = 174, .external_lex_state = 2},
  [14670] = {.lex_state = 170, .external_lex_state = 2},
  [14671] = {.lex_state = 452, .external_lex_state = 2},
  [14672] = {.lex_state = 452, .external_lex_state = 2},
  [14673] = {.lex_state = 452, .external_lex_state = 2},
  [14674] = {.lex_state = 452, .external_lex_state = 2},
  [14675] = {.lex_state = 452, .external_lex_state = 2},
  [14676] = {.lex_state = 170, .external_lex_state = 2},
  [14677] = {.lex_state = 452, .external_lex_state = 2},
  [14678] = {.lex_state = 452, .external_lex_state = 2},
  [14679] = {.lex_state = 174, .external_lex_state = 2},
  [14680] = {.lex_state = 452, .external_lex_state = 2},
  [14681] = {.lex_state = 452, .external_lex_state = 2},
  [14682] = {.lex_state = 174, .external_lex_state = 2},
  [14683] = {.lex_state = 452, .external_lex_state = 2},
  [14684] = {.lex_state = 452, .external_lex_state = 2},
  [14685] = {.lex_state = 452, .external_lex_state = 2},
  [14686] = {.lex_state = 452, .external_lex_state = 2},
  [14687] = {.lex_state = 452, .external_lex_state = 2},
  [14688] = {.lex_state = 452, .external_lex_state = 2},
  [14689] = {.lex_state = 174, .external_lex_state = 2},
  [14690] = {.lex_state = 452, .external_lex_state = 2},
  [14691] = {.lex_state = 174, .external_lex_state = 2},
  [14692] = {.lex_state = 452, .external_lex_state = 2},
  [14693] = {.lex_state = 452, .external_lex_state = 2},
  [14694] = {.lex_state = 452, .external_lex_state = 2},
  [14695] = {.lex_state = 452, .external_lex_state = 2},
  [14696] = {.lex_state = 174, .external_lex_state = 2},
  [14697] = {.lex_state = 170, .external_lex_state = 2},
  [14698] = {.lex_state = 170, .external_lex_state = 2},
  [14699] = {.lex_state = 452, .external_lex_state = 2},
  [14700] = {.lex_state = 452, .external_lex_state = 2},
  [14701] = {.lex_state = 174, .external_lex_state = 2},
  [14702] = {.lex_state = 452, .external_lex_state = 2},
  [14703] = {.lex_state = 174, .external_lex_state = 2},
  [14704] = {.lex_state = 452, .external_lex_state = 2},
  [14705] = {.lex_state = 452, .external_lex_state = 2},
  [14706] = {.lex_state = 452, .external_lex_state = 2},
  [14707] = {.lex_state = 452, .external_lex_state = 2},
  [14708] = {.lex_state = 452, .external_lex_state = 2},
  [14709] = {.lex_state = 174, .external_lex_state = 2},
  [14710] = {.lex_state = 452, .external_lex_state = 2},
  [14711] = {.lex_state = 452, .external_lex_state = 2},
  [14712] = {.lex_state = 174, .external_lex_state = 2},
  [14713] = {.lex_state = 174, .external_lex_state = 2},
  [14714] = {.lex_state = 452, .external_lex_state = 2},
  [14715] = {.lex_state = 452, .external_lex_state = 2},
  [14716] = {.lex_state = 452, .external_lex_state = 2},
  [14717] = {.lex_state = 452, .external_lex_state = 2},
  [14718] = {.lex_state = 452, .external_lex_state = 2},
  [14719] = {.lex_state = 452, .external_lex_state = 2},
  [14720] = {.lex_state = 452, .external_lex_state = 2},
  [14721] = {.lex_state = 452, .external_lex_state = 2},
  [14722] = {.lex_state = 452, .external_lex_state = 2},
  [14723] = {.lex_state = 174, .external_lex_state = 2},
  [14724] = {.lex_state = 452, .external_lex_state = 2},
  [14725] = {.lex_state = 452, .external_lex_state = 2},
  [14726] = {.lex_state = 452, .external_lex_state = 2},
  [14727] = {.lex_state = 452, .external_lex_state = 2},
  [14728] = {.lex_state = 452, .external_lex_state = 2},
  [14729] = {.lex_state = 452, .external_lex_state = 2},
  [14730] = {.lex_state = 452, .external_lex_state = 2},
  [14731] = {.lex_state = 452, .external_lex_state = 2},
  [14732] = {.lex_state = 452, .external_lex_state = 2},
  [14733] = {.lex_state = 452, .external_lex_state = 2},
  [14734] = {.lex_state = 174, .external_lex_state = 2},
  [14735] = {.lex_state = 250, .external_lex_state = 2},
  [14736] = {.lex_state = 452, .external_lex_state = 2},
  [14737] = {.lex_state = 174, .external_lex_state = 2},
  [14738] = {.lex_state = 452, .external_lex_state = 2},
  [14739] = {.lex_state = 452, .external_lex_state = 2},
  [14740] = {.lex_state = 452, .external_lex_state = 2},
  [14741] = {.lex_state = 174, .external_lex_state = 2},
  [14742] = {.lex_state = 452, .external_lex_state = 2},
  [14743] = {.lex_state = 452, .external_lex_state = 2},
  [14744] = {.lex_state = 452, .external_lex_state = 2},
  [14745] = {.lex_state = 452, .external_lex_state = 2},
  [14746] = {.lex_state = 174, .external_lex_state = 2},
  [14747] = {.lex_state = 452, .external_lex_state = 2},
  [14748] = {.lex_state = 452, .external_lex_state = 2},
  [14749] = {.lex_state = 452, .external_lex_state = 2},
  [14750] = {.lex_state = 174, .external_lex_state = 2},
  [14751] = {.lex_state = 452, .external_lex_state = 2},
  [14752] = {.lex_state = 174, .external_lex_state = 2},
  [14753] = {.lex_state = 452, .external_lex_state = 2},
  [14754] = {.lex_state = 174, .external_lex_state = 2},
  [14755] = {.lex_state = 452, .external_lex_state = 2},
  [14756] = {.lex_state = 174, .external_lex_state = 2},
  [14757] = {.lex_state = 174, .external_lex_state = 2},
  [14758] = {.lex_state = 174, .external_lex_state = 2},
  [14759] = {.lex_state = 452, .external_lex_state = 2},
  [14760] = {.lex_state = 452, .external_lex_state = 2},
  [14761] = {.lex_state = 452, .external_lex_state = 2},
  [14762] = {.lex_state = 452, .external_lex_state = 2},
  [14763] = {.lex_state = 174, .external_lex_state = 2},
  [14764] = {.lex_state = 452, .external_lex_state = 2},
  [14765] = {.lex_state = 174, .external_lex_state = 2},
  [14766] = {.lex_state = 452, .external_lex_state = 2},
  [14767] = {.lex_state = 174, .external_lex_state = 2},
  [14768] = {.lex_state = 452, .external_lex_state = 2},
  [14769] = {.lex_state = 452, .external_lex_state = 2},
  [14770] = {.lex_state = 452, .external_lex_state = 2},
  [14771] = {.lex_state = 170, .external_lex_state = 2},
  [14772] = {.lex_state = 452, .external_lex_state = 2},
  [14773] = {.lex_state = 452, .external_lex_state = 2},
  [14774] = {.lex_state = 452, .external_lex_state = 2},
  [14775] = {.lex_state = 174, .external_lex_state = 2},
  [14776] = {.lex_state = 452, .external_lex_state = 2},
  [14777] = {.lex_state = 174, .external_lex_state = 2},
  [14778] = {.lex_state = 174, .external_lex_state = 2},
  [14779] = {.lex_state = 174, .external_lex_state = 2},
  [14780] = {.lex_state = 174, .external_lex_state = 2},
  [14781] = {.lex_state = 174, .external_lex_state = 2},
  [14782] = {.lex_state = 452, .external_lex_state = 2},
  [14783] = {.lex_state = 452, .external_lex_state = 2},
  [14784] = {.lex_state = 452, .external_lex_state = 2},
  [14785] = {.lex_state = 452, .external_lex_state = 2},
  [14786] = {.lex_state = 174, .external_lex_state = 2},
  [14787] = {.lex_state = 170, .external_lex_state = 2},
  [14788] = {.lex_state = 452, .external_lex_state = 2},
  [14789] = {.lex_state = 174, .external_lex_state = 2},
  [14790] = {.lex_state = 452, .external_lex_state = 2},
  [14791] = {.lex_state = 452, .external_lex_state = 2},
  [14792] = {.lex_state = 452, .external_lex_state = 2},
  [14793] = {.lex_state = 174, .external_lex_state = 2},
  [14794] = {.lex_state = 452, .external_lex_state = 2},
  [14795] = {.lex_state = 174, .external_lex_state = 2},
  [14796] = {.lex_state = 452, .external_lex_state = 2},
  [14797] = {.lex_state = 452, .external_lex_state = 2},
  [14798] = {.lex_state = 452, .external_lex_state = 2},
  [14799] = {.lex_state = 174, .external_lex_state = 2},
  [14800] = {.lex_state = 170, .external_lex_state = 2},
  [14801] = {.lex_state = 174, .external_lex_state = 2},
  [14802] = {.lex_state = 452, .external_lex_state = 2},
  [14803] = {.lex_state = 174, .external_lex_state = 2},
  [14804] = {.lex_state = 174, .external_lex_state = 2},
  [14805] = {.lex_state = 174, .external_lex_state = 2},
  [14806] = {.lex_state = 174, .external_lex_state = 2},
  [14807] = {.lex_state = 174, .external_lex_state = 2},
  [14808] = {.lex_state = 452, .external_lex_state = 2},
  [14809] = {.lex_state = 452, .external_lex_state = 2},
  [14810] = {.lex_state = 170, .external_lex_state = 2},
  [14811] = {.lex_state = 452, .external_lex_state = 2},
  [14812] = {.lex_state = 452, .external_lex_state = 2},
  [14813] = {.lex_state = 452, .external_lex_state = 2},
  [14814] = {.lex_state = 174, .external_lex_state = 2},
  [14815] = {.lex_state = 452, .external_lex_state = 2},
  [14816] = {.lex_state = 174, .external_lex_state = 2},
  [14817] = {.lex_state = 452, .external_lex_state = 2},
  [14818] = {.lex_state = 452, .external_lex_state = 2},
  [14819] = {.lex_state = 170, .external_lex_state = 2},
  [14820] = {.lex_state = 452, .external_lex_state = 2},
  [14821] = {.lex_state = 170, .external_lex_state = 2},
  [14822] = {.lex_state = 170, .external_lex_state = 2},
  [14823] = {.lex_state = 174, .external_lex_state = 2},
  [14824] = {.lex_state = 452, .external_lex_state = 2},
  [14825] = {.lex_state = 452, .external_lex_state = 2},
  [14826] = {.lex_state = 452, .external_lex_state = 2},
  [14827] = {.lex_state = 174, .external_lex_state = 2},
  [14828] = {.lex_state = 170, .external_lex_state = 2},
  [14829] = {.lex_state = 174, .external_lex_state = 2},
  [14830] = {.lex_state = 174, .external_lex_state = 2},
  [14831] = {.lex_state = 174, .external_lex_state = 2},
  [14832] = {.lex_state = 174, .external_lex_state = 2},
  [14833] = {.lex_state = 452, .external_lex_state = 2},
  [14834] = {.lex_state = 174, .external_lex_state = 2},
  [14835] = {.lex_state = 174, .external_lex_state = 2},
  [14836] = {.lex_state = 174, .external_lex_state = 2},
  [14837] = {.lex_state = 174, .external_lex_state = 2},
  [14838] = {.lex_state = 174, .external_lex_state = 2},
  [14839] = {.lex_state = 452, .external_lex_state = 2},
  [14840] = {.lex_state = 174, .external_lex_state = 2},
  [14841] = {.lex_state = 174, .external_lex_state = 2},
  [14842] = {.lex_state = 174, .external_lex_state = 2},
  [14843] = {.lex_state = 174, .external_lex_state = 2},
  [14844] = {.lex_state = 174, .external_lex_state = 2},
  [14845] = {.lex_state = 452, .external_lex_state = 2},
  [14846] = {.lex_state = 452, .external_lex_state = 2},
  [14847] = {.lex_state = 452, .external_lex_state = 2},
  [14848] = {.lex_state = 452, .external_lex_state = 2},
  [14849] = {.lex_state = 452, .external_lex_state = 2},
  [14850] = {.lex_state = 452, .external_lex_state = 2},
  [14851] = {.lex_state = 452, .external_lex_state = 2},
  [14852] = {.lex_state = 174, .external_lex_state = 2},
  [14853] = {.lex_state = 174, .external_lex_state = 2},
  [14854] = {.lex_state = 452, .external_lex_state = 2},
  [14855] = {.lex_state = 452, .external_lex_state = 2},
  [14856] = {.lex_state = 452, .external_lex_state = 2},
  [14857] = {.lex_state = 174, .external_lex_state = 2},
  [14858] = {.lex_state = 452, .external_lex_state = 2},
  [14859] = {.lex_state = 452, .external_lex_state = 2},
  [14860] = {.lex_state = 452, .external_lex_state = 2},
  [14861] = {.lex_state = 174, .external_lex_state = 2},
  [14862] = {.lex_state = 452, .external_lex_state = 2},
  [14863] = {.lex_state = 170, .external_lex_state = 2},
  [14864] = {.lex_state = 170, .external_lex_state = 2},
  [14865] = {.lex_state = 452, .external_lex_state = 2},
  [14866] = {.lex_state = 452, .external_lex_state = 2},
  [14867] = {.lex_state = 452, .external_lex_state = 2},
  [14868] = {.lex_state = 170, .external_lex_state = 2},
  [14869] = {.lex_state = 452, .external_lex_state = 2},
  [14870] = {.lex_state = 6, .external_lex_state = 2},
  [14871] = {.lex_state = 452, .external_lex_state = 2},
  [14872] = {.lex_state = 452, .external_lex_state = 2},
  [14873] = {.lex_state = 452, .external_lex_state = 2},
  [14874] = {.lex_state = 174, .external_lex_state = 2},
  [14875] = {.lex_state = 174, .external_lex_state = 2},
  [14876] = {.lex_state = 452, .external_lex_state = 2},
  [14877] = {.lex_state = 452, .external_lex_state = 2},
  [14878] = {.lex_state = 174, .external_lex_state = 2},
  [14879] = {.lex_state = 452, .external_lex_state = 2},
  [14880] = {.lex_state = 452, .external_lex_state = 2},
  [14881] = {.lex_state = 452, .external_lex_state = 2},
  [14882] = {.lex_state = 452, .external_lex_state = 2},
  [14883] = {.lex_state = 452, .external_lex_state = 2},
  [14884] = {.lex_state = 452, .external_lex_state = 2},
  [14885] = {.lex_state = 452, .external_lex_state = 2},
  [14886] = {.lex_state = 452, .external_lex_state = 2},
  [14887] = {.lex_state = 452, .external_lex_state = 2},
  [14888] = {.lex_state = 174, .external_lex_state = 2},
  [14889] = {.lex_state = 452, .external_lex_state = 2},
  [14890] = {.lex_state = 170, .external_lex_state = 2},
  [14891] = {.lex_state = 174, .external_lex_state = 2},
  [14892] = {.lex_state = 452, .external_lex_state = 2},
  [14893] = {.lex_state = 452, .external_lex_state = 2},
  [14894] = {.lex_state = 452, .external_lex_state = 2},
  [14895] = {.lex_state = 174, .external_lex_state = 2},
  [14896] = {.lex_state = 452, .external_lex_state = 2},
  [14897] = {.lex_state = 452, .external_lex_state = 2},
  [14898] = {.lex_state = 174, .external_lex_state = 2},
  [14899] = {.lex_state = 174, .external_lex_state = 2},
  [14900] = {.lex_state = 452, .external_lex_state = 2},
  [14901] = {.lex_state = 452, .external_lex_state = 2},
  [14902] = {.lex_state = 452, .external_lex_state = 2},
  [14903] = {.lex_state = 452, .external_lex_state = 2},
  [14904] = {.lex_state = 452, .external_lex_state = 2},
  [14905] = {.lex_state = 250, .external_lex_state = 2},
  [14906] = {.lex_state = 452, .external_lex_state = 2},
  [14907] = {.lex_state = 452, .external_lex_state = 2},
  [14908] = {.lex_state = 452, .external_lex_state = 2},
  [14909] = {.lex_state = 452, .external_lex_state = 2},
  [14910] = {.lex_state = 452, .external_lex_state = 2},
  [14911] = {.lex_state = 452, .external_lex_state = 2},
  [14912] = {.lex_state = 452, .external_lex_state = 2},
  [14913] = {.lex_state = 174, .external_lex_state = 2},
  [14914] = {.lex_state = 452, .external_lex_state = 2},
  [14915] = {.lex_state = 452, .external_lex_state = 2},
  [14916] = {.lex_state = 452, .external_lex_state = 2},
  [14917] = {.lex_state = 452, .external_lex_state = 2},
  [14918] = {.lex_state = 452, .external_lex_state = 2},
  [14919] = {.lex_state = 452, .external_lex_state = 2},
  [14920] = {.lex_state = 452, .external_lex_state = 2},
  [14921] = {.lex_state = 174, .external_lex_state = 2},
  [14922] = {.lex_state = 452, .external_lex_state = 2},
  [14923] = {.lex_state = 452, .external_lex_state = 2},
  [14924] = {.lex_state = 174, .external_lex_state = 2},
  [14925] = {.lex_state = 452, .external_lex_state = 2},
  [14926] = {.lex_state = 452, .external_lex_state = 2},
  [14927] = {.lex_state = 174, .external_lex_state = 2},
  [14928] = {.lex_state = 452, .external_lex_state = 2},
  [14929] = {.lex_state = 452, .external_lex_state = 2},
  [14930] = {.lex_state = 174, .external_lex_state = 2},
  [14931] = {.lex_state = 174, .external_lex_state = 2},
  [14932] = {.lex_state = 174, .external_lex_state = 2},
  [14933] = {.lex_state = 174, .external_lex_state = 2},
  [14934] = {.lex_state = 452, .external_lex_state = 2},
  [14935] = {.lex_state = 452, .external_lex_state = 2},
  [14936] = {.lex_state = 452, .external_lex_state = 2},
  [14937] = {.lex_state = 452, .external_lex_state = 2},
  [14938] = {.lex_state = 452, .external_lex_state = 2},
  [14939] = {.lex_state = 452, .external_lex_state = 2},
  [14940] = {.lex_state = 452, .external_lex_state = 2},
  [14941] = {.lex_state = 452, .external_lex_state = 2},
  [14942] = {.lex_state = 452, .external_lex_state = 2},
  [14943] = {.lex_state = 452, .external_lex_state = 2},
  [14944] = {.lex_state = 452, .external_lex_state = 2},
  [14945] = {.lex_state = 452, .external_lex_state = 2},
  [14946] = {.lex_state = 452, .external_lex_state = 2},
  [14947] = {.lex_state = 452, .external_lex_state = 2},
  [14948] = {.lex_state = 452, .external_lex_state = 2},
  [14949] = {.lex_state = 452, .external_lex_state = 2},
  [14950] = {.lex_state = 452, .external_lex_state = 2},
  [14951] = {.lex_state = 174, .external_lex_state = 2},
  [14952] = {.lex_state = 452, .external_lex_state = 2},
  [14953] = {.lex_state = 452, .external_lex_state = 2},
  [14954] = {.lex_state = 452, .external_lex_state = 2},
  [14955] = {.lex_state = 174, .external_lex_state = 2},
  [14956] = {.lex_state = 452, .external_lex_state = 2},
  [14957] = {.lex_state = 452, .external_lex_state = 2},
  [14958] = {.lex_state = 452, .external_lex_state = 2},
  [14959] = {.lex_state = 170, .external_lex_state = 2},
  [14960] = {.lex_state = 452, .external_lex_state = 2},
  [14961] = {.lex_state = 452, .external_lex_state = 2},
  [14962] = {.lex_state = 452, .external_lex_state = 2},
  [14963] = {.lex_state = 452, .external_lex_state = 2},
  [14964] = {.lex_state = 174, .external_lex_state = 2},
  [14965] = {.lex_state = 452, .external_lex_state = 2},
  [14966] = {.lex_state = 174, .external_lex_state = 2},
  [14967] = {.lex_state = 174, .external_lex_state = 2},
  [14968] = {.lex_state = 452, .external_lex_state = 2},
  [14969] = {.lex_state = 452, .external_lex_state = 2},
  [14970] = {.lex_state = 452, .external_lex_state = 2},
  [14971] = {.lex_state = 174, .external_lex_state = 2},
  [14972] = {.lex_state = 174, .external_lex_state = 2},
  [14973] = {.lex_state = 452, .external_lex_state = 2},
  [14974] = {.lex_state = 174, .external_lex_state = 2},
  [14975] = {.lex_state = 174, .external_lex_state = 2},
  [14976] = {.lex_state = 452, .external_lex_state = 2},
  [14977] = {.lex_state = 452, .external_lex_state = 2},
  [14978] = {.lex_state = 452, .external_lex_state = 2},
  [14979] = {.lex_state = 174, .external_lex_state = 2},
  [14980] = {.lex_state = 452, .external_lex_state = 2},
  [14981] = {.lex_state = 452, .external_lex_state = 2},
  [14982] = {.lex_state = 174, .external_lex_state = 2},
  [14983] = {.lex_state = 174, .external_lex_state = 2},
  [14984] = {.lex_state = 452, .external_lex_state = 2},
  [14985] = {.lex_state = 452, .external_lex_state = 2},
  [14986] = {.lex_state = 170, .external_lex_state = 2},
  [14987] = {.lex_state = 174, .external_lex_state = 2},
  [14988] = {.lex_state = 452, .external_lex_state = 2},
  [14989] = {.lex_state = 452, .external_lex_state = 2},
  [14990] = {.lex_state = 452, .external_lex_state = 2},
  [14991] = {.lex_state = 452, .external_lex_state = 2},
  [14992] = {.lex_state = 452, .external_lex_state = 2},
  [14993] = {.lex_state = 174, .external_lex_state = 2},
  [14994] = {.lex_state = 452, .external_lex_state = 2},
  [14995] = {.lex_state = 452, .external_lex_state = 2},
  [14996] = {.lex_state = 452, .external_lex_state = 2},
  [14997] = {.lex_state = 452, .external_lex_state = 2},
  [14998] = {.lex_state = 452, .external_lex_state = 2},
  [14999] = {.lex_state = 452, .external_lex_state = 2},
  [15000] = {.lex_state = 452, .external_lex_state = 2},
  [15001] = {.lex_state = 452, .external_lex_state = 2},
  [15002] = {.lex_state = 452, .external_lex_state = 2},
  [15003] = {.lex_state = 452, .external_lex_state = 2},
  [15004] = {.lex_state = 452, .external_lex_state = 2},
  [15005] = {.lex_state = 174, .external_lex_state = 2},
  [15006] = {.lex_state = 452, .external_lex_state = 2},
  [15007] = {.lex_state = 452, .external_lex_state = 2},
  [15008] = {.lex_state = 452, .external_lex_state = 2},
  [15009] = {.lex_state = 174, .external_lex_state = 2},
  [15010] = {.lex_state = 452, .external_lex_state = 2},
  [15011] = {.lex_state = 452, .external_lex_state = 2},
  [15012] = {.lex_state = 452, .external_lex_state = 2},
  [15013] = {.lex_state = 452, .external_lex_state = 2},
  [15014] = {.lex_state = 452, .external_lex_state = 2},
  [15015] = {.lex_state = 174, .external_lex_state = 2},
  [15016] = {.lex_state = 452, .external_lex_state = 2},
  [15017] = {.lex_state = 452, .external_lex_state = 2},
  [15018] = {.lex_state = 174, .external_lex_state = 2},
  [15019] = {.lex_state = 221, .external_lex_state = 2},
  [15020] = {.lex_state = 221, .external_lex_state = 2},
  [15021] = {.lex_state = 174, .external_lex_state = 2},
  [15022] = {.lex_state = 452, .external_lex_state = 2},
  [15023] = {.lex_state = 174, .external_lex_state = 2},
  [15024] = {.lex_state = 452, .external_lex_state = 2},
  [15025] = {.lex_state = 174, .external_lex_state = 2},
  [15026] = {.lex_state = 174, .external_lex_state = 2},
  [15027] = {.lex_state = 174, .external_lex_state = 2},
  [15028] = {.lex_state = 452, .external_lex_state = 2},
  [15029] = {.lex_state = 174, .external_lex_state = 2},
  [15030] = {.lex_state = 452, .external_lex_state = 2},
  [15031] = {.lex_state = 452, .external_lex_state = 2},
  [15032] = {.lex_state = 452, .external_lex_state = 2},
  [15033] = {.lex_state = 452, .external_lex_state = 2},
  [15034] = {.lex_state = 174, .external_lex_state = 2},
  [15035] = {.lex_state = 452, .external_lex_state = 2},
  [15036] = {.lex_state = 452, .external_lex_state = 2},
  [15037] = {.lex_state = 174, .external_lex_state = 2},
  [15038] = {.lex_state = 159, .external_lex_state = 2},
  [15039] = {.lex_state = 174, .external_lex_state = 2},
  [15040] = {.lex_state = 174, .external_lex_state = 2},
  [15041] = {.lex_state = 452, .external_lex_state = 2},
  [15042] = {.lex_state = 452, .external_lex_state = 2},
  [15043] = {.lex_state = 174, .external_lex_state = 2},
  [15044] = {.lex_state = 452, .external_lex_state = 2},
  [15045] = {.lex_state = 452, .external_lex_state = 2},
  [15046] = {.lex_state = 174, .external_lex_state = 2},
  [15047] = {.lex_state = 174, .external_lex_state = 2},
  [15048] = {.lex_state = 452, .external_lex_state = 2},
  [15049] = {.lex_state = 452, .external_lex_state = 2},
  [15050] = {.lex_state = 452, .external_lex_state = 2},
  [15051] = {.lex_state = 452, .external_lex_state = 2},
  [15052] = {.lex_state = 452, .external_lex_state = 2},
  [15053] = {.lex_state = 174, .external_lex_state = 2},
  [15054] = {.lex_state = 174, .external_lex_state = 2},
  [15055] = {.lex_state = 452, .external_lex_state = 2},
  [15056] = {.lex_state = 452, .external_lex_state = 2},
  [15057] = {.lex_state = 452, .external_lex_state = 2},
  [15058] = {.lex_state = 221, .external_lex_state = 2},
  [15059] = {.lex_state = 221, .external_lex_state = 2},
  [15060] = {.lex_state = 452, .external_lex_state = 2},
  [15061] = {.lex_state = 452, .external_lex_state = 2},
  [15062] = {.lex_state = 6, .external_lex_state = 2},
  [15063] = {.lex_state = 452, .external_lex_state = 2},
  [15064] = {.lex_state = 452, .external_lex_state = 2},
  [15065] = {.lex_state = 452, .external_lex_state = 2},
  [15066] = {.lex_state = 452, .external_lex_state = 2},
  [15067] = {.lex_state = 452, .external_lex_state = 2},
  [15068] = {.lex_state = 452, .external_lex_state = 2},
  [15069] = {.lex_state = 452, .external_lex_state = 2},
  [15070] = {.lex_state = 452, .external_lex_state = 2},
  [15071] = {.lex_state = 174, .external_lex_state = 2},
  [15072] = {.lex_state = 174, .external_lex_state = 2},
  [15073] = {.lex_state = 221, .external_lex_state = 2},
  [15074] = {.lex_state = 221, .external_lex_state = 2},
  [15075] = {.lex_state = 221, .external_lex_state = 2},
  [15076] = {.lex_state = 452, .external_lex_state = 2},
  [15077] = {.lex_state = 452, .external_lex_state = 2},
  [15078] = {.lex_state = 250, .external_lex_state = 2},
  [15079] = {.lex_state = 174, .external_lex_state = 2},
  [15080] = {.lex_state = 221, .external_lex_state = 2},
  [15081] = {.lex_state = 221, .external_lex_state = 2},
  [15082] = {.lex_state = 452, .external_lex_state = 2},
  [15083] = {.lex_state = 452, .external_lex_state = 2},
  [15084] = {.lex_state = 452, .external_lex_state = 2},
  [15085] = {.lex_state = 452, .external_lex_state = 2},
  [15086] = {.lex_state = 452, .external_lex_state = 2},
  [15087] = {.lex_state = 452, .external_lex_state = 2},
  [15088] = {.lex_state = 159, .external_lex_state = 2},
  [15089] = {.lex_state = 452, .external_lex_state = 2},
  [15090] = {.lex_state = 452, .external_lex_state = 2},
  [15091] = {.lex_state = 452, .external_lex_state = 2},
  [15092] = {.lex_state = 174, .external_lex_state = 2},
  [15093] = {.lex_state = 452, .external_lex_state = 2},
  [15094] = {.lex_state = 452, .external_lex_state = 2},
  [15095] = {.lex_state = 452, .external_lex_state = 2},
  [15096] = {.lex_state = 452, .external_lex_state = 2},
  [15097] = {.lex_state = 452, .external_lex_state = 2},
  [15098] = {.lex_state = 234, .external_lex_state = 2},
  [15099] = {.lex_state = 234, .external_lex_state = 2},
  [15100] = {.lex_state = 234, .external_lex_state = 2},
  [15101] = {.lex_state = 174, .external_lex_state = 2},
  [15102] = {.lex_state = 452, .external_lex_state = 2},
  [15103] = {.lex_state = 452, .external_lex_state = 2},
  [15104] = {.lex_state = 452, .external_lex_state = 2},
  [15105] = {.lex_state = 452, .external_lex_state = 2},
  [15106] = {.lex_state = 452, .external_lex_state = 2},
  [15107] = {.lex_state = 452, .external_lex_state = 2},
  [15108] = {.lex_state = 174, .external_lex_state = 2},
  [15109] = {.lex_state = 452, .external_lex_state = 2},
  [15110] = {.lex_state = 452, .external_lex_state = 2},
  [15111] = {.lex_state = 174, .external_lex_state = 2},
  [15112] = {.lex_state = 452, .external_lex_state = 2},
  [15113] = {.lex_state = 452, .external_lex_state = 2},
  [15114] = {.lex_state = 452, .external_lex_state = 2},
  [15115] = {.lex_state = 452, .external_lex_state = 2},
  [15116] = {.lex_state = 174, .external_lex_state = 2},
  [15117] = {.lex_state = 452, .external_lex_state = 2},
  [15118] = {.lex_state = 452, .external_lex_state = 2},
  [15119] = {.lex_state = 174, .external_lex_state = 2},
  [15120] = {.lex_state = 452, .external_lex_state = 2},
  [15121] = {.lex_state = 452, .external_lex_state = 2},
  [15122] = {.lex_state = 452, .external_lex_state = 2},
  [15123] = {.lex_state = 452, .external_lex_state = 2},
  [15124] = {.lex_state = 452, .external_lex_state = 2},
  [15125] = {.lex_state = 452, .external_lex_state = 2},
  [15126] = {.lex_state = 452, .external_lex_state = 2},
  [15127] = {.lex_state = 221, .external_lex_state = 2},
  [15128] = {.lex_state = 161, .external_lex_state = 2},
  [15129] = {.lex_state = 452, .external_lex_state = 2},
  [15130] = {.lex_state = 452, .external_lex_state = 2},
  [15131] = {.lex_state = 174, .external_lex_state = 2},
  [15132] = {.lex_state = 452, .external_lex_state = 2},
  [15133] = {.lex_state = 452, .external_lex_state = 2},
  [15134] = {.lex_state = 452, .external_lex_state = 2},
  [15135] = {.lex_state = 452, .external_lex_state = 2},
  [15136] = {.lex_state = 250, .external_lex_state = 2},
  [15137] = {.lex_state = 452, .external_lex_state = 2},
  [15138] = {.lex_state = 452, .external_lex_state = 2},
  [15139] = {.lex_state = 452, .external_lex_state = 2},
  [15140] = {.lex_state = 452, .external_lex_state = 2},
  [15141] = {.lex_state = 159, .external_lex_state = 2},
  [15142] = {.lex_state = 452, .external_lex_state = 2},
  [15143] = {.lex_state = 452, .external_lex_state = 2},
  [15144] = {.lex_state = 452, .external_lex_state = 2},
  [15145] = {.lex_state = 174, .external_lex_state = 2},
  [15146] = {.lex_state = 452, .external_lex_state = 2},
  [15147] = {.lex_state = 174, .external_lex_state = 2},
  [15148] = {.lex_state = 452, .external_lex_state = 2},
  [15149] = {.lex_state = 452, .external_lex_state = 2},
  [15150] = {.lex_state = 452, .external_lex_state = 2},
  [15151] = {.lex_state = 250, .external_lex_state = 2},
  [15152] = {.lex_state = 174, .external_lex_state = 2},
  [15153] = {.lex_state = 452, .external_lex_state = 2},
  [15154] = {.lex_state = 452, .external_lex_state = 2},
  [15155] = {.lex_state = 452, .external_lex_state = 2},
  [15156] = {.lex_state = 452, .external_lex_state = 2},
  [15157] = {.lex_state = 174, .external_lex_state = 2},
  [15158] = {.lex_state = 452, .external_lex_state = 2},
  [15159] = {.lex_state = 452, .external_lex_state = 2},
  [15160] = {.lex_state = 250, .external_lex_state = 2},
  [15161] = {.lex_state = 452, .external_lex_state = 2},
  [15162] = {.lex_state = 452, .external_lex_state = 2},
  [15163] = {.lex_state = 452, .external_lex_state = 2},
  [15164] = {.lex_state = 221, .external_lex_state = 2},
  [15165] = {.lex_state = 452, .external_lex_state = 2},
  [15166] = {.lex_state = 452, .external_lex_state = 2},
  [15167] = {.lex_state = 452, .external_lex_state = 2},
  [15168] = {.lex_state = 452, .external_lex_state = 2},
  [15169] = {.lex_state = 452, .external_lex_state = 2},
  [15170] = {.lex_state = 174, .external_lex_state = 2},
  [15171] = {.lex_state = 452, .external_lex_state = 2},
  [15172] = {.lex_state = 452, .external_lex_state = 2},
  [15173] = {.lex_state = 452, .external_lex_state = 2},
  [15174] = {.lex_state = 452, .external_lex_state = 2},
  [15175] = {.lex_state = 452, .external_lex_state = 2},
  [15176] = {.lex_state = 174, .external_lex_state = 2},
  [15177] = {.lex_state = 452, .external_lex_state = 2},
  [15178] = {.lex_state = 452, .external_lex_state = 2},
  [15179] = {.lex_state = 452, .external_lex_state = 2},
  [15180] = {.lex_state = 452, .external_lex_state = 2},
  [15181] = {.lex_state = 452, .external_lex_state = 2},
  [15182] = {.lex_state = 452, .external_lex_state = 2},
  [15183] = {.lex_state = 452, .external_lex_state = 2},
  [15184] = {.lex_state = 452, .external_lex_state = 2},
  [15185] = {.lex_state = 174, .external_lex_state = 2},
  [15186] = {.lex_state = 452, .external_lex_state = 2},
  [15187] = {.lex_state = 452, .external_lex_state = 2},
  [15188] = {.lex_state = 159, .external_lex_state = 2},
  [15189] = {.lex_state = 452, .external_lex_state = 2},
  [15190] = {.lex_state = 452, .external_lex_state = 2},
  [15191] = {.lex_state = 174, .external_lex_state = 2},
  [15192] = {.lex_state = 452, .external_lex_state = 2},
  [15193] = {.lex_state = 159, .external_lex_state = 2},
  [15194] = {.lex_state = 452, .external_lex_state = 2},
  [15195] = {.lex_state = 452, .external_lex_state = 2},
  [15196] = {.lex_state = 174, .external_lex_state = 2},
  [15197] = {.lex_state = 174, .external_lex_state = 2},
  [15198] = {.lex_state = 452, .external_lex_state = 2},
  [15199] = {.lex_state = 159, .external_lex_state = 2},
  [15200] = {.lex_state = 159, .external_lex_state = 2},
  [15201] = {.lex_state = 174, .external_lex_state = 2},
  [15202] = {.lex_state = 452, .external_lex_state = 2},
  [15203] = {.lex_state = 452, .external_lex_state = 2},
  [15204] = {.lex_state = 452, .external_lex_state = 2},
  [15205] = {.lex_state = 174, .external_lex_state = 2},
  [15206] = {.lex_state = 452, .external_lex_state = 2},
  [15207] = {.lex_state = 174, .external_lex_state = 2},
  [15208] = {.lex_state = 452, .external_lex_state = 2},
  [15209] = {.lex_state = 159, .external_lex_state = 2},
  [15210] = {.lex_state = 159, .external_lex_state = 2},
  [15211] = {.lex_state = 159, .external_lex_state = 2},
  [15212] = {.lex_state = 159, .external_lex_state = 2},
  [15213] = {.lex_state = 159, .external_lex_state = 2},
  [15214] = {.lex_state = 174, .external_lex_state = 2},
  [15215] = {.lex_state = 452, .external_lex_state = 2},
  [15216] = {.lex_state = 174, .external_lex_state = 2},
  [15217] = {.lex_state = 234, .external_lex_state = 2},
  [15218] = {.lex_state = 452, .external_lex_state = 2},
  [15219] = {.lex_state = 452, .external_lex_state = 2},
  [15220] = {.lex_state = 228, .external_lex_state = 2},
  [15221] = {.lex_state = 452, .external_lex_state = 2},
  [15222] = {.lex_state = 452, .external_lex_state = 2},
  [15223] = {.lex_state = 452, .external_lex_state = 2},
  [15224] = {.lex_state = 452, .external_lex_state = 2},
  [15225] = {.lex_state = 452, .external_lex_state = 2},
  [15226] = {.lex_state = 452, .external_lex_state = 2},
  [15227] = {.lex_state = 452, .external_lex_state = 2},
  [15228] = {.lex_state = 452, .external_lex_state = 2},
  [15229] = {.lex_state = 452, .external_lex_state = 2},
  [15230] = {.lex_state = 452, .external_lex_state = 2},
  [15231] = {.lex_state = 452, .external_lex_state = 2},
  [15232] = {.lex_state = 452, .external_lex_state = 2},
  [15233] = {.lex_state = 452, .external_lex_state = 2},
  [15234] = {.lex_state = 452, .external_lex_state = 2},
  [15235] = {.lex_state = 452, .external_lex_state = 2},
  [15236] = {.lex_state = 452, .external_lex_state = 2},
  [15237] = {.lex_state = 452, .external_lex_state = 2},
  [15238] = {.lex_state = 452, .external_lex_state = 2},
  [15239] = {.lex_state = 228, .external_lex_state = 2},
  [15240] = {.lex_state = 228, .external_lex_state = 2},
  [15241] = {.lex_state = 452, .external_lex_state = 2},
  [15242] = {.lex_state = 452, .external_lex_state = 2},
  [15243] = {.lex_state = 174, .external_lex_state = 2},
  [15244] = {.lex_state = 452, .external_lex_state = 2},
  [15245] = {.lex_state = 452, .external_lex_state = 2},
  [15246] = {.lex_state = 452, .external_lex_state = 2},
  [15247] = {.lex_state = 452, .external_lex_state = 2},
  [15248] = {.lex_state = 228, .external_lex_state = 2},
  [15249] = {.lex_state = 452, .external_lex_state = 2},
  [15250] = {.lex_state = 6, .external_lex_state = 2},
  [15251] = {.lex_state = 452, .external_lex_state = 2},
  [15252] = {.lex_state = 174, .external_lex_state = 2},
  [15253] = {.lex_state = 174, .external_lex_state = 2},
  [15254] = {.lex_state = 452, .external_lex_state = 2},
  [15255] = {.lex_state = 452, .external_lex_state = 2},
  [15256] = {.lex_state = 452, .external_lex_state = 2},
  [15257] = {.lex_state = 452, .external_lex_state = 2},
  [15258] = {.lex_state = 452, .external_lex_state = 2},
  [15259] = {.lex_state = 452, .external_lex_state = 2},
  [15260] = {.lex_state = 452, .external_lex_state = 2},
  [15261] = {.lex_state = 452, .external_lex_state = 2},
  [15262] = {.lex_state = 452, .external_lex_state = 2},
  [15263] = {.lex_state = 452, .external_lex_state = 2},
  [15264] = {.lex_state = 452, .external_lex_state = 2},
  [15265] = {.lex_state = 161, .external_lex_state = 2},
  [15266] = {.lex_state = 452, .external_lex_state = 2},
  [15267] = {.lex_state = 452, .external_lex_state = 2},
  [15268] = {.lex_state = 452, .external_lex_state = 2},
  [15269] = {.lex_state = 452, .external_lex_state = 2},
  [15270] = {.lex_state = 174, .external_lex_state = 2},
  [15271] = {.lex_state = 452, .external_lex_state = 2},
  [15272] = {.lex_state = 452, .external_lex_state = 2},
  [15273] = {.lex_state = 452, .external_lex_state = 2},
  [15274] = {.lex_state = 170, .external_lex_state = 2},
  [15275] = {.lex_state = 174, .external_lex_state = 2},
  [15276] = {.lex_state = 452, .external_lex_state = 2},
  [15277] = {.lex_state = 452, .external_lex_state = 2},
  [15278] = {.lex_state = 452, .external_lex_state = 2},
  [15279] = {.lex_state = 452, .external_lex_state = 2},
  [15280] = {.lex_state = 6, .external_lex_state = 2},
  [15281] = {.lex_state = 452, .external_lex_state = 2},
  [15282] = {.lex_state = 452, .external_lex_state = 2},
  [15283] = {.lex_state = 452, .external_lex_state = 2},
  [15284] = {.lex_state = 452, .external_lex_state = 2},
  [15285] = {.lex_state = 452, .external_lex_state = 2},
  [15286] = {.lex_state = 452, .external_lex_state = 2},
  [15287] = {.lex_state = 452, .external_lex_state = 2},
  [15288] = {.lex_state = 279, .external_lex_state = 8},
  [15289] = {.lex_state = 452, .external_lex_state = 2},
  [15290] = {.lex_state = 452, .external_lex_state = 2},
  [15291] = {.lex_state = 452, .external_lex_state = 2},
  [15292] = {.lex_state = 452, .external_lex_state = 2},
  [15293] = {.lex_state = 452, .external_lex_state = 2},
  [15294] = {.lex_state = 452, .external_lex_state = 2},
  [15295] = {.lex_state = 452, .external_lex_state = 2},
  [15296] = {.lex_state = 452, .external_lex_state = 2},
  [15297] = {.lex_state = 279, .external_lex_state = 8},
  [15298] = {.lex_state = 452, .external_lex_state = 2},
  [15299] = {.lex_state = 452, .external_lex_state = 2},
  [15300] = {.lex_state = 452, .external_lex_state = 2},
  [15301] = {.lex_state = 452, .external_lex_state = 2},
  [15302] = {.lex_state = 6, .external_lex_state = 2},
  [15303] = {.lex_state = 174, .external_lex_state = 2},
  [15304] = {.lex_state = 452, .external_lex_state = 2},
  [15305] = {.lex_state = 452, .external_lex_state = 2},
  [15306] = {.lex_state = 452, .external_lex_state = 2},
  [15307] = {.lex_state = 452, .external_lex_state = 2},
  [15308] = {.lex_state = 228, .external_lex_state = 2},
  [15309] = {.lex_state = 452, .external_lex_state = 2},
  [15310] = {.lex_state = 228, .external_lex_state = 2},
  [15311] = {.lex_state = 452, .external_lex_state = 2},
  [15312] = {.lex_state = 6, .external_lex_state = 2},
  [15313] = {.lex_state = 452, .external_lex_state = 2},
  [15314] = {.lex_state = 452, .external_lex_state = 2},
  [15315] = {.lex_state = 174, .external_lex_state = 2},
  [15316] = {.lex_state = 174, .external_lex_state = 2},
  [15317] = {.lex_state = 452, .external_lex_state = 2},
  [15318] = {.lex_state = 228, .external_lex_state = 2},
  [15319] = {.lex_state = 228, .external_lex_state = 2},
  [15320] = {.lex_state = 452, .external_lex_state = 2},
  [15321] = {.lex_state = 452, .external_lex_state = 2},
  [15322] = {.lex_state = 452, .external_lex_state = 2},
  [15323] = {.lex_state = 228, .external_lex_state = 2},
  [15324] = {.lex_state = 228, .external_lex_state = 2},
  [15325] = {.lex_state = 174, .external_lex_state = 2},
  [15326] = {.lex_state = 452, .external_lex_state = 2},
  [15327] = {.lex_state = 174, .external_lex_state = 2},
  [15328] = {.lex_state = 452, .external_lex_state = 2},
  [15329] = {.lex_state = 452, .external_lex_state = 2},
  [15330] = {.lex_state = 452, .external_lex_state = 2},
  [15331] = {.lex_state = 452, .external_lex_state = 2},
  [15332] = {.lex_state = 452, .external_lex_state = 2},
  [15333] = {.lex_state = 452, .external_lex_state = 2},
  [15334] = {.lex_state = 452, .external_lex_state = 2},
  [15335] = {.lex_state = 452, .external_lex_state = 2},
  [15336] = {.lex_state = 452, .external_lex_state = 2},
  [15337] = {.lex_state = 170, .external_lex_state = 2},
  [15338] = {.lex_state = 452, .external_lex_state = 2},
  [15339] = {.lex_state = 452, .external_lex_state = 2},
  [15340] = {.lex_state = 221, .external_lex_state = 2},
  [15341] = {.lex_state = 452, .external_lex_state = 2},
  [15342] = {.lex_state = 452, .external_lex_state = 2},
  [15343] = {.lex_state = 452, .external_lex_state = 2},
  [15344] = {.lex_state = 452, .external_lex_state = 2},
  [15345] = {.lex_state = 452, .external_lex_state = 2},
  [15346] = {.lex_state = 452, .external_lex_state = 2},
  [15347] = {.lex_state = 452, .external_lex_state = 2},
  [15348] = {.lex_state = 452, .external_lex_state = 2},
  [15349] = {.lex_state = 452, .external_lex_state = 2},
  [15350] = {.lex_state = 279, .external_lex_state = 8},
  [15351] = {.lex_state = 452, .external_lex_state = 2},
  [15352] = {.lex_state = 452, .external_lex_state = 2},
  [15353] = {.lex_state = 174, .external_lex_state = 2},
  [15354] = {.lex_state = 452, .external_lex_state = 2},
  [15355] = {.lex_state = 452, .external_lex_state = 2},
  [15356] = {.lex_state = 452, .external_lex_state = 2},
  [15357] = {.lex_state = 452, .external_lex_state = 2},
  [15358] = {.lex_state = 452, .external_lex_state = 2},
  [15359] = {.lex_state = 170, .external_lex_state = 2},
  [15360] = {.lex_state = 228, .external_lex_state = 2},
  [15361] = {.lex_state = 452, .external_lex_state = 2},
  [15362] = {.lex_state = 452, .external_lex_state = 2},
  [15363] = {.lex_state = 452, .external_lex_state = 2},
  [15364] = {.lex_state = 452, .external_lex_state = 2},
  [15365] = {.lex_state = 452, .external_lex_state = 2},
  [15366] = {.lex_state = 452, .external_lex_state = 2},
  [15367] = {.lex_state = 174, .external_lex_state = 2},
  [15368] = {.lex_state = 228, .external_lex_state = 2},
  [15369] = {.lex_state = 228, .external_lex_state = 2},
  [15370] = {.lex_state = 174, .external_lex_state = 2},
  [15371] = {.lex_state = 452, .external_lex_state = 2},
  [15372] = {.lex_state = 452, .external_lex_state = 2},
  [15373] = {.lex_state = 452, .external_lex_state = 2},
  [15374] = {.lex_state = 228, .external_lex_state = 2},
  [15375] = {.lex_state = 452, .external_lex_state = 2},
  [15376] = {.lex_state = 174, .external_lex_state = 2},
  [15377] = {.lex_state = 452, .external_lex_state = 2},
  [15378] = {.lex_state = 452, .external_lex_state = 2},
  [15379] = {.lex_state = 174, .external_lex_state = 2},
  [15380] = {.lex_state = 452, .external_lex_state = 2},
  [15381] = {.lex_state = 452, .external_lex_state = 2},
  [15382] = {.lex_state = 452, .external_lex_state = 2},
  [15383] = {.lex_state = 174, .external_lex_state = 2},
  [15384] = {.lex_state = 452, .external_lex_state = 2},
  [15385] = {.lex_state = 452, .external_lex_state = 2},
  [15386] = {.lex_state = 452, .external_lex_state = 2},
  [15387] = {.lex_state = 452, .external_lex_state = 2},
  [15388] = {.lex_state = 6, .external_lex_state = 2},
  [15389] = {.lex_state = 452, .external_lex_state = 2},
  [15390] = {.lex_state = 452, .external_lex_state = 2},
  [15391] = {.lex_state = 452, .external_lex_state = 2},
  [15392] = {.lex_state = 452, .external_lex_state = 2},
  [15393] = {.lex_state = 174, .external_lex_state = 2},
  [15394] = {.lex_state = 170, .external_lex_state = 2},
  [15395] = {.lex_state = 452, .external_lex_state = 2},
  [15396] = {.lex_state = 452, .external_lex_state = 2},
  [15397] = {.lex_state = 452, .external_lex_state = 2},
  [15398] = {.lex_state = 174, .external_lex_state = 2},
  [15399] = {.lex_state = 452, .external_lex_state = 2},
  [15400] = {.lex_state = 452, .external_lex_state = 2},
  [15401] = {.lex_state = 452, .external_lex_state = 2},
  [15402] = {.lex_state = 452, .external_lex_state = 2},
  [15403] = {.lex_state = 452, .external_lex_state = 2},
  [15404] = {.lex_state = 228, .external_lex_state = 2},
  [15405] = {.lex_state = 452, .external_lex_state = 2},
  [15406] = {.lex_state = 452, .external_lex_state = 2},
  [15407] = {.lex_state = 452, .external_lex_state = 2},
  [15408] = {.lex_state = 452, .external_lex_state = 2},
  [15409] = {.lex_state = 452, .external_lex_state = 2},
  [15410] = {.lex_state = 228, .external_lex_state = 2},
  [15411] = {.lex_state = 228, .external_lex_state = 2},
  [15412] = {.lex_state = 452, .external_lex_state = 2},
  [15413] = {.lex_state = 228, .external_lex_state = 2},
  [15414] = {.lex_state = 452, .external_lex_state = 2},
  [15415] = {.lex_state = 6, .external_lex_state = 2},
  [15416] = {.lex_state = 452, .external_lex_state = 2},
  [15417] = {.lex_state = 452, .external_lex_state = 2},
  [15418] = {.lex_state = 452, .external_lex_state = 2},
  [15419] = {.lex_state = 452, .external_lex_state = 2},
  [15420] = {.lex_state = 452, .external_lex_state = 2},
  [15421] = {.lex_state = 452, .external_lex_state = 2},
  [15422] = {.lex_state = 452, .external_lex_state = 2},
  [15423] = {.lex_state = 452, .external_lex_state = 2},
  [15424] = {.lex_state = 228, .external_lex_state = 2},
  [15425] = {.lex_state = 452, .external_lex_state = 2},
  [15426] = {.lex_state = 452, .external_lex_state = 2},
  [15427] = {.lex_state = 6, .external_lex_state = 2},
  [15428] = {.lex_state = 174, .external_lex_state = 2},
  [15429] = {.lex_state = 452, .external_lex_state = 2},
  [15430] = {.lex_state = 452, .external_lex_state = 2},
  [15431] = {.lex_state = 452, .external_lex_state = 2},
  [15432] = {.lex_state = 452, .external_lex_state = 2},
  [15433] = {.lex_state = 174, .external_lex_state = 2},
  [15434] = {.lex_state = 452, .external_lex_state = 2},
  [15435] = {.lex_state = 452, .external_lex_state = 2},
  [15436] = {.lex_state = 452, .external_lex_state = 2},
  [15437] = {.lex_state = 452, .external_lex_state = 2},
  [15438] = {.lex_state = 228, .external_lex_state = 2},
  [15439] = {.lex_state = 228, .external_lex_state = 2},
  [15440] = {.lex_state = 452, .external_lex_state = 2},
  [15441] = {.lex_state = 452, .external_lex_state = 2},
  [15442] = {.lex_state = 228, .external_lex_state = 2},
  [15443] = {.lex_state = 452, .external_lex_state = 2},
  [15444] = {.lex_state = 452, .external_lex_state = 2},
  [15445] = {.lex_state = 452, .external_lex_state = 2},
  [15446] = {.lex_state = 174, .external_lex_state = 2},
  [15447] = {.lex_state = 452, .external_lex_state = 2},
  [15448] = {.lex_state = 452, .external_lex_state = 2},
  [15449] = {.lex_state = 452, .external_lex_state = 2},
  [15450] = {.lex_state = 452, .external_lex_state = 2},
  [15451] = {.lex_state = 170, .external_lex_state = 2},
  [15452] = {.lex_state = 452, .external_lex_state = 2},
  [15453] = {.lex_state = 452, .external_lex_state = 2},
  [15454] = {.lex_state = 452, .external_lex_state = 2},
  [15455] = {.lex_state = 452, .external_lex_state = 2},
  [15456] = {.lex_state = 452, .external_lex_state = 2},
  [15457] = {.lex_state = 452, .external_lex_state = 2},
  [15458] = {.lex_state = 452, .external_lex_state = 2},
  [15459] = {.lex_state = 452, .external_lex_state = 2},
  [15460] = {.lex_state = 452, .external_lex_state = 2},
  [15461] = {.lex_state = 452, .external_lex_state = 2},
  [15462] = {.lex_state = 174, .external_lex_state = 2},
  [15463] = {.lex_state = 452, .external_lex_state = 2},
  [15464] = {.lex_state = 228, .external_lex_state = 2},
  [15465] = {.lex_state = 174, .external_lex_state = 2},
  [15466] = {.lex_state = 452, .external_lex_state = 2},
  [15467] = {.lex_state = 452, .external_lex_state = 2},
  [15468] = {.lex_state = 452, .external_lex_state = 2},
  [15469] = {.lex_state = 452, .external_lex_state = 2},
  [15470] = {.lex_state = 452, .external_lex_state = 2},
  [15471] = {.lex_state = 452, .external_lex_state = 2},
  [15472] = {.lex_state = 452, .external_lex_state = 2},
  [15473] = {.lex_state = 452, .external_lex_state = 2},
  [15474] = {.lex_state = 452, .external_lex_state = 2},
  [15475] = {.lex_state = 228, .external_lex_state = 2},
  [15476] = {.lex_state = 228, .external_lex_state = 2},
  [15477] = {.lex_state = 452, .external_lex_state = 2},
  [15478] = {.lex_state = 228, .external_lex_state = 2},
  [15479] = {.lex_state = 452, .external_lex_state = 2},
  [15480] = {.lex_state = 452, .external_lex_state = 2},
  [15481] = {.lex_state = 452, .external_lex_state = 2},
  [15482] = {.lex_state = 452, .external_lex_state = 2},
  [15483] = {.lex_state = 174, .external_lex_state = 2},
  [15484] = {.lex_state = 452, .external_lex_state = 2},
  [15485] = {.lex_state = 452, .external_lex_state = 2},
  [15486] = {.lex_state = 452, .external_lex_state = 2},
  [15487] = {.lex_state = 170, .external_lex_state = 2},
  [15488] = {.lex_state = 452, .external_lex_state = 2},
  [15489] = {.lex_state = 452, .external_lex_state = 2},
  [15490] = {.lex_state = 174, .external_lex_state = 2},
  [15491] = {.lex_state = 452, .external_lex_state = 2},
  [15492] = {.lex_state = 228, .external_lex_state = 2},
  [15493] = {.lex_state = 228, .external_lex_state = 2},
  [15494] = {.lex_state = 228, .external_lex_state = 2},
  [15495] = {.lex_state = 452, .external_lex_state = 2},
  [15496] = {.lex_state = 452, .external_lex_state = 2},
  [15497] = {.lex_state = 452, .external_lex_state = 2},
  [15498] = {.lex_state = 452, .external_lex_state = 2},
  [15499] = {.lex_state = 452, .external_lex_state = 2},
  [15500] = {.lex_state = 452, .external_lex_state = 2},
  [15501] = {.lex_state = 452, .external_lex_state = 2},
  [15502] = {.lex_state = 170, .external_lex_state = 2},
  [15503] = {.lex_state = 452, .external_lex_state = 2},
  [15504] = {.lex_state = 452, .external_lex_state = 2},
  [15505] = {.lex_state = 170, .external_lex_state = 2},
  [15506] = {.lex_state = 452, .external_lex_state = 2},
  [15507] = {.lex_state = 452, .external_lex_state = 2},
  [15508] = {.lex_state = 452, .external_lex_state = 2},
  [15509] = {.lex_state = 452, .external_lex_state = 2},
  [15510] = {.lex_state = 452, .external_lex_state = 2},
  [15511] = {.lex_state = 452, .external_lex_state = 2},
  [15512] = {.lex_state = 228, .external_lex_state = 2},
  [15513] = {.lex_state = 228, .external_lex_state = 2},
  [15514] = {.lex_state = 452, .external_lex_state = 2},
  [15515] = {.lex_state = 452, .external_lex_state = 2},
  [15516] = {.lex_state = 228, .external_lex_state = 2},
  [15517] = {.lex_state = 452, .external_lex_state = 2},
  [15518] = {.lex_state = 452, .external_lex_state = 2},
  [15519] = {.lex_state = 452, .external_lex_state = 2},
  [15520] = {.lex_state = 452, .external_lex_state = 2},
  [15521] = {.lex_state = 452, .external_lex_state = 2},
  [15522] = {.lex_state = 452, .external_lex_state = 2},
  [15523] = {.lex_state = 452, .external_lex_state = 2},
  [15524] = {.lex_state = 452, .external_lex_state = 2},
  [15525] = {.lex_state = 452, .external_lex_state = 2},
  [15526] = {.lex_state = 6, .external_lex_state = 2},
  [15527] = {.lex_state = 6, .external_lex_state = 2},
  [15528] = {.lex_state = 174, .external_lex_state = 2},
  [15529] = {.lex_state = 228, .external_lex_state = 2},
  [15530] = {.lex_state = 228, .external_lex_state = 2},
  [15531] = {.lex_state = 228, .external_lex_state = 2},
  [15532] = {.lex_state = 174, .external_lex_state = 2},
  [15533] = {.lex_state = 452, .external_lex_state = 2},
  [15534] = {.lex_state = 452, .external_lex_state = 2},
  [15535] = {.lex_state = 452, .external_lex_state = 2},
  [15536] = {.lex_state = 452, .external_lex_state = 2},
  [15537] = {.lex_state = 174, .external_lex_state = 2},
  [15538] = {.lex_state = 452, .external_lex_state = 2},
  [15539] = {.lex_state = 452, .external_lex_state = 2},
  [15540] = {.lex_state = 452, .external_lex_state = 2},
  [15541] = {.lex_state = 174, .external_lex_state = 2},
  [15542] = {.lex_state = 228, .external_lex_state = 2},
  [15543] = {.lex_state = 228, .external_lex_state = 2},
  [15544] = {.lex_state = 40, .external_lex_state = 2},
  [15545] = {.lex_state = 228, .external_lex_state = 2},
  [15546] = {.lex_state = 174, .external_lex_state = 2},
  [15547] = {.lex_state = 452, .external_lex_state = 2},
  [15548] = {.lex_state = 174, .external_lex_state = 2},
  [15549] = {.lex_state = 452, .external_lex_state = 2},
  [15550] = {.lex_state = 174, .external_lex_state = 2},
  [15551] = {.lex_state = 452, .external_lex_state = 2},
  [15552] = {.lex_state = 452, .external_lex_state = 2},
  [15553] = {.lex_state = 452, .external_lex_state = 2},
  [15554] = {.lex_state = 452, .external_lex_state = 2},
  [15555] = {.lex_state = 452, .external_lex_state = 2},
  [15556] = {.lex_state = 452, .external_lex_state = 2},
  [15557] = {.lex_state = 452, .external_lex_state = 2},
  [15558] = {.lex_state = 452, .external_lex_state = 2},
  [15559] = {.lex_state = 170, .external_lex_state = 2},
  [15560] = {.lex_state = 170, .external_lex_state = 2},
  [15561] = {.lex_state = 228, .external_lex_state = 2},
  [15562] = {.lex_state = 228, .external_lex_state = 2},
  [15563] = {.lex_state = 452, .external_lex_state = 2},
  [15564] = {.lex_state = 228, .external_lex_state = 2},
  [15565] = {.lex_state = 174, .external_lex_state = 2},
  [15566] = {.lex_state = 174, .external_lex_state = 2},
  [15567] = {.lex_state = 452, .external_lex_state = 2},
  [15568] = {.lex_state = 452, .external_lex_state = 2},
  [15569] = {.lex_state = 452, .external_lex_state = 2},
  [15570] = {.lex_state = 452, .external_lex_state = 2},
  [15571] = {.lex_state = 174, .external_lex_state = 2},
  [15572] = {.lex_state = 452, .external_lex_state = 2},
  [15573] = {.lex_state = 452, .external_lex_state = 2},
  [15574] = {.lex_state = 452, .external_lex_state = 2},
  [15575] = {.lex_state = 228, .external_lex_state = 2},
  [15576] = {.lex_state = 228, .external_lex_state = 2},
  [15577] = {.lex_state = 174, .external_lex_state = 2},
  [15578] = {.lex_state = 228, .external_lex_state = 2},
  [15579] = {.lex_state = 452, .external_lex_state = 2},
  [15580] = {.lex_state = 452, .external_lex_state = 2},
  [15581] = {.lex_state = 170, .external_lex_state = 2},
  [15582] = {.lex_state = 452, .external_lex_state = 2},
  [15583] = {.lex_state = 452, .external_lex_state = 2},
  [15584] = {.lex_state = 452, .external_lex_state = 2},
  [15585] = {.lex_state = 6, .external_lex_state = 2},
  [15586] = {.lex_state = 452, .external_lex_state = 2},
  [15587] = {.lex_state = 452, .external_lex_state = 2},
  [15588] = {.lex_state = 452, .external_lex_state = 2},
  [15589] = {.lex_state = 452, .external_lex_state = 2},
  [15590] = {.lex_state = 452, .external_lex_state = 2},
  [15591] = {.lex_state = 174, .external_lex_state = 2},
  [15592] = {.lex_state = 452, .external_lex_state = 2},
  [15593] = {.lex_state = 452, .external_lex_state = 2},
  [15594] = {.lex_state = 452, .external_lex_state = 2},
  [15595] = {.lex_state = 452, .external_lex_state = 2},
  [15596] = {.lex_state = 452, .external_lex_state = 2},
  [15597] = {.lex_state = 174, .external_lex_state = 2},
  [15598] = {.lex_state = 452, .external_lex_state = 2},
  [15599] = {.lex_state = 452, .external_lex_state = 2},
  [15600] = {.lex_state = 174, .external_lex_state = 2},
  [15601] = {.lex_state = 452, .external_lex_state = 2},
  [15602] = {.lex_state = 452, .external_lex_state = 2},
  [15603] = {.lex_state = 452, .external_lex_state = 2},
  [15604] = {.lex_state = 452, .external_lex_state = 2},
  [15605] = {.lex_state = 452, .external_lex_state = 2},
  [15606] = {.lex_state = 452, .external_lex_state = 2},
  [15607] = {.lex_state = 452, .external_lex_state = 2},
  [15608] = {.lex_state = 452, .external_lex_state = 2},
  [15609] = {.lex_state = 452, .external_lex_state = 2},
  [15610] = {.lex_state = 452, .external_lex_state = 2},
  [15611] = {.lex_state = 452, .external_lex_state = 2},
  [15612] = {.lex_state = 174, .external_lex_state = 2},
  [15613] = {.lex_state = 452, .external_lex_state = 2},
  [15614] = {.lex_state = 452, .external_lex_state = 2},
  [15615] = {.lex_state = 174, .external_lex_state = 2},
  [15616] = {.lex_state = 452, .external_lex_state = 2},
  [15617] = {.lex_state = 452, .external_lex_state = 2},
  [15618] = {.lex_state = 452, .external_lex_state = 2},
  [15619] = {.lex_state = 452, .external_lex_state = 2},
  [15620] = {.lex_state = 452, .external_lex_state = 2},
  [15621] = {.lex_state = 452, .external_lex_state = 2},
  [15622] = {.lex_state = 452, .external_lex_state = 2},
  [15623] = {.lex_state = 452, .external_lex_state = 2},
  [15624] = {.lex_state = 452, .external_lex_state = 2},
  [15625] = {.lex_state = 452, .external_lex_state = 2},
  [15626] = {.lex_state = 452, .external_lex_state = 2},
  [15627] = {.lex_state = 452, .external_lex_state = 2},
  [15628] = {.lex_state = 452, .external_lex_state = 2},
  [15629] = {.lex_state = 452, .external_lex_state = 2},
  [15630] = {.lex_state = 452, .external_lex_state = 2},
  [15631] = {.lex_state = 452, .external_lex_state = 2},
  [15632] = {.lex_state = 452, .external_lex_state = 2},
  [15633] = {.lex_state = 453, .external_lex_state = 2},
  [15634] = {.lex_state = 174, .external_lex_state = 2},
  [15635] = {.lex_state = 452, .external_lex_state = 2},
  [15636] = {.lex_state = 452, .external_lex_state = 2},
  [15637] = {.lex_state = 452, .external_lex_state = 2},
  [15638] = {.lex_state = 452, .external_lex_state = 2},
  [15639] = {.lex_state = 452, .external_lex_state = 2},
  [15640] = {.lex_state = 452, .external_lex_state = 2},
  [15641] = {.lex_state = 452, .external_lex_state = 2},
  [15642] = {.lex_state = 174, .external_lex_state = 2},
  [15643] = {.lex_state = 452, .external_lex_state = 2},
  [15644] = {.lex_state = 452, .external_lex_state = 2},
  [15645] = {.lex_state = 452, .external_lex_state = 2},
  [15646] = {.lex_state = 174, .external_lex_state = 2},
  [15647] = {.lex_state = 452, .external_lex_state = 2},
  [15648] = {.lex_state = 174, .external_lex_state = 2},
  [15649] = {.lex_state = 174, .external_lex_state = 2},
  [15650] = {.lex_state = 174, .external_lex_state = 2},
  [15651] = {.lex_state = 452, .external_lex_state = 2},
  [15652] = {.lex_state = 452, .external_lex_state = 2},
  [15653] = {.lex_state = 174, .external_lex_state = 2},
  [15654] = {.lex_state = 452, .external_lex_state = 2},
  [15655] = {.lex_state = 170, .external_lex_state = 2},
  [15656] = {.lex_state = 452, .external_lex_state = 2},
  [15657] = {.lex_state = 452, .external_lex_state = 2},
  [15658] = {.lex_state = 452, .external_lex_state = 2},
  [15659] = {.lex_state = 452, .external_lex_state = 2},
  [15660] = {.lex_state = 452, .external_lex_state = 2},
  [15661] = {.lex_state = 452, .external_lex_state = 2},
  [15662] = {.lex_state = 452, .external_lex_state = 2},
  [15663] = {.lex_state = 452, .external_lex_state = 2},
  [15664] = {.lex_state = 174, .external_lex_state = 2},
  [15665] = {.lex_state = 452, .external_lex_state = 2},
  [15666] = {.lex_state = 452, .external_lex_state = 2},
  [15667] = {.lex_state = 452, .external_lex_state = 2},
  [15668] = {.lex_state = 174, .external_lex_state = 2},
  [15669] = {.lex_state = 452, .external_lex_state = 2},
  [15670] = {.lex_state = 452, .external_lex_state = 2},
  [15671] = {.lex_state = 452, .external_lex_state = 2},
  [15672] = {.lex_state = 452, .external_lex_state = 2},
  [15673] = {.lex_state = 174, .external_lex_state = 2},
  [15674] = {.lex_state = 452, .external_lex_state = 2},
  [15675] = {.lex_state = 452, .external_lex_state = 2},
  [15676] = {.lex_state = 174, .external_lex_state = 2},
  [15677] = {.lex_state = 452, .external_lex_state = 2},
  [15678] = {.lex_state = 452, .external_lex_state = 2},
  [15679] = {.lex_state = 452, .external_lex_state = 2},
  [15680] = {.lex_state = 452, .external_lex_state = 2},
  [15681] = {.lex_state = 452, .external_lex_state = 2},
  [15682] = {.lex_state = 452, .external_lex_state = 2},
  [15683] = {.lex_state = 174, .external_lex_state = 2},
  [15684] = {.lex_state = 452, .external_lex_state = 2},
  [15685] = {.lex_state = 452, .external_lex_state = 2},
  [15686] = {.lex_state = 174, .external_lex_state = 2},
  [15687] = {.lex_state = 452, .external_lex_state = 2},
  [15688] = {.lex_state = 452, .external_lex_state = 2},
  [15689] = {.lex_state = 170, .external_lex_state = 2},
  [15690] = {.lex_state = 452, .external_lex_state = 2},
  [15691] = {.lex_state = 452, .external_lex_state = 2},
  [15692] = {.lex_state = 452, .external_lex_state = 2},
  [15693] = {.lex_state = 452, .external_lex_state = 2},
  [15694] = {.lex_state = 452, .external_lex_state = 2},
  [15695] = {.lex_state = 174, .external_lex_state = 2},
  [15696] = {.lex_state = 452, .external_lex_state = 2},
  [15697] = {.lex_state = 452, .external_lex_state = 2},
  [15698] = {.lex_state = 452, .external_lex_state = 2},
  [15699] = {.lex_state = 452, .external_lex_state = 2},
  [15700] = {.lex_state = 452, .external_lex_state = 2},
  [15701] = {.lex_state = 452, .external_lex_state = 2},
  [15702] = {.lex_state = 174, .external_lex_state = 2},
  [15703] = {.lex_state = 452, .external_lex_state = 2},
  [15704] = {.lex_state = 452, .external_lex_state = 2},
  [15705] = {.lex_state = 452, .external_lex_state = 2},
  [15706] = {.lex_state = 452, .external_lex_state = 2},
  [15707] = {.lex_state = 452, .external_lex_state = 2},
  [15708] = {.lex_state = 452, .external_lex_state = 2},
  [15709] = {.lex_state = 452, .external_lex_state = 2},
  [15710] = {.lex_state = 452, .external_lex_state = 2},
  [15711] = {.lex_state = 452, .external_lex_state = 2},
  [15712] = {.lex_state = 452, .external_lex_state = 2},
  [15713] = {.lex_state = 452, .external_lex_state = 2},
  [15714] = {.lex_state = 452, .external_lex_state = 2},
  [15715] = {.lex_state = 452, .external_lex_state = 2},
  [15716] = {.lex_state = 452, .external_lex_state = 2},
  [15717] = {.lex_state = 221, .external_lex_state = 2},
  [15718] = {.lex_state = 174, .external_lex_state = 2},
  [15719] = {.lex_state = 174, .external_lex_state = 2},
  [15720] = {.lex_state = 174, .external_lex_state = 2},
  [15721] = {.lex_state = 452, .external_lex_state = 2},
  [15722] = {.lex_state = 452, .external_lex_state = 2},
  [15723] = {.lex_state = 174, .external_lex_state = 2},
  [15724] = {.lex_state = 452, .external_lex_state = 2},
  [15725] = {.lex_state = 452, .external_lex_state = 2},
  [15726] = {.lex_state = 452, .external_lex_state = 2},
  [15727] = {.lex_state = 452, .external_lex_state = 2},
  [15728] = {.lex_state = 452, .external_lex_state = 2},
  [15729] = {.lex_state = 452, .external_lex_state = 2},
  [15730] = {.lex_state = 452, .external_lex_state = 2},
  [15731] = {.lex_state = 452, .external_lex_state = 2},
  [15732] = {.lex_state = 452, .external_lex_state = 2},
  [15733] = {.lex_state = 452, .external_lex_state = 2},
  [15734] = {.lex_state = 452, .external_lex_state = 2},
  [15735] = {.lex_state = 452, .external_lex_state = 2},
  [15736] = {.lex_state = 452, .external_lex_state = 2},
  [15737] = {.lex_state = 452, .external_lex_state = 2},
  [15738] = {.lex_state = 452, .external_lex_state = 2},
  [15739] = {.lex_state = 452, .external_lex_state = 2},
  [15740] = {.lex_state = 452, .external_lex_state = 2},
  [15741] = {.lex_state = 452, .external_lex_state = 2},
  [15742] = {.lex_state = 452, .external_lex_state = 2},
  [15743] = {.lex_state = 452, .external_lex_state = 2},
  [15744] = {.lex_state = 452, .external_lex_state = 2},
  [15745] = {.lex_state = 452, .external_lex_state = 2},
  [15746] = {.lex_state = 452, .external_lex_state = 2},
  [15747] = {.lex_state = 452, .external_lex_state = 2},
  [15748] = {.lex_state = 161, .external_lex_state = 2},
  [15749] = {.lex_state = 452, .external_lex_state = 2},
  [15750] = {.lex_state = 174, .external_lex_state = 2},
  [15751] = {.lex_state = 452, .external_lex_state = 2},
  [15752] = {.lex_state = 174, .external_lex_state = 2},
  [15753] = {.lex_state = 452, .external_lex_state = 2},
  [15754] = {.lex_state = 174, .external_lex_state = 2},
  [15755] = {.lex_state = 452, .external_lex_state = 2},
  [15756] = {.lex_state = 452, .external_lex_state = 2},
  [15757] = {.lex_state = 452, .external_lex_state = 2},
  [15758] = {.lex_state = 452, .external_lex_state = 2},
  [15759] = {.lex_state = 452, .external_lex_state = 2},
  [15760] = {.lex_state = 174, .external_lex_state = 2},
  [15761] = {.lex_state = 250, .external_lex_state = 2},
  [15762] = {.lex_state = 452, .external_lex_state = 2},
  [15763] = {.lex_state = 452, .external_lex_state = 2},
  [15764] = {.lex_state = 174, .external_lex_state = 2},
  [15765] = {.lex_state = 452, .external_lex_state = 2},
  [15766] = {.lex_state = 174, .external_lex_state = 2},
  [15767] = {.lex_state = 452, .external_lex_state = 2},
  [15768] = {.lex_state = 452, .external_lex_state = 2},
  [15769] = {.lex_state = 452, .external_lex_state = 2},
  [15770] = {.lex_state = 452, .external_lex_state = 2},
  [15771] = {.lex_state = 452, .external_lex_state = 2},
  [15772] = {.lex_state = 452, .external_lex_state = 2},
  [15773] = {.lex_state = 452, .external_lex_state = 2},
  [15774] = {.lex_state = 452, .external_lex_state = 2},
  [15775] = {.lex_state = 452, .external_lex_state = 2},
  [15776] = {.lex_state = 452, .external_lex_state = 2},
  [15777] = {.lex_state = 161, .external_lex_state = 2},
  [15778] = {.lex_state = 452, .external_lex_state = 2},
  [15779] = {.lex_state = 452, .external_lex_state = 2},
  [15780] = {.lex_state = 174, .external_lex_state = 2},
  [15781] = {.lex_state = 452, .external_lex_state = 2},
  [15782] = {.lex_state = 452, .external_lex_state = 2},
  [15783] = {.lex_state = 452, .external_lex_state = 2},
  [15784] = {.lex_state = 452, .external_lex_state = 2},
  [15785] = {.lex_state = 452, .external_lex_state = 2},
  [15786] = {.lex_state = 174, .external_lex_state = 2},
  [15787] = {.lex_state = 170, .external_lex_state = 2},
  [15788] = {.lex_state = 453, .external_lex_state = 2},
  [15789] = {.lex_state = 452, .external_lex_state = 2},
  [15790] = {.lex_state = 452, .external_lex_state = 2},
  [15791] = {.lex_state = 452, .external_lex_state = 2},
  [15792] = {.lex_state = 161, .external_lex_state = 2},
  [15793] = {.lex_state = 452, .external_lex_state = 2},
  [15794] = {.lex_state = 452, .external_lex_state = 2},
  [15795] = {.lex_state = 452, .external_lex_state = 2},
  [15796] = {.lex_state = 452, .external_lex_state = 2},
  [15797] = {.lex_state = 452, .external_lex_state = 2},
  [15798] = {.lex_state = 452, .external_lex_state = 2},
  [15799] = {.lex_state = 452, .external_lex_state = 2},
  [15800] = {.lex_state = 452, .external_lex_state = 2},
  [15801] = {.lex_state = 228, .external_lex_state = 2},
  [15802] = {.lex_state = 174, .external_lex_state = 2},
  [15803] = {.lex_state = 174, .external_lex_state = 2},
  [15804] = {.lex_state = 161, .external_lex_state = 2},
  [15805] = {.lex_state = 174, .external_lex_state = 2},
  [15806] = {.lex_state = 452, .external_lex_state = 2},
  [15807] = {.lex_state = 452, .external_lex_state = 2},
  [15808] = {.lex_state = 452, .external_lex_state = 2},
  [15809] = {.lex_state = 452, .external_lex_state = 2},
  [15810] = {.lex_state = 161, .external_lex_state = 2},
  [15811] = {.lex_state = 452, .external_lex_state = 2},
  [15812] = {.lex_state = 452, .external_lex_state = 2},
  [15813] = {.lex_state = 452, .external_lex_state = 2},
  [15814] = {.lex_state = 161, .external_lex_state = 2},
  [15815] = {.lex_state = 452, .external_lex_state = 2},
  [15816] = {.lex_state = 452, .external_lex_state = 2},
  [15817] = {.lex_state = 161, .external_lex_state = 2},
  [15818] = {.lex_state = 170, .external_lex_state = 2},
  [15819] = {.lex_state = 452, .external_lex_state = 2},
  [15820] = {.lex_state = 161, .external_lex_state = 2},
  [15821] = {.lex_state = 161, .external_lex_state = 2},
  [15822] = {.lex_state = 452, .external_lex_state = 2},
  [15823] = {.lex_state = 174, .external_lex_state = 2},
  [15824] = {.lex_state = 174, .external_lex_state = 2},
  [15825] = {.lex_state = 161, .external_lex_state = 2},
  [15826] = {.lex_state = 161, .external_lex_state = 2},
  [15827] = {.lex_state = 452, .external_lex_state = 2},
  [15828] = {.lex_state = 161, .external_lex_state = 2},
  [15829] = {.lex_state = 174, .external_lex_state = 2},
  [15830] = {.lex_state = 161, .external_lex_state = 2},
  [15831] = {.lex_state = 161, .external_lex_state = 2},
  [15832] = {.lex_state = 161, .external_lex_state = 2},
  [15833] = {.lex_state = 174, .external_lex_state = 2},
  [15834] = {.lex_state = 452, .external_lex_state = 2},
  [15835] = {.lex_state = 161, .external_lex_state = 2},
  [15836] = {.lex_state = 452, .external_lex_state = 2},
  [15837] = {.lex_state = 161, .external_lex_state = 2},
  [15838] = {.lex_state = 174, .external_lex_state = 2},
  [15839] = {.lex_state = 161, .external_lex_state = 2},
  [15840] = {.lex_state = 161, .external_lex_state = 2},
  [15841] = {.lex_state = 174, .external_lex_state = 2},
  [15842] = {.lex_state = 452, .external_lex_state = 2},
  [15843] = {.lex_state = 161, .external_lex_state = 2},
  [15844] = {.lex_state = 452, .external_lex_state = 2},
  [15845] = {.lex_state = 161, .external_lex_state = 2},
  [15846] = {.lex_state = 161, .external_lex_state = 2},
  [15847] = {.lex_state = 161, .external_lex_state = 2},
  [15848] = {.lex_state = 452, .external_lex_state = 2},
  [15849] = {.lex_state = 161, .external_lex_state = 2},
  [15850] = {.lex_state = 452, .external_lex_state = 2},
  [15851] = {.lex_state = 161, .external_lex_state = 2},
  [15852] = {.lex_state = 174, .external_lex_state = 2},
  [15853] = {.lex_state = 452, .external_lex_state = 2},
  [15854] = {.lex_state = 161, .external_lex_state = 2},
  [15855] = {.lex_state = 170, .external_lex_state = 2},
  [15856] = {.lex_state = 161, .external_lex_state = 2},
  [15857] = {.lex_state = 174, .external_lex_state = 2},
  [15858] = {.lex_state = 161, .external_lex_state = 2},
  [15859] = {.lex_state = 161, .external_lex_state = 2},
  [15860] = {.lex_state = 161, .external_lex_state = 2},
  [15861] = {.lex_state = 161, .external_lex_state = 2},
  [15862] = {.lex_state = 452, .external_lex_state = 2},
  [15863] = {.lex_state = 161, .external_lex_state = 2},
  [15864] = {.lex_state = 161, .external_lex_state = 2},
  [15865] = {.lex_state = 452, .external_lex_state = 2},
  [15866] = {.lex_state = 161, .external_lex_state = 2},
  [15867] = {.lex_state = 452, .external_lex_state = 2},
  [15868] = {.lex_state = 161, .external_lex_state = 2},
  [15869] = {.lex_state = 452, .external_lex_state = 2},
  [15870] = {.lex_state = 161, .external_lex_state = 2},
  [15871] = {.lex_state = 452, .external_lex_state = 2},
  [15872] = {.lex_state = 452, .external_lex_state = 2},
  [15873] = {.lex_state = 452, .external_lex_state = 2},
  [15874] = {.lex_state = 161, .external_lex_state = 2},
  [15875] = {.lex_state = 161, .external_lex_state = 2},
  [15876] = {.lex_state = 452, .external_lex_state = 2},
  [15877] = {.lex_state = 452, .external_lex_state = 2},
  [15878] = {.lex_state = 452, .external_lex_state = 2},
  [15879] = {.lex_state = 161, .external_lex_state = 2},
  [15880] = {.lex_state = 161, .external_lex_state = 2},
  [15881] = {.lex_state = 174, .external_lex_state = 2},
  [15882] = {.lex_state = 161, .external_lex_state = 2},
  [15883] = {.lex_state = 452, .external_lex_state = 2},
  [15884] = {.lex_state = 174, .external_lex_state = 2},
  [15885] = {.lex_state = 174, .external_lex_state = 2},
  [15886] = {.lex_state = 452, .external_lex_state = 2},
  [15887] = {.lex_state = 452, .external_lex_state = 2},
  [15888] = {.lex_state = 452, .external_lex_state = 2},
  [15889] = {.lex_state = 452, .external_lex_state = 2},
  [15890] = {.lex_state = 452, .external_lex_state = 2},
  [15891] = {.lex_state = 452, .external_lex_state = 2},
  [15892] = {.lex_state = 452, .external_lex_state = 2},
  [15893] = {.lex_state = 452, .external_lex_state = 2},
  [15894] = {.lex_state = 452, .external_lex_state = 2},
  [15895] = {.lex_state = 228, .external_lex_state = 2},
  [15896] = {.lex_state = 452, .external_lex_state = 2},
  [15897] = {.lex_state = 452, .external_lex_state = 2},
  [15898] = {.lex_state = 452, .external_lex_state = 2},
  [15899] = {.lex_state = 452, .external_lex_state = 2},
  [15900] = {.lex_state = 452, .external_lex_state = 2},
  [15901] = {.lex_state = 452, .external_lex_state = 2},
  [15902] = {.lex_state = 452, .external_lex_state = 2},
  [15903] = {.lex_state = 452, .external_lex_state = 2},
  [15904] = {.lex_state = 452, .external_lex_state = 2},
  [15905] = {.lex_state = 452, .external_lex_state = 2},
  [15906] = {.lex_state = 452, .external_lex_state = 2},
  [15907] = {.lex_state = 452, .external_lex_state = 2},
  [15908] = {.lex_state = 452, .external_lex_state = 2},
  [15909] = {.lex_state = 452, .external_lex_state = 2},
  [15910] = {.lex_state = 170, .external_lex_state = 2},
  [15911] = {.lex_state = 452, .external_lex_state = 2},
  [15912] = {.lex_state = 452, .external_lex_state = 2},
  [15913] = {.lex_state = 452, .external_lex_state = 2},
  [15914] = {.lex_state = 452, .external_lex_state = 2},
  [15915] = {.lex_state = 452, .external_lex_state = 2},
  [15916] = {.lex_state = 452, .external_lex_state = 2},
  [15917] = {.lex_state = 452, .external_lex_state = 2},
  [15918] = {.lex_state = 452, .external_lex_state = 2},
  [15919] = {.lex_state = 452, .external_lex_state = 2},
  [15920] = {.lex_state = 452, .external_lex_state = 2},
  [15921] = {.lex_state = 452, .external_lex_state = 2},
  [15922] = {.lex_state = 174, .external_lex_state = 2},
  [15923] = {.lex_state = 452, .external_lex_state = 2},
  [15924] = {.lex_state = 452, .external_lex_state = 2},
  [15925] = {.lex_state = 452, .external_lex_state = 2},
  [15926] = {.lex_state = 452, .external_lex_state = 2},
  [15927] = {.lex_state = 452, .external_lex_state = 2},
  [15928] = {.lex_state = 452, .external_lex_state = 2},
  [15929] = {.lex_state = 452, .external_lex_state = 2},
  [15930] = {.lex_state = 452, .external_lex_state = 2},
  [15931] = {.lex_state = 174, .external_lex_state = 2},
  [15932] = {.lex_state = 452, .external_lex_state = 2},
  [15933] = {.lex_state = 452, .external_lex_state = 2},
  [15934] = {.lex_state = 452, .external_lex_state = 2},
  [15935] = {.lex_state = 452, .external_lex_state = 2},
  [15936] = {.lex_state = 452, .external_lex_state = 2},
  [15937] = {.lex_state = 452, .external_lex_state = 2},
  [15938] = {.lex_state = 452, .external_lex_state = 2},
  [15939] = {.lex_state = 273, .external_lex_state = 2},
  [15940] = {.lex_state = 452, .external_lex_state = 2},
  [15941] = {.lex_state = 40, .external_lex_state = 2},
  [15942] = {.lex_state = 452, .external_lex_state = 2},
  [15943] = {.lex_state = 452, .external_lex_state = 2},
  [15944] = {.lex_state = 452, .external_lex_state = 2},
  [15945] = {.lex_state = 452, .external_lex_state = 2},
  [15946] = {.lex_state = 273, .external_lex_state = 2},
  [15947] = {.lex_state = 250, .external_lex_state = 2},
  [15948] = {.lex_state = 452, .external_lex_state = 2},
  [15949] = {.lex_state = 40, .external_lex_state = 2},
  [15950] = {.lex_state = 452, .external_lex_state = 2},
  [15951] = {.lex_state = 452, .external_lex_state = 2},
  [15952] = {.lex_state = 452, .external_lex_state = 2},
  [15953] = {.lex_state = 452, .external_lex_state = 2},
  [15954] = {.lex_state = 221, .external_lex_state = 2},
  [15955] = {.lex_state = 452, .external_lex_state = 2},
  [15956] = {.lex_state = 452, .external_lex_state = 2},
  [15957] = {.lex_state = 452, .external_lex_state = 2},
  [15958] = {.lex_state = 130, .external_lex_state = 2},
  [15959] = {.lex_state = 452, .external_lex_state = 2},
  [15960] = {.lex_state = 40, .external_lex_state = 2},
  [15961] = {.lex_state = 452, .external_lex_state = 2},
  [15962] = {.lex_state = 452, .external_lex_state = 2},
  [15963] = {.lex_state = 40, .external_lex_state = 2},
  [15964] = {.lex_state = 452, .external_lex_state = 2},
  [15965] = {.lex_state = 273, .external_lex_state = 2},
  [15966] = {.lex_state = 273, .external_lex_state = 2},
  [15967] = {.lex_state = 452, .external_lex_state = 2},
  [15968] = {.lex_state = 452, .external_lex_state = 2},
  [15969] = {.lex_state = 452, .external_lex_state = 2},
  [15970] = {.lex_state = 452, .external_lex_state = 2},
  [15971] = {.lex_state = 273, .external_lex_state = 2},
  [15972] = {.lex_state = 250, .external_lex_state = 2},
  [15973] = {.lex_state = 452, .external_lex_state = 2},
  [15974] = {.lex_state = 452, .external_lex_state = 2},
  [15975] = {.lex_state = 452, .external_lex_state = 2},
  [15976] = {.lex_state = 452, .external_lex_state = 2},
  [15977] = {.lex_state = 452, .external_lex_state = 2},
  [15978] = {.lex_state = 452, .external_lex_state = 2},
  [15979] = {.lex_state = 452, .external_lex_state = 2},
  [15980] = {.lex_state = 452, .external_lex_state = 2},
  [15981] = {.lex_state = 221, .external_lex_state = 2},
  [15982] = {.lex_state = 452, .external_lex_state = 2},
  [15983] = {.lex_state = 221, .external_lex_state = 2},
  [15984] = {.lex_state = 452, .external_lex_state = 2},
  [15985] = {.lex_state = 452, .external_lex_state = 2},
  [15986] = {.lex_state = 250, .external_lex_state = 2},
  [15987] = {.lex_state = 273, .external_lex_state = 2},
  [15988] = {.lex_state = 452, .external_lex_state = 2},
  [15989] = {.lex_state = 452, .external_lex_state = 2},
  [15990] = {.lex_state = 452, .external_lex_state = 2},
  [15991] = {.lex_state = 452, .external_lex_state = 2},
  [15992] = {.lex_state = 279, .external_lex_state = 8},
  [15993] = {.lex_state = 250, .external_lex_state = 2},
  [15994] = {.lex_state = 452, .external_lex_state = 2},
  [15995] = {.lex_state = 452, .external_lex_state = 2},
  [15996] = {.lex_state = 452, .external_lex_state = 2},
  [15997] = {.lex_state = 452, .external_lex_state = 2},
  [15998] = {.lex_state = 452, .external_lex_state = 2},
  [15999] = {.lex_state = 452, .external_lex_state = 2},
  [16000] = {.lex_state = 452, .external_lex_state = 2},
  [16001] = {.lex_state = 452, .external_lex_state = 2},
  [16002] = {.lex_state = 452, .external_lex_state = 2},
  [16003] = {.lex_state = 452, .external_lex_state = 2},
  [16004] = {.lex_state = 40, .external_lex_state = 2},
  [16005] = {.lex_state = 452, .external_lex_state = 2},
  [16006] = {.lex_state = 250, .external_lex_state = 2},
  [16007] = {.lex_state = 452, .external_lex_state = 2},
  [16008] = {.lex_state = 452, .external_lex_state = 2},
  [16009] = {.lex_state = 452, .external_lex_state = 2},
  [16010] = {.lex_state = 452, .external_lex_state = 2},
  [16011] = {.lex_state = 452, .external_lex_state = 2},
  [16012] = {.lex_state = 452, .external_lex_state = 2},
  [16013] = {.lex_state = 250, .external_lex_state = 2},
  [16014] = {.lex_state = 40, .external_lex_state = 2},
  [16015] = {.lex_state = 452, .external_lex_state = 2},
  [16016] = {.lex_state = 250, .external_lex_state = 2},
  [16017] = {.lex_state = 452, .external_lex_state = 2},
  [16018] = {.lex_state = 452, .external_lex_state = 2},
  [16019] = {.lex_state = 40, .external_lex_state = 2},
  [16020] = {.lex_state = 452, .external_lex_state = 2},
  [16021] = {.lex_state = 452, .external_lex_state = 2},
  [16022] = {.lex_state = 452, .external_lex_state = 2},
  [16023] = {.lex_state = 452, .external_lex_state = 2},
  [16024] = {.lex_state = 130, .external_lex_state = 2},
  [16025] = {.lex_state = 452, .external_lex_state = 2},
  [16026] = {.lex_state = 279, .external_lex_state = 8},
  [16027] = {.lex_state = 452, .external_lex_state = 2},
  [16028] = {.lex_state = 40, .external_lex_state = 2},
  [16029] = {.lex_state = 452, .external_lex_state = 2},
  [16030] = {.lex_state = 452, .external_lex_state = 2},
  [16031] = {.lex_state = 452, .external_lex_state = 2},
  [16032] = {.lex_state = 130, .external_lex_state = 2},
  [16033] = {.lex_state = 452, .external_lex_state = 2},
  [16034] = {.lex_state = 452, .external_lex_state = 2},
  [16035] = {.lex_state = 159, .external_lex_state = 2},
  [16036] = {.lex_state = 452, .external_lex_state = 2},
  [16037] = {.lex_state = 452, .external_lex_state = 2},
  [16038] = {.lex_state = 452, .external_lex_state = 2},
  [16039] = {.lex_state = 130, .external_lex_state = 2},
  [16040] = {.lex_state = 40, .external_lex_state = 2},
  [16041] = {.lex_state = 273, .external_lex_state = 2},
  [16042] = {.lex_state = 452, .external_lex_state = 2},
  [16043] = {.lex_state = 452, .external_lex_state = 2},
  [16044] = {.lex_state = 452, .external_lex_state = 2},
  [16045] = {.lex_state = 452, .external_lex_state = 2},
  [16046] = {.lex_state = 452, .external_lex_state = 2},
  [16047] = {.lex_state = 452, .external_lex_state = 2},
  [16048] = {.lex_state = 452, .external_lex_state = 2},
  [16049] = {.lex_state = 40, .external_lex_state = 2},
  [16050] = {.lex_state = 452, .external_lex_state = 2},
  [16051] = {.lex_state = 452, .external_lex_state = 2},
  [16052] = {.lex_state = 452, .external_lex_state = 2},
  [16053] = {.lex_state = 40, .external_lex_state = 2},
  [16054] = {.lex_state = 273, .external_lex_state = 2},
  [16055] = {.lex_state = 250, .external_lex_state = 2},
  [16056] = {.lex_state = 452, .external_lex_state = 2},
  [16057] = {.lex_state = 452, .external_lex_state = 2},
  [16058] = {.lex_state = 452, .external_lex_state = 2},
  [16059] = {.lex_state = 452, .external_lex_state = 2},
  [16060] = {.lex_state = 452, .external_lex_state = 2},
  [16061] = {.lex_state = 279, .external_lex_state = 8},
  [16062] = {.lex_state = 279, .external_lex_state = 8},
  [16063] = {.lex_state = 452, .external_lex_state = 2},
  [16064] = {.lex_state = 452, .external_lex_state = 2},
  [16065] = {.lex_state = 452, .external_lex_state = 2},
  [16066] = {.lex_state = 159, .external_lex_state = 2},
  [16067] = {.lex_state = 159, .external_lex_state = 2},
  [16068] = {.lex_state = 452, .external_lex_state = 2},
  [16069] = {.lex_state = 452, .external_lex_state = 2},
  [16070] = {.lex_state = 40, .external_lex_state = 2},
  [16071] = {.lex_state = 452, .external_lex_state = 2},
  [16072] = {.lex_state = 452, .external_lex_state = 2},
  [16073] = {.lex_state = 250, .external_lex_state = 2},
  [16074] = {.lex_state = 452, .external_lex_state = 2},
  [16075] = {.lex_state = 452, .external_lex_state = 2},
  [16076] = {.lex_state = 221, .external_lex_state = 2},
  [16077] = {.lex_state = 452, .external_lex_state = 2},
  [16078] = {.lex_state = 452, .external_lex_state = 2},
  [16079] = {.lex_state = 452, .external_lex_state = 2},
  [16080] = {.lex_state = 452, .external_lex_state = 2},
  [16081] = {.lex_state = 452, .external_lex_state = 2},
  [16082] = {.lex_state = 452, .external_lex_state = 2},
  [16083] = {.lex_state = 452, .external_lex_state = 2},
  [16084] = {.lex_state = 130, .external_lex_state = 2},
  [16085] = {.lex_state = 452, .external_lex_state = 2},
  [16086] = {.lex_state = 452, .external_lex_state = 2},
  [16087] = {.lex_state = 452, .external_lex_state = 2},
  [16088] = {.lex_state = 40, .external_lex_state = 2},
  [16089] = {.lex_state = 452, .external_lex_state = 2},
  [16090] = {.lex_state = 452, .external_lex_state = 2},
  [16091] = {.lex_state = 452, .external_lex_state = 2},
  [16092] = {.lex_state = 250, .external_lex_state = 2},
  [16093] = {.lex_state = 452, .external_lex_state = 2},
  [16094] = {.lex_state = 452, .external_lex_state = 2},
  [16095] = {.lex_state = 452, .external_lex_state = 2},
  [16096] = {.lex_state = 40, .external_lex_state = 2},
  [16097] = {.lex_state = 452, .external_lex_state = 2},
  [16098] = {.lex_state = 452, .external_lex_state = 2},
  [16099] = {.lex_state = 452, .external_lex_state = 2},
  [16100] = {.lex_state = 279, .external_lex_state = 8},
  [16101] = {.lex_state = 452, .external_lex_state = 2},
  [16102] = {.lex_state = 452, .external_lex_state = 2},
  [16103] = {.lex_state = 452, .external_lex_state = 2},
  [16104] = {.lex_state = 130, .external_lex_state = 2},
  [16105] = {.lex_state = 452, .external_lex_state = 2},
  [16106] = {.lex_state = 452, .external_lex_state = 2},
  [16107] = {.lex_state = 452, .external_lex_state = 2},
  [16108] = {.lex_state = 452, .external_lex_state = 2},
  [16109] = {.lex_state = 452, .external_lex_state = 2},
  [16110] = {.lex_state = 130, .external_lex_state = 2},
  [16111] = {.lex_state = 273, .external_lex_state = 2},
  [16112] = {.lex_state = 452, .external_lex_state = 2},
  [16113] = {.lex_state = 452, .external_lex_state = 2},
  [16114] = {.lex_state = 40, .external_lex_state = 2},
  [16115] = {.lex_state = 452, .external_lex_state = 2},
  [16116] = {.lex_state = 40, .external_lex_state = 2},
  [16117] = {.lex_state = 452, .external_lex_state = 2},
  [16118] = {.lex_state = 273, .external_lex_state = 2},
  [16119] = {.lex_state = 250, .external_lex_state = 2},
  [16120] = {.lex_state = 452, .external_lex_state = 2},
  [16121] = {.lex_state = 452, .external_lex_state = 2},
  [16122] = {.lex_state = 452, .external_lex_state = 2},
  [16123] = {.lex_state = 452, .external_lex_state = 2},
  [16124] = {.lex_state = 40, .external_lex_state = 2},
  [16125] = {.lex_state = 452, .external_lex_state = 2},
  [16126] = {.lex_state = 452, .external_lex_state = 2},
  [16127] = {.lex_state = 452, .external_lex_state = 3},
  [16128] = {.lex_state = 452, .external_lex_state = 2},
  [16129] = {.lex_state = 279, .external_lex_state = 8},
  [16130] = {.lex_state = 452, .external_lex_state = 2},
  [16131] = {.lex_state = 452, .external_lex_state = 2},
  [16132] = {.lex_state = 130, .external_lex_state = 2},
  [16133] = {.lex_state = 452, .external_lex_state = 2},
  [16134] = {.lex_state = 452, .external_lex_state = 2},
  [16135] = {.lex_state = 452, .external_lex_state = 2},
  [16136] = {.lex_state = 452, .external_lex_state = 2},
  [16137] = {.lex_state = 40, .external_lex_state = 2},
  [16138] = {.lex_state = 452, .external_lex_state = 2},
  [16139] = {.lex_state = 452, .external_lex_state = 2},
  [16140] = {.lex_state = 452, .external_lex_state = 2},
  [16141] = {.lex_state = 452, .external_lex_state = 2},
  [16142] = {.lex_state = 130, .external_lex_state = 2},
  [16143] = {.lex_state = 159, .external_lex_state = 2},
  [16144] = {.lex_state = 452, .external_lex_state = 2},
  [16145] = {.lex_state = 130, .external_lex_state = 2},
  [16146] = {.lex_state = 452, .external_lex_state = 2},
  [16147] = {.lex_state = 452, .external_lex_state = 2},
  [16148] = {.lex_state = 452, .external_lex_state = 2},
  [16149] = {.lex_state = 279, .external_lex_state = 8},
  [16150] = {.lex_state = 40, .external_lex_state = 2},
  [16151] = {.lex_state = 130, .external_lex_state = 2},
  [16152] = {.lex_state = 452, .external_lex_state = 2},
  [16153] = {.lex_state = 452, .external_lex_state = 2},
  [16154] = {.lex_state = 273, .external_lex_state = 2},
  [16155] = {.lex_state = 452, .external_lex_state = 2},
  [16156] = {.lex_state = 452, .external_lex_state = 2},
  [16157] = {.lex_state = 452, .external_lex_state = 2},
  [16158] = {.lex_state = 250, .external_lex_state = 2},
  [16159] = {.lex_state = 452, .external_lex_state = 2},
  [16160] = {.lex_state = 452, .external_lex_state = 2},
  [16161] = {.lex_state = 250, .external_lex_state = 2},
  [16162] = {.lex_state = 279, .external_lex_state = 8},
  [16163] = {.lex_state = 130, .external_lex_state = 2},
  [16164] = {.lex_state = 452, .external_lex_state = 2},
  [16165] = {.lex_state = 221, .external_lex_state = 2},
  [16166] = {.lex_state = 452, .external_lex_state = 2},
  [16167] = {.lex_state = 452, .external_lex_state = 2},
  [16168] = {.lex_state = 452, .external_lex_state = 2},
  [16169] = {.lex_state = 452, .external_lex_state = 2},
  [16170] = {.lex_state = 452, .external_lex_state = 2},
  [16171] = {.lex_state = 452, .external_lex_state = 2},
  [16172] = {.lex_state = 452, .external_lex_state = 2},
  [16173] = {.lex_state = 452, .external_lex_state = 2},
  [16174] = {.lex_state = 40, .external_lex_state = 2},
  [16175] = {.lex_state = 452, .external_lex_state = 2},
  [16176] = {.lex_state = 452, .external_lex_state = 2},
  [16177] = {.lex_state = 452, .external_lex_state = 2},
  [16178] = {.lex_state = 452, .external_lex_state = 2},
  [16179] = {.lex_state = 452, .external_lex_state = 2},
  [16180] = {.lex_state = 452, .external_lex_state = 2},
  [16181] = {.lex_state = 452, .external_lex_state = 2},
  [16182] = {.lex_state = 452, .external_lex_state = 2},
  [16183] = {.lex_state = 221, .external_lex_state = 2},
  [16184] = {.lex_state = 452, .external_lex_state = 2},
  [16185] = {.lex_state = 130, .external_lex_state = 2},
  [16186] = {.lex_state = 130, .external_lex_state = 2},
  [16187] = {.lex_state = 130, .external_lex_state = 2},
  [16188] = {.lex_state = 452, .external_lex_state = 2},
  [16189] = {.lex_state = 452, .external_lex_state = 2},
  [16190] = {.lex_state = 273, .external_lex_state = 2},
  [16191] = {.lex_state = 40, .external_lex_state = 2},
  [16192] = {.lex_state = 452, .external_lex_state = 2},
  [16193] = {.lex_state = 452, .external_lex_state = 2},
  [16194] = {.lex_state = 279, .external_lex_state = 8},
  [16195] = {.lex_state = 452, .external_lex_state = 2},
  [16196] = {.lex_state = 452, .external_lex_state = 2},
  [16197] = {.lex_state = 452, .external_lex_state = 2},
  [16198] = {.lex_state = 452, .external_lex_state = 2},
  [16199] = {.lex_state = 452, .external_lex_state = 2},
  [16200] = {.lex_state = 452, .external_lex_state = 2},
  [16201] = {.lex_state = 452, .external_lex_state = 2},
  [16202] = {.lex_state = 452, .external_lex_state = 2},
  [16203] = {.lex_state = 452, .external_lex_state = 2},
  [16204] = {.lex_state = 452, .external_lex_state = 2},
  [16205] = {.lex_state = 221, .external_lex_state = 2},
  [16206] = {.lex_state = 452, .external_lex_state = 2},
  [16207] = {.lex_state = 452, .external_lex_state = 2},
  [16208] = {.lex_state = 452, .external_lex_state = 2},
  [16209] = {.lex_state = 452, .external_lex_state = 2},
  [16210] = {.lex_state = 452, .external_lex_state = 2},
  [16211] = {.lex_state = 19, .external_lex_state = 2},
  [16212] = {.lex_state = 452, .external_lex_state = 2},
  [16213] = {.lex_state = 452, .external_lex_state = 2},
  [16214] = {.lex_state = 452, .external_lex_state = 2},
  [16215] = {.lex_state = 452, .external_lex_state = 2},
  [16216] = {.lex_state = 250, .external_lex_state = 2},
  [16217] = {.lex_state = 452, .external_lex_state = 2},
  [16218] = {.lex_state = 452, .external_lex_state = 2},
  [16219] = {.lex_state = 452, .external_lex_state = 2},
  [16220] = {.lex_state = 452, .external_lex_state = 2},
  [16221] = {.lex_state = 279, .external_lex_state = 8},
  [16222] = {.lex_state = 452, .external_lex_state = 2},
  [16223] = {.lex_state = 250, .external_lex_state = 2},
  [16224] = {.lex_state = 452, .external_lex_state = 2},
  [16225] = {.lex_state = 452, .external_lex_state = 2},
  [16226] = {.lex_state = 452, .external_lex_state = 2},
  [16227] = {.lex_state = 452, .external_lex_state = 2},
  [16228] = {.lex_state = 452, .external_lex_state = 2},
  [16229] = {.lex_state = 452, .external_lex_state = 2},
  [16230] = {.lex_state = 452, .external_lex_state = 2},
  [16231] = {.lex_state = 452, .external_lex_state = 2},
  [16232] = {.lex_state = 40, .external_lex_state = 2},
  [16233] = {.lex_state = 273, .external_lex_state = 2},
  [16234] = {.lex_state = 452, .external_lex_state = 2},
  [16235] = {.lex_state = 273, .external_lex_state = 2},
  [16236] = {.lex_state = 452, .external_lex_state = 2},
  [16237] = {.lex_state = 452, .external_lex_state = 2},
  [16238] = {.lex_state = 452, .external_lex_state = 2},
  [16239] = {.lex_state = 279, .external_lex_state = 8},
  [16240] = {.lex_state = 40, .external_lex_state = 2},
  [16241] = {.lex_state = 452, .external_lex_state = 2},
  [16242] = {.lex_state = 250, .external_lex_state = 2},
  [16243] = {.lex_state = 452, .external_lex_state = 2},
  [16244] = {.lex_state = 452, .external_lex_state = 2},
  [16245] = {.lex_state = 452, .external_lex_state = 2},
  [16246] = {.lex_state = 40, .external_lex_state = 2},
  [16247] = {.lex_state = 40, .external_lex_state = 2},
  [16248] = {.lex_state = 452, .external_lex_state = 2},
  [16249] = {.lex_state = 452, .external_lex_state = 2},
  [16250] = {.lex_state = 452, .external_lex_state = 2},
  [16251] = {.lex_state = 452, .external_lex_state = 2},
  [16252] = {.lex_state = 452, .external_lex_state = 2},
  [16253] = {.lex_state = 130, .external_lex_state = 2},
  [16254] = {.lex_state = 279, .external_lex_state = 8},
  [16255] = {.lex_state = 452, .external_lex_state = 2},
  [16256] = {.lex_state = 452, .external_lex_state = 2},
  [16257] = {.lex_state = 40, .external_lex_state = 2},
  [16258] = {.lex_state = 452, .external_lex_state = 2},
  [16259] = {.lex_state = 452, .external_lex_state = 2},
  [16260] = {.lex_state = 452, .external_lex_state = 2},
  [16261] = {.lex_state = 221, .external_lex_state = 2},
  [16262] = {.lex_state = 40, .external_lex_state = 2},
  [16263] = {.lex_state = 452, .external_lex_state = 2},
  [16264] = {.lex_state = 452, .external_lex_state = 2},
  [16265] = {.lex_state = 452, .external_lex_state = 2},
  [16266] = {.lex_state = 279, .external_lex_state = 8},
  [16267] = {.lex_state = 250, .external_lex_state = 2},
  [16268] = {.lex_state = 452, .external_lex_state = 2},
  [16269] = {.lex_state = 279, .external_lex_state = 8},
  [16270] = {.lex_state = 452, .external_lex_state = 2},
  [16271] = {.lex_state = 452, .external_lex_state = 2},
  [16272] = {.lex_state = 452, .external_lex_state = 2},
  [16273] = {.lex_state = 452, .external_lex_state = 2},
  [16274] = {.lex_state = 452, .external_lex_state = 2},
  [16275] = {.lex_state = 452, .external_lex_state = 2},
  [16276] = {.lex_state = 452, .external_lex_state = 2},
  [16277] = {.lex_state = 452, .external_lex_state = 2},
  [16278] = {.lex_state = 452, .external_lex_state = 2},
  [16279] = {.lex_state = 452, .external_lex_state = 2},
  [16280] = {.lex_state = 452, .external_lex_state = 2},
  [16281] = {.lex_state = 452, .external_lex_state = 2},
  [16282] = {.lex_state = 452, .external_lex_state = 2},
  [16283] = {.lex_state = 452, .external_lex_state = 2},
  [16284] = {.lex_state = 279, .external_lex_state = 8},
  [16285] = {.lex_state = 452, .external_lex_state = 2},
  [16286] = {.lex_state = 452, .external_lex_state = 2},
  [16287] = {.lex_state = 130, .external_lex_state = 2},
  [16288] = {.lex_state = 273, .external_lex_state = 2},
  [16289] = {.lex_state = 452, .external_lex_state = 2},
  [16290] = {.lex_state = 452, .external_lex_state = 2},
  [16291] = {.lex_state = 452, .external_lex_state = 2},
  [16292] = {.lex_state = 221, .external_lex_state = 2},
  [16293] = {.lex_state = 452, .external_lex_state = 2},
  [16294] = {.lex_state = 452, .external_lex_state = 2},
  [16295] = {.lex_state = 452, .external_lex_state = 2},
  [16296] = {.lex_state = 40, .external_lex_state = 2},
  [16297] = {.lex_state = 452, .external_lex_state = 2},
  [16298] = {.lex_state = 19, .external_lex_state = 2},
  [16299] = {.lex_state = 452, .external_lex_state = 2},
  [16300] = {.lex_state = 452, .external_lex_state = 2},
  [16301] = {.lex_state = 452, .external_lex_state = 2},
  [16302] = {.lex_state = 452, .external_lex_state = 2},
  [16303] = {.lex_state = 452, .external_lex_state = 2},
  [16304] = {.lex_state = 250, .external_lex_state = 2},
  [16305] = {.lex_state = 452, .external_lex_state = 2},
  [16306] = {.lex_state = 452, .external_lex_state = 2},
  [16307] = {.lex_state = 452, .external_lex_state = 2},
  [16308] = {.lex_state = 452, .external_lex_state = 2},
  [16309] = {.lex_state = 279, .external_lex_state = 8},
  [16310] = {.lex_state = 452, .external_lex_state = 2},
  [16311] = {.lex_state = 452, .external_lex_state = 2},
  [16312] = {.lex_state = 452, .external_lex_state = 2},
  [16313] = {.lex_state = 452, .external_lex_state = 2},
  [16314] = {.lex_state = 452, .external_lex_state = 2},
  [16315] = {.lex_state = 452, .external_lex_state = 2},
  [16316] = {.lex_state = 452, .external_lex_state = 2},
  [16317] = {.lex_state = 452, .external_lex_state = 2},
  [16318] = {.lex_state = 452, .external_lex_state = 2},
  [16319] = {.lex_state = 452, .external_lex_state = 2},
  [16320] = {.lex_state = 452, .external_lex_state = 2},
  [16321] = {.lex_state = 40, .external_lex_state = 2},
  [16322] = {.lex_state = 273, .external_lex_state = 2},
  [16323] = {.lex_state = 273, .external_lex_state = 2},
  [16324] = {.lex_state = 452, .external_lex_state = 2},
  [16325] = {.lex_state = 452, .external_lex_state = 2},
  [16326] = {.lex_state = 452, .external_lex_state = 2},
  [16327] = {.lex_state = 250, .external_lex_state = 2},
  [16328] = {.lex_state = 452, .external_lex_state = 2},
  [16329] = {.lex_state = 452, .external_lex_state = 2},
  [16330] = {.lex_state = 452, .external_lex_state = 2},
  [16331] = {.lex_state = 452, .external_lex_state = 2},
  [16332] = {.lex_state = 452, .external_lex_state = 2},
  [16333] = {.lex_state = 40, .external_lex_state = 2},
  [16334] = {.lex_state = 452, .external_lex_state = 2},
  [16335] = {.lex_state = 279, .external_lex_state = 8},
  [16336] = {.lex_state = 452, .external_lex_state = 2},
  [16337] = {.lex_state = 452, .external_lex_state = 2},
  [16338] = {.lex_state = 452, .external_lex_state = 2},
  [16339] = {.lex_state = 452, .external_lex_state = 2},
  [16340] = {.lex_state = 452, .external_lex_state = 2},
  [16341] = {.lex_state = 452, .external_lex_state = 2},
  [16342] = {.lex_state = 250, .external_lex_state = 2},
  [16343] = {.lex_state = 452, .external_lex_state = 2},
  [16344] = {.lex_state = 452, .external_lex_state = 2},
  [16345] = {.lex_state = 452, .external_lex_state = 2},
  [16346] = {.lex_state = 452, .external_lex_state = 2},
  [16347] = {.lex_state = 452, .external_lex_state = 2},
  [16348] = {.lex_state = 452, .external_lex_state = 2},
  [16349] = {.lex_state = 452, .external_lex_state = 2},
  [16350] = {.lex_state = 19, .external_lex_state = 2},
  [16351] = {.lex_state = 452, .external_lex_state = 2},
  [16352] = {.lex_state = 40, .external_lex_state = 2},
  [16353] = {.lex_state = 279, .external_lex_state = 8},
  [16354] = {.lex_state = 130, .external_lex_state = 2},
  [16355] = {.lex_state = 250, .external_lex_state = 2},
  [16356] = {.lex_state = 452, .external_lex_state = 2},
  [16357] = {.lex_state = 452, .external_lex_state = 2},
  [16358] = {.lex_state = 452, .external_lex_state = 2},
  [16359] = {.lex_state = 452, .external_lex_state = 2},
  [16360] = {.lex_state = 130, .external_lex_state = 2},
  [16361] = {.lex_state = 452, .external_lex_state = 2},
  [16362] = {.lex_state = 29, .external_lex_state = 2},
  [16363] = {.lex_state = 130, .external_lex_state = 2},
  [16364] = {.lex_state = 452, .external_lex_state = 2},
  [16365] = {.lex_state = 452, .external_lex_state = 2},
  [16366] = {.lex_state = 452, .external_lex_state = 2},
  [16367] = {.lex_state = 452, .external_lex_state = 2},
  [16368] = {.lex_state = 452, .external_lex_state = 2},
  [16369] = {.lex_state = 452, .external_lex_state = 2},
  [16370] = {.lex_state = 130, .external_lex_state = 2},
  [16371] = {.lex_state = 452, .external_lex_state = 2},
  [16372] = {.lex_state = 452, .external_lex_state = 2},
  [16373] = {.lex_state = 279, .external_lex_state = 8},
  [16374] = {.lex_state = 452, .external_lex_state = 2},
  [16375] = {.lex_state = 40, .external_lex_state = 2},
  [16376] = {.lex_state = 40, .external_lex_state = 2},
  [16377] = {.lex_state = 452, .external_lex_state = 2},
  [16378] = {.lex_state = 452, .external_lex_state = 2},
  [16379] = {.lex_state = 452, .external_lex_state = 2},
  [16380] = {.lex_state = 452, .external_lex_state = 2},
  [16381] = {.lex_state = 452, .external_lex_state = 2},
  [16382] = {.lex_state = 452, .external_lex_state = 2},
  [16383] = {.lex_state = 452, .external_lex_state = 2},
  [16384] = {.lex_state = 452, .external_lex_state = 2},
  [16385] = {.lex_state = 452, .external_lex_state = 2},
  [16386] = {.lex_state = 452, .external_lex_state = 2},
  [16387] = {.lex_state = 273, .external_lex_state = 2},
  [16388] = {.lex_state = 250, .external_lex_state = 2},
  [16389] = {.lex_state = 279, .external_lex_state = 8},
  [16390] = {.lex_state = 452, .external_lex_state = 2},
  [16391] = {.lex_state = 452, .external_lex_state = 2},
  [16392] = {.lex_state = 452, .external_lex_state = 2},
  [16393] = {.lex_state = 40, .external_lex_state = 2},
  [16394] = {.lex_state = 40, .external_lex_state = 2},
  [16395] = {.lex_state = 452, .external_lex_state = 2},
  [16396] = {.lex_state = 452, .external_lex_state = 2},
  [16397] = {.lex_state = 452, .external_lex_state = 2},
  [16398] = {.lex_state = 452, .external_lex_state = 2},
  [16399] = {.lex_state = 40, .external_lex_state = 2},
  [16400] = {.lex_state = 250, .external_lex_state = 2},
  [16401] = {.lex_state = 250, .external_lex_state = 2},
  [16402] = {.lex_state = 452, .external_lex_state = 2},
  [16403] = {.lex_state = 279, .external_lex_state = 8},
  [16404] = {.lex_state = 452, .external_lex_state = 2},
  [16405] = {.lex_state = 452, .external_lex_state = 2},
  [16406] = {.lex_state = 452, .external_lex_state = 2},
  [16407] = {.lex_state = 452, .external_lex_state = 2},
  [16408] = {.lex_state = 452, .external_lex_state = 2},
  [16409] = {.lex_state = 452, .external_lex_state = 2},
  [16410] = {.lex_state = 452, .external_lex_state = 2},
  [16411] = {.lex_state = 273, .external_lex_state = 2},
  [16412] = {.lex_state = 452, .external_lex_state = 2},
  [16413] = {.lex_state = 279, .external_lex_state = 8},
  [16414] = {.lex_state = 452, .external_lex_state = 2},
  [16415] = {.lex_state = 452, .external_lex_state = 2},
  [16416] = {.lex_state = 452, .external_lex_state = 2},
  [16417] = {.lex_state = 452, .external_lex_state = 2},
  [16418] = {.lex_state = 452, .external_lex_state = 2},
  [16419] = {.lex_state = 452, .external_lex_state = 2},
  [16420] = {.lex_state = 452, .external_lex_state = 2},
  [16421] = {.lex_state = 452, .external_lex_state = 2},
  [16422] = {.lex_state = 452, .external_lex_state = 2},
  [16423] = {.lex_state = 279, .external_lex_state = 8},
  [16424] = {.lex_state = 452, .external_lex_state = 2},
  [16425] = {.lex_state = 452, .external_lex_state = 2},
  [16426] = {.lex_state = 452, .external_lex_state = 2},
  [16427] = {.lex_state = 250, .external_lex_state = 2},
  [16428] = {.lex_state = 159, .external_lex_state = 2},
  [16429] = {.lex_state = 452, .external_lex_state = 2},
  [16430] = {.lex_state = 452, .external_lex_state = 2},
  [16431] = {.lex_state = 452, .external_lex_state = 2},
  [16432] = {.lex_state = 250, .external_lex_state = 2},
  [16433] = {.lex_state = 452, .external_lex_state = 2},
  [16434] = {.lex_state = 452, .external_lex_state = 2},
  [16435] = {.lex_state = 452, .external_lex_state = 2},
  [16436] = {.lex_state = 452, .external_lex_state = 2},
  [16437] = {.lex_state = 279, .external_lex_state = 8},
  [16438] = {.lex_state = 452, .external_lex_state = 2},
  [16439] = {.lex_state = 452, .external_lex_state = 2},
  [16440] = {.lex_state = 452, .external_lex_state = 2},
  [16441] = {.lex_state = 452, .external_lex_state = 2},
  [16442] = {.lex_state = 452, .external_lex_state = 2},
  [16443] = {.lex_state = 40, .external_lex_state = 2},
  [16444] = {.lex_state = 452, .external_lex_state = 2},
  [16445] = {.lex_state = 279, .external_lex_state = 8},
  [16446] = {.lex_state = 40, .external_lex_state = 2},
  [16447] = {.lex_state = 452, .external_lex_state = 2},
  [16448] = {.lex_state = 250, .external_lex_state = 2},
  [16449] = {.lex_state = 452, .external_lex_state = 2},
  [16450] = {.lex_state = 452, .external_lex_state = 2},
  [16451] = {.lex_state = 452, .external_lex_state = 2},
  [16452] = {.lex_state = 40, .external_lex_state = 2},
  [16453] = {.lex_state = 452, .external_lex_state = 2},
  [16454] = {.lex_state = 452, .external_lex_state = 2},
  [16455] = {.lex_state = 279, .external_lex_state = 8},
  [16456] = {.lex_state = 452, .external_lex_state = 2},
  [16457] = {.lex_state = 452, .external_lex_state = 2},
  [16458] = {.lex_state = 250, .external_lex_state = 2},
  [16459] = {.lex_state = 452, .external_lex_state = 2},
  [16460] = {.lex_state = 452, .external_lex_state = 2},
  [16461] = {.lex_state = 452, .external_lex_state = 2},
  [16462] = {.lex_state = 452, .external_lex_state = 2},
  [16463] = {.lex_state = 130, .external_lex_state = 2},
  [16464] = {.lex_state = 452, .external_lex_state = 2},
  [16465] = {.lex_state = 452, .external_lex_state = 2},
  [16466] = {.lex_state = 452, .external_lex_state = 2},
  [16467] = {.lex_state = 279, .external_lex_state = 8},
  [16468] = {.lex_state = 40, .external_lex_state = 2},
  [16469] = {.lex_state = 452, .external_lex_state = 2},
  [16470] = {.lex_state = 279, .external_lex_state = 8},
  [16471] = {.lex_state = 452, .external_lex_state = 2},
  [16472] = {.lex_state = 452, .external_lex_state = 2},
  [16473] = {.lex_state = 452, .external_lex_state = 2},
  [16474] = {.lex_state = 452, .external_lex_state = 2},
  [16475] = {.lex_state = 452, .external_lex_state = 2},
  [16476] = {.lex_state = 452, .external_lex_state = 2},
  [16477] = {.lex_state = 159, .external_lex_state = 2},
  [16478] = {.lex_state = 452, .external_lex_state = 2},
  [16479] = {.lex_state = 40, .external_lex_state = 2},
  [16480] = {.lex_state = 452, .external_lex_state = 2},
  [16481] = {.lex_state = 279, .external_lex_state = 8},
  [16482] = {.lex_state = 273, .external_lex_state = 2},
  [16483] = {.lex_state = 452, .external_lex_state = 2},
  [16484] = {.lex_state = 452, .external_lex_state = 2},
  [16485] = {.lex_state = 452, .external_lex_state = 2},
  [16486] = {.lex_state = 452, .external_lex_state = 2},
  [16487] = {.lex_state = 452, .external_lex_state = 2},
  [16488] = {.lex_state = 452, .external_lex_state = 2},
  [16489] = {.lex_state = 40, .external_lex_state = 2},
  [16490] = {.lex_state = 452, .external_lex_state = 2},
  [16491] = {.lex_state = 279, .external_lex_state = 8},
  [16492] = {.lex_state = 452, .external_lex_state = 2},
  [16493] = {.lex_state = 250, .external_lex_state = 2},
  [16494] = {.lex_state = 452, .external_lex_state = 2},
  [16495] = {.lex_state = 452, .external_lex_state = 2},
  [16496] = {.lex_state = 452, .external_lex_state = 2},
  [16497] = {.lex_state = 250, .external_lex_state = 2},
  [16498] = {.lex_state = 130, .external_lex_state = 2},
  [16499] = {.lex_state = 452, .external_lex_state = 2},
  [16500] = {.lex_state = 452, .external_lex_state = 2},
  [16501] = {.lex_state = 452, .external_lex_state = 2},
  [16502] = {.lex_state = 279, .external_lex_state = 8},
  [16503] = {.lex_state = 40, .external_lex_state = 2},
  [16504] = {.lex_state = 452, .external_lex_state = 2},
  [16505] = {.lex_state = 452, .external_lex_state = 2},
  [16506] = {.lex_state = 40, .external_lex_state = 2},
  [16507] = {.lex_state = 452, .external_lex_state = 2},
  [16508] = {.lex_state = 452, .external_lex_state = 2},
  [16509] = {.lex_state = 452, .external_lex_state = 2},
  [16510] = {.lex_state = 452, .external_lex_state = 2},
  [16511] = {.lex_state = 452, .external_lex_state = 2},
  [16512] = {.lex_state = 452, .external_lex_state = 2},
  [16513] = {.lex_state = 452, .external_lex_state = 2},
  [16514] = {.lex_state = 452, .external_lex_state = 2},
  [16515] = {.lex_state = 452, .external_lex_state = 2},
  [16516] = {.lex_state = 279, .external_lex_state = 8},
  [16517] = {.lex_state = 452, .external_lex_state = 2},
  [16518] = {.lex_state = 452, .external_lex_state = 2},
  [16519] = {.lex_state = 452, .external_lex_state = 2},
  [16520] = {.lex_state = 130, .external_lex_state = 2},
  [16521] = {.lex_state = 452, .external_lex_state = 2},
  [16522] = {.lex_state = 250, .external_lex_state = 2},
  [16523] = {.lex_state = 452, .external_lex_state = 2},
  [16524] = {.lex_state = 452, .external_lex_state = 2},
  [16525] = {.lex_state = 250, .external_lex_state = 2},
  [16526] = {.lex_state = 452, .external_lex_state = 2},
  [16527] = {.lex_state = 452, .external_lex_state = 2},
  [16528] = {.lex_state = 452, .external_lex_state = 2},
  [16529] = {.lex_state = 452, .external_lex_state = 2},
  [16530] = {.lex_state = 452, .external_lex_state = 2},
  [16531] = {.lex_state = 279, .external_lex_state = 8},
  [16532] = {.lex_state = 40, .external_lex_state = 2},
  [16533] = {.lex_state = 452, .external_lex_state = 2},
  [16534] = {.lex_state = 452, .external_lex_state = 2},
  [16535] = {.lex_state = 452, .external_lex_state = 2},
  [16536] = {.lex_state = 452, .external_lex_state = 2},
  [16537] = {.lex_state = 452, .external_lex_state = 2},
  [16538] = {.lex_state = 130, .external_lex_state = 2},
  [16539] = {.lex_state = 452, .external_lex_state = 2},
  [16540] = {.lex_state = 452, .external_lex_state = 2},
  [16541] = {.lex_state = 452, .external_lex_state = 2},
  [16542] = {.lex_state = 279, .external_lex_state = 8},
  [16543] = {.lex_state = 452, .external_lex_state = 2},
  [16544] = {.lex_state = 130, .external_lex_state = 2},
  [16545] = {.lex_state = 452, .external_lex_state = 2},
  [16546] = {.lex_state = 40, .external_lex_state = 2},
  [16547] = {.lex_state = 452, .external_lex_state = 2},
  [16548] = {.lex_state = 250, .external_lex_state = 2},
  [16549] = {.lex_state = 452, .external_lex_state = 2},
  [16550] = {.lex_state = 452, .external_lex_state = 2},
  [16551] = {.lex_state = 452, .external_lex_state = 2},
  [16552] = {.lex_state = 279, .external_lex_state = 8},
  [16553] = {.lex_state = 452, .external_lex_state = 2},
  [16554] = {.lex_state = 40, .external_lex_state = 2},
  [16555] = {.lex_state = 130, .external_lex_state = 2},
  [16556] = {.lex_state = 452, .external_lex_state = 2},
  [16557] = {.lex_state = 452, .external_lex_state = 2},
  [16558] = {.lex_state = 452, .external_lex_state = 2},
  [16559] = {.lex_state = 452, .external_lex_state = 2},
  [16560] = {.lex_state = 452, .external_lex_state = 2},
  [16561] = {.lex_state = 452, .external_lex_state = 2},
  [16562] = {.lex_state = 452, .external_lex_state = 2},
  [16563] = {.lex_state = 130, .external_lex_state = 2},
  [16564] = {.lex_state = 452, .external_lex_state = 2},
  [16565] = {.lex_state = 279, .external_lex_state = 8},
  [16566] = {.lex_state = 452, .external_lex_state = 2},
  [16567] = {.lex_state = 452, .external_lex_state = 2},
  [16568] = {.lex_state = 452, .external_lex_state = 2},
  [16569] = {.lex_state = 40, .external_lex_state = 2},
  [16570] = {.lex_state = 452, .external_lex_state = 2},
  [16571] = {.lex_state = 452, .external_lex_state = 2},
  [16572] = {.lex_state = 130, .external_lex_state = 2},
  [16573] = {.lex_state = 273, .external_lex_state = 2},
  [16574] = {.lex_state = 452, .external_lex_state = 2},
  [16575] = {.lex_state = 452, .external_lex_state = 2},
  [16576] = {.lex_state = 279, .external_lex_state = 8},
  [16577] = {.lex_state = 40, .external_lex_state = 2},
  [16578] = {.lex_state = 452, .external_lex_state = 2},
  [16579] = {.lex_state = 452, .external_lex_state = 2},
  [16580] = {.lex_state = 452, .external_lex_state = 2},
  [16581] = {.lex_state = 273, .external_lex_state = 2},
  [16582] = {.lex_state = 40, .external_lex_state = 2},
  [16583] = {.lex_state = 452, .external_lex_state = 2},
  [16584] = {.lex_state = 452, .external_lex_state = 2},
  [16585] = {.lex_state = 279, .external_lex_state = 8},
  [16586] = {.lex_state = 250, .external_lex_state = 2},
  [16587] = {.lex_state = 452, .external_lex_state = 2},
  [16588] = {.lex_state = 250, .external_lex_state = 2},
  [16589] = {.lex_state = 452, .external_lex_state = 2},
  [16590] = {.lex_state = 452, .external_lex_state = 2},
  [16591] = {.lex_state = 452, .external_lex_state = 2},
  [16592] = {.lex_state = 452, .external_lex_state = 2},
  [16593] = {.lex_state = 279, .external_lex_state = 8},
  [16594] = {.lex_state = 452, .external_lex_state = 2},
  [16595] = {.lex_state = 452, .external_lex_state = 2},
  [16596] = {.lex_state = 452, .external_lex_state = 2},
  [16597] = {.lex_state = 452, .external_lex_state = 2},
  [16598] = {.lex_state = 452, .external_lex_state = 2},
  [16599] = {.lex_state = 273, .external_lex_state = 2},
  [16600] = {.lex_state = 452, .external_lex_state = 2},
  [16601] = {.lex_state = 452, .external_lex_state = 2},
  [16602] = {.lex_state = 273, .external_lex_state = 2},
  [16603] = {.lex_state = 452, .external_lex_state = 2},
  [16604] = {.lex_state = 40, .external_lex_state = 2},
  [16605] = {.lex_state = 250, .external_lex_state = 2},
  [16606] = {.lex_state = 452, .external_lex_state = 2},
  [16607] = {.lex_state = 452, .external_lex_state = 2},
  [16608] = {.lex_state = 452, .external_lex_state = 2},
  [16609] = {.lex_state = 279, .external_lex_state = 8},
  [16610] = {.lex_state = 452, .external_lex_state = 2},
  [16611] = {.lex_state = 452, .external_lex_state = 2},
  [16612] = {.lex_state = 452, .external_lex_state = 2},
  [16613] = {.lex_state = 250, .external_lex_state = 2},
  [16614] = {.lex_state = 452, .external_lex_state = 2},
  [16615] = {.lex_state = 452, .external_lex_state = 2},
  [16616] = {.lex_state = 452, .external_lex_state = 2},
  [16617] = {.lex_state = 452, .external_lex_state = 2},
  [16618] = {.lex_state = 452, .external_lex_state = 2},
  [16619] = {.lex_state = 452, .external_lex_state = 2},
  [16620] = {.lex_state = 279, .external_lex_state = 8},
  [16621] = {.lex_state = 452, .external_lex_state = 2},
  [16622] = {.lex_state = 452, .external_lex_state = 2},
  [16623] = {.lex_state = 452, .external_lex_state = 2},
  [16624] = {.lex_state = 279, .external_lex_state = 8},
  [16625] = {.lex_state = 452, .external_lex_state = 2},
  [16626] = {.lex_state = 452, .external_lex_state = 2},
  [16627] = {.lex_state = 279, .external_lex_state = 8},
  [16628] = {.lex_state = 452, .external_lex_state = 2},
  [16629] = {.lex_state = 452, .external_lex_state = 2},
  [16630] = {.lex_state = 452, .external_lex_state = 2},
  [16631] = {.lex_state = 452, .external_lex_state = 2},
  [16632] = {.lex_state = 279, .external_lex_state = 8},
  [16633] = {.lex_state = 130, .external_lex_state = 2},
  [16634] = {.lex_state = 452, .external_lex_state = 2},
  [16635] = {.lex_state = 279, .external_lex_state = 8},
  [16636] = {.lex_state = 452, .external_lex_state = 2},
  [16637] = {.lex_state = 279, .external_lex_state = 8},
  [16638] = {.lex_state = 452, .external_lex_state = 2},
  [16639] = {.lex_state = 279, .external_lex_state = 8},
  [16640] = {.lex_state = 452, .external_lex_state = 2},
  [16641] = {.lex_state = 279, .external_lex_state = 8},
  [16642] = {.lex_state = 452, .external_lex_state = 2},
  [16643] = {.lex_state = 452, .external_lex_state = 2},
  [16644] = {.lex_state = 279, .external_lex_state = 8},
  [16645] = {.lex_state = 452, .external_lex_state = 2},
  [16646] = {.lex_state = 452, .external_lex_state = 2},
  [16647] = {.lex_state = 279, .external_lex_state = 8},
  [16648] = {.lex_state = 452, .external_lex_state = 2},
  [16649] = {.lex_state = 279, .external_lex_state = 8},
  [16650] = {.lex_state = 40, .external_lex_state = 2},
  [16651] = {.lex_state = 452, .external_lex_state = 2},
  [16652] = {.lex_state = 279, .external_lex_state = 8},
  [16653] = {.lex_state = 452, .external_lex_state = 2},
  [16654] = {.lex_state = 279, .external_lex_state = 8},
  [16655] = {.lex_state = 452, .external_lex_state = 2},
  [16656] = {.lex_state = 279, .external_lex_state = 8},
  [16657] = {.lex_state = 452, .external_lex_state = 2},
  [16658] = {.lex_state = 279, .external_lex_state = 8},
  [16659] = {.lex_state = 452, .external_lex_state = 2},
  [16660] = {.lex_state = 279, .external_lex_state = 8},
  [16661] = {.lex_state = 452, .external_lex_state = 2},
  [16662] = {.lex_state = 279, .external_lex_state = 8},
  [16663] = {.lex_state = 452, .external_lex_state = 2},
  [16664] = {.lex_state = 279, .external_lex_state = 8},
  [16665] = {.lex_state = 452, .external_lex_state = 2},
  [16666] = {.lex_state = 279, .external_lex_state = 8},
  [16667] = {.lex_state = 452, .external_lex_state = 2},
  [16668] = {.lex_state = 279, .external_lex_state = 8},
  [16669] = {.lex_state = 452, .external_lex_state = 2},
  [16670] = {.lex_state = 279, .external_lex_state = 8},
  [16671] = {.lex_state = 452, .external_lex_state = 2},
  [16672] = {.lex_state = 279, .external_lex_state = 8},
  [16673] = {.lex_state = 452, .external_lex_state = 2},
  [16674] = {.lex_state = 279, .external_lex_state = 8},
  [16675] = {.lex_state = 452, .external_lex_state = 2},
  [16676] = {.lex_state = 279, .external_lex_state = 8},
  [16677] = {.lex_state = 452, .external_lex_state = 2},
  [16678] = {.lex_state = 279, .external_lex_state = 8},
  [16679] = {.lex_state = 452, .external_lex_state = 2},
  [16680] = {.lex_state = 279, .external_lex_state = 8},
  [16681] = {.lex_state = 452, .external_lex_state = 2},
  [16682] = {.lex_state = 279, .external_lex_state = 8},
  [16683] = {.lex_state = 452, .external_lex_state = 2},
  [16684] = {.lex_state = 279, .external_lex_state = 8},
  [16685] = {.lex_state = 452, .external_lex_state = 2},
  [16686] = {.lex_state = 279, .external_lex_state = 8},
  [16687] = {.lex_state = 452, .external_lex_state = 2},
  [16688] = {.lex_state = 279, .external_lex_state = 8},
  [16689] = {.lex_state = 452, .external_lex_state = 2},
  [16690] = {.lex_state = 279, .external_lex_state = 8},
  [16691] = {.lex_state = 452, .external_lex_state = 2},
  [16692] = {.lex_state = 279, .external_lex_state = 8},
  [16693] = {.lex_state = 452, .external_lex_state = 2},
  [16694] = {.lex_state = 279, .external_lex_state = 8},
  [16695] = {.lex_state = 452, .external_lex_state = 2},
  [16696] = {.lex_state = 279, .external_lex_state = 8},
  [16697] = {.lex_state = 452, .external_lex_state = 2},
  [16698] = {.lex_state = 279, .external_lex_state = 8},
  [16699] = {.lex_state = 452, .external_lex_state = 2},
  [16700] = {.lex_state = 279, .external_lex_state = 8},
  [16701] = {.lex_state = 452, .external_lex_state = 2},
  [16702] = {.lex_state = 279, .external_lex_state = 8},
  [16703] = {.lex_state = 452, .external_lex_state = 2},
  [16704] = {.lex_state = 279, .external_lex_state = 8},
  [16705] = {.lex_state = 452, .external_lex_state = 2},
  [16706] = {.lex_state = 250, .external_lex_state = 2},
  [16707] = {.lex_state = 452, .external_lex_state = 2},
  [16708] = {.lex_state = 452, .external_lex_state = 2},
  [16709] = {.lex_state = 452, .external_lex_state = 2},
  [16710] = {.lex_state = 452, .external_lex_state = 2},
  [16711] = {.lex_state = 130, .external_lex_state = 2},
  [16712] = {.lex_state = 452, .external_lex_state = 2},
  [16713] = {.lex_state = 130, .external_lex_state = 2},
  [16714] = {.lex_state = 452, .external_lex_state = 2},
  [16715] = {.lex_state = 452, .external_lex_state = 2},
  [16716] = {.lex_state = 452, .external_lex_state = 2},
  [16717] = {.lex_state = 279, .external_lex_state = 8},
  [16718] = {.lex_state = 159, .external_lex_state = 2},
  [16719] = {.lex_state = 452, .external_lex_state = 2},
  [16720] = {.lex_state = 130, .external_lex_state = 2},
  [16721] = {.lex_state = 130, .external_lex_state = 2},
  [16722] = {.lex_state = 452, .external_lex_state = 2},
  [16723] = {.lex_state = 250, .external_lex_state = 2},
  [16724] = {.lex_state = 452, .external_lex_state = 2},
  [16725] = {.lex_state = 40, .external_lex_state = 2},
  [16726] = {.lex_state = 40, .external_lex_state = 2},
  [16727] = {.lex_state = 40, .external_lex_state = 2},
  [16728] = {.lex_state = 159, .external_lex_state = 2},
  [16729] = {.lex_state = 452, .external_lex_state = 2},
  [16730] = {.lex_state = 452, .external_lex_state = 2},
  [16731] = {.lex_state = 452, .external_lex_state = 2},
  [16732] = {.lex_state = 452, .external_lex_state = 2},
  [16733] = {.lex_state = 130, .external_lex_state = 2},
  [16734] = {.lex_state = 452, .external_lex_state = 2},
  [16735] = {.lex_state = 452, .external_lex_state = 2},
  [16736] = {.lex_state = 250, .external_lex_state = 2},
  [16737] = {.lex_state = 130, .external_lex_state = 2},
  [16738] = {.lex_state = 452, .external_lex_state = 2},
  [16739] = {.lex_state = 273, .external_lex_state = 2},
  [16740] = {.lex_state = 452, .external_lex_state = 2},
  [16741] = {.lex_state = 452, .external_lex_state = 2},
  [16742] = {.lex_state = 40, .external_lex_state = 2},
  [16743] = {.lex_state = 452, .external_lex_state = 2},
  [16744] = {.lex_state = 452, .external_lex_state = 2},
  [16745] = {.lex_state = 250, .external_lex_state = 2},
  [16746] = {.lex_state = 452, .external_lex_state = 2},
  [16747] = {.lex_state = 19, .external_lex_state = 2},
  [16748] = {.lex_state = 452, .external_lex_state = 2},
  [16749] = {.lex_state = 130, .external_lex_state = 2},
  [16750] = {.lex_state = 452, .external_lex_state = 2},
  [16751] = {.lex_state = 452, .external_lex_state = 2},
  [16752] = {.lex_state = 130, .external_lex_state = 2},
  [16753] = {.lex_state = 452, .external_lex_state = 2},
  [16754] = {.lex_state = 452, .external_lex_state = 2},
  [16755] = {.lex_state = 452, .external_lex_state = 2},
  [16756] = {.lex_state = 452, .external_lex_state = 2},
  [16757] = {.lex_state = 452, .external_lex_state = 2},
  [16758] = {.lex_state = 452, .external_lex_state = 2},
  [16759] = {.lex_state = 452, .external_lex_state = 2},
  [16760] = {.lex_state = 279, .external_lex_state = 8},
  [16761] = {.lex_state = 452, .external_lex_state = 2},
  [16762] = {.lex_state = 452, .external_lex_state = 2},
  [16763] = {.lex_state = 452, .external_lex_state = 2},
  [16764] = {.lex_state = 452, .external_lex_state = 2},
  [16765] = {.lex_state = 130, .external_lex_state = 2},
  [16766] = {.lex_state = 452, .external_lex_state = 2},
  [16767] = {.lex_state = 130, .external_lex_state = 2},
  [16768] = {.lex_state = 452, .external_lex_state = 2},
  [16769] = {.lex_state = 40, .external_lex_state = 2},
  [16770] = {.lex_state = 159, .external_lex_state = 2},
  [16771] = {.lex_state = 452, .external_lex_state = 2},
  [16772] = {.lex_state = 452, .external_lex_state = 2},
  [16773] = {.lex_state = 452, .external_lex_state = 2},
  [16774] = {.lex_state = 250, .external_lex_state = 2},
  [16775] = {.lex_state = 452, .external_lex_state = 2},
  [16776] = {.lex_state = 159, .external_lex_state = 2},
  [16777] = {.lex_state = 452, .external_lex_state = 2},
  [16778] = {.lex_state = 130, .external_lex_state = 2},
  [16779] = {.lex_state = 453, .external_lex_state = 2},
  [16780] = {.lex_state = 452, .external_lex_state = 2},
  [16781] = {.lex_state = 40, .external_lex_state = 2},
  [16782] = {.lex_state = 452, .external_lex_state = 2},
  [16783] = {.lex_state = 452, .external_lex_state = 2},
  [16784] = {.lex_state = 452, .external_lex_state = 2},
  [16785] = {.lex_state = 452, .external_lex_state = 2},
  [16786] = {.lex_state = 452, .external_lex_state = 2},
  [16787] = {.lex_state = 40, .external_lex_state = 2},
  [16788] = {.lex_state = 452, .external_lex_state = 2},
  [16789] = {.lex_state = 279, .external_lex_state = 8},
  [16790] = {.lex_state = 273, .external_lex_state = 2},
  [16791] = {.lex_state = 452, .external_lex_state = 2},
  [16792] = {.lex_state = 452, .external_lex_state = 2},
  [16793] = {.lex_state = 452, .external_lex_state = 2},
  [16794] = {.lex_state = 250, .external_lex_state = 2},
  [16795] = {.lex_state = 452, .external_lex_state = 2},
  [16796] = {.lex_state = 452, .external_lex_state = 2},
  [16797] = {.lex_state = 452, .external_lex_state = 2},
  [16798] = {.lex_state = 273, .external_lex_state = 2},
  [16799] = {.lex_state = 130, .external_lex_state = 2},
  [16800] = {.lex_state = 452, .external_lex_state = 2},
  [16801] = {.lex_state = 452, .external_lex_state = 2},
  [16802] = {.lex_state = 452, .external_lex_state = 2},
  [16803] = {.lex_state = 452, .external_lex_state = 2},
  [16804] = {.lex_state = 452, .external_lex_state = 2},
  [16805] = {.lex_state = 452, .external_lex_state = 2},
  [16806] = {.lex_state = 159, .external_lex_state = 2},
  [16807] = {.lex_state = 159, .external_lex_state = 2},
  [16808] = {.lex_state = 40, .external_lex_state = 2},
  [16809] = {.lex_state = 452, .external_lex_state = 2},
  [16810] = {.lex_state = 452, .external_lex_state = 2},
  [16811] = {.lex_state = 452, .external_lex_state = 2},
  [16812] = {.lex_state = 452, .external_lex_state = 2},
  [16813] = {.lex_state = 452, .external_lex_state = 2},
  [16814] = {.lex_state = 40, .external_lex_state = 2},
  [16815] = {.lex_state = 452, .external_lex_state = 2},
  [16816] = {.lex_state = 130, .external_lex_state = 2},
  [16817] = {.lex_state = 452, .external_lex_state = 2},
  [16818] = {.lex_state = 452, .external_lex_state = 2},
  [16819] = {.lex_state = 452, .external_lex_state = 2},
  [16820] = {.lex_state = 273, .external_lex_state = 2},
  [16821] = {.lex_state = 130, .external_lex_state = 2},
  [16822] = {.lex_state = 40, .external_lex_state = 2},
  [16823] = {.lex_state = 452, .external_lex_state = 2},
  [16824] = {.lex_state = 40, .external_lex_state = 2},
  [16825] = {.lex_state = 170, .external_lex_state = 2},
  [16826] = {.lex_state = 452, .external_lex_state = 2},
  [16827] = {.lex_state = 40, .external_lex_state = 2},
  [16828] = {.lex_state = 452, .external_lex_state = 2},
  [16829] = {.lex_state = 452, .external_lex_state = 2},
  [16830] = {.lex_state = 250, .external_lex_state = 2},
  [16831] = {.lex_state = 273, .external_lex_state = 2},
  [16832] = {.lex_state = 159, .external_lex_state = 2},
  [16833] = {.lex_state = 452, .external_lex_state = 2},
  [16834] = {.lex_state = 452, .external_lex_state = 2},
  [16835] = {.lex_state = 159, .external_lex_state = 2},
  [16836] = {.lex_state = 250, .external_lex_state = 2},
  [16837] = {.lex_state = 452, .external_lex_state = 2},
  [16838] = {.lex_state = 130, .external_lex_state = 2},
  [16839] = {.lex_state = 452, .external_lex_state = 2},
  [16840] = {.lex_state = 452, .external_lex_state = 2},
  [16841] = {.lex_state = 452, .external_lex_state = 2},
  [16842] = {.lex_state = 452, .external_lex_state = 2},
  [16843] = {.lex_state = 452, .external_lex_state = 2},
  [16844] = {.lex_state = 452, .external_lex_state = 2},
  [16845] = {.lex_state = 452, .external_lex_state = 2},
  [16846] = {.lex_state = 159, .external_lex_state = 2},
  [16847] = {.lex_state = 273, .external_lex_state = 2},
  [16848] = {.lex_state = 452, .external_lex_state = 2},
  [16849] = {.lex_state = 159, .external_lex_state = 2},
  [16850] = {.lex_state = 452, .external_lex_state = 2},
  [16851] = {.lex_state = 40, .external_lex_state = 2},
  [16852] = {.lex_state = 452, .external_lex_state = 2},
  [16853] = {.lex_state = 452, .external_lex_state = 2},
  [16854] = {.lex_state = 159, .external_lex_state = 2},
  [16855] = {.lex_state = 159, .external_lex_state = 2},
  [16856] = {.lex_state = 452, .external_lex_state = 2},
  [16857] = {.lex_state = 452, .external_lex_state = 2},
  [16858] = {.lex_state = 452, .external_lex_state = 2},
  [16859] = {.lex_state = 452, .external_lex_state = 2},
  [16860] = {.lex_state = 452, .external_lex_state = 2},
  [16861] = {.lex_state = 452, .external_lex_state = 2},
  [16862] = {.lex_state = 452, .external_lex_state = 2},
  [16863] = {.lex_state = 452, .external_lex_state = 2},
  [16864] = {.lex_state = 452, .external_lex_state = 2},
  [16865] = {.lex_state = 452, .external_lex_state = 2},
  [16866] = {.lex_state = 159, .external_lex_state = 2},
  [16867] = {.lex_state = 159, .external_lex_state = 2},
  [16868] = {.lex_state = 452, .external_lex_state = 2},
  [16869] = {.lex_state = 40, .external_lex_state = 2},
  [16870] = {.lex_state = 452, .external_lex_state = 2},
  [16871] = {.lex_state = 452, .external_lex_state = 2},
  [16872] = {.lex_state = 130, .external_lex_state = 2},
  [16873] = {.lex_state = 159, .external_lex_state = 2},
  [16874] = {.lex_state = 452, .external_lex_state = 2},
  [16875] = {.lex_state = 159, .external_lex_state = 2},
  [16876] = {.lex_state = 452, .external_lex_state = 2},
  [16877] = {.lex_state = 452, .external_lex_state = 2},
  [16878] = {.lex_state = 452, .external_lex_state = 2},
  [16879] = {.lex_state = 452, .external_lex_state = 2},
  [16880] = {.lex_state = 452, .external_lex_state = 2},
  [16881] = {.lex_state = 130, .external_lex_state = 2},
  [16882] = {.lex_state = 159, .external_lex_state = 2},
  [16883] = {.lex_state = 130, .external_lex_state = 2},
  [16884] = {.lex_state = 159, .external_lex_state = 2},
  [16885] = {.lex_state = 452, .external_lex_state = 2},
  [16886] = {.lex_state = 452, .external_lex_state = 2},
  [16887] = {.lex_state = 452, .external_lex_state = 2},
  [16888] = {.lex_state = 130, .external_lex_state = 2},
  [16889] = {.lex_state = 40, .external_lex_state = 2},
  [16890] = {.lex_state = 40, .external_lex_state = 2},
  [16891] = {.lex_state = 159, .external_lex_state = 2},
  [16892] = {.lex_state = 159, .external_lex_state = 2},
  [16893] = {.lex_state = 452, .external_lex_state = 2},
  [16894] = {.lex_state = 452, .external_lex_state = 2},
  [16895] = {.lex_state = 452, .external_lex_state = 2},
  [16896] = {.lex_state = 452, .external_lex_state = 2},
  [16897] = {.lex_state = 452, .external_lex_state = 2},
  [16898] = {.lex_state = 159, .external_lex_state = 2},
  [16899] = {.lex_state = 159, .external_lex_state = 2},
  [16900] = {.lex_state = 452, .external_lex_state = 2},
  [16901] = {.lex_state = 452, .external_lex_state = 2},
  [16902] = {.lex_state = 273, .external_lex_state = 2},
  [16903] = {.lex_state = 452, .external_lex_state = 2},
  [16904] = {.lex_state = 159, .external_lex_state = 2},
  [16905] = {.lex_state = 159, .external_lex_state = 2},
  [16906] = {.lex_state = 452, .external_lex_state = 2},
  [16907] = {.lex_state = 273, .external_lex_state = 2},
  [16908] = {.lex_state = 40, .external_lex_state = 2},
  [16909] = {.lex_state = 159, .external_lex_state = 2},
  [16910] = {.lex_state = 452, .external_lex_state = 2},
  [16911] = {.lex_state = 159, .external_lex_state = 2},
  [16912] = {.lex_state = 452, .external_lex_state = 2},
  [16913] = {.lex_state = 452, .external_lex_state = 2},
  [16914] = {.lex_state = 452, .external_lex_state = 2},
  [16915] = {.lex_state = 452, .external_lex_state = 2},
  [16916] = {.lex_state = 452, .external_lex_state = 2},
  [16917] = {.lex_state = 159, .external_lex_state = 2},
  [16918] = {.lex_state = 159, .external_lex_state = 2},
  [16919] = {.lex_state = 452, .external_lex_state = 2},
  [16920] = {.lex_state = 130, .external_lex_state = 2},
  [16921] = {.lex_state = 452, .external_lex_state = 2},
  [16922] = {.lex_state = 452, .external_lex_state = 2},
  [16923] = {.lex_state = 159, .external_lex_state = 2},
  [16924] = {.lex_state = 159, .external_lex_state = 2},
  [16925] = {.lex_state = 452, .external_lex_state = 2},
  [16926] = {.lex_state = 452, .external_lex_state = 2},
  [16927] = {.lex_state = 452, .external_lex_state = 2},
  [16928] = {.lex_state = 452, .external_lex_state = 2},
  [16929] = {.lex_state = 452, .external_lex_state = 2},
  [16930] = {.lex_state = 159, .external_lex_state = 2},
  [16931] = {.lex_state = 159, .external_lex_state = 2},
  [16932] = {.lex_state = 452, .external_lex_state = 2},
  [16933] = {.lex_state = 452, .external_lex_state = 2},
  [16934] = {.lex_state = 452, .external_lex_state = 2},
  [16935] = {.lex_state = 452, .external_lex_state = 2},
  [16936] = {.lex_state = 452, .external_lex_state = 2},
  [16937] = {.lex_state = 452, .external_lex_state = 2},
  [16938] = {.lex_state = 159, .external_lex_state = 2},
  [16939] = {.lex_state = 452, .external_lex_state = 2},
  [16940] = {.lex_state = 159, .external_lex_state = 2},
  [16941] = {.lex_state = 452, .external_lex_state = 2},
  [16942] = {.lex_state = 273, .external_lex_state = 2},
  [16943] = {.lex_state = 159, .external_lex_state = 2},
  [16944] = {.lex_state = 159, .external_lex_state = 2},
  [16945] = {.lex_state = 452, .external_lex_state = 2},
  [16946] = {.lex_state = 40, .external_lex_state = 2},
  [16947] = {.lex_state = 159, .external_lex_state = 2},
  [16948] = {.lex_state = 452, .external_lex_state = 2},
  [16949] = {.lex_state = 159, .external_lex_state = 2},
  [16950] = {.lex_state = 452, .external_lex_state = 2},
  [16951] = {.lex_state = 452, .external_lex_state = 2},
  [16952] = {.lex_state = 452, .external_lex_state = 2},
  [16953] = {.lex_state = 452, .external_lex_state = 2},
  [16954] = {.lex_state = 159, .external_lex_state = 2},
  [16955] = {.lex_state = 159, .external_lex_state = 2},
  [16956] = {.lex_state = 452, .external_lex_state = 2},
  [16957] = {.lex_state = 273, .external_lex_state = 2},
  [16958] = {.lex_state = 452, .external_lex_state = 2},
  [16959] = {.lex_state = 452, .external_lex_state = 2},
  [16960] = {.lex_state = 452, .external_lex_state = 2},
  [16961] = {.lex_state = 159, .external_lex_state = 2},
  [16962] = {.lex_state = 159, .external_lex_state = 2},
  [16963] = {.lex_state = 452, .external_lex_state = 2},
  [16964] = {.lex_state = 40, .external_lex_state = 2},
  [16965] = {.lex_state = 452, .external_lex_state = 2},
  [16966] = {.lex_state = 159, .external_lex_state = 2},
  [16967] = {.lex_state = 159, .external_lex_state = 2},
  [16968] = {.lex_state = 452, .external_lex_state = 2},
  [16969] = {.lex_state = 452, .external_lex_state = 2},
  [16970] = {.lex_state = 452, .external_lex_state = 2},
  [16971] = {.lex_state = 452, .external_lex_state = 2},
  [16972] = {.lex_state = 159, .external_lex_state = 2},
  [16973] = {.lex_state = 452, .external_lex_state = 2},
  [16974] = {.lex_state = 159, .external_lex_state = 2},
  [16975] = {.lex_state = 452, .external_lex_state = 2},
  [16976] = {.lex_state = 452, .external_lex_state = 2},
  [16977] = {.lex_state = 452, .external_lex_state = 2},
  [16978] = {.lex_state = 130, .external_lex_state = 2},
  [16979] = {.lex_state = 159, .external_lex_state = 2},
  [16980] = {.lex_state = 159, .external_lex_state = 2},
  [16981] = {.lex_state = 452, .external_lex_state = 2},
  [16982] = {.lex_state = 250, .external_lex_state = 2},
  [16983] = {.lex_state = 130, .external_lex_state = 2},
  [16984] = {.lex_state = 452, .external_lex_state = 2},
  [16985] = {.lex_state = 452, .external_lex_state = 2},
  [16986] = {.lex_state = 159, .external_lex_state = 2},
  [16987] = {.lex_state = 40, .external_lex_state = 2},
  [16988] = {.lex_state = 159, .external_lex_state = 2},
  [16989] = {.lex_state = 452, .external_lex_state = 2},
  [16990] = {.lex_state = 452, .external_lex_state = 2},
  [16991] = {.lex_state = 40, .external_lex_state = 2},
  [16992] = {.lex_state = 452, .external_lex_state = 2},
  [16993] = {.lex_state = 159, .external_lex_state = 2},
  [16994] = {.lex_state = 159, .external_lex_state = 2},
  [16995] = {.lex_state = 452, .external_lex_state = 2},
  [16996] = {.lex_state = 452, .external_lex_state = 2},
  [16997] = {.lex_state = 40, .external_lex_state = 2},
  [16998] = {.lex_state = 273, .external_lex_state = 2},
  [16999] = {.lex_state = 159, .external_lex_state = 2},
  [17000] = {.lex_state = 159, .external_lex_state = 2},
  [17001] = {.lex_state = 452, .external_lex_state = 2},
  [17002] = {.lex_state = 452, .external_lex_state = 2},
  [17003] = {.lex_state = 452, .external_lex_state = 2},
  [17004] = {.lex_state = 273, .external_lex_state = 2},
  [17005] = {.lex_state = 159, .external_lex_state = 2},
  [17006] = {.lex_state = 159, .external_lex_state = 2},
  [17007] = {.lex_state = 452, .external_lex_state = 2},
  [17008] = {.lex_state = 452, .external_lex_state = 2},
  [17009] = {.lex_state = 452, .external_lex_state = 2},
  [17010] = {.lex_state = 159, .external_lex_state = 2},
  [17011] = {.lex_state = 159, .external_lex_state = 2},
  [17012] = {.lex_state = 452, .external_lex_state = 2},
  [17013] = {.lex_state = 452, .external_lex_state = 2},
  [17014] = {.lex_state = 159, .external_lex_state = 2},
  [17015] = {.lex_state = 159, .external_lex_state = 2},
  [17016] = {.lex_state = 452, .external_lex_state = 2},
  [17017] = {.lex_state = 452, .external_lex_state = 2},
  [17018] = {.lex_state = 159, .external_lex_state = 2},
  [17019] = {.lex_state = 452, .external_lex_state = 2},
  [17020] = {.lex_state = 159, .external_lex_state = 2},
  [17021] = {.lex_state = 452, .external_lex_state = 2},
  [17022] = {.lex_state = 273, .external_lex_state = 2},
  [17023] = {.lex_state = 159, .external_lex_state = 2},
  [17024] = {.lex_state = 159, .external_lex_state = 2},
  [17025] = {.lex_state = 452, .external_lex_state = 2},
  [17026] = {.lex_state = 452, .external_lex_state = 2},
  [17027] = {.lex_state = 452, .external_lex_state = 2},
  [17028] = {.lex_state = 159, .external_lex_state = 2},
  [17029] = {.lex_state = 159, .external_lex_state = 2},
  [17030] = {.lex_state = 452, .external_lex_state = 2},
  [17031] = {.lex_state = 279, .external_lex_state = 8},
  [17032] = {.lex_state = 159, .external_lex_state = 2},
  [17033] = {.lex_state = 159, .external_lex_state = 2},
  [17034] = {.lex_state = 452, .external_lex_state = 2},
  [17035] = {.lex_state = 452, .external_lex_state = 2},
  [17036] = {.lex_state = 452, .external_lex_state = 2},
  [17037] = {.lex_state = 452, .external_lex_state = 2},
  [17038] = {.lex_state = 159, .external_lex_state = 2},
  [17039] = {.lex_state = 452, .external_lex_state = 2},
  [17040] = {.lex_state = 159, .external_lex_state = 2},
  [17041] = {.lex_state = 452, .external_lex_state = 2},
  [17042] = {.lex_state = 452, .external_lex_state = 2},
  [17043] = {.lex_state = 452, .external_lex_state = 2},
  [17044] = {.lex_state = 452, .external_lex_state = 2},
  [17045] = {.lex_state = 159, .external_lex_state = 2},
  [17046] = {.lex_state = 452, .external_lex_state = 2},
  [17047] = {.lex_state = 159, .external_lex_state = 2},
  [17048] = {.lex_state = 452, .external_lex_state = 2},
  [17049] = {.lex_state = 452, .external_lex_state = 2},
  [17050] = {.lex_state = 221, .external_lex_state = 2},
  [17051] = {.lex_state = 40, .external_lex_state = 2},
  [17052] = {.lex_state = 159, .external_lex_state = 2},
  [17053] = {.lex_state = 159, .external_lex_state = 2},
  [17054] = {.lex_state = 452, .external_lex_state = 2},
  [17055] = {.lex_state = 250, .external_lex_state = 2},
  [17056] = {.lex_state = 452, .external_lex_state = 2},
  [17057] = {.lex_state = 130, .external_lex_state = 2},
  [17058] = {.lex_state = 273, .external_lex_state = 2},
  [17059] = {.lex_state = 159, .external_lex_state = 2},
  [17060] = {.lex_state = 159, .external_lex_state = 2},
  [17061] = {.lex_state = 452, .external_lex_state = 2},
  [17062] = {.lex_state = 452, .external_lex_state = 2},
  [17063] = {.lex_state = 452, .external_lex_state = 2},
  [17064] = {.lex_state = 452, .external_lex_state = 2},
  [17065] = {.lex_state = 452, .external_lex_state = 2},
  [17066] = {.lex_state = 159, .external_lex_state = 2},
  [17067] = {.lex_state = 159, .external_lex_state = 2},
  [17068] = {.lex_state = 452, .external_lex_state = 2},
  [17069] = {.lex_state = 130, .external_lex_state = 2},
  [17070] = {.lex_state = 452, .external_lex_state = 2},
  [17071] = {.lex_state = 159, .external_lex_state = 2},
  [17072] = {.lex_state = 159, .external_lex_state = 2},
  [17073] = {.lex_state = 452, .external_lex_state = 2},
  [17074] = {.lex_state = 452, .external_lex_state = 2},
  [17075] = {.lex_state = 40, .external_lex_state = 2},
  [17076] = {.lex_state = 452, .external_lex_state = 2},
  [17077] = {.lex_state = 40, .external_lex_state = 2},
  [17078] = {.lex_state = 250, .external_lex_state = 2},
  [17079] = {.lex_state = 159, .external_lex_state = 2},
  [17080] = {.lex_state = 159, .external_lex_state = 2},
  [17081] = {.lex_state = 452, .external_lex_state = 2},
  [17082] = {.lex_state = 250, .external_lex_state = 2},
  [17083] = {.lex_state = 452, .external_lex_state = 2},
  [17084] = {.lex_state = 452, .external_lex_state = 2},
  [17085] = {.lex_state = 452, .external_lex_state = 2},
  [17086] = {.lex_state = 159, .external_lex_state = 2},
  [17087] = {.lex_state = 452, .external_lex_state = 2},
  [17088] = {.lex_state = 452, .external_lex_state = 2},
  [17089] = {.lex_state = 159, .external_lex_state = 2},
  [17090] = {.lex_state = 452, .external_lex_state = 2},
  [17091] = {.lex_state = 159, .external_lex_state = 2},
  [17092] = {.lex_state = 452, .external_lex_state = 2},
  [17093] = {.lex_state = 159, .external_lex_state = 2},
  [17094] = {.lex_state = 452, .external_lex_state = 2},
  [17095] = {.lex_state = 159, .external_lex_state = 2},
  [17096] = {.lex_state = 452, .external_lex_state = 2},
  [17097] = {.lex_state = 159, .external_lex_state = 2},
  [17098] = {.lex_state = 452, .external_lex_state = 2},
  [17099] = {.lex_state = 159, .external_lex_state = 2},
  [17100] = {.lex_state = 452, .external_lex_state = 2},
  [17101] = {.lex_state = 159, .external_lex_state = 2},
  [17102] = {.lex_state = 452, .external_lex_state = 2},
  [17103] = {.lex_state = 159, .external_lex_state = 2},
  [17104] = {.lex_state = 452, .external_lex_state = 2},
  [17105] = {.lex_state = 159, .external_lex_state = 2},
  [17106] = {.lex_state = 452, .external_lex_state = 2},
  [17107] = {.lex_state = 159, .external_lex_state = 2},
  [17108] = {.lex_state = 452, .external_lex_state = 2},
  [17109] = {.lex_state = 159, .external_lex_state = 2},
  [17110] = {.lex_state = 452, .external_lex_state = 2},
  [17111] = {.lex_state = 159, .external_lex_state = 2},
  [17112] = {.lex_state = 452, .external_lex_state = 2},
  [17113] = {.lex_state = 159, .external_lex_state = 2},
  [17114] = {.lex_state = 452, .external_lex_state = 2},
  [17115] = {.lex_state = 452, .external_lex_state = 2},
  [17116] = {.lex_state = 452, .external_lex_state = 2},
  [17117] = {.lex_state = 452, .external_lex_state = 2},
  [17118] = {.lex_state = 452, .external_lex_state = 2},
  [17119] = {.lex_state = 452, .external_lex_state = 2},
  [17120] = {.lex_state = 452, .external_lex_state = 2},
  [17121] = {.lex_state = 452, .external_lex_state = 2},
  [17122] = {.lex_state = 452, .external_lex_state = 2},
  [17123] = {.lex_state = 452, .external_lex_state = 2},
  [17124] = {.lex_state = 452, .external_lex_state = 2},
  [17125] = {.lex_state = 452, .external_lex_state = 2},
  [17126] = {.lex_state = 452, .external_lex_state = 2},
  [17127] = {.lex_state = 452, .external_lex_state = 2},
  [17128] = {.lex_state = 452, .external_lex_state = 2},
  [17129] = {.lex_state = 452, .external_lex_state = 2},
  [17130] = {.lex_state = 452, .external_lex_state = 2},
  [17131] = {.lex_state = 452, .external_lex_state = 2},
  [17132] = {.lex_state = 452, .external_lex_state = 2},
  [17133] = {.lex_state = 452, .external_lex_state = 2},
  [17134] = {.lex_state = 452, .external_lex_state = 2},
  [17135] = {.lex_state = 452, .external_lex_state = 2},
  [17136] = {.lex_state = 452, .external_lex_state = 2},
  [17137] = {.lex_state = 452, .external_lex_state = 2},
  [17138] = {.lex_state = 452, .external_lex_state = 2},
  [17139] = {.lex_state = 452, .external_lex_state = 2},
  [17140] = {.lex_state = 452, .external_lex_state = 2},
  [17141] = {.lex_state = 452, .external_lex_state = 2},
  [17142] = {.lex_state = 273, .external_lex_state = 2},
  [17143] = {.lex_state = 40, .external_lex_state = 2},
  [17144] = {.lex_state = 452, .external_lex_state = 2},
  [17145] = {.lex_state = 452, .external_lex_state = 2},
  [17146] = {.lex_state = 452, .external_lex_state = 2},
  [17147] = {.lex_state = 273, .external_lex_state = 2},
  [17148] = {.lex_state = 452, .external_lex_state = 2},
  [17149] = {.lex_state = 452, .external_lex_state = 2},
  [17150] = {.lex_state = 452, .external_lex_state = 2},
  [17151] = {.lex_state = 452, .external_lex_state = 2},
  [17152] = {.lex_state = 452, .external_lex_state = 2},
  [17153] = {.lex_state = 130, .external_lex_state = 2},
  [17154] = {.lex_state = 452, .external_lex_state = 2},
  [17155] = {.lex_state = 452, .external_lex_state = 2},
  [17156] = {.lex_state = 452, .external_lex_state = 2},
  [17157] = {.lex_state = 130, .external_lex_state = 2},
  [17158] = {.lex_state = 452, .external_lex_state = 2},
  [17159] = {.lex_state = 452, .external_lex_state = 2},
  [17160] = {.lex_state = 452, .external_lex_state = 2},
  [17161] = {.lex_state = 452, .external_lex_state = 2},
  [17162] = {.lex_state = 452, .external_lex_state = 2},
  [17163] = {.lex_state = 40, .external_lex_state = 2},
  [17164] = {.lex_state = 452, .external_lex_state = 2},
  [17165] = {.lex_state = 452, .external_lex_state = 2},
  [17166] = {.lex_state = 452, .external_lex_state = 2},
  [17167] = {.lex_state = 452, .external_lex_state = 2},
  [17168] = {.lex_state = 452, .external_lex_state = 2},
  [17169] = {.lex_state = 40, .external_lex_state = 2},
  [17170] = {.lex_state = 452, .external_lex_state = 2},
  [17171] = {.lex_state = 40, .external_lex_state = 2},
  [17172] = {.lex_state = 452, .external_lex_state = 2},
  [17173] = {.lex_state = 250, .external_lex_state = 2},
  [17174] = {.lex_state = 159, .external_lex_state = 2},
  [17175] = {.lex_state = 452, .external_lex_state = 2},
  [17176] = {.lex_state = 452, .external_lex_state = 2},
  [17177] = {.lex_state = 452, .external_lex_state = 2},
  [17178] = {.lex_state = 130, .external_lex_state = 2},
  [17179] = {.lex_state = 452, .external_lex_state = 2},
  [17180] = {.lex_state = 40, .external_lex_state = 2},
  [17181] = {.lex_state = 452, .external_lex_state = 2},
  [17182] = {.lex_state = 452, .external_lex_state = 2},
  [17183] = {.lex_state = 452, .external_lex_state = 3},
  [17184] = {.lex_state = 452, .external_lex_state = 2},
  [17185] = {.lex_state = 159, .external_lex_state = 2},
  [17186] = {.lex_state = 130, .external_lex_state = 2},
  [17187] = {.lex_state = 250, .external_lex_state = 2},
  [17188] = {.lex_state = 452, .external_lex_state = 2},
  [17189] = {.lex_state = 452, .external_lex_state = 2},
  [17190] = {.lex_state = 130, .external_lex_state = 2},
  [17191] = {.lex_state = 273, .external_lex_state = 2},
  [17192] = {.lex_state = 452, .external_lex_state = 2},
  [17193] = {.lex_state = 452, .external_lex_state = 2},
  [17194] = {.lex_state = 40, .external_lex_state = 2},
  [17195] = {.lex_state = 159, .external_lex_state = 2},
  [17196] = {.lex_state = 40, .external_lex_state = 2},
  [17197] = {.lex_state = 452, .external_lex_state = 2},
  [17198] = {.lex_state = 452, .external_lex_state = 2},
  [17199] = {.lex_state = 452, .external_lex_state = 2},
  [17200] = {.lex_state = 452, .external_lex_state = 2},
  [17201] = {.lex_state = 40, .external_lex_state = 2},
  [17202] = {.lex_state = 279, .external_lex_state = 8},
  [17203] = {.lex_state = 452, .external_lex_state = 2},
  [17204] = {.lex_state = 159, .external_lex_state = 2},
  [17205] = {.lex_state = 452, .external_lex_state = 2},
  [17206] = {.lex_state = 452, .external_lex_state = 2},
  [17207] = {.lex_state = 452, .external_lex_state = 2},
  [17208] = {.lex_state = 452, .external_lex_state = 2},
  [17209] = {.lex_state = 452, .external_lex_state = 2},
  [17210] = {.lex_state = 452, .external_lex_state = 2},
  [17211] = {.lex_state = 452, .external_lex_state = 2},
  [17212] = {.lex_state = 452, .external_lex_state = 2},
  [17213] = {.lex_state = 452, .external_lex_state = 2},
  [17214] = {.lex_state = 452, .external_lex_state = 2},
  [17215] = {.lex_state = 452, .external_lex_state = 2},
  [17216] = {.lex_state = 273, .external_lex_state = 2},
  [17217] = {.lex_state = 452, .external_lex_state = 2},
  [17218] = {.lex_state = 452, .external_lex_state = 2},
  [17219] = {.lex_state = 452, .external_lex_state = 2},
  [17220] = {.lex_state = 452, .external_lex_state = 2},
  [17221] = {.lex_state = 452, .external_lex_state = 2},
  [17222] = {.lex_state = 250, .external_lex_state = 2},
  [17223] = {.lex_state = 452, .external_lex_state = 2},
  [17224] = {.lex_state = 130, .external_lex_state = 2},
  [17225] = {.lex_state = 452, .external_lex_state = 2},
  [17226] = {.lex_state = 273, .external_lex_state = 2},
  [17227] = {.lex_state = 452, .external_lex_state = 2},
  [17228] = {.lex_state = 452, .external_lex_state = 2},
  [17229] = {.lex_state = 452, .external_lex_state = 2},
  [17230] = {.lex_state = 452, .external_lex_state = 2},
  [17231] = {.lex_state = 452, .external_lex_state = 2},
  [17232] = {.lex_state = 452, .external_lex_state = 2},
  [17233] = {.lex_state = 452, .external_lex_state = 2},
  [17234] = {.lex_state = 452, .external_lex_state = 2},
  [17235] = {.lex_state = 452, .external_lex_state = 2},
  [17236] = {.lex_state = 452, .external_lex_state = 2},
  [17237] = {.lex_state = 452, .external_lex_state = 2},
  [17238] = {.lex_state = 452, .external_lex_state = 2},
  [17239] = {.lex_state = 452, .external_lex_state = 2},
  [17240] = {.lex_state = 452, .external_lex_state = 2},
  [17241] = {.lex_state = 452, .external_lex_state = 2},
  [17242] = {.lex_state = 452, .external_lex_state = 2},
  [17243] = {.lex_state = 452, .external_lex_state = 2},
  [17244] = {.lex_state = 18, .external_lex_state = 2},
  [17245] = {.lex_state = 19, .external_lex_state = 2},
  [17246] = {.lex_state = 452, .external_lex_state = 2},
  [17247] = {.lex_state = 452, .external_lex_state = 2},
  [17248] = {.lex_state = 159, .external_lex_state = 2},
  [17249] = {.lex_state = 452, .external_lex_state = 2},
  [17250] = {.lex_state = 452, .external_lex_state = 2},
  [17251] = {.lex_state = 452, .external_lex_state = 2},
  [17252] = {.lex_state = 452, .external_lex_state = 2},
  [17253] = {.lex_state = 452, .external_lex_state = 2},
  [17254] = {.lex_state = 452, .external_lex_state = 2},
  [17255] = {.lex_state = 18, .external_lex_state = 2},
  [17256] = {.lex_state = 452, .external_lex_state = 2},
  [17257] = {.lex_state = 18, .external_lex_state = 2},
  [17258] = {.lex_state = 452, .external_lex_state = 2},
  [17259] = {.lex_state = 18, .external_lex_state = 2},
  [17260] = {.lex_state = 452, .external_lex_state = 2},
  [17261] = {.lex_state = 18, .external_lex_state = 2},
  [17262] = {.lex_state = 452, .external_lex_state = 2},
  [17263] = {.lex_state = 18, .external_lex_state = 2},
  [17264] = {.lex_state = 170, .external_lex_state = 2},
  [17265] = {.lex_state = 452, .external_lex_state = 2},
  [17266] = {.lex_state = 159, .external_lex_state = 2},
  [17267] = {.lex_state = 452, .external_lex_state = 2},
  [17268] = {.lex_state = 452, .external_lex_state = 2},
  [17269] = {.lex_state = 452, .external_lex_state = 2},
  [17270] = {.lex_state = 452, .external_lex_state = 2},
  [17271] = {.lex_state = 452, .external_lex_state = 2},
  [17272] = {.lex_state = 452, .external_lex_state = 2},
  [17273] = {.lex_state = 452, .external_lex_state = 2},
  [17274] = {.lex_state = 452, .external_lex_state = 2},
  [17275] = {.lex_state = 452, .external_lex_state = 2},
  [17276] = {.lex_state = 159, .external_lex_state = 2},
  [17277] = {.lex_state = 452, .external_lex_state = 2},
  [17278] = {.lex_state = 19, .external_lex_state = 2},
  [17279] = {.lex_state = 19, .external_lex_state = 2},
  [17280] = {.lex_state = 19, .external_lex_state = 2},
  [17281] = {.lex_state = 452, .external_lex_state = 2},
  [17282] = {.lex_state = 452, .external_lex_state = 2},
  [17283] = {.lex_state = 452, .external_lex_state = 8},
  [17284] = {.lex_state = 452, .external_lex_state = 2},
  [17285] = {.lex_state = 159, .external_lex_state = 2},
  [17286] = {.lex_state = 159, .external_lex_state = 2},
  [17287] = {.lex_state = 452, .external_lex_state = 2},
  [17288] = {.lex_state = 452, .external_lex_state = 8},
  [17289] = {.lex_state = 452, .external_lex_state = 2},
  [17290] = {.lex_state = 452, .external_lex_state = 2},
  [17291] = {.lex_state = 452, .external_lex_state = 2},
  [17292] = {.lex_state = 452, .external_lex_state = 2},
  [17293] = {.lex_state = 18, .external_lex_state = 2},
  [17294] = {.lex_state = 452, .external_lex_state = 2},
  [17295] = {.lex_state = 452, .external_lex_state = 2},
  [17296] = {.lex_state = 452, .external_lex_state = 2},
  [17297] = {.lex_state = 452, .external_lex_state = 2},
  [17298] = {.lex_state = 159, .external_lex_state = 2},
  [17299] = {.lex_state = 452, .external_lex_state = 2},
  [17300] = {.lex_state = 452, .external_lex_state = 2},
  [17301] = {.lex_state = 452, .external_lex_state = 2},
  [17302] = {.lex_state = 452, .external_lex_state = 2},
  [17303] = {.lex_state = 452, .external_lex_state = 2},
  [17304] = {.lex_state = 159, .external_lex_state = 2},
  [17305] = {.lex_state = 452, .external_lex_state = 2},
  [17306] = {.lex_state = 452, .external_lex_state = 2},
  [17307] = {.lex_state = 452, .external_lex_state = 2},
  [17308] = {.lex_state = 452, .external_lex_state = 2},
  [17309] = {.lex_state = 452, .external_lex_state = 2},
  [17310] = {.lex_state = 452, .external_lex_state = 2},
  [17311] = {.lex_state = 452, .external_lex_state = 2},
  [17312] = {.lex_state = 452, .external_lex_state = 2},
  [17313] = {.lex_state = 159, .external_lex_state = 2},
  [17314] = {.lex_state = 19, .external_lex_state = 2},
  [17315] = {.lex_state = 159, .external_lex_state = 2},
  [17316] = {.lex_state = 452, .external_lex_state = 2},
  [17317] = {.lex_state = 452, .external_lex_state = 2},
  [17318] = {.lex_state = 170, .external_lex_state = 2},
  [17319] = {.lex_state = 452, .external_lex_state = 2},
  [17320] = {.lex_state = 452, .external_lex_state = 2},
  [17321] = {.lex_state = 452, .external_lex_state = 2},
  [17322] = {.lex_state = 452, .external_lex_state = 2},
  [17323] = {.lex_state = 452, .external_lex_state = 2},
  [17324] = {.lex_state = 18, .external_lex_state = 2},
  [17325] = {.lex_state = 159, .external_lex_state = 2},
  [17326] = {.lex_state = 452, .external_lex_state = 2},
  [17327] = {.lex_state = 452, .external_lex_state = 2},
  [17328] = {.lex_state = 452, .external_lex_state = 2},
  [17329] = {.lex_state = 452, .external_lex_state = 2},
  [17330] = {.lex_state = 18, .external_lex_state = 2},
  [17331] = {.lex_state = 452, .external_lex_state = 2},
  [17332] = {.lex_state = 452, .external_lex_state = 2},
  [17333] = {.lex_state = 452, .external_lex_state = 2},
  [17334] = {.lex_state = 452, .external_lex_state = 2},
  [17335] = {.lex_state = 452, .external_lex_state = 2},
  [17336] = {.lex_state = 452, .external_lex_state = 2},
  [17337] = {.lex_state = 452, .external_lex_state = 2},
  [17338] = {.lex_state = 18, .external_lex_state = 2},
  [17339] = {.lex_state = 452, .external_lex_state = 2},
  [17340] = {.lex_state = 452, .external_lex_state = 2},
  [17341] = {.lex_state = 18, .external_lex_state = 2},
  [17342] = {.lex_state = 452, .external_lex_state = 2},
  [17343] = {.lex_state = 18, .external_lex_state = 2},
  [17344] = {.lex_state = 452, .external_lex_state = 2},
  [17345] = {.lex_state = 452, .external_lex_state = 2},
  [17346] = {.lex_state = 452, .external_lex_state = 2},
  [17347] = {.lex_state = 452, .external_lex_state = 2},
  [17348] = {.lex_state = 452, .external_lex_state = 2},
  [17349] = {.lex_state = 452, .external_lex_state = 2},
  [17350] = {.lex_state = 18, .external_lex_state = 2},
  [17351] = {.lex_state = 452, .external_lex_state = 2},
  [17352] = {.lex_state = 159, .external_lex_state = 2},
  [17353] = {.lex_state = 452, .external_lex_state = 2},
  [17354] = {.lex_state = 452, .external_lex_state = 8},
  [17355] = {.lex_state = 19, .external_lex_state = 2},
  [17356] = {.lex_state = 452, .external_lex_state = 2},
  [17357] = {.lex_state = 19, .external_lex_state = 2},
  [17358] = {.lex_state = 19, .external_lex_state = 2},
  [17359] = {.lex_state = 452, .external_lex_state = 2},
  [17360] = {.lex_state = 452, .external_lex_state = 2},
  [17361] = {.lex_state = 452, .external_lex_state = 2},
  [17362] = {.lex_state = 452, .external_lex_state = 8},
  [17363] = {.lex_state = 159, .external_lex_state = 2},
  [17364] = {.lex_state = 159, .external_lex_state = 2},
  [17365] = {.lex_state = 452, .external_lex_state = 2},
  [17366] = {.lex_state = 452, .external_lex_state = 8},
  [17367] = {.lex_state = 452, .external_lex_state = 2},
  [17368] = {.lex_state = 452, .external_lex_state = 2},
  [17369] = {.lex_state = 452, .external_lex_state = 2},
  [17370] = {.lex_state = 452, .external_lex_state = 2},
  [17371] = {.lex_state = 452, .external_lex_state = 2},
  [17372] = {.lex_state = 452, .external_lex_state = 2},
  [17373] = {.lex_state = 452, .external_lex_state = 2},
  [17374] = {.lex_state = 452, .external_lex_state = 2},
  [17375] = {.lex_state = 452, .external_lex_state = 2},
  [17376] = {.lex_state = 452, .external_lex_state = 2},
  [17377] = {.lex_state = 159, .external_lex_state = 2},
  [17378] = {.lex_state = 452, .external_lex_state = 2},
  [17379] = {.lex_state = 452, .external_lex_state = 2},
  [17380] = {.lex_state = 19, .external_lex_state = 2},
  [17381] = {.lex_state = 18, .external_lex_state = 2},
  [17382] = {.lex_state = 452, .external_lex_state = 2},
  [17383] = {.lex_state = 452, .external_lex_state = 2},
  [17384] = {.lex_state = 452, .external_lex_state = 2},
  [17385] = {.lex_state = 452, .external_lex_state = 2},
  [17386] = {.lex_state = 452, .external_lex_state = 2},
  [17387] = {.lex_state = 452, .external_lex_state = 2},
  [17388] = {.lex_state = 452, .external_lex_state = 2},
  [17389] = {.lex_state = 18, .external_lex_state = 2},
  [17390] = {.lex_state = 452, .external_lex_state = 2},
  [17391] = {.lex_state = 452, .external_lex_state = 2},
  [17392] = {.lex_state = 159, .external_lex_state = 2},
  [17393] = {.lex_state = 159, .external_lex_state = 2},
  [17394] = {.lex_state = 19, .external_lex_state = 2},
  [17395] = {.lex_state = 159, .external_lex_state = 2},
  [17396] = {.lex_state = 452, .external_lex_state = 2},
  [17397] = {.lex_state = 452, .external_lex_state = 2},
  [17398] = {.lex_state = 452, .external_lex_state = 2},
  [17399] = {.lex_state = 452, .external_lex_state = 2},
  [17400] = {.lex_state = 452, .external_lex_state = 2},
  [17401] = {.lex_state = 452, .external_lex_state = 2},
  [17402] = {.lex_state = 452, .external_lex_state = 2},
  [17403] = {.lex_state = 452, .external_lex_state = 2},
  [17404] = {.lex_state = 452, .external_lex_state = 2},
  [17405] = {.lex_state = 159, .external_lex_state = 2},
  [17406] = {.lex_state = 452, .external_lex_state = 2},
  [17407] = {.lex_state = 452, .external_lex_state = 2},
  [17408] = {.lex_state = 159, .external_lex_state = 2},
  [17409] = {.lex_state = 19, .external_lex_state = 2},
  [17410] = {.lex_state = 19, .external_lex_state = 2},
  [17411] = {.lex_state = 19, .external_lex_state = 2},
  [17412] = {.lex_state = 19, .external_lex_state = 2},
  [17413] = {.lex_state = 452, .external_lex_state = 2},
  [17414] = {.lex_state = 452, .external_lex_state = 8},
  [17415] = {.lex_state = 18, .external_lex_state = 2},
  [17416] = {.lex_state = 452, .external_lex_state = 2},
  [17417] = {.lex_state = 159, .external_lex_state = 2},
  [17418] = {.lex_state = 18, .external_lex_state = 2},
  [17419] = {.lex_state = 452, .external_lex_state = 8},
  [17420] = {.lex_state = 452, .external_lex_state = 2},
  [17421] = {.lex_state = 452, .external_lex_state = 2},
  [17422] = {.lex_state = 452, .external_lex_state = 2},
  [17423] = {.lex_state = 452, .external_lex_state = 2},
  [17424] = {.lex_state = 452, .external_lex_state = 2},
  [17425] = {.lex_state = 452, .external_lex_state = 2},
  [17426] = {.lex_state = 452, .external_lex_state = 2},
  [17427] = {.lex_state = 452, .external_lex_state = 2},
  [17428] = {.lex_state = 452, .external_lex_state = 2},
  [17429] = {.lex_state = 452, .external_lex_state = 2},
  [17430] = {.lex_state = 452, .external_lex_state = 2},
  [17431] = {.lex_state = 170, .external_lex_state = 2},
  [17432] = {.lex_state = 18, .external_lex_state = 2},
  [17433] = {.lex_state = 18, .external_lex_state = 2},
  [17434] = {.lex_state = 452, .external_lex_state = 2},
  [17435] = {.lex_state = 18, .external_lex_state = 2},
  [17436] = {.lex_state = 452, .external_lex_state = 2},
  [17437] = {.lex_state = 159, .external_lex_state = 2},
  [17438] = {.lex_state = 159, .external_lex_state = 2},
  [17439] = {.lex_state = 452, .external_lex_state = 2},
  [17440] = {.lex_state = 452, .external_lex_state = 2},
  [17441] = {.lex_state = 452, .external_lex_state = 2},
  [17442] = {.lex_state = 452, .external_lex_state = 2},
  [17443] = {.lex_state = 452, .external_lex_state = 2},
  [17444] = {.lex_state = 452, .external_lex_state = 2},
  [17445] = {.lex_state = 452, .external_lex_state = 2},
  [17446] = {.lex_state = 452, .external_lex_state = 2},
  [17447] = {.lex_state = 452, .external_lex_state = 2},
  [17448] = {.lex_state = 452, .external_lex_state = 2},
  [17449] = {.lex_state = 452, .external_lex_state = 2},
  [17450] = {.lex_state = 452, .external_lex_state = 2},
  [17451] = {.lex_state = 452, .external_lex_state = 2},
  [17452] = {.lex_state = 452, .external_lex_state = 2},
  [17453] = {.lex_state = 159, .external_lex_state = 2},
  [17454] = {.lex_state = 19, .external_lex_state = 2},
  [17455] = {.lex_state = 19, .external_lex_state = 2},
  [17456] = {.lex_state = 19, .external_lex_state = 2},
  [17457] = {.lex_state = 452, .external_lex_state = 2},
  [17458] = {.lex_state = 452, .external_lex_state = 2},
  [17459] = {.lex_state = 452, .external_lex_state = 2},
  [17460] = {.lex_state = 452, .external_lex_state = 8},
  [17461] = {.lex_state = 452, .external_lex_state = 2},
  [17462] = {.lex_state = 452, .external_lex_state = 2},
  [17463] = {.lex_state = 159, .external_lex_state = 2},
  [17464] = {.lex_state = 452, .external_lex_state = 2},
  [17465] = {.lex_state = 452, .external_lex_state = 8},
  [17466] = {.lex_state = 452, .external_lex_state = 2},
  [17467] = {.lex_state = 159, .external_lex_state = 2},
  [17468] = {.lex_state = 452, .external_lex_state = 2},
  [17469] = {.lex_state = 452, .external_lex_state = 2},
  [17470] = {.lex_state = 452, .external_lex_state = 2},
  [17471] = {.lex_state = 452, .external_lex_state = 2},
  [17472] = {.lex_state = 452, .external_lex_state = 2},
  [17473] = {.lex_state = 452, .external_lex_state = 2},
  [17474] = {.lex_state = 452, .external_lex_state = 2},
  [17475] = {.lex_state = 452, .external_lex_state = 2},
  [17476] = {.lex_state = 452, .external_lex_state = 2},
  [17477] = {.lex_state = 452, .external_lex_state = 2},
  [17478] = {.lex_state = 452, .external_lex_state = 2},
  [17479] = {.lex_state = 452, .external_lex_state = 2},
  [17480] = {.lex_state = 159, .external_lex_state = 2},
  [17481] = {.lex_state = 452, .external_lex_state = 2},
  [17482] = {.lex_state = 452, .external_lex_state = 2},
  [17483] = {.lex_state = 452, .external_lex_state = 2},
  [17484] = {.lex_state = 452, .external_lex_state = 2},
  [17485] = {.lex_state = 452, .external_lex_state = 2},
  [17486] = {.lex_state = 452, .external_lex_state = 8},
  [17487] = {.lex_state = 452, .external_lex_state = 2},
  [17488] = {.lex_state = 159, .external_lex_state = 2},
  [17489] = {.lex_state = 18, .external_lex_state = 2},
  [17490] = {.lex_state = 19, .external_lex_state = 2},
  [17491] = {.lex_state = 19, .external_lex_state = 2},
  [17492] = {.lex_state = 452, .external_lex_state = 2},
  [17493] = {.lex_state = 19, .external_lex_state = 2},
  [17494] = {.lex_state = 452, .external_lex_state = 2},
  [17495] = {.lex_state = 452, .external_lex_state = 2},
  [17496] = {.lex_state = 452, .external_lex_state = 8},
  [17497] = {.lex_state = 452, .external_lex_state = 2},
  [17498] = {.lex_state = 18, .external_lex_state = 2},
  [17499] = {.lex_state = 159, .external_lex_state = 2},
  [17500] = {.lex_state = 452, .external_lex_state = 2},
  [17501] = {.lex_state = 452, .external_lex_state = 8},
  [17502] = {.lex_state = 452, .external_lex_state = 2},
  [17503] = {.lex_state = 452, .external_lex_state = 2},
  [17504] = {.lex_state = 452, .external_lex_state = 2},
  [17505] = {.lex_state = 452, .external_lex_state = 2},
  [17506] = {.lex_state = 452, .external_lex_state = 2},
  [17507] = {.lex_state = 452, .external_lex_state = 2},
  [17508] = {.lex_state = 18, .external_lex_state = 2},
  [17509] = {.lex_state = 452, .external_lex_state = 2},
  [17510] = {.lex_state = 452, .external_lex_state = 2},
  [17511] = {.lex_state = 159, .external_lex_state = 2},
  [17512] = {.lex_state = 159, .external_lex_state = 2},
  [17513] = {.lex_state = 452, .external_lex_state = 2},
  [17514] = {.lex_state = 18, .external_lex_state = 2},
  [17515] = {.lex_state = 18, .external_lex_state = 2},
  [17516] = {.lex_state = 452, .external_lex_state = 2},
  [17517] = {.lex_state = 452, .external_lex_state = 2},
  [17518] = {.lex_state = 452, .external_lex_state = 2},
  [17519] = {.lex_state = 452, .external_lex_state = 2},
  [17520] = {.lex_state = 19, .external_lex_state = 2},
  [17521] = {.lex_state = 452, .external_lex_state = 2},
  [17522] = {.lex_state = 452, .external_lex_state = 2},
  [17523] = {.lex_state = 452, .external_lex_state = 2},
  [17524] = {.lex_state = 19, .external_lex_state = 2},
  [17525] = {.lex_state = 452, .external_lex_state = 2},
  [17526] = {.lex_state = 19, .external_lex_state = 2},
  [17527] = {.lex_state = 452, .external_lex_state = 2},
  [17528] = {.lex_state = 93, .external_lex_state = 2},
  [17529] = {.lex_state = 452, .external_lex_state = 8},
  [17530] = {.lex_state = 159, .external_lex_state = 2},
  [17531] = {.lex_state = 452, .external_lex_state = 2},
  [17532] = {.lex_state = 452, .external_lex_state = 2},
  [17533] = {.lex_state = 452, .external_lex_state = 2},
  [17534] = {.lex_state = 452, .external_lex_state = 2},
  [17535] = {.lex_state = 161, .external_lex_state = 2},
  [17536] = {.lex_state = 452, .external_lex_state = 2},
  [17537] = {.lex_state = 452, .external_lex_state = 2},
  [17538] = {.lex_state = 452, .external_lex_state = 2},
  [17539] = {.lex_state = 452, .external_lex_state = 2},
  [17540] = {.lex_state = 452, .external_lex_state = 2},
  [17541] = {.lex_state = 452, .external_lex_state = 2},
  [17542] = {.lex_state = 452, .external_lex_state = 2},
  [17543] = {.lex_state = 452, .external_lex_state = 2},
  [17544] = {.lex_state = 452, .external_lex_state = 2},
  [17545] = {.lex_state = 452, .external_lex_state = 2},
  [17546] = {.lex_state = 6, .external_lex_state = 2},
  [17547] = {.lex_state = 452, .external_lex_state = 2},
  [17548] = {.lex_state = 19, .external_lex_state = 2},
  [17549] = {.lex_state = 19, .external_lex_state = 2},
  [17550] = {.lex_state = 452, .external_lex_state = 2},
  [17551] = {.lex_state = 19, .external_lex_state = 2},
  [17552] = {.lex_state = 452, .external_lex_state = 2},
  [17553] = {.lex_state = 452, .external_lex_state = 2},
  [17554] = {.lex_state = 452, .external_lex_state = 8},
  [17555] = {.lex_state = 452, .external_lex_state = 2},
  [17556] = {.lex_state = 159, .external_lex_state = 2},
  [17557] = {.lex_state = 159, .external_lex_state = 2},
  [17558] = {.lex_state = 452, .external_lex_state = 2},
  [17559] = {.lex_state = 159, .external_lex_state = 2},
  [17560] = {.lex_state = 159, .external_lex_state = 2},
  [17561] = {.lex_state = 452, .external_lex_state = 2},
  [17562] = {.lex_state = 452, .external_lex_state = 2},
  [17563] = {.lex_state = 452, .external_lex_state = 2},
  [17564] = {.lex_state = 452, .external_lex_state = 2},
  [17565] = {.lex_state = 452, .external_lex_state = 2},
  [17566] = {.lex_state = 452, .external_lex_state = 2},
  [17567] = {.lex_state = 452, .external_lex_state = 2},
  [17568] = {.lex_state = 452, .external_lex_state = 2},
  [17569] = {.lex_state = 452, .external_lex_state = 2},
  [17570] = {.lex_state = 18, .external_lex_state = 2},
  [17571] = {.lex_state = 452, .external_lex_state = 2},
  [17572] = {.lex_state = 452, .external_lex_state = 2},
  [17573] = {.lex_state = 452, .external_lex_state = 2},
  [17574] = {.lex_state = 19, .external_lex_state = 2},
  [17575] = {.lex_state = 19, .external_lex_state = 2},
  [17576] = {.lex_state = 19, .external_lex_state = 2},
  [17577] = {.lex_state = 18, .external_lex_state = 2},
  [17578] = {.lex_state = 452, .external_lex_state = 2},
  [17579] = {.lex_state = 159, .external_lex_state = 2},
  [17580] = {.lex_state = 159, .external_lex_state = 2},
  [17581] = {.lex_state = 452, .external_lex_state = 8},
  [17582] = {.lex_state = 452, .external_lex_state = 2},
  [17583] = {.lex_state = 452, .external_lex_state = 2},
  [17584] = {.lex_state = 452, .external_lex_state = 2},
  [17585] = {.lex_state = 159, .external_lex_state = 2},
  [17586] = {.lex_state = 452, .external_lex_state = 2},
  [17587] = {.lex_state = 40, .external_lex_state = 2},
  [17588] = {.lex_state = 452, .external_lex_state = 2},
  [17589] = {.lex_state = 452, .external_lex_state = 2},
  [17590] = {.lex_state = 18, .external_lex_state = 2},
  [17591] = {.lex_state = 452, .external_lex_state = 2},
  [17592] = {.lex_state = 452, .external_lex_state = 2},
  [17593] = {.lex_state = 452, .external_lex_state = 2},
  [17594] = {.lex_state = 452, .external_lex_state = 2},
  [17595] = {.lex_state = 452, .external_lex_state = 2},
  [17596] = {.lex_state = 452, .external_lex_state = 2},
  [17597] = {.lex_state = 452, .external_lex_state = 2},
  [17598] = {.lex_state = 18, .external_lex_state = 2},
  [17599] = {.lex_state = 452, .external_lex_state = 2},
  [17600] = {.lex_state = 19, .external_lex_state = 2},
  [17601] = {.lex_state = 19, .external_lex_state = 2},
  [17602] = {.lex_state = 19, .external_lex_state = 2},
  [17603] = {.lex_state = 452, .external_lex_state = 8},
  [17604] = {.lex_state = 18, .external_lex_state = 2},
  [17605] = {.lex_state = 452, .external_lex_state = 2},
  [17606] = {.lex_state = 159, .external_lex_state = 2},
  [17607] = {.lex_state = 19, .external_lex_state = 2},
  [17608] = {.lex_state = 452, .external_lex_state = 2},
  [17609] = {.lex_state = 18, .external_lex_state = 2},
  [17610] = {.lex_state = 452, .external_lex_state = 2},
  [17611] = {.lex_state = 452, .external_lex_state = 2},
  [17612] = {.lex_state = 452, .external_lex_state = 2},
  [17613] = {.lex_state = 452, .external_lex_state = 2},
  [17614] = {.lex_state = 452, .external_lex_state = 2},
  [17615] = {.lex_state = 452, .external_lex_state = 2},
  [17616] = {.lex_state = 452, .external_lex_state = 2},
  [17617] = {.lex_state = 452, .external_lex_state = 2},
  [17618] = {.lex_state = 452, .external_lex_state = 2},
  [17619] = {.lex_state = 452, .external_lex_state = 2},
  [17620] = {.lex_state = 19, .external_lex_state = 2},
  [17621] = {.lex_state = 452, .external_lex_state = 2},
  [17622] = {.lex_state = 19, .external_lex_state = 2},
  [17623] = {.lex_state = 19, .external_lex_state = 2},
  [17624] = {.lex_state = 452, .external_lex_state = 2},
  [17625] = {.lex_state = 452, .external_lex_state = 2},
  [17626] = {.lex_state = 452, .external_lex_state = 2},
  [17627] = {.lex_state = 452, .external_lex_state = 2},
  [17628] = {.lex_state = 452, .external_lex_state = 8},
  [17629] = {.lex_state = 452, .external_lex_state = 2},
  [17630] = {.lex_state = 159, .external_lex_state = 2},
  [17631] = {.lex_state = 452, .external_lex_state = 2},
  [17632] = {.lex_state = 452, .external_lex_state = 2},
  [17633] = {.lex_state = 452, .external_lex_state = 2},
  [17634] = {.lex_state = 452, .external_lex_state = 2},
  [17635] = {.lex_state = 452, .external_lex_state = 2},
  [17636] = {.lex_state = 452, .external_lex_state = 2},
  [17637] = {.lex_state = 452, .external_lex_state = 2},
  [17638] = {.lex_state = 452, .external_lex_state = 2},
  [17639] = {.lex_state = 18, .external_lex_state = 2},
  [17640] = {.lex_state = 452, .external_lex_state = 2},
  [17641] = {.lex_state = 452, .external_lex_state = 2},
  [17642] = {.lex_state = 452, .external_lex_state = 2},
  [17643] = {.lex_state = 452, .external_lex_state = 2},
  [17644] = {.lex_state = 18, .external_lex_state = 2},
  [17645] = {.lex_state = 19, .external_lex_state = 2},
  [17646] = {.lex_state = 452, .external_lex_state = 2},
  [17647] = {.lex_state = 452, .external_lex_state = 2},
  [17648] = {.lex_state = 18, .external_lex_state = 2},
  [17649] = {.lex_state = 19, .external_lex_state = 2},
  [17650] = {.lex_state = 19, .external_lex_state = 2},
  [17651] = {.lex_state = 452, .external_lex_state = 2},
  [17652] = {.lex_state = 452, .external_lex_state = 8},
  [17653] = {.lex_state = 452, .external_lex_state = 2},
  [17654] = {.lex_state = 18, .external_lex_state = 2},
  [17655] = {.lex_state = 452, .external_lex_state = 2},
  [17656] = {.lex_state = 159, .external_lex_state = 2},
  [17657] = {.lex_state = 452, .external_lex_state = 2},
  [17658] = {.lex_state = 452, .external_lex_state = 2},
  [17659] = {.lex_state = 452, .external_lex_state = 2},
  [17660] = {.lex_state = 452, .external_lex_state = 2},
  [17661] = {.lex_state = 452, .external_lex_state = 2},
  [17662] = {.lex_state = 452, .external_lex_state = 2},
  [17663] = {.lex_state = 452, .external_lex_state = 2},
  [17664] = {.lex_state = 159, .external_lex_state = 2},
  [17665] = {.lex_state = 19, .external_lex_state = 2},
  [17666] = {.lex_state = 19, .external_lex_state = 2},
  [17667] = {.lex_state = 19, .external_lex_state = 2},
  [17668] = {.lex_state = 452, .external_lex_state = 2},
  [17669] = {.lex_state = 452, .external_lex_state = 8},
  [17670] = {.lex_state = 93, .external_lex_state = 2},
  [17671] = {.lex_state = 452, .external_lex_state = 2},
  [17672] = {.lex_state = 18, .external_lex_state = 2},
  [17673] = {.lex_state = 452, .external_lex_state = 2},
  [17674] = {.lex_state = 452, .external_lex_state = 2},
  [17675] = {.lex_state = 452, .external_lex_state = 2},
  [17676] = {.lex_state = 452, .external_lex_state = 2},
  [17677] = {.lex_state = 452, .external_lex_state = 2},
  [17678] = {.lex_state = 452, .external_lex_state = 2},
  [17679] = {.lex_state = 452, .external_lex_state = 2},
  [17680] = {.lex_state = 19, .external_lex_state = 2},
  [17681] = {.lex_state = 19, .external_lex_state = 2},
  [17682] = {.lex_state = 19, .external_lex_state = 2},
  [17683] = {.lex_state = 159, .external_lex_state = 2},
  [17684] = {.lex_state = 452, .external_lex_state = 2},
  [17685] = {.lex_state = 452, .external_lex_state = 2},
  [17686] = {.lex_state = 452, .external_lex_state = 2},
  [17687] = {.lex_state = 452, .external_lex_state = 8},
  [17688] = {.lex_state = 452, .external_lex_state = 2},
  [17689] = {.lex_state = 452, .external_lex_state = 2},
  [17690] = {.lex_state = 452, .external_lex_state = 2},
  [17691] = {.lex_state = 452, .external_lex_state = 2},
  [17692] = {.lex_state = 452, .external_lex_state = 2},
  [17693] = {.lex_state = 452, .external_lex_state = 2},
  [17694] = {.lex_state = 452, .external_lex_state = 2},
  [17695] = {.lex_state = 452, .external_lex_state = 2},
  [17696] = {.lex_state = 19, .external_lex_state = 2},
  [17697] = {.lex_state = 19, .external_lex_state = 2},
  [17698] = {.lex_state = 19, .external_lex_state = 2},
  [17699] = {.lex_state = 18, .external_lex_state = 2},
  [17700] = {.lex_state = 452, .external_lex_state = 2},
  [17701] = {.lex_state = 452, .external_lex_state = 8},
  [17702] = {.lex_state = 18, .external_lex_state = 2},
  [17703] = {.lex_state = 18, .external_lex_state = 2},
  [17704] = {.lex_state = 452, .external_lex_state = 2},
  [17705] = {.lex_state = 452, .external_lex_state = 2},
  [17706] = {.lex_state = 452, .external_lex_state = 2},
  [17707] = {.lex_state = 452, .external_lex_state = 2},
  [17708] = {.lex_state = 452, .external_lex_state = 2},
  [17709] = {.lex_state = 452, .external_lex_state = 2},
  [17710] = {.lex_state = 452, .external_lex_state = 2},
  [17711] = {.lex_state = 452, .external_lex_state = 2},
  [17712] = {.lex_state = 18, .external_lex_state = 2},
  [17713] = {.lex_state = 452, .external_lex_state = 2},
  [17714] = {.lex_state = 19, .external_lex_state = 2},
  [17715] = {.lex_state = 19, .external_lex_state = 2},
  [17716] = {.lex_state = 19, .external_lex_state = 2},
  [17717] = {.lex_state = 452, .external_lex_state = 2},
  [17718] = {.lex_state = 452, .external_lex_state = 2},
  [17719] = {.lex_state = 452, .external_lex_state = 2},
  [17720] = {.lex_state = 452, .external_lex_state = 8},
  [17721] = {.lex_state = 452, .external_lex_state = 2},
  [17722] = {.lex_state = 452, .external_lex_state = 2},
  [17723] = {.lex_state = 452, .external_lex_state = 2},
  [17724] = {.lex_state = 452, .external_lex_state = 2},
  [17725] = {.lex_state = 452, .external_lex_state = 2},
  [17726] = {.lex_state = 452, .external_lex_state = 2},
  [17727] = {.lex_state = 452, .external_lex_state = 2},
  [17728] = {.lex_state = 452, .external_lex_state = 2},
  [17729] = {.lex_state = 452, .external_lex_state = 2},
  [17730] = {.lex_state = 452, .external_lex_state = 2},
  [17731] = {.lex_state = 452, .external_lex_state = 2},
  [17732] = {.lex_state = 452, .external_lex_state = 2},
  [17733] = {.lex_state = 18, .external_lex_state = 2},
  [17734] = {.lex_state = 452, .external_lex_state = 2},
  [17735] = {.lex_state = 452, .external_lex_state = 2},
  [17736] = {.lex_state = 19, .external_lex_state = 2},
  [17737] = {.lex_state = 452, .external_lex_state = 2},
  [17738] = {.lex_state = 19, .external_lex_state = 2},
  [17739] = {.lex_state = 19, .external_lex_state = 2},
  [17740] = {.lex_state = 452, .external_lex_state = 2},
  [17741] = {.lex_state = 452, .external_lex_state = 2},
  [17742] = {.lex_state = 452, .external_lex_state = 2},
  [17743] = {.lex_state = 452, .external_lex_state = 2},
  [17744] = {.lex_state = 452, .external_lex_state = 2},
  [17745] = {.lex_state = 452, .external_lex_state = 8},
  [17746] = {.lex_state = 452, .external_lex_state = 2},
  [17747] = {.lex_state = 452, .external_lex_state = 2},
  [17748] = {.lex_state = 18, .external_lex_state = 2},
  [17749] = {.lex_state = 452, .external_lex_state = 2},
  [17750] = {.lex_state = 452, .external_lex_state = 2},
  [17751] = {.lex_state = 452, .external_lex_state = 2},
  [17752] = {.lex_state = 452, .external_lex_state = 2},
  [17753] = {.lex_state = 452, .external_lex_state = 2},
  [17754] = {.lex_state = 452, .external_lex_state = 2},
  [17755] = {.lex_state = 452, .external_lex_state = 2},
  [17756] = {.lex_state = 19, .external_lex_state = 2},
  [17757] = {.lex_state = 19, .external_lex_state = 2},
  [17758] = {.lex_state = 19, .external_lex_state = 2},
  [17759] = {.lex_state = 452, .external_lex_state = 2},
  [17760] = {.lex_state = 452, .external_lex_state = 2},
  [17761] = {.lex_state = 452, .external_lex_state = 8},
  [17762] = {.lex_state = 18, .external_lex_state = 2},
  [17763] = {.lex_state = 452, .external_lex_state = 2},
  [17764] = {.lex_state = 452, .external_lex_state = 2},
  [17765] = {.lex_state = 452, .external_lex_state = 2},
  [17766] = {.lex_state = 452, .external_lex_state = 2},
  [17767] = {.lex_state = 452, .external_lex_state = 2},
  [17768] = {.lex_state = 452, .external_lex_state = 2},
  [17769] = {.lex_state = 452, .external_lex_state = 2},
  [17770] = {.lex_state = 159, .external_lex_state = 2},
  [17771] = {.lex_state = 19, .external_lex_state = 2},
  [17772] = {.lex_state = 19, .external_lex_state = 2},
  [17773] = {.lex_state = 19, .external_lex_state = 2},
  [17774] = {.lex_state = 452, .external_lex_state = 2},
  [17775] = {.lex_state = 452, .external_lex_state = 2},
  [17776] = {.lex_state = 452, .external_lex_state = 2},
  [17777] = {.lex_state = 452, .external_lex_state = 8},
  [17778] = {.lex_state = 452, .external_lex_state = 2},
  [17779] = {.lex_state = 452, .external_lex_state = 2},
  [17780] = {.lex_state = 452, .external_lex_state = 2},
  [17781] = {.lex_state = 452, .external_lex_state = 2},
  [17782] = {.lex_state = 452, .external_lex_state = 2},
  [17783] = {.lex_state = 452, .external_lex_state = 2},
  [17784] = {.lex_state = 452, .external_lex_state = 2},
  [17785] = {.lex_state = 452, .external_lex_state = 2},
  [17786] = {.lex_state = 452, .external_lex_state = 2},
  [17787] = {.lex_state = 19, .external_lex_state = 2},
  [17788] = {.lex_state = 159, .external_lex_state = 2},
  [17789] = {.lex_state = 452, .external_lex_state = 2},
  [17790] = {.lex_state = 19, .external_lex_state = 2},
  [17791] = {.lex_state = 19, .external_lex_state = 2},
  [17792] = {.lex_state = 452, .external_lex_state = 2},
  [17793] = {.lex_state = 452, .external_lex_state = 2},
  [17794] = {.lex_state = 452, .external_lex_state = 8},
  [17795] = {.lex_state = 159, .external_lex_state = 2},
  [17796] = {.lex_state = 18, .external_lex_state = 2},
  [17797] = {.lex_state = 452, .external_lex_state = 2},
  [17798] = {.lex_state = 452, .external_lex_state = 2},
  [17799] = {.lex_state = 452, .external_lex_state = 2},
  [17800] = {.lex_state = 452, .external_lex_state = 2},
  [17801] = {.lex_state = 452, .external_lex_state = 2},
  [17802] = {.lex_state = 452, .external_lex_state = 2},
  [17803] = {.lex_state = 452, .external_lex_state = 2},
  [17804] = {.lex_state = 452, .external_lex_state = 2},
  [17805] = {.lex_state = 452, .external_lex_state = 2},
  [17806] = {.lex_state = 452, .external_lex_state = 2},
  [17807] = {.lex_state = 19, .external_lex_state = 2},
  [17808] = {.lex_state = 452, .external_lex_state = 2},
  [17809] = {.lex_state = 19, .external_lex_state = 2},
  [17810] = {.lex_state = 18, .external_lex_state = 2},
  [17811] = {.lex_state = 19, .external_lex_state = 2},
  [17812] = {.lex_state = 18, .external_lex_state = 2},
  [17813] = {.lex_state = 452, .external_lex_state = 2},
  [17814] = {.lex_state = 452, .external_lex_state = 2},
  [17815] = {.lex_state = 452, .external_lex_state = 2},
  [17816] = {.lex_state = 452, .external_lex_state = 8},
  [17817] = {.lex_state = 159, .external_lex_state = 2},
  [17818] = {.lex_state = 452, .external_lex_state = 2},
  [17819] = {.lex_state = 452, .external_lex_state = 2},
  [17820] = {.lex_state = 452, .external_lex_state = 2},
  [17821] = {.lex_state = 18, .external_lex_state = 2},
  [17822] = {.lex_state = 452, .external_lex_state = 2},
  [17823] = {.lex_state = 19, .external_lex_state = 2},
  [17824] = {.lex_state = 19, .external_lex_state = 2},
  [17825] = {.lex_state = 159, .external_lex_state = 2},
  [17826] = {.lex_state = 452, .external_lex_state = 8},
  [17827] = {.lex_state = 452, .external_lex_state = 2},
  [17828] = {.lex_state = 452, .external_lex_state = 2},
  [17829] = {.lex_state = 452, .external_lex_state = 2},
  [17830] = {.lex_state = 452, .external_lex_state = 2},
  [17831] = {.lex_state = 452, .external_lex_state = 2},
  [17832] = {.lex_state = 452, .external_lex_state = 2},
  [17833] = {.lex_state = 452, .external_lex_state = 2},
  [17834] = {.lex_state = 452, .external_lex_state = 2},
  [17835] = {.lex_state = 19, .external_lex_state = 2},
  [17836] = {.lex_state = 452, .external_lex_state = 8},
  [17837] = {.lex_state = 452, .external_lex_state = 2},
  [17838] = {.lex_state = 452, .external_lex_state = 2},
  [17839] = {.lex_state = 452, .external_lex_state = 2},
  [17840] = {.lex_state = 452, .external_lex_state = 2},
  [17841] = {.lex_state = 452, .external_lex_state = 2},
  [17842] = {.lex_state = 452, .external_lex_state = 2},
  [17843] = {.lex_state = 452, .external_lex_state = 2},
  [17844] = {.lex_state = 452, .external_lex_state = 2},
  [17845] = {.lex_state = 452, .external_lex_state = 2},
  [17846] = {.lex_state = 18, .external_lex_state = 2},
  [17847] = {.lex_state = 19, .external_lex_state = 2},
  [17848] = {.lex_state = 452, .external_lex_state = 2},
  [17849] = {.lex_state = 452, .external_lex_state = 8},
  [17850] = {.lex_state = 18, .external_lex_state = 2},
  [17851] = {.lex_state = 18, .external_lex_state = 2},
  [17852] = {.lex_state = 452, .external_lex_state = 2},
  [17853] = {.lex_state = 452, .external_lex_state = 2},
  [17854] = {.lex_state = 452, .external_lex_state = 2},
  [17855] = {.lex_state = 452, .external_lex_state = 2},
  [17856] = {.lex_state = 452, .external_lex_state = 2},
  [17857] = {.lex_state = 452, .external_lex_state = 2},
  [17858] = {.lex_state = 452, .external_lex_state = 2},
  [17859] = {.lex_state = 19, .external_lex_state = 2},
  [17860] = {.lex_state = 452, .external_lex_state = 2},
  [17861] = {.lex_state = 452, .external_lex_state = 8},
  [17862] = {.lex_state = 452, .external_lex_state = 2},
  [17863] = {.lex_state = 159, .external_lex_state = 2},
  [17864] = {.lex_state = 452, .external_lex_state = 2},
  [17865] = {.lex_state = 452, .external_lex_state = 2},
  [17866] = {.lex_state = 452, .external_lex_state = 2},
  [17867] = {.lex_state = 6, .external_lex_state = 2},
  [17868] = {.lex_state = 452, .external_lex_state = 2},
  [17869] = {.lex_state = 159, .external_lex_state = 2},
  [17870] = {.lex_state = 18, .external_lex_state = 2},
  [17871] = {.lex_state = 19, .external_lex_state = 2},
  [17872] = {.lex_state = 18, .external_lex_state = 2},
  [17873] = {.lex_state = 452, .external_lex_state = 8},
  [17874] = {.lex_state = 452, .external_lex_state = 2},
  [17875] = {.lex_state = 452, .external_lex_state = 2},
  [17876] = {.lex_state = 452, .external_lex_state = 2},
  [17877] = {.lex_state = 452, .external_lex_state = 2},
  [17878] = {.lex_state = 452, .external_lex_state = 2},
  [17879] = {.lex_state = 452, .external_lex_state = 2},
  [17880] = {.lex_state = 452, .external_lex_state = 2},
  [17881] = {.lex_state = 452, .external_lex_state = 2},
  [17882] = {.lex_state = 452, .external_lex_state = 2},
  [17883] = {.lex_state = 19, .external_lex_state = 2},
  [17884] = {.lex_state = 452, .external_lex_state = 2},
  [17885] = {.lex_state = 452, .external_lex_state = 8},
  [17886] = {.lex_state = 18, .external_lex_state = 2},
  [17887] = {.lex_state = 18, .external_lex_state = 2},
  [17888] = {.lex_state = 452, .external_lex_state = 2},
  [17889] = {.lex_state = 452, .external_lex_state = 2},
  [17890] = {.lex_state = 159, .external_lex_state = 2},
  [17891] = {.lex_state = 452, .external_lex_state = 2},
  [17892] = {.lex_state = 452, .external_lex_state = 2},
  [17893] = {.lex_state = 452, .external_lex_state = 2},
  [17894] = {.lex_state = 452, .external_lex_state = 2},
  [17895] = {.lex_state = 452, .external_lex_state = 2},
  [17896] = {.lex_state = 19, .external_lex_state = 2},
  [17897] = {.lex_state = 452, .external_lex_state = 2},
  [17898] = {.lex_state = 452, .external_lex_state = 8},
  [17899] = {.lex_state = 159, .external_lex_state = 2},
  [17900] = {.lex_state = 452, .external_lex_state = 2},
  [17901] = {.lex_state = 18, .external_lex_state = 2},
  [17902] = {.lex_state = 18, .external_lex_state = 2},
  [17903] = {.lex_state = 159, .external_lex_state = 2},
  [17904] = {.lex_state = 159, .external_lex_state = 2},
  [17905] = {.lex_state = 452, .external_lex_state = 2},
  [17906] = {.lex_state = 452, .external_lex_state = 2},
  [17907] = {.lex_state = 452, .external_lex_state = 2},
  [17908] = {.lex_state = 452, .external_lex_state = 2},
  [17909] = {.lex_state = 452, .external_lex_state = 2},
  [17910] = {.lex_state = 19, .external_lex_state = 2},
  [17911] = {.lex_state = 18, .external_lex_state = 2},
  [17912] = {.lex_state = 452, .external_lex_state = 8},
  [17913] = {.lex_state = 452, .external_lex_state = 2},
  [17914] = {.lex_state = 452, .external_lex_state = 2},
  [17915] = {.lex_state = 452, .external_lex_state = 2},
  [17916] = {.lex_state = 452, .external_lex_state = 2},
  [17917] = {.lex_state = 452, .external_lex_state = 2},
  [17918] = {.lex_state = 452, .external_lex_state = 2},
  [17919] = {.lex_state = 452, .external_lex_state = 2},
  [17920] = {.lex_state = 18, .external_lex_state = 2},
  [17921] = {.lex_state = 18, .external_lex_state = 2},
  [17922] = {.lex_state = 19, .external_lex_state = 2},
  [17923] = {.lex_state = 18, .external_lex_state = 2},
  [17924] = {.lex_state = 452, .external_lex_state = 2},
  [17925] = {.lex_state = 452, .external_lex_state = 8},
  [17926] = {.lex_state = 170, .external_lex_state = 2},
  [17927] = {.lex_state = 452, .external_lex_state = 2},
  [17928] = {.lex_state = 452, .external_lex_state = 2},
  [17929] = {.lex_state = 452, .external_lex_state = 2},
  [17930] = {.lex_state = 452, .external_lex_state = 2},
  [17931] = {.lex_state = 452, .external_lex_state = 2},
  [17932] = {.lex_state = 452, .external_lex_state = 2},
  [17933] = {.lex_state = 452, .external_lex_state = 2},
  [17934] = {.lex_state = 452, .external_lex_state = 2},
  [17935] = {.lex_state = 159, .external_lex_state = 2},
  [17936] = {.lex_state = 19, .external_lex_state = 2},
  [17937] = {.lex_state = 18, .external_lex_state = 2},
  [17938] = {.lex_state = 452, .external_lex_state = 2},
  [17939] = {.lex_state = 452, .external_lex_state = 8},
  [17940] = {.lex_state = 18, .external_lex_state = 2},
  [17941] = {.lex_state = 452, .external_lex_state = 2},
  [17942] = {.lex_state = 452, .external_lex_state = 2},
  [17943] = {.lex_state = 452, .external_lex_state = 2},
  [17944] = {.lex_state = 452, .external_lex_state = 2},
  [17945] = {.lex_state = 452, .external_lex_state = 2},
  [17946] = {.lex_state = 452, .external_lex_state = 2},
  [17947] = {.lex_state = 452, .external_lex_state = 2},
  [17948] = {.lex_state = 452, .external_lex_state = 2},
  [17949] = {.lex_state = 452, .external_lex_state = 2},
  [17950] = {.lex_state = 19, .external_lex_state = 2},
  [17951] = {.lex_state = 452, .external_lex_state = 8},
  [17952] = {.lex_state = 452, .external_lex_state = 2},
  [17953] = {.lex_state = 18, .external_lex_state = 2},
  [17954] = {.lex_state = 452, .external_lex_state = 2},
  [17955] = {.lex_state = 18, .external_lex_state = 2},
  [17956] = {.lex_state = 452, .external_lex_state = 2},
  [17957] = {.lex_state = 452, .external_lex_state = 2},
  [17958] = {.lex_state = 452, .external_lex_state = 2},
  [17959] = {.lex_state = 452, .external_lex_state = 2},
  [17960] = {.lex_state = 452, .external_lex_state = 2},
  [17961] = {.lex_state = 159, .external_lex_state = 2},
  [17962] = {.lex_state = 452, .external_lex_state = 2},
  [17963] = {.lex_state = 452, .external_lex_state = 2},
  [17964] = {.lex_state = 452, .external_lex_state = 8},
  [17965] = {.lex_state = 452, .external_lex_state = 2},
  [17966] = {.lex_state = 18, .external_lex_state = 2},
  [17967] = {.lex_state = 18, .external_lex_state = 2},
  [17968] = {.lex_state = 452, .external_lex_state = 2},
  [17969] = {.lex_state = 452, .external_lex_state = 2},
  [17970] = {.lex_state = 452, .external_lex_state = 2},
  [17971] = {.lex_state = 452, .external_lex_state = 2},
  [17972] = {.lex_state = 452, .external_lex_state = 2},
  [17973] = {.lex_state = 452, .external_lex_state = 8},
  [17974] = {.lex_state = 159, .external_lex_state = 2},
  [17975] = {.lex_state = 452, .external_lex_state = 2},
  [17976] = {.lex_state = 452, .external_lex_state = 2},
  [17977] = {.lex_state = 452, .external_lex_state = 2},
  [17978] = {.lex_state = 452, .external_lex_state = 2},
  [17979] = {.lex_state = 452, .external_lex_state = 2},
  [17980] = {.lex_state = 452, .external_lex_state = 2},
  [17981] = {.lex_state = 93, .external_lex_state = 2},
  [17982] = {.lex_state = 18, .external_lex_state = 2},
  [17983] = {.lex_state = 18, .external_lex_state = 2},
  [17984] = {.lex_state = 452, .external_lex_state = 2},
  [17985] = {.lex_state = 452, .external_lex_state = 8},
  [17986] = {.lex_state = 452, .external_lex_state = 2},
  [17987] = {.lex_state = 452, .external_lex_state = 2},
  [17988] = {.lex_state = 452, .external_lex_state = 2},
  [17989] = {.lex_state = 452, .external_lex_state = 2},
  [17990] = {.lex_state = 452, .external_lex_state = 2},
  [17991] = {.lex_state = 452, .external_lex_state = 2},
  [17992] = {.lex_state = 452, .external_lex_state = 2},
  [17993] = {.lex_state = 452, .external_lex_state = 2},
  [17994] = {.lex_state = 159, .external_lex_state = 2},
  [17995] = {.lex_state = 18, .external_lex_state = 2},
  [17996] = {.lex_state = 18, .external_lex_state = 2},
  [17997] = {.lex_state = 452, .external_lex_state = 8},
  [17998] = {.lex_state = 452, .external_lex_state = 2},
  [17999] = {.lex_state = 452, .external_lex_state = 2},
  [18000] = {.lex_state = 159, .external_lex_state = 2},
  [18001] = {.lex_state = 452, .external_lex_state = 2},
  [18002] = {.lex_state = 452, .external_lex_state = 2},
  [18003] = {.lex_state = 452, .external_lex_state = 2},
  [18004] = {.lex_state = 452, .external_lex_state = 2},
  [18005] = {.lex_state = 452, .external_lex_state = 2},
  [18006] = {.lex_state = 452, .external_lex_state = 8},
  [18007] = {.lex_state = 18, .external_lex_state = 2},
  [18008] = {.lex_state = 18, .external_lex_state = 2},
  [18009] = {.lex_state = 18, .external_lex_state = 2},
  [18010] = {.lex_state = 452, .external_lex_state = 2},
  [18011] = {.lex_state = 452, .external_lex_state = 2},
  [18012] = {.lex_state = 452, .external_lex_state = 2},
  [18013] = {.lex_state = 452, .external_lex_state = 2},
  [18014] = {.lex_state = 452, .external_lex_state = 2},
  [18015] = {.lex_state = 452, .external_lex_state = 2},
  [18016] = {.lex_state = 452, .external_lex_state = 2},
  [18017] = {.lex_state = 452, .external_lex_state = 2},
  [18018] = {.lex_state = 452, .external_lex_state = 2},
  [18019] = {.lex_state = 452, .external_lex_state = 8},
  [18020] = {.lex_state = 452, .external_lex_state = 2},
  [18021] = {.lex_state = 452, .external_lex_state = 2},
  [18022] = {.lex_state = 18, .external_lex_state = 2},
  [18023] = {.lex_state = 452, .external_lex_state = 2},
  [18024] = {.lex_state = 452, .external_lex_state = 2},
  [18025] = {.lex_state = 452, .external_lex_state = 2},
  [18026] = {.lex_state = 18, .external_lex_state = 2},
  [18027] = {.lex_state = 452, .external_lex_state = 2},
  [18028] = {.lex_state = 18, .external_lex_state = 2},
  [18029] = {.lex_state = 18, .external_lex_state = 2},
  [18030] = {.lex_state = 452, .external_lex_state = 8},
  [18031] = {.lex_state = 452, .external_lex_state = 2},
  [18032] = {.lex_state = 452, .external_lex_state = 2},
  [18033] = {.lex_state = 452, .external_lex_state = 2},
  [18034] = {.lex_state = 452, .external_lex_state = 2},
  [18035] = {.lex_state = 452, .external_lex_state = 2},
  [18036] = {.lex_state = 452, .external_lex_state = 2},
  [18037] = {.lex_state = 452, .external_lex_state = 2},
  [18038] = {.lex_state = 18, .external_lex_state = 2},
  [18039] = {.lex_state = 452, .external_lex_state = 8},
  [18040] = {.lex_state = 452, .external_lex_state = 2},
  [18041] = {.lex_state = 18, .external_lex_state = 2},
  [18042] = {.lex_state = 452, .external_lex_state = 2},
  [18043] = {.lex_state = 452, .external_lex_state = 2},
  [18044] = {.lex_state = 452, .external_lex_state = 2},
  [18045] = {.lex_state = 452, .external_lex_state = 2},
  [18046] = {.lex_state = 452, .external_lex_state = 2},
  [18047] = {.lex_state = 452, .external_lex_state = 2},
  [18048] = {.lex_state = 452, .external_lex_state = 2},
  [18049] = {.lex_state = 452, .external_lex_state = 8},
  [18050] = {.lex_state = 452, .external_lex_state = 2},
  [18051] = {.lex_state = 452, .external_lex_state = 2},
  [18052] = {.lex_state = 452, .external_lex_state = 2},
  [18053] = {.lex_state = 452, .external_lex_state = 2},
  [18054] = {.lex_state = 452, .external_lex_state = 8},
  [18055] = {.lex_state = 452, .external_lex_state = 2},
  [18056] = {.lex_state = 452, .external_lex_state = 2},
  [18057] = {.lex_state = 452, .external_lex_state = 2},
  [18058] = {.lex_state = 452, .external_lex_state = 8},
  [18059] = {.lex_state = 452, .external_lex_state = 2},
  [18060] = {.lex_state = 452, .external_lex_state = 2},
  [18061] = {.lex_state = 452, .external_lex_state = 2},
  [18062] = {.lex_state = 452, .external_lex_state = 8},
  [18063] = {.lex_state = 452, .external_lex_state = 2},
  [18064] = {.lex_state = 452, .external_lex_state = 2},
  [18065] = {.lex_state = 452, .external_lex_state = 2},
  [18066] = {.lex_state = 452, .external_lex_state = 2},
  [18067] = {.lex_state = 452, .external_lex_state = 8},
  [18068] = {.lex_state = 452, .external_lex_state = 2},
  [18069] = {.lex_state = 452, .external_lex_state = 2},
  [18070] = {.lex_state = 452, .external_lex_state = 2},
  [18071] = {.lex_state = 18, .external_lex_state = 2},
  [18072] = {.lex_state = 452, .external_lex_state = 8},
  [18073] = {.lex_state = 452, .external_lex_state = 2},
  [18074] = {.lex_state = 452, .external_lex_state = 2},
  [18075] = {.lex_state = 452, .external_lex_state = 2},
  [18076] = {.lex_state = 159, .external_lex_state = 2},
  [18077] = {.lex_state = 159, .external_lex_state = 2},
  [18078] = {.lex_state = 452, .external_lex_state = 8},
  [18079] = {.lex_state = 452, .external_lex_state = 2},
  [18080] = {.lex_state = 452, .external_lex_state = 2},
  [18081] = {.lex_state = 452, .external_lex_state = 2},
  [18082] = {.lex_state = 452, .external_lex_state = 8},
  [18083] = {.lex_state = 452, .external_lex_state = 2},
  [18084] = {.lex_state = 452, .external_lex_state = 2},
  [18085] = {.lex_state = 452, .external_lex_state = 2},
  [18086] = {.lex_state = 452, .external_lex_state = 8},
  [18087] = {.lex_state = 452, .external_lex_state = 2},
  [18088] = {.lex_state = 452, .external_lex_state = 2},
  [18089] = {.lex_state = 452, .external_lex_state = 2},
  [18090] = {.lex_state = 452, .external_lex_state = 8},
  [18091] = {.lex_state = 452, .external_lex_state = 2},
  [18092] = {.lex_state = 452, .external_lex_state = 2},
  [18093] = {.lex_state = 452, .external_lex_state = 2},
  [18094] = {.lex_state = 452, .external_lex_state = 8},
  [18095] = {.lex_state = 452, .external_lex_state = 2},
  [18096] = {.lex_state = 452, .external_lex_state = 2},
  [18097] = {.lex_state = 452, .external_lex_state = 2},
  [18098] = {.lex_state = 452, .external_lex_state = 8},
  [18099] = {.lex_state = 452, .external_lex_state = 2},
  [18100] = {.lex_state = 452, .external_lex_state = 2},
  [18101] = {.lex_state = 452, .external_lex_state = 2},
  [18102] = {.lex_state = 452, .external_lex_state = 8},
  [18103] = {.lex_state = 452, .external_lex_state = 2},
  [18104] = {.lex_state = 452, .external_lex_state = 2},
  [18105] = {.lex_state = 452, .external_lex_state = 2},
  [18106] = {.lex_state = 452, .external_lex_state = 8},
  [18107] = {.lex_state = 452, .external_lex_state = 2},
  [18108] = {.lex_state = 452, .external_lex_state = 2},
  [18109] = {.lex_state = 452, .external_lex_state = 2},
  [18110] = {.lex_state = 159, .external_lex_state = 2},
  [18111] = {.lex_state = 452, .external_lex_state = 8},
  [18112] = {.lex_state = 452, .external_lex_state = 8},
  [18113] = {.lex_state = 452, .external_lex_state = 2},
  [18114] = {.lex_state = 452, .external_lex_state = 8},
  [18115] = {.lex_state = 452, .external_lex_state = 8},
  [18116] = {.lex_state = 452, .external_lex_state = 8},
  [18117] = {.lex_state = 452, .external_lex_state = 8},
  [18118] = {.lex_state = 452, .external_lex_state = 8},
  [18119] = {.lex_state = 452, .external_lex_state = 8},
  [18120] = {.lex_state = 452, .external_lex_state = 8},
  [18121] = {.lex_state = 452, .external_lex_state = 8},
  [18122] = {.lex_state = 452, .external_lex_state = 8},
  [18123] = {.lex_state = 452, .external_lex_state = 8},
  [18124] = {.lex_state = 452, .external_lex_state = 8},
  [18125] = {.lex_state = 452, .external_lex_state = 8},
  [18126] = {.lex_state = 452, .external_lex_state = 8},
  [18127] = {.lex_state = 452, .external_lex_state = 8},
  [18128] = {.lex_state = 452, .external_lex_state = 8},
  [18129] = {.lex_state = 452, .external_lex_state = 8},
  [18130] = {.lex_state = 18, .external_lex_state = 2},
  [18131] = {.lex_state = 452, .external_lex_state = 8},
  [18132] = {.lex_state = 452, .external_lex_state = 8},
  [18133] = {.lex_state = 452, .external_lex_state = 8},
  [18134] = {.lex_state = 452, .external_lex_state = 8},
  [18135] = {.lex_state = 452, .external_lex_state = 8},
  [18136] = {.lex_state = 452, .external_lex_state = 8},
  [18137] = {.lex_state = 452, .external_lex_state = 2},
  [18138] = {.lex_state = 452, .external_lex_state = 2},
  [18139] = {.lex_state = 159, .external_lex_state = 2},
  [18140] = {.lex_state = 452, .external_lex_state = 2},
  [18141] = {.lex_state = 452, .external_lex_state = 2},
  [18142] = {.lex_state = 452, .external_lex_state = 2},
  [18143] = {.lex_state = 452, .external_lex_state = 2},
  [18144] = {.lex_state = 159, .external_lex_state = 2},
  [18145] = {.lex_state = 452, .external_lex_state = 2},
  [18146] = {.lex_state = 452, .external_lex_state = 2},
  [18147] = {.lex_state = 19, .external_lex_state = 2},
  [18148] = {.lex_state = 159, .external_lex_state = 2},
  [18149] = {.lex_state = 452, .external_lex_state = 2},
  [18150] = {.lex_state = 159, .external_lex_state = 2},
  [18151] = {.lex_state = 19, .external_lex_state = 2},
  [18152] = {.lex_state = 452, .external_lex_state = 2},
  [18153] = {.lex_state = 19, .external_lex_state = 2},
  [18154] = {.lex_state = 452, .external_lex_state = 2},
  [18155] = {.lex_state = 452, .external_lex_state = 8},
  [18156] = {.lex_state = 18, .external_lex_state = 2},
  [18157] = {.lex_state = 452, .external_lex_state = 2},
  [18158] = {.lex_state = 452, .external_lex_state = 2},
  [18159] = {.lex_state = 452, .external_lex_state = 2},
  [18160] = {.lex_state = 452, .external_lex_state = 2},
  [18161] = {.lex_state = 159, .external_lex_state = 2},
  [18162] = {.lex_state = 159, .external_lex_state = 2},
  [18163] = {.lex_state = 19, .external_lex_state = 2},
  [18164] = {.lex_state = 452, .external_lex_state = 2},
  [18165] = {.lex_state = 161, .external_lex_state = 2},
  [18166] = {.lex_state = 452, .external_lex_state = 8},
  [18167] = {.lex_state = 452, .external_lex_state = 2},
  [18168] = {.lex_state = 452, .external_lex_state = 2},
  [18169] = {.lex_state = 18, .external_lex_state = 2},
  [18170] = {.lex_state = 452, .external_lex_state = 2},
  [18171] = {.lex_state = 452, .external_lex_state = 2},
  [18172] = {.lex_state = 452, .external_lex_state = 2},
  [18173] = {.lex_state = 452, .external_lex_state = 2},
  [18174] = {.lex_state = 452, .external_lex_state = 2},
  [18175] = {.lex_state = 161, .external_lex_state = 2},
  [18176] = {.lex_state = 18, .external_lex_state = 2},
  [18177] = {.lex_state = 452, .external_lex_state = 2},
  [18178] = {.lex_state = 452, .external_lex_state = 2},
  [18179] = {.lex_state = 452, .external_lex_state = 2},
  [18180] = {.lex_state = 452, .external_lex_state = 2},
  [18181] = {.lex_state = 452, .external_lex_state = 2},
  [18182] = {.lex_state = 159, .external_lex_state = 2},
  [18183] = {.lex_state = 452, .external_lex_state = 2},
  [18184] = {.lex_state = 452, .external_lex_state = 2},
  [18185] = {.lex_state = 452, .external_lex_state = 2},
  [18186] = {.lex_state = 159, .external_lex_state = 2},
  [18187] = {.lex_state = 159, .external_lex_state = 2},
  [18188] = {.lex_state = 159, .external_lex_state = 2},
  [18189] = {.lex_state = 18, .external_lex_state = 2},
  [18190] = {.lex_state = 452, .external_lex_state = 2},
  [18191] = {.lex_state = 159, .external_lex_state = 2},
  [18192] = {.lex_state = 452, .external_lex_state = 2},
  [18193] = {.lex_state = 452, .external_lex_state = 2},
  [18194] = {.lex_state = 452, .external_lex_state = 2},
  [18195] = {.lex_state = 452, .external_lex_state = 2},
  [18196] = {.lex_state = 452, .external_lex_state = 2},
  [18197] = {.lex_state = 452, .external_lex_state = 2},
  [18198] = {.lex_state = 452, .external_lex_state = 8},
  [18199] = {.lex_state = 452, .external_lex_state = 2},
  [18200] = {.lex_state = 159, .external_lex_state = 2},
  [18201] = {.lex_state = 452, .external_lex_state = 2},
  [18202] = {.lex_state = 452, .external_lex_state = 2},
  [18203] = {.lex_state = 452, .external_lex_state = 2},
  [18204] = {.lex_state = 161, .external_lex_state = 2},
  [18205] = {.lex_state = 452, .external_lex_state = 2},
  [18206] = {.lex_state = 452, .external_lex_state = 2},
  [18207] = {.lex_state = 452, .external_lex_state = 2},
  [18208] = {.lex_state = 452, .external_lex_state = 2},
  [18209] = {.lex_state = 452, .external_lex_state = 2},
  [18210] = {.lex_state = 161, .external_lex_state = 2},
  [18211] = {.lex_state = 18, .external_lex_state = 2},
  [18212] = {.lex_state = 18, .external_lex_state = 2},
  [18213] = {.lex_state = 452, .external_lex_state = 2},
  [18214] = {.lex_state = 452, .external_lex_state = 2},
  [18215] = {.lex_state = 452, .external_lex_state = 2},
  [18216] = {.lex_state = 18, .external_lex_state = 2},
  [18217] = {.lex_state = 452, .external_lex_state = 2},
  [18218] = {.lex_state = 452, .external_lex_state = 2},
  [18219] = {.lex_state = 452, .external_lex_state = 2},
  [18220] = {.lex_state = 452, .external_lex_state = 2},
  [18221] = {.lex_state = 452, .external_lex_state = 2},
  [18222] = {.lex_state = 452, .external_lex_state = 2},
  [18223] = {.lex_state = 452, .external_lex_state = 2},
  [18224] = {.lex_state = 452, .external_lex_state = 2},
  [18225] = {.lex_state = 452, .external_lex_state = 2},
  [18226] = {.lex_state = 159, .external_lex_state = 2},
  [18227] = {.lex_state = 161, .external_lex_state = 2},
  [18228] = {.lex_state = 452, .external_lex_state = 2},
  [18229] = {.lex_state = 452, .external_lex_state = 2},
  [18230] = {.lex_state = 452, .external_lex_state = 2},
  [18231] = {.lex_state = 161, .external_lex_state = 2},
  [18232] = {.lex_state = 228, .external_lex_state = 2},
  [18233] = {.lex_state = 452, .external_lex_state = 2},
  [18234] = {.lex_state = 452, .external_lex_state = 2},
  [18235] = {.lex_state = 452, .external_lex_state = 2},
  [18236] = {.lex_state = 452, .external_lex_state = 2},
  [18237] = {.lex_state = 452, .external_lex_state = 2},
  [18238] = {.lex_state = 159, .external_lex_state = 2},
  [18239] = {.lex_state = 452, .external_lex_state = 2},
  [18240] = {.lex_state = 452, .external_lex_state = 2},
  [18241] = {.lex_state = 452, .external_lex_state = 2},
  [18242] = {.lex_state = 159, .external_lex_state = 2},
  [18243] = {.lex_state = 452, .external_lex_state = 2},
  [18244] = {.lex_state = 452, .external_lex_state = 2},
  [18245] = {.lex_state = 18, .external_lex_state = 2},
  [18246] = {.lex_state = 452, .external_lex_state = 2},
  [18247] = {.lex_state = 452, .external_lex_state = 2},
  [18248] = {.lex_state = 19, .external_lex_state = 2},
  [18249] = {.lex_state = 452, .external_lex_state = 2},
  [18250] = {.lex_state = 452, .external_lex_state = 2},
  [18251] = {.lex_state = 452, .external_lex_state = 2},
  [18252] = {.lex_state = 18, .external_lex_state = 2},
  [18253] = {.lex_state = 452, .external_lex_state = 2},
  [18254] = {.lex_state = 452, .external_lex_state = 2},
  [18255] = {.lex_state = 452, .external_lex_state = 2},
  [18256] = {.lex_state = 452, .external_lex_state = 2},
  [18257] = {.lex_state = 452, .external_lex_state = 2},
  [18258] = {.lex_state = 452, .external_lex_state = 2},
  [18259] = {.lex_state = 18, .external_lex_state = 2},
  [18260] = {.lex_state = 452, .external_lex_state = 2},
  [18261] = {.lex_state = 452, .external_lex_state = 2},
  [18262] = {.lex_state = 452, .external_lex_state = 2},
  [18263] = {.lex_state = 159, .external_lex_state = 2},
  [18264] = {.lex_state = 452, .external_lex_state = 2},
  [18265] = {.lex_state = 19, .external_lex_state = 2},
  [18266] = {.lex_state = 452, .external_lex_state = 2},
  [18267] = {.lex_state = 452, .external_lex_state = 2},
  [18268] = {.lex_state = 452, .external_lex_state = 2},
  [18269] = {.lex_state = 452, .external_lex_state = 2},
  [18270] = {.lex_state = 452, .external_lex_state = 2},
  [18271] = {.lex_state = 18, .external_lex_state = 2},
  [18272] = {.lex_state = 6, .external_lex_state = 2},
  [18273] = {.lex_state = 452, .external_lex_state = 2},
  [18274] = {.lex_state = 452, .external_lex_state = 2},
  [18275] = {.lex_state = 452, .external_lex_state = 2},
  [18276] = {.lex_state = 452, .external_lex_state = 2},
  [18277] = {.lex_state = 159, .external_lex_state = 2},
  [18278] = {.lex_state = 452, .external_lex_state = 2},
  [18279] = {.lex_state = 452, .external_lex_state = 2},
  [18280] = {.lex_state = 452, .external_lex_state = 2},
  [18281] = {.lex_state = 452, .external_lex_state = 2},
  [18282] = {.lex_state = 452, .external_lex_state = 2},
  [18283] = {.lex_state = 19, .external_lex_state = 2},
  [18284] = {.lex_state = 452, .external_lex_state = 2},
  [18285] = {.lex_state = 452, .external_lex_state = 2},
  [18286] = {.lex_state = 452, .external_lex_state = 2},
  [18287] = {.lex_state = 159, .external_lex_state = 2},
  [18288] = {.lex_state = 452, .external_lex_state = 2},
  [18289] = {.lex_state = 452, .external_lex_state = 2},
  [18290] = {.lex_state = 159, .external_lex_state = 2},
  [18291] = {.lex_state = 452, .external_lex_state = 2},
  [18292] = {.lex_state = 452, .external_lex_state = 2},
  [18293] = {.lex_state = 452, .external_lex_state = 2},
  [18294] = {.lex_state = 452, .external_lex_state = 2},
  [18295] = {.lex_state = 452, .external_lex_state = 2},
  [18296] = {.lex_state = 18, .external_lex_state = 2},
  [18297] = {.lex_state = 452, .external_lex_state = 2},
  [18298] = {.lex_state = 452, .external_lex_state = 2},
  [18299] = {.lex_state = 452, .external_lex_state = 2},
  [18300] = {.lex_state = 452, .external_lex_state = 2},
  [18301] = {.lex_state = 159, .external_lex_state = 2},
  [18302] = {.lex_state = 452, .external_lex_state = 8},
  [18303] = {.lex_state = 18, .external_lex_state = 2},
  [18304] = {.lex_state = 18, .external_lex_state = 2},
  [18305] = {.lex_state = 452, .external_lex_state = 2},
  [18306] = {.lex_state = 452, .external_lex_state = 2},
  [18307] = {.lex_state = 452, .external_lex_state = 2},
  [18308] = {.lex_state = 452, .external_lex_state = 2},
  [18309] = {.lex_state = 452, .external_lex_state = 2},
  [18310] = {.lex_state = 6, .external_lex_state = 2},
  [18311] = {.lex_state = 452, .external_lex_state = 2},
  [18312] = {.lex_state = 452, .external_lex_state = 2},
  [18313] = {.lex_state = 18, .external_lex_state = 2},
  [18314] = {.lex_state = 452, .external_lex_state = 2},
  [18315] = {.lex_state = 452, .external_lex_state = 2},
  [18316] = {.lex_state = 452, .external_lex_state = 2},
  [18317] = {.lex_state = 452, .external_lex_state = 2},
  [18318] = {.lex_state = 452, .external_lex_state = 2},
  [18319] = {.lex_state = 452, .external_lex_state = 2},
  [18320] = {.lex_state = 452, .external_lex_state = 2},
  [18321] = {.lex_state = 452, .external_lex_state = 2},
  [18322] = {.lex_state = 159, .external_lex_state = 2},
  [18323] = {.lex_state = 452, .external_lex_state = 2},
  [18324] = {.lex_state = 452, .external_lex_state = 2},
  [18325] = {.lex_state = 452, .external_lex_state = 2},
  [18326] = {.lex_state = 452, .external_lex_state = 2},
  [18327] = {.lex_state = 159, .external_lex_state = 2},
  [18328] = {.lex_state = 452, .external_lex_state = 2},
  [18329] = {.lex_state = 170, .external_lex_state = 2},
  [18330] = {.lex_state = 159, .external_lex_state = 2},
  [18331] = {.lex_state = 159, .external_lex_state = 2},
  [18332] = {.lex_state = 452, .external_lex_state = 2},
  [18333] = {.lex_state = 159, .external_lex_state = 2},
  [18334] = {.lex_state = 452, .external_lex_state = 2},
  [18335] = {.lex_state = 170, .external_lex_state = 2},
  [18336] = {.lex_state = 452, .external_lex_state = 2},
  [18337] = {.lex_state = 452, .external_lex_state = 2},
  [18338] = {.lex_state = 159, .external_lex_state = 2},
  [18339] = {.lex_state = 452, .external_lex_state = 2},
  [18340] = {.lex_state = 159, .external_lex_state = 2},
  [18341] = {.lex_state = 452, .external_lex_state = 2},
  [18342] = {.lex_state = 452, .external_lex_state = 2},
  [18343] = {.lex_state = 452, .external_lex_state = 2},
  [18344] = {.lex_state = 18, .external_lex_state = 2},
  [18345] = {.lex_state = 6, .external_lex_state = 2},
  [18346] = {.lex_state = 452, .external_lex_state = 2},
  [18347] = {.lex_state = 159, .external_lex_state = 2},
  [18348] = {.lex_state = 159, .external_lex_state = 2},
  [18349] = {.lex_state = 452, .external_lex_state = 2},
  [18350] = {.lex_state = 452, .external_lex_state = 2},
  [18351] = {.lex_state = 452, .external_lex_state = 2},
  [18352] = {.lex_state = 159, .external_lex_state = 2},
  [18353] = {.lex_state = 452, .external_lex_state = 2},
  [18354] = {.lex_state = 452, .external_lex_state = 2},
  [18355] = {.lex_state = 159, .external_lex_state = 2},
  [18356] = {.lex_state = 452, .external_lex_state = 2},
  [18357] = {.lex_state = 221, .external_lex_state = 2},
  [18358] = {.lex_state = 452, .external_lex_state = 2},
  [18359] = {.lex_state = 452, .external_lex_state = 2},
  [18360] = {.lex_state = 452, .external_lex_state = 2},
  [18361] = {.lex_state = 18, .external_lex_state = 2},
  [18362] = {.lex_state = 452, .external_lex_state = 2},
  [18363] = {.lex_state = 18, .external_lex_state = 2},
  [18364] = {.lex_state = 452, .external_lex_state = 2},
  [18365] = {.lex_state = 18, .external_lex_state = 2},
  [18366] = {.lex_state = 452, .external_lex_state = 2},
  [18367] = {.lex_state = 18, .external_lex_state = 2},
  [18368] = {.lex_state = 18, .external_lex_state = 2},
  [18369] = {.lex_state = 452, .external_lex_state = 2},
  [18370] = {.lex_state = 452, .external_lex_state = 2},
  [18371] = {.lex_state = 452, .external_lex_state = 2},
  [18372] = {.lex_state = 452, .external_lex_state = 2},
  [18373] = {.lex_state = 452, .external_lex_state = 2},
  [18374] = {.lex_state = 18, .external_lex_state = 2},
  [18375] = {.lex_state = 452, .external_lex_state = 2},
  [18376] = {.lex_state = 161, .external_lex_state = 2},
  [18377] = {.lex_state = 452, .external_lex_state = 2},
  [18378] = {.lex_state = 452, .external_lex_state = 2},
  [18379] = {.lex_state = 452, .external_lex_state = 2},
  [18380] = {.lex_state = 452, .external_lex_state = 2},
  [18381] = {.lex_state = 18, .external_lex_state = 2},
  [18382] = {.lex_state = 452, .external_lex_state = 2},
  [18383] = {.lex_state = 452, .external_lex_state = 2},
  [18384] = {.lex_state = 18, .external_lex_state = 2},
  [18385] = {.lex_state = 452, .external_lex_state = 2},
  [18386] = {.lex_state = 452, .external_lex_state = 2},
  [18387] = {.lex_state = 452, .external_lex_state = 2},
  [18388] = {.lex_state = 159, .external_lex_state = 2},
  [18389] = {.lex_state = 452, .external_lex_state = 2},
  [18390] = {.lex_state = 159, .external_lex_state = 2},
  [18391] = {.lex_state = 159, .external_lex_state = 2},
  [18392] = {.lex_state = 452, .external_lex_state = 2},
  [18393] = {.lex_state = 18, .external_lex_state = 2},
  [18394] = {.lex_state = 452, .external_lex_state = 2},
  [18395] = {.lex_state = 159, .external_lex_state = 2},
  [18396] = {.lex_state = 452, .external_lex_state = 2},
  [18397] = {.lex_state = 452, .external_lex_state = 2},
  [18398] = {.lex_state = 452, .external_lex_state = 2},
  [18399] = {.lex_state = 452, .external_lex_state = 2},
  [18400] = {.lex_state = 159, .external_lex_state = 2},
  [18401] = {.lex_state = 452, .external_lex_state = 2},
  [18402] = {.lex_state = 452, .external_lex_state = 2},
  [18403] = {.lex_state = 18, .external_lex_state = 2},
  [18404] = {.lex_state = 452, .external_lex_state = 2},
  [18405] = {.lex_state = 452, .external_lex_state = 2},
  [18406] = {.lex_state = 452, .external_lex_state = 2},
  [18407] = {.lex_state = 452, .external_lex_state = 2},
  [18408] = {.lex_state = 452, .external_lex_state = 2},
  [18409] = {.lex_state = 159, .external_lex_state = 2},
  [18410] = {.lex_state = 159, .external_lex_state = 2},
  [18411] = {.lex_state = 452, .external_lex_state = 2},
  [18412] = {.lex_state = 452, .external_lex_state = 2},
  [18413] = {.lex_state = 452, .external_lex_state = 2},
  [18414] = {.lex_state = 452, .external_lex_state = 2},
  [18415] = {.lex_state = 170, .external_lex_state = 2},
  [18416] = {.lex_state = 18, .external_lex_state = 2},
  [18417] = {.lex_state = 452, .external_lex_state = 2},
  [18418] = {.lex_state = 452, .external_lex_state = 2},
  [18419] = {.lex_state = 159, .external_lex_state = 2},
  [18420] = {.lex_state = 18, .external_lex_state = 2},
  [18421] = {.lex_state = 159, .external_lex_state = 2},
  [18422] = {.lex_state = 159, .external_lex_state = 2},
  [18423] = {.lex_state = 452, .external_lex_state = 2},
  [18424] = {.lex_state = 452, .external_lex_state = 2},
  [18425] = {.lex_state = 452, .external_lex_state = 2},
  [18426] = {.lex_state = 452, .external_lex_state = 2},
  [18427] = {.lex_state = 452, .external_lex_state = 2},
  [18428] = {.lex_state = 159, .external_lex_state = 2},
  [18429] = {.lex_state = 452, .external_lex_state = 2},
  [18430] = {.lex_state = 159, .external_lex_state = 2},
  [18431] = {.lex_state = 19, .external_lex_state = 2},
  [18432] = {.lex_state = 18, .external_lex_state = 2},
  [18433] = {.lex_state = 19, .external_lex_state = 2},
  [18434] = {.lex_state = 452, .external_lex_state = 2},
  [18435] = {.lex_state = 19, .external_lex_state = 2},
  [18436] = {.lex_state = 452, .external_lex_state = 2},
  [18437] = {.lex_state = 452, .external_lex_state = 2},
  [18438] = {.lex_state = 159, .external_lex_state = 2},
  [18439] = {.lex_state = 452, .external_lex_state = 2},
  [18440] = {.lex_state = 452, .external_lex_state = 2},
  [18441] = {.lex_state = 159, .external_lex_state = 2},
  [18442] = {.lex_state = 452, .external_lex_state = 2},
  [18443] = {.lex_state = 452, .external_lex_state = 2},
  [18444] = {.lex_state = 452, .external_lex_state = 8},
  [18445] = {.lex_state = 452, .external_lex_state = 2},
  [18446] = {.lex_state = 159, .external_lex_state = 2},
  [18447] = {.lex_state = 452, .external_lex_state = 2},
  [18448] = {.lex_state = 452, .external_lex_state = 2},
  [18449] = {.lex_state = 452, .external_lex_state = 2},
  [18450] = {.lex_state = 452, .external_lex_state = 2},
  [18451] = {.lex_state = 159, .external_lex_state = 2},
  [18452] = {.lex_state = 452, .external_lex_state = 2},
  [18453] = {.lex_state = 452, .external_lex_state = 2},
  [18454] = {.lex_state = 452, .external_lex_state = 2},
  [18455] = {.lex_state = 452, .external_lex_state = 2},
  [18456] = {.lex_state = 452, .external_lex_state = 8},
  [18457] = {.lex_state = 452, .external_lex_state = 2},
  [18458] = {.lex_state = 452, .external_lex_state = 2},
  [18459] = {.lex_state = 452, .external_lex_state = 2},
  [18460] = {.lex_state = 452, .external_lex_state = 2},
  [18461] = {.lex_state = 18, .external_lex_state = 2},
  [18462] = {.lex_state = 452, .external_lex_state = 2},
  [18463] = {.lex_state = 159, .external_lex_state = 2},
  [18464] = {.lex_state = 452, .external_lex_state = 2},
  [18465] = {.lex_state = 452, .external_lex_state = 2},
  [18466] = {.lex_state = 452, .external_lex_state = 2},
  [18467] = {.lex_state = 159, .external_lex_state = 2},
  [18468] = {.lex_state = 452, .external_lex_state = 2},
  [18469] = {.lex_state = 18, .external_lex_state = 2},
  [18470] = {.lex_state = 452, .external_lex_state = 2},
  [18471] = {.lex_state = 452, .external_lex_state = 2},
  [18472] = {.lex_state = 452, .external_lex_state = 2},
  [18473] = {.lex_state = 19, .external_lex_state = 2},
  [18474] = {.lex_state = 452, .external_lex_state = 2},
  [18475] = {.lex_state = 452, .external_lex_state = 2},
  [18476] = {.lex_state = 452, .external_lex_state = 2},
  [18477] = {.lex_state = 452, .external_lex_state = 2},
  [18478] = {.lex_state = 452, .external_lex_state = 2},
  [18479] = {.lex_state = 452, .external_lex_state = 2},
  [18480] = {.lex_state = 452, .external_lex_state = 2},
  [18481] = {.lex_state = 452, .external_lex_state = 2},
  [18482] = {.lex_state = 452, .external_lex_state = 2},
  [18483] = {.lex_state = 170, .external_lex_state = 2},
  [18484] = {.lex_state = 452, .external_lex_state = 2},
  [18485] = {.lex_state = 170, .external_lex_state = 2},
  [18486] = {.lex_state = 452, .external_lex_state = 2},
  [18487] = {.lex_state = 452, .external_lex_state = 2},
  [18488] = {.lex_state = 452, .external_lex_state = 2},
  [18489] = {.lex_state = 170, .external_lex_state = 2},
  [18490] = {.lex_state = 452, .external_lex_state = 2},
  [18491] = {.lex_state = 452, .external_lex_state = 2},
  [18492] = {.lex_state = 19, .external_lex_state = 2},
  [18493] = {.lex_state = 452, .external_lex_state = 2},
  [18494] = {.lex_state = 452, .external_lex_state = 2},
  [18495] = {.lex_state = 19, .external_lex_state = 2},
  [18496] = {.lex_state = 19, .external_lex_state = 2},
  [18497] = {.lex_state = 452, .external_lex_state = 2},
  [18498] = {.lex_state = 159, .external_lex_state = 2},
  [18499] = {.lex_state = 452, .external_lex_state = 2},
  [18500] = {.lex_state = 452, .external_lex_state = 2},
  [18501] = {.lex_state = 452, .external_lex_state = 2},
  [18502] = {.lex_state = 18, .external_lex_state = 2},
  [18503] = {.lex_state = 452, .external_lex_state = 2},
  [18504] = {.lex_state = 452, .external_lex_state = 2},
  [18505] = {.lex_state = 159, .external_lex_state = 2},
  [18506] = {.lex_state = 159, .external_lex_state = 2},
  [18507] = {.lex_state = 19, .external_lex_state = 2},
  [18508] = {.lex_state = 452, .external_lex_state = 2},
  [18509] = {.lex_state = 452, .external_lex_state = 2},
  [18510] = {.lex_state = 452, .external_lex_state = 2},
  [18511] = {.lex_state = 452, .external_lex_state = 2},
  [18512] = {.lex_state = 452, .external_lex_state = 2},
  [18513] = {.lex_state = 159, .external_lex_state = 2},
  [18514] = {.lex_state = 170, .external_lex_state = 2},
  [18515] = {.lex_state = 159, .external_lex_state = 2},
  [18516] = {.lex_state = 159, .external_lex_state = 2},
  [18517] = {.lex_state = 159, .external_lex_state = 2},
  [18518] = {.lex_state = 452, .external_lex_state = 2},
  [18519] = {.lex_state = 452, .external_lex_state = 2},
  [18520] = {.lex_state = 19, .external_lex_state = 2},
  [18521] = {.lex_state = 452, .external_lex_state = 2},
  [18522] = {.lex_state = 170, .external_lex_state = 2},
  [18523] = {.lex_state = 452, .external_lex_state = 2},
  [18524] = {.lex_state = 159, .external_lex_state = 2},
  [18525] = {.lex_state = 19, .external_lex_state = 2},
  [18526] = {.lex_state = 452, .external_lex_state = 2},
  [18527] = {.lex_state = 452, .external_lex_state = 2},
  [18528] = {.lex_state = 452, .external_lex_state = 2},
  [18529] = {.lex_state = 452, .external_lex_state = 2},
  [18530] = {.lex_state = 452, .external_lex_state = 2},
  [18531] = {.lex_state = 452, .external_lex_state = 2},
  [18532] = {.lex_state = 452, .external_lex_state = 2},
  [18533] = {.lex_state = 452, .external_lex_state = 2},
  [18534] = {.lex_state = 159, .external_lex_state = 2},
  [18535] = {.lex_state = 19, .external_lex_state = 2},
  [18536] = {.lex_state = 452, .external_lex_state = 2},
  [18537] = {.lex_state = 452, .external_lex_state = 2},
  [18538] = {.lex_state = 452, .external_lex_state = 2},
  [18539] = {.lex_state = 452, .external_lex_state = 2},
  [18540] = {.lex_state = 452, .external_lex_state = 2},
  [18541] = {.lex_state = 452, .external_lex_state = 2},
  [18542] = {.lex_state = 452, .external_lex_state = 2},
  [18543] = {.lex_state = 452, .external_lex_state = 2},
  [18544] = {.lex_state = 452, .external_lex_state = 2},
  [18545] = {.lex_state = 452, .external_lex_state = 2},
  [18546] = {.lex_state = 452, .external_lex_state = 2},
  [18547] = {.lex_state = 452, .external_lex_state = 2},
  [18548] = {.lex_state = 18, .external_lex_state = 2},
  [18549] = {.lex_state = 452, .external_lex_state = 2},
  [18550] = {.lex_state = 452, .external_lex_state = 2},
  [18551] = {.lex_state = 452, .external_lex_state = 2},
  [18552] = {.lex_state = 170, .external_lex_state = 2},
  [18553] = {.lex_state = 18, .external_lex_state = 2},
  [18554] = {.lex_state = 18, .external_lex_state = 2},
  [18555] = {.lex_state = 452, .external_lex_state = 2},
  [18556] = {.lex_state = 170, .external_lex_state = 2},
  [18557] = {.lex_state = 452, .external_lex_state = 2},
  [18558] = {.lex_state = 18, .external_lex_state = 2},
  [18559] = {.lex_state = 452, .external_lex_state = 2},
  [18560] = {.lex_state = 452, .external_lex_state = 2},
  [18561] = {.lex_state = 452, .external_lex_state = 2},
  [18562] = {.lex_state = 452, .external_lex_state = 2},
  [18563] = {.lex_state = 19, .external_lex_state = 2},
  [18564] = {.lex_state = 452, .external_lex_state = 2},
  [18565] = {.lex_state = 452, .external_lex_state = 2},
  [18566] = {.lex_state = 452, .external_lex_state = 2},
  [18567] = {.lex_state = 452, .external_lex_state = 2},
  [18568] = {.lex_state = 452, .external_lex_state = 2},
  [18569] = {.lex_state = 170, .external_lex_state = 2},
  [18570] = {.lex_state = 170, .external_lex_state = 2},
  [18571] = {.lex_state = 170, .external_lex_state = 2},
  [18572] = {.lex_state = 159, .external_lex_state = 2},
  [18573] = {.lex_state = 159, .external_lex_state = 2},
  [18574] = {.lex_state = 19, .external_lex_state = 2},
  [18575] = {.lex_state = 170, .external_lex_state = 2},
  [18576] = {.lex_state = 452, .external_lex_state = 2},
  [18577] = {.lex_state = 452, .external_lex_state = 2},
  [18578] = {.lex_state = 452, .external_lex_state = 2},
  [18579] = {.lex_state = 159, .external_lex_state = 2},
  [18580] = {.lex_state = 452, .external_lex_state = 2},
  [18581] = {.lex_state = 159, .external_lex_state = 2},
  [18582] = {.lex_state = 159, .external_lex_state = 2},
  [18583] = {.lex_state = 18, .external_lex_state = 2},
  [18584] = {.lex_state = 452, .external_lex_state = 2},
  [18585] = {.lex_state = 170, .external_lex_state = 2},
  [18586] = {.lex_state = 19, .external_lex_state = 2},
  [18587] = {.lex_state = 18, .external_lex_state = 2},
  [18588] = {.lex_state = 159, .external_lex_state = 2},
  [18589] = {.lex_state = 452, .external_lex_state = 2},
  [18590] = {.lex_state = 159, .external_lex_state = 2},
  [18591] = {.lex_state = 159, .external_lex_state = 2},
  [18592] = {.lex_state = 452, .external_lex_state = 2},
  [18593] = {.lex_state = 452, .external_lex_state = 2},
  [18594] = {.lex_state = 19, .external_lex_state = 2},
  [18595] = {.lex_state = 452, .external_lex_state = 3},
  [18596] = {.lex_state = 452, .external_lex_state = 2},
  [18597] = {.lex_state = 452, .external_lex_state = 2},
  [18598] = {.lex_state = 452, .external_lex_state = 2},
  [18599] = {.lex_state = 452, .external_lex_state = 2},
  [18600] = {.lex_state = 452, .external_lex_state = 2},
  [18601] = {.lex_state = 452, .external_lex_state = 2},
  [18602] = {.lex_state = 452, .external_lex_state = 2},
  [18603] = {.lex_state = 452, .external_lex_state = 2},
  [18604] = {.lex_state = 452, .external_lex_state = 2},
  [18605] = {.lex_state = 452, .external_lex_state = 3},
  [18606] = {.lex_state = 452, .external_lex_state = 2},
  [18607] = {.lex_state = 452, .external_lex_state = 2},
  [18608] = {.lex_state = 452, .external_lex_state = 2},
  [18609] = {.lex_state = 452, .external_lex_state = 2},
  [18610] = {.lex_state = 452, .external_lex_state = 2},
  [18611] = {.lex_state = 18, .external_lex_state = 2},
  [18612] = {.lex_state = 159, .external_lex_state = 2},
  [18613] = {.lex_state = 452, .external_lex_state = 2},
  [18614] = {.lex_state = 452, .external_lex_state = 2},
  [18615] = {.lex_state = 452, .external_lex_state = 2},
  [18616] = {.lex_state = 159, .external_lex_state = 2},
  [18617] = {.lex_state = 159, .external_lex_state = 2},
  [18618] = {.lex_state = 452, .external_lex_state = 3},
  [18619] = {.lex_state = 19, .external_lex_state = 2},
  [18620] = {.lex_state = 452, .external_lex_state = 2},
  [18621] = {.lex_state = 452, .external_lex_state = 2},
  [18622] = {.lex_state = 452, .external_lex_state = 2},
  [18623] = {.lex_state = 170, .external_lex_state = 2},
  [18624] = {.lex_state = 452, .external_lex_state = 2},
  [18625] = {.lex_state = 452, .external_lex_state = 2},
  [18626] = {.lex_state = 452, .external_lex_state = 3},
  [18627] = {.lex_state = 452, .external_lex_state = 2},
  [18628] = {.lex_state = 159, .external_lex_state = 2},
  [18629] = {.lex_state = 159, .external_lex_state = 2},
  [18630] = {.lex_state = 19, .external_lex_state = 2},
  [18631] = {.lex_state = 452, .external_lex_state = 2},
  [18632] = {.lex_state = 452, .external_lex_state = 2},
  [18633] = {.lex_state = 452, .external_lex_state = 2},
  [18634] = {.lex_state = 452, .external_lex_state = 2},
  [18635] = {.lex_state = 452, .external_lex_state = 2},
  [18636] = {.lex_state = 452, .external_lex_state = 2},
  [18637] = {.lex_state = 159, .external_lex_state = 2},
  [18638] = {.lex_state = 159, .external_lex_state = 2},
  [18639] = {.lex_state = 452, .external_lex_state = 2},
  [18640] = {.lex_state = 452, .external_lex_state = 2},
  [18641] = {.lex_state = 452, .external_lex_state = 2},
  [18642] = {.lex_state = 19, .external_lex_state = 2},
  [18643] = {.lex_state = 452, .external_lex_state = 2},
  [18644] = {.lex_state = 452, .external_lex_state = 2},
  [18645] = {.lex_state = 19, .external_lex_state = 2},
  [18646] = {.lex_state = 452, .external_lex_state = 2},
  [18647] = {.lex_state = 452, .external_lex_state = 2},
  [18648] = {.lex_state = 452, .external_lex_state = 2},
  [18649] = {.lex_state = 170, .external_lex_state = 2},
  [18650] = {.lex_state = 452, .external_lex_state = 2},
  [18651] = {.lex_state = 452, .external_lex_state = 2},
  [18652] = {.lex_state = 452, .external_lex_state = 2},
  [18653] = {.lex_state = 452, .external_lex_state = 2},
  [18654] = {.lex_state = 452, .external_lex_state = 2},
  [18655] = {.lex_state = 452, .external_lex_state = 2},
  [18656] = {.lex_state = 452, .external_lex_state = 2},
  [18657] = {.lex_state = 452, .external_lex_state = 2},
  [18658] = {.lex_state = 452, .external_lex_state = 2},
  [18659] = {.lex_state = 452, .external_lex_state = 2},
  [18660] = {.lex_state = 452, .external_lex_state = 2},
  [18661] = {.lex_state = 452, .external_lex_state = 2},
  [18662] = {.lex_state = 452, .external_lex_state = 2},
  [18663] = {.lex_state = 452, .external_lex_state = 2},
  [18664] = {.lex_state = 452, .external_lex_state = 2},
  [18665] = {.lex_state = 452, .external_lex_state = 2},
  [18666] = {.lex_state = 452, .external_lex_state = 2},
  [18667] = {.lex_state = 452, .external_lex_state = 2},
  [18668] = {.lex_state = 452, .external_lex_state = 2},
  [18669] = {.lex_state = 452, .external_lex_state = 2},
  [18670] = {.lex_state = 18, .external_lex_state = 2},
  [18671] = {.lex_state = 452, .external_lex_state = 2},
  [18672] = {.lex_state = 452, .external_lex_state = 2},
  [18673] = {.lex_state = 452, .external_lex_state = 2},
  [18674] = {.lex_state = 452, .external_lex_state = 2},
  [18675] = {.lex_state = 19, .external_lex_state = 2},
  [18676] = {.lex_state = 452, .external_lex_state = 2},
  [18677] = {.lex_state = 452, .external_lex_state = 2},
  [18678] = {.lex_state = 452, .external_lex_state = 2},
  [18679] = {.lex_state = 452, .external_lex_state = 2},
  [18680] = {.lex_state = 452, .external_lex_state = 2},
  [18681] = {.lex_state = 18, .external_lex_state = 2},
  [18682] = {.lex_state = 159, .external_lex_state = 2},
  [18683] = {.lex_state = 452, .external_lex_state = 2},
  [18684] = {.lex_state = 159, .external_lex_state = 2},
  [18685] = {.lex_state = 159, .external_lex_state = 2},
  [18686] = {.lex_state = 19, .external_lex_state = 2},
  [18687] = {.lex_state = 452, .external_lex_state = 2},
  [18688] = {.lex_state = 452, .external_lex_state = 2},
  [18689] = {.lex_state = 170, .external_lex_state = 2},
  [18690] = {.lex_state = 170, .external_lex_state = 2},
  [18691] = {.lex_state = 170, .external_lex_state = 2},
  [18692] = {.lex_state = 452, .external_lex_state = 2},
  [18693] = {.lex_state = 159, .external_lex_state = 2},
  [18694] = {.lex_state = 159, .external_lex_state = 2},
  [18695] = {.lex_state = 452, .external_lex_state = 2},
  [18696] = {.lex_state = 452, .external_lex_state = 2},
  [18697] = {.lex_state = 452, .external_lex_state = 2},
  [18698] = {.lex_state = 19, .external_lex_state = 2},
  [18699] = {.lex_state = 452, .external_lex_state = 2},
  [18700] = {.lex_state = 452, .external_lex_state = 2},
  [18701] = {.lex_state = 452, .external_lex_state = 2},
  [18702] = {.lex_state = 452, .external_lex_state = 2},
  [18703] = {.lex_state = 170, .external_lex_state = 2},
  [18704] = {.lex_state = 452, .external_lex_state = 2},
  [18705] = {.lex_state = 159, .external_lex_state = 2},
  [18706] = {.lex_state = 452, .external_lex_state = 2},
  [18707] = {.lex_state = 452, .external_lex_state = 2},
  [18708] = {.lex_state = 452, .external_lex_state = 2},
  [18709] = {.lex_state = 452, .external_lex_state = 2},
  [18710] = {.lex_state = 452, .external_lex_state = 2},
  [18711] = {.lex_state = 452, .external_lex_state = 2},
  [18712] = {.lex_state = 452, .external_lex_state = 2},
  [18713] = {.lex_state = 452, .external_lex_state = 2},
  [18714] = {.lex_state = 452, .external_lex_state = 2},
  [18715] = {.lex_state = 452, .external_lex_state = 2},
  [18716] = {.lex_state = 452, .external_lex_state = 2},
  [18717] = {.lex_state = 452, .external_lex_state = 2},
  [18718] = {.lex_state = 170, .external_lex_state = 2},
  [18719] = {.lex_state = 452, .external_lex_state = 2},
  [18720] = {.lex_state = 452, .external_lex_state = 2},
  [18721] = {.lex_state = 452, .external_lex_state = 2},
  [18722] = {.lex_state = 452, .external_lex_state = 2},
  [18723] = {.lex_state = 452, .external_lex_state = 2},
  [18724] = {.lex_state = 159, .external_lex_state = 2},
  [18725] = {.lex_state = 452, .external_lex_state = 2},
  [18726] = {.lex_state = 452, .external_lex_state = 2},
  [18727] = {.lex_state = 452, .external_lex_state = 2},
  [18728] = {.lex_state = 452, .external_lex_state = 3},
  [18729] = {.lex_state = 452, .external_lex_state = 2},
  [18730] = {.lex_state = 19, .external_lex_state = 2},
  [18731] = {.lex_state = 452, .external_lex_state = 2},
  [18732] = {.lex_state = 452, .external_lex_state = 2},
  [18733] = {.lex_state = 452, .external_lex_state = 2},
  [18734] = {.lex_state = 170, .external_lex_state = 2},
  [18735] = {.lex_state = 452, .external_lex_state = 2},
  [18736] = {.lex_state = 452, .external_lex_state = 2},
  [18737] = {.lex_state = 452, .external_lex_state = 2},
  [18738] = {.lex_state = 452, .external_lex_state = 2},
  [18739] = {.lex_state = 159, .external_lex_state = 2},
  [18740] = {.lex_state = 159, .external_lex_state = 2},
  [18741] = {.lex_state = 19, .external_lex_state = 2},
  [18742] = {.lex_state = 170, .external_lex_state = 2},
  [18743] = {.lex_state = 452, .external_lex_state = 2},
  [18744] = {.lex_state = 452, .external_lex_state = 2},
  [18745] = {.lex_state = 452, .external_lex_state = 2},
  [18746] = {.lex_state = 19, .external_lex_state = 2},
  [18747] = {.lex_state = 452, .external_lex_state = 2},
  [18748] = {.lex_state = 159, .external_lex_state = 2},
  [18749] = {.lex_state = 159, .external_lex_state = 2},
  [18750] = {.lex_state = 452, .external_lex_state = 2},
  [18751] = {.lex_state = 452, .external_lex_state = 2},
  [18752] = {.lex_state = 452, .external_lex_state = 2},
  [18753] = {.lex_state = 19, .external_lex_state = 2},
  [18754] = {.lex_state = 18, .external_lex_state = 2},
  [18755] = {.lex_state = 452, .external_lex_state = 2},
  [18756] = {.lex_state = 452, .external_lex_state = 2},
  [18757] = {.lex_state = 170, .external_lex_state = 2},
  [18758] = {.lex_state = 452, .external_lex_state = 2},
  [18759] = {.lex_state = 452, .external_lex_state = 2},
  [18760] = {.lex_state = 452, .external_lex_state = 2},
  [18761] = {.lex_state = 452, .external_lex_state = 2},
  [18762] = {.lex_state = 452, .external_lex_state = 2},
  [18763] = {.lex_state = 452, .external_lex_state = 2},
  [18764] = {.lex_state = 452, .external_lex_state = 2},
  [18765] = {.lex_state = 452, .external_lex_state = 2},
  [18766] = {.lex_state = 452, .external_lex_state = 2},
  [18767] = {.lex_state = 452, .external_lex_state = 2},
  [18768] = {.lex_state = 452, .external_lex_state = 2},
  [18769] = {.lex_state = 452, .external_lex_state = 2},
  [18770] = {.lex_state = 452, .external_lex_state = 2},
  [18771] = {.lex_state = 452, .external_lex_state = 2},
  [18772] = {.lex_state = 159, .external_lex_state = 2},
  [18773] = {.lex_state = 159, .external_lex_state = 2},
  [18774] = {.lex_state = 452, .external_lex_state = 2},
  [18775] = {.lex_state = 452, .external_lex_state = 2},
  [18776] = {.lex_state = 452, .external_lex_state = 3},
  [18777] = {.lex_state = 452, .external_lex_state = 2},
  [18778] = {.lex_state = 452, .external_lex_state = 2},
  [18779] = {.lex_state = 452, .external_lex_state = 2},
  [18780] = {.lex_state = 452, .external_lex_state = 3},
  [18781] = {.lex_state = 452, .external_lex_state = 2},
  [18782] = {.lex_state = 452, .external_lex_state = 2},
  [18783] = {.lex_state = 452, .external_lex_state = 2},
  [18784] = {.lex_state = 452, .external_lex_state = 2},
  [18785] = {.lex_state = 19, .external_lex_state = 2},
  [18786] = {.lex_state = 452, .external_lex_state = 2},
  [18787] = {.lex_state = 452, .external_lex_state = 2},
  [18788] = {.lex_state = 452, .external_lex_state = 2},
  [18789] = {.lex_state = 452, .external_lex_state = 2},
  [18790] = {.lex_state = 18, .external_lex_state = 2},
  [18791] = {.lex_state = 18, .external_lex_state = 2},
  [18792] = {.lex_state = 159, .external_lex_state = 2},
  [18793] = {.lex_state = 452, .external_lex_state = 2},
  [18794] = {.lex_state = 159, .external_lex_state = 2},
  [18795] = {.lex_state = 159, .external_lex_state = 2},
  [18796] = {.lex_state = 19, .external_lex_state = 2},
  [18797] = {.lex_state = 452, .external_lex_state = 2},
  [18798] = {.lex_state = 452, .external_lex_state = 2},
  [18799] = {.lex_state = 159, .external_lex_state = 2},
  [18800] = {.lex_state = 452, .external_lex_state = 2},
  [18801] = {.lex_state = 452, .external_lex_state = 3},
  [18802] = {.lex_state = 452, .external_lex_state = 2},
  [18803] = {.lex_state = 159, .external_lex_state = 2},
  [18804] = {.lex_state = 159, .external_lex_state = 2},
  [18805] = {.lex_state = 452, .external_lex_state = 2},
  [18806] = {.lex_state = 452, .external_lex_state = 2},
  [18807] = {.lex_state = 452, .external_lex_state = 2},
  [18808] = {.lex_state = 19, .external_lex_state = 2},
  [18809] = {.lex_state = 452, .external_lex_state = 2},
  [18810] = {.lex_state = 452, .external_lex_state = 2},
  [18811] = {.lex_state = 452, .external_lex_state = 2},
  [18812] = {.lex_state = 452, .external_lex_state = 2},
  [18813] = {.lex_state = 452, .external_lex_state = 2},
  [18814] = {.lex_state = 452, .external_lex_state = 2},
  [18815] = {.lex_state = 452, .external_lex_state = 2},
  [18816] = {.lex_state = 452, .external_lex_state = 2},
  [18817] = {.lex_state = 159, .external_lex_state = 2},
  [18818] = {.lex_state = 159, .external_lex_state = 2},
  [18819] = {.lex_state = 452, .external_lex_state = 2},
  [18820] = {.lex_state = 452, .external_lex_state = 2},
  [18821] = {.lex_state = 452, .external_lex_state = 2},
  [18822] = {.lex_state = 452, .external_lex_state = 2},
  [18823] = {.lex_state = 452, .external_lex_state = 2},
  [18824] = {.lex_state = 452, .external_lex_state = 2},
  [18825] = {.lex_state = 159, .external_lex_state = 2},
  [18826] = {.lex_state = 452, .external_lex_state = 2},
  [18827] = {.lex_state = 452, .external_lex_state = 2},
  [18828] = {.lex_state = 452, .external_lex_state = 2},
  [18829] = {.lex_state = 452, .external_lex_state = 2},
  [18830] = {.lex_state = 452, .external_lex_state = 2},
  [18831] = {.lex_state = 452, .external_lex_state = 2},
  [18832] = {.lex_state = 452, .external_lex_state = 2},
  [18833] = {.lex_state = 452, .external_lex_state = 2},
  [18834] = {.lex_state = 452, .external_lex_state = 2},
  [18835] = {.lex_state = 159, .external_lex_state = 2},
  [18836] = {.lex_state = 452, .external_lex_state = 2},
  [18837] = {.lex_state = 170, .external_lex_state = 2},
  [18838] = {.lex_state = 452, .external_lex_state = 2},
  [18839] = {.lex_state = 159, .external_lex_state = 2},
  [18840] = {.lex_state = 19, .external_lex_state = 2},
  [18841] = {.lex_state = 452, .external_lex_state = 2},
  [18842] = {.lex_state = 452, .external_lex_state = 2},
  [18843] = {.lex_state = 452, .external_lex_state = 2},
  [18844] = {.lex_state = 452, .external_lex_state = 2},
  [18845] = {.lex_state = 452, .external_lex_state = 2},
  [18846] = {.lex_state = 452, .external_lex_state = 2},
  [18847] = {.lex_state = 452, .external_lex_state = 2},
  [18848] = {.lex_state = 170, .external_lex_state = 2},
  [18849] = {.lex_state = 159, .external_lex_state = 2},
  [18850] = {.lex_state = 159, .external_lex_state = 2},
  [18851] = {.lex_state = 19, .external_lex_state = 2},
  [18852] = {.lex_state = 452, .external_lex_state = 2},
  [18853] = {.lex_state = 452, .external_lex_state = 2},
  [18854] = {.lex_state = 170, .external_lex_state = 2},
  [18855] = {.lex_state = 452, .external_lex_state = 2},
  [18856] = {.lex_state = 452, .external_lex_state = 2},
  [18857] = {.lex_state = 452, .external_lex_state = 2},
  [18858] = {.lex_state = 159, .external_lex_state = 2},
  [18859] = {.lex_state = 159, .external_lex_state = 2},
  [18860] = {.lex_state = 452, .external_lex_state = 2},
  [18861] = {.lex_state = 452, .external_lex_state = 2},
  [18862] = {.lex_state = 19, .external_lex_state = 2},
  [18863] = {.lex_state = 19, .external_lex_state = 2},
  [18864] = {.lex_state = 452, .external_lex_state = 2},
  [18865] = {.lex_state = 170, .external_lex_state = 2},
  [18866] = {.lex_state = 170, .external_lex_state = 2},
  [18867] = {.lex_state = 170, .external_lex_state = 2},
  [18868] = {.lex_state = 159, .external_lex_state = 2},
  [18869] = {.lex_state = 452, .external_lex_state = 2},
  [18870] = {.lex_state = 452, .external_lex_state = 2},
  [18871] = {.lex_state = 452, .external_lex_state = 2},
  [18872] = {.lex_state = 452, .external_lex_state = 2},
  [18873] = {.lex_state = 452, .external_lex_state = 2},
  [18874] = {.lex_state = 18, .external_lex_state = 2},
  [18875] = {.lex_state = 452, .external_lex_state = 2},
  [18876] = {.lex_state = 452, .external_lex_state = 2},
  [18877] = {.lex_state = 452, .external_lex_state = 2},
  [18878] = {.lex_state = 452, .external_lex_state = 2},
  [18879] = {.lex_state = 452, .external_lex_state = 2},
  [18880] = {.lex_state = 452, .external_lex_state = 2},
  [18881] = {.lex_state = 452, .external_lex_state = 2},
  [18882] = {.lex_state = 452, .external_lex_state = 2},
  [18883] = {.lex_state = 452, .external_lex_state = 2},
  [18884] = {.lex_state = 452, .external_lex_state = 2},
  [18885] = {.lex_state = 452, .external_lex_state = 2},
  [18886] = {.lex_state = 452, .external_lex_state = 2},
  [18887] = {.lex_state = 452, .external_lex_state = 2},
  [18888] = {.lex_state = 170, .external_lex_state = 2},
  [18889] = {.lex_state = 452, .external_lex_state = 2},
  [18890] = {.lex_state = 170, .external_lex_state = 2},
  [18891] = {.lex_state = 452, .external_lex_state = 2},
  [18892] = {.lex_state = 159, .external_lex_state = 2},
  [18893] = {.lex_state = 452, .external_lex_state = 2},
  [18894] = {.lex_state = 452, .external_lex_state = 2},
  [18895] = {.lex_state = 19, .external_lex_state = 2},
  [18896] = {.lex_state = 170, .external_lex_state = 2},
  [18897] = {.lex_state = 170, .external_lex_state = 2},
  [18898] = {.lex_state = 18, .external_lex_state = 2},
  [18899] = {.lex_state = 452, .external_lex_state = 2},
  [18900] = {.lex_state = 170, .external_lex_state = 2},
  [18901] = {.lex_state = 170, .external_lex_state = 2},
  [18902] = {.lex_state = 452, .external_lex_state = 2},
  [18903] = {.lex_state = 452, .external_lex_state = 2},
  [18904] = {.lex_state = 159, .external_lex_state = 2},
  [18905] = {.lex_state = 159, .external_lex_state = 2},
  [18906] = {.lex_state = 19, .external_lex_state = 2},
  [18907] = {.lex_state = 452, .external_lex_state = 2},
  [18908] = {.lex_state = 452, .external_lex_state = 2},
  [18909] = {.lex_state = 18, .external_lex_state = 2},
  [18910] = {.lex_state = 452, .external_lex_state = 2},
  [18911] = {.lex_state = 18, .external_lex_state = 2},
  [18912] = {.lex_state = 170, .external_lex_state = 2},
  [18913] = {.lex_state = 159, .external_lex_state = 2},
  [18914] = {.lex_state = 159, .external_lex_state = 2},
  [18915] = {.lex_state = 452, .external_lex_state = 2},
  [18916] = {.lex_state = 452, .external_lex_state = 2},
  [18917] = {.lex_state = 452, .external_lex_state = 2},
  [18918] = {.lex_state = 19, .external_lex_state = 2},
  [18919] = {.lex_state = 452, .external_lex_state = 2},
  [18920] = {.lex_state = 452, .external_lex_state = 2},
  [18921] = {.lex_state = 452, .external_lex_state = 2},
  [18922] = {.lex_state = 19, .external_lex_state = 2},
  [18923] = {.lex_state = 452, .external_lex_state = 2},
  [18924] = {.lex_state = 452, .external_lex_state = 2},
  [18925] = {.lex_state = 452, .external_lex_state = 2},
  [18926] = {.lex_state = 452, .external_lex_state = 2},
  [18927] = {.lex_state = 170, .external_lex_state = 2},
  [18928] = {.lex_state = 452, .external_lex_state = 2},
  [18929] = {.lex_state = 452, .external_lex_state = 2},
  [18930] = {.lex_state = 452, .external_lex_state = 2},
  [18931] = {.lex_state = 452, .external_lex_state = 2},
  [18932] = {.lex_state = 452, .external_lex_state = 2},
  [18933] = {.lex_state = 452, .external_lex_state = 2},
  [18934] = {.lex_state = 452, .external_lex_state = 2},
  [18935] = {.lex_state = 452, .external_lex_state = 2},
  [18936] = {.lex_state = 170, .external_lex_state = 2},
  [18937] = {.lex_state = 18, .external_lex_state = 2},
  [18938] = {.lex_state = 170, .external_lex_state = 2},
  [18939] = {.lex_state = 452, .external_lex_state = 2},
  [18940] = {.lex_state = 170, .external_lex_state = 2},
  [18941] = {.lex_state = 159, .external_lex_state = 2},
  [18942] = {.lex_state = 159, .external_lex_state = 2},
  [18943] = {.lex_state = 452, .external_lex_state = 2},
  [18944] = {.lex_state = 452, .external_lex_state = 2},
  [18945] = {.lex_state = 452, .external_lex_state = 2},
  [18946] = {.lex_state = 452, .external_lex_state = 3},
  [18947] = {.lex_state = 19, .external_lex_state = 2},
  [18948] = {.lex_state = 170, .external_lex_state = 2},
  [18949] = {.lex_state = 452, .external_lex_state = 2},
  [18950] = {.lex_state = 19, .external_lex_state = 2},
  [18951] = {.lex_state = 452, .external_lex_state = 2},
  [18952] = {.lex_state = 452, .external_lex_state = 2},
  [18953] = {.lex_state = 452, .external_lex_state = 2},
  [18954] = {.lex_state = 159, .external_lex_state = 2},
  [18955] = {.lex_state = 452, .external_lex_state = 2},
  [18956] = {.lex_state = 170, .external_lex_state = 2},
  [18957] = {.lex_state = 452, .external_lex_state = 2},
  [18958] = {.lex_state = 452, .external_lex_state = 2},
  [18959] = {.lex_state = 159, .external_lex_state = 2},
  [18960] = {.lex_state = 159, .external_lex_state = 2},
  [18961] = {.lex_state = 19, .external_lex_state = 2},
  [18962] = {.lex_state = 452, .external_lex_state = 2},
  [18963] = {.lex_state = 452, .external_lex_state = 2},
  [18964] = {.lex_state = 452, .external_lex_state = 2},
  [18965] = {.lex_state = 452, .external_lex_state = 2},
  [18966] = {.lex_state = 19, .external_lex_state = 2},
  [18967] = {.lex_state = 452, .external_lex_state = 2},
  [18968] = {.lex_state = 159, .external_lex_state = 2},
  [18969] = {.lex_state = 159, .external_lex_state = 2},
  [18970] = {.lex_state = 170, .external_lex_state = 2},
  [18971] = {.lex_state = 452, .external_lex_state = 2},
  [18972] = {.lex_state = 159, .external_lex_state = 2},
  [18973] = {.lex_state = 19, .external_lex_state = 2},
  [18974] = {.lex_state = 452, .external_lex_state = 3},
  [18975] = {.lex_state = 452, .external_lex_state = 2},
  [18976] = {.lex_state = 159, .external_lex_state = 2},
  [18977] = {.lex_state = 452, .external_lex_state = 2},
  [18978] = {.lex_state = 159, .external_lex_state = 2},
  [18979] = {.lex_state = 452, .external_lex_state = 2},
  [18980] = {.lex_state = 452, .external_lex_state = 2},
  [18981] = {.lex_state = 19, .external_lex_state = 2},
  [18982] = {.lex_state = 452, .external_lex_state = 2},
  [18983] = {.lex_state = 452, .external_lex_state = 2},
  [18984] = {.lex_state = 452, .external_lex_state = 2},
  [18985] = {.lex_state = 452, .external_lex_state = 2},
  [18986] = {.lex_state = 452, .external_lex_state = 2},
  [18987] = {.lex_state = 452, .external_lex_state = 2},
  [18988] = {.lex_state = 452, .external_lex_state = 2},
  [18989] = {.lex_state = 452, .external_lex_state = 2},
  [18990] = {.lex_state = 170, .external_lex_state = 2},
  [18991] = {.lex_state = 170, .external_lex_state = 2},
  [18992] = {.lex_state = 452, .external_lex_state = 2},
  [18993] = {.lex_state = 170, .external_lex_state = 2},
  [18994] = {.lex_state = 19, .external_lex_state = 2},
  [18995] = {.lex_state = 170, .external_lex_state = 2},
  [18996] = {.lex_state = 452, .external_lex_state = 2},
  [18997] = {.lex_state = 452, .external_lex_state = 2},
  [18998] = {.lex_state = 452, .external_lex_state = 2},
  [18999] = {.lex_state = 452, .external_lex_state = 2},
  [19000] = {.lex_state = 452, .external_lex_state = 2},
  [19001] = {.lex_state = 452, .external_lex_state = 2},
  [19002] = {.lex_state = 452, .external_lex_state = 2},
  [19003] = {.lex_state = 452, .external_lex_state = 3},
  [19004] = {.lex_state = 452, .external_lex_state = 2},
  [19005] = {.lex_state = 19, .external_lex_state = 2},
  [19006] = {.lex_state = 452, .external_lex_state = 2},
  [19007] = {.lex_state = 159, .external_lex_state = 2},
  [19008] = {.lex_state = 452, .external_lex_state = 2},
  [19009] = {.lex_state = 452, .external_lex_state = 2},
  [19010] = {.lex_state = 452, .external_lex_state = 2},
  [19011] = {.lex_state = 452, .external_lex_state = 2},
  [19012] = {.lex_state = 452, .external_lex_state = 2},
  [19013] = {.lex_state = 452, .external_lex_state = 2},
  [19014] = {.lex_state = 159, .external_lex_state = 2},
  [19015] = {.lex_state = 159, .external_lex_state = 2},
  [19016] = {.lex_state = 19, .external_lex_state = 2},
  [19017] = {.lex_state = 452, .external_lex_state = 2},
  [19018] = {.lex_state = 452, .external_lex_state = 2},
  [19019] = {.lex_state = 452, .external_lex_state = 2},
  [19020] = {.lex_state = 159, .external_lex_state = 2},
  [19021] = {.lex_state = 452, .external_lex_state = 2},
  [19022] = {.lex_state = 170, .external_lex_state = 2},
  [19023] = {.lex_state = 159, .external_lex_state = 2},
  [19024] = {.lex_state = 159, .external_lex_state = 2},
  [19025] = {.lex_state = 159, .external_lex_state = 2},
  [19026] = {.lex_state = 170, .external_lex_state = 2},
  [19027] = {.lex_state = 19, .external_lex_state = 2},
  [19028] = {.lex_state = 19, .external_lex_state = 2},
  [19029] = {.lex_state = 452, .external_lex_state = 2},
  [19030] = {.lex_state = 452, .external_lex_state = 2},
  [19031] = {.lex_state = 452, .external_lex_state = 2},
  [19032] = {.lex_state = 452, .external_lex_state = 2},
  [19033] = {.lex_state = 452, .external_lex_state = 2},
  [19034] = {.lex_state = 452, .external_lex_state = 2},
  [19035] = {.lex_state = 452, .external_lex_state = 2},
  [19036] = {.lex_state = 170, .external_lex_state = 2},
  [19037] = {.lex_state = 452, .external_lex_state = 2},
  [19038] = {.lex_state = 452, .external_lex_state = 2},
  [19039] = {.lex_state = 452, .external_lex_state = 2},
  [19040] = {.lex_state = 452, .external_lex_state = 2},
  [19041] = {.lex_state = 452, .external_lex_state = 2},
  [19042] = {.lex_state = 452, .external_lex_state = 2},
  [19043] = {.lex_state = 452, .external_lex_state = 2},
  [19044] = {.lex_state = 452, .external_lex_state = 2},
  [19045] = {.lex_state = 452, .external_lex_state = 2},
  [19046] = {.lex_state = 452, .external_lex_state = 2},
  [19047] = {.lex_state = 452, .external_lex_state = 2},
  [19048] = {.lex_state = 170, .external_lex_state = 2},
  [19049] = {.lex_state = 452, .external_lex_state = 2},
  [19050] = {.lex_state = 452, .external_lex_state = 2},
  [19051] = {.lex_state = 452, .external_lex_state = 2},
  [19052] = {.lex_state = 452, .external_lex_state = 2},
  [19053] = {.lex_state = 452, .external_lex_state = 2},
  [19054] = {.lex_state = 170, .external_lex_state = 2},
  [19055] = {.lex_state = 452, .external_lex_state = 2},
  [19056] = {.lex_state = 159, .external_lex_state = 2},
  [19057] = {.lex_state = 452, .external_lex_state = 2},
  [19058] = {.lex_state = 452, .external_lex_state = 2},
  [19059] = {.lex_state = 159, .external_lex_state = 2},
  [19060] = {.lex_state = 19, .external_lex_state = 2},
  [19061] = {.lex_state = 452, .external_lex_state = 2},
  [19062] = {.lex_state = 452, .external_lex_state = 2},
  [19063] = {.lex_state = 452, .external_lex_state = 2},
  [19064] = {.lex_state = 452, .external_lex_state = 2},
  [19065] = {.lex_state = 452, .external_lex_state = 2},
  [19066] = {.lex_state = 452, .external_lex_state = 2},
  [19067] = {.lex_state = 452, .external_lex_state = 2},
  [19068] = {.lex_state = 452, .external_lex_state = 2},
  [19069] = {.lex_state = 159, .external_lex_state = 2},
  [19070] = {.lex_state = 159, .external_lex_state = 2},
  [19071] = {.lex_state = 19, .external_lex_state = 2},
  [19072] = {.lex_state = 452, .external_lex_state = 2},
  [19073] = {.lex_state = 452, .external_lex_state = 2},
  [19074] = {.lex_state = 452, .external_lex_state = 2},
  [19075] = {.lex_state = 452, .external_lex_state = 2},
  [19076] = {.lex_state = 452, .external_lex_state = 2},
  [19077] = {.lex_state = 159, .external_lex_state = 2},
  [19078] = {.lex_state = 159, .external_lex_state = 2},
  [19079] = {.lex_state = 159, .external_lex_state = 2},
  [19080] = {.lex_state = 452, .external_lex_state = 2},
  [19081] = {.lex_state = 452, .external_lex_state = 2},
  [19082] = {.lex_state = 18, .external_lex_state = 2},
  [19083] = {.lex_state = 19, .external_lex_state = 2},
  [19084] = {.lex_state = 452, .external_lex_state = 2},
  [19085] = {.lex_state = 19, .external_lex_state = 2},
  [19086] = {.lex_state = 452, .external_lex_state = 2},
  [19087] = {.lex_state = 452, .external_lex_state = 2},
  [19088] = {.lex_state = 452, .external_lex_state = 2},
  [19089] = {.lex_state = 452, .external_lex_state = 2},
  [19090] = {.lex_state = 170, .external_lex_state = 2},
  [19091] = {.lex_state = 452, .external_lex_state = 2},
  [19092] = {.lex_state = 452, .external_lex_state = 2},
  [19093] = {.lex_state = 170, .external_lex_state = 2},
  [19094] = {.lex_state = 170, .external_lex_state = 2},
  [19095] = {.lex_state = 452, .external_lex_state = 2},
  [19096] = {.lex_state = 452, .external_lex_state = 2},
  [19097] = {.lex_state = 452, .external_lex_state = 2},
  [19098] = {.lex_state = 452, .external_lex_state = 2},
  [19099] = {.lex_state = 452, .external_lex_state = 2},
  [19100] = {.lex_state = 452, .external_lex_state = 2},
  [19101] = {.lex_state = 159, .external_lex_state = 2},
  [19102] = {.lex_state = 170, .external_lex_state = 2},
  [19103] = {.lex_state = 452, .external_lex_state = 2},
  [19104] = {.lex_state = 452, .external_lex_state = 2},
  [19105] = {.lex_state = 452, .external_lex_state = 2},
  [19106] = {.lex_state = 452, .external_lex_state = 2},
  [19107] = {.lex_state = 18, .external_lex_state = 2},
  [19108] = {.lex_state = 19, .external_lex_state = 2},
  [19109] = {.lex_state = 452, .external_lex_state = 2},
  [19110] = {.lex_state = 170, .external_lex_state = 2},
  [19111] = {.lex_state = 170, .external_lex_state = 2},
  [19112] = {.lex_state = 159, .external_lex_state = 2},
  [19113] = {.lex_state = 159, .external_lex_state = 2},
  [19114] = {.lex_state = 159, .external_lex_state = 2},
  [19115] = {.lex_state = 19, .external_lex_state = 2},
  [19116] = {.lex_state = 452, .external_lex_state = 2},
  [19117] = {.lex_state = 452, .external_lex_state = 2},
  [19118] = {.lex_state = 452, .external_lex_state = 2},
  [19119] = {.lex_state = 452, .external_lex_state = 3},
  [19120] = {.lex_state = 170, .external_lex_state = 2},
  [19121] = {.lex_state = 159, .external_lex_state = 2},
  [19122] = {.lex_state = 159, .external_lex_state = 2},
  [19123] = {.lex_state = 452, .external_lex_state = 2},
  [19124] = {.lex_state = 452, .external_lex_state = 2},
  [19125] = {.lex_state = 170, .external_lex_state = 2},
  [19126] = {.lex_state = 19, .external_lex_state = 2},
  [19127] = {.lex_state = 452, .external_lex_state = 2},
  [19128] = {.lex_state = 452, .external_lex_state = 2},
  [19129] = {.lex_state = 170, .external_lex_state = 2},
  [19130] = {.lex_state = 452, .external_lex_state = 2},
  [19131] = {.lex_state = 452, .external_lex_state = 2},
  [19132] = {.lex_state = 452, .external_lex_state = 2},
  [19133] = {.lex_state = 159, .external_lex_state = 2},
  [19134] = {.lex_state = 452, .external_lex_state = 2},
  [19135] = {.lex_state = 452, .external_lex_state = 2},
  [19136] = {.lex_state = 159, .external_lex_state = 2},
  [19137] = {.lex_state = 452, .external_lex_state = 2},
  [19138] = {.lex_state = 452, .external_lex_state = 2},
  [19139] = {.lex_state = 452, .external_lex_state = 2},
  [19140] = {.lex_state = 452, .external_lex_state = 2},
  [19141] = {.lex_state = 452, .external_lex_state = 2},
  [19142] = {.lex_state = 159, .external_lex_state = 2},
  [19143] = {.lex_state = 159, .external_lex_state = 2},
  [19144] = {.lex_state = 18, .external_lex_state = 2},
  [19145] = {.lex_state = 170, .external_lex_state = 2},
  [19146] = {.lex_state = 170, .external_lex_state = 2},
  [19147] = {.lex_state = 170, .external_lex_state = 2},
  [19148] = {.lex_state = 452, .external_lex_state = 2},
  [19149] = {.lex_state = 19, .external_lex_state = 2},
  [19150] = {.lex_state = 19, .external_lex_state = 2},
  [19151] = {.lex_state = 452, .external_lex_state = 2},
  [19152] = {.lex_state = 452, .external_lex_state = 2},
  [19153] = {.lex_state = 452, .external_lex_state = 2},
  [19154] = {.lex_state = 159, .external_lex_state = 2},
  [19155] = {.lex_state = 159, .external_lex_state = 2},
  [19156] = {.lex_state = 19, .external_lex_state = 2},
  [19157] = {.lex_state = 170, .external_lex_state = 2},
  [19158] = {.lex_state = 452, .external_lex_state = 3},
  [19159] = {.lex_state = 452, .external_lex_state = 2},
  [19160] = {.lex_state = 452, .external_lex_state = 2},
  [19161] = {.lex_state = 452, .external_lex_state = 2},
  [19162] = {.lex_state = 159, .external_lex_state = 2},
  [19163] = {.lex_state = 159, .external_lex_state = 2},
  [19164] = {.lex_state = 452, .external_lex_state = 2},
  [19165] = {.lex_state = 452, .external_lex_state = 2},
  [19166] = {.lex_state = 170, .external_lex_state = 2},
  [19167] = {.lex_state = 19, .external_lex_state = 2},
  [19168] = {.lex_state = 452, .external_lex_state = 2},
  [19169] = {.lex_state = 452, .external_lex_state = 2},
  [19170] = {.lex_state = 452, .external_lex_state = 2},
  [19171] = {.lex_state = 452, .external_lex_state = 2},
  [19172] = {.lex_state = 452, .external_lex_state = 2},
  [19173] = {.lex_state = 452, .external_lex_state = 2},
  [19174] = {.lex_state = 452, .external_lex_state = 2},
  [19175] = {.lex_state = 452, .external_lex_state = 2},
  [19176] = {.lex_state = 452, .external_lex_state = 2},
  [19177] = {.lex_state = 452, .external_lex_state = 2},
  [19178] = {.lex_state = 452, .external_lex_state = 2},
  [19179] = {.lex_state = 452, .external_lex_state = 2},
  [19180] = {.lex_state = 452, .external_lex_state = 2},
  [19181] = {.lex_state = 452, .external_lex_state = 2},
  [19182] = {.lex_state = 452, .external_lex_state = 2},
  [19183] = {.lex_state = 452, .external_lex_state = 2},
  [19184] = {.lex_state = 452, .external_lex_state = 2},
  [19185] = {.lex_state = 452, .external_lex_state = 2},
  [19186] = {.lex_state = 170, .external_lex_state = 2},
  [19187] = {.lex_state = 452, .external_lex_state = 2},
  [19188] = {.lex_state = 452, .external_lex_state = 2},
  [19189] = {.lex_state = 18, .external_lex_state = 2},
  [19190] = {.lex_state = 19, .external_lex_state = 2},
  [19191] = {.lex_state = 452, .external_lex_state = 2},
  [19192] = {.lex_state = 452, .external_lex_state = 2},
  [19193] = {.lex_state = 452, .external_lex_state = 2},
  [19194] = {.lex_state = 170, .external_lex_state = 2},
  [19195] = {.lex_state = 159, .external_lex_state = 2},
  [19196] = {.lex_state = 159, .external_lex_state = 2},
  [19197] = {.lex_state = 19, .external_lex_state = 2},
  [19198] = {.lex_state = 452, .external_lex_state = 2},
  [19199] = {.lex_state = 18, .external_lex_state = 2},
  [19200] = {.lex_state = 452, .external_lex_state = 2},
  [19201] = {.lex_state = 452, .external_lex_state = 2},
  [19202] = {.lex_state = 452, .external_lex_state = 2},
  [19203] = {.lex_state = 159, .external_lex_state = 2},
  [19204] = {.lex_state = 159, .external_lex_state = 2},
  [19205] = {.lex_state = 452, .external_lex_state = 2},
  [19206] = {.lex_state = 452, .external_lex_state = 2},
  [19207] = {.lex_state = 452, .external_lex_state = 2},
  [19208] = {.lex_state = 19, .external_lex_state = 2},
  [19209] = {.lex_state = 452, .external_lex_state = 2},
  [19210] = {.lex_state = 452, .external_lex_state = 2},
  [19211] = {.lex_state = 19, .external_lex_state = 2},
  [19212] = {.lex_state = 452, .external_lex_state = 2},
  [19213] = {.lex_state = 452, .external_lex_state = 2},
  [19214] = {.lex_state = 452, .external_lex_state = 2},
  [19215] = {.lex_state = 452, .external_lex_state = 2},
  [19216] = {.lex_state = 452, .external_lex_state = 2},
  [19217] = {.lex_state = 452, .external_lex_state = 2},
  [19218] = {.lex_state = 452, .external_lex_state = 2},
  [19219] = {.lex_state = 452, .external_lex_state = 2},
  [19220] = {.lex_state = 452, .external_lex_state = 2},
  [19221] = {.lex_state = 452, .external_lex_state = 2},
  [19222] = {.lex_state = 452, .external_lex_state = 2},
  [19223] = {.lex_state = 452, .external_lex_state = 2},
  [19224] = {.lex_state = 452, .external_lex_state = 2},
  [19225] = {.lex_state = 452, .external_lex_state = 2},
  [19226] = {.lex_state = 452, .external_lex_state = 2},
  [19227] = {.lex_state = 452, .external_lex_state = 2},
  [19228] = {.lex_state = 170, .external_lex_state = 2},
  [19229] = {.lex_state = 170, .external_lex_state = 2},
  [19230] = {.lex_state = 170, .external_lex_state = 2},
  [19231] = {.lex_state = 19, .external_lex_state = 2},
  [19232] = {.lex_state = 18, .external_lex_state = 2},
  [19233] = {.lex_state = 452, .external_lex_state = 2},
  [19234] = {.lex_state = 170, .external_lex_state = 2},
  [19235] = {.lex_state = 452, .external_lex_state = 2},
  [19236] = {.lex_state = 159, .external_lex_state = 2},
  [19237] = {.lex_state = 159, .external_lex_state = 2},
  [19238] = {.lex_state = 19, .external_lex_state = 2},
  [19239] = {.lex_state = 452, .external_lex_state = 2},
  [19240] = {.lex_state = 452, .external_lex_state = 2},
  [19241] = {.lex_state = 170, .external_lex_state = 2},
  [19242] = {.lex_state = 452, .external_lex_state = 2},
  [19243] = {.lex_state = 452, .external_lex_state = 2},
  [19244] = {.lex_state = 159, .external_lex_state = 2},
  [19245] = {.lex_state = 159, .external_lex_state = 2},
  [19246] = {.lex_state = 452, .external_lex_state = 2},
  [19247] = {.lex_state = 159, .external_lex_state = 2},
  [19248] = {.lex_state = 452, .external_lex_state = 2},
  [19249] = {.lex_state = 19, .external_lex_state = 2},
  [19250] = {.lex_state = 452, .external_lex_state = 2},
  [19251] = {.lex_state = 159, .external_lex_state = 2},
  [19252] = {.lex_state = 19, .external_lex_state = 2},
  [19253] = {.lex_state = 452, .external_lex_state = 2},
  [19254] = {.lex_state = 452, .external_lex_state = 2},
  [19255] = {.lex_state = 452, .external_lex_state = 3},
  [19256] = {.lex_state = 452, .external_lex_state = 2},
  [19257] = {.lex_state = 18, .external_lex_state = 2},
  [19258] = {.lex_state = 452, .external_lex_state = 2},
  [19259] = {.lex_state = 18, .external_lex_state = 2},
  [19260] = {.lex_state = 452, .external_lex_state = 2},
  [19261] = {.lex_state = 452, .external_lex_state = 2},
  [19262] = {.lex_state = 452, .external_lex_state = 2},
  [19263] = {.lex_state = 452, .external_lex_state = 2},
  [19264] = {.lex_state = 159, .external_lex_state = 2},
  [19265] = {.lex_state = 18, .external_lex_state = 2},
  [19266] = {.lex_state = 452, .external_lex_state = 2},
  [19267] = {.lex_state = 452, .external_lex_state = 2},
  [19268] = {.lex_state = 159, .external_lex_state = 2},
  [19269] = {.lex_state = 18, .external_lex_state = 2},
  [19270] = {.lex_state = 452, .external_lex_state = 9},
  [19271] = {.lex_state = 159, .external_lex_state = 2},
  [19272] = {.lex_state = 19, .external_lex_state = 2},
  [19273] = {.lex_state = 452, .external_lex_state = 2},
  [19274] = {.lex_state = 159, .external_lex_state = 2},
  [19275] = {.lex_state = 452, .external_lex_state = 3},
  [19276] = {.lex_state = 452, .external_lex_state = 2},
  [19277] = {.lex_state = 159, .external_lex_state = 2},
  [19278] = {.lex_state = 159, .external_lex_state = 2},
  [19279] = {.lex_state = 19, .external_lex_state = 2},
  [19280] = {.lex_state = 452, .external_lex_state = 3},
  [19281] = {.lex_state = 452, .external_lex_state = 2},
  [19282] = {.lex_state = 452, .external_lex_state = 2},
  [19283] = {.lex_state = 452, .external_lex_state = 2},
  [19284] = {.lex_state = 159, .external_lex_state = 2},
  [19285] = {.lex_state = 159, .external_lex_state = 2},
  [19286] = {.lex_state = 159, .external_lex_state = 2},
  [19287] = {.lex_state = 452, .external_lex_state = 2},
  [19288] = {.lex_state = 170, .external_lex_state = 2},
  [19289] = {.lex_state = 452, .external_lex_state = 2},
  [19290] = {.lex_state = 19, .external_lex_state = 2},
  [19291] = {.lex_state = 170, .external_lex_state = 2},
  [19292] = {.lex_state = 170, .external_lex_state = 2},
  [19293] = {.lex_state = 159, .external_lex_state = 2},
  [19294] = {.lex_state = 452, .external_lex_state = 2},
  [19295] = {.lex_state = 452, .external_lex_state = 2},
  [19296] = {.lex_state = 452, .external_lex_state = 2},
  [19297] = {.lex_state = 452, .external_lex_state = 2},
  [19298] = {.lex_state = 452, .external_lex_state = 2},
  [19299] = {.lex_state = 452, .external_lex_state = 2},
  [19300] = {.lex_state = 159, .external_lex_state = 2},
  [19301] = {.lex_state = 452, .external_lex_state = 2},
  [19302] = {.lex_state = 452, .external_lex_state = 2},
  [19303] = {.lex_state = 452, .external_lex_state = 2},
  [19304] = {.lex_state = 452, .external_lex_state = 2},
  [19305] = {.lex_state = 452, .external_lex_state = 2},
  [19306] = {.lex_state = 452, .external_lex_state = 2},
  [19307] = {.lex_state = 452, .external_lex_state = 2},
  [19308] = {.lex_state = 452, .external_lex_state = 2},
  [19309] = {.lex_state = 159, .external_lex_state = 2},
  [19310] = {.lex_state = 159, .external_lex_state = 2},
  [19311] = {.lex_state = 452, .external_lex_state = 3},
  [19312] = {.lex_state = 452, .external_lex_state = 2},
  [19313] = {.lex_state = 19, .external_lex_state = 2},
  [19314] = {.lex_state = 452, .external_lex_state = 2},
  [19315] = {.lex_state = 452, .external_lex_state = 3},
  [19316] = {.lex_state = 452, .external_lex_state = 2},
  [19317] = {.lex_state = 452, .external_lex_state = 3},
  [19318] = {.lex_state = 159, .external_lex_state = 2},
  [19319] = {.lex_state = 159, .external_lex_state = 2},
  [19320] = {.lex_state = 19, .external_lex_state = 2},
  [19321] = {.lex_state = 452, .external_lex_state = 2},
  [19322] = {.lex_state = 452, .external_lex_state = 2},
  [19323] = {.lex_state = 452, .external_lex_state = 2},
  [19324] = {.lex_state = 452, .external_lex_state = 2},
  [19325] = {.lex_state = 18, .external_lex_state = 2},
  [19326] = {.lex_state = 159, .external_lex_state = 2},
  [19327] = {.lex_state = 159, .external_lex_state = 2},
  [19328] = {.lex_state = 170, .external_lex_state = 2},
  [19329] = {.lex_state = 452, .external_lex_state = 2},
  [19330] = {.lex_state = 452, .external_lex_state = 2},
  [19331] = {.lex_state = 19, .external_lex_state = 2},
  [19332] = {.lex_state = 452, .external_lex_state = 2},
  [19333] = {.lex_state = 452, .external_lex_state = 2},
  [19334] = {.lex_state = 159, .external_lex_state = 2},
  [19335] = {.lex_state = 452, .external_lex_state = 2},
  [19336] = {.lex_state = 452, .external_lex_state = 2},
  [19337] = {.lex_state = 452, .external_lex_state = 2},
  [19338] = {.lex_state = 452, .external_lex_state = 2},
  [19339] = {.lex_state = 452, .external_lex_state = 2},
  [19340] = {.lex_state = 452, .external_lex_state = 2},
  [19341] = {.lex_state = 452, .external_lex_state = 2},
  [19342] = {.lex_state = 452, .external_lex_state = 2},
  [19343] = {.lex_state = 452, .external_lex_state = 2},
  [19344] = {.lex_state = 452, .external_lex_state = 2},
  [19345] = {.lex_state = 452, .external_lex_state = 2},
  [19346] = {.lex_state = 159, .external_lex_state = 2},
  [19347] = {.lex_state = 452, .external_lex_state = 2},
  [19348] = {.lex_state = 452, .external_lex_state = 2},
  [19349] = {.lex_state = 452, .external_lex_state = 2},
  [19350] = {.lex_state = 452, .external_lex_state = 2},
  [19351] = {.lex_state = 452, .external_lex_state = 2},
  [19352] = {.lex_state = 159, .external_lex_state = 2},
  [19353] = {.lex_state = 452, .external_lex_state = 3},
  [19354] = {.lex_state = 19, .external_lex_state = 2},
  [19355] = {.lex_state = 452, .external_lex_state = 2},
  [19356] = {.lex_state = 452, .external_lex_state = 2},
  [19357] = {.lex_state = 452, .external_lex_state = 2},
  [19358] = {.lex_state = 452, .external_lex_state = 2},
  [19359] = {.lex_state = 159, .external_lex_state = 2},
  [19360] = {.lex_state = 159, .external_lex_state = 2},
  [19361] = {.lex_state = 19, .external_lex_state = 2},
  [19362] = {.lex_state = 452, .external_lex_state = 2},
  [19363] = {.lex_state = 452, .external_lex_state = 2},
  [19364] = {.lex_state = 452, .external_lex_state = 2},
  [19365] = {.lex_state = 452, .external_lex_state = 2},
  [19366] = {.lex_state = 452, .external_lex_state = 2},
  [19367] = {.lex_state = 159, .external_lex_state = 2},
  [19368] = {.lex_state = 159, .external_lex_state = 2},
  [19369] = {.lex_state = 18, .external_lex_state = 2},
  [19370] = {.lex_state = 452, .external_lex_state = 2},
  [19371] = {.lex_state = 170, .external_lex_state = 2},
  [19372] = {.lex_state = 19, .external_lex_state = 2},
  [19373] = {.lex_state = 452, .external_lex_state = 2},
  [19374] = {.lex_state = 452, .external_lex_state = 2},
  [19375] = {.lex_state = 18, .external_lex_state = 2},
  [19376] = {.lex_state = 452, .external_lex_state = 2},
  [19377] = {.lex_state = 452, .external_lex_state = 2},
  [19378] = {.lex_state = 159, .external_lex_state = 2},
  [19379] = {.lex_state = 159, .external_lex_state = 2},
  [19380] = {.lex_state = 452, .external_lex_state = 2},
  [19381] = {.lex_state = 452, .external_lex_state = 2},
  [19382] = {.lex_state = 452, .external_lex_state = 2},
  [19383] = {.lex_state = 452, .external_lex_state = 2},
  [19384] = {.lex_state = 452, .external_lex_state = 2},
  [19385] = {.lex_state = 452, .external_lex_state = 2},
  [19386] = {.lex_state = 452, .external_lex_state = 2},
  [19387] = {.lex_state = 452, .external_lex_state = 2},
  [19388] = {.lex_state = 452, .external_lex_state = 2},
  [19389] = {.lex_state = 452, .external_lex_state = 2},
  [19390] = {.lex_state = 159, .external_lex_state = 2},
  [19391] = {.lex_state = 452, .external_lex_state = 2},
  [19392] = {.lex_state = 452, .external_lex_state = 2},
  [19393] = {.lex_state = 452, .external_lex_state = 2},
  [19394] = {.lex_state = 452, .external_lex_state = 2},
  [19395] = {.lex_state = 19, .external_lex_state = 2},
  [19396] = {.lex_state = 159, .external_lex_state = 2},
  [19397] = {.lex_state = 452, .external_lex_state = 2},
  [19398] = {.lex_state = 452, .external_lex_state = 3},
  [19399] = {.lex_state = 452, .external_lex_state = 2},
  [19400] = {.lex_state = 159, .external_lex_state = 2},
  [19401] = {.lex_state = 159, .external_lex_state = 2},
  [19402] = {.lex_state = 19, .external_lex_state = 2},
  [19403] = {.lex_state = 452, .external_lex_state = 2},
  [19404] = {.lex_state = 452, .external_lex_state = 2},
  [19405] = {.lex_state = 159, .external_lex_state = 2},
  [19406] = {.lex_state = 452, .external_lex_state = 3},
  [19407] = {.lex_state = 452, .external_lex_state = 2},
  [19408] = {.lex_state = 159, .external_lex_state = 2},
  [19409] = {.lex_state = 159, .external_lex_state = 2},
  [19410] = {.lex_state = 452, .external_lex_state = 2},
  [19411] = {.lex_state = 452, .external_lex_state = 2},
  [19412] = {.lex_state = 452, .external_lex_state = 2},
  [19413] = {.lex_state = 19, .external_lex_state = 2},
  [19414] = {.lex_state = 18, .external_lex_state = 2},
  [19415] = {.lex_state = 452, .external_lex_state = 2},
  [19416] = {.lex_state = 452, .external_lex_state = 2},
  [19417] = {.lex_state = 452, .external_lex_state = 2},
  [19418] = {.lex_state = 452, .external_lex_state = 2},
  [19419] = {.lex_state = 452, .external_lex_state = 2},
  [19420] = {.lex_state = 159, .external_lex_state = 2},
  [19421] = {.lex_state = 18, .external_lex_state = 2},
  [19422] = {.lex_state = 452, .external_lex_state = 2},
  [19423] = {.lex_state = 452, .external_lex_state = 2},
  [19424] = {.lex_state = 452, .external_lex_state = 2},
  [19425] = {.lex_state = 452, .external_lex_state = 2},
  [19426] = {.lex_state = 452, .external_lex_state = 2},
  [19427] = {.lex_state = 452, .external_lex_state = 2},
  [19428] = {.lex_state = 159, .external_lex_state = 2},
  [19429] = {.lex_state = 452, .external_lex_state = 2},
  [19430] = {.lex_state = 452, .external_lex_state = 2},
  [19431] = {.lex_state = 452, .external_lex_state = 2},
  [19432] = {.lex_state = 452, .external_lex_state = 2},
  [19433] = {.lex_state = 452, .external_lex_state = 2},
  [19434] = {.lex_state = 452, .external_lex_state = 2},
  [19435] = {.lex_state = 19, .external_lex_state = 2},
  [19436] = {.lex_state = 19, .external_lex_state = 2},
  [19437] = {.lex_state = 452, .external_lex_state = 2},
  [19438] = {.lex_state = 159, .external_lex_state = 2},
  [19439] = {.lex_state = 159, .external_lex_state = 2},
  [19440] = {.lex_state = 452, .external_lex_state = 2},
  [19441] = {.lex_state = 159, .external_lex_state = 2},
  [19442] = {.lex_state = 159, .external_lex_state = 2},
  [19443] = {.lex_state = 19, .external_lex_state = 2},
  [19444] = {.lex_state = 452, .external_lex_state = 3},
  [19445] = {.lex_state = 452, .external_lex_state = 2},
  [19446] = {.lex_state = 19, .external_lex_state = 2},
  [19447] = {.lex_state = 452, .external_lex_state = 2},
  [19448] = {.lex_state = 452, .external_lex_state = 2},
  [19449] = {.lex_state = 159, .external_lex_state = 2},
  [19450] = {.lex_state = 159, .external_lex_state = 2},
  [19451] = {.lex_state = 159, .external_lex_state = 2},
  [19452] = {.lex_state = 452, .external_lex_state = 2},
  [19453] = {.lex_state = 452, .external_lex_state = 2},
  [19454] = {.lex_state = 19, .external_lex_state = 2},
  [19455] = {.lex_state = 19, .external_lex_state = 2},
  [19456] = {.lex_state = 452, .external_lex_state = 2},
  [19457] = {.lex_state = 19, .external_lex_state = 2},
  [19458] = {.lex_state = 452, .external_lex_state = 2},
  [19459] = {.lex_state = 452, .external_lex_state = 2},
  [19460] = {.lex_state = 452, .external_lex_state = 2},
  [19461] = {.lex_state = 452, .external_lex_state = 2},
  [19462] = {.lex_state = 452, .external_lex_state = 2},
  [19463] = {.lex_state = 452, .external_lex_state = 2},
  [19464] = {.lex_state = 159, .external_lex_state = 2},
  [19465] = {.lex_state = 452, .external_lex_state = 2},
  [19466] = {.lex_state = 452, .external_lex_state = 2},
  [19467] = {.lex_state = 452, .external_lex_state = 2},
  [19468] = {.lex_state = 452, .external_lex_state = 2},
  [19469] = {.lex_state = 452, .external_lex_state = 2},
  [19470] = {.lex_state = 159, .external_lex_state = 2},
  [19471] = {.lex_state = 452, .external_lex_state = 3},
  [19472] = {.lex_state = 170, .external_lex_state = 2},
  [19473] = {.lex_state = 452, .external_lex_state = 2},
  [19474] = {.lex_state = 452, .external_lex_state = 2},
  [19475] = {.lex_state = 170, .external_lex_state = 2},
  [19476] = {.lex_state = 170, .external_lex_state = 2},
  [19477] = {.lex_state = 19, .external_lex_state = 2},
  [19478] = {.lex_state = 452, .external_lex_state = 2},
  [19479] = {.lex_state = 452, .external_lex_state = 2},
  [19480] = {.lex_state = 452, .external_lex_state = 2},
  [19481] = {.lex_state = 159, .external_lex_state = 2},
  [19482] = {.lex_state = 159, .external_lex_state = 2},
  [19483] = {.lex_state = 159, .external_lex_state = 2},
  [19484] = {.lex_state = 19, .external_lex_state = 2},
  [19485] = {.lex_state = 452, .external_lex_state = 2},
  [19486] = {.lex_state = 159, .external_lex_state = 2},
  [19487] = {.lex_state = 452, .external_lex_state = 2},
  [19488] = {.lex_state = 452, .external_lex_state = 2},
  [19489] = {.lex_state = 159, .external_lex_state = 2},
  [19490] = {.lex_state = 159, .external_lex_state = 2},
  [19491] = {.lex_state = 159, .external_lex_state = 2},
  [19492] = {.lex_state = 452, .external_lex_state = 2},
  [19493] = {.lex_state = 452, .external_lex_state = 2},
  [19494] = {.lex_state = 452, .external_lex_state = 2},
  [19495] = {.lex_state = 19, .external_lex_state = 2},
  [19496] = {.lex_state = 159, .external_lex_state = 2},
  [19497] = {.lex_state = 19, .external_lex_state = 2},
  [19498] = {.lex_state = 452, .external_lex_state = 2},
  [19499] = {.lex_state = 452, .external_lex_state = 2},
  [19500] = {.lex_state = 452, .external_lex_state = 2},
  [19501] = {.lex_state = 170, .external_lex_state = 2},
  [19502] = {.lex_state = 159, .external_lex_state = 2},
  [19503] = {.lex_state = 452, .external_lex_state = 2},
  [19504] = {.lex_state = 452, .external_lex_state = 2},
  [19505] = {.lex_state = 452, .external_lex_state = 2},
  [19506] = {.lex_state = 452, .external_lex_state = 2},
  [19507] = {.lex_state = 452, .external_lex_state = 2},
  [19508] = {.lex_state = 452, .external_lex_state = 2},
  [19509] = {.lex_state = 452, .external_lex_state = 2},
  [19510] = {.lex_state = 452, .external_lex_state = 2},
  [19511] = {.lex_state = 452, .external_lex_state = 2},
  [19512] = {.lex_state = 159, .external_lex_state = 2},
  [19513] = {.lex_state = 452, .external_lex_state = 2},
  [19514] = {.lex_state = 452, .external_lex_state = 2},
  [19515] = {.lex_state = 452, .external_lex_state = 2},
  [19516] = {.lex_state = 452, .external_lex_state = 3},
  [19517] = {.lex_state = 452, .external_lex_state = 2},
  [19518] = {.lex_state = 19, .external_lex_state = 2},
  [19519] = {.lex_state = 170, .external_lex_state = 2},
  [19520] = {.lex_state = 452, .external_lex_state = 2},
  [19521] = {.lex_state = 159, .external_lex_state = 2},
  [19522] = {.lex_state = 170, .external_lex_state = 2},
  [19523] = {.lex_state = 159, .external_lex_state = 2},
  [19524] = {.lex_state = 159, .external_lex_state = 2},
  [19525] = {.lex_state = 19, .external_lex_state = 2},
  [19526] = {.lex_state = 452, .external_lex_state = 2},
  [19527] = {.lex_state = 452, .external_lex_state = 2},
  [19528] = {.lex_state = 452, .external_lex_state = 2},
  [19529] = {.lex_state = 159, .external_lex_state = 2},
  [19530] = {.lex_state = 452, .external_lex_state = 2},
  [19531] = {.lex_state = 159, .external_lex_state = 2},
  [19532] = {.lex_state = 159, .external_lex_state = 2},
  [19533] = {.lex_state = 452, .external_lex_state = 2},
  [19534] = {.lex_state = 159, .external_lex_state = 2},
  [19535] = {.lex_state = 452, .external_lex_state = 2},
  [19536] = {.lex_state = 19, .external_lex_state = 2},
  [19537] = {.lex_state = 452, .external_lex_state = 2},
  [19538] = {.lex_state = 452, .external_lex_state = 2},
  [19539] = {.lex_state = 452, .external_lex_state = 2},
  [19540] = {.lex_state = 18, .external_lex_state = 2},
  [19541] = {.lex_state = 452, .external_lex_state = 2},
  [19542] = {.lex_state = 19, .external_lex_state = 2},
  [19543] = {.lex_state = 159, .external_lex_state = 2},
  [19544] = {.lex_state = 452, .external_lex_state = 2},
  [19545] = {.lex_state = 452, .external_lex_state = 2},
  [19546] = {.lex_state = 452, .external_lex_state = 2},
  [19547] = {.lex_state = 452, .external_lex_state = 2},
  [19548] = {.lex_state = 452, .external_lex_state = 2},
  [19549] = {.lex_state = 452, .external_lex_state = 2},
  [19550] = {.lex_state = 452, .external_lex_state = 2},
  [19551] = {.lex_state = 452, .external_lex_state = 2},
  [19552] = {.lex_state = 452, .external_lex_state = 2},
  [19553] = {.lex_state = 159, .external_lex_state = 2},
  [19554] = {.lex_state = 452, .external_lex_state = 3},
  [19555] = {.lex_state = 452, .external_lex_state = 2},
  [19556] = {.lex_state = 452, .external_lex_state = 2},
  [19557] = {.lex_state = 452, .external_lex_state = 2},
  [19558] = {.lex_state = 19, .external_lex_state = 2},
  [19559] = {.lex_state = 452, .external_lex_state = 2},
  [19560] = {.lex_state = 452, .external_lex_state = 2},
  [19561] = {.lex_state = 452, .external_lex_state = 2},
  [19562] = {.lex_state = 452, .external_lex_state = 2},
  [19563] = {.lex_state = 159, .external_lex_state = 2},
  [19564] = {.lex_state = 159, .external_lex_state = 2},
  [19565] = {.lex_state = 19, .external_lex_state = 2},
  [19566] = {.lex_state = 170, .external_lex_state = 2},
  [19567] = {.lex_state = 170, .external_lex_state = 2},
  [19568] = {.lex_state = 170, .external_lex_state = 2},
  [19569] = {.lex_state = 452, .external_lex_state = 2},
  [19570] = {.lex_state = 452, .external_lex_state = 2},
  [19571] = {.lex_state = 159, .external_lex_state = 2},
  [19572] = {.lex_state = 159, .external_lex_state = 2},
  [19573] = {.lex_state = 452, .external_lex_state = 2},
  [19574] = {.lex_state = 452, .external_lex_state = 2},
  [19575] = {.lex_state = 452, .external_lex_state = 2},
  [19576] = {.lex_state = 19, .external_lex_state = 2},
  [19577] = {.lex_state = 452, .external_lex_state = 2},
  [19578] = {.lex_state = 452, .external_lex_state = 2},
  [19579] = {.lex_state = 452, .external_lex_state = 2},
  [19580] = {.lex_state = 452, .external_lex_state = 2},
  [19581] = {.lex_state = 452, .external_lex_state = 2},
  [19582] = {.lex_state = 170, .external_lex_state = 2},
  [19583] = {.lex_state = 452, .external_lex_state = 2},
  [19584] = {.lex_state = 452, .external_lex_state = 2},
  [19585] = {.lex_state = 452, .external_lex_state = 2},
  [19586] = {.lex_state = 452, .external_lex_state = 2},
  [19587] = {.lex_state = 452, .external_lex_state = 2},
  [19588] = {.lex_state = 452, .external_lex_state = 2},
  [19589] = {.lex_state = 452, .external_lex_state = 2},
  [19590] = {.lex_state = 452, .external_lex_state = 2},
  [19591] = {.lex_state = 452, .external_lex_state = 2},
  [19592] = {.lex_state = 452, .external_lex_state = 2},
  [19593] = {.lex_state = 452, .external_lex_state = 2},
  [19594] = {.lex_state = 452, .external_lex_state = 2},
  [19595] = {.lex_state = 452, .external_lex_state = 2},
  [19596] = {.lex_state = 452, .external_lex_state = 2},
  [19597] = {.lex_state = 19, .external_lex_state = 2},
  [19598] = {.lex_state = 18, .external_lex_state = 2},
  [19599] = {.lex_state = 452, .external_lex_state = 2},
  [19600] = {.lex_state = 452, .external_lex_state = 2},
  [19601] = {.lex_state = 452, .external_lex_state = 2},
  [19602] = {.lex_state = 159, .external_lex_state = 2},
  [19603] = {.lex_state = 159, .external_lex_state = 2},
  [19604] = {.lex_state = 19, .external_lex_state = 2},
  [19605] = {.lex_state = 452, .external_lex_state = 2},
  [19606] = {.lex_state = 18, .external_lex_state = 2},
  [19607] = {.lex_state = 159, .external_lex_state = 2},
  [19608] = {.lex_state = 452, .external_lex_state = 3},
  [19609] = {.lex_state = 159, .external_lex_state = 2},
  [19610] = {.lex_state = 159, .external_lex_state = 2},
  [19611] = {.lex_state = 159, .external_lex_state = 2},
  [19612] = {.lex_state = 159, .external_lex_state = 2},
  [19613] = {.lex_state = 452, .external_lex_state = 3},
  [19614] = {.lex_state = 452, .external_lex_state = 2},
  [19615] = {.lex_state = 19, .external_lex_state = 2},
  [19616] = {.lex_state = 452, .external_lex_state = 2},
  [19617] = {.lex_state = 159, .external_lex_state = 2},
  [19618] = {.lex_state = 452, .external_lex_state = 2},
  [19619] = {.lex_state = 452, .external_lex_state = 2},
  [19620] = {.lex_state = 452, .external_lex_state = 2},
  [19621] = {.lex_state = 452, .external_lex_state = 2},
  [19622] = {.lex_state = 452, .external_lex_state = 2},
  [19623] = {.lex_state = 159, .external_lex_state = 2},
  [19624] = {.lex_state = 452, .external_lex_state = 2},
  [19625] = {.lex_state = 452, .external_lex_state = 2},
  [19626] = {.lex_state = 452, .external_lex_state = 2},
  [19627] = {.lex_state = 452, .external_lex_state = 2},
  [19628] = {.lex_state = 452, .external_lex_state = 2},
  [19629] = {.lex_state = 452, .external_lex_state = 2},
  [19630] = {.lex_state = 452, .external_lex_state = 2},
  [19631] = {.lex_state = 452, .external_lex_state = 2},
  [19632] = {.lex_state = 452, .external_lex_state = 2},
  [19633] = {.lex_state = 452, .external_lex_state = 2},
  [19634] = {.lex_state = 452, .external_lex_state = 3},
  [19635] = {.lex_state = 452, .external_lex_state = 2},
  [19636] = {.lex_state = 19, .external_lex_state = 2},
  [19637] = {.lex_state = 452, .external_lex_state = 2},
  [19638] = {.lex_state = 452, .external_lex_state = 2},
  [19639] = {.lex_state = 452, .external_lex_state = 2},
  [19640] = {.lex_state = 452, .external_lex_state = 2},
  [19641] = {.lex_state = 159, .external_lex_state = 2},
  [19642] = {.lex_state = 159, .external_lex_state = 2},
  [19643] = {.lex_state = 19, .external_lex_state = 2},
  [19644] = {.lex_state = 452, .external_lex_state = 2},
  [19645] = {.lex_state = 452, .external_lex_state = 2},
  [19646] = {.lex_state = 452, .external_lex_state = 2},
  [19647] = {.lex_state = 452, .external_lex_state = 2},
  [19648] = {.lex_state = 452, .external_lex_state = 2},
  [19649] = {.lex_state = 159, .external_lex_state = 2},
  [19650] = {.lex_state = 159, .external_lex_state = 2},
  [19651] = {.lex_state = 452, .external_lex_state = 2},
  [19652] = {.lex_state = 452, .external_lex_state = 2},
  [19653] = {.lex_state = 159, .external_lex_state = 2},
  [19654] = {.lex_state = 19, .external_lex_state = 2},
  [19655] = {.lex_state = 18, .external_lex_state = 2},
  [19656] = {.lex_state = 452, .external_lex_state = 2},
  [19657] = {.lex_state = 159, .external_lex_state = 2},
  [19658] = {.lex_state = 452, .external_lex_state = 3},
  [19659] = {.lex_state = 452, .external_lex_state = 2},
  [19660] = {.lex_state = 452, .external_lex_state = 2},
  [19661] = {.lex_state = 159, .external_lex_state = 2},
  [19662] = {.lex_state = 452, .external_lex_state = 2},
  [19663] = {.lex_state = 452, .external_lex_state = 2},
  [19664] = {.lex_state = 452, .external_lex_state = 2},
  [19665] = {.lex_state = 452, .external_lex_state = 2},
  [19666] = {.lex_state = 452, .external_lex_state = 3},
  [19667] = {.lex_state = 452, .external_lex_state = 2},
  [19668] = {.lex_state = 452, .external_lex_state = 2},
  [19669] = {.lex_state = 452, .external_lex_state = 2},
  [19670] = {.lex_state = 452, .external_lex_state = 2},
  [19671] = {.lex_state = 452, .external_lex_state = 2},
  [19672] = {.lex_state = 159, .external_lex_state = 2},
  [19673] = {.lex_state = 452, .external_lex_state = 2},
  [19674] = {.lex_state = 452, .external_lex_state = 2},
  [19675] = {.lex_state = 19, .external_lex_state = 2},
  [19676] = {.lex_state = 452, .external_lex_state = 2},
  [19677] = {.lex_state = 452, .external_lex_state = 2},
  [19678] = {.lex_state = 452, .external_lex_state = 2},
  [19679] = {.lex_state = 452, .external_lex_state = 2},
  [19680] = {.lex_state = 159, .external_lex_state = 2},
  [19681] = {.lex_state = 159, .external_lex_state = 2},
  [19682] = {.lex_state = 19, .external_lex_state = 2},
  [19683] = {.lex_state = 159, .external_lex_state = 2},
  [19684] = {.lex_state = 159, .external_lex_state = 2},
  [19685] = {.lex_state = 452, .external_lex_state = 2},
  [19686] = {.lex_state = 452, .external_lex_state = 2},
  [19687] = {.lex_state = 452, .external_lex_state = 2},
  [19688] = {.lex_state = 159, .external_lex_state = 2},
  [19689] = {.lex_state = 159, .external_lex_state = 2},
  [19690] = {.lex_state = 452, .external_lex_state = 2},
  [19691] = {.lex_state = 452, .external_lex_state = 2},
  [19692] = {.lex_state = 452, .external_lex_state = 2},
  [19693] = {.lex_state = 19, .external_lex_state = 2},
  [19694] = {.lex_state = 170, .external_lex_state = 2},
  [19695] = {.lex_state = 170, .external_lex_state = 2},
  [19696] = {.lex_state = 452, .external_lex_state = 2},
  [19697] = {.lex_state = 452, .external_lex_state = 2},
  [19698] = {.lex_state = 452, .external_lex_state = 2},
  [19699] = {.lex_state = 452, .external_lex_state = 2},
  [19700] = {.lex_state = 170, .external_lex_state = 2},
  [19701] = {.lex_state = 452, .external_lex_state = 2},
  [19702] = {.lex_state = 452, .external_lex_state = 2},
  [19703] = {.lex_state = 452, .external_lex_state = 2},
  [19704] = {.lex_state = 452, .external_lex_state = 2},
  [19705] = {.lex_state = 452, .external_lex_state = 2},
  [19706] = {.lex_state = 452, .external_lex_state = 2},
  [19707] = {.lex_state = 452, .external_lex_state = 2},
  [19708] = {.lex_state = 452, .external_lex_state = 2},
  [19709] = {.lex_state = 452, .external_lex_state = 2},
  [19710] = {.lex_state = 159, .external_lex_state = 2},
  [19711] = {.lex_state = 452, .external_lex_state = 3},
  [19712] = {.lex_state = 452, .external_lex_state = 2},
  [19713] = {.lex_state = 452, .external_lex_state = 2},
  [19714] = {.lex_state = 19, .external_lex_state = 2},
  [19715] = {.lex_state = 452, .external_lex_state = 2},
  [19716] = {.lex_state = 452, .external_lex_state = 2},
  [19717] = {.lex_state = 452, .external_lex_state = 2},
  [19718] = {.lex_state = 452, .external_lex_state = 2},
  [19719] = {.lex_state = 159, .external_lex_state = 2},
  [19720] = {.lex_state = 159, .external_lex_state = 2},
  [19721] = {.lex_state = 19, .external_lex_state = 2},
  [19722] = {.lex_state = 452, .external_lex_state = 2},
  [19723] = {.lex_state = 452, .external_lex_state = 2},
  [19724] = {.lex_state = 452, .external_lex_state = 2},
  [19725] = {.lex_state = 452, .external_lex_state = 2},
  [19726] = {.lex_state = 170, .external_lex_state = 2},
  [19727] = {.lex_state = 159, .external_lex_state = 2},
  [19728] = {.lex_state = 159, .external_lex_state = 2},
  [19729] = {.lex_state = 452, .external_lex_state = 2},
  [19730] = {.lex_state = 452, .external_lex_state = 2},
  [19731] = {.lex_state = 159, .external_lex_state = 2},
  [19732] = {.lex_state = 19, .external_lex_state = 2},
  [19733] = {.lex_state = 452, .external_lex_state = 2},
  [19734] = {.lex_state = 452, .external_lex_state = 2},
  [19735] = {.lex_state = 452, .external_lex_state = 2},
  [19736] = {.lex_state = 452, .external_lex_state = 2},
  [19737] = {.lex_state = 452, .external_lex_state = 2},
  [19738] = {.lex_state = 170, .external_lex_state = 2},
  [19739] = {.lex_state = 170, .external_lex_state = 2},
  [19740] = {.lex_state = 452, .external_lex_state = 2},
  [19741] = {.lex_state = 170, .external_lex_state = 2},
  [19742] = {.lex_state = 452, .external_lex_state = 2},
  [19743] = {.lex_state = 452, .external_lex_state = 2},
  [19744] = {.lex_state = 452, .external_lex_state = 2},
  [19745] = {.lex_state = 452, .external_lex_state = 2},
  [19746] = {.lex_state = 452, .external_lex_state = 2},
  [19747] = {.lex_state = 452, .external_lex_state = 2},
  [19748] = {.lex_state = 452, .external_lex_state = 2},
  [19749] = {.lex_state = 452, .external_lex_state = 2},
  [19750] = {.lex_state = 452, .external_lex_state = 2},
  [19751] = {.lex_state = 452, .external_lex_state = 2},
  [19752] = {.lex_state = 19, .external_lex_state = 2},
  [19753] = {.lex_state = 452, .external_lex_state = 2},
  [19754] = {.lex_state = 452, .external_lex_state = 2},
  [19755] = {.lex_state = 452, .external_lex_state = 2},
  [19756] = {.lex_state = 452, .external_lex_state = 2},
  [19757] = {.lex_state = 159, .external_lex_state = 2},
  [19758] = {.lex_state = 159, .external_lex_state = 2},
  [19759] = {.lex_state = 19, .external_lex_state = 2},
  [19760] = {.lex_state = 452, .external_lex_state = 2},
  [19761] = {.lex_state = 452, .external_lex_state = 2},
  [19762] = {.lex_state = 452, .external_lex_state = 2},
  [19763] = {.lex_state = 452, .external_lex_state = 2},
  [19764] = {.lex_state = 452, .external_lex_state = 2},
  [19765] = {.lex_state = 159, .external_lex_state = 2},
  [19766] = {.lex_state = 159, .external_lex_state = 2},
  [19767] = {.lex_state = 452, .external_lex_state = 2},
  [19768] = {.lex_state = 452, .external_lex_state = 2},
  [19769] = {.lex_state = 452, .external_lex_state = 2},
  [19770] = {.lex_state = 19, .external_lex_state = 2},
  [19771] = {.lex_state = 452, .external_lex_state = 2},
  [19772] = {.lex_state = 159, .external_lex_state = 2},
  [19773] = {.lex_state = 452, .external_lex_state = 2},
  [19774] = {.lex_state = 452, .external_lex_state = 2},
  [19775] = {.lex_state = 452, .external_lex_state = 2},
  [19776] = {.lex_state = 159, .external_lex_state = 2},
  [19777] = {.lex_state = 452, .external_lex_state = 2},
  [19778] = {.lex_state = 452, .external_lex_state = 2},
  [19779] = {.lex_state = 452, .external_lex_state = 2},
  [19780] = {.lex_state = 452, .external_lex_state = 2},
  [19781] = {.lex_state = 452, .external_lex_state = 2},
  [19782] = {.lex_state = 452, .external_lex_state = 2},
  [19783] = {.lex_state = 452, .external_lex_state = 2},
  [19784] = {.lex_state = 452, .external_lex_state = 2},
  [19785] = {.lex_state = 452, .external_lex_state = 3},
  [19786] = {.lex_state = 452, .external_lex_state = 2},
  [19787] = {.lex_state = 452, .external_lex_state = 2},
  [19788] = {.lex_state = 452, .external_lex_state = 2},
  [19789] = {.lex_state = 18, .external_lex_state = 2},
  [19790] = {.lex_state = 19, .external_lex_state = 2},
  [19791] = {.lex_state = 452, .external_lex_state = 2},
  [19792] = {.lex_state = 18, .external_lex_state = 2},
  [19793] = {.lex_state = 452, .external_lex_state = 2},
  [19794] = {.lex_state = 452, .external_lex_state = 2},
  [19795] = {.lex_state = 159, .external_lex_state = 2},
  [19796] = {.lex_state = 159, .external_lex_state = 2},
  [19797] = {.lex_state = 19, .external_lex_state = 2},
  [19798] = {.lex_state = 452, .external_lex_state = 2},
  [19799] = {.lex_state = 452, .external_lex_state = 2},
  [19800] = {.lex_state = 452, .external_lex_state = 2},
  [19801] = {.lex_state = 452, .external_lex_state = 2},
  [19802] = {.lex_state = 452, .external_lex_state = 2},
  [19803] = {.lex_state = 159, .external_lex_state = 2},
  [19804] = {.lex_state = 159, .external_lex_state = 2},
  [19805] = {.lex_state = 452, .external_lex_state = 2},
  [19806] = {.lex_state = 452, .external_lex_state = 2},
  [19807] = {.lex_state = 159, .external_lex_state = 2},
  [19808] = {.lex_state = 19, .external_lex_state = 2},
  [19809] = {.lex_state = 452, .external_lex_state = 2},
  [19810] = {.lex_state = 19, .external_lex_state = 2},
  [19811] = {.lex_state = 452, .external_lex_state = 2},
  [19812] = {.lex_state = 452, .external_lex_state = 2},
  [19813] = {.lex_state = 452, .external_lex_state = 2},
  [19814] = {.lex_state = 452, .external_lex_state = 2},
  [19815] = {.lex_state = 159, .external_lex_state = 2},
  [19816] = {.lex_state = 452, .external_lex_state = 3},
  [19817] = {.lex_state = 452, .external_lex_state = 2},
  [19818] = {.lex_state = 452, .external_lex_state = 2},
  [19819] = {.lex_state = 452, .external_lex_state = 2},
  [19820] = {.lex_state = 452, .external_lex_state = 2},
  [19821] = {.lex_state = 452, .external_lex_state = 2},
  [19822] = {.lex_state = 452, .external_lex_state = 2},
  [19823] = {.lex_state = 452, .external_lex_state = 2},
  [19824] = {.lex_state = 452, .external_lex_state = 2},
  [19825] = {.lex_state = 452, .external_lex_state = 2},
  [19826] = {.lex_state = 452, .external_lex_state = 2},
  [19827] = {.lex_state = 452, .external_lex_state = 2},
  [19828] = {.lex_state = 19, .external_lex_state = 2},
  [19829] = {.lex_state = 452, .external_lex_state = 2},
  [19830] = {.lex_state = 452, .external_lex_state = 2},
  [19831] = {.lex_state = 452, .external_lex_state = 2},
  [19832] = {.lex_state = 452, .external_lex_state = 2},
  [19833] = {.lex_state = 159, .external_lex_state = 2},
  [19834] = {.lex_state = 159, .external_lex_state = 2},
  [19835] = {.lex_state = 19, .external_lex_state = 2},
  [19836] = {.lex_state = 452, .external_lex_state = 2},
  [19837] = {.lex_state = 452, .external_lex_state = 2},
  [19838] = {.lex_state = 19, .external_lex_state = 2},
  [19839] = {.lex_state = 452, .external_lex_state = 2},
  [19840] = {.lex_state = 452, .external_lex_state = 2},
  [19841] = {.lex_state = 159, .external_lex_state = 2},
  [19842] = {.lex_state = 159, .external_lex_state = 2},
  [19843] = {.lex_state = 452, .external_lex_state = 2},
  [19844] = {.lex_state = 452, .external_lex_state = 2},
  [19845] = {.lex_state = 18, .external_lex_state = 2},
  [19846] = {.lex_state = 19, .external_lex_state = 2},
  [19847] = {.lex_state = 19, .external_lex_state = 2},
  [19848] = {.lex_state = 452, .external_lex_state = 2},
  [19849] = {.lex_state = 452, .external_lex_state = 2},
  [19850] = {.lex_state = 452, .external_lex_state = 2},
  [19851] = {.lex_state = 452, .external_lex_state = 2},
  [19852] = {.lex_state = 452, .external_lex_state = 2},
  [19853] = {.lex_state = 452, .external_lex_state = 2},
  [19854] = {.lex_state = 452, .external_lex_state = 2},
  [19855] = {.lex_state = 452, .external_lex_state = 2},
  [19856] = {.lex_state = 452, .external_lex_state = 2},
  [19857] = {.lex_state = 452, .external_lex_state = 2},
  [19858] = {.lex_state = 452, .external_lex_state = 2},
  [19859] = {.lex_state = 452, .external_lex_state = 2},
  [19860] = {.lex_state = 452, .external_lex_state = 2},
  [19861] = {.lex_state = 452, .external_lex_state = 3},
  [19862] = {.lex_state = 452, .external_lex_state = 2},
  [19863] = {.lex_state = 170, .external_lex_state = 2},
  [19864] = {.lex_state = 452, .external_lex_state = 2},
  [19865] = {.lex_state = 452, .external_lex_state = 2},
  [19866] = {.lex_state = 19, .external_lex_state = 2},
  [19867] = {.lex_state = 452, .external_lex_state = 2},
  [19868] = {.lex_state = 452, .external_lex_state = 2},
  [19869] = {.lex_state = 452, .external_lex_state = 2},
  [19870] = {.lex_state = 159, .external_lex_state = 2},
  [19871] = {.lex_state = 159, .external_lex_state = 2},
  [19872] = {.lex_state = 19, .external_lex_state = 2},
  [19873] = {.lex_state = 170, .external_lex_state = 2},
  [19874] = {.lex_state = 159, .external_lex_state = 2},
  [19875] = {.lex_state = 159, .external_lex_state = 2},
  [19876] = {.lex_state = 19, .external_lex_state = 2},
  [19877] = {.lex_state = 159, .external_lex_state = 2},
  [19878] = {.lex_state = 452, .external_lex_state = 2},
  [19879] = {.lex_state = 452, .external_lex_state = 2},
  [19880] = {.lex_state = 452, .external_lex_state = 2},
  [19881] = {.lex_state = 170, .external_lex_state = 2},
  [19882] = {.lex_state = 452, .external_lex_state = 2},
  [19883] = {.lex_state = 452, .external_lex_state = 2},
  [19884] = {.lex_state = 452, .external_lex_state = 2},
  [19885] = {.lex_state = 452, .external_lex_state = 2},
  [19886] = {.lex_state = 170, .external_lex_state = 2},
  [19887] = {.lex_state = 452, .external_lex_state = 2},
  [19888] = {.lex_state = 452, .external_lex_state = 2},
  [19889] = {.lex_state = 170, .external_lex_state = 2},
  [19890] = {.lex_state = 452, .external_lex_state = 2},
  [19891] = {.lex_state = 159, .external_lex_state = 2},
  [19892] = {.lex_state = 452, .external_lex_state = 2},
  [19893] = {.lex_state = 452, .external_lex_state = 2},
  [19894] = {.lex_state = 159, .external_lex_state = 2},
  [19895] = {.lex_state = 159, .external_lex_state = 2},
  [19896] = {.lex_state = 19, .external_lex_state = 2},
  [19897] = {.lex_state = 452, .external_lex_state = 2},
  [19898] = {.lex_state = 159, .external_lex_state = 2},
  [19899] = {.lex_state = 159, .external_lex_state = 2},
  [19900] = {.lex_state = 19, .external_lex_state = 2},
  [19901] = {.lex_state = 452, .external_lex_state = 2},
  [19902] = {.lex_state = 452, .external_lex_state = 2},
  [19903] = {.lex_state = 452, .external_lex_state = 2},
  [19904] = {.lex_state = 452, .external_lex_state = 2},
  [19905] = {.lex_state = 452, .external_lex_state = 2},
  [19906] = {.lex_state = 452, .external_lex_state = 2},
  [19907] = {.lex_state = 452, .external_lex_state = 2},
  [19908] = {.lex_state = 452, .external_lex_state = 2},
  [19909] = {.lex_state = 170, .external_lex_state = 2},
  [19910] = {.lex_state = 159, .external_lex_state = 2},
  [19911] = {.lex_state = 452, .external_lex_state = 2},
  [19912] = {.lex_state = 452, .external_lex_state = 2},
  [19913] = {.lex_state = 452, .external_lex_state = 2},
  [19914] = {.lex_state = 452, .external_lex_state = 2},
  [19915] = {.lex_state = 452, .external_lex_state = 2},
  [19916] = {.lex_state = 452, .external_lex_state = 2},
  [19917] = {.lex_state = 452, .external_lex_state = 2},
  [19918] = {.lex_state = 452, .external_lex_state = 2},
  [19919] = {.lex_state = 452, .external_lex_state = 2},
  [19920] = {.lex_state = 452, .external_lex_state = 2},
  [19921] = {.lex_state = 452, .external_lex_state = 2},
  [19922] = {.lex_state = 452, .external_lex_state = 2},
  [19923] = {.lex_state = 452, .external_lex_state = 2},
  [19924] = {.lex_state = 452, .external_lex_state = 2},
  [19925] = {.lex_state = 452, .external_lex_state = 2},
  [19926] = {.lex_state = 452, .external_lex_state = 2},
  [19927] = {.lex_state = 452, .external_lex_state = 2},
  [19928] = {.lex_state = 18, .external_lex_state = 2},
  [19929] = {.lex_state = 452, .external_lex_state = 2},
  [19930] = {.lex_state = 159, .external_lex_state = 2},
  [19931] = {.lex_state = 452, .external_lex_state = 2},
  [19932] = {.lex_state = 452, .external_lex_state = 2},
  [19933] = {.lex_state = 452, .external_lex_state = 2},
  [19934] = {.lex_state = 452, .external_lex_state = 2},
  [19935] = {.lex_state = 452, .external_lex_state = 2},
  [19936] = {.lex_state = 452, .external_lex_state = 2},
  [19937] = {.lex_state = 159, .external_lex_state = 2},
  [19938] = {.lex_state = 452, .external_lex_state = 2},
  [19939] = {.lex_state = 452, .external_lex_state = 2},
  [19940] = {.lex_state = 452, .external_lex_state = 2},
  [19941] = {.lex_state = 452, .external_lex_state = 2},
  [19942] = {.lex_state = 452, .external_lex_state = 2},
  [19943] = {.lex_state = 452, .external_lex_state = 2},
  [19944] = {.lex_state = 452, .external_lex_state = 2},
  [19945] = {.lex_state = 452, .external_lex_state = 2},
  [19946] = {.lex_state = 19, .external_lex_state = 2},
  [19947] = {.lex_state = 452, .external_lex_state = 2},
  [19948] = {.lex_state = 452, .external_lex_state = 2},
  [19949] = {.lex_state = 452, .external_lex_state = 2},
  [19950] = {.lex_state = 452, .external_lex_state = 2},
  [19951] = {.lex_state = 452, .external_lex_state = 2},
  [19952] = {.lex_state = 452, .external_lex_state = 2},
  [19953] = {.lex_state = 452, .external_lex_state = 2},
  [19954] = {.lex_state = 452, .external_lex_state = 2},
  [19955] = {.lex_state = 452, .external_lex_state = 2},
  [19956] = {.lex_state = 452, .external_lex_state = 2},
  [19957] = {.lex_state = 452, .external_lex_state = 2},
  [19958] = {.lex_state = 452, .external_lex_state = 2},
  [19959] = {.lex_state = 452, .external_lex_state = 2},
  [19960] = {.lex_state = 452, .external_lex_state = 2},
  [19961] = {.lex_state = 452, .external_lex_state = 2},
  [19962] = {.lex_state = 452, .external_lex_state = 2},
  [19963] = {.lex_state = 452, .external_lex_state = 2},
  [19964] = {.lex_state = 452, .external_lex_state = 2},
  [19965] = {.lex_state = 452, .external_lex_state = 2},
  [19966] = {.lex_state = 452, .external_lex_state = 2},
  [19967] = {.lex_state = 170, .external_lex_state = 2},
  [19968] = {.lex_state = 452, .external_lex_state = 2},
  [19969] = {.lex_state = 452, .external_lex_state = 2},
  [19970] = {.lex_state = 452, .external_lex_state = 2},
  [19971] = {.lex_state = 452, .external_lex_state = 2},
  [19972] = {.lex_state = 452, .external_lex_state = 2},
  [19973] = {.lex_state = 452, .external_lex_state = 2},
  [19974] = {.lex_state = 452, .external_lex_state = 2},
  [19975] = {.lex_state = 452, .external_lex_state = 2},
  [19976] = {.lex_state = 452, .external_lex_state = 2},
  [19977] = {.lex_state = 452, .external_lex_state = 2},
  [19978] = {.lex_state = 452, .external_lex_state = 2},
  [19979] = {.lex_state = 452, .external_lex_state = 2},
  [19980] = {.lex_state = 452, .external_lex_state = 2},
  [19981] = {.lex_state = 452, .external_lex_state = 2},
  [19982] = {.lex_state = 452, .external_lex_state = 2},
  [19983] = {.lex_state = 452, .external_lex_state = 2},
  [19984] = {.lex_state = 452, .external_lex_state = 2},
  [19985] = {.lex_state = 452, .external_lex_state = 2},
  [19986] = {.lex_state = 18, .external_lex_state = 2},
  [19987] = {.lex_state = 452, .external_lex_state = 2},
  [19988] = {.lex_state = 452, .external_lex_state = 2},
  [19989] = {.lex_state = 452, .external_lex_state = 2},
  [19990] = {.lex_state = 452, .external_lex_state = 2},
  [19991] = {.lex_state = 452, .external_lex_state = 2},
  [19992] = {.lex_state = 452, .external_lex_state = 2},
  [19993] = {.lex_state = 452, .external_lex_state = 2},
  [19994] = {.lex_state = 452, .external_lex_state = 2},
  [19995] = {.lex_state = 452, .external_lex_state = 2},
  [19996] = {.lex_state = 170, .external_lex_state = 2},
  [19997] = {.lex_state = 452, .external_lex_state = 2},
  [19998] = {.lex_state = 452, .external_lex_state = 2},
  [19999] = {.lex_state = 452, .external_lex_state = 2},
  [20000] = {.lex_state = 452, .external_lex_state = 2},
  [20001] = {.lex_state = 452, .external_lex_state = 2},
  [20002] = {.lex_state = 452, .external_lex_state = 2},
  [20003] = {.lex_state = 452, .external_lex_state = 2},
  [20004] = {.lex_state = 452, .external_lex_state = 2},
  [20005] = {.lex_state = 452, .external_lex_state = 2},
  [20006] = {.lex_state = 159, .external_lex_state = 2},
  [20007] = {.lex_state = 452, .external_lex_state = 2},
  [20008] = {.lex_state = 159, .external_lex_state = 2},
  [20009] = {.lex_state = 452, .external_lex_state = 3},
  [20010] = {.lex_state = 452, .external_lex_state = 2},
  [20011] = {.lex_state = 452, .external_lex_state = 2},
  [20012] = {.lex_state = 452, .external_lex_state = 2},
  [20013] = {.lex_state = 452, .external_lex_state = 2},
  [20014] = {.lex_state = 452, .external_lex_state = 2},
  [20015] = {.lex_state = 452, .external_lex_state = 2},
  [20016] = {.lex_state = 159, .external_lex_state = 2},
  [20017] = {.lex_state = 452, .external_lex_state = 2},
  [20018] = {.lex_state = 452, .external_lex_state = 2},
  [20019] = {.lex_state = 452, .external_lex_state = 2},
  [20020] = {.lex_state = 452, .external_lex_state = 2},
  [20021] = {.lex_state = 452, .external_lex_state = 2},
  [20022] = {.lex_state = 452, .external_lex_state = 2},
  [20023] = {.lex_state = 452, .external_lex_state = 2},
  [20024] = {.lex_state = 452, .external_lex_state = 2},
  [20025] = {.lex_state = 452, .external_lex_state = 2},
  [20026] = {.lex_state = 452, .external_lex_state = 3},
  [20027] = {.lex_state = 452, .external_lex_state = 2},
  [20028] = {.lex_state = 170, .external_lex_state = 2},
  [20029] = {.lex_state = 452, .external_lex_state = 2},
  [20030] = {.lex_state = 452, .external_lex_state = 2},
  [20031] = {.lex_state = 452, .external_lex_state = 2},
  [20032] = {.lex_state = 452, .external_lex_state = 2},
  [20033] = {.lex_state = 452, .external_lex_state = 2},
  [20034] = {.lex_state = 452, .external_lex_state = 2},
  [20035] = {.lex_state = 452, .external_lex_state = 2},
  [20036] = {.lex_state = 452, .external_lex_state = 2},
  [20037] = {.lex_state = 452, .external_lex_state = 2},
  [20038] = {.lex_state = 452, .external_lex_state = 2},
  [20039] = {.lex_state = 452, .external_lex_state = 2},
  [20040] = {.lex_state = 452, .external_lex_state = 2},
  [20041] = {.lex_state = 452, .external_lex_state = 2},
  [20042] = {.lex_state = 18, .external_lex_state = 2},
  [20043] = {.lex_state = 452, .external_lex_state = 2},
  [20044] = {.lex_state = 452, .external_lex_state = 2},
  [20045] = {.lex_state = 159, .external_lex_state = 2},
  [20046] = {.lex_state = 452, .external_lex_state = 2},
  [20047] = {.lex_state = 452, .external_lex_state = 2},
  [20048] = {.lex_state = 159, .external_lex_state = 2},
  [20049] = {.lex_state = 452, .external_lex_state = 2},
  [20050] = {.lex_state = 452, .external_lex_state = 2},
  [20051] = {.lex_state = 452, .external_lex_state = 2},
  [20052] = {.lex_state = 452, .external_lex_state = 2},
  [20053] = {.lex_state = 452, .external_lex_state = 2},
  [20054] = {.lex_state = 159, .external_lex_state = 2},
  [20055] = {.lex_state = 452, .external_lex_state = 2},
  [20056] = {.lex_state = 452, .external_lex_state = 2},
  [20057] = {.lex_state = 452, .external_lex_state = 2},
  [20058] = {.lex_state = 452, .external_lex_state = 2},
  [20059] = {.lex_state = 452, .external_lex_state = 2},
  [20060] = {.lex_state = 452, .external_lex_state = 2},
  [20061] = {.lex_state = 452, .external_lex_state = 2},
  [20062] = {.lex_state = 452, .external_lex_state = 2},
  [20063] = {.lex_state = 452, .external_lex_state = 2},
  [20064] = {.lex_state = 452, .external_lex_state = 2},
  [20065] = {.lex_state = 452, .external_lex_state = 2},
  [20066] = {.lex_state = 452, .external_lex_state = 2},
  [20067] = {.lex_state = 452, .external_lex_state = 2},
  [20068] = {.lex_state = 452, .external_lex_state = 2},
  [20069] = {.lex_state = 452, .external_lex_state = 3},
  [20070] = {.lex_state = 452, .external_lex_state = 2},
  [20071] = {.lex_state = 452, .external_lex_state = 2},
  [20072] = {.lex_state = 159, .external_lex_state = 2},
  [20073] = {.lex_state = 452, .external_lex_state = 2},
  [20074] = {.lex_state = 452, .external_lex_state = 2},
  [20075] = {.lex_state = 170, .external_lex_state = 2},
  [20076] = {.lex_state = 452, .external_lex_state = 2},
  [20077] = {.lex_state = 452, .external_lex_state = 2},
  [20078] = {.lex_state = 452, .external_lex_state = 2},
  [20079] = {.lex_state = 452, .external_lex_state = 2},
  [20080] = {.lex_state = 452, .external_lex_state = 2},
  [20081] = {.lex_state = 452, .external_lex_state = 2},
  [20082] = {.lex_state = 452, .external_lex_state = 2},
  [20083] = {.lex_state = 452, .external_lex_state = 2},
  [20084] = {.lex_state = 159, .external_lex_state = 2},
  [20085] = {.lex_state = 452, .external_lex_state = 2},
  [20086] = {.lex_state = 452, .external_lex_state = 2},
  [20087] = {.lex_state = 452, .external_lex_state = 2},
  [20088] = {.lex_state = 452, .external_lex_state = 2},
  [20089] = {.lex_state = 159, .external_lex_state = 2},
  [20090] = {.lex_state = 452, .external_lex_state = 2},
  [20091] = {.lex_state = 452, .external_lex_state = 2},
  [20092] = {.lex_state = 452, .external_lex_state = 2},
  [20093] = {.lex_state = 452, .external_lex_state = 2},
  [20094] = {.lex_state = 452, .external_lex_state = 2},
  [20095] = {.lex_state = 170, .external_lex_state = 2},
  [20096] = {.lex_state = 452, .external_lex_state = 2},
  [20097] = {.lex_state = 452, .external_lex_state = 2},
  [20098] = {.lex_state = 452, .external_lex_state = 2},
  [20099] = {.lex_state = 159, .external_lex_state = 2},
  [20100] = {.lex_state = 452, .external_lex_state = 2},
  [20101] = {.lex_state = 18, .external_lex_state = 2},
  [20102] = {.lex_state = 19, .external_lex_state = 2},
  [20103] = {.lex_state = 452, .external_lex_state = 2},
  [20104] = {.lex_state = 452, .external_lex_state = 2},
  [20105] = {.lex_state = 452, .external_lex_state = 2},
  [20106] = {.lex_state = 452, .external_lex_state = 2},
  [20107] = {.lex_state = 452, .external_lex_state = 2},
  [20108] = {.lex_state = 452, .external_lex_state = 2},
  [20109] = {.lex_state = 452, .external_lex_state = 2},
  [20110] = {.lex_state = 452, .external_lex_state = 2},
  [20111] = {.lex_state = 452, .external_lex_state = 2},
  [20112] = {.lex_state = 452, .external_lex_state = 2},
  [20113] = {.lex_state = 452, .external_lex_state = 2},
  [20114] = {.lex_state = 452, .external_lex_state = 2},
  [20115] = {.lex_state = 452, .external_lex_state = 2},
  [20116] = {.lex_state = 452, .external_lex_state = 2},
  [20117] = {.lex_state = 452, .external_lex_state = 2},
  [20118] = {.lex_state = 452, .external_lex_state = 2},
  [20119] = {.lex_state = 452, .external_lex_state = 2},
  [20120] = {.lex_state = 452, .external_lex_state = 2},
  [20121] = {.lex_state = 170, .external_lex_state = 2},
  [20122] = {.lex_state = 452, .external_lex_state = 2},
  [20123] = {.lex_state = 452, .external_lex_state = 2},
  [20124] = {.lex_state = 452, .external_lex_state = 2},
  [20125] = {.lex_state = 452, .external_lex_state = 2},
  [20126] = {.lex_state = 452, .external_lex_state = 2},
  [20127] = {.lex_state = 452, .external_lex_state = 2},
  [20128] = {.lex_state = 452, .external_lex_state = 2},
  [20129] = {.lex_state = 452, .external_lex_state = 2},
  [20130] = {.lex_state = 19, .external_lex_state = 2},
  [20131] = {.lex_state = 18, .external_lex_state = 2},
  [20132] = {.lex_state = 452, .external_lex_state = 2},
  [20133] = {.lex_state = 452, .external_lex_state = 2},
  [20134] = {.lex_state = 452, .external_lex_state = 2},
  [20135] = {.lex_state = 19, .external_lex_state = 2},
  [20136] = {.lex_state = 452, .external_lex_state = 2},
  [20137] = {.lex_state = 452, .external_lex_state = 2},
  [20138] = {.lex_state = 452, .external_lex_state = 2},
  [20139] = {.lex_state = 452, .external_lex_state = 2},
  [20140] = {.lex_state = 452, .external_lex_state = 2},
  [20141] = {.lex_state = 452, .external_lex_state = 2},
  [20142] = {.lex_state = 452, .external_lex_state = 2},
  [20143] = {.lex_state = 452, .external_lex_state = 2},
  [20144] = {.lex_state = 452, .external_lex_state = 2},
  [20145] = {.lex_state = 452, .external_lex_state = 2},
  [20146] = {.lex_state = 170, .external_lex_state = 2},
  [20147] = {.lex_state = 19, .external_lex_state = 2},
  [20148] = {.lex_state = 452, .external_lex_state = 2},
  [20149] = {.lex_state = 452, .external_lex_state = 2},
  [20150] = {.lex_state = 19, .external_lex_state = 2},
  [20151] = {.lex_state = 170, .external_lex_state = 2},
  [20152] = {.lex_state = 159, .external_lex_state = 2},
  [20153] = {.lex_state = 170, .external_lex_state = 2},
  [20154] = {.lex_state = 161, .external_lex_state = 2},
  [20155] = {.lex_state = 159, .external_lex_state = 2},
  [20156] = {.lex_state = 159, .external_lex_state = 2},
  [20157] = {.lex_state = 159, .external_lex_state = 2},
  [20158] = {.lex_state = 452, .external_lex_state = 2},
  [20159] = {.lex_state = 452, .external_lex_state = 2},
  [20160] = {.lex_state = 452, .external_lex_state = 2},
  [20161] = {.lex_state = 452, .external_lex_state = 2},
  [20162] = {.lex_state = 452, .external_lex_state = 2},
  [20163] = {.lex_state = 452, .external_lex_state = 2},
  [20164] = {.lex_state = 452, .external_lex_state = 2},
  [20165] = {.lex_state = 159, .external_lex_state = 2},
  [20166] = {.lex_state = 452, .external_lex_state = 2},
  [20167] = {.lex_state = 159, .external_lex_state = 2},
  [20168] = {.lex_state = 159, .external_lex_state = 2},
  [20169] = {.lex_state = 452, .external_lex_state = 2},
  [20170] = {.lex_state = 452, .external_lex_state = 2},
  [20171] = {.lex_state = 452, .external_lex_state = 2},
  [20172] = {.lex_state = 19, .external_lex_state = 2},
  [20173] = {.lex_state = 19, .external_lex_state = 2},
  [20174] = {.lex_state = 159, .external_lex_state = 2},
  [20175] = {.lex_state = 159, .external_lex_state = 2},
  [20176] = {.lex_state = 452, .external_lex_state = 2},
  [20177] = {.lex_state = 452, .external_lex_state = 2},
  [20178] = {.lex_state = 161, .external_lex_state = 2},
  [20179] = {.lex_state = 452, .external_lex_state = 2},
  [20180] = {.lex_state = 452, .external_lex_state = 2},
  [20181] = {.lex_state = 452, .external_lex_state = 3},
  [20182] = {.lex_state = 18, .external_lex_state = 2},
  [20183] = {.lex_state = 452, .external_lex_state = 2},
  [20184] = {.lex_state = 170, .external_lex_state = 2},
  [20185] = {.lex_state = 452, .external_lex_state = 2},
  [20186] = {.lex_state = 18, .external_lex_state = 2},
  [20187] = {.lex_state = 452, .external_lex_state = 2},
  [20188] = {.lex_state = 452, .external_lex_state = 2},
  [20189] = {.lex_state = 452, .external_lex_state = 2},
  [20190] = {.lex_state = 452, .external_lex_state = 2},
  [20191] = {.lex_state = 452, .external_lex_state = 2},
  [20192] = {.lex_state = 452, .external_lex_state = 2},
  [20193] = {.lex_state = 452, .external_lex_state = 2},
  [20194] = {.lex_state = 19, .external_lex_state = 2},
  [20195] = {.lex_state = 159, .external_lex_state = 2},
  [20196] = {.lex_state = 170, .external_lex_state = 2},
  [20197] = {.lex_state = 159, .external_lex_state = 2},
  [20198] = {.lex_state = 452, .external_lex_state = 2},
  [20199] = {.lex_state = 452, .external_lex_state = 2},
  [20200] = {.lex_state = 452, .external_lex_state = 2},
  [20201] = {.lex_state = 452, .external_lex_state = 2},
  [20202] = {.lex_state = 452, .external_lex_state = 2},
  [20203] = {.lex_state = 452, .external_lex_state = 2},
  [20204] = {.lex_state = 452, .external_lex_state = 2},
  [20205] = {.lex_state = 452, .external_lex_state = 2},
  [20206] = {.lex_state = 452, .external_lex_state = 2},
  [20207] = {.lex_state = 452, .external_lex_state = 2},
  [20208] = {.lex_state = 452, .external_lex_state = 2},
  [20209] = {.lex_state = 452, .external_lex_state = 2},
  [20210] = {.lex_state = 452, .external_lex_state = 2},
  [20211] = {.lex_state = 452, .external_lex_state = 2},
  [20212] = {.lex_state = 19, .external_lex_state = 2},
  [20213] = {.lex_state = 452, .external_lex_state = 2},
  [20214] = {.lex_state = 19, .external_lex_state = 2},
  [20215] = {.lex_state = 452, .external_lex_state = 2},
  [20216] = {.lex_state = 452, .external_lex_state = 2},
  [20217] = {.lex_state = 452, .external_lex_state = 2},
  [20218] = {.lex_state = 452, .external_lex_state = 2},
  [20219] = {.lex_state = 452, .external_lex_state = 2},
  [20220] = {.lex_state = 452, .external_lex_state = 2},
  [20221] = {.lex_state = 452, .external_lex_state = 2},
  [20222] = {.lex_state = 452, .external_lex_state = 2},
  [20223] = {.lex_state = 452, .external_lex_state = 2},
  [20224] = {.lex_state = 452, .external_lex_state = 2},
  [20225] = {.lex_state = 452, .external_lex_state = 2},
  [20226] = {.lex_state = 452, .external_lex_state = 2},
  [20227] = {.lex_state = 452, .external_lex_state = 2},
  [20228] = {.lex_state = 18, .external_lex_state = 2},
  [20229] = {.lex_state = 452, .external_lex_state = 2},
  [20230] = {.lex_state = 452, .external_lex_state = 2},
  [20231] = {.lex_state = 452, .external_lex_state = 2},
  [20232] = {.lex_state = 452, .external_lex_state = 2},
  [20233] = {.lex_state = 170, .external_lex_state = 2},
  [20234] = {.lex_state = 170, .external_lex_state = 2},
  [20235] = {.lex_state = 170, .external_lex_state = 2},
  [20236] = {.lex_state = 452, .external_lex_state = 2},
  [20237] = {.lex_state = 452, .external_lex_state = 2},
  [20238] = {.lex_state = 452, .external_lex_state = 2},
  [20239] = {.lex_state = 452, .external_lex_state = 2},
  [20240] = {.lex_state = 452, .external_lex_state = 2},
  [20241] = {.lex_state = 170, .external_lex_state = 2},
  [20242] = {.lex_state = 452, .external_lex_state = 2},
  [20243] = {.lex_state = 159, .external_lex_state = 2},
  [20244] = {.lex_state = 452, .external_lex_state = 2},
  [20245] = {.lex_state = 452, .external_lex_state = 2},
  [20246] = {.lex_state = 452, .external_lex_state = 2},
  [20247] = {.lex_state = 452, .external_lex_state = 2},
  [20248] = {.lex_state = 159, .external_lex_state = 2},
  [20249] = {.lex_state = 452, .external_lex_state = 2},
  [20250] = {.lex_state = 452, .external_lex_state = 2},
  [20251] = {.lex_state = 452, .external_lex_state = 2},
  [20252] = {.lex_state = 452, .external_lex_state = 2},
  [20253] = {.lex_state = 452, .external_lex_state = 2},
  [20254] = {.lex_state = 452, .external_lex_state = 2},
  [20255] = {.lex_state = 452, .external_lex_state = 2},
  [20256] = {.lex_state = 452, .external_lex_state = 2},
  [20257] = {.lex_state = 159, .external_lex_state = 2},
  [20258] = {.lex_state = 18, .external_lex_state = 2},
  [20259] = {.lex_state = 452, .external_lex_state = 2},
  [20260] = {.lex_state = 159, .external_lex_state = 2},
  [20261] = {.lex_state = 452, .external_lex_state = 2},
  [20262] = {.lex_state = 452, .external_lex_state = 2},
  [20263] = {.lex_state = 159, .external_lex_state = 2},
  [20264] = {.lex_state = 159, .external_lex_state = 2},
  [20265] = {.lex_state = 452, .external_lex_state = 3},
  [20266] = {.lex_state = 452, .external_lex_state = 2},
  [20267] = {.lex_state = 452, .external_lex_state = 3},
  [20268] = {.lex_state = 159, .external_lex_state = 2},
  [20269] = {.lex_state = 18, .external_lex_state = 2},
  [20270] = {.lex_state = 452, .external_lex_state = 2},
  [20271] = {.lex_state = 452, .external_lex_state = 2},
  [20272] = {.lex_state = 452, .external_lex_state = 2},
  [20273] = {.lex_state = 19, .external_lex_state = 2},
  [20274] = {.lex_state = 452, .external_lex_state = 2},
  [20275] = {.lex_state = 452, .external_lex_state = 2},
  [20276] = {.lex_state = 452, .external_lex_state = 2},
  [20277] = {.lex_state = 452, .external_lex_state = 2},
  [20278] = {.lex_state = 452, .external_lex_state = 2},
  [20279] = {.lex_state = 452, .external_lex_state = 2},
  [20280] = {.lex_state = 452, .external_lex_state = 2},
  [20281] = {.lex_state = 452, .external_lex_state = 2},
  [20282] = {.lex_state = 452, .external_lex_state = 2},
  [20283] = {.lex_state = 452, .external_lex_state = 2},
  [20284] = {.lex_state = 452, .external_lex_state = 2},
  [20285] = {.lex_state = 19, .external_lex_state = 2},
  [20286] = {.lex_state = 452, .external_lex_state = 2},
  [20287] = {.lex_state = 452, .external_lex_state = 2},
  [20288] = {.lex_state = 452, .external_lex_state = 2},
  [20289] = {.lex_state = 452, .external_lex_state = 2},
  [20290] = {.lex_state = 170, .external_lex_state = 2},
  [20291] = {.lex_state = 452, .external_lex_state = 2},
  [20292] = {.lex_state = 452, .external_lex_state = 2},
  [20293] = {.lex_state = 159, .external_lex_state = 2},
  [20294] = {.lex_state = 159, .external_lex_state = 2},
  [20295] = {.lex_state = 452, .external_lex_state = 2},
  [20296] = {.lex_state = 170, .external_lex_state = 2},
  [20297] = {.lex_state = 159, .external_lex_state = 2},
  [20298] = {.lex_state = 170, .external_lex_state = 2},
  [20299] = {.lex_state = 452, .external_lex_state = 2},
  [20300] = {.lex_state = 452, .external_lex_state = 2},
  [20301] = {.lex_state = 452, .external_lex_state = 2},
  [20302] = {.lex_state = 159, .external_lex_state = 2},
  [20303] = {.lex_state = 452, .external_lex_state = 2},
  [20304] = {.lex_state = 170, .external_lex_state = 2},
  [20305] = {.lex_state = 159, .external_lex_state = 2},
  [20306] = {.lex_state = 452, .external_lex_state = 2},
  [20307] = {.lex_state = 452, .external_lex_state = 2},
  [20308] = {.lex_state = 19, .external_lex_state = 2},
  [20309] = {.lex_state = 452, .external_lex_state = 3},
  [20310] = {.lex_state = 452, .external_lex_state = 2},
  [20311] = {.lex_state = 452, .external_lex_state = 2},
  [20312] = {.lex_state = 452, .external_lex_state = 2},
  [20313] = {.lex_state = 452, .external_lex_state = 2},
  [20314] = {.lex_state = 452, .external_lex_state = 2},
  [20315] = {.lex_state = 452, .external_lex_state = 2},
  [20316] = {.lex_state = 452, .external_lex_state = 2},
  [20317] = {.lex_state = 452, .external_lex_state = 2},
  [20318] = {.lex_state = 452, .external_lex_state = 2},
  [20319] = {.lex_state = 452, .external_lex_state = 2},
  [20320] = {.lex_state = 452, .external_lex_state = 2},
  [20321] = {.lex_state = 452, .external_lex_state = 2},
  [20322] = {.lex_state = 452, .external_lex_state = 2},
  [20323] = {.lex_state = 452, .external_lex_state = 2},
  [20324] = {.lex_state = 452, .external_lex_state = 2},
  [20325] = {.lex_state = 18, .external_lex_state = 2},
  [20326] = {.lex_state = 452, .external_lex_state = 2},
  [20327] = {.lex_state = 452, .external_lex_state = 2},
  [20328] = {.lex_state = 452, .external_lex_state = 2},
  [20329] = {.lex_state = 452, .external_lex_state = 2},
  [20330] = {.lex_state = 452, .external_lex_state = 2},
  [20331] = {.lex_state = 452, .external_lex_state = 2},
  [20332] = {.lex_state = 452, .external_lex_state = 2},
  [20333] = {.lex_state = 452, .external_lex_state = 2},
  [20334] = {.lex_state = 18, .external_lex_state = 2},
  [20335] = {.lex_state = 452, .external_lex_state = 2},
  [20336] = {.lex_state = 452, .external_lex_state = 2},
  [20337] = {.lex_state = 452, .external_lex_state = 2},
  [20338] = {.lex_state = 452, .external_lex_state = 2},
  [20339] = {.lex_state = 452, .external_lex_state = 2},
  [20340] = {.lex_state = 452, .external_lex_state = 2},
  [20341] = {.lex_state = 452, .external_lex_state = 2},
  [20342] = {.lex_state = 452, .external_lex_state = 2},
  [20343] = {.lex_state = 452, .external_lex_state = 2},
  [20344] = {.lex_state = 452, .external_lex_state = 2},
  [20345] = {.lex_state = 452, .external_lex_state = 2},
  [20346] = {.lex_state = 452, .external_lex_state = 2},
  [20347] = {.lex_state = 452, .external_lex_state = 2},
  [20348] = {.lex_state = 452, .external_lex_state = 2},
  [20349] = {.lex_state = 452, .external_lex_state = 2},
  [20350] = {.lex_state = 452, .external_lex_state = 2},
  [20351] = {.lex_state = 452, .external_lex_state = 2},
  [20352] = {.lex_state = 452, .external_lex_state = 2},
  [20353] = {.lex_state = 452, .external_lex_state = 2},
  [20354] = {.lex_state = 452, .external_lex_state = 2},
  [20355] = {.lex_state = 170, .external_lex_state = 2},
  [20356] = {.lex_state = 452, .external_lex_state = 2},
  [20357] = {.lex_state = 452, .external_lex_state = 2},
  [20358] = {.lex_state = 452, .external_lex_state = 2},
  [20359] = {.lex_state = 159, .external_lex_state = 2},
  [20360] = {.lex_state = 159, .external_lex_state = 2},
  [20361] = {.lex_state = 452, .external_lex_state = 2},
  [20362] = {.lex_state = 452, .external_lex_state = 2},
  [20363] = {.lex_state = 452, .external_lex_state = 2},
  [20364] = {.lex_state = 452, .external_lex_state = 2},
  [20365] = {.lex_state = 18, .external_lex_state = 2},
  [20366] = {.lex_state = 452, .external_lex_state = 2},
  [20367] = {.lex_state = 452, .external_lex_state = 2},
  [20368] = {.lex_state = 452, .external_lex_state = 2},
  [20369] = {.lex_state = 170, .external_lex_state = 2},
  [20370] = {.lex_state = 170, .external_lex_state = 2},
  [20371] = {.lex_state = 170, .external_lex_state = 2},
  [20372] = {.lex_state = 452, .external_lex_state = 2},
  [20373] = {.lex_state = 170, .external_lex_state = 2},
  [20374] = {.lex_state = 452, .external_lex_state = 2},
  [20375] = {.lex_state = 452, .external_lex_state = 2},
  [20376] = {.lex_state = 159, .external_lex_state = 2},
  [20377] = {.lex_state = 170, .external_lex_state = 2},
  [20378] = {.lex_state = 170, .external_lex_state = 2},
  [20379] = {.lex_state = 170, .external_lex_state = 2},
  [20380] = {.lex_state = 452, .external_lex_state = 2},
  [20381] = {.lex_state = 452, .external_lex_state = 2},
  [20382] = {.lex_state = 452, .external_lex_state = 2},
  [20383] = {.lex_state = 452, .external_lex_state = 2},
  [20384] = {.lex_state = 452, .external_lex_state = 2},
  [20385] = {.lex_state = 452, .external_lex_state = 2},
  [20386] = {.lex_state = 452, .external_lex_state = 2},
  [20387] = {.lex_state = 452, .external_lex_state = 2},
  [20388] = {.lex_state = 452, .external_lex_state = 2},
  [20389] = {.lex_state = 452, .external_lex_state = 2},
  [20390] = {.lex_state = 452, .external_lex_state = 2},
  [20391] = {.lex_state = 19, .external_lex_state = 2},
  [20392] = {.lex_state = 452, .external_lex_state = 2},
  [20393] = {.lex_state = 452, .external_lex_state = 2},
  [20394] = {.lex_state = 452, .external_lex_state = 2},
  [20395] = {.lex_state = 452, .external_lex_state = 2},
  [20396] = {.lex_state = 452, .external_lex_state = 2},
  [20397] = {.lex_state = 18, .external_lex_state = 2},
  [20398] = {.lex_state = 452, .external_lex_state = 2},
  [20399] = {.lex_state = 159, .external_lex_state = 2},
  [20400] = {.lex_state = 159, .external_lex_state = 2},
  [20401] = {.lex_state = 452, .external_lex_state = 3},
  [20402] = {.lex_state = 452, .external_lex_state = 2},
  [20403] = {.lex_state = 452, .external_lex_state = 2},
  [20404] = {.lex_state = 452, .external_lex_state = 2},
  [20405] = {.lex_state = 170, .external_lex_state = 2},
  [20406] = {.lex_state = 452, .external_lex_state = 2},
  [20407] = {.lex_state = 452, .external_lex_state = 2},
  [20408] = {.lex_state = 452, .external_lex_state = 2},
  [20409] = {.lex_state = 452, .external_lex_state = 2},
  [20410] = {.lex_state = 452, .external_lex_state = 2},
  [20411] = {.lex_state = 170, .external_lex_state = 2},
  [20412] = {.lex_state = 19, .external_lex_state = 2},
  [20413] = {.lex_state = 170, .external_lex_state = 2},
  [20414] = {.lex_state = 452, .external_lex_state = 2},
  [20415] = {.lex_state = 170, .external_lex_state = 2},
  [20416] = {.lex_state = 452, .external_lex_state = 2},
  [20417] = {.lex_state = 452, .external_lex_state = 2},
  [20418] = {.lex_state = 452, .external_lex_state = 2},
  [20419] = {.lex_state = 452, .external_lex_state = 2},
  [20420] = {.lex_state = 452, .external_lex_state = 2},
  [20421] = {.lex_state = 452, .external_lex_state = 2},
  [20422] = {.lex_state = 452, .external_lex_state = 2},
  [20423] = {.lex_state = 161, .external_lex_state = 2},
  [20424] = {.lex_state = 452, .external_lex_state = 2},
  [20425] = {.lex_state = 19, .external_lex_state = 2},
  [20426] = {.lex_state = 19, .external_lex_state = 2},
  [20427] = {.lex_state = 159, .external_lex_state = 2},
  [20428] = {.lex_state = 19, .external_lex_state = 2},
  [20429] = {.lex_state = 452, .external_lex_state = 2},
  [20430] = {.lex_state = 452, .external_lex_state = 2},
  [20431] = {.lex_state = 170, .external_lex_state = 2},
  [20432] = {.lex_state = 452, .external_lex_state = 2},
  [20433] = {.lex_state = 18, .external_lex_state = 2},
  [20434] = {.lex_state = 452, .external_lex_state = 2},
  [20435] = {.lex_state = 452, .external_lex_state = 2},
  [20436] = {.lex_state = 159, .external_lex_state = 2},
  [20437] = {.lex_state = 452, .external_lex_state = 2},
  [20438] = {.lex_state = 159, .external_lex_state = 2},
  [20439] = {.lex_state = 452, .external_lex_state = 2},
  [20440] = {.lex_state = 452, .external_lex_state = 2},
  [20441] = {.lex_state = 452, .external_lex_state = 3},
  [20442] = {.lex_state = 170, .external_lex_state = 2},
  [20443] = {.lex_state = 159, .external_lex_state = 2},
  [20444] = {.lex_state = 452, .external_lex_state = 2},
  [20445] = {.lex_state = 170, .external_lex_state = 2},
  [20446] = {.lex_state = 452, .external_lex_state = 2},
  [20447] = {.lex_state = 452, .external_lex_state = 2},
  [20448] = {.lex_state = 452, .external_lex_state = 2},
  [20449] = {.lex_state = 452, .external_lex_state = 2},
  [20450] = {.lex_state = 159, .external_lex_state = 2},
  [20451] = {.lex_state = 452, .external_lex_state = 2},
  [20452] = {.lex_state = 452, .external_lex_state = 2},
  [20453] = {.lex_state = 452, .external_lex_state = 2},
  [20454] = {.lex_state = 19, .external_lex_state = 2},
  [20455] = {.lex_state = 452, .external_lex_state = 2},
  [20456] = {.lex_state = 452, .external_lex_state = 2},
  [20457] = {.lex_state = 452, .external_lex_state = 2},
  [20458] = {.lex_state = 452, .external_lex_state = 2},
  [20459] = {.lex_state = 452, .external_lex_state = 2},
  [20460] = {.lex_state = 452, .external_lex_state = 2},
  [20461] = {.lex_state = 452, .external_lex_state = 2},
  [20462] = {.lex_state = 452, .external_lex_state = 2},
  [20463] = {.lex_state = 452, .external_lex_state = 2},
  [20464] = {.lex_state = 452, .external_lex_state = 2},
  [20465] = {.lex_state = 452, .external_lex_state = 2},
  [20466] = {.lex_state = 19, .external_lex_state = 2},
  [20467] = {.lex_state = 452, .external_lex_state = 2},
  [20468] = {.lex_state = 452, .external_lex_state = 2},
  [20469] = {.lex_state = 452, .external_lex_state = 2},
  [20470] = {.lex_state = 452, .external_lex_state = 2},
  [20471] = {.lex_state = 452, .external_lex_state = 2},
  [20472] = {.lex_state = 452, .external_lex_state = 2},
  [20473] = {.lex_state = 452, .external_lex_state = 2},
  [20474] = {.lex_state = 452, .external_lex_state = 2},
  [20475] = {.lex_state = 452, .external_lex_state = 2},
  [20476] = {.lex_state = 170, .external_lex_state = 2},
  [20477] = {.lex_state = 452, .external_lex_state = 2},
  [20478] = {.lex_state = 170, .external_lex_state = 2},
  [20479] = {.lex_state = 452, .external_lex_state = 2},
  [20480] = {.lex_state = 452, .external_lex_state = 2},
  [20481] = {.lex_state = 452, .external_lex_state = 2},
  [20482] = {.lex_state = 452, .external_lex_state = 2},
  [20483] = {.lex_state = 452, .external_lex_state = 2},
  [20484] = {.lex_state = 159, .external_lex_state = 2},
  [20485] = {.lex_state = 159, .external_lex_state = 2},
  [20486] = {.lex_state = 452, .external_lex_state = 2},
  [20487] = {.lex_state = 452, .external_lex_state = 2},
  [20488] = {.lex_state = 452, .external_lex_state = 2},
  [20489] = {.lex_state = 452, .external_lex_state = 2},
  [20490] = {.lex_state = 452, .external_lex_state = 2},
  [20491] = {.lex_state = 159, .external_lex_state = 2},
  [20492] = {.lex_state = 452, .external_lex_state = 2},
  [20493] = {.lex_state = 452, .external_lex_state = 2},
  [20494] = {.lex_state = 170, .external_lex_state = 2},
  [20495] = {.lex_state = 452, .external_lex_state = 2},
  [20496] = {.lex_state = 452, .external_lex_state = 2},
  [20497] = {.lex_state = 452, .external_lex_state = 2},
  [20498] = {.lex_state = 452, .external_lex_state = 2},
  [20499] = {.lex_state = 452, .external_lex_state = 2},
  [20500] = {.lex_state = 452, .external_lex_state = 2},
  [20501] = {.lex_state = 452, .external_lex_state = 2},
  [20502] = {.lex_state = 452, .external_lex_state = 2},
  [20503] = {.lex_state = 452, .external_lex_state = 2},
  [20504] = {.lex_state = 452, .external_lex_state = 2},
  [20505] = {.lex_state = 170, .external_lex_state = 2},
  [20506] = {.lex_state = 19, .external_lex_state = 2},
  [20507] = {.lex_state = 452, .external_lex_state = 2},
  [20508] = {.lex_state = 170, .external_lex_state = 2},
  [20509] = {.lex_state = 452, .external_lex_state = 2},
  [20510] = {.lex_state = 452, .external_lex_state = 2},
  [20511] = {.lex_state = 18, .external_lex_state = 2},
  [20512] = {.lex_state = 452, .external_lex_state = 2},
  [20513] = {.lex_state = 452, .external_lex_state = 2},
  [20514] = {.lex_state = 452, .external_lex_state = 2},
  [20515] = {.lex_state = 452, .external_lex_state = 2},
  [20516] = {.lex_state = 452, .external_lex_state = 2},
  [20517] = {.lex_state = 452, .external_lex_state = 2},
  [20518] = {.lex_state = 170, .external_lex_state = 2},
  [20519] = {.lex_state = 170, .external_lex_state = 2},
  [20520] = {.lex_state = 452, .external_lex_state = 2},
  [20521] = {.lex_state = 452, .external_lex_state = 2},
  [20522] = {.lex_state = 170, .external_lex_state = 2},
  [20523] = {.lex_state = 452, .external_lex_state = 2},
  [20524] = {.lex_state = 452, .external_lex_state = 2},
  [20525] = {.lex_state = 452, .external_lex_state = 2},
  [20526] = {.lex_state = 452, .external_lex_state = 2},
  [20527] = {.lex_state = 452, .external_lex_state = 2},
  [20528] = {.lex_state = 452, .external_lex_state = 2},
  [20529] = {.lex_state = 452, .external_lex_state = 2},
  [20530] = {.lex_state = 452, .external_lex_state = 2},
  [20531] = {.lex_state = 170, .external_lex_state = 2},
  [20532] = {.lex_state = 452, .external_lex_state = 2},
  [20533] = {.lex_state = 170, .external_lex_state = 2},
  [20534] = {.lex_state = 452, .external_lex_state = 2},
  [20535] = {.lex_state = 452, .external_lex_state = 2},
  [20536] = {.lex_state = 452, .external_lex_state = 2},
  [20537] = {.lex_state = 452, .external_lex_state = 2},
  [20538] = {.lex_state = 452, .external_lex_state = 2},
  [20539] = {.lex_state = 452, .external_lex_state = 2},
  [20540] = {.lex_state = 18, .external_lex_state = 2},
  [20541] = {.lex_state = 452, .external_lex_state = 2},
  [20542] = {.lex_state = 452, .external_lex_state = 2},
  [20543] = {.lex_state = 452, .external_lex_state = 2},
  [20544] = {.lex_state = 18, .external_lex_state = 2},
  [20545] = {.lex_state = 452, .external_lex_state = 2},
  [20546] = {.lex_state = 452, .external_lex_state = 2},
  [20547] = {.lex_state = 452, .external_lex_state = 2},
  [20548] = {.lex_state = 452, .external_lex_state = 2},
  [20549] = {.lex_state = 452, .external_lex_state = 2},
  [20550] = {.lex_state = 452, .external_lex_state = 2},
  [20551] = {.lex_state = 452, .external_lex_state = 2},
  [20552] = {.lex_state = 452, .external_lex_state = 2},
  [20553] = {.lex_state = 18, .external_lex_state = 2},
  [20554] = {.lex_state = 452, .external_lex_state = 2},
  [20555] = {.lex_state = 452, .external_lex_state = 2},
  [20556] = {.lex_state = 452, .external_lex_state = 2},
  [20557] = {.lex_state = 452, .external_lex_state = 2},
  [20558] = {.lex_state = 159, .external_lex_state = 2},
  [20559] = {.lex_state = 159, .external_lex_state = 2},
  [20560] = {.lex_state = 452, .external_lex_state = 3},
  [20561] = {.lex_state = 452, .external_lex_state = 2},
  [20562] = {.lex_state = 452, .external_lex_state = 2},
  [20563] = {.lex_state = 452, .external_lex_state = 2},
  [20564] = {.lex_state = 452, .external_lex_state = 2},
  [20565] = {.lex_state = 452, .external_lex_state = 2},
  [20566] = {.lex_state = 452, .external_lex_state = 2},
  [20567] = {.lex_state = 452, .external_lex_state = 2},
  [20568] = {.lex_state = 159, .external_lex_state = 2},
  [20569] = {.lex_state = 452, .external_lex_state = 2},
  [20570] = {.lex_state = 452, .external_lex_state = 2},
  [20571] = {.lex_state = 159, .external_lex_state = 2},
  [20572] = {.lex_state = 452, .external_lex_state = 3},
  [20573] = {.lex_state = 170, .external_lex_state = 2},
  [20574] = {.lex_state = 452, .external_lex_state = 2},
  [20575] = {.lex_state = 452, .external_lex_state = 2},
  [20576] = {.lex_state = 452, .external_lex_state = 2},
  [20577] = {.lex_state = 170, .external_lex_state = 2},
  [20578] = {.lex_state = 452, .external_lex_state = 2},
  [20579] = {.lex_state = 452, .external_lex_state = 2},
  [20580] = {.lex_state = 452, .external_lex_state = 2},
  [20581] = {.lex_state = 452, .external_lex_state = 2},
  [20582] = {.lex_state = 452, .external_lex_state = 2},
  [20583] = {.lex_state = 452, .external_lex_state = 2},
  [20584] = {.lex_state = 170, .external_lex_state = 2},
  [20585] = {.lex_state = 452, .external_lex_state = 2},
  [20586] = {.lex_state = 452, .external_lex_state = 2},
  [20587] = {.lex_state = 452, .external_lex_state = 2},
  [20588] = {.lex_state = 452, .external_lex_state = 2},
  [20589] = {.lex_state = 452, .external_lex_state = 2},
  [20590] = {.lex_state = 452, .external_lex_state = 2},
  [20591] = {.lex_state = 452, .external_lex_state = 2},
  [20592] = {.lex_state = 452, .external_lex_state = 2},
  [20593] = {.lex_state = 452, .external_lex_state = 2},
  [20594] = {.lex_state = 452, .external_lex_state = 2},
  [20595] = {.lex_state = 452, .external_lex_state = 2},
  [20596] = {.lex_state = 452, .external_lex_state = 2},
  [20597] = {.lex_state = 452, .external_lex_state = 2},
  [20598] = {.lex_state = 452, .external_lex_state = 2},
  [20599] = {.lex_state = 452, .external_lex_state = 2},
  [20600] = {.lex_state = 452, .external_lex_state = 2},
  [20601] = {.lex_state = 452, .external_lex_state = 2},
  [20602] = {.lex_state = 452, .external_lex_state = 2},
  [20603] = {.lex_state = 452, .external_lex_state = 2},
  [20604] = {.lex_state = 452, .external_lex_state = 2},
  [20605] = {.lex_state = 452, .external_lex_state = 2},
  [20606] = {.lex_state = 452, .external_lex_state = 2},
  [20607] = {.lex_state = 452, .external_lex_state = 2},
  [20608] = {.lex_state = 452, .external_lex_state = 2},
  [20609] = {.lex_state = 452, .external_lex_state = 2},
  [20610] = {.lex_state = 452, .external_lex_state = 2},
  [20611] = {.lex_state = 452, .external_lex_state = 2},
  [20612] = {.lex_state = 159, .external_lex_state = 2},
  [20613] = {.lex_state = 452, .external_lex_state = 2},
  [20614] = {.lex_state = 159, .external_lex_state = 2},
  [20615] = {.lex_state = 159, .external_lex_state = 2},
  [20616] = {.lex_state = 452, .external_lex_state = 2},
  [20617] = {.lex_state = 452, .external_lex_state = 2},
  [20618] = {.lex_state = 452, .external_lex_state = 2},
  [20619] = {.lex_state = 452, .external_lex_state = 2},
  [20620] = {.lex_state = 452, .external_lex_state = 2},
  [20621] = {.lex_state = 170, .external_lex_state = 2},
  [20622] = {.lex_state = 452, .external_lex_state = 2},
  [20623] = {.lex_state = 452, .external_lex_state = 2},
  [20624] = {.lex_state = 452, .external_lex_state = 2},
  [20625] = {.lex_state = 452, .external_lex_state = 2},
  [20626] = {.lex_state = 452, .external_lex_state = 2},
  [20627] = {.lex_state = 452, .external_lex_state = 2},
  [20628] = {.lex_state = 452, .external_lex_state = 2},
  [20629] = {.lex_state = 452, .external_lex_state = 2},
  [20630] = {.lex_state = 452, .external_lex_state = 2},
  [20631] = {.lex_state = 452, .external_lex_state = 2},
  [20632] = {.lex_state = 452, .external_lex_state = 2},
  [20633] = {.lex_state = 452, .external_lex_state = 2},
  [20634] = {.lex_state = 452, .external_lex_state = 2},
  [20635] = {.lex_state = 452, .external_lex_state = 2},
  [20636] = {.lex_state = 452, .external_lex_state = 2},
  [20637] = {.lex_state = 452, .external_lex_state = 2},
  [20638] = {.lex_state = 452, .external_lex_state = 2},
  [20639] = {.lex_state = 452, .external_lex_state = 2},
  [20640] = {.lex_state = 452, .external_lex_state = 2},
  [20641] = {.lex_state = 452, .external_lex_state = 2},
  [20642] = {.lex_state = 452, .external_lex_state = 2},
  [20643] = {.lex_state = 452, .external_lex_state = 2},
  [20644] = {.lex_state = 452, .external_lex_state = 2},
  [20645] = {.lex_state = 452, .external_lex_state = 2},
  [20646] = {.lex_state = 452, .external_lex_state = 2},
  [20647] = {.lex_state = 452, .external_lex_state = 2},
  [20648] = {.lex_state = 452, .external_lex_state = 2},
  [20649] = {.lex_state = 452, .external_lex_state = 2},
  [20650] = {.lex_state = 452, .external_lex_state = 2},
  [20651] = {.lex_state = 452, .external_lex_state = 2},
  [20652] = {.lex_state = 452, .external_lex_state = 2},
  [20653] = {.lex_state = 452, .external_lex_state = 2},
  [20654] = {.lex_state = 452, .external_lex_state = 2},
  [20655] = {.lex_state = 452, .external_lex_state = 2},
  [20656] = {.lex_state = 452, .external_lex_state = 2},
  [20657] = {.lex_state = 18, .external_lex_state = 2},
  [20658] = {.lex_state = 452, .external_lex_state = 2},
  [20659] = {.lex_state = 452, .external_lex_state = 2},
  [20660] = {.lex_state = 452, .external_lex_state = 2},
  [20661] = {.lex_state = 452, .external_lex_state = 2},
  [20662] = {.lex_state = 452, .external_lex_state = 2},
  [20663] = {.lex_state = 452, .external_lex_state = 2},
  [20664] = {.lex_state = 452, .external_lex_state = 2},
  [20665] = {.lex_state = 18, .external_lex_state = 2},
  [20666] = {.lex_state = 452, .external_lex_state = 2},
  [20667] = {.lex_state = 452, .external_lex_state = 2},
  [20668] = {.lex_state = 452, .external_lex_state = 2},
  [20669] = {.lex_state = 452, .external_lex_state = 2},
  [20670] = {.lex_state = 452, .external_lex_state = 2},
  [20671] = {.lex_state = 159, .external_lex_state = 2},
  [20672] = {.lex_state = 452, .external_lex_state = 2},
  [20673] = {.lex_state = 159, .external_lex_state = 2},
  [20674] = {.lex_state = 452, .external_lex_state = 3},
  [20675] = {.lex_state = 159, .external_lex_state = 2},
  [20676] = {.lex_state = 452, .external_lex_state = 2},
  [20677] = {.lex_state = 452, .external_lex_state = 2},
  [20678] = {.lex_state = 452, .external_lex_state = 2},
  [20679] = {.lex_state = 452, .external_lex_state = 2},
  [20680] = {.lex_state = 452, .external_lex_state = 2},
  [20681] = {.lex_state = 452, .external_lex_state = 2},
  [20682] = {.lex_state = 452, .external_lex_state = 2},
  [20683] = {.lex_state = 452, .external_lex_state = 2},
  [20684] = {.lex_state = 452, .external_lex_state = 2},
  [20685] = {.lex_state = 452, .external_lex_state = 2},
  [20686] = {.lex_state = 452, .external_lex_state = 2},
  [20687] = {.lex_state = 452, .external_lex_state = 2},
  [20688] = {.lex_state = 452, .external_lex_state = 2},
  [20689] = {.lex_state = 452, .external_lex_state = 2},
  [20690] = {.lex_state = 452, .external_lex_state = 2},
  [20691] = {.lex_state = 452, .external_lex_state = 2},
  [20692] = {.lex_state = 271, .external_lex_state = 2},
  [20693] = {.lex_state = 452, .external_lex_state = 2},
  [20694] = {.lex_state = 159, .external_lex_state = 2},
  [20695] = {.lex_state = 452, .external_lex_state = 2},
  [20696] = {.lex_state = 452, .external_lex_state = 2},
  [20697] = {.lex_state = 452, .external_lex_state = 2},
  [20698] = {.lex_state = 452, .external_lex_state = 2},
  [20699] = {.lex_state = 170, .external_lex_state = 2},
  [20700] = {.lex_state = 452, .external_lex_state = 2},
  [20701] = {.lex_state = 452, .external_lex_state = 2},
  [20702] = {.lex_state = 452, .external_lex_state = 2},
  [20703] = {.lex_state = 170, .external_lex_state = 2},
  [20704] = {.lex_state = 452, .external_lex_state = 2},
  [20705] = {.lex_state = 452, .external_lex_state = 2},
  [20706] = {.lex_state = 170, .external_lex_state = 2},
  [20707] = {.lex_state = 452, .external_lex_state = 2},
  [20708] = {.lex_state = 452, .external_lex_state = 2},
  [20709] = {.lex_state = 452, .external_lex_state = 2},
  [20710] = {.lex_state = 452, .external_lex_state = 2},
  [20711] = {.lex_state = 452, .external_lex_state = 2},
  [20712] = {.lex_state = 159, .external_lex_state = 2},
  [20713] = {.lex_state = 452, .external_lex_state = 2},
  [20714] = {.lex_state = 452, .external_lex_state = 2},
  [20715] = {.lex_state = 452, .external_lex_state = 2},
  [20716] = {.lex_state = 452, .external_lex_state = 2},
  [20717] = {.lex_state = 452, .external_lex_state = 2},
  [20718] = {.lex_state = 452, .external_lex_state = 2},
  [20719] = {.lex_state = 170, .external_lex_state = 2},
  [20720] = {.lex_state = 452, .external_lex_state = 2},
  [20721] = {.lex_state = 452, .external_lex_state = 2},
  [20722] = {.lex_state = 452, .external_lex_state = 2},
  [20723] = {.lex_state = 452, .external_lex_state = 2},
  [20724] = {.lex_state = 452, .external_lex_state = 2},
  [20725] = {.lex_state = 452, .external_lex_state = 2},
  [20726] = {.lex_state = 452, .external_lex_state = 2},
  [20727] = {.lex_state = 452, .external_lex_state = 2},
  [20728] = {.lex_state = 452, .external_lex_state = 2},
  [20729] = {.lex_state = 452, .external_lex_state = 2},
  [20730] = {.lex_state = 452, .external_lex_state = 2},
  [20731] = {.lex_state = 452, .external_lex_state = 2},
  [20732] = {.lex_state = 452, .external_lex_state = 2},
  [20733] = {.lex_state = 452, .external_lex_state = 2},
  [20734] = {.lex_state = 452, .external_lex_state = 2},
  [20735] = {.lex_state = 452, .external_lex_state = 2},
  [20736] = {.lex_state = 452, .external_lex_state = 2},
  [20737] = {.lex_state = 452, .external_lex_state = 2},
  [20738] = {.lex_state = 452, .external_lex_state = 2},
  [20739] = {.lex_state = 452, .external_lex_state = 2},
  [20740] = {.lex_state = 452, .external_lex_state = 2},
  [20741] = {.lex_state = 18, .external_lex_state = 2},
  [20742] = {.lex_state = 452, .external_lex_state = 2},
  [20743] = {.lex_state = 452, .external_lex_state = 2},
  [20744] = {.lex_state = 19, .external_lex_state = 2},
  [20745] = {.lex_state = 452, .external_lex_state = 2},
  [20746] = {.lex_state = 452, .external_lex_state = 2},
  [20747] = {.lex_state = 18, .external_lex_state = 2},
  [20748] = {.lex_state = 452, .external_lex_state = 2},
  [20749] = {.lex_state = 452, .external_lex_state = 2},
  [20750] = {.lex_state = 452, .external_lex_state = 2},
  [20751] = {.lex_state = 170, .external_lex_state = 2},
  [20752] = {.lex_state = 452, .external_lex_state = 2},
  [20753] = {.lex_state = 170, .external_lex_state = 2},
  [20754] = {.lex_state = 170, .external_lex_state = 2},
  [20755] = {.lex_state = 170, .external_lex_state = 2},
  [20756] = {.lex_state = 159, .external_lex_state = 2},
  [20757] = {.lex_state = 452, .external_lex_state = 2},
  [20758] = {.lex_state = 452, .external_lex_state = 2},
  [20759] = {.lex_state = 452, .external_lex_state = 2},
  [20760] = {.lex_state = 159, .external_lex_state = 2},
  [20761] = {.lex_state = 452, .external_lex_state = 3},
  [20762] = {.lex_state = 452, .external_lex_state = 2},
  [20763] = {.lex_state = 452, .external_lex_state = 2},
  [20764] = {.lex_state = 452, .external_lex_state = 2},
  [20765] = {.lex_state = 452, .external_lex_state = 2},
  [20766] = {.lex_state = 452, .external_lex_state = 2},
  [20767] = {.lex_state = 452, .external_lex_state = 2},
  [20768] = {.lex_state = 452, .external_lex_state = 2},
  [20769] = {.lex_state = 452, .external_lex_state = 2},
  [20770] = {.lex_state = 170, .external_lex_state = 2},
  [20771] = {.lex_state = 452, .external_lex_state = 2},
  [20772] = {.lex_state = 159, .external_lex_state = 2},
  [20773] = {.lex_state = 452, .external_lex_state = 2},
  [20774] = {.lex_state = 19, .external_lex_state = 2},
  [20775] = {.lex_state = 452, .external_lex_state = 2},
  [20776] = {.lex_state = 452, .external_lex_state = 2},
  [20777] = {.lex_state = 452, .external_lex_state = 2},
  [20778] = {.lex_state = 452, .external_lex_state = 2},
  [20779] = {.lex_state = 19, .external_lex_state = 2},
  [20780] = {.lex_state = 452, .external_lex_state = 2},
  [20781] = {.lex_state = 452, .external_lex_state = 2},
  [20782] = {.lex_state = 452, .external_lex_state = 2},
  [20783] = {.lex_state = 452, .external_lex_state = 2},
  [20784] = {.lex_state = 452, .external_lex_state = 2},
  [20785] = {.lex_state = 170, .external_lex_state = 2},
  [20786] = {.lex_state = 452, .external_lex_state = 2},
  [20787] = {.lex_state = 452, .external_lex_state = 2},
  [20788] = {.lex_state = 452, .external_lex_state = 2},
  [20789] = {.lex_state = 452, .external_lex_state = 2},
  [20790] = {.lex_state = 452, .external_lex_state = 2},
  [20791] = {.lex_state = 452, .external_lex_state = 2},
  [20792] = {.lex_state = 452, .external_lex_state = 2},
  [20793] = {.lex_state = 18, .external_lex_state = 2},
  [20794] = {.lex_state = 452, .external_lex_state = 2},
  [20795] = {.lex_state = 452, .external_lex_state = 2},
  [20796] = {.lex_state = 452, .external_lex_state = 2},
  [20797] = {.lex_state = 452, .external_lex_state = 2},
  [20798] = {.lex_state = 452, .external_lex_state = 2},
  [20799] = {.lex_state = 452, .external_lex_state = 2},
  [20800] = {.lex_state = 452, .external_lex_state = 2},
  [20801] = {.lex_state = 452, .external_lex_state = 2},
  [20802] = {.lex_state = 159, .external_lex_state = 2},
  [20803] = {.lex_state = 159, .external_lex_state = 2},
  [20804] = {.lex_state = 452, .external_lex_state = 2},
  [20805] = {.lex_state = 452, .external_lex_state = 3},
  [20806] = {.lex_state = 159, .external_lex_state = 2},
  [20807] = {.lex_state = 159, .external_lex_state = 2},
  [20808] = {.lex_state = 452, .external_lex_state = 2},
  [20809] = {.lex_state = 452, .external_lex_state = 2},
  [20810] = {.lex_state = 452, .external_lex_state = 2},
  [20811] = {.lex_state = 159, .external_lex_state = 2},
  [20812] = {.lex_state = 452, .external_lex_state = 2},
  [20813] = {.lex_state = 452, .external_lex_state = 2},
  [20814] = {.lex_state = 452, .external_lex_state = 2},
  [20815] = {.lex_state = 452, .external_lex_state = 2},
  [20816] = {.lex_state = 159, .external_lex_state = 2},
  [20817] = {.lex_state = 452, .external_lex_state = 2},
  [20818] = {.lex_state = 452, .external_lex_state = 2},
  [20819] = {.lex_state = 452, .external_lex_state = 2},
  [20820] = {.lex_state = 19, .external_lex_state = 2},
  [20821] = {.lex_state = 452, .external_lex_state = 2},
  [20822] = {.lex_state = 452, .external_lex_state = 2},
  [20823] = {.lex_state = 452, .external_lex_state = 2},
  [20824] = {.lex_state = 452, .external_lex_state = 2},
  [20825] = {.lex_state = 452, .external_lex_state = 2},
  [20826] = {.lex_state = 452, .external_lex_state = 2},
  [20827] = {.lex_state = 452, .external_lex_state = 2},
  [20828] = {.lex_state = 452, .external_lex_state = 2},
  [20829] = {.lex_state = 452, .external_lex_state = 2},
  [20830] = {.lex_state = 452, .external_lex_state = 2},
  [20831] = {.lex_state = 452, .external_lex_state = 2},
  [20832] = {.lex_state = 452, .external_lex_state = 2},
  [20833] = {.lex_state = 452, .external_lex_state = 2},
  [20834] = {.lex_state = 452, .external_lex_state = 2},
  [20835] = {.lex_state = 452, .external_lex_state = 2},
  [20836] = {.lex_state = 452, .external_lex_state = 2},
  [20837] = {.lex_state = 452, .external_lex_state = 2},
  [20838] = {.lex_state = 159, .external_lex_state = 2},
  [20839] = {.lex_state = 159, .external_lex_state = 2},
  [20840] = {.lex_state = 452, .external_lex_state = 2},
  [20841] = {.lex_state = 452, .external_lex_state = 2},
  [20842] = {.lex_state = 452, .external_lex_state = 2},
  [20843] = {.lex_state = 452, .external_lex_state = 2},
  [20844] = {.lex_state = 452, .external_lex_state = 2},
  [20845] = {.lex_state = 452, .external_lex_state = 2},
  [20846] = {.lex_state = 452, .external_lex_state = 2},
  [20847] = {.lex_state = 161, .external_lex_state = 2},
  [20848] = {.lex_state = 452, .external_lex_state = 2},
  [20849] = {.lex_state = 452, .external_lex_state = 2},
  [20850] = {.lex_state = 452, .external_lex_state = 2},
  [20851] = {.lex_state = 159, .external_lex_state = 2},
  [20852] = {.lex_state = 452, .external_lex_state = 2},
  [20853] = {.lex_state = 159, .external_lex_state = 2},
  [20854] = {.lex_state = 452, .external_lex_state = 2},
  [20855] = {.lex_state = 452, .external_lex_state = 2},
  [20856] = {.lex_state = 18, .external_lex_state = 2},
  [20857] = {.lex_state = 452, .external_lex_state = 2},
  [20858] = {.lex_state = 452, .external_lex_state = 2},
  [20859] = {.lex_state = 452, .external_lex_state = 2},
  [20860] = {.lex_state = 159, .external_lex_state = 2},
  [20861] = {.lex_state = 159, .external_lex_state = 2},
  [20862] = {.lex_state = 452, .external_lex_state = 2},
  [20863] = {.lex_state = 452, .external_lex_state = 2},
  [20864] = {.lex_state = 452, .external_lex_state = 2},
  [20865] = {.lex_state = 452, .external_lex_state = 2},
  [20866] = {.lex_state = 452, .external_lex_state = 2},
  [20867] = {.lex_state = 170, .external_lex_state = 2},
  [20868] = {.lex_state = 452, .external_lex_state = 2},
  [20869] = {.lex_state = 18, .external_lex_state = 2},
  [20870] = {.lex_state = 452, .external_lex_state = 2},
  [20871] = {.lex_state = 19, .external_lex_state = 2},
  [20872] = {.lex_state = 452, .external_lex_state = 2},
  [20873] = {.lex_state = 452, .external_lex_state = 2},
  [20874] = {.lex_state = 452, .external_lex_state = 2},
  [20875] = {.lex_state = 452, .external_lex_state = 2},
  [20876] = {.lex_state = 452, .external_lex_state = 2},
  [20877] = {.lex_state = 452, .external_lex_state = 2},
  [20878] = {.lex_state = 452, .external_lex_state = 2},
  [20879] = {.lex_state = 452, .external_lex_state = 2},
  [20880] = {.lex_state = 452, .external_lex_state = 2},
  [20881] = {.lex_state = 452, .external_lex_state = 2},
  [20882] = {.lex_state = 452, .external_lex_state = 2},
  [20883] = {.lex_state = 452, .external_lex_state = 2},
  [20884] = {.lex_state = 452, .external_lex_state = 2},
  [20885] = {.lex_state = 452, .external_lex_state = 2},
  [20886] = {.lex_state = 452, .external_lex_state = 2},
  [20887] = {.lex_state = 452, .external_lex_state = 2},
  [20888] = {.lex_state = 452, .external_lex_state = 2},
  [20889] = {.lex_state = 452, .external_lex_state = 2},
  [20890] = {.lex_state = 452, .external_lex_state = 2},
  [20891] = {.lex_state = 452, .external_lex_state = 2},
  [20892] = {.lex_state = 452, .external_lex_state = 2},
  [20893] = {.lex_state = 452, .external_lex_state = 2},
  [20894] = {.lex_state = 452, .external_lex_state = 2},
  [20895] = {.lex_state = 452, .external_lex_state = 2},
  [20896] = {.lex_state = 452, .external_lex_state = 2},
  [20897] = {.lex_state = 452, .external_lex_state = 2},
  [20898] = {.lex_state = 452, .external_lex_state = 2},
  [20899] = {.lex_state = 170, .external_lex_state = 2},
  [20900] = {.lex_state = 452, .external_lex_state = 2},
  [20901] = {.lex_state = 452, .external_lex_state = 2},
  [20902] = {.lex_state = 452, .external_lex_state = 2},
  [20903] = {.lex_state = 452, .external_lex_state = 2},
  [20904] = {.lex_state = 452, .external_lex_state = 2},
  [20905] = {.lex_state = 452, .external_lex_state = 2},
  [20906] = {.lex_state = 452, .external_lex_state = 2},
  [20907] = {.lex_state = 452, .external_lex_state = 2},
  [20908] = {.lex_state = 452, .external_lex_state = 2},
  [20909] = {.lex_state = 452, .external_lex_state = 2},
  [20910] = {.lex_state = 452, .external_lex_state = 2},
  [20911] = {.lex_state = 452, .external_lex_state = 2},
  [20912] = {.lex_state = 452, .external_lex_state = 2},
  [20913] = {.lex_state = 452, .external_lex_state = 2},
  [20914] = {.lex_state = 452, .external_lex_state = 2},
  [20915] = {.lex_state = 452, .external_lex_state = 2},
  [20916] = {.lex_state = 452, .external_lex_state = 2},
  [20917] = {.lex_state = 452, .external_lex_state = 2},
  [20918] = {.lex_state = 452, .external_lex_state = 2},
  [20919] = {.lex_state = 452, .external_lex_state = 2},
  [20920] = {.lex_state = 452, .external_lex_state = 2},
  [20921] = {.lex_state = 452, .external_lex_state = 2},
  [20922] = {.lex_state = 452, .external_lex_state = 2},
  [20923] = {.lex_state = 452, .external_lex_state = 2},
  [20924] = {.lex_state = 452, .external_lex_state = 2},
  [20925] = {.lex_state = 452, .external_lex_state = 2},
  [20926] = {.lex_state = 452, .external_lex_state = 2},
  [20927] = {.lex_state = 452, .external_lex_state = 2},
  [20928] = {.lex_state = 452, .external_lex_state = 2},
  [20929] = {.lex_state = 452, .external_lex_state = 2},
  [20930] = {.lex_state = 452, .external_lex_state = 2},
  [20931] = {.lex_state = 452, .external_lex_state = 2},
  [20932] = {.lex_state = 452, .external_lex_state = 2},
  [20933] = {.lex_state = 452, .external_lex_state = 2},
  [20934] = {.lex_state = 452, .external_lex_state = 2},
  [20935] = {.lex_state = 452, .external_lex_state = 2},
  [20936] = {.lex_state = 452, .external_lex_state = 2},
  [20937] = {.lex_state = 452, .external_lex_state = 2},
  [20938] = {.lex_state = 452, .external_lex_state = 2},
  [20939] = {.lex_state = 452, .external_lex_state = 2},
  [20940] = {.lex_state = 452, .external_lex_state = 2},
  [20941] = {.lex_state = 452, .external_lex_state = 2},
  [20942] = {.lex_state = 452, .external_lex_state = 2},
  [20943] = {.lex_state = 452, .external_lex_state = 2},
  [20944] = {.lex_state = 452, .external_lex_state = 2},
  [20945] = {.lex_state = 452, .external_lex_state = 2},
  [20946] = {.lex_state = 452, .external_lex_state = 2},
  [20947] = {.lex_state = 452, .external_lex_state = 2},
  [20948] = {.lex_state = 452, .external_lex_state = 2},
  [20949] = {.lex_state = 452, .external_lex_state = 2},
  [20950] = {.lex_state = 452, .external_lex_state = 2},
  [20951] = {.lex_state = 452, .external_lex_state = 2},
  [20952] = {.lex_state = 452, .external_lex_state = 2},
  [20953] = {.lex_state = 159, .external_lex_state = 2},
  [20954] = {.lex_state = 452, .external_lex_state = 2},
  [20955] = {.lex_state = 452, .external_lex_state = 2},
  [20956] = {.lex_state = 452, .external_lex_state = 2},
  [20957] = {.lex_state = 452, .external_lex_state = 2},
  [20958] = {.lex_state = 452, .external_lex_state = 2},
  [20959] = {.lex_state = 159, .external_lex_state = 2},
  [20960] = {.lex_state = 452, .external_lex_state = 2},
  [20961] = {.lex_state = 452, .external_lex_state = 2},
  [20962] = {.lex_state = 452, .external_lex_state = 2},
  [20963] = {.lex_state = 452, .external_lex_state = 2},
  [20964] = {.lex_state = 452, .external_lex_state = 2},
  [20965] = {.lex_state = 452, .external_lex_state = 2},
  [20966] = {.lex_state = 452, .external_lex_state = 2},
  [20967] = {.lex_state = 452, .external_lex_state = 2},
  [20968] = {.lex_state = 452, .external_lex_state = 2},
  [20969] = {.lex_state = 452, .external_lex_state = 2},
  [20970] = {.lex_state = 452, .external_lex_state = 2},
  [20971] = {.lex_state = 452, .external_lex_state = 2},
  [20972] = {.lex_state = 452, .external_lex_state = 3},
  [20973] = {.lex_state = 452, .external_lex_state = 2},
  [20974] = {.lex_state = 452, .external_lex_state = 2},
  [20975] = {.lex_state = 452, .external_lex_state = 2},
  [20976] = {.lex_state = 452, .external_lex_state = 2},
  [20977] = {.lex_state = 452, .external_lex_state = 2},
  [20978] = {.lex_state = 452, .external_lex_state = 2},
  [20979] = {.lex_state = 452, .external_lex_state = 2},
  [20980] = {.lex_state = 452, .external_lex_state = 2},
  [20981] = {.lex_state = 18, .external_lex_state = 2},
  [20982] = {.lex_state = 452, .external_lex_state = 2},
  [20983] = {.lex_state = 452, .external_lex_state = 2},
  [20984] = {.lex_state = 452, .external_lex_state = 2},
  [20985] = {.lex_state = 452, .external_lex_state = 2},
  [20986] = {.lex_state = 170, .external_lex_state = 2},
  [20987] = {.lex_state = 170, .external_lex_state = 2},
  [20988] = {.lex_state = 452, .external_lex_state = 2},
  [20989] = {.lex_state = 170, .external_lex_state = 2},
  [20990] = {.lex_state = 452, .external_lex_state = 2},
  [20991] = {.lex_state = 452, .external_lex_state = 2},
  [20992] = {.lex_state = 452, .external_lex_state = 2},
  [20993] = {.lex_state = 452, .external_lex_state = 2},
  [20994] = {.lex_state = 452, .external_lex_state = 2},
  [20995] = {.lex_state = 452, .external_lex_state = 2},
  [20996] = {.lex_state = 452, .external_lex_state = 2},
  [20997] = {.lex_state = 18, .external_lex_state = 2},
  [20998] = {.lex_state = 452, .external_lex_state = 2},
  [20999] = {.lex_state = 452, .external_lex_state = 2},
  [21000] = {.lex_state = 452, .external_lex_state = 2},
  [21001] = {.lex_state = 452, .external_lex_state = 2},
  [21002] = {.lex_state = 170, .external_lex_state = 2},
  [21003] = {.lex_state = 159, .external_lex_state = 2},
  [21004] = {.lex_state = 452, .external_lex_state = 2},
  [21005] = {.lex_state = 452, .external_lex_state = 2},
  [21006] = {.lex_state = 452, .external_lex_state = 2},
  [21007] = {.lex_state = 452, .external_lex_state = 2},
  [21008] = {.lex_state = 452, .external_lex_state = 2},
  [21009] = {.lex_state = 452, .external_lex_state = 2},
  [21010] = {.lex_state = 170, .external_lex_state = 2},
  [21011] = {.lex_state = 452, .external_lex_state = 2},
  [21012] = {.lex_state = 170, .external_lex_state = 2},
  [21013] = {.lex_state = 452, .external_lex_state = 2},
  [21014] = {.lex_state = 170, .external_lex_state = 2},
  [21015] = {.lex_state = 452, .external_lex_state = 2},
  [21016] = {.lex_state = 452, .external_lex_state = 2},
  [21017] = {.lex_state = 159, .external_lex_state = 2},
  [21018] = {.lex_state = 452, .external_lex_state = 2},
  [21019] = {.lex_state = 452, .external_lex_state = 2},
  [21020] = {.lex_state = 452, .external_lex_state = 2},
  [21021] = {.lex_state = 452, .external_lex_state = 2},
  [21022] = {.lex_state = 452, .external_lex_state = 2},
  [21023] = {.lex_state = 452, .external_lex_state = 2},
  [21024] = {.lex_state = 452, .external_lex_state = 2},
  [21025] = {.lex_state = 452, .external_lex_state = 2},
  [21026] = {.lex_state = 452, .external_lex_state = 2},
  [21027] = {.lex_state = 452, .external_lex_state = 2},
  [21028] = {.lex_state = 18, .external_lex_state = 2},
  [21029] = {.lex_state = 452, .external_lex_state = 2},
  [21030] = {.lex_state = 452, .external_lex_state = 2},
  [21031] = {.lex_state = 159, .external_lex_state = 2},
  [21032] = {.lex_state = 159, .external_lex_state = 2},
  [21033] = {.lex_state = 452, .external_lex_state = 2},
  [21034] = {.lex_state = 452, .external_lex_state = 3},
  [21035] = {.lex_state = 452, .external_lex_state = 2},
  [21036] = {.lex_state = 452, .external_lex_state = 2},
  [21037] = {.lex_state = 452, .external_lex_state = 2},
  [21038] = {.lex_state = 452, .external_lex_state = 2},
  [21039] = {.lex_state = 452, .external_lex_state = 2},
  [21040] = {.lex_state = 159, .external_lex_state = 2},
  [21041] = {.lex_state = 452, .external_lex_state = 2},
  [21042] = {.lex_state = 159, .external_lex_state = 2},
  [21043] = {.lex_state = 452, .external_lex_state = 2},
  [21044] = {.lex_state = 452, .external_lex_state = 2},
  [21045] = {.lex_state = 452, .external_lex_state = 2},
  [21046] = {.lex_state = 452, .external_lex_state = 2},
  [21047] = {.lex_state = 170, .external_lex_state = 2},
  [21048] = {.lex_state = 18, .external_lex_state = 2},
  [21049] = {.lex_state = 452, .external_lex_state = 2},
  [21050] = {.lex_state = 452, .external_lex_state = 2},
  [21051] = {.lex_state = 452, .external_lex_state = 2},
  [21052] = {.lex_state = 452, .external_lex_state = 2},
  [21053] = {.lex_state = 452, .external_lex_state = 2},
  [21054] = {.lex_state = 452, .external_lex_state = 2},
  [21055] = {.lex_state = 452, .external_lex_state = 2},
  [21056] = {.lex_state = 452, .external_lex_state = 2},
  [21057] = {.lex_state = 452, .external_lex_state = 2},
  [21058] = {.lex_state = 452, .external_lex_state = 2},
  [21059] = {.lex_state = 452, .external_lex_state = 2},
  [21060] = {.lex_state = 452, .external_lex_state = 2},
  [21061] = {.lex_state = 452, .external_lex_state = 2},
  [21062] = {.lex_state = 452, .external_lex_state = 2},
  [21063] = {.lex_state = 452, .external_lex_state = 2},
  [21064] = {.lex_state = 452, .external_lex_state = 2},
  [21065] = {.lex_state = 452, .external_lex_state = 2},
  [21066] = {.lex_state = 452, .external_lex_state = 2},
  [21067] = {.lex_state = 452, .external_lex_state = 2},
  [21068] = {.lex_state = 452, .external_lex_state = 2},
  [21069] = {.lex_state = 452, .external_lex_state = 2},
  [21070] = {.lex_state = 452, .external_lex_state = 2},
  [21071] = {.lex_state = 452, .external_lex_state = 2},
  [21072] = {.lex_state = 452, .external_lex_state = 2},
  [21073] = {.lex_state = 159, .external_lex_state = 2},
  [21074] = {.lex_state = 452, .external_lex_state = 2},
  [21075] = {.lex_state = 452, .external_lex_state = 2},
  [21076] = {.lex_state = 452, .external_lex_state = 2},
  [21077] = {.lex_state = 452, .external_lex_state = 2},
  [21078] = {.lex_state = 452, .external_lex_state = 2},
  [21079] = {.lex_state = 452, .external_lex_state = 2},
  [21080] = {.lex_state = 452, .external_lex_state = 2},
  [21081] = {.lex_state = 452, .external_lex_state = 2},
  [21082] = {.lex_state = 18, .external_lex_state = 2},
  [21083] = {.lex_state = 18, .external_lex_state = 2},
  [21084] = {.lex_state = 18, .external_lex_state = 2},
  [21085] = {.lex_state = 452, .external_lex_state = 2},
  [21086] = {.lex_state = 170, .external_lex_state = 2},
  [21087] = {.lex_state = 159, .external_lex_state = 2},
  [21088] = {.lex_state = 170, .external_lex_state = 2},
  [21089] = {.lex_state = 170, .external_lex_state = 2},
  [21090] = {.lex_state = 159, .external_lex_state = 2},
  [21091] = {.lex_state = 452, .external_lex_state = 2},
  [21092] = {.lex_state = 159, .external_lex_state = 2},
  [21093] = {.lex_state = 452, .external_lex_state = 2},
  [21094] = {.lex_state = 452, .external_lex_state = 2},
  [21095] = {.lex_state = 452, .external_lex_state = 2},
  [21096] = {.lex_state = 452, .external_lex_state = 2},
  [21097] = {.lex_state = 452, .external_lex_state = 3},
  [21098] = {.lex_state = 452, .external_lex_state = 2},
  [21099] = {.lex_state = 452, .external_lex_state = 2},
  [21100] = {.lex_state = 452, .external_lex_state = 2},
  [21101] = {.lex_state = 452, .external_lex_state = 2},
  [21102] = {.lex_state = 452, .external_lex_state = 2},
  [21103] = {.lex_state = 452, .external_lex_state = 2},
  [21104] = {.lex_state = 452, .external_lex_state = 2},
  [21105] = {.lex_state = 452, .external_lex_state = 2},
  [21106] = {.lex_state = 452, .external_lex_state = 2},
  [21107] = {.lex_state = 452, .external_lex_state = 2},
  [21108] = {.lex_state = 452, .external_lex_state = 2},
  [21109] = {.lex_state = 452, .external_lex_state = 2},
  [21110] = {.lex_state = 18, .external_lex_state = 2},
  [21111] = {.lex_state = 452, .external_lex_state = 2},
  [21112] = {.lex_state = 452, .external_lex_state = 2},
  [21113] = {.lex_state = 452, .external_lex_state = 2},
  [21114] = {.lex_state = 452, .external_lex_state = 2},
  [21115] = {.lex_state = 452, .external_lex_state = 2},
  [21116] = {.lex_state = 452, .external_lex_state = 2},
  [21117] = {.lex_state = 452, .external_lex_state = 2},
  [21118] = {.lex_state = 452, .external_lex_state = 2},
  [21119] = {.lex_state = 452, .external_lex_state = 2},
  [21120] = {.lex_state = 452, .external_lex_state = 2},
  [21121] = {.lex_state = 452, .external_lex_state = 2},
  [21122] = {.lex_state = 452, .external_lex_state = 2},
  [21123] = {.lex_state = 452, .external_lex_state = 2},
  [21124] = {.lex_state = 452, .external_lex_state = 2},
  [21125] = {.lex_state = 452, .external_lex_state = 2},
  [21126] = {.lex_state = 452, .external_lex_state = 2},
  [21127] = {.lex_state = 452, .external_lex_state = 2},
  [21128] = {.lex_state = 452, .external_lex_state = 2},
  [21129] = {.lex_state = 452, .external_lex_state = 2},
  [21130] = {.lex_state = 452, .external_lex_state = 2},
  [21131] = {.lex_state = 452, .external_lex_state = 2},
  [21132] = {.lex_state = 452, .external_lex_state = 2},
  [21133] = {.lex_state = 452, .external_lex_state = 2},
  [21134] = {.lex_state = 452, .external_lex_state = 2},
  [21135] = {.lex_state = 452, .external_lex_state = 2},
  [21136] = {.lex_state = 452, .external_lex_state = 2},
  [21137] = {.lex_state = 452, .external_lex_state = 2},
  [21138] = {.lex_state = 452, .external_lex_state = 2},
  [21139] = {.lex_state = 452, .external_lex_state = 2},
  [21140] = {.lex_state = 452, .external_lex_state = 2},
  [21141] = {.lex_state = 452, .external_lex_state = 3},
  [21142] = {.lex_state = 452, .external_lex_state = 2},
  [21143] = {.lex_state = 452, .external_lex_state = 2},
  [21144] = {.lex_state = 452, .external_lex_state = 2},
  [21145] = {.lex_state = 452, .external_lex_state = 2},
  [21146] = {.lex_state = 452, .external_lex_state = 2},
  [21147] = {.lex_state = 452, .external_lex_state = 2},
  [21148] = {.lex_state = 452, .external_lex_state = 2},
  [21149] = {.lex_state = 452, .external_lex_state = 2},
  [21150] = {.lex_state = 18, .external_lex_state = 2},
  [21151] = {.lex_state = 452, .external_lex_state = 2},
  [21152] = {.lex_state = 452, .external_lex_state = 2},
  [21153] = {.lex_state = 452, .external_lex_state = 2},
  [21154] = {.lex_state = 452, .external_lex_state = 2},
  [21155] = {.lex_state = 452, .external_lex_state = 2},
  [21156] = {.lex_state = 452, .external_lex_state = 2},
  [21157] = {.lex_state = 452, .external_lex_state = 2},
  [21158] = {.lex_state = 452, .external_lex_state = 2},
  [21159] = {.lex_state = 452, .external_lex_state = 2},
  [21160] = {.lex_state = 452, .external_lex_state = 2},
  [21161] = {.lex_state = 452, .external_lex_state = 2},
  [21162] = {.lex_state = 452, .external_lex_state = 2},
  [21163] = {.lex_state = 452, .external_lex_state = 2},
  [21164] = {.lex_state = 452, .external_lex_state = 2},
  [21165] = {.lex_state = 452, .external_lex_state = 2},
  [21166] = {.lex_state = 170, .external_lex_state = 2},
  [21167] = {.lex_state = 452, .external_lex_state = 2},
  [21168] = {.lex_state = 452, .external_lex_state = 2},
  [21169] = {.lex_state = 452, .external_lex_state = 2},
  [21170] = {.lex_state = 452, .external_lex_state = 2},
  [21171] = {.lex_state = 170, .external_lex_state = 2},
  [21172] = {.lex_state = 452, .external_lex_state = 2},
  [21173] = {.lex_state = 452, .external_lex_state = 2},
  [21174] = {.lex_state = 452, .external_lex_state = 2},
  [21175] = {.lex_state = 170, .external_lex_state = 2},
  [21176] = {.lex_state = 452, .external_lex_state = 2},
  [21177] = {.lex_state = 452, .external_lex_state = 2},
  [21178] = {.lex_state = 452, .external_lex_state = 2},
  [21179] = {.lex_state = 452, .external_lex_state = 2},
  [21180] = {.lex_state = 452, .external_lex_state = 2},
  [21181] = {.lex_state = 19, .external_lex_state = 2},
  [21182] = {.lex_state = 452, .external_lex_state = 2},
  [21183] = {.lex_state = 18, .external_lex_state = 2},
  [21184] = {.lex_state = 452, .external_lex_state = 2},
  [21185] = {.lex_state = 452, .external_lex_state = 2},
  [21186] = {.lex_state = 452, .external_lex_state = 2},
  [21187] = {.lex_state = 452, .external_lex_state = 2},
  [21188] = {.lex_state = 170, .external_lex_state = 2},
  [21189] = {.lex_state = 452, .external_lex_state = 2},
  [21190] = {.lex_state = 452, .external_lex_state = 2},
  [21191] = {.lex_state = 452, .external_lex_state = 2},
  [21192] = {.lex_state = 452, .external_lex_state = 2},
  [21193] = {.lex_state = 452, .external_lex_state = 2},
  [21194] = {.lex_state = 18, .external_lex_state = 2},
  [21195] = {.lex_state = 452, .external_lex_state = 2},
  [21196] = {.lex_state = 170, .external_lex_state = 2},
  [21197] = {.lex_state = 452, .external_lex_state = 2},
  [21198] = {.lex_state = 452, .external_lex_state = 2},
  [21199] = {.lex_state = 19, .external_lex_state = 2},
  [21200] = {.lex_state = 170, .external_lex_state = 2},
  [21201] = {.lex_state = 159, .external_lex_state = 2},
  [21202] = {.lex_state = 170, .external_lex_state = 2},
  [21203] = {.lex_state = 170, .external_lex_state = 2},
  [21204] = {.lex_state = 170, .external_lex_state = 2},
  [21205] = {.lex_state = 452, .external_lex_state = 2},
  [21206] = {.lex_state = 19, .external_lex_state = 2},
  [21207] = {.lex_state = 271, .external_lex_state = 2},
  [21208] = {.lex_state = 452, .external_lex_state = 2},
  [21209] = {.lex_state = 452, .external_lex_state = 2},
  [21210] = {.lex_state = 170, .external_lex_state = 2},
  [21211] = {.lex_state = 452, .external_lex_state = 2},
  [21212] = {.lex_state = 452, .external_lex_state = 2},
  [21213] = {.lex_state = 452, .external_lex_state = 2},
  [21214] = {.lex_state = 452, .external_lex_state = 2},
  [21215] = {.lex_state = 18, .external_lex_state = 2},
  [21216] = {.lex_state = 452, .external_lex_state = 2},
  [21217] = {.lex_state = 452, .external_lex_state = 2},
  [21218] = {.lex_state = 452, .external_lex_state = 2},
  [21219] = {.lex_state = 452, .external_lex_state = 2},
  [21220] = {.lex_state = 452, .external_lex_state = 2},
  [21221] = {.lex_state = 170, .external_lex_state = 2},
  [21222] = {.lex_state = 170, .external_lex_state = 2},
  [21223] = {.lex_state = 452, .external_lex_state = 2},
  [21224] = {.lex_state = 170, .external_lex_state = 2},
  [21225] = {.lex_state = 170, .external_lex_state = 2},
  [21226] = {.lex_state = 19, .external_lex_state = 2},
  [21227] = {.lex_state = 271, .external_lex_state = 2},
  [21228] = {.lex_state = 452, .external_lex_state = 2},
  [21229] = {.lex_state = 170, .external_lex_state = 2},
  [21230] = {.lex_state = 452, .external_lex_state = 2},
  [21231] = {.lex_state = 170, .external_lex_state = 2},
  [21232] = {.lex_state = 452, .external_lex_state = 2},
  [21233] = {.lex_state = 452, .external_lex_state = 2},
  [21234] = {.lex_state = 452, .external_lex_state = 2},
  [21235] = {.lex_state = 452, .external_lex_state = 2},
  [21236] = {.lex_state = 452, .external_lex_state = 2},
  [21237] = {.lex_state = 452, .external_lex_state = 2},
  [21238] = {.lex_state = 452, .external_lex_state = 2},
  [21239] = {.lex_state = 452, .external_lex_state = 2},
  [21240] = {.lex_state = 452, .external_lex_state = 2},
  [21241] = {.lex_state = 271, .external_lex_state = 2},
  [21242] = {.lex_state = 452, .external_lex_state = 2},
  [21243] = {.lex_state = 19, .external_lex_state = 2},
  [21244] = {.lex_state = 452, .external_lex_state = 2},
  [21245] = {.lex_state = 452, .external_lex_state = 2},
  [21246] = {.lex_state = 452, .external_lex_state = 2},
  [21247] = {.lex_state = 452, .external_lex_state = 2},
  [21248] = {.lex_state = 452, .external_lex_state = 2},
  [21249] = {.lex_state = 452, .external_lex_state = 2},
  [21250] = {.lex_state = 452, .external_lex_state = 2},
  [21251] = {.lex_state = 452, .external_lex_state = 2},
  [21252] = {.lex_state = 452, .external_lex_state = 2},
  [21253] = {.lex_state = 159, .external_lex_state = 2},
  [21254] = {.lex_state = 271, .external_lex_state = 2},
  [21255] = {.lex_state = 452, .external_lex_state = 2},
  [21256] = {.lex_state = 452, .external_lex_state = 2},
  [21257] = {.lex_state = 18, .external_lex_state = 2},
  [21258] = {.lex_state = 452, .external_lex_state = 2},
  [21259] = {.lex_state = 159, .external_lex_state = 2},
  [21260] = {.lex_state = 452, .external_lex_state = 2},
  [21261] = {.lex_state = 159, .external_lex_state = 2},
  [21262] = {.lex_state = 159, .external_lex_state = 2},
  [21263] = {.lex_state = 271, .external_lex_state = 2},
  [21264] = {.lex_state = 452, .external_lex_state = 2},
  [21265] = {.lex_state = 452, .external_lex_state = 2},
  [21266] = {.lex_state = 271, .external_lex_state = 2},
  [21267] = {.lex_state = 452, .external_lex_state = 2},
  [21268] = {.lex_state = 18, .external_lex_state = 2},
  [21269] = {.lex_state = 271, .external_lex_state = 2},
  [21270] = {.lex_state = 452, .external_lex_state = 2},
  [21271] = {.lex_state = 452, .external_lex_state = 2},
  [21272] = {.lex_state = 271, .external_lex_state = 2},
  [21273] = {.lex_state = 271, .external_lex_state = 2},
  [21274] = {.lex_state = 271, .external_lex_state = 2},
  [21275] = {.lex_state = 271, .external_lex_state = 2},
  [21276] = {.lex_state = 271, .external_lex_state = 2},
  [21277] = {.lex_state = 271, .external_lex_state = 2},
  [21278] = {.lex_state = 271, .external_lex_state = 2},
  [21279] = {.lex_state = 271, .external_lex_state = 2},
  [21280] = {.lex_state = 271, .external_lex_state = 2},
  [21281] = {.lex_state = 271, .external_lex_state = 2},
  [21282] = {.lex_state = 271, .external_lex_state = 2},
  [21283] = {.lex_state = 271, .external_lex_state = 2},
  [21284] = {.lex_state = 271, .external_lex_state = 2},
  [21285] = {.lex_state = 271, .external_lex_state = 2},
  [21286] = {.lex_state = 271, .external_lex_state = 2},
  [21287] = {.lex_state = 271, .external_lex_state = 2},
  [21288] = {.lex_state = 271, .external_lex_state = 2},
  [21289] = {.lex_state = 271, .external_lex_state = 2},
  [21290] = {.lex_state = 271, .external_lex_state = 2},
  [21291] = {.lex_state = 271, .external_lex_state = 2},
  [21292] = {.lex_state = 271, .external_lex_state = 2},
  [21293] = {.lex_state = 271, .external_lex_state = 2},
  [21294] = {.lex_state = 271, .external_lex_state = 2},
  [21295] = {.lex_state = 271, .external_lex_state = 2},
  [21296] = {.lex_state = 271, .external_lex_state = 2},
  [21297] = {.lex_state = 271, .external_lex_state = 2},
  [21298] = {.lex_state = 271, .external_lex_state = 2},
  [21299] = {.lex_state = 271, .external_lex_state = 2},
  [21300] = {.lex_state = 271, .external_lex_state = 2},
  [21301] = {.lex_state = 271, .external_lex_state = 2},
  [21302] = {.lex_state = 271, .external_lex_state = 2},
  [21303] = {.lex_state = 271, .external_lex_state = 2},
  [21304] = {.lex_state = 271, .external_lex_state = 2},
  [21305] = {.lex_state = 271, .external_lex_state = 2},
  [21306] = {.lex_state = 271, .external_lex_state = 2},
  [21307] = {.lex_state = 271, .external_lex_state = 2},
  [21308] = {.lex_state = 271, .external_lex_state = 2},
  [21309] = {.lex_state = 271, .external_lex_state = 2},
  [21310] = {.lex_state = 271, .external_lex_state = 2},
  [21311] = {.lex_state = 271, .external_lex_state = 2},
  [21312] = {.lex_state = 271, .external_lex_state = 2},
  [21313] = {.lex_state = 271, .external_lex_state = 2},
  [21314] = {.lex_state = 271, .external_lex_state = 2},
  [21315] = {.lex_state = 271, .external_lex_state = 2},
  [21316] = {.lex_state = 271, .external_lex_state = 2},
  [21317] = {.lex_state = 271, .external_lex_state = 2},
  [21318] = {.lex_state = 271, .external_lex_state = 2},
  [21319] = {.lex_state = 271, .external_lex_state = 2},
  [21320] = {.lex_state = 159, .external_lex_state = 2},
  [21321] = {.lex_state = 452, .external_lex_state = 2},
  [21322] = {.lex_state = 452, .external_lex_state = 2},
  [21323] = {.lex_state = 159, .external_lex_state = 2},
  [21324] = {.lex_state = 452, .external_lex_state = 2},
  [21325] = {.lex_state = 170, .external_lex_state = 2},
  [21326] = {.lex_state = 170, .external_lex_state = 2},
  [21327] = {.lex_state = 19, .external_lex_state = 2},
  [21328] = {.lex_state = 452, .external_lex_state = 2},
  [21329] = {.lex_state = 170, .external_lex_state = 2},
  [21330] = {.lex_state = 452, .external_lex_state = 2},
  [21331] = {.lex_state = 452, .external_lex_state = 2},
  [21332] = {.lex_state = 452, .external_lex_state = 2},
  [21333] = {.lex_state = 452, .external_lex_state = 2},
  [21334] = {.lex_state = 170, .external_lex_state = 2},
  [21335] = {.lex_state = 159, .external_lex_state = 2},
  [21336] = {.lex_state = 452, .external_lex_state = 2},
  [21337] = {.lex_state = 452, .external_lex_state = 2},
  [21338] = {.lex_state = 170, .external_lex_state = 2},
  [21339] = {.lex_state = 452, .external_lex_state = 2},
  [21340] = {.lex_state = 452, .external_lex_state = 2},
  [21341] = {.lex_state = 452, .external_lex_state = 2},
  [21342] = {.lex_state = 452, .external_lex_state = 2},
  [21343] = {.lex_state = 452, .external_lex_state = 2},
  [21344] = {.lex_state = 452, .external_lex_state = 2},
  [21345] = {.lex_state = 452, .external_lex_state = 2},
  [21346] = {.lex_state = 452, .external_lex_state = 2},
  [21347] = {.lex_state = 452, .external_lex_state = 2},
  [21348] = {.lex_state = 159, .external_lex_state = 2},
  [21349] = {.lex_state = 452, .external_lex_state = 2},
  [21350] = {.lex_state = 452, .external_lex_state = 2},
  [21351] = {.lex_state = 18, .external_lex_state = 2},
  [21352] = {.lex_state = 18, .external_lex_state = 2},
  [21353] = {.lex_state = 159, .external_lex_state = 2},
  [21354] = {.lex_state = 159, .external_lex_state = 2},
  [21355] = {.lex_state = 452, .external_lex_state = 3},
  [21356] = {.lex_state = 452, .external_lex_state = 2},
  [21357] = {.lex_state = 452, .external_lex_state = 2},
  [21358] = {.lex_state = 452, .external_lex_state = 2},
  [21359] = {.lex_state = 452, .external_lex_state = 2},
  [21360] = {.lex_state = 18, .external_lex_state = 2},
  [21361] = {.lex_state = 452, .external_lex_state = 2},
  [21362] = {.lex_state = 452, .external_lex_state = 2},
  [21363] = {.lex_state = 159, .external_lex_state = 2},
  [21364] = {.lex_state = 452, .external_lex_state = 2},
  [21365] = {.lex_state = 159, .external_lex_state = 2},
  [21366] = {.lex_state = 18, .external_lex_state = 2},
  [21367] = {.lex_state = 452, .external_lex_state = 2},
  [21368] = {.lex_state = 159, .external_lex_state = 2},
  [21369] = {.lex_state = 19, .external_lex_state = 2},
  [21370] = {.lex_state = 159, .external_lex_state = 2},
  [21371] = {.lex_state = 452, .external_lex_state = 2},
  [21372] = {.lex_state = 159, .external_lex_state = 2},
  [21373] = {.lex_state = 159, .external_lex_state = 2},
  [21374] = {.lex_state = 18, .external_lex_state = 2},
  [21375] = {.lex_state = 452, .external_lex_state = 3},
  [21376] = {.lex_state = 19, .external_lex_state = 2},
  [21377] = {.lex_state = 19, .external_lex_state = 2},
  [21378] = {.lex_state = 452, .external_lex_state = 2},
  [21379] = {.lex_state = 452, .external_lex_state = 2},
  [21380] = {.lex_state = 452, .external_lex_state = 3},
  [21381] = {.lex_state = 452, .external_lex_state = 2},
  [21382] = {.lex_state = 18, .external_lex_state = 2},
  [21383] = {.lex_state = 452, .external_lex_state = 2},
  [21384] = {.lex_state = 452, .external_lex_state = 2},
  [21385] = {.lex_state = 452, .external_lex_state = 2},
  [21386] = {.lex_state = 19, .external_lex_state = 2},
  [21387] = {.lex_state = 452, .external_lex_state = 2},
  [21388] = {.lex_state = 452, .external_lex_state = 2},
  [21389] = {.lex_state = 452, .external_lex_state = 2},
  [21390] = {.lex_state = 452, .external_lex_state = 2},
  [21391] = {.lex_state = 452, .external_lex_state = 2},
  [21392] = {.lex_state = 18, .external_lex_state = 2},
  [21393] = {.lex_state = 452, .external_lex_state = 2},
  [21394] = {.lex_state = 452, .external_lex_state = 2},
  [21395] = {.lex_state = 452, .external_lex_state = 2},
  [21396] = {.lex_state = 159, .external_lex_state = 2},
  [21397] = {.lex_state = 452, .external_lex_state = 2},
  [21398] = {.lex_state = 452, .external_lex_state = 2},
  [21399] = {.lex_state = 452, .external_lex_state = 2},
  [21400] = {.lex_state = 159, .external_lex_state = 2},
  [21401] = {.lex_state = 452, .external_lex_state = 2},
  [21402] = {.lex_state = 159, .external_lex_state = 2},
  [21403] = {.lex_state = 18, .external_lex_state = 2},
  [21404] = {.lex_state = 159, .external_lex_state = 2},
  [21405] = {.lex_state = 452, .external_lex_state = 2},
  [21406] = {.lex_state = 452, .external_lex_state = 3},
  [21407] = {.lex_state = 452, .external_lex_state = 2},
  [21408] = {.lex_state = 159, .external_lex_state = 2},
  [21409] = {.lex_state = 19, .external_lex_state = 2},
  [21410] = {.lex_state = 452, .external_lex_state = 2},
  [21411] = {.lex_state = 452, .external_lex_state = 2},
  [21412] = {.lex_state = 452, .external_lex_state = 2},
  [21413] = {.lex_state = 452, .external_lex_state = 2},
  [21414] = {.lex_state = 19, .external_lex_state = 2},
  [21415] = {.lex_state = 452, .external_lex_state = 2},
  [21416] = {.lex_state = 452, .external_lex_state = 2},
  [21417] = {.lex_state = 452, .external_lex_state = 2},
  [21418] = {.lex_state = 452, .external_lex_state = 2},
  [21419] = {.lex_state = 452, .external_lex_state = 2},
  [21420] = {.lex_state = 452, .external_lex_state = 2},
  [21421] = {.lex_state = 452, .external_lex_state = 2},
  [21422] = {.lex_state = 452, .external_lex_state = 2},
  [21423] = {.lex_state = 452, .external_lex_state = 2},
  [21424] = {.lex_state = 170, .external_lex_state = 2},
  [21425] = {.lex_state = 452, .external_lex_state = 2},
  [21426] = {.lex_state = 452, .external_lex_state = 2},
  [21427] = {.lex_state = 452, .external_lex_state = 2},
  [21428] = {.lex_state = 19, .external_lex_state = 2},
  [21429] = {.lex_state = 452, .external_lex_state = 2},
  [21430] = {.lex_state = 452, .external_lex_state = 2},
  [21431] = {.lex_state = 452, .external_lex_state = 2},
  [21432] = {.lex_state = 452, .external_lex_state = 2},
  [21433] = {.lex_state = 452, .external_lex_state = 2},
  [21434] = {.lex_state = 452, .external_lex_state = 2},
  [21435] = {.lex_state = 452, .external_lex_state = 2},
  [21436] = {.lex_state = 452, .external_lex_state = 2},
  [21437] = {.lex_state = 452, .external_lex_state = 2},
  [21438] = {.lex_state = 159, .external_lex_state = 2},
  [21439] = {.lex_state = 452, .external_lex_state = 2},
  [21440] = {.lex_state = 452, .external_lex_state = 2},
  [21441] = {.lex_state = 452, .external_lex_state = 2},
  [21442] = {.lex_state = 170, .external_lex_state = 2},
  [21443] = {.lex_state = 170, .external_lex_state = 2},
  [21444] = {.lex_state = 452, .external_lex_state = 2},
  [21445] = {.lex_state = 452, .external_lex_state = 2},
  [21446] = {.lex_state = 452, .external_lex_state = 2},
  [21447] = {.lex_state = 452, .external_lex_state = 2},
  [21448] = {.lex_state = 452, .external_lex_state = 2},
  [21449] = {.lex_state = 452, .external_lex_state = 2},
  [21450] = {.lex_state = 170, .external_lex_state = 2},
  [21451] = {.lex_state = 170, .external_lex_state = 2},
  [21452] = {.lex_state = 452, .external_lex_state = 2},
  [21453] = {.lex_state = 170, .external_lex_state = 2},
  [21454] = {.lex_state = 452, .external_lex_state = 2},
  [21455] = {.lex_state = 170, .external_lex_state = 2},
  [21456] = {.lex_state = 452, .external_lex_state = 2},
  [21457] = {.lex_state = 452, .external_lex_state = 2},
  [21458] = {.lex_state = 452, .external_lex_state = 2},
  [21459] = {.lex_state = 19, .external_lex_state = 2},
  [21460] = {(TSStateId)(-1)},
  [21461] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__lowercase_identifier] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [anon_sym_effect] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__uppercase_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
    [sym__error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_type] = STATE(20160),
    [sym__simple_type] = STATE(12651),
    [sym__type] = STATE(17806),
    [sym_function_type] = STATE(8494),
    [sym_labeled_argument_type] = STATE(21350),
    [sym__proper_tuple_type] = STATE(13959),
    [sym__labeled_tuple_type] = STATE(8494),
    [sym_labeled_tuple_element_type] = STATE(20047),
    [sym_constructed_type] = STATE(13304),
    [sym_aliased_type] = STATE(8494),
    [sym_local_open_type] = STATE(13304),
    [sym_polymorphic_variant_type] = STATE(13304),
    [sym_package_type] = STATE(13304),
    [sym_object_type] = STATE(13304),
    [sym_hash_type] = STATE(13304),
    [sym_parenthesized_type] = STATE(13304),
    [sym_attribute] = STATE(1),
    [sym_extension] = STATE(13304),
    [sym_quoted_extension] = STATE(13304),
    [sym_extended_module_path] = STATE(18248),
    [sym_type_constructor_path] = STATE(13304),
    [sym_type_variable] = STATE(13304),
    [sym__lowercase_identifier] = ACTIONS(7),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_LBRACK] = ACTIONS(13),
    [anon_sym_LBRACK_GT] = ACTIONS(15),
    [anon_sym_LBRACK_LT] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [sym__uppercase_identifier] = ACTIONS(29),
    [aux_sym_type_variable_token1] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20205),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(51),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19297),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19670),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(133),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18621),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(135),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20876),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(137),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20169),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(139),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19031),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(141),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19010),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(143),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20495),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(145),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(21371),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(147),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(21333),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(149),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20950),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(151),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19538),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(153),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19117),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20350),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(21417),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(159),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18784),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18763),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18955),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20680),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(21197),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18833),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18671),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19456),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20408),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18565),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18893),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19218),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19560),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19868),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20230),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20366),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20512),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20742),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20982),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(21270),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20801),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20380),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(21410),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19619),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18917),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20545),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(21151),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18509),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(21381),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19273),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20136),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(21121),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18687),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(18929),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19076),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19224),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19289),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19330),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19389),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19447),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19499),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19544),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19592),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19644),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19690),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19760),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19800),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19854),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19864),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19911),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19922),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19935),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19955),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19974),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19985),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20004),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20024),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20037),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20043),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20049),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20055),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20061),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20067),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20073),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20079),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20085),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20091),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20097),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20103),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20114),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(20122),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym__structure] = STATE(21250),
    [sym_expression_item] = STATE(8691),
    [sym_toplevel_directive] = STATE(8691),
    [sym__structure_item] = STATE(8691),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(89),
    [sym_floating_attribute] = STATE(12990),
    [sym_attribute_payload] = STATE(19200),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(95),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_QMARK] = ACTIONS(41),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_COLON2] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym__structure] = STATE(20712),
    [sym_expression_item] = STATE(8679),
    [sym_toplevel_directive] = STATE(8679),
    [sym__structure_item] = STATE(8679),
    [sym_value_definition] = STATE(13265),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9195),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(90),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_directive] = STATE(8257),
    [sym_tag] = STATE(4566),
    [aux_sym__structure_repeat1] = STATE(96),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_SEMI_SEMI] = ACTIONS(307),
    [anon_sym_let] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_exception] = ACTIONS(321),
    [anon_sym_module] = ACTIONS(323),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(325),
    [anon_sym_end] = ACTIONS(327),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(363),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(369),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8572),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7896),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(91),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__attribute] = STATE(1695),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(411),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(413),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8554),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7896),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(92),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__attribute] = STATE(1639),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym__structure] = STATE(19451),
    [sym_expression_item] = STATE(8679),
    [sym_toplevel_directive] = STATE(8679),
    [sym__structure_item] = STATE(8679),
    [sym_value_definition] = STATE(13265),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9195),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(93),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_directive] = STATE(8257),
    [sym_tag] = STATE(4566),
    [aux_sym__structure_repeat1] = STATE(96),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_SEMI_SEMI] = ACTIONS(307),
    [anon_sym_let] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_exception] = ACTIONS(321),
    [anon_sym_module] = ACTIONS(323),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(325),
    [anon_sym_end] = ACTIONS(485),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(363),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(369),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym_expression_item] = STATE(13119),
    [sym_toplevel_directive] = STATE(13119),
    [sym__structure_item] = STATE(13119),
    [sym_value_definition] = STATE(13265),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9195),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(94),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_directive] = STATE(8257),
    [sym_tag] = STATE(4566),
    [aux_sym__structure_repeat1] = STATE(5038),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_SEMI_SEMI] = ACTIONS(307),
    [anon_sym_let] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_exception] = ACTIONS(321),
    [anon_sym_module] = ACTIONS(323),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(325),
    [anon_sym_end] = ACTIONS(487),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(363),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(369),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym_expression_item] = STATE(8692),
    [sym_toplevel_directive] = STATE(8692),
    [sym__structure_item] = STATE(8692),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(95),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(5041),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(489),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym_expression_item] = STATE(8792),
    [sym_toplevel_directive] = STATE(8792),
    [sym__structure_item] = STATE(8792),
    [sym_value_definition] = STATE(13265),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9195),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(96),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_directive] = STATE(8257),
    [sym_tag] = STATE(4566),
    [aux_sym__structure_repeat1] = STATE(5038),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_SEMI_SEMI] = ACTIONS(307),
    [anon_sym_let] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_exception] = ACTIONS(321),
    [anon_sym_module] = ACTIONS(323),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(325),
    [anon_sym_end] = ACTIONS(491),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(363),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(369),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_expression_item] = STATE(13119),
    [sym_toplevel_directive] = STATE(13119),
    [sym__structure_item] = STATE(13119),
    [sym_value_definition] = STATE(13265),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9195),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(97),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_directive] = STATE(8257),
    [sym_tag] = STATE(4566),
    [aux_sym__structure_repeat1] = STATE(5038),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_SEMI_SEMI] = ACTIONS(307),
    [anon_sym_let] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_exception] = ACTIONS(321),
    [anon_sym_module] = ACTIONS(323),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(325),
    [anon_sym_end] = ACTIONS(493),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(363),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(369),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8629),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7896),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(98),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__attribute] = STATE(1588),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(531),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8636),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7896),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(99),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__attribute] = STATE(1758),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(583),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8580),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(100),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__attribute] = STATE(1680),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(635),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym_expression_item] = STATE(13119),
    [sym_toplevel_directive] = STATE(13119),
    [sym__structure_item] = STATE(13119),
    [sym_value_definition] = STATE(13265),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9195),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(101),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_directive] = STATE(8257),
    [sym_tag] = STATE(4566),
    [aux_sym__structure_repeat1] = STATE(5038),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_SEMI_SEMI] = ACTIONS(307),
    [anon_sym_let] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_exception] = ACTIONS(321),
    [anon_sym_module] = ACTIONS(323),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(325),
    [anon_sym_end] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(363),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(369),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8677),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(102),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__attribute] = STATE(1702),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(689),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym_expression_item] = STATE(13119),
    [sym_toplevel_directive] = STATE(13119),
    [sym__structure_item] = STATE(13119),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(103),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(5041),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(705),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym_expression_item] = STATE(13119),
    [sym_toplevel_directive] = STATE(13119),
    [sym__structure_item] = STATE(13119),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(104),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(5041),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(707),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym_expression_item] = STATE(13119),
    [sym_toplevel_directive] = STATE(13119),
    [sym__structure_item] = STATE(13119),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(105),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(5041),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_expression_item] = STATE(13119),
    [sym_toplevel_directive] = STATE(13119),
    [sym__structure_item] = STATE(13119),
    [sym_value_definition] = STATE(12928),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9218),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(106),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_directive] = STATE(8431),
    [sym_tag] = STATE(4748),
    [aux_sym__structure_repeat1] = STATE(5041),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(37),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(59),
    [anon_sym_module] = ACTIONS(61),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(121),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(127),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8719),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(107),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__attribute] = STATE(1567),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(745),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(747),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8784),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(108),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__attribute] = STATE(1646),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(799),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_expression_item] = STATE(13119),
    [sym_toplevel_directive] = STATE(13119),
    [sym__structure_item] = STATE(13119),
    [sym_value_definition] = STATE(13265),
    [sym_external] = STATE(12990),
    [sym_type_definition] = STATE(12990),
    [sym_exception_definition] = STATE(12990),
    [sym_module_definition] = STATE(12990),
    [sym_module_type_definition] = STATE(12990),
    [sym_open_module] = STATE(12990),
    [sym_include_module] = STATE(12990),
    [sym_class_definition] = STATE(12990),
    [sym_class_type_definition] = STATE(12990),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9195),
    [sym__sequence_expression] = STATE(12368),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(109),
    [sym_floating_attribute] = STATE(12990),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym_item_extension] = STATE(12990),
    [sym_quoted_item_extension] = STATE(12990),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_directive] = STATE(8257),
    [sym_tag] = STATE(4566),
    [aux_sym__structure_repeat1] = STATE(5041),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_SEMI_SEMI] = ACTIONS(35),
    [anon_sym_let] = ACTIONS(309),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(313),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_exception] = ACTIONS(321),
    [anon_sym_module] = ACTIONS(323),
    [anon_sym_open] = ACTIONS(63),
    [anon_sym_include] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(325),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(363),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(369),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8973),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(110),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__attribute] = STATE(1595),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(849),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(851),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8816),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(111),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__attribute] = STATE(1810),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(901),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(903),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9190),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(112),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__attribute] = STATE(1746),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9090),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(113),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__attribute] = STATE(1756),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_SEMI] = ACTIONS(379),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9803),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(114),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__attribute] = STATE(1653),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_constraint] = ACTIONS(379),
    [anon_sym_val] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_inherit] = ACTIONS(379),
    [anon_sym_method] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_initializer] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(965),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(967),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10102),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(115),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__attribute] = STATE(1603),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_constraint] = ACTIONS(379),
    [anon_sym_val] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_inherit] = ACTIONS(379),
    [anon_sym_method] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_initializer] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(965),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(967),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9979),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(116),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__attribute] = STATE(1776),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_constraint] = ACTIONS(379),
    [anon_sym_val] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_inherit] = ACTIONS(379),
    [anon_sym_method] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_initializer] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1041),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10455),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(117),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__attribute] = STATE(1757),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_constraint] = ACTIONS(379),
    [anon_sym_val] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_inherit] = ACTIONS(379),
    [anon_sym_method] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_initializer] = ACTIONS(379),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1041),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10568),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(118),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__attribute] = STATE(1581),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_COLON_GT] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_COLON2] = ACTIONS(379),
    [anon_sym_DASH_GT] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_GT_RBRACE] = ACTIONS(375),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(10779),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(119),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__attribute] = STATE(1517),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_COLON_GT] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_COLON2] = ACTIONS(379),
    [anon_sym_DASH_GT] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_GT_RBRACE] = ACTIONS(375),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(11050),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(120),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__attribute] = STATE(1786),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_COLON_GT] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_COLON2] = ACTIONS(379),
    [anon_sym_DASH_GT] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_GT_RBRACE] = ACTIONS(375),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11284),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(121),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__attribute] = STATE(1750),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_COLON_GT] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_COLON2] = ACTIONS(379),
    [anon_sym_DASH_GT] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_GT_RBRACE] = ACTIONS(375),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11480),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10931),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(122),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__attribute] = STATE(1688),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8722),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7896),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(123),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__attribute] = STATE(1795),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(583),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8793),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7896),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(124),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__attribute] = STATE(1805),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(531),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8833),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(125),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__attribute] = STATE(1524),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(799),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12301),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(126),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__attribute] = STATE(1674),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11790),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10931),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(127),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__attribute] = STATE(1574),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8961),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(128),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__attribute] = STATE(1796),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(745),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(747),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15430),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(129),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19510),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1403),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1405),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1409),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1411),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1419),
    [sym_let_and_operator] = ACTIONS(1411),
    [sym_match_operator] = ACTIONS(1421),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21076),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19494),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1431),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1433),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1435),
    [sym_let_and_operator] = ACTIONS(1433),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15584),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19824),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1439),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1445),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1449),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1451),
    [sym_let_and_operator] = ACTIONS(1449),
    [sym_match_operator] = ACTIONS(1453),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18727),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19824),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1455),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1443),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1445),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1447),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1449),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1451),
    [sym_let_and_operator] = ACTIONS(1449),
    [sym_match_operator] = ACTIONS(1453),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15783),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19574),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1459),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1461),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1463),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1465),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1467),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1469),
    [sym_let_and_operator] = ACTIONS(1467),
    [sym_match_operator] = ACTIONS(1471),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15635),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19018),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1473),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1481),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1483),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1485),
    [sym_let_and_operator] = ACTIONS(1483),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19051),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19018),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1489),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1477),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1481),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1483),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1485),
    [sym_let_and_operator] = ACTIONS(1483),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20144),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19574),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1459),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1461),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1463),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1465),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1467),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1469),
    [sym_let_and_operator] = ACTIONS(1467),
    [sym_match_operator] = ACTIONS(1471),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15674),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20592),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1493),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1501),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1503),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1505),
    [sym_let_and_operator] = ACTIONS(1503),
    [sym_match_operator] = ACTIONS(1507),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19392),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20592),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1497),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1499),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1501),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1503),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1505),
    [sym_let_and_operator] = ACTIONS(1503),
    [sym_match_operator] = ACTIONS(1507),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12436),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__attribute] = STATE(1509),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15709),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21185),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1519),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1525),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1527),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1529),
    [sym_let_and_operator] = ACTIONS(1527),
    [sym_match_operator] = ACTIONS(1531),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19729),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21185),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1519),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1521),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1523),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1525),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1527),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1529),
    [sym_let_and_operator] = ACTIONS(1527),
    [sym_match_operator] = ACTIONS(1531),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15261),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20238),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1535),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1539),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1541),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1543),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1545),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1547),
    [sym_let_and_operator] = ACTIONS(1545),
    [sym_match_operator] = ACTIONS(1549),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15743),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18608),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1559),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1561),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1563),
    [sym_let_and_operator] = ACTIONS(1561),
    [sym_match_operator] = ACTIONS(1565),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20183),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18608),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1557),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1559),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1561),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1563),
    [sym_let_and_operator] = ACTIONS(1561),
    [sym_match_operator] = ACTIONS(1565),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20916),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20238),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1539),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1541),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1543),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1545),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1547),
    [sym_let_and_operator] = ACTIONS(1545),
    [sym_match_operator] = ACTIONS(1549),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15774),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18500),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1575),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1577),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1579),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1581),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1583),
    [sym_let_and_operator] = ACTIONS(1581),
    [sym_match_operator] = ACTIONS(1585),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20320),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18500),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1587),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1575),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1577),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1579),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1581),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1583),
    [sym_let_and_operator] = ACTIONS(1581),
    [sym_match_operator] = ACTIONS(1585),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18647),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19002),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1593),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1597),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1599),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1601),
    [sym_let_and_operator] = ACTIONS(1599),
    [sym_match_operator] = ACTIONS(1603),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15795),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19314),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1611),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1613),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1615),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1617),
    [sym_let_and_operator] = ACTIONS(1615),
    [sym_match_operator] = ACTIONS(1619),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20452),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19314),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1611),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1613),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1615),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1617),
    [sym_let_and_operator] = ACTIONS(1615),
    [sym_match_operator] = ACTIONS(1619),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20547),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18580),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1623),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1629),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1631),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1633),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1635),
    [sym_let_and_operator] = ACTIONS(1633),
    [sym_match_operator] = ACTIONS(1637),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15816),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20166),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1643),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1647),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1649),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1651),
    [sym_let_and_operator] = ACTIONS(1649),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20658),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20166),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1655),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1643),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1645),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1647),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1649),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1651),
    [sym_let_and_operator] = ACTIONS(1649),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15842),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21260),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1663),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1665),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1667),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1669),
    [sym_let_and_operator] = ACTIONS(1667),
    [sym_match_operator] = ACTIONS(1671),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20897),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21260),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1661),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1663),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1665),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1667),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1669),
    [sym_let_and_operator] = ACTIONS(1667),
    [sym_match_operator] = ACTIONS(1671),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12417),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10931),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__attribute] = STATE(1812),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_to] = ACTIONS(379),
    [anon_sym_downto] = ACTIONS(379),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15869),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18708),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1729),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1731),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1735),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1737),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1739),
    [sym_let_and_operator] = ACTIONS(1737),
    [sym_match_operator] = ACTIONS(1741),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21216),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18708),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1743),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1729),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1731),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1735),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1737),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1739),
    [sym_let_and_operator] = ACTIONS(1737),
    [sym_match_operator] = ACTIONS(1741),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15301),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20374),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1747),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1749),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1751),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1753),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1755),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1757),
    [sym_let_and_operator] = ACTIONS(1755),
    [sym_match_operator] = ACTIONS(1759),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15906),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18952),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1763),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1769),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1771),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1773),
    [sym_let_and_operator] = ACTIONS(1771),
    [sym_match_operator] = ACTIONS(1775),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21427),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18952),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1763),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1767),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1769),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1771),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1773),
    [sym_let_and_operator] = ACTIONS(1771),
    [sym_match_operator] = ACTIONS(1775),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15392),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19100),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1787),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1789),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1791),
    [sym_let_and_operator] = ACTIONS(1789),
    [sym_match_operator] = ACTIONS(1793),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19267),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19100),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1783),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1787),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1789),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1791),
    [sym_let_and_operator] = ACTIONS(1789),
    [sym_match_operator] = ACTIONS(1793),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15467),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19242),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1797),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1799),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1803),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1805),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1807),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1809),
    [sym_let_and_operator] = ACTIONS(1807),
    [sym_match_operator] = ACTIONS(1811),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20648),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19242),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1813),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1799),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1803),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1805),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1807),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1809),
    [sym_let_and_operator] = ACTIONS(1807),
    [sym_match_operator] = ACTIONS(1811),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15681),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19306),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1819),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1823),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1825),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1827),
    [sym_let_and_operator] = ACTIONS(1825),
    [sym_match_operator] = ACTIONS(1829),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18700),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19306),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1819),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1823),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1825),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1827),
    [sym_let_and_operator] = ACTIONS(1825),
    [sym_match_operator] = ACTIONS(1829),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19453),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20374),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1747),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1749),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1751),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1753),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1755),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1757),
    [sym_let_and_operator] = ACTIONS(1755),
    [sym_match_operator] = ACTIONS(1759),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15226),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19347),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1839),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1843),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1845),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1847),
    [sym_let_and_operator] = ACTIONS(1845),
    [sym_match_operator] = ACTIONS(1849),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18538),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19347),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1837),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1839),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1841),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1843),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1845),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1847),
    [sym_let_and_operator] = ACTIONS(1845),
    [sym_match_operator] = ACTIONS(1849),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15815),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20434),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1857),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1861),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1863),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1865),
    [sym_let_and_operator] = ACTIONS(1863),
    [sym_match_operator] = ACTIONS(1867),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15290),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19403),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1873),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1877),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1879),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1881),
    [sym_let_and_operator] = ACTIONS(1879),
    [sym_match_operator] = ACTIONS(1883),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20314),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19403),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1885),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1873),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1875),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1877),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1879),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1881),
    [sym_let_and_operator] = ACTIONS(1879),
    [sym_match_operator] = ACTIONS(1883),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15352),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19463),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1887),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1891),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1893),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1895),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1897),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1899),
    [sym_let_and_operator] = ACTIONS(1897),
    [sym_match_operator] = ACTIONS(1901),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20920),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19463),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1903),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1891),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1893),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1895),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1897),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1899),
    [sym_let_and_operator] = ACTIONS(1897),
    [sym_match_operator] = ACTIONS(1901),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15357),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20527),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1909),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1913),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1915),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1917),
    [sym_let_and_operator] = ACTIONS(1915),
    [sym_match_operator] = ACTIONS(1919),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15707),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19002),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1593),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1597),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1599),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1601),
    [sym_let_and_operator] = ACTIONS(1599),
    [sym_match_operator] = ACTIONS(1603),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19087),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19510),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1923),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1401),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1403),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1405),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1409),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1411),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1419),
    [sym_let_and_operator] = ACTIONS(1411),
    [sym_match_operator] = ACTIONS(1421),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19091),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20434),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1857),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1861),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1863),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1865),
    [sym_let_and_operator] = ACTIONS(1863),
    [sym_match_operator] = ACTIONS(1867),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15539),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19551),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1935),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1937),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1939),
    [sym_let_and_operator] = ACTIONS(1937),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20108),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19551),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1935),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1937),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1939),
    [sym_let_and_operator] = ACTIONS(1937),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15592),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19595),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1945),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1953),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1955),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1957),
    [sym_let_and_operator] = ACTIONS(1955),
    [sym_match_operator] = ACTIONS(1959),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15613),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18580),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1627),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1629),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1631),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1633),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1635),
    [sym_let_and_operator] = ACTIONS(1633),
    [sym_match_operator] = ACTIONS(1637),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15627),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19648),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1963),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1967),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1971),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1973),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1975),
    [sym_let_and_operator] = ACTIONS(1973),
    [sym_match_operator] = ACTIONS(1977),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19836),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19648),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1967),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1971),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1973),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1975),
    [sym_let_and_operator] = ACTIONS(1973),
    [sym_match_operator] = ACTIONS(1977),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15660),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19703),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1989),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1991),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1993),
    [sym_let_and_operator] = ACTIONS(1991),
    [sym_match_operator] = ACTIONS(1995),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20722),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19703),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1989),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1991),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1993),
    [sym_let_and_operator] = ACTIONS(1991),
    [sym_match_operator] = ACTIONS(1995),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15685),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19768),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(1999),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2003),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2007),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2009),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2011),
    [sym_let_and_operator] = ACTIONS(2009),
    [sym_match_operator] = ACTIONS(2013),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18566),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19768),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2003),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2007),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2009),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2011),
    [sym_let_and_operator] = ACTIONS(2009),
    [sym_match_operator] = ACTIONS(2013),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20274),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20527),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1907),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1909),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1911),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1913),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1915),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1917),
    [sym_let_and_operator] = ACTIONS(1915),
    [sym_match_operator] = ACTIONS(1919),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15728),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19806),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2019),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2023),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2027),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2029),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2031),
    [sym_let_and_operator] = ACTIONS(2029),
    [sym_match_operator] = ACTIONS(2033),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18861),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19806),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2035),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2023),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2027),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2029),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2031),
    [sym_let_and_operator] = ACTIONS(2029),
    [sym_match_operator] = ACTIONS(2033),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15416),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20998),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2045),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2047),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2049),
    [sym_let_and_operator] = ACTIONS(2047),
    [sym_match_operator] = ACTIONS(2051),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19009),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20998),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2043),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2045),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2047),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2049),
    [sym_let_and_operator] = ACTIONS(2047),
    [sym_match_operator] = ACTIONS(2051),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15672),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2059),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2063),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2067),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2069),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20499),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2071),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2059),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2063),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2067),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2069),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15336),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19811),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2081),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2083),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2085),
    [sym_let_and_operator] = ACTIONS(2083),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21347),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19811),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2075),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2081),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2083),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2085),
    [sym_let_and_operator] = ACTIONS(2083),
    [sym_match_operator] = ACTIONS(2087),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15287),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19176),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2091),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2095),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2099),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2101),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2103),
    [sym_let_and_operator] = ACTIONS(2101),
    [sym_match_operator] = ACTIONS(2105),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18980),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19176),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2095),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2097),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2099),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2101),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2103),
    [sym_let_and_operator] = ACTIONS(2101),
    [sym_match_operator] = ACTIONS(2105),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15486),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20392),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2113),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2115),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2117),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2119),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2121),
    [sym_let_and_operator] = ACTIONS(2119),
    [sym_match_operator] = ACTIONS(2123),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18479),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(20392),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2111),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2113),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2115),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2117),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2119),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2121),
    [sym_let_and_operator] = ACTIONS(2119),
    [sym_match_operator] = ACTIONS(2123),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15474),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21332),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2127),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2135),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2137),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2139),
    [sym_let_and_operator] = ACTIONS(2137),
    [sym_match_operator] = ACTIONS(2141),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19940),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21332),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2143),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2131),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2135),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2137),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2139),
    [sym_let_and_operator] = ACTIONS(2137),
    [sym_match_operator] = ACTIONS(2141),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15672),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18557),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2059),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2149),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2151),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2153),
    [sym_let_and_operator] = ACTIONS(2151),
    [sym_match_operator] = ACTIONS(2155),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20499),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18557),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2071),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2147),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2059),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2149),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2151),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2153),
    [sym_let_and_operator] = ACTIONS(2151),
    [sym_match_operator] = ACTIONS(2155),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15667),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19013),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2163),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2165),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2167),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2169),
    [sym_let_and_operator] = ACTIONS(2167),
    [sym_match_operator] = ACTIONS(2171),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19708),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19013),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2159),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2161),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2163),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2165),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2167),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2169),
    [sym_let_and_operator] = ACTIONS(2167),
    [sym_match_operator] = ACTIONS(2171),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15799),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21209),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2175),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2183),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2185),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2187),
    [sym_let_and_operator] = ACTIONS(2185),
    [sym_match_operator] = ACTIONS(2189),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20786),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21209),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2191),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2179),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2181),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2183),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2185),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2187),
    [sym_let_and_operator] = ACTIONS(2185),
    [sym_match_operator] = ACTIONS(2189),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15523),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21328),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2201),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2203),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2205),
    [sym_let_and_operator] = ACTIONS(2203),
    [sym_match_operator] = ACTIONS(2207),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15626),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18943),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2215),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2217),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2219),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2221),
    [sym_let_and_operator] = ACTIONS(2219),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20477),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(18943),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2211),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2215),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2217),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2219),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2221),
    [sym_let_and_operator] = ACTIONS(2219),
    [sym_match_operator] = ACTIONS(2223),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21070),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(21328),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(2195),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(2199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(2201),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(2203),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2205),
    [sym_let_and_operator] = ACTIONS(2203),
    [sym_match_operator] = ACTIONS(2207),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(15298),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19494),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1431),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1433),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1435),
    [sym_let_and_operator] = ACTIONS(1433),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18977),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__infix_operator] = STATE(19595),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(1407),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1953),
    [aux_sym_sign_operator_token1] = ACTIONS(1407),
    [sym_hash_operator] = ACTIONS(1955),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(1957),
    [sym_let_and_operator] = ACTIONS(1955),
    [sym_match_operator] = ACTIONS(1959),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12844),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10931),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__attribute] = STATE(1660),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12830),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__attribute] = STATE(1632),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12828),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__attribute] = STATE(1625),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_with] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9263),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__attribute] = STATE(1754),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12823),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__attribute] = STATE(1617),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12818),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__attribute] = STATE(1610),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12575),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__attribute] = STATE(1531),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_PIPE_RBRACK] = ACTIONS(375),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9256),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__attribute] = STATE(1760),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_SEMI_SEMI] = ACTIONS(375),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(379),
    [anon_sym_type] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_exception] = ACTIONS(379),
    [anon_sym_module] = ACTIONS(379),
    [anon_sym_open] = ACTIONS(379),
    [anon_sym_include] = ACTIONS(379),
    [anon_sym_class] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(375),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12881),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10931),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__attribute] = STATE(1502),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_to] = ACTIONS(379),
    [anon_sym_downto] = ACTIONS(379),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13139),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__attribute] = STATE(1545),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12966),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__attribute] = STATE(1560),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12930),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__attribute] = STATE(1538),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(12929),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__attribute] = STATE(1773),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13288),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1774),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_with] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13262),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__attribute] = STATE(1553),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_with] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_else] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13055),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1772),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12988),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__attribute] = STATE(1771),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(375),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13053),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8577),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1775),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12965),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10931),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__attribute] = STATE(1667),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_PIPE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13358),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1753),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_with] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13346),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1751),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13498),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1755),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13417),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__attribute] = STATE(1752),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(415),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(111),
    [sym_pow_operator] = ACTIONS(379),
    [sym_mult_operator] = ACTIONS(379),
    [aux_sym_add_operator_token1] = ACTIONS(379),
    [sym_concat_operator] = ACTIONS(375),
    [sym_rel_operator] = ACTIONS(379),
    [sym_and_operator] = ACTIONS(379),
    [sym_or_operator] = ACTIONS(379),
    [sym_assign_operator] = ACTIONS(375),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10337),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__attribute] = STATE(1787),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_constraint] = ACTIONS(379),
    [anon_sym_val] = ACTIONS(379),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_inherit] = ACTIONS(379),
    [anon_sym_method] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_initializer] = ACTIONS(379),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(379),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1041),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(375),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11880),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__attribute] = STATE(1546),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_COLON_GT] = ACTIONS(375),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(375),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_COLON2] = ACTIONS(379),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12458),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9165),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__attribute] = STATE(1777),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_and] = ACTIONS(379),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(379),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(375),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_let_and_operator] = ACTIONS(375),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19334),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(949),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2945),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18616),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1136),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2947),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21090),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1009),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2949),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18941),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1144),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19271),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1152),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2953),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19609),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1160),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2955),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20048),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1021),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2957),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20006),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1169),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20263),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1177),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2961),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20399),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1185),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2963),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20558),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1193),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2965),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19428),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(980),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20802),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1201),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21031),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1209),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2971),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21353),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1217),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2973),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19264),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1033),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2975),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19378),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1225),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2977),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18705),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1233),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2979),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21253),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1241),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2981),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20436),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1041),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2983),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20568),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1128),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2985),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19439),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1257),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2987),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20671),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1265),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2989),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12955),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7896),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__attribute] = STATE(1759),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_to] = ACTIONS(379),
    [anon_sym_downto] = ACTIONS(379),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18498),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1050),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2991),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21368),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1273),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2993),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18868),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1281),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2995),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18590),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1289),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2997),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20152),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1059),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19379),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1297),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3001),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20294),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1305),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3003),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21400),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1313),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3005),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19251),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1068),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3007),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18772),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1321),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3009),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19428),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(980),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3011),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19142),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1077),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3013),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20756),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1085),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3015),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21370),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1093),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3017),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19293),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1102),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3019),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21040),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(995),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3021),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18792),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1111),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3023),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20953),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(948),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3025),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19657),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1119),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3027),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20248),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1249),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(3029),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19483),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1451),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19895),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1490),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(10773),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10773),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(10870),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10870),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19672),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(928),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(10773),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10773),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(21017),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(943),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(10870),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10870),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(10773),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10773),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13503),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7896),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__attribute] = STATE(1802),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(12986),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_refutation_case] = STATE(12986),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_DOT] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17795),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(922),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(17899),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__attribute] = STATE(925),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13425),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(18676),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__attribute] = STATE(1785),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DASH_GT] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13482),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1622),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_then] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(12983),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_refutation_case] = STATE(12983),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_DOT] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10773),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10773),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(12983),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_refutation_case] = STATE(12983),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(12986),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_refutation_case] = STATE(12986),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(3065),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13350),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__attribute] = STATE(1683),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(379),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8464),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8464),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(10870),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10870),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13440),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1735),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_with] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10870),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10870),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(10870),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10870),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(10870),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10870),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(10773),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10773),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13445),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5535),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__attribute] = STATE(1740),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_end] = ACTIONS(379),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8492),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8492),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18327),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(946),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(18338),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__attribute] = STATE(947),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(10773),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_refutation_case] = STATE(10773),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_DOT] = ACTIONS(3037),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8556),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_refutation_case] = STATE(8556),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(3039),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8523),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_refutation_case] = STATE(8523),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18395),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(978),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(17904),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__attribute] = STATE(979),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17903),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(993),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(18352),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__attribute] = STATE(994),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18331),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1008),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18390),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1020),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17512),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1032),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17863),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1049),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18242),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1076),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18441),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1084),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18076),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1092),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17437),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1101),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17817),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1110),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18322),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1118),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17286),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1135),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17392),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1143),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17480),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1151),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17560),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1159),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17664),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1168),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17770),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1176),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17869),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1184),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17974),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1216),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18077),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1224),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18191),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1248),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18226),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1256),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18277),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1264),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18409),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1272),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18410),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1280),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18333),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1288),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17276),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1296),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17352),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1304),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17408),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1312),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17453),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1328),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18421),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1329),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18188),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1040),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1333),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20268),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1334),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18451),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1058),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(21404),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1340),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(21408),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1341),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17285),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1067),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19101),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1345),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19133),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1346),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17364),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1192),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18517),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1349),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18524),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1350),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17417),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1200),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19020),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1352),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19025),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1353),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17463),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1208),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19486),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1356),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19496),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1357),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17499),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1232),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19877),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1359),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19891),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1360),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17530),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1240),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20165),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1362),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20168),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1363),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17556),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1320),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20443),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1365),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20450),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1366),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17585),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1335),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20807),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1369),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20816),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1370),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17606),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1336),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(21259),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1375),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(21323),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1376),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18505),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1378),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18506),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1379),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18572),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1383),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18573),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1384),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18628),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1387),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18629),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1388),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18684),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1390),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18685),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1391),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18739),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1394),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18740),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1395),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18794),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1397),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18795),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1398),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18849),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1400),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18850),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1401),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18904),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1403),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18905),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1404),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18959),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1406),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18960),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1407),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19014),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1409),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19015),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1410),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19069),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1412),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19070),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1413),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19113),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1417),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19114),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1418),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19154),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1422),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19155),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1423),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19195),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1425),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19196),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1426),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19236),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1429),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19237),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1430),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19277),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1433),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19278),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1434),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19318),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1437),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19319),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1438),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19359),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1440),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19360),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1441),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19400),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1443),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19401),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1444),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19441),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1446),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19442),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1447),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19482),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1450),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19523),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1453),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19524),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1454),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19563),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1456),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19564),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1457),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19602),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1459),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19603),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1460),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19641),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1462),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19642),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1463),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19680),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1465),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19681),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1466),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19719),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1468),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19720),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1469),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19757),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1472),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19758),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1473),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19795),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1477),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19796),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1478),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19833),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1481),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19834),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1482),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19870),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1485),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19871),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1486),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19894),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__attribute] = STATE(1489),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18438),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__attribute] = STATE(1127),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(1339),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3095),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3099),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3101),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3103),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3105),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3107),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13343),
    [sym__sequence_expression] = STATE(20178),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(3109),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3111),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3113),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3115),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3117),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13343),
    [sym__sequence_expression] = STATE(20423),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(3119),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3123),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3127),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3129),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3131),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3139),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3141),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3145),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3147),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3149),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3151),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3153),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3155),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3157),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3159),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3161),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3163),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3165),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13343),
    [sym__sequence_expression] = STATE(20847),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(3171),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13343),
    [sym__sequence_expression] = STATE(20154),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_done] = ACTIONS(3179),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3183),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3185),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20385),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(10988),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(10897),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(10912),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(10915),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(10894),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(10868),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(11001),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12789),
    [sym__sequence_expression] = STATE(10970),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12537),
    [sym__sequence_expression] = STATE(10988),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12537),
    [sym__sequence_expression] = STATE(10897),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12537),
    [sym__sequence_expression] = STATE(10912),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12537),
    [sym__sequence_expression] = STATE(10915),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12537),
    [sym__sequence_expression] = STATE(10894),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12537),
    [sym__sequence_expression] = STATE(10868),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12537),
    [sym__sequence_expression] = STATE(11001),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12537),
    [sym__sequence_expression] = STATE(10970),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11017),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11017),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11017),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11017),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11017),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11017),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11017),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11017),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10983),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13034),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13034),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13034),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13034),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13034),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13034),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13034),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13034),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym__simple_expression] = STATE(3372),
    [sym_typed_expression] = STATE(3322),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_labeled_argument] = STATE(4400),
    [sym_prefix_expression] = STATE(3322),
    [sym_hash_expression] = STATE(3322),
    [sym_field_get_expression] = STATE(3322),
    [sym_array_get_expression] = STATE(3322),
    [sym_string_get_expression] = STATE(3322),
    [sym_bigarray_get_expression] = STATE(3322),
    [sym_coercion_expression] = STATE(3322),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [aux_sym_class_application_repeat1] = STATE(2448),
    [sym__lowercase_identifier] = ACTIONS(3189),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_QMARK] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_DOT] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_in] = ACTIONS(3193),
    [anon_sym_POUND] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3201),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8782),
    [sym__sequence_expression] = STATE(10906),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym__simple_expression] = STATE(3371),
    [sym_typed_expression] = STATE(3293),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_labeled_argument] = STATE(4252),
    [sym_prefix_expression] = STATE(3293),
    [sym_hash_expression] = STATE(3293),
    [sym_field_get_expression] = STATE(3293),
    [sym_array_get_expression] = STATE(3293),
    [sym_string_get_expression] = STATE(3293),
    [sym_bigarray_get_expression] = STATE(3293),
    [sym_coercion_expression] = STATE(3293),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [aux_sym_class_application_repeat1] = STATE(2444),
    [sym__lowercase_identifier] = ACTIONS(3203),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_QMARK] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_DOT] = ACTIONS(3207),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3193),
    [anon_sym_POUND] = ACTIONS(3209),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(411),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(413),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3211),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(17808),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(13292),
    [sym__sequence_expression] = STATE(18231),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19672),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(13292),
    [sym__sequence_expression] = STATE(17535),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12457),
    [sym__sequence_expression] = STATE(14959),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13524),
    [sym__sequence_expression] = STATE(17808),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(18872),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12457),
    [sym__sequence_expression] = STATE(14810),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12457),
    [sym__sequence_expression] = STATE(14828),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12457),
    [sym__sequence_expression] = STATE(14698),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12457),
    [sym__sequence_expression] = STATE(14771),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12457),
    [sym__sequence_expression] = STATE(14864),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12457),
    [sym__sequence_expression] = STATE(14890),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12457),
    [sym__sequence_expression] = STATE(14822),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18487),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12976),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18518),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18519),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13251),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13036),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13100),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10121),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(10988),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(10897),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(10912),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(10915),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(10894),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(10868),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(11001),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11844),
    [sym__sequence_expression] = STATE(10970),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13099),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13099),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13099),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13099),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13099),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13099),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13099),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13099),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12850),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8782),
    [sym__sequence_expression] = STATE(10945),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8782),
    [sym__sequence_expression] = STATE(10957),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13913),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13695),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8875),
    [sym__sequence_expression] = STATE(10906),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8875),
    [sym__sequence_expression] = STATE(10945),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8875),
    [sym__sequence_expression] = STATE(10957),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8875),
    [sym__sequence_expression] = STATE(10766),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8875),
    [sym__sequence_expression] = STATE(10872),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8875),
    [sym__sequence_expression] = STATE(10954),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8875),
    [sym__sequence_expression] = STATE(10968),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8875),
    [sym__sequence_expression] = STATE(10891),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(13292),
    [sym__sequence_expression] = STATE(18376),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13166),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13166),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13166),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13166),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13166),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13166),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13166),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13166),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21115),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21160),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8807),
    [sym__sequence_expression] = STATE(10906),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21170),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8782),
    [sym__sequence_expression] = STATE(10766),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8807),
    [sym__sequence_expression] = STATE(10945),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8807),
    [sym__sequence_expression] = STATE(10957),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8807),
    [sym__sequence_expression] = STATE(10766),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8807),
    [sym__sequence_expression] = STATE(10872),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8807),
    [sym__sequence_expression] = STATE(10954),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8807),
    [sym__sequence_expression] = STATE(10968),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8807),
    [sym__sequence_expression] = STATE(10891),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8782),
    [sym__sequence_expression] = STATE(10872),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13210),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13210),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13210),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13210),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13210),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13210),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13210),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13210),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13696),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13770),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13834),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8940),
    [sym__sequence_expression] = STATE(10906),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8940),
    [sym__sequence_expression] = STATE(10945),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8940),
    [sym__sequence_expression] = STATE(10957),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8940),
    [sym__sequence_expression] = STATE(10766),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8940),
    [sym__sequence_expression] = STATE(10872),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8940),
    [sym__sequence_expression] = STATE(10954),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8940),
    [sym__sequence_expression] = STATE(10968),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8940),
    [sym__sequence_expression] = STATE(10891),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13890),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13892),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18472),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8804),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9075),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(17656),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8782),
    [sym__sequence_expression] = STATE(10954),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8782),
    [sym__sequence_expression] = STATE(10968),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13836),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13840),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13849),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13864),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8630),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13865),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13870),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13923),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21001),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(17266),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8782),
    [sym__sequence_expression] = STATE(10891),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8977),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13736),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13882),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13918),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13679),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13705),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13715),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20071),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13721),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10032),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10032),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10032),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10032),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10032),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10032),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10032),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10032),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13743),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13825),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20632),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13809),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8481),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11175),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8809),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(10988),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(10897),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(10912),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(10915),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(10894),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(10868),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(11001),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12648),
    [sym__sequence_expression] = STATE(10970),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11175),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11175),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11175),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(10988),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(10897),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(10912),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(10915),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(10894),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(10868),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(11001),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12474),
    [sym__sequence_expression] = STATE(10970),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(10988),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(10897),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(10912),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(10915),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(10894),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(10868),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(11001),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11905),
    [sym__sequence_expression] = STATE(10970),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11175),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10566),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11175),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11175),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12751),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12871),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11175),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12758),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8608),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13435),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8495),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8569),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8574),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8575),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8576),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8578),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8485),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8486),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9763),
    [sym__sequence_expression] = STATE(8456),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8618),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13435),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13435),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10988),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10897),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10912),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10915),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10894),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10868),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(11001),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11597),
    [sym__sequence_expression] = STATE(10970),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13435),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13435),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13435),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13435),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10436),
    [sym__sequence_expression] = STATE(13726),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13435),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13427),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13427),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13427),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13427),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13427),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(10970),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17377),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13427),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13427),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(17393),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13427),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13328),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18835),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13328),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13328),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13328),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13328),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13328),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13328),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13328),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13400),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13400),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13400),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13400),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13400),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13400),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13400),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18954),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13400),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18330),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(18355),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21348),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19284),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18715),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18761),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18787),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18662),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18669),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18678),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19799),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(18110),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20207),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(18182),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20276),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20311),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13280),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12582),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9139),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18139),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(18144),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20157),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20462),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20483),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20492),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20882),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20937),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20940),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21057),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(18388),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21109),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(18400),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21239),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21256),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17304),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(17313),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20806),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20946),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21099),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21245),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18807),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18826),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18831),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19065),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(17825),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19493),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13297),
    [sym__sequence_expression] = STATE(17961),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19915),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20059),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17248),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19543),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18664),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18812),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18934),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20549),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20563),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20609),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20866),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21072),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18480),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18491),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17559),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20675),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18475),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18476),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18477),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18653),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18659),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18660),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18716),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18762),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18775),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18783),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17935),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19481),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19685),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19687),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19699),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19826),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19827),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19830),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18287),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20615),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20769),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20773),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20777),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20908),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20911),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20912),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17438),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20084),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20251),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20313),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20335),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21136),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21186),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21187),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18301),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20772),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21045),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21050),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21058),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21393),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21397),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21407),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17511),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20089),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20456),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20458),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20489),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20961),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21049),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21068),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18000),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19910),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(13292),
    [sym__sequence_expression] = STATE(18210),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20133),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20134),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20213),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20215),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20218),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18347),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20853),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20905),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20909),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20910),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20976),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20980),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20984),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18467),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20839),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19324),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19374),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19437),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19575),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19578),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19614),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17325),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20099),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20232),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20244),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20252),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20435),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20439),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20446),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17405),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18892),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18997),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18998),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19000),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19064),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19073),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19105),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17488),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19807),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19929),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19934),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19938),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20018),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20019),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20020),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9074),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17580),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20811),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21056),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21059),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21061),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21131),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21184),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21190),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17683),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18682),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18720),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18721),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18722),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18745),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18747),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18750),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17788),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19007),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19045),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19046),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19047),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19068),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19072),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19074),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17890),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19346),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19381),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19382),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19387),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19411),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19412),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19417),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17994),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19684),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19722),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19723),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19724),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19751),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19754),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19755),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10315),
    [sym__sequence_expression] = STATE(8282),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18148),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20155),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20176),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20177),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20180),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20199),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20200),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20201),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18200),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20297),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20316),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20317),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20318),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20330),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20331),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20332),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18238),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20427),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20444),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20448),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20449),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20465),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20468),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20469),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18290),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20612),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20646),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20647),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20649),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20678),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20679),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20681),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18348),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20861),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20892),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20893),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20895),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20922),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20923),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20925),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18391),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21087),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21113),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21114),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21116),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21233),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21234),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21235),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18446),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21396),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21421),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21423),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21425),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21440),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21441),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21444),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18162),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20614),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20792),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20823),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21165),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20254),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20651),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20693),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18161),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20293),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20627),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20630),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20631),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20819),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20830),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20831),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17315),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20305),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18567),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18589),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18644),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18945),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18975),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19021),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17579),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(21261),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18511),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18512),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18521),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18622),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18634),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18635),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18150),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20175),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20295),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20307),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20312),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(13292),
    [sym__sequence_expression] = STATE(18227),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20387),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20390),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18340),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20838),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20894),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20898),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20901),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21021),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21026),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(21033),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18419),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19464),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18758),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18789),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18829),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19753),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19779),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19850),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18463),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19617),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20066),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20093),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20096),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20402),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20410),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17298),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18825),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18951),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18953),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18967),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19052),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19086),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19123),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17395),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(19623),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19805),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19809),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19812),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19939),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19947),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(19956),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17467),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(20484),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20690),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20695),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20709),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20832),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20834),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20836),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17557),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18513),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18559),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18560),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18561),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18597),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18602),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18606),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18422),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13308),
    [sym__sequence_expression] = STATE(18818),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18855),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18856),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18857),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18883),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18885),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(18886),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(17630),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18428),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10315),
    [sym__sequence_expression] = STATE(8290),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10315),
    [sym__sequence_expression] = STATE(8291),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20257),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20359),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20376),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18186),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13399),
    [sym__sequence_expression] = STATE(18187),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10315),
    [sym__sequence_expression] = STATE(8292),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10315),
    [sym__sequence_expression] = STATE(8305),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(21404),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20167),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20072),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10315),
    [sym__sequence_expression] = STATE(8125),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10315),
    [sym__sequence_expression] = STATE(8325),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19101),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19396),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19420),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10315),
    [sym__sequence_expression] = STATE(8366),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8520),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18517),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18579),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18588),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19020),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19056),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19059),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19486),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19529),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19534),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19877),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19930),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19937),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20165),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20195),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20197),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20443),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20485),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20491),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20807),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20851),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(20860),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(21259),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(21363),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(21365),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18505),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18515),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18516),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18572),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18581),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18582),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8643),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18628),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18637),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18638),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18684),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18693),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18694),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8564),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18739),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18748),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18749),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18794),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18803),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18804),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18849),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18858),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18859),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18904),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18913),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18914),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18959),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18968),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(18969),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19014),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19023),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19024),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19069),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19078),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19079),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8472),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8478),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19113),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19121),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19122),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8484),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8469),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19154),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19162),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19163),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19195),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19203),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19204),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8457),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19236),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19244),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19245),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8458),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19277),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19285),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19286),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(9069),
    [sym__sequence_expression] = STATE(8489),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19318),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19326),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19327),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19359),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19367),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19368),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19400),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19408),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19409),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19441),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19449),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19450),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(10988),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19482),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19490),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19491),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19523),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19531),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19532),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19563),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19571),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19572),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19602),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19610),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19611),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19641),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19649),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19650),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19680),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19688),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19689),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19719),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19727),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19728),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(10897),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19757),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19765),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19766),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(10912),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(10915),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19795),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19803),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19804),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(10894),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19833),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19841),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19842),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(10868),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19870),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19874),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19875),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13027),
    [sym__sequence_expression] = STATE(11001),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(11037),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19894),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19898),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13341),
    [sym__sequence_expression] = STATE(19899),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(13292),
    [sym__sequence_expression] = STATE(18165),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(13292),
    [sym__sequence_expression] = STATE(18175),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(13292),
    [sym__sequence_expression] = STATE(18204),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7739),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11981),
    [sym__sequence_expression] = STATE(20117),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5543),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3213),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12964),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3215),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12978),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3219),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3221),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3223),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3225),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12583),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10785),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13047),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13050),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3229),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3231),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3233),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3235),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12445),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym__simple_expression] = STATE(3557),
    [sym_typed_expression] = STATE(3549),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_labeled_argument] = STATE(4694),
    [sym_prefix_expression] = STATE(3549),
    [sym_hash_expression] = STATE(3549),
    [sym_field_get_expression] = STATE(3549),
    [sym_array_get_expression] = STATE(3549),
    [sym_string_get_expression] = STATE(3549),
    [sym_bigarray_get_expression] = STATE(3549),
    [sym_coercion_expression] = STATE(3549),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [aux_sym_class_application_repeat1] = STATE(2457),
    [sym__lowercase_identifier] = ACTIONS(3239),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_QMARK] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_DOT] = ACTIONS(3243),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_POUND] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(689),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3247),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13011),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3249),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13014),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3251),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3253),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3255),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3259),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(10791),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13128),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3261),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13137),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3263),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3265),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3269),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3271),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8837),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13263),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3273),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13290),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3275),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3277),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3279),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3281),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3283),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12576),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12940),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3285),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12942),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3287),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3289),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3295),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12975),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13000),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3297),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13005),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3301),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3305),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3307),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13149),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11778),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13077),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13080),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3311),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3313),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3315),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3317),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13269),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13136),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3321),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13156),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3323),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3325),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3327),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3329),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3331),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12979),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13198),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3333),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13200),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3335),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3337),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3339),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3341),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3343),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8742),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13236),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3345),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13237),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3347),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3349),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3351),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3353),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3355),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(11791),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10785),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13258),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3357),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13271),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3359),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3361),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3363),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3365),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3367),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10580),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13088),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3369),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12893),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3371),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3373),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3375),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3377),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3379),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8633),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7738),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13018),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3381),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13071),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3383),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3385),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3387),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3389),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3391),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8978),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3393),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13178),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3395),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13220),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3397),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3399),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3401),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3403),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3405),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10106),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12918),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3407),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12993),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3409),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3411),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3413),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3415),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3417),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12819),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13013),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3419),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13021),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3421),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3423),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3425),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3427),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3429),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12826),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13260),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3431),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13294),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3433),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3435),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3437),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13533),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3439),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3441),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12829),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13078),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3443),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13091),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3445),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3447),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3449),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3451),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3453),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12831),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13148),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3455),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13150),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3457),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3459),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3461),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3463),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3465),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8555),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7738),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13217),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3467),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13221),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3469),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3471),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3473),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3475),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3477),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8785),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12892),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3479),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12926),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3481),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3483),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3485),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3487),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3489),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9821),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12969),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3491),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12974),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3493),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3495),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3497),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3499),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3501),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12846),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10785),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12911),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3503),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12925),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3505),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3507),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3509),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3511),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3513),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13032),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10785),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13207),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3515),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13211),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3517),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3519),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3521),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3523),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3525),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12302),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12953),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3527),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12954),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3529),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3531),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3533),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3535),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8671),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13040),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3537),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13049),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3539),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13391),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3541),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3543),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3545),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3547),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11482),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10785),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13138),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3549),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13155),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3551),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3553),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3555),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3557),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3559),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8573),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7738),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13248),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3561),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13254),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3563),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3565),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3567),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3569),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3571),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8581),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12910),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12913),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3575),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3577),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3579),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3581),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3583),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12962),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3585),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12967),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3587),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3589),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3591),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3593),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3595),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13003),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3597),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13007),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3599),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3601),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3603),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3605),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3607),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13089),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3609),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13093),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3611),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3613),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3615),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3617),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3619),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13108),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3621),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13112),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3623),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3625),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3627),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3629),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3631),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13120),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3633),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13125),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3635),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13415),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3637),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3639),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3641),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3643),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13504),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3645),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13025),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3647),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13029),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3649),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3651),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3653),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9082),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3655),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3657),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3659),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11298),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13355),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13459),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13505),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9237),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13339),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9099),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10500),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8664),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7738),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12971),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7738),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9251),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12981),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3661),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12959),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3663),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3665),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13266),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3667),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13115),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3669),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3671),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3673),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3675),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3677),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3679),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13082),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13060),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13143),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(12996),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13084),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9982),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12531),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(9162),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym__simple_expression] = STATE(3815),
    [sym_typed_expression] = STATE(3776),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_labeled_argument] = STATE(4677),
    [sym_prefix_expression] = STATE(3776),
    [sym_hash_expression] = STATE(3776),
    [sym_field_get_expression] = STATE(3776),
    [sym_array_get_expression] = STATE(3776),
    [sym_string_get_expression] = STATE(3776),
    [sym_bigarray_get_expression] = STATE(3776),
    [sym_coercion_expression] = STATE(3776),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [aux_sym_class_application_repeat1] = STATE(2452),
    [sym__lowercase_identifier] = ACTIONS(3681),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_DOT] = ACTIONS(3685),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_in] = ACTIONS(3193),
    [anon_sym_POUND] = ACTIONS(3687),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(531),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3689),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13249),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3691),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13287),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3693),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3695),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3697),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3699),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3701),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13557),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(18613),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(11049),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym__sequence_expression_anonymous] = STATE(8476),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10364),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13215),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3703),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13218),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3705),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym__simple_expression] = STATE(3693),
    [sym_typed_expression] = STATE(3687),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_labeled_argument] = STATE(4421),
    [sym_prefix_expression] = STATE(3687),
    [sym_hash_expression] = STATE(3687),
    [sym_field_get_expression] = STATE(3687),
    [sym_array_get_expression] = STATE(3687),
    [sym_string_get_expression] = STATE(3687),
    [sym_bigarray_get_expression] = STATE(3687),
    [sym_coercion_expression] = STATE(3687),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [aux_sym_class_application_repeat1] = STATE(2458),
    [sym__lowercase_identifier] = ACTIONS(3707),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3709),
    [anon_sym_QMARK] = ACTIONS(3709),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_DOT] = ACTIONS(3711),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(3193),
    [anon_sym_POUND] = ACTIONS(3713),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(583),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3715),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3717),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3719),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3721),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3723),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8773),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7738),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8963),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym__simple_expression] = STATE(3515),
    [sym_typed_expression] = STATE(3509),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_labeled_argument] = STATE(4529),
    [sym_prefix_expression] = STATE(3509),
    [sym_hash_expression] = STATE(3509),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_coercion_expression] = STATE(3509),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [aux_sym_class_application_repeat1] = STATE(2456),
    [sym__lowercase_identifier] = ACTIONS(3725),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3727),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(3729),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_POUND] = ACTIONS(3731),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(635),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3733),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13067),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3735),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13104),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3737),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3739),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3741),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13322),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(7738),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3743),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3745),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8687),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(7738),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13094),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3747),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13096),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3751),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3753),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8819),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym__sequence_expression_anonymous] = STATE(5574),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3755),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12422),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym__sequence_expression_anonymous] = STATE(10785),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11004),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9806),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9809),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9810),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9811),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9855),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9871),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9875),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9699),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9719),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9733),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9736),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13486),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13487),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9990),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9991),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13488),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13489),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12676),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11161),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9807),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13490),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9992),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9993),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11162),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8603),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11163),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8589),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(8736),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8590),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8591),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8592),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8593),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8594),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8595),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8596),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8597),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8598),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8599),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8601),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13491),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13492),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11164),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11165),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13493),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9994),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12673),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(18956),
    [sym__simple_expression] = STATE(1510),
    [sym__expression] = STATE(8639),
    [sym_typed_expression] = STATE(3549),
    [sym_labeled_tuple_element] = STATE(18680),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3549),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3549),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3400),
    [sym_array_get_expression] = STATE(3400),
    [sym_string_get_expression] = STATE(3400),
    [sym_bigarray_get_expression] = STATE(3400),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3549),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym_sign_operator] = STATE(1838),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__instance_variable_name] = STATE(18681),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [sym__lowercase_identifier] = ACTIONS(653),
    [anon_sym_let] = ACTIONS(655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_fun] = ACTIONS(667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(671),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(673),
    [anon_sym_function] = ACTIONS(675),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3073),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(699),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12720),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(12915),
    [sym__tuple_expression] = STATE(10914),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12723),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12725),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13402),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12861),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12726),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12728),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12729),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12730),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12731),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12732),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12733),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12734),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(20899),
    [sym__simple_expression] = STATE(2526),
    [sym__expression] = STATE(12798),
    [sym_typed_expression] = STATE(6413),
    [sym_labeled_tuple_element] = STATE(20162),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6413),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6413),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6295),
    [sym_array_get_expression] = STATE(6295),
    [sym_string_get_expression] = STATE(6295),
    [sym_bigarray_get_expression] = STATE(6295),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6413),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym_sign_operator] = STATE(1858),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__instance_variable_name] = STATE(20182),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [sym__lowercase_identifier] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2235),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_fun] = ACTIONS(2247),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2251),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2255),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2279),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11166),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11167),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9995),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9996),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11168),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9997),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9999),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12494),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10000),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10003),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12431),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12393),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(12572),
    [sym__tuple_expression] = STATE(10914),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12394),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13454),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12395),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12396),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12397),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12398),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12403),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12404),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12407),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12409),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12415),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(19022),
    [sym__simple_expression] = STATE(2519),
    [sym__expression] = STATE(12421),
    [sym_typed_expression] = STATE(6311),
    [sym_labeled_tuple_element] = STATE(21387),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6311),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6311),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5975),
    [sym_array_get_expression] = STATE(5975),
    [sym_string_get_expression] = STATE(5975),
    [sym_bigarray_get_expression] = STATE(5975),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6311),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym_sign_operator] = STATE(1884),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [sym__lowercase_identifier] = ACTIONS(1675),
    [anon_sym_let] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_fun] = ACTIONS(1689),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1693),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1695),
    [anon_sym_function] = ACTIONS(1697),
    [anon_sym_try] = ACTIONS(1699),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1721),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8867),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8868),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13301),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8869),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11795),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8870),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(10034),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11816),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12338),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(12487),
    [sym__tuple_expression] = STATE(10914),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12340),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12341),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13345),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(13565),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12350),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12351),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13390),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12354),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12355),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13408),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12365),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12379),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(12380),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13296),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13356),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11765),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(19967),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11767),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(19533),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5840),
    [sym_array_get_expression] = STATE(5840),
    [sym_string_get_expression] = STATE(5840),
    [sym_bigarray_get_expression] = STATE(5840),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(1905),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(19598),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1345),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13371),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13392),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8871),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13394),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8873),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11143),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13398),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13409),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10738),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8880),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13413),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8512),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10641),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10586),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(10924),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10592),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10595),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10602),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10605),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10606),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10610),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10612),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10620),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10622),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10624),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12782),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(20621),
    [sym__simple_expression] = STATE(2476),
    [sym__expression] = STATE(10634),
    [sym_typed_expression] = STATE(5438),
    [sym_labeled_tuple_element] = STATE(18908),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5438),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5438),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5186),
    [sym_array_get_expression] = STATE(5186),
    [sym_string_get_expression] = STATE(5186),
    [sym_bigarray_get_expression] = STATE(5186),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5438),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym_sign_operator] = STATE(1935),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__instance_variable_name] = STATE(18911),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [sym__lowercase_identifier] = ACTIONS(1071),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_fun] = ACTIONS(1085),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1091),
    [anon_sym_function] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1117),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8498),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(8631),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8499),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8500),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(19194),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13437),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(19513),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7386),
    [sym_array_get_expression] = STATE(7386),
    [sym_string_get_expression] = STATE(7386),
    [sym_bigarray_get_expression] = STATE(7386),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(1900),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(19928),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2937),
    [anon_sym_function] = ACTIONS(2939),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2943),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8501),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8502),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12743),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8503),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8504),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8505),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12593),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12604),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(12960),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12605),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12606),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12607),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12608),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12609),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12610),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13344),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12611),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12612),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12613),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12614),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12615),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11243),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8506),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13439),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(13587),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8507),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8508),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13474),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(18623),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12551),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(21146),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6215),
    [sym_array_get_expression] = STATE(6215),
    [sym_string_get_expression] = STATE(6215),
    [sym_bigarray_get_expression] = STATE(6215),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(1959),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(21150),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2407),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2409),
    [anon_sym_function] = ACTIONS(2411),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2435),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13477),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13479),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8861),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(9129),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8510),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13495),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12627),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13496),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13502),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12633),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(13235),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13515),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13517),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12635),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12636),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13522),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12637),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12638),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13523),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12639),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12640),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12641),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12642),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12643),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12644),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8862),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8863),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8890),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(18522),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(12597),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(21358),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6216),
    [sym_array_get_expression] = STATE(6216),
    [sym_string_get_expression] = STATE(6216),
    [sym_bigarray_get_expression] = STATE(6216),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(1985),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(21392),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2351),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2355),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2357),
    [anon_sym_function] = ACTIONS(2359),
    [anon_sym_try] = ACTIONS(2361),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2383),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(21338),
    [sym__simple_expression] = STATE(584),
    [sym__expression] = STATE(8473),
    [sym_typed_expression] = STATE(3322),
    [sym_labeled_tuple_element] = STATE(21267),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3322),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3322),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3118),
    [sym_array_get_expression] = STATE(3118),
    [sym_string_get_expression] = STATE(3118),
    [sym_bigarray_get_expression] = STATE(3118),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3322),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym_sign_operator] = STATE(1934),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__instance_variable_name] = STATE(21268),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [sym__lowercase_identifier] = ACTIONS(433),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_fun] = ACTIONS(447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(451),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(453),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3041),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3043),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(479),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8864),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(20494),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13499),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(20854),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7376),
    [sym_array_get_expression] = STATE(7376),
    [sym_string_get_expression] = STATE(7376),
    [sym_bigarray_get_expression] = STATE(7376),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(1967),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(20856),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2895),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2899),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13370),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13442),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(13591),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13446),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13447),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13448),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13449),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13450),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13451),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13452),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13453),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13455),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13456),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12420),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8865),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(21047),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13537),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19366),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7120),
    [sym_array_get_expression] = STATE(7120),
    [sym_string_get_expression] = STATE(7120),
    [sym_bigarray_get_expression] = STATE(7120),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2011),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19369),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2923),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2927),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2929),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9136),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9089),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(9233),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12618),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13389),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13270),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13274),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(13531),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13275),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13276),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13277),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13278),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13279),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(12891),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13281),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13282),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13283),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13284),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12649),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8970),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(20121),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13009),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(21078),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6836),
    [sym_array_get_expression] = STATE(6836),
    [sym_string_get_expression] = STATE(6836),
    [sym_bigarray_get_expression] = STATE(6836),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(2030),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(21082),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(2771),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(2773),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2779),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2783),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12652),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(12961),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9095),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12111),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12179),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(12505),
    [sym__tuple_expression] = STATE(10914),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12181),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12182),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12185),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12186),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12187),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12188),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12189),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12190),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12191),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12192),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(19048),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12194),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(21193),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5823),
    [sym_array_get_expression] = STATE(5823),
    [sym_string_get_expression] = STATE(5823),
    [sym_bigarray_get_expression] = STATE(5823),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2047),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(21194),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1349),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12579),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12653),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12559),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(13002),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12560),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12561),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12562),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12563),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12564),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12565),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12566),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12567),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12568),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12569),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12571),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9096),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11516),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11519),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11536),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(11800),
    [sym__tuple_expression] = STATE(10914),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11537),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11538),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11539),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11540),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11541),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11542),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11543),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11544),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11545),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11546),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym_value_definition] = STATE(19102),
    [sym__simple_expression] = STATE(2502),
    [sym__expression] = STATE(11548),
    [sym_typed_expression] = STATE(5921),
    [sym_labeled_tuple_element] = STATE(21255),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(5921),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(5921),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(5641),
    [sym_array_get_expression] = STATE(5641),
    [sym_string_get_expression] = STATE(5641),
    [sym_bigarray_get_expression] = STATE(5641),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(5921),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym_sign_operator] = STATE(2076),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__instance_variable_name] = STATE(21257),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [sym__lowercase_identifier] = ACTIONS(1279),
    [anon_sym_let] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_fun] = ACTIONS(1293),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1333),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9098),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9103),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(10989),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12771),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(13020),
    [sym__tuple_expression] = STATE(10914),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12654),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12655),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9110),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9111),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(10992),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12656),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11002),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(11423),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12657),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12658),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9113),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9167),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(9253),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11003),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12659),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11005),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11006),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13481),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9138),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9114),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12660),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11007),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12912),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11008),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12936),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(13536),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12938),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12939),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12941),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12944),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12945),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12946),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12947),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9120),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12948),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12951),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12952),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11009),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11010),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11011),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(11012),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12661),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9122),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12762),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12773),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym_value_definition] = STATE(19519),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(12970),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(19399),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6416),
    [sym_array_get_expression] = STATE(6416),
    [sym_string_get_expression] = STATE(6416),
    [sym_bigarray_get_expression] = STATE(6416),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2113),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(19414),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2733),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2739),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2743),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2765),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13028),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12774),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13008),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(13336),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13012),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13015),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13016),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13019),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13035),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13041),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13042),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13044),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13048),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13051),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12775),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12795),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(21231),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(10878),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21182),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5331),
    [sym_array_get_expression] = STATE(5331),
    [sym_string_get_expression] = STATE(5331),
    [sym_bigarray_get_expression] = STATE(5331),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2091),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21183),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(1137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1169),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12662),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(11041),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(18585),
    [sym__simple_expression] = STATE(2539),
    [sym__expression] = STATE(13063),
    [sym_typed_expression] = STATE(7345),
    [sym_labeled_tuple_element] = STATE(18547),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7345),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7345),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6417),
    [sym_array_get_expression] = STATE(6417),
    [sym_string_get_expression] = STATE(6417),
    [sym_bigarray_get_expression] = STATE(6417),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7345),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym_sign_operator] = STATE(2136),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__instance_variable_name] = STATE(18548),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [sym__lowercase_identifier] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_fun] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2619),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2623),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2647),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12776),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13046),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10922),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(11226),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13158),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(13422),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13167),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13168),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13169),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13170),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13171),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13174),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13176),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13179),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13182),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13183),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10930),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10982),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(11046),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12663),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10877),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10892),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(19241),
    [sym__simple_expression] = STATE(2536),
    [sym__expression] = STATE(13205),
    [sym_typed_expression] = STATE(7114),
    [sym_labeled_tuple_element] = STATE(19198),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7114),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7114),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6418),
    [sym_array_get_expression] = STATE(6418),
    [sym_string_get_expression] = STATE(6418),
    [sym_bigarray_get_expression] = STATE(6418),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7114),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym_sign_operator] = STATE(2156),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__instance_variable_name] = STATE(19199),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [sym__lowercase_identifier] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_fun] = ACTIONS(2667),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2699),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10898),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(12934),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10923),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13253),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(13516),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9792),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(9983),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13261),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13267),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13213),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13255),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(12895),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(12950),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(12973),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(12992),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13039),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10881),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10778),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10789),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12442),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12777),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(13098),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym_value_definition] = STATE(20533),
    [sym__simple_expression] = STATE(2446),
    [sym__expression] = STATE(8866),
    [sym_typed_expression] = STATE(4355),
    [sym_labeled_tuple_element] = STATE(20510),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4355),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4355),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3831),
    [sym_array_get_expression] = STATE(3831),
    [sym_string_get_expression] = STATE(3831),
    [sym_bigarray_get_expression] = STATE(3831),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4355),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym_sign_operator] = STATE(1932),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__instance_variable_name] = STATE(20511),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [sym__lowercase_identifier] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(817),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_fun] = ACTIONS(829),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3083),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3085),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(861),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10035),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9930),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(10265),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9932),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(19234),
    [sym__simple_expression] = STATE(2455),
    [sym__expression] = STATE(9142),
    [sym_typed_expression] = STATE(4566),
    [sym_labeled_tuple_element] = STATE(19081),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4566),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4566),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4155),
    [sym_array_get_expression] = STATE(4155),
    [sym_string_get_expression] = STATE(4155),
    [sym_bigarray_get_expression] = STATE(4155),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4566),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym_sign_operator] = STATE(2026),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__instance_variable_name] = STATE(19082),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [sym__lowercase_identifier] = ACTIONS(305),
    [anon_sym_let] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_fun] = ACTIONS(331),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_function] = ACTIONS(339),
    [anon_sym_try] = ACTIONS(341),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3089),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(365),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9933),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9934),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9935),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9936),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9937),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9938),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9939),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9943),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9944),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12405),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(12834),
    [sym__tuple_expression] = STATE(10914),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym_value_definition] = STATE(18995),
    [sym__simple_expression] = STATE(2478),
    [sym__expression] = STATE(10782),
    [sym_typed_expression] = STATE(5570),
    [sym_labeled_tuple_element] = STATE(18668),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(5455),
    [sym_array_get_expression] = STATE(5455),
    [sym_string_get_expression] = STATE(5455),
    [sym_bigarray_get_expression] = STATE(5455),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym_sign_operator] = STATE(2153),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__instance_variable_name] = STATE(18670),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [sym__lowercase_identifier] = ACTIONS(1175),
    [anon_sym_let] = ACTIONS(1177),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_fun] = ACTIONS(1189),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1193),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1195),
    [anon_sym_function] = ACTIONS(1197),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1221),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12547),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13401),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13045),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(21002),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(9946),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4935),
    [sym_array_get_expression] = STATE(4935),
    [sym_string_get_expression] = STATE(4935),
    [sym_bigarray_get_expression] = STATE(4935),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2197),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20981),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1019),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1023),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(1025),
    [anon_sym_function] = ACTIONS(1027),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1051),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12471),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8744),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8723),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(8905),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(19328),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(12629),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(21219),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6217),
    [sym_array_get_expression] = STATE(6217),
    [sym_string_get_expression] = STATE(6217),
    [sym_bigarray_get_expression] = STATE(6217),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2042),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(21352),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2287),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2299),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2303),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2305),
    [anon_sym_function] = ACTIONS(2307),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13056),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(13357),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9083),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10437),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13062),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13065),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13066),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13070),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13072),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12932),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13073),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12903),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(13468),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13031),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13101),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13127),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13227),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13228),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13229),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12914),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12916),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12917),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(12931),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13075),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13076),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13081),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13083),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12472),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12475),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13022),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12476),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12862),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12509),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12712),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(13285),
    [sym__tuple_expression] = STATE(8570),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(3763),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12715),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12717),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12718),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12738),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12739),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12740),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12742),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12744),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12750),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12752),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10335),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(10591),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12515),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12516),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13293),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12518),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(21188),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(12784),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(20538),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6214),
    [sym_array_get_expression] = STATE(6214),
    [sym_string_get_expression] = STATE(6214),
    [sym_bigarray_get_expression] = STATE(6214),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2249),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(20544),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2459),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2463),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9084),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8724),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8725),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13299),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10339),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8726),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8660),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10341),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9085),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10342),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8646),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(8756),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8647),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(21229),
    [sym__simple_expression] = STATE(2473),
    [sym__expression] = STATE(12822),
    [sym_typed_expression] = STATE(5146),
    [sym_labeled_tuple_element] = STATE(21213),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5146),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5146),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6333),
    [sym_array_get_expression] = STATE(6333),
    [sym_string_get_expression] = STATE(6333),
    [sym_bigarray_get_expression] = STATE(6333),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5146),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym_sign_operator] = STATE(2060),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__instance_variable_name] = STATE(21215),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [sym__lowercase_identifier] = ACTIONS(1123),
    [anon_sym_let] = ACTIONS(2493),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_fun] = ACTIONS(2495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2499),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10343),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9086),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8648),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8649),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10345),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym__simple_expression] = STATE(4043),
    [sym_typed_expression] = STATE(3996),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_labeled_argument] = STATE(4772),
    [sym_prefix_expression] = STATE(3996),
    [sym_hash_expression] = STATE(3996),
    [sym_field_get_expression] = STATE(3996),
    [sym_array_get_expression] = STATE(3996),
    [sym_string_get_expression] = STATE(3996),
    [sym_bigarray_get_expression] = STATE(3996),
    [sym_coercion_expression] = STATE(3996),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [aux_sym_class_application_repeat1] = STATE(2461),
    [sym__lowercase_identifier] = ACTIONS(3765),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_QMARK] = ACTIONS(3767),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(3769),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_POUND] = ACTIONS(3771),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(745),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(747),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3773),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10347),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8650),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8651),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9102),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8652),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9088),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8653),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10348),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8654),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8655),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8656),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8659),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13057),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10349),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13103),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(13353),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13105),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13109),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13111),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13114),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13117),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13121),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13122),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10350),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13123),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13140),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13142),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8728),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9105),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13162),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9107),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8729),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8730),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8731),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(20184),
    [sym__simple_expression] = STATE(1797),
    [sym__expression] = STATE(8628),
    [sym_typed_expression] = STATE(3509),
    [sym_labeled_tuple_element] = STATE(19256),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3509),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3509),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3284),
    [sym_array_get_expression] = STATE(3284),
    [sym_string_get_expression] = STATE(3284),
    [sym_bigarray_get_expression] = STATE(3284),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3509),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym_sign_operator] = STATE(2274),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__instance_variable_name] = STATE(19259),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3063),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(18757),
    [sym__simple_expression] = STATE(2527),
    [sym__expression] = STATE(13259),
    [sym_typed_expression] = STATE(6894),
    [sym_labeled_tuple_element] = STATE(18555),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6894),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6894),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6852),
    [sym_array_get_expression] = STATE(6852),
    [sym_string_get_expression] = STATE(6852),
    [sym_bigarray_get_expression] = STATE(6852),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6894),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym_sign_operator] = STATE(2214),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__instance_variable_name] = STATE(18558),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [sym__lowercase_identifier] = ACTIONS(2441),
    [anon_sym_let] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_fun] = ACTIONS(2589),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2591),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2595),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2599),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9116),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8732),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8733),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(20719),
    [sym__simple_expression] = STATE(2506),
    [sym__expression] = STATE(12519),
    [sym_typed_expression] = STATE(6013),
    [sym_labeled_tuple_element] = STATE(20655),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6013),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6013),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6070),
    [sym_array_get_expression] = STATE(6070),
    [sym_string_get_expression] = STATE(6070),
    [sym_bigarray_get_expression] = STATE(6070),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6013),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__instance_variable_name] = STATE(20657),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [sym__lowercase_identifier] = ACTIONS(1347),
    [anon_sym_let] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_fun] = ACTIONS(1513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(1367),
    [anon_sym_function] = ACTIONS(1369),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1393),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9119),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym__simple_expression] = STATE(3984),
    [sym_typed_expression] = STATE(3994),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_labeled_argument] = STATE(4768),
    [sym_prefix_expression] = STATE(3994),
    [sym_hash_expression] = STATE(3994),
    [sym_field_get_expression] = STATE(3994),
    [sym_array_get_expression] = STATE(3994),
    [sym_string_get_expression] = STATE(3994),
    [sym_bigarray_get_expression] = STATE(3994),
    [sym_coercion_expression] = STATE(3994),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [aux_sym_class_application_repeat1] = STATE(2462),
    [sym__lowercase_identifier] = ACTIONS(3775),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3777),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(3779),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_POUND] = ACTIONS(3781),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(799),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3783),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8735),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8541),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13214),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(19873),
    [sym__simple_expression] = STATE(2449),
    [sym__expression] = STATE(9126),
    [sym_typed_expression] = STATE(4748),
    [sym_labeled_tuple_element] = STATE(20532),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4748),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4748),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(4356),
    [sym_array_get_expression] = STATE(4356),
    [sym_string_get_expression] = STATE(4356),
    [sym_bigarray_get_expression] = STATE(4356),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4748),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym_sign_operator] = STATE(2109),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__instance_variable_name] = STATE(18554),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [sym__lowercase_identifier] = ACTIONS(33),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_fun] = ACTIONS(71),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(81),
    [anon_sym_function] = ACTIONS(83),
    [anon_sym_try] = ACTIONS(85),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3045),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3047),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(123),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13110),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(13387),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13113),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13124),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13126),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10351),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13130),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13132),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13133),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13134),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13135),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13154),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13157),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8525),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(8663),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13160),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(19186),
    [sym__simple_expression] = STATE(2472),
    [sym__expression] = STATE(10370),
    [sym_typed_expression] = STATE(5046),
    [sym_labeled_tuple_element] = STATE(20328),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5046),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5046),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5035),
    [sym_array_get_expression] = STATE(5035),
    [sym_string_get_expression] = STATE(5035),
    [sym_bigarray_get_expression] = STATE(5035),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5046),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym_sign_operator] = STATE(2222),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__instance_variable_name] = STATE(20334),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [sym__lowercase_identifier] = ACTIONS(1005),
    [anon_sym_let] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_fun] = ACTIONS(1059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1063),
    [anon_sym_function] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3075),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3077),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1069),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8526),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8527),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8528),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8634),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8662),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(8787),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12778),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8665),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8666),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8529),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8530),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8667),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8668),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8669),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(20442),
    [sym__simple_expression] = STATE(2525),
    [sym__expression] = STATE(13026),
    [sym_typed_expression] = STATE(6428),
    [sym_labeled_tuple_element] = STATE(20323),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6428),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6428),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6428),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym_sign_operator] = STATE(2228),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__instance_variable_name] = STATE(20325),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [sym__lowercase_identifier] = ACTIONS(2389),
    [anon_sym_let] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_fun] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2563),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2567),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2571),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8670),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8673),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8674),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8675),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8676),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8531),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8532),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12779),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8533),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(20405),
    [sym__simple_expression] = STATE(1790),
    [sym__expression] = STATE(8582),
    [sym_typed_expression] = STATE(3687),
    [sym_labeled_tuple_element] = STATE(21379),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3687),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3687),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3393),
    [sym_array_get_expression] = STATE(3393),
    [sym_string_get_expression] = STATE(3393),
    [sym_bigarray_get_expression] = STATE(3393),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3687),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym_sign_operator] = STATE(2351),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__instance_variable_name] = STATE(21382),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [sym__lowercase_identifier] = ACTIONS(547),
    [anon_sym_let] = ACTIONS(549),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_fun] = ACTIONS(561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_if] = ACTIONS(565),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(567),
    [anon_sym_function] = ACTIONS(569),
    [anon_sym_try] = ACTIONS(571),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3033),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3035),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(593),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8534),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8830),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8797),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8713),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(8969),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8796),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8738),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8757),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8765),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8893),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(9134),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8776),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8794),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8799),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8895),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8897),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8806),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8686),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8688),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8898),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8899),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12780),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8900),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8901),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8535),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8902),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8903),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym_value_definition] = STATE(20241),
    [sym__simple_expression] = STATE(2286),
    [sym__expression] = STATE(8700),
    [sym_typed_expression] = STATE(3996),
    [sym_labeled_tuple_element] = STATE(20227),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3996),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3996),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3761),
    [sym_array_get_expression] = STATE(3761),
    [sym_string_get_expression] = STATE(3761),
    [sym_bigarray_get_expression] = STATE(3761),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3996),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym_sign_operator] = STATE(2374),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__instance_variable_name] = STATE(20228),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [sym__lowercase_identifier] = ACTIONS(711),
    [anon_sym_let] = ACTIONS(713),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_fun] = ACTIONS(725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_function] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(757),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8904),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8908),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8537),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13476),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(13595),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym_value_definition] = STATE(18912),
    [sym__simple_expression] = STATE(2523),
    [sym__expression] = STATE(13043),
    [sym_typed_expression] = STATE(6508),
    [sym_labeled_tuple_element] = STATE(18873),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6508),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6508),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6778),
    [sym_array_get_expression] = STATE(6778),
    [sym_string_get_expression] = STATE(6778),
    [sym_bigarray_get_expression] = STATE(6778),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6508),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym_sign_operator] = STATE(2299),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__instance_variable_name] = STATE(18874),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [sym__lowercase_identifier] = ACTIONS(2337),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_fun] = ACTIONS(2707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2715),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2717),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym_value_definition] = STATE(19522),
    [sym__simple_expression] = STATE(2327),
    [sym__expression] = STATE(8737),
    [sym_typed_expression] = STATE(3994),
    [sym_labeled_tuple_element] = STATE(18815),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3994),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3994),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3994),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__instance_variable_name] = STATE(19189),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3053),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3055),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym_value_definition] = STATE(19110),
    [sym__simple_expression] = STATE(2443),
    [sym__expression] = STATE(8922),
    [sym_typed_expression] = STATE(4219),
    [sym_labeled_tuple_element] = STATE(18499),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(4219),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(4219),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3833),
    [sym_array_get_expression] = STATE(3833),
    [sym_string_get_expression] = STATE(3833),
    [sym_bigarray_get_expression] = STATE(3833),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(4219),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym_sign_operator] = STATE(2373),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__instance_variable_name] = STATE(18502),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [sym__lowercase_identifier] = ACTIONS(867),
    [anon_sym_let] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_fun] = ACTIONS(881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3091),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3093),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(913),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13484),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11158),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(11479),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym_value_definition] = STATE(19026),
    [sym__simple_expression] = STATE(2522),
    [sym__expression] = STATE(12781),
    [sym_typed_expression] = STATE(6503),
    [sym_labeled_tuple_element] = STATE(18891),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(6503),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(6503),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6398),
    [sym_array_get_expression] = STATE(6398),
    [sym_string_get_expression] = STATE(6398),
    [sym_bigarray_get_expression] = STATE(6398),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(6503),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym_sign_operator] = STATE(2133),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__instance_variable_name] = STATE(18898),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [sym__lowercase_identifier] = ACTIONS(2507),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_fun] = ACTIONS(2521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2527),
    [anon_sym_function] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2553),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9941),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(20739),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8619),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(13202),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8583),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(8741),
    [sym__tuple_expression] = STATE(8452),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(3757),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8584),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8585),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12894),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(13457),
    [sym__tuple_expression] = STATE(10914),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(3759),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8586),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8587),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8678),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12896),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8588),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8602),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8605),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12897),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12900),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8606),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8607),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12901),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12902),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12904),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12905),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym_value_definition] = STATE(20379),
    [sym__simple_expression] = STATE(1778),
    [sym__expression] = STATE(8612),
    [sym_typed_expression] = STATE(3776),
    [sym_labeled_tuple_element] = STATE(20363),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3776),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3776),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3320),
    [sym_array_get_expression] = STATE(3320),
    [sym_string_get_expression] = STATE(3320),
    [sym_bigarray_get_expression] = STATE(3320),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3776),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym_sign_operator] = STATE(2409),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__instance_variable_name] = STATE(20365),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [sym__lowercase_identifier] = ACTIONS(495),
    [anon_sym_let] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_fun] = ACTIONS(509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(513),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(517),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3049),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3051),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(541),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12906),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12907),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12908),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym_value_definition] = STATE(21334),
    [sym__simple_expression] = STATE(589),
    [sym__expression] = STATE(8511),
    [sym_typed_expression] = STATE(3293),
    [sym_labeled_tuple_element] = STATE(20118),
    [sym__tuple_expression] = STATE(8519),
    [sym_cons_expression] = STATE(8450),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_application_expression] = STATE(8450),
    [sym_prefix_expression] = STATE(3293),
    [sym_sign_expression] = STATE(8450),
    [sym_hash_expression] = STATE(3293),
    [sym_infix_expression] = STATE(8450),
    [sym_field_get_expression] = STATE(3185),
    [sym_array_get_expression] = STATE(3185),
    [sym_string_get_expression] = STATE(3185),
    [sym_bigarray_get_expression] = STATE(3185),
    [sym_set_expression] = STATE(8450),
    [sym_if_expression] = STATE(8450),
    [sym_while_expression] = STATE(8450),
    [sym_for_expression] = STATE(8450),
    [sym_match_expression] = STATE(8450),
    [sym_function_expression] = STATE(8450),
    [sym_fun_expression] = STATE(8450),
    [sym_try_expression] = STATE(8450),
    [sym_let_expression] = STATE(8450),
    [sym_coercion_expression] = STATE(3293),
    [sym_assert_expression] = STATE(8450),
    [sym_lazy_expression] = STATE(8450),
    [sym_let_module_expression] = STATE(8450),
    [sym_let_open_expression] = STATE(8450),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_let_exception_expression] = STATE(8450),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__instance_variable_name] = STATE(20131),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [sym__lowercase_identifier] = ACTIONS(373),
    [anon_sym_let] = ACTIONS(377),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_fun] = ACTIONS(391),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(395),
    [anon_sym_while] = ACTIONS(77),
    [anon_sym_for] = ACTIONS(79),
    [anon_sym_match] = ACTIONS(397),
    [anon_sym_function] = ACTIONS(399),
    [anon_sym_try] = ACTIONS(401),
    [anon_sym_assert] = ACTIONS(87),
    [anon_sym_lazy] = ACTIONS(89),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3067),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3069),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(427),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym_value_definition] = STATE(20431),
    [sym__simple_expression] = STATE(2537),
    [sym__expression] = STATE(13485),
    [sym_typed_expression] = STATE(7333),
    [sym_labeled_tuple_element] = STATE(18903),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(7333),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(7333),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(7055),
    [sym_array_get_expression] = STATE(7055),
    [sym_string_get_expression] = STATE(7055),
    [sym_bigarray_get_expression] = STATE(7055),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(7333),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym_sign_operator] = STATE(2213),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__instance_variable_name] = STATE(18909),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [sym__lowercase_identifier] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_fun] = ACTIONS(2905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_if] = ACTIONS(2907),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2911),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2915),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym_value_definition] = STATE(20770),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9989),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(10272),
    [sym__tuple_expression] = STATE(8284),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(4998),
    [sym_array_get_expression] = STATE(4998),
    [sym_string_get_expression] = STATE(4998),
    [sym_bigarray_get_expression] = STATE(4998),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(20741),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(3761),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(985),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1003),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11159),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym_value_definition] = STATE(20867),
    [sym__simple_expression] = STATE(2475),
    [sym__expression] = STATE(11160),
    [sym_typed_expression] = STATE(5320),
    [sym_labeled_tuple_element] = STATE(19784),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(5320),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(5320),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(5534),
    [sym_array_get_expression] = STATE(5534),
    [sym_string_get_expression] = STATE(5534),
    [sym_bigarray_get_expression] = STATE(5534),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(5320),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym_sign_operator] = STATE(1928),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__instance_variable_name] = STATE(19792),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [sym__lowercase_identifier] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_fun] = ACTIONS(1241),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(1273),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym_value_definition] = STATE(19582),
    [sym__simple_expression] = STATE(2524),
    [sym__expression] = STATE(13095),
    [sym_typed_expression] = STATE(6570),
    [sym_labeled_tuple_element] = STATE(19535),
    [sym__tuple_expression] = STATE(8250),
    [sym_cons_expression] = STATE(8256),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_application_expression] = STATE(8256),
    [sym_prefix_expression] = STATE(6570),
    [sym_sign_expression] = STATE(8256),
    [sym_hash_expression] = STATE(6570),
    [sym_infix_expression] = STATE(8256),
    [sym_field_get_expression] = STATE(6876),
    [sym_array_get_expression] = STATE(6876),
    [sym_string_get_expression] = STATE(6876),
    [sym_bigarray_get_expression] = STATE(6876),
    [sym_set_expression] = STATE(8256),
    [sym_if_expression] = STATE(8256),
    [sym_while_expression] = STATE(8256),
    [sym_for_expression] = STATE(8256),
    [sym_match_expression] = STATE(8256),
    [sym_function_expression] = STATE(8256),
    [sym_fun_expression] = STATE(8256),
    [sym_try_expression] = STATE(8256),
    [sym_let_expression] = STATE(8256),
    [sym_coercion_expression] = STATE(6570),
    [sym_assert_expression] = STATE(8256),
    [sym_lazy_expression] = STATE(8256),
    [sym_let_module_expression] = STATE(8256),
    [sym_let_open_expression] = STATE(8256),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_let_exception_expression] = STATE(8256),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__instance_variable_name] = STATE(19540),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [sym__lowercase_identifier] = ACTIONS(2285),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_fun] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(991),
    [anon_sym_match] = ACTIONS(2579),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(999),
    [anon_sym_lazy] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2585),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym_value_definition] = STATE(19036),
    [sym__simple_expression] = STATE(2528),
    [sym__expression] = STATE(12937),
    [sym_typed_expression] = STATE(7035),
    [sym_labeled_tuple_element] = STATE(18546),
    [sym__tuple_expression] = STATE(10772),
    [sym_cons_expression] = STATE(10771),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_application_expression] = STATE(10771),
    [sym_prefix_expression] = STATE(7035),
    [sym_sign_expression] = STATE(10771),
    [sym_hash_expression] = STATE(7035),
    [sym_infix_expression] = STATE(10771),
    [sym_field_get_expression] = STATE(6899),
    [sym_array_get_expression] = STATE(6899),
    [sym_string_get_expression] = STATE(6899),
    [sym_bigarray_get_expression] = STATE(6899),
    [sym_set_expression] = STATE(10771),
    [sym_if_expression] = STATE(10771),
    [sym_while_expression] = STATE(10771),
    [sym_for_expression] = STATE(10771),
    [sym_match_expression] = STATE(10771),
    [sym_function_expression] = STATE(10771),
    [sym_fun_expression] = STATE(10771),
    [sym_try_expression] = STATE(10771),
    [sym_let_expression] = STATE(10771),
    [sym_coercion_expression] = STATE(7035),
    [sym_assert_expression] = STATE(10771),
    [sym_lazy_expression] = STATE(10771),
    [sym_let_module_expression] = STATE(10771),
    [sym_let_open_expression] = STATE(10771),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_let_exception_expression] = STATE(10771),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym_sign_operator] = STATE(2410),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__instance_variable_name] = STATE(18553),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [sym__lowercase_identifier] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2839),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_fun] = ACTIONS(2851),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2855),
    [anon_sym_while] = ACTIONS(1299),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2859),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_lazy] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2883),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym_value_definition] = STATE(18718),
    [sym__simple_expression] = STATE(2471),
    [sym__expression] = STATE(9737),
    [sym_typed_expression] = STATE(4928),
    [sym_labeled_tuple_element] = STATE(21100),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(4928),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(4928),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(4863),
    [sym_array_get_expression] = STATE(4863),
    [sym_string_get_expression] = STATE(4863),
    [sym_bigarray_get_expression] = STATE(4863),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(4928),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym_sign_operator] = STATE(2441),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__instance_variable_name] = STATE(21110),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_function] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3081),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(977),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym_value_definition] = STATE(19909),
    [sym__simple_expression] = STATE(2543),
    [sym__expression] = STATE(12985),
    [sym_typed_expression] = STATE(7122),
    [sym_labeled_tuple_element] = STATE(19844),
    [sym__tuple_expression] = STATE(8551),
    [sym_cons_expression] = STATE(8552),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_application_expression] = STATE(8552),
    [sym_prefix_expression] = STATE(7122),
    [sym_sign_expression] = STATE(8552),
    [sym_hash_expression] = STATE(7122),
    [sym_infix_expression] = STATE(8552),
    [sym_field_get_expression] = STATE(6419),
    [sym_array_get_expression] = STATE(6419),
    [sym_string_get_expression] = STATE(6419),
    [sym_bigarray_get_expression] = STATE(6419),
    [sym_set_expression] = STATE(8552),
    [sym_if_expression] = STATE(8552),
    [sym_while_expression] = STATE(8552),
    [sym_for_expression] = STATE(8552),
    [sym_match_expression] = STATE(8552),
    [sym_function_expression] = STATE(8552),
    [sym_fun_expression] = STATE(8552),
    [sym_try_expression] = STATE(8552),
    [sym_let_expression] = STATE(8552),
    [sym_coercion_expression] = STATE(7122),
    [sym_assert_expression] = STATE(8552),
    [sym_lazy_expression] = STATE(8552),
    [sym_let_module_expression] = STATE(8552),
    [sym_let_open_expression] = STATE(8552),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_let_exception_expression] = STATE(8552),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym_sign_operator] = STATE(2177),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__instance_variable_name] = STATE(19845),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [sym__lowercase_identifier] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2787),
    [anon_sym_TILDE] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_fun] = ACTIONS(2799),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2807),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_lazy] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(111),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(119),
    [sym_let_operator] = ACTIONS(425),
    [sym_match_operator] = ACTIONS(2831),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym__simple_expression] = STATE(4261),
    [sym_typed_expression] = STATE(4219),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_labeled_argument] = STATE(4779),
    [sym_prefix_expression] = STATE(4219),
    [sym_hash_expression] = STATE(4219),
    [sym_field_get_expression] = STATE(4219),
    [sym_array_get_expression] = STATE(4219),
    [sym_string_get_expression] = STATE(4219),
    [sym_bigarray_get_expression] = STATE(4219),
    [sym_coercion_expression] = STATE(4219),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [aux_sym_class_application_repeat1] = STATE(2465),
    [sym__lowercase_identifier] = ACTIONS(3785),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3787),
    [anon_sym_QMARK] = ACTIONS(3787),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_DOT] = ACTIONS(3789),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_POUND] = ACTIONS(3791),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(901),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(903),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3793),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym__simple_expression] = STATE(3371),
    [sym_typed_expression] = STATE(3293),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_labeled_argument] = STATE(4252),
    [sym_prefix_expression] = STATE(3293),
    [sym_hash_expression] = STATE(3293),
    [sym_field_get_expression] = STATE(3293),
    [sym_array_get_expression] = STATE(3293),
    [sym_string_get_expression] = STATE(3293),
    [sym_bigarray_get_expression] = STATE(3293),
    [sym_coercion_expression] = STATE(3293),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [aux_sym_class_application_repeat1] = STATE(2447),
    [sym__lowercase_identifier] = ACTIONS(3203),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3205),
    [anon_sym_QMARK] = ACTIONS(3205),
    [anon_sym_LPAREN] = ACTIONS(381),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(383),
    [anon_sym_true] = ACTIONS(385),
    [anon_sym_false] = ACTIONS(385),
    [anon_sym_LBRACE] = ACTIONS(387),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(393),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(403),
    [anon_sym_LBRACE_LT] = ACTIONS(405),
    [anon_sym_begin] = ACTIONS(407),
    [sym_ocamlyacc_value] = ACTIONS(409),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(411),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(413),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(417),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(419),
    [anon_sym_DQUOTE] = ACTIONS(421),
    [sym_prefix_operator] = ACTIONS(423),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(429),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(431),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym__simple_expression] = STATE(3372),
    [sym_typed_expression] = STATE(3322),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_labeled_argument] = STATE(4400),
    [sym_prefix_expression] = STATE(3322),
    [sym_hash_expression] = STATE(3322),
    [sym_field_get_expression] = STATE(3322),
    [sym_array_get_expression] = STATE(3322),
    [sym_string_get_expression] = STATE(3322),
    [sym_bigarray_get_expression] = STATE(3322),
    [sym_coercion_expression] = STATE(3322),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [aux_sym_class_application_repeat1] = STATE(2445),
    [sym__lowercase_identifier] = ACTIONS(3799),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(3806),
    [anon_sym_QMARK] = ACTIONS(3806),
    [anon_sym_LPAREN] = ACTIONS(3809),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(3812),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(3815),
    [anon_sym_false] = ACTIONS(3815),
    [anon_sym_LBRACE] = ACTIONS(3818),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3821),
    [anon_sym_in] = ACTIONS(3804),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3824),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(3827),
    [anon_sym_LBRACE_LT] = ACTIONS(3830),
    [anon_sym_begin] = ACTIONS(3833),
    [sym_ocamlyacc_value] = ACTIONS(3836),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3839),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3842),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(3845),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(3848),
    [anon_sym_DQUOTE] = ACTIONS(3851),
    [sym_prefix_operator] = ACTIONS(3854),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(3857),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(3860),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym__simple_expression] = STATE(4395),
    [sym_typed_expression] = STATE(4355),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_labeled_argument] = STATE(4775),
    [sym_prefix_expression] = STATE(4355),
    [sym_hash_expression] = STATE(4355),
    [sym_field_get_expression] = STATE(4355),
    [sym_array_get_expression] = STATE(4355),
    [sym_string_get_expression] = STATE(4355),
    [sym_bigarray_get_expression] = STATE(4355),
    [sym_coercion_expression] = STATE(4355),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [aux_sym_class_application_repeat1] = STATE(2463),
    [sym__lowercase_identifier] = ACTIONS(3863),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3865),
    [anon_sym_QMARK] = ACTIONS(3865),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_DOT] = ACTIONS(3867),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_POUND] = ACTIONS(3869),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(849),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(851),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3871),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym__simple_expression] = STATE(3371),
    [sym_typed_expression] = STATE(3293),
    [sym_list_expression] = STATE(3293),
    [sym_array_expression] = STATE(3293),
    [sym_record_expression] = STATE(3293),
    [sym_labeled_argument] = STATE(4252),
    [sym_prefix_expression] = STATE(3293),
    [sym_hash_expression] = STATE(3293),
    [sym_field_get_expression] = STATE(3293),
    [sym_array_get_expression] = STATE(3293),
    [sym_string_get_expression] = STATE(3293),
    [sym_bigarray_get_expression] = STATE(3293),
    [sym_coercion_expression] = STATE(3293),
    [sym_local_open_expression] = STATE(3293),
    [sym_package_expression] = STATE(3293),
    [sym_new_expression] = STATE(3293),
    [sym_object_copy_expression] = STATE(3293),
    [sym_method_invocation] = STATE(3293),
    [sym_object_expression] = STATE(3293),
    [sym_parenthesized_expression] = STATE(3293),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(3293),
    [sym_quoted_extension] = STATE(3293),
    [sym__constant] = STATE(3293),
    [sym_number] = STATE(3437),
    [sym_character] = STATE(3437),
    [sym_string] = STATE(3437),
    [sym_quoted_string] = STATE(3437),
    [sym_boolean] = STATE(3437),
    [sym_unit] = STATE(3437),
    [sym__value_name] = STATE(3269),
    [sym_parenthesized_operator] = STATE(3264),
    [sym_value_path] = STATE(3293),
    [sym_module_path] = STATE(19828),
    [sym_constructor_path] = STATE(3293),
    [sym__constructor_name] = STATE(3444),
    [sym_tag] = STATE(3293),
    [aux_sym_class_application_repeat1] = STATE(2447),
    [sym__lowercase_identifier] = ACTIONS(3873),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(3876),
    [anon_sym_QMARK] = ACTIONS(3876),
    [anon_sym_LPAREN] = ACTIONS(3879),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(3882),
    [anon_sym_true] = ACTIONS(3885),
    [anon_sym_false] = ACTIONS(3885),
    [anon_sym_LBRACE] = ACTIONS(3888),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3891),
    [anon_sym_in] = ACTIONS(3804),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3894),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(3897),
    [anon_sym_LBRACE_LT] = ACTIONS(3900),
    [anon_sym_begin] = ACTIONS(3903),
    [sym_ocamlyacc_value] = ACTIONS(3906),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3912),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(3915),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(3918),
    [anon_sym_DQUOTE] = ACTIONS(3921),
    [sym_prefix_operator] = ACTIONS(3924),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(3927),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(3930),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym__simple_expression] = STATE(3372),
    [sym_typed_expression] = STATE(3322),
    [sym_list_expression] = STATE(3322),
    [sym_array_expression] = STATE(3322),
    [sym_record_expression] = STATE(3322),
    [sym_labeled_argument] = STATE(4400),
    [sym_prefix_expression] = STATE(3322),
    [sym_hash_expression] = STATE(3322),
    [sym_field_get_expression] = STATE(3322),
    [sym_array_get_expression] = STATE(3322),
    [sym_string_get_expression] = STATE(3322),
    [sym_bigarray_get_expression] = STATE(3322),
    [sym_coercion_expression] = STATE(3322),
    [sym_local_open_expression] = STATE(3322),
    [sym_package_expression] = STATE(3322),
    [sym_new_expression] = STATE(3322),
    [sym_object_copy_expression] = STATE(3322),
    [sym_method_invocation] = STATE(3322),
    [sym_object_expression] = STATE(3322),
    [sym_parenthesized_expression] = STATE(3322),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(3322),
    [sym_quoted_extension] = STATE(3322),
    [sym__constant] = STATE(3322),
    [sym_number] = STATE(3430),
    [sym_character] = STATE(3430),
    [sym_string] = STATE(3430),
    [sym_quoted_string] = STATE(3430),
    [sym_boolean] = STATE(3430),
    [sym_unit] = STATE(3430),
    [sym__value_name] = STATE(3474),
    [sym_parenthesized_operator] = STATE(3378),
    [sym_value_path] = STATE(3322),
    [sym_module_path] = STATE(19518),
    [sym_constructor_path] = STATE(3322),
    [sym__constructor_name] = STATE(3464),
    [sym_tag] = STATE(3322),
    [aux_sym_class_application_repeat1] = STATE(2445),
    [sym__lowercase_identifier] = ACTIONS(3189),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_QMARK] = ACTIONS(3195),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(441),
    [anon_sym_false] = ACTIONS(441),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(445),
    [anon_sym_in] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(449),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_LBRACE_LT] = ACTIONS(461),
    [anon_sym_begin] = ACTIONS(463),
    [sym_ocamlyacc_value] = ACTIONS(465),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(471),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(473),
    [anon_sym_DQUOTE] = ACTIONS(475),
    [sym_prefix_operator] = ACTIONS(477),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(481),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(483),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym__simple_expression] = STATE(4502),
    [sym_typed_expression] = STATE(4748),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_labeled_argument] = STATE(4781),
    [sym_prefix_expression] = STATE(4748),
    [sym_hash_expression] = STATE(4748),
    [sym_field_get_expression] = STATE(4748),
    [sym_array_get_expression] = STATE(4748),
    [sym_string_get_expression] = STATE(4748),
    [sym_bigarray_get_expression] = STATE(4748),
    [sym_coercion_expression] = STATE(4748),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [aux_sym_class_application_repeat1] = STATE(2467),
    [sym__lowercase_identifier] = ACTIONS(3933),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_DOT] = ACTIONS(3937),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_POUND] = ACTIONS(3939),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(3941),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym__simple_expression] = STATE(3815),
    [sym_typed_expression] = STATE(3776),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_labeled_argument] = STATE(4677),
    [sym_prefix_expression] = STATE(3776),
    [sym_hash_expression] = STATE(3776),
    [sym_field_get_expression] = STATE(3776),
    [sym_array_get_expression] = STATE(3776),
    [sym_string_get_expression] = STATE(3776),
    [sym_bigarray_get_expression] = STATE(3776),
    [sym_coercion_expression] = STATE(3776),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [aux_sym_class_application_repeat1] = STATE(2450),
    [sym__lowercase_identifier] = ACTIONS(3943),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(3946),
    [anon_sym_QMARK] = ACTIONS(3946),
    [anon_sym_LPAREN] = ACTIONS(3949),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(3952),
    [anon_sym_true] = ACTIONS(3955),
    [anon_sym_false] = ACTIONS(3955),
    [anon_sym_LBRACE] = ACTIONS(3958),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(3961),
    [anon_sym_in] = ACTIONS(3804),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3964),
    [anon_sym_new] = ACTIONS(3967),
    [anon_sym_LBRACE_LT] = ACTIONS(3970),
    [anon_sym_begin] = ACTIONS(3973),
    [sym_ocamlyacc_value] = ACTIONS(3976),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3979),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3982),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(3985),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(3988),
    [anon_sym_DQUOTE] = ACTIONS(3991),
    [sym_prefix_operator] = ACTIONS(3994),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(3997),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4000),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym__simple_expression] = STATE(3515),
    [sym_typed_expression] = STATE(3509),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_labeled_argument] = STATE(4529),
    [sym_prefix_expression] = STATE(3509),
    [sym_hash_expression] = STATE(3509),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_coercion_expression] = STATE(3509),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2451),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [aux_sym_class_application_repeat1] = STATE(2451),
    [sym__lowercase_identifier] = ACTIONS(4003),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(4006),
    [anon_sym_QMARK] = ACTIONS(4006),
    [anon_sym_LPAREN] = ACTIONS(4009),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4012),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(4015),
    [anon_sym_false] = ACTIONS(4015),
    [anon_sym_LBRACE] = ACTIONS(4018),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4021),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4024),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(4027),
    [anon_sym_LBRACE_LT] = ACTIONS(4030),
    [anon_sym_begin] = ACTIONS(4033),
    [sym_ocamlyacc_value] = ACTIONS(4036),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4042),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4045),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4048),
    [anon_sym_DQUOTE] = ACTIONS(4051),
    [sym_prefix_operator] = ACTIONS(4054),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4057),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4060),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym__simple_expression] = STATE(3815),
    [sym_typed_expression] = STATE(3776),
    [sym_list_expression] = STATE(3776),
    [sym_array_expression] = STATE(3776),
    [sym_record_expression] = STATE(3776),
    [sym_labeled_argument] = STATE(4677),
    [sym_prefix_expression] = STATE(3776),
    [sym_hash_expression] = STATE(3776),
    [sym_field_get_expression] = STATE(3776),
    [sym_array_get_expression] = STATE(3776),
    [sym_string_get_expression] = STATE(3776),
    [sym_bigarray_get_expression] = STATE(3776),
    [sym_coercion_expression] = STATE(3776),
    [sym_local_open_expression] = STATE(3776),
    [sym_package_expression] = STATE(3776),
    [sym_new_expression] = STATE(3776),
    [sym_object_copy_expression] = STATE(3776),
    [sym_method_invocation] = STATE(3776),
    [sym_object_expression] = STATE(3776),
    [sym_parenthesized_expression] = STATE(3776),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(3776),
    [sym_quoted_extension] = STATE(3776),
    [sym__constant] = STATE(3776),
    [sym_number] = STATE(3604),
    [sym_character] = STATE(3604),
    [sym_string] = STATE(3604),
    [sym_quoted_string] = STATE(3604),
    [sym_boolean] = STATE(3604),
    [sym_unit] = STATE(3604),
    [sym__value_name] = STATE(3814),
    [sym_parenthesized_operator] = STATE(3696),
    [sym_value_path] = STATE(3776),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(3776),
    [sym__constructor_name] = STATE(3605),
    [sym_tag] = STATE(3776),
    [aux_sym_class_application_repeat1] = STATE(2450),
    [sym__lowercase_identifier] = ACTIONS(3681),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3683),
    [anon_sym_QMARK] = ACTIONS(3683),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_true] = ACTIONS(503),
    [anon_sym_false] = ACTIONS(503),
    [anon_sym_LBRACE] = ACTIONS(505),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(507),
    [anon_sym_in] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(511),
    [anon_sym_new] = ACTIONS(521),
    [anon_sym_LBRACE_LT] = ACTIONS(523),
    [anon_sym_begin] = ACTIONS(525),
    [sym_ocamlyacc_value] = ACTIONS(527),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(531),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(533),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(535),
    [anon_sym_DQUOTE] = ACTIONS(537),
    [sym_prefix_operator] = ACTIONS(539),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(543),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym__simple_expression] = STATE(3557),
    [sym_typed_expression] = STATE(3549),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_labeled_argument] = STATE(4694),
    [sym_prefix_expression] = STATE(3549),
    [sym_hash_expression] = STATE(3549),
    [sym_field_get_expression] = STATE(3549),
    [sym_array_get_expression] = STATE(3549),
    [sym_string_get_expression] = STATE(3549),
    [sym_bigarray_get_expression] = STATE(3549),
    [sym_coercion_expression] = STATE(3549),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(2453),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [aux_sym_class_application_repeat1] = STATE(2453),
    [sym__lowercase_identifier] = ACTIONS(4063),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(4066),
    [anon_sym_QMARK] = ACTIONS(4066),
    [anon_sym_LPAREN] = ACTIONS(4069),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4072),
    [anon_sym_true] = ACTIONS(4075),
    [anon_sym_false] = ACTIONS(4075),
    [anon_sym_LBRACE] = ACTIONS(4078),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4081),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4084),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(4087),
    [anon_sym_LBRACE_LT] = ACTIONS(4090),
    [anon_sym_begin] = ACTIONS(4093),
    [sym_ocamlyacc_value] = ACTIONS(4096),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4099),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4102),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4105),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4108),
    [anon_sym_DQUOTE] = ACTIONS(4111),
    [sym_prefix_operator] = ACTIONS(4114),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4117),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4120),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym__simple_expression] = STATE(3693),
    [sym_typed_expression] = STATE(3687),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_labeled_argument] = STATE(4421),
    [sym_prefix_expression] = STATE(3687),
    [sym_hash_expression] = STATE(3687),
    [sym_field_get_expression] = STATE(3687),
    [sym_array_get_expression] = STATE(3687),
    [sym_string_get_expression] = STATE(3687),
    [sym_bigarray_get_expression] = STATE(3687),
    [sym_coercion_expression] = STATE(3687),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [aux_sym_class_application_repeat1] = STATE(2454),
    [sym__lowercase_identifier] = ACTIONS(4123),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(4126),
    [anon_sym_QMARK] = ACTIONS(4126),
    [anon_sym_LPAREN] = ACTIONS(4129),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4132),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(4135),
    [anon_sym_false] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4138),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4141),
    [anon_sym_in] = ACTIONS(3804),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4144),
    [anon_sym_new] = ACTIONS(4147),
    [anon_sym_LBRACE_LT] = ACTIONS(4150),
    [anon_sym_begin] = ACTIONS(4153),
    [sym_ocamlyacc_value] = ACTIONS(4156),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4159),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4162),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4165),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4168),
    [anon_sym_DQUOTE] = ACTIONS(4171),
    [sym_prefix_operator] = ACTIONS(4174),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4177),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4180),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym__simple_expression] = STATE(4464),
    [sym_typed_expression] = STATE(4566),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_labeled_argument] = STATE(4784),
    [sym_prefix_expression] = STATE(4566),
    [sym_hash_expression] = STATE(4566),
    [sym_field_get_expression] = STATE(4566),
    [sym_array_get_expression] = STATE(4566),
    [sym_string_get_expression] = STATE(4566),
    [sym_bigarray_get_expression] = STATE(4566),
    [sym_coercion_expression] = STATE(4566),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [aux_sym_class_application_repeat1] = STATE(2470),
    [sym__lowercase_identifier] = ACTIONS(4183),
    [anon_sym_SEMI_SEMI] = ACTIONS(3191),
    [anon_sym_let] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(4185),
    [anon_sym_QMARK] = ACTIONS(4185),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(3193),
    [anon_sym_type] = ACTIONS(3193),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_DOT] = ACTIONS(4187),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_SEMI] = ACTIONS(3193),
    [anon_sym_exception] = ACTIONS(3193),
    [anon_sym_module] = ACTIONS(3193),
    [anon_sym_open] = ACTIONS(3193),
    [anon_sym_include] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_POUND] = ACTIONS(4189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(4191),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(3193),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym__simple_expression] = STATE(3515),
    [sym_typed_expression] = STATE(3509),
    [sym_list_expression] = STATE(3509),
    [sym_array_expression] = STATE(3509),
    [sym_record_expression] = STATE(3509),
    [sym_labeled_argument] = STATE(4529),
    [sym_prefix_expression] = STATE(3509),
    [sym_hash_expression] = STATE(3509),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_coercion_expression] = STATE(3509),
    [sym_local_open_expression] = STATE(3509),
    [sym_package_expression] = STATE(3509),
    [sym_new_expression] = STATE(3509),
    [sym_object_copy_expression] = STATE(3509),
    [sym_method_invocation] = STATE(3509),
    [sym_object_expression] = STATE(3509),
    [sym_parenthesized_expression] = STATE(3509),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(3509),
    [sym_quoted_extension] = STATE(3509),
    [sym__constant] = STATE(3509),
    [sym_number] = STATE(3640),
    [sym_character] = STATE(3640),
    [sym_string] = STATE(3640),
    [sym_quoted_string] = STATE(3640),
    [sym_boolean] = STATE(3640),
    [sym_unit] = STATE(3640),
    [sym__value_name] = STATE(3547),
    [sym_parenthesized_operator] = STATE(3630),
    [sym_value_path] = STATE(3509),
    [sym_module_path] = STATE(19790),
    [sym_constructor_path] = STATE(3509),
    [sym__constructor_name] = STATE(3641),
    [sym_tag] = STATE(3509),
    [aux_sym_class_application_repeat1] = STATE(2451),
    [sym__lowercase_identifier] = ACTIONS(3725),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3727),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(635),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym__simple_expression] = STATE(3557),
    [sym_typed_expression] = STATE(3549),
    [sym_list_expression] = STATE(3549),
    [sym_array_expression] = STATE(3549),
    [sym_record_expression] = STATE(3549),
    [sym_labeled_argument] = STATE(4694),
    [sym_prefix_expression] = STATE(3549),
    [sym_hash_expression] = STATE(3549),
    [sym_field_get_expression] = STATE(3549),
    [sym_array_get_expression] = STATE(3549),
    [sym_string_get_expression] = STATE(3549),
    [sym_bigarray_get_expression] = STATE(3549),
    [sym_coercion_expression] = STATE(3549),
    [sym_local_open_expression] = STATE(3549),
    [sym_package_expression] = STATE(3549),
    [sym_new_expression] = STATE(3549),
    [sym_object_copy_expression] = STATE(3549),
    [sym_method_invocation] = STATE(3549),
    [sym_object_expression] = STATE(3549),
    [sym_parenthesized_expression] = STATE(3549),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(3549),
    [sym_quoted_extension] = STATE(3549),
    [sym__constant] = STATE(3549),
    [sym_number] = STATE(3658),
    [sym_character] = STATE(3658),
    [sym_string] = STATE(3658),
    [sym_quoted_string] = STATE(3658),
    [sym_boolean] = STATE(3658),
    [sym_unit] = STATE(3658),
    [sym__value_name] = STATE(3599),
    [sym_parenthesized_operator] = STATE(3635),
    [sym_value_path] = STATE(3549),
    [sym_module_path] = STATE(19866),
    [sym_constructor_path] = STATE(3549),
    [sym__constructor_name] = STATE(3659),
    [sym_tag] = STATE(3549),
    [aux_sym_class_application_repeat1] = STATE(2453),
    [sym__lowercase_identifier] = ACTIONS(3239),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3241),
    [anon_sym_QMARK] = ACTIONS(3241),
    [anon_sym_LPAREN] = ACTIONS(657),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(659),
    [anon_sym_true] = ACTIONS(661),
    [anon_sym_false] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(665),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(669),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(679),
    [anon_sym_LBRACE_LT] = ACTIONS(681),
    [anon_sym_begin] = ACTIONS(683),
    [sym_ocamlyacc_value] = ACTIONS(685),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(689),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(691),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE] = ACTIONS(695),
    [sym_prefix_operator] = ACTIONS(697),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(701),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym__simple_expression] = STATE(3693),
    [sym_typed_expression] = STATE(3687),
    [sym_list_expression] = STATE(3687),
    [sym_array_expression] = STATE(3687),
    [sym_record_expression] = STATE(3687),
    [sym_labeled_argument] = STATE(4421),
    [sym_prefix_expression] = STATE(3687),
    [sym_hash_expression] = STATE(3687),
    [sym_field_get_expression] = STATE(3687),
    [sym_array_get_expression] = STATE(3687),
    [sym_string_get_expression] = STATE(3687),
    [sym_bigarray_get_expression] = STATE(3687),
    [sym_coercion_expression] = STATE(3687),
    [sym_local_open_expression] = STATE(3687),
    [sym_package_expression] = STATE(3687),
    [sym_new_expression] = STATE(3687),
    [sym_object_copy_expression] = STATE(3687),
    [sym_method_invocation] = STATE(3687),
    [sym_object_expression] = STATE(3687),
    [sym_parenthesized_expression] = STATE(3687),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(3687),
    [sym_quoted_extension] = STATE(3687),
    [sym__constant] = STATE(3687),
    [sym_number] = STATE(3748),
    [sym_character] = STATE(3748),
    [sym_string] = STATE(3748),
    [sym_quoted_string] = STATE(3748),
    [sym_boolean] = STATE(3748),
    [sym_unit] = STATE(3748),
    [sym__value_name] = STATE(3725),
    [sym_parenthesized_operator] = STATE(3738),
    [sym_value_path] = STATE(3687),
    [sym_module_path] = STATE(21206),
    [sym_constructor_path] = STATE(3687),
    [sym__constructor_name] = STATE(3743),
    [sym_tag] = STATE(3687),
    [aux_sym_class_application_repeat1] = STATE(2454),
    [sym__lowercase_identifier] = ACTIONS(3707),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3709),
    [anon_sym_QMARK] = ACTIONS(3709),
    [anon_sym_LPAREN] = ACTIONS(551),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(553),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(555),
    [anon_sym_false] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(559),
    [anon_sym_in] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(563),
    [anon_sym_new] = ACTIONS(573),
    [anon_sym_LBRACE_LT] = ACTIONS(575),
    [anon_sym_begin] = ACTIONS(577),
    [sym_ocamlyacc_value] = ACTIONS(579),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(583),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(585),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [sym_prefix_operator] = ACTIONS(591),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(595),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym__simple_expression] = STATE(4043),
    [sym_typed_expression] = STATE(3996),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_labeled_argument] = STATE(4772),
    [sym_prefix_expression] = STATE(3996),
    [sym_hash_expression] = STATE(3996),
    [sym_field_get_expression] = STATE(3996),
    [sym_array_get_expression] = STATE(3996),
    [sym_string_get_expression] = STATE(3996),
    [sym_bigarray_get_expression] = STATE(3996),
    [sym_coercion_expression] = STATE(3996),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [aux_sym_class_application_repeat1] = STATE(2459),
    [sym__lowercase_identifier] = ACTIONS(4193),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(4196),
    [anon_sym_QMARK] = ACTIONS(4196),
    [anon_sym_LPAREN] = ACTIONS(4199),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4202),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(4205),
    [anon_sym_false] = ACTIONS(4205),
    [anon_sym_LBRACE] = ACTIONS(4208),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4211),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4214),
    [anon_sym_new] = ACTIONS(4217),
    [anon_sym_LBRACE_LT] = ACTIONS(4220),
    [anon_sym_begin] = ACTIONS(4223),
    [sym_ocamlyacc_value] = ACTIONS(4226),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4229),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4232),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4235),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4238),
    [anon_sym_DQUOTE] = ACTIONS(4241),
    [sym_prefix_operator] = ACTIONS(4244),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4247),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4250),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym__simple_expression] = STATE(3984),
    [sym_typed_expression] = STATE(3994),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_labeled_argument] = STATE(4768),
    [sym_prefix_expression] = STATE(3994),
    [sym_hash_expression] = STATE(3994),
    [sym_field_get_expression] = STATE(3994),
    [sym_array_get_expression] = STATE(3994),
    [sym_string_get_expression] = STATE(3994),
    [sym_bigarray_get_expression] = STATE(3994),
    [sym_coercion_expression] = STATE(3994),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [aux_sym_class_application_repeat1] = STATE(2460),
    [sym__lowercase_identifier] = ACTIONS(4253),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(4256),
    [anon_sym_QMARK] = ACTIONS(4256),
    [anon_sym_LPAREN] = ACTIONS(4259),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4262),
    [anon_sym_true] = ACTIONS(4265),
    [anon_sym_false] = ACTIONS(4265),
    [anon_sym_LBRACE] = ACTIONS(4268),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4271),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4274),
    [anon_sym_new] = ACTIONS(4277),
    [anon_sym_LBRACE_LT] = ACTIONS(4280),
    [anon_sym_begin] = ACTIONS(4283),
    [sym_ocamlyacc_value] = ACTIONS(4286),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4289),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4292),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4295),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4298),
    [anon_sym_DQUOTE] = ACTIONS(4301),
    [sym_prefix_operator] = ACTIONS(4304),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4307),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4310),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym__simple_expression] = STATE(4043),
    [sym_typed_expression] = STATE(3996),
    [sym_list_expression] = STATE(3996),
    [sym_array_expression] = STATE(3996),
    [sym_record_expression] = STATE(3996),
    [sym_labeled_argument] = STATE(4772),
    [sym_prefix_expression] = STATE(3996),
    [sym_hash_expression] = STATE(3996),
    [sym_field_get_expression] = STATE(3996),
    [sym_array_get_expression] = STATE(3996),
    [sym_string_get_expression] = STATE(3996),
    [sym_bigarray_get_expression] = STATE(3996),
    [sym_coercion_expression] = STATE(3996),
    [sym_local_open_expression] = STATE(3996),
    [sym_package_expression] = STATE(3996),
    [sym_new_expression] = STATE(3996),
    [sym_object_copy_expression] = STATE(3996),
    [sym_method_invocation] = STATE(3996),
    [sym_object_expression] = STATE(3996),
    [sym_parenthesized_expression] = STATE(3996),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(3996),
    [sym_quoted_extension] = STATE(3996),
    [sym__constant] = STATE(3996),
    [sym_number] = STATE(4056),
    [sym_character] = STATE(4056),
    [sym_string] = STATE(4056),
    [sym_quoted_string] = STATE(4056),
    [sym_boolean] = STATE(4056),
    [sym_unit] = STATE(4056),
    [sym__value_name] = STATE(4042),
    [sym_parenthesized_operator] = STATE(4120),
    [sym_value_path] = STATE(3996),
    [sym_module_path] = STATE(19231),
    [sym_constructor_path] = STATE(3996),
    [sym__constructor_name] = STATE(4058),
    [sym_tag] = STATE(3996),
    [aux_sym_class_application_repeat1] = STATE(2459),
    [sym__lowercase_identifier] = ACTIONS(3765),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_QMARK] = ACTIONS(3767),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(717),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(719),
    [anon_sym_false] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(723),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_LBRACE_LT] = ACTIONS(739),
    [anon_sym_begin] = ACTIONS(741),
    [sym_ocamlyacc_value] = ACTIONS(743),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(745),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(747),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(749),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [sym_prefix_operator] = ACTIONS(755),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(759),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym__simple_expression] = STATE(3984),
    [sym_typed_expression] = STATE(3994),
    [sym_list_expression] = STATE(3994),
    [sym_array_expression] = STATE(3994),
    [sym_record_expression] = STATE(3994),
    [sym_labeled_argument] = STATE(4768),
    [sym_prefix_expression] = STATE(3994),
    [sym_hash_expression] = STATE(3994),
    [sym_field_get_expression] = STATE(3994),
    [sym_array_get_expression] = STATE(3994),
    [sym_string_get_expression] = STATE(3994),
    [sym_bigarray_get_expression] = STATE(3994),
    [sym_coercion_expression] = STATE(3994),
    [sym_local_open_expression] = STATE(3994),
    [sym_package_expression] = STATE(3994),
    [sym_new_expression] = STATE(3994),
    [sym_object_copy_expression] = STATE(3994),
    [sym_method_invocation] = STATE(3994),
    [sym_object_expression] = STATE(3994),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(3994),
    [sym_quoted_extension] = STATE(3994),
    [sym__constant] = STATE(3994),
    [sym_number] = STATE(3866),
    [sym_character] = STATE(3866),
    [sym_string] = STATE(3866),
    [sym_quoted_string] = STATE(3866),
    [sym_boolean] = STATE(3866),
    [sym_unit] = STATE(3866),
    [sym__value_name] = STATE(3988),
    [sym_parenthesized_operator] = STATE(4040),
    [sym_value_path] = STATE(3994),
    [sym_module_path] = STATE(19597),
    [sym_constructor_path] = STATE(3994),
    [sym__constructor_name] = STATE(3867),
    [sym_tag] = STATE(3994),
    [aux_sym_class_application_repeat1] = STATE(2460),
    [sym__lowercase_identifier] = ACTIONS(3775),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3777),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(799),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym__simple_expression] = STATE(4395),
    [sym_typed_expression] = STATE(4355),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_labeled_argument] = STATE(4775),
    [sym_prefix_expression] = STATE(4355),
    [sym_hash_expression] = STATE(4355),
    [sym_field_get_expression] = STATE(4355),
    [sym_array_get_expression] = STATE(4355),
    [sym_string_get_expression] = STATE(4355),
    [sym_bigarray_get_expression] = STATE(4355),
    [sym_coercion_expression] = STATE(4355),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(2463),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [aux_sym_class_application_repeat1] = STATE(2466),
    [sym__lowercase_identifier] = ACTIONS(3863),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3865),
    [anon_sym_QMARK] = ACTIONS(3865),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(821),
    [anon_sym_true] = ACTIONS(823),
    [anon_sym_false] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(827),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(831),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_LBRACE_LT] = ACTIONS(843),
    [anon_sym_begin] = ACTIONS(845),
    [sym_ocamlyacc_value] = ACTIONS(847),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(849),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(851),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(853),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [sym_prefix_operator] = ACTIONS(859),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(863),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym__simple_expression] = STATE(4261),
    [sym_typed_expression] = STATE(4219),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_labeled_argument] = STATE(4779),
    [sym_prefix_expression] = STATE(4219),
    [sym_hash_expression] = STATE(4219),
    [sym_field_get_expression] = STATE(4219),
    [sym_array_get_expression] = STATE(4219),
    [sym_string_get_expression] = STATE(4219),
    [sym_bigarray_get_expression] = STATE(4219),
    [sym_coercion_expression] = STATE(4219),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2464),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [aux_sym_class_application_repeat1] = STATE(2464),
    [sym__lowercase_identifier] = ACTIONS(4313),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(4316),
    [anon_sym_QMARK] = ACTIONS(4316),
    [anon_sym_LPAREN] = ACTIONS(4319),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4322),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(4325),
    [anon_sym_false] = ACTIONS(4325),
    [anon_sym_LBRACE] = ACTIONS(4328),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4331),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4334),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(4337),
    [anon_sym_LBRACE_LT] = ACTIONS(4340),
    [anon_sym_begin] = ACTIONS(4343),
    [sym_ocamlyacc_value] = ACTIONS(4346),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4349),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4352),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4355),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4358),
    [anon_sym_DQUOTE] = ACTIONS(4361),
    [sym_prefix_operator] = ACTIONS(4364),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4367),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4370),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym__simple_expression] = STATE(4261),
    [sym_typed_expression] = STATE(4219),
    [sym_list_expression] = STATE(4219),
    [sym_array_expression] = STATE(4219),
    [sym_record_expression] = STATE(4219),
    [sym_labeled_argument] = STATE(4779),
    [sym_prefix_expression] = STATE(4219),
    [sym_hash_expression] = STATE(4219),
    [sym_field_get_expression] = STATE(4219),
    [sym_array_get_expression] = STATE(4219),
    [sym_string_get_expression] = STATE(4219),
    [sym_bigarray_get_expression] = STATE(4219),
    [sym_coercion_expression] = STATE(4219),
    [sym_local_open_expression] = STATE(4219),
    [sym_package_expression] = STATE(4219),
    [sym_new_expression] = STATE(4219),
    [sym_object_copy_expression] = STATE(4219),
    [sym_method_invocation] = STATE(4219),
    [sym_object_expression] = STATE(4219),
    [sym_parenthesized_expression] = STATE(4219),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(4219),
    [sym_quoted_extension] = STATE(4219),
    [sym__constant] = STATE(4219),
    [sym_number] = STATE(4326),
    [sym_character] = STATE(4326),
    [sym_string] = STATE(4326),
    [sym_quoted_string] = STATE(4326),
    [sym_boolean] = STATE(4326),
    [sym_unit] = STATE(4326),
    [sym__value_name] = STATE(4259),
    [sym_parenthesized_operator] = STATE(4297),
    [sym_value_path] = STATE(4219),
    [sym_module_path] = STATE(18563),
    [sym_constructor_path] = STATE(4219),
    [sym__constructor_name] = STATE(4327),
    [sym_tag] = STATE(4219),
    [aux_sym_class_application_repeat1] = STATE(2464),
    [sym__lowercase_identifier] = ACTIONS(3785),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3787),
    [anon_sym_QMARK] = ACTIONS(3787),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(873),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(875),
    [anon_sym_false] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(879),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(883),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_LBRACE_LT] = ACTIONS(895),
    [anon_sym_begin] = ACTIONS(897),
    [sym_ocamlyacc_value] = ACTIONS(899),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(901),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(903),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(905),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [sym_prefix_operator] = ACTIONS(911),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(915),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym__simple_expression] = STATE(4395),
    [sym_typed_expression] = STATE(4355),
    [sym_list_expression] = STATE(4355),
    [sym_array_expression] = STATE(4355),
    [sym_record_expression] = STATE(4355),
    [sym_labeled_argument] = STATE(4775),
    [sym_prefix_expression] = STATE(4355),
    [sym_hash_expression] = STATE(4355),
    [sym_field_get_expression] = STATE(4355),
    [sym_array_get_expression] = STATE(4355),
    [sym_string_get_expression] = STATE(4355),
    [sym_bigarray_get_expression] = STATE(4355),
    [sym_coercion_expression] = STATE(4355),
    [sym_local_open_expression] = STATE(4355),
    [sym_package_expression] = STATE(4355),
    [sym_new_expression] = STATE(4355),
    [sym_object_copy_expression] = STATE(4355),
    [sym_method_invocation] = STATE(4355),
    [sym_object_expression] = STATE(4355),
    [sym_parenthesized_expression] = STATE(4355),
    [sym_attribute] = STATE(2466),
    [sym_extension] = STATE(4355),
    [sym_quoted_extension] = STATE(4355),
    [sym__constant] = STATE(4355),
    [sym_number] = STATE(4289),
    [sym_character] = STATE(4289),
    [sym_string] = STATE(4289),
    [sym_quoted_string] = STATE(4289),
    [sym_boolean] = STATE(4289),
    [sym_unit] = STATE(4289),
    [sym__value_name] = STATE(4393),
    [sym_parenthesized_operator] = STATE(4260),
    [sym_value_path] = STATE(4355),
    [sym_module_path] = STATE(19395),
    [sym_constructor_path] = STATE(4355),
    [sym__constructor_name] = STATE(4291),
    [sym_tag] = STATE(4355),
    [aux_sym_class_application_repeat1] = STATE(2466),
    [sym__lowercase_identifier] = ACTIONS(4373),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(4376),
    [anon_sym_QMARK] = ACTIONS(4376),
    [anon_sym_LPAREN] = ACTIONS(4379),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4382),
    [anon_sym_true] = ACTIONS(4385),
    [anon_sym_false] = ACTIONS(4385),
    [anon_sym_LBRACE] = ACTIONS(4388),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4391),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4394),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(4397),
    [anon_sym_LBRACE_LT] = ACTIONS(4400),
    [anon_sym_begin] = ACTIONS(4403),
    [sym_ocamlyacc_value] = ACTIONS(4406),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4409),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4412),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4415),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4418),
    [anon_sym_DQUOTE] = ACTIONS(4421),
    [sym_prefix_operator] = ACTIONS(4424),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4427),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4430),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym__simple_expression] = STATE(4502),
    [sym_typed_expression] = STATE(4748),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_labeled_argument] = STATE(4781),
    [sym_prefix_expression] = STATE(4748),
    [sym_hash_expression] = STATE(4748),
    [sym_field_get_expression] = STATE(4748),
    [sym_array_get_expression] = STATE(4748),
    [sym_string_get_expression] = STATE(4748),
    [sym_bigarray_get_expression] = STATE(4748),
    [sym_coercion_expression] = STATE(4748),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2467),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [aux_sym_class_application_repeat1] = STATE(2469),
    [sym__lowercase_identifier] = ACTIONS(3933),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_QMARK] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(43),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(53),
    [anon_sym_false] = ACTIONS(53),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(69),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(91),
    [anon_sym_LBRACE_LT] = ACTIONS(93),
    [anon_sym_begin] = ACTIONS(95),
    [sym_ocamlyacc_value] = ACTIONS(97),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(101),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(103),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(109),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [sym_prefix_operator] = ACTIONS(117),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(125),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym__simple_expression] = STATE(4464),
    [sym_typed_expression] = STATE(4566),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_labeled_argument] = STATE(4784),
    [sym_prefix_expression] = STATE(4566),
    [sym_hash_expression] = STATE(4566),
    [sym_field_get_expression] = STATE(4566),
    [sym_array_get_expression] = STATE(4566),
    [sym_string_get_expression] = STATE(4566),
    [sym_bigarray_get_expression] = STATE(4566),
    [sym_coercion_expression] = STATE(4566),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [aux_sym_class_application_repeat1] = STATE(2468),
    [sym__lowercase_identifier] = ACTIONS(4433),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(4436),
    [anon_sym_QMARK] = ACTIONS(4436),
    [anon_sym_LPAREN] = ACTIONS(4439),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4442),
    [anon_sym_true] = ACTIONS(4445),
    [anon_sym_false] = ACTIONS(4445),
    [anon_sym_LBRACE] = ACTIONS(4448),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4451),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4454),
    [anon_sym_new] = ACTIONS(4457),
    [anon_sym_LBRACE_LT] = ACTIONS(4460),
    [anon_sym_begin] = ACTIONS(4463),
    [sym_ocamlyacc_value] = ACTIONS(4466),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4472),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4475),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4478),
    [anon_sym_DQUOTE] = ACTIONS(4481),
    [sym_prefix_operator] = ACTIONS(4484),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4487),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4490),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym__simple_expression] = STATE(4502),
    [sym_typed_expression] = STATE(4748),
    [sym_list_expression] = STATE(4748),
    [sym_array_expression] = STATE(4748),
    [sym_record_expression] = STATE(4748),
    [sym_labeled_argument] = STATE(4781),
    [sym_prefix_expression] = STATE(4748),
    [sym_hash_expression] = STATE(4748),
    [sym_field_get_expression] = STATE(4748),
    [sym_array_get_expression] = STATE(4748),
    [sym_string_get_expression] = STATE(4748),
    [sym_bigarray_get_expression] = STATE(4748),
    [sym_coercion_expression] = STATE(4748),
    [sym_local_open_expression] = STATE(4748),
    [sym_package_expression] = STATE(4748),
    [sym_new_expression] = STATE(4748),
    [sym_object_copy_expression] = STATE(4748),
    [sym_method_invocation] = STATE(4748),
    [sym_object_expression] = STATE(4748),
    [sym_parenthesized_expression] = STATE(4748),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(4748),
    [sym_quoted_extension] = STATE(4748),
    [sym__constant] = STATE(4748),
    [sym_number] = STATE(4427),
    [sym_character] = STATE(4427),
    [sym_string] = STATE(4427),
    [sym_quoted_string] = STATE(4427),
    [sym_boolean] = STATE(4427),
    [sym_unit] = STATE(4427),
    [sym__value_name] = STATE(4660),
    [sym_parenthesized_operator] = STATE(4661),
    [sym_value_path] = STATE(4748),
    [sym_module_path] = STATE(20102),
    [sym_constructor_path] = STATE(4748),
    [sym__constructor_name] = STATE(4672),
    [sym_tag] = STATE(4748),
    [aux_sym_class_application_repeat1] = STATE(2469),
    [sym__lowercase_identifier] = ACTIONS(4493),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(4496),
    [anon_sym_QMARK] = ACTIONS(4496),
    [anon_sym_LPAREN] = ACTIONS(4499),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4502),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(4505),
    [anon_sym_false] = ACTIONS(4505),
    [anon_sym_LBRACE] = ACTIONS(4508),
    [anon_sym_SEMI] = ACTIONS(3804),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4511),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4514),
    [anon_sym_new] = ACTIONS(4517),
    [anon_sym_LBRACE_LT] = ACTIONS(4520),
    [anon_sym_begin] = ACTIONS(4523),
    [sym_ocamlyacc_value] = ACTIONS(4526),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4532),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4535),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4538),
    [anon_sym_DQUOTE] = ACTIONS(4541),
    [sym_prefix_operator] = ACTIONS(4544),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4547),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(4550),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym__simple_expression] = STATE(4464),
    [sym_typed_expression] = STATE(4566),
    [sym_list_expression] = STATE(4566),
    [sym_array_expression] = STATE(4566),
    [sym_record_expression] = STATE(4566),
    [sym_labeled_argument] = STATE(4784),
    [sym_prefix_expression] = STATE(4566),
    [sym_hash_expression] = STATE(4566),
    [sym_field_get_expression] = STATE(4566),
    [sym_array_get_expression] = STATE(4566),
    [sym_string_get_expression] = STATE(4566),
    [sym_bigarray_get_expression] = STATE(4566),
    [sym_coercion_expression] = STATE(4566),
    [sym_local_open_expression] = STATE(4566),
    [sym_package_expression] = STATE(4566),
    [sym_new_expression] = STATE(4566),
    [sym_object_copy_expression] = STATE(4566),
    [sym_method_invocation] = STATE(4566),
    [sym_object_expression] = STATE(4566),
    [sym_parenthesized_expression] = STATE(4566),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(4566),
    [sym_quoted_extension] = STATE(4566),
    [sym__constant] = STATE(4566),
    [sym_number] = STATE(4516),
    [sym_character] = STATE(4516),
    [sym_string] = STATE(4516),
    [sym_quoted_string] = STATE(4516),
    [sym_boolean] = STATE(4516),
    [sym_unit] = STATE(4516),
    [sym__value_name] = STATE(4725),
    [sym_parenthesized_operator] = STATE(4766),
    [sym_value_path] = STATE(4566),
    [sym_module_path] = STATE(20412),
    [sym_constructor_path] = STATE(4566),
    [sym__constructor_name] = STATE(4494),
    [sym_tag] = STATE(4566),
    [aux_sym_class_application_repeat1] = STATE(2468),
    [sym__lowercase_identifier] = ACTIONS(4183),
    [anon_sym_SEMI_SEMI] = ACTIONS(3795),
    [anon_sym_let] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(4185),
    [anon_sym_QMARK] = ACTIONS(4185),
    [anon_sym_LPAREN] = ACTIONS(311),
    [anon_sym_external] = ACTIONS(3797),
    [anon_sym_type] = ACTIONS(3797),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(317),
    [anon_sym_false] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(319),
    [anon_sym_SEMI] = ACTIONS(3797),
    [anon_sym_exception] = ACTIONS(3797),
    [anon_sym_module] = ACTIONS(3797),
    [anon_sym_open] = ACTIONS(3797),
    [anon_sym_include] = ACTIONS(3797),
    [anon_sym_class] = ACTIONS(3797),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(329),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(333),
    [anon_sym_new] = ACTIONS(343),
    [anon_sym_LBRACE_LT] = ACTIONS(345),
    [anon_sym_begin] = ACTIONS(347),
    [sym_ocamlyacc_value] = ACTIONS(349),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(353),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(355),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(357),
    [anon_sym_DQUOTE] = ACTIONS(359),
    [sym_prefix_operator] = ACTIONS(361),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(367),
    [aux_sym_directive_token1] = ACTIONS(3795),
    [aux_sym_tag_token1] = ACTIONS(371),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym__simple_expression] = STATE(4989),
    [sym_typed_expression] = STATE(4928),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_labeled_argument] = STATE(5435),
    [sym_prefix_expression] = STATE(4928),
    [sym_hash_expression] = STATE(4928),
    [sym_field_get_expression] = STATE(4928),
    [sym_array_get_expression] = STATE(4928),
    [sym_string_get_expression] = STATE(4928),
    [sym_bigarray_get_expression] = STATE(4928),
    [sym_coercion_expression] = STATE(4928),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(2471),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [aux_sym_class_application_repeat1] = STATE(2474),
    [sym__lowercase_identifier] = ACTIONS(4553),
    [anon_sym_TILDE] = ACTIONS(4555),
    [anon_sym_QMARK] = ACTIONS(4555),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_DOT] = ACTIONS(4557),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_constraint] = ACTIONS(3193),
    [anon_sym_val] = ACTIONS(3193),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_inherit] = ACTIONS(3193),
    [anon_sym_method] = ACTIONS(3193),
    [anon_sym_initializer] = ACTIONS(3193),
    [anon_sym_POUND] = ACTIONS(4559),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(965),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(967),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(4561),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym__simple_expression] = STATE(5060),
    [sym_typed_expression] = STATE(5046),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_labeled_argument] = STATE(5541),
    [sym_prefix_expression] = STATE(5046),
    [sym_hash_expression] = STATE(5046),
    [sym_field_get_expression] = STATE(5046),
    [sym_array_get_expression] = STATE(5046),
    [sym_string_get_expression] = STATE(5046),
    [sym_bigarray_get_expression] = STATE(5046),
    [sym_coercion_expression] = STATE(5046),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2472),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [aux_sym_class_application_repeat1] = STATE(2480),
    [sym__lowercase_identifier] = ACTIONS(4563),
    [anon_sym_TILDE] = ACTIONS(4565),
    [anon_sym_QMARK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_DOT] = ACTIONS(4567),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_constraint] = ACTIONS(3193),
    [anon_sym_val] = ACTIONS(3193),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_inherit] = ACTIONS(3193),
    [anon_sym_method] = ACTIONS(3193),
    [anon_sym_initializer] = ACTIONS(3193),
    [anon_sym_POUND] = ACTIONS(4569),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3193),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1041),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3191),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3191),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(4571),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym__simple_expression] = STATE(5150),
    [sym_typed_expression] = STATE(5146),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_labeled_argument] = STATE(5715),
    [sym_prefix_expression] = STATE(5146),
    [sym_hash_expression] = STATE(5146),
    [sym_field_get_expression] = STATE(5146),
    [sym_array_get_expression] = STATE(5146),
    [sym_string_get_expression] = STATE(5146),
    [sym_bigarray_get_expression] = STATE(5146),
    [sym_coercion_expression] = STATE(5146),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [aux_sym_class_application_repeat1] = STATE(2488),
    [sym__lowercase_identifier] = ACTIONS(4573),
    [anon_sym_COLON_GT] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(4575),
    [anon_sym_QMARK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_COLON2] = ACTIONS(3193),
    [anon_sym_DOT] = ACTIONS(4577),
    [anon_sym_DASH_GT] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_POUND] = ACTIONS(4579),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3191),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_GT_RBRACE] = ACTIONS(3191),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(4581),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym__simple_expression] = STATE(4989),
    [sym_typed_expression] = STATE(4928),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_labeled_argument] = STATE(5435),
    [sym_prefix_expression] = STATE(4928),
    [sym_hash_expression] = STATE(4928),
    [sym_field_get_expression] = STATE(4928),
    [sym_array_get_expression] = STATE(4928),
    [sym_string_get_expression] = STATE(4928),
    [sym_bigarray_get_expression] = STATE(4928),
    [sym_coercion_expression] = STATE(4928),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [aux_sym_class_application_repeat1] = STATE(2477),
    [sym__lowercase_identifier] = ACTIONS(4553),
    [anon_sym_TILDE] = ACTIONS(4555),
    [anon_sym_QMARK] = ACTIONS(4555),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_constraint] = ACTIONS(3797),
    [anon_sym_val] = ACTIONS(3797),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_inherit] = ACTIONS(3797),
    [anon_sym_method] = ACTIONS(3797),
    [anon_sym_initializer] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_LBRACE_LT] = ACTIONS(959),
    [anon_sym_begin] = ACTIONS(961),
    [sym_ocamlyacc_value] = ACTIONS(963),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(965),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(967),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(969),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [sym_prefix_operator] = ACTIONS(975),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(979),
    [aux_sym_tag_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym__simple_expression] = STATE(5415),
    [sym_typed_expression] = STATE(5320),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_labeled_argument] = STATE(5860),
    [sym_prefix_expression] = STATE(5320),
    [sym_hash_expression] = STATE(5320),
    [sym_field_get_expression] = STATE(5320),
    [sym_array_get_expression] = STATE(5320),
    [sym_string_get_expression] = STATE(5320),
    [sym_bigarray_get_expression] = STATE(5320),
    [sym_coercion_expression] = STATE(5320),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2475),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [aux_sym_class_application_repeat1] = STATE(2500),
    [sym__lowercase_identifier] = ACTIONS(4583),
    [anon_sym_COLON_GT] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_COLON2] = ACTIONS(3193),
    [anon_sym_DOT] = ACTIONS(4587),
    [anon_sym_DASH_GT] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_POUND] = ACTIONS(4589),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3191),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_GT_RBRACE] = ACTIONS(3191),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(4591),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym__simple_expression] = STATE(5288),
    [sym_typed_expression] = STATE(5438),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_labeled_argument] = STATE(5841),
    [sym_prefix_expression] = STATE(5438),
    [sym_hash_expression] = STATE(5438),
    [sym_field_get_expression] = STATE(5438),
    [sym_array_get_expression] = STATE(5438),
    [sym_string_get_expression] = STATE(5438),
    [sym_bigarray_get_expression] = STATE(5438),
    [sym_coercion_expression] = STATE(5438),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(2476),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [aux_sym_class_application_repeat1] = STATE(2501),
    [sym__lowercase_identifier] = ACTIONS(4593),
    [anon_sym_COLON_GT] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(4595),
    [anon_sym_QMARK] = ACTIONS(4595),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_COLON2] = ACTIONS(3193),
    [anon_sym_DOT] = ACTIONS(4597),
    [anon_sym_DASH_GT] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_POUND] = ACTIONS(4599),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_GT_RBRACE] = ACTIONS(3191),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(4601),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym__simple_expression] = STATE(4989),
    [sym_typed_expression] = STATE(4928),
    [sym_list_expression] = STATE(4928),
    [sym_array_expression] = STATE(4928),
    [sym_record_expression] = STATE(4928),
    [sym_labeled_argument] = STATE(5435),
    [sym_prefix_expression] = STATE(4928),
    [sym_hash_expression] = STATE(4928),
    [sym_field_get_expression] = STATE(4928),
    [sym_array_get_expression] = STATE(4928),
    [sym_string_get_expression] = STATE(4928),
    [sym_bigarray_get_expression] = STATE(4928),
    [sym_coercion_expression] = STATE(4928),
    [sym_local_open_expression] = STATE(4928),
    [sym_package_expression] = STATE(4928),
    [sym_new_expression] = STATE(4928),
    [sym_object_copy_expression] = STATE(4928),
    [sym_method_invocation] = STATE(4928),
    [sym_object_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4928),
    [sym_attribute] = STATE(2477),
    [sym_extension] = STATE(4928),
    [sym_quoted_extension] = STATE(4928),
    [sym__constant] = STATE(4928),
    [sym_number] = STATE(4973),
    [sym_character] = STATE(4973),
    [sym_string] = STATE(4973),
    [sym_quoted_string] = STATE(4973),
    [sym_boolean] = STATE(4973),
    [sym_unit] = STATE(4973),
    [sym__value_name] = STATE(4977),
    [sym_parenthesized_operator] = STATE(4997),
    [sym_value_path] = STATE(4928),
    [sym_module_path] = STATE(19436),
    [sym_constructor_path] = STATE(4928),
    [sym__constructor_name] = STATE(5011),
    [sym_tag] = STATE(4928),
    [aux_sym_class_application_repeat1] = STATE(2477),
    [sym__lowercase_identifier] = ACTIONS(4603),
    [anon_sym_TILDE] = ACTIONS(4606),
    [anon_sym_QMARK] = ACTIONS(4606),
    [anon_sym_LPAREN] = ACTIONS(4609),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4612),
    [anon_sym_true] = ACTIONS(4615),
    [anon_sym_false] = ACTIONS(4615),
    [anon_sym_LBRACE] = ACTIONS(4618),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_constraint] = ACTIONS(3804),
    [anon_sym_val] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4621),
    [anon_sym_inherit] = ACTIONS(3804),
    [anon_sym_method] = ACTIONS(3804),
    [anon_sym_initializer] = ACTIONS(3804),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4624),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(4627),
    [anon_sym_LBRACE_LT] = ACTIONS(4630),
    [anon_sym_begin] = ACTIONS(4633),
    [sym_ocamlyacc_value] = ACTIONS(4636),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4642),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4645),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4648),
    [anon_sym_DQUOTE] = ACTIONS(4651),
    [sym_prefix_operator] = ACTIONS(4654),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4657),
    [aux_sym_tag_token1] = ACTIONS(4660),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym__simple_expression] = STATE(5510),
    [sym_typed_expression] = STATE(5570),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_labeled_argument] = STATE(6046),
    [sym_prefix_expression] = STATE(5570),
    [sym_hash_expression] = STATE(5570),
    [sym_field_get_expression] = STATE(5570),
    [sym_array_get_expression] = STATE(5570),
    [sym_string_get_expression] = STATE(5570),
    [sym_bigarray_get_expression] = STATE(5570),
    [sym_coercion_expression] = STATE(5570),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [aux_sym_class_application_repeat1] = STATE(2505),
    [sym__lowercase_identifier] = ACTIONS(4663),
    [anon_sym_COLON_GT] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(4665),
    [anon_sym_QMARK] = ACTIONS(4665),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_RBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_COLON2] = ACTIONS(3193),
    [anon_sym_DOT] = ACTIONS(4667),
    [anon_sym_DASH_GT] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_POUND] = ACTIONS(4669),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_GT_RBRACE] = ACTIONS(3191),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(4671),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym__simple_expression] = STATE(5060),
    [sym_typed_expression] = STATE(5046),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_labeled_argument] = STATE(5541),
    [sym_prefix_expression] = STATE(5046),
    [sym_hash_expression] = STATE(5046),
    [sym_field_get_expression] = STATE(5046),
    [sym_array_get_expression] = STATE(5046),
    [sym_string_get_expression] = STATE(5046),
    [sym_bigarray_get_expression] = STATE(5046),
    [sym_coercion_expression] = STATE(5046),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2479),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [aux_sym_class_application_repeat1] = STATE(2479),
    [sym__lowercase_identifier] = ACTIONS(4673),
    [anon_sym_TILDE] = ACTIONS(4676),
    [anon_sym_QMARK] = ACTIONS(4676),
    [anon_sym_LPAREN] = ACTIONS(4679),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4682),
    [anon_sym_true] = ACTIONS(4685),
    [anon_sym_false] = ACTIONS(4685),
    [anon_sym_LBRACE] = ACTIONS(4688),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_constraint] = ACTIONS(3804),
    [anon_sym_val] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(4691),
    [anon_sym_inherit] = ACTIONS(3804),
    [anon_sym_method] = ACTIONS(3804),
    [anon_sym_initializer] = ACTIONS(3804),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4694),
    [anon_sym_new] = ACTIONS(4697),
    [anon_sym_LBRACE_LT] = ACTIONS(4700),
    [anon_sym_begin] = ACTIONS(4703),
    [sym_ocamlyacc_value] = ACTIONS(4706),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4712),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(4715),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4718),
    [anon_sym_DQUOTE] = ACTIONS(4721),
    [sym_prefix_operator] = ACTIONS(4724),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4727),
    [aux_sym_tag_token1] = ACTIONS(4730),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym__simple_expression] = STATE(5060),
    [sym_typed_expression] = STATE(5046),
    [sym_list_expression] = STATE(5046),
    [sym_array_expression] = STATE(5046),
    [sym_record_expression] = STATE(5046),
    [sym_labeled_argument] = STATE(5541),
    [sym_prefix_expression] = STATE(5046),
    [sym_hash_expression] = STATE(5046),
    [sym_field_get_expression] = STATE(5046),
    [sym_array_get_expression] = STATE(5046),
    [sym_string_get_expression] = STATE(5046),
    [sym_bigarray_get_expression] = STATE(5046),
    [sym_coercion_expression] = STATE(5046),
    [sym_local_open_expression] = STATE(5046),
    [sym_package_expression] = STATE(5046),
    [sym_new_expression] = STATE(5046),
    [sym_object_copy_expression] = STATE(5046),
    [sym_method_invocation] = STATE(5046),
    [sym_object_expression] = STATE(5046),
    [sym_parenthesized_expression] = STATE(5046),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(5046),
    [sym_quoted_extension] = STATE(5046),
    [sym__constant] = STATE(5046),
    [sym_number] = STATE(5045),
    [sym_character] = STATE(5045),
    [sym_string] = STATE(5045),
    [sym_quoted_string] = STATE(5045),
    [sym_boolean] = STATE(5045),
    [sym_unit] = STATE(5045),
    [sym__value_name] = STATE(5114),
    [sym_parenthesized_operator] = STATE(5127),
    [sym_value_path] = STATE(5046),
    [sym_module_path] = STATE(20744),
    [sym_constructor_path] = STATE(5046),
    [sym__constructor_name] = STATE(5040),
    [sym_tag] = STATE(5046),
    [aux_sym_class_application_repeat1] = STATE(2479),
    [sym__lowercase_identifier] = ACTIONS(4563),
    [anon_sym_TILDE] = ACTIONS(4565),
    [anon_sym_QMARK] = ACTIONS(4565),
    [anon_sym_LPAREN] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_true] = ACTIONS(1013),
    [anon_sym_false] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_constraint] = ACTIONS(3797),
    [anon_sym_val] = ACTIONS(3797),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(1017),
    [anon_sym_inherit] = ACTIONS(3797),
    [anon_sym_method] = ACTIONS(3797),
    [anon_sym_initializer] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1021),
    [anon_sym_new] = ACTIONS(1031),
    [anon_sym_LBRACE_LT] = ACTIONS(1033),
    [anon_sym_begin] = ACTIONS(1035),
    [sym_ocamlyacc_value] = ACTIONS(1037),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3797),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1039),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1041),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3795),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3795),
    [aux_sym_number_token1] = ACTIONS(1043),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [sym_prefix_operator] = ACTIONS(1049),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(1053),
    [aux_sym_tag_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym__parenthesized_abstract_type] = STATE(4454),
    [sym__simple_binding_pattern] = STATE(5643),
    [sym__binding_pattern] = STATE(5684),
    [sym_alias_binding_pattern] = STATE(5643),
    [sym_typed_binding_pattern] = STATE(5647),
    [sym__or_binding_pattern_anonymous] = STATE(5657),
    [sym_constructor_binding_pattern] = STATE(5643),
    [sym_tag_binding_pattern] = STATE(5643),
    [sym_polymorphic_variant_pattern] = STATE(5647),
    [sym_labeled_tuple_element_binding_pattern] = STATE(19148),
    [sym__tuple_binding_pattern] = STATE(5690),
    [sym_record_binding_pattern] = STATE(5738),
    [sym_list_binding_pattern] = STATE(5588),
    [sym_cons_binding_pattern] = STATE(5643),
    [sym_array_binding_pattern] = STATE(5590),
    [sym_range_pattern] = STATE(5643),
    [sym_lazy_binding_pattern] = STATE(5643),
    [sym_local_open_binding_pattern] = STATE(5647),
    [sym_package_pattern] = STATE(5647),
    [sym_parenthesized_binding_pattern] = STATE(5647),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(5647),
    [sym_quoted_extension] = STATE(5647),
    [sym__constant] = STATE(5518),
    [sym__signed_constant] = STATE(5516),
    [sym_number] = STATE(5550),
    [sym_signed_number] = STATE(5518),
    [sym_character] = STATE(5550),
    [sym_string] = STATE(5550),
    [sym_quoted_string] = STATE(5550),
    [sym_boolean] = STATE(5550),
    [sym_unit] = STATE(5550),
    [sym__value_name] = STATE(5647),
    [sym_parenthesized_operator] = STATE(5662),
    [sym_module_path] = STATE(18981),
    [sym_constructor_path] = STATE(2481),
    [sym__constructor_name] = STATE(5554),
    [sym_tag] = STATE(2492),
    [sym__lowercase_identifier] = ACTIONS(4733),
    [anon_sym_SEMI_SEMI] = ACTIONS(4735),
    [anon_sym_let] = ACTIONS(4737),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(4741),
    [anon_sym_external] = ACTIONS(4737),
    [anon_sym_type] = ACTIONS(4737),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(4743),
    [anon_sym_true] = ACTIONS(4745),
    [anon_sym_false] = ACTIONS(4745),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4747),
    [anon_sym_exception] = ACTIONS(4737),
    [anon_sym_module] = ACTIONS(4737),
    [anon_sym_open] = ACTIONS(4737),
    [anon_sym_include] = ACTIONS(4737),
    [anon_sym_class] = ACTIONS(4737),
    [anon_sym_end] = ACTIONS(4737),
    [anon_sym_in] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(4749),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4751),
    [anon_sym_lazy] = ACTIONS(4753),
    [anon_sym_begin] = ACTIONS(4755),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4737),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4759),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4735),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4735),
    [aux_sym_number_token1] = ACTIONS(4761),
    [aux_sym_signed_number_token1] = ACTIONS(4763),
    [anon_sym_SQUOTE] = ACTIONS(4765),
    [anon_sym_DQUOTE] = ACTIONS(4767),
    [sym_let_operator] = ACTIONS(4735),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(4769),
    [aux_sym_directive_token1] = ACTIONS(4737),
    [aux_sym_tag_token1] = ACTIONS(4771),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym__parenthesized_abstract_type] = STATE(4749),
    [sym__simple_binding_pattern] = STATE(5711),
    [sym__binding_pattern] = STATE(5725),
    [sym_alias_binding_pattern] = STATE(5711),
    [sym_typed_binding_pattern] = STATE(5680),
    [sym__or_binding_pattern_anonymous] = STATE(5651),
    [sym_constructor_binding_pattern] = STATE(5711),
    [sym_tag_binding_pattern] = STATE(5711),
    [sym_polymorphic_variant_pattern] = STATE(5680),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20687),
    [sym__tuple_binding_pattern] = STATE(5683),
    [sym_record_binding_pattern] = STATE(5688),
    [sym_list_binding_pattern] = STATE(5605),
    [sym_cons_binding_pattern] = STATE(5711),
    [sym_array_binding_pattern] = STATE(5609),
    [sym_range_pattern] = STATE(5711),
    [sym_lazy_binding_pattern] = STATE(5711),
    [sym_local_open_binding_pattern] = STATE(5680),
    [sym_package_pattern] = STATE(5680),
    [sym_parenthesized_binding_pattern] = STATE(5680),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(5680),
    [sym_quoted_extension] = STATE(5680),
    [sym__constant] = STATE(5483),
    [sym__signed_constant] = STATE(5522),
    [sym_number] = STATE(5539),
    [sym_signed_number] = STATE(5483),
    [sym_character] = STATE(5539),
    [sym_string] = STATE(5539),
    [sym_quoted_string] = STATE(5539),
    [sym_boolean] = STATE(5539),
    [sym_unit] = STATE(5539),
    [sym__value_name] = STATE(5680),
    [sym_parenthesized_operator] = STATE(5674),
    [sym_module_path] = STATE(21428),
    [sym_constructor_path] = STATE(2482),
    [sym__constructor_name] = STATE(5568),
    [sym_tag] = STATE(2494),
    [sym__lowercase_identifier] = ACTIONS(4773),
    [anon_sym_SEMI_SEMI] = ACTIONS(4735),
    [anon_sym_let] = ACTIONS(4737),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(4775),
    [anon_sym_external] = ACTIONS(4737),
    [anon_sym_type] = ACTIONS(4737),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(4777),
    [anon_sym_RBRACK] = ACTIONS(4735),
    [anon_sym_true] = ACTIONS(4779),
    [anon_sym_false] = ACTIONS(4779),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4781),
    [anon_sym_exception] = ACTIONS(4737),
    [anon_sym_module] = ACTIONS(4737),
    [anon_sym_open] = ACTIONS(4737),
    [anon_sym_include] = ACTIONS(4737),
    [anon_sym_class] = ACTIONS(4737),
    [anon_sym_in] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(4783),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4785),
    [anon_sym_lazy] = ACTIONS(4787),
    [anon_sym_begin] = ACTIONS(4789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4737),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4735),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4735),
    [aux_sym_number_token1] = ACTIONS(4795),
    [aux_sym_signed_number_token1] = ACTIONS(4797),
    [anon_sym_SQUOTE] = ACTIONS(4799),
    [anon_sym_DQUOTE] = ACTIONS(4801),
    [sym_let_operator] = ACTIONS(4735),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(4803),
    [aux_sym_directive_token1] = ACTIONS(4737),
    [aux_sym_tag_token1] = ACTIONS(4805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym__abstract_type] = STATE(21448),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14432),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2483),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19893),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4813),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4827),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4831),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4849),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4849),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4849),
    [sym_let_and_operator] = ACTIONS(4849),
    [sym_match_operator] = ACTIONS(4849),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym__abstract_type] = STATE(19452),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14570),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20575),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4855),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4857),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4859),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4863),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4863),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4863),
    [sym_let_and_operator] = ACTIONS(4863),
    [sym_match_operator] = ACTIONS(4863),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym__simple_expression] = STATE(5150),
    [sym_typed_expression] = STATE(5146),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_labeled_argument] = STATE(5715),
    [sym_prefix_expression] = STATE(5146),
    [sym_hash_expression] = STATE(5146),
    [sym_field_get_expression] = STATE(5146),
    [sym_array_get_expression] = STATE(5146),
    [sym_string_get_expression] = STATE(5146),
    [sym_bigarray_get_expression] = STATE(5146),
    [sym_coercion_expression] = STATE(5146),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2485),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [aux_sym_class_application_repeat1] = STATE(2485),
    [sym__lowercase_identifier] = ACTIONS(4865),
    [anon_sym_COLON_GT] = ACTIONS(3802),
    [anon_sym_TILDE] = ACTIONS(4868),
    [anon_sym_QMARK] = ACTIONS(4868),
    [anon_sym_LPAREN] = ACTIONS(4871),
    [anon_sym_RPAREN] = ACTIONS(3802),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(4874),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(4877),
    [anon_sym_false] = ACTIONS(4877),
    [anon_sym_COLON2] = ACTIONS(3804),
    [anon_sym_DASH_GT] = ACTIONS(3804),
    [anon_sym_LBRACE] = ACTIONS(4880),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_RBRACE] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(4883),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4886),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3802),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(4889),
    [anon_sym_LBRACE_LT] = ACTIONS(4892),
    [anon_sym_GT_RBRACE] = ACTIONS(3802),
    [anon_sym_begin] = ACTIONS(4895),
    [sym_ocamlyacc_value] = ACTIONS(4898),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4901),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4904),
    [aux_sym_number_token1] = ACTIONS(4907),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(4910),
    [anon_sym_DQUOTE] = ACTIONS(4913),
    [sym_prefix_operator] = ACTIONS(4916),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(4919),
    [aux_sym_tag_token1] = ACTIONS(4922),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym__abstract_type] = STATE(19892),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14369),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(18752),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4925),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4927),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4933),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4933),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4933),
    [sym_let_and_operator] = ACTIONS(4933),
    [sym_match_operator] = ACTIONS(4933),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym__abstract_type] = STATE(18880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14656),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym__simple_expression] = STATE(5150),
    [sym_typed_expression] = STATE(5146),
    [sym_list_expression] = STATE(5146),
    [sym_array_expression] = STATE(5146),
    [sym_record_expression] = STATE(5146),
    [sym_labeled_argument] = STATE(5715),
    [sym_prefix_expression] = STATE(5146),
    [sym_hash_expression] = STATE(5146),
    [sym_field_get_expression] = STATE(5146),
    [sym_array_get_expression] = STATE(5146),
    [sym_string_get_expression] = STATE(5146),
    [sym_bigarray_get_expression] = STATE(5146),
    [sym_coercion_expression] = STATE(5146),
    [sym_local_open_expression] = STATE(5146),
    [sym_package_expression] = STATE(5146),
    [sym_new_expression] = STATE(5146),
    [sym_object_copy_expression] = STATE(5146),
    [sym_method_invocation] = STATE(5146),
    [sym_object_expression] = STATE(5146),
    [sym_parenthesized_expression] = STATE(5146),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(5146),
    [sym_quoted_extension] = STATE(5146),
    [sym__constant] = STATE(5146),
    [sym_number] = STATE(5265),
    [sym_character] = STATE(5265),
    [sym_string] = STATE(5265),
    [sym_quoted_string] = STATE(5265),
    [sym_boolean] = STATE(5265),
    [sym_unit] = STATE(5265),
    [sym__value_name] = STATE(5148),
    [sym_parenthesized_operator] = STATE(5181),
    [sym_value_path] = STATE(5146),
    [sym_module_path] = STATE(18785),
    [sym_constructor_path] = STATE(5146),
    [sym__constructor_name] = STATE(5266),
    [sym_tag] = STATE(5146),
    [aux_sym_class_application_repeat1] = STATE(2485),
    [sym__lowercase_identifier] = ACTIONS(4573),
    [anon_sym_COLON_GT] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(4575),
    [anon_sym_QMARK] = ACTIONS(4575),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_RPAREN] = ACTIONS(3795),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(1129),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(1131),
    [anon_sym_false] = ACTIONS(1131),
    [anon_sym_COLON2] = ACTIONS(3797),
    [anon_sym_DASH_GT] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_RBRACE] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(1135),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1139),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3795),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_LBRACE_LT] = ACTIONS(1151),
    [anon_sym_GT_RBRACE] = ACTIONS(3795),
    [anon_sym_begin] = ACTIONS(1153),
    [sym_ocamlyacc_value] = ACTIONS(1155),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1157),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1161),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [sym_prefix_operator] = ACTIONS(1167),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(1171),
    [aux_sym_tag_token1] = ACTIONS(1173),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym__abstract_type] = STATE(18880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14648),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19006),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4939),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4941),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4943),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4945),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4947),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4947),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4947),
    [sym_let_and_operator] = ACTIONS(4947),
    [sym_match_operator] = ACTIONS(4947),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym__abstract_type] = STATE(20788),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14544),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(21030),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4949),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4951),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4953),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4955),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4957),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4957),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym_match_operator] = ACTIONS(4957),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym__parenthesized_abstract_type] = STATE(4625),
    [sym__simple_binding_pattern] = STATE(5846),
    [sym__binding_pattern] = STATE(5941),
    [sym_alias_binding_pattern] = STATE(5846),
    [sym_typed_binding_pattern] = STATE(5948),
    [sym__or_binding_pattern_anonymous] = STATE(5759),
    [sym_constructor_binding_pattern] = STATE(5846),
    [sym_tag_binding_pattern] = STATE(5846),
    [sym_polymorphic_variant_pattern] = STATE(5948),
    [sym_labeled_tuple_element_binding_pattern] = STATE(19749),
    [sym__tuple_binding_pattern] = STATE(5762),
    [sym_record_binding_pattern] = STATE(5771),
    [sym_list_binding_pattern] = STATE(5785),
    [sym_cons_binding_pattern] = STATE(5846),
    [sym_array_binding_pattern] = STATE(5845),
    [sym_range_pattern] = STATE(5846),
    [sym_lazy_binding_pattern] = STATE(5846),
    [sym_local_open_binding_pattern] = STATE(5948),
    [sym_package_pattern] = STATE(5948),
    [sym_parenthesized_binding_pattern] = STATE(5948),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(5948),
    [sym_quoted_extension] = STATE(5948),
    [sym__constant] = STATE(5636),
    [sym__signed_constant] = STATE(5664),
    [sym_number] = STATE(5626),
    [sym_signed_number] = STATE(5636),
    [sym_character] = STATE(5626),
    [sym_string] = STATE(5626),
    [sym_quoted_string] = STATE(5626),
    [sym_boolean] = STATE(5626),
    [sym_unit] = STATE(5626),
    [sym__value_name] = STATE(5948),
    [sym_parenthesized_operator] = STATE(5857),
    [sym_module_path] = STATE(18492),
    [sym_constructor_path] = STATE(2491),
    [sym__constructor_name] = STATE(5635),
    [sym_tag] = STATE(2498),
    [sym__lowercase_identifier] = ACTIONS(4959),
    [anon_sym_SEMI_SEMI] = ACTIONS(4735),
    [anon_sym_let] = ACTIONS(4737),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(4961),
    [anon_sym_external] = ACTIONS(4737),
    [anon_sym_type] = ACTIONS(4737),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4735),
    [anon_sym_true] = ACTIONS(4965),
    [anon_sym_false] = ACTIONS(4965),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4967),
    [anon_sym_exception] = ACTIONS(4737),
    [anon_sym_module] = ACTIONS(4737),
    [anon_sym_open] = ACTIONS(4737),
    [anon_sym_include] = ACTIONS(4737),
    [anon_sym_class] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4971),
    [anon_sym_lazy] = ACTIONS(4973),
    [anon_sym_begin] = ACTIONS(4975),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4737),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4979),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4735),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4735),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_let_operator] = ACTIONS(4735),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(4989),
    [aux_sym_directive_token1] = ACTIONS(4737),
    [aux_sym_tag_token1] = ACTIONS(4991),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym__simple_binding_pattern] = STATE(5643),
    [sym__binding_pattern] = STATE(5697),
    [sym_alias_binding_pattern] = STATE(5643),
    [sym_typed_binding_pattern] = STATE(5647),
    [sym__or_binding_pattern_anonymous] = STATE(5657),
    [sym_constructor_binding_pattern] = STATE(5643),
    [sym_tag_binding_pattern] = STATE(5643),
    [sym_polymorphic_variant_pattern] = STATE(5647),
    [sym_labeled_tuple_element_binding_pattern] = STATE(19148),
    [sym__tuple_binding_pattern] = STATE(5690),
    [sym_record_binding_pattern] = STATE(5738),
    [sym_list_binding_pattern] = STATE(5588),
    [sym_cons_binding_pattern] = STATE(5643),
    [sym_array_binding_pattern] = STATE(5590),
    [sym_range_pattern] = STATE(5643),
    [sym_lazy_binding_pattern] = STATE(5643),
    [sym_local_open_binding_pattern] = STATE(5647),
    [sym_package_pattern] = STATE(5647),
    [sym_parenthesized_binding_pattern] = STATE(5647),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(5647),
    [sym_quoted_extension] = STATE(5647),
    [sym__constant] = STATE(5518),
    [sym__signed_constant] = STATE(5516),
    [sym_number] = STATE(5550),
    [sym_signed_number] = STATE(5518),
    [sym_character] = STATE(5550),
    [sym_string] = STATE(5550),
    [sym_quoted_string] = STATE(5550),
    [sym_boolean] = STATE(5550),
    [sym_unit] = STATE(5550),
    [sym__value_name] = STATE(5647),
    [sym_parenthesized_operator] = STATE(5662),
    [sym_module_path] = STATE(18981),
    [sym_constructor_path] = STATE(2481),
    [sym__constructor_name] = STATE(5554),
    [sym_tag] = STATE(2492),
    [sym__lowercase_identifier] = ACTIONS(4733),
    [anon_sym_SEMI_SEMI] = ACTIONS(4735),
    [anon_sym_let] = ACTIONS(4737),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(4993),
    [anon_sym_external] = ACTIONS(4737),
    [anon_sym_type] = ACTIONS(4737),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(4743),
    [anon_sym_true] = ACTIONS(4745),
    [anon_sym_false] = ACTIONS(4745),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4747),
    [anon_sym_exception] = ACTIONS(4737),
    [anon_sym_module] = ACTIONS(4737),
    [anon_sym_open] = ACTIONS(4737),
    [anon_sym_include] = ACTIONS(4737),
    [anon_sym_class] = ACTIONS(4737),
    [anon_sym_end] = ACTIONS(4737),
    [anon_sym_in] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(4749),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4751),
    [anon_sym_lazy] = ACTIONS(4753),
    [anon_sym_begin] = ACTIONS(4755),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4737),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4759),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4735),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4735),
    [aux_sym_number_token1] = ACTIONS(4761),
    [aux_sym_signed_number_token1] = ACTIONS(4763),
    [anon_sym_SQUOTE] = ACTIONS(4765),
    [anon_sym_DQUOTE] = ACTIONS(4767),
    [sym_let_operator] = ACTIONS(4735),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(4769),
    [aux_sym_directive_token1] = ACTIONS(4737),
    [aux_sym_tag_token1] = ACTIONS(4771),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym__abstract_type] = STATE(20358),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14636),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20759),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4995),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4997),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4999),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5003),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5003),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5003),
    [sym_let_and_operator] = ACTIONS(5003),
    [sym_match_operator] = ACTIONS(5003),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym__simple_binding_pattern] = STATE(5711),
    [sym__binding_pattern] = STATE(5726),
    [sym_alias_binding_pattern] = STATE(5711),
    [sym_typed_binding_pattern] = STATE(5680),
    [sym__or_binding_pattern_anonymous] = STATE(5651),
    [sym_constructor_binding_pattern] = STATE(5711),
    [sym_tag_binding_pattern] = STATE(5711),
    [sym_polymorphic_variant_pattern] = STATE(5680),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20687),
    [sym__tuple_binding_pattern] = STATE(5683),
    [sym_record_binding_pattern] = STATE(5688),
    [sym_list_binding_pattern] = STATE(5605),
    [sym_cons_binding_pattern] = STATE(5711),
    [sym_array_binding_pattern] = STATE(5609),
    [sym_range_pattern] = STATE(5711),
    [sym_lazy_binding_pattern] = STATE(5711),
    [sym_local_open_binding_pattern] = STATE(5680),
    [sym_package_pattern] = STATE(5680),
    [sym_parenthesized_binding_pattern] = STATE(5680),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(5680),
    [sym_quoted_extension] = STATE(5680),
    [sym__constant] = STATE(5483),
    [sym__signed_constant] = STATE(5522),
    [sym_number] = STATE(5539),
    [sym_signed_number] = STATE(5483),
    [sym_character] = STATE(5539),
    [sym_string] = STATE(5539),
    [sym_quoted_string] = STATE(5539),
    [sym_boolean] = STATE(5539),
    [sym_unit] = STATE(5539),
    [sym__value_name] = STATE(5680),
    [sym_parenthesized_operator] = STATE(5674),
    [sym_module_path] = STATE(21428),
    [sym_constructor_path] = STATE(2482),
    [sym__constructor_name] = STATE(5568),
    [sym_tag] = STATE(2494),
    [sym__lowercase_identifier] = ACTIONS(4773),
    [anon_sym_SEMI_SEMI] = ACTIONS(4735),
    [anon_sym_let] = ACTIONS(4737),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(5005),
    [anon_sym_external] = ACTIONS(4737),
    [anon_sym_type] = ACTIONS(4737),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(4777),
    [anon_sym_RBRACK] = ACTIONS(4735),
    [anon_sym_true] = ACTIONS(4779),
    [anon_sym_false] = ACTIONS(4779),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4781),
    [anon_sym_exception] = ACTIONS(4737),
    [anon_sym_module] = ACTIONS(4737),
    [anon_sym_open] = ACTIONS(4737),
    [anon_sym_include] = ACTIONS(4737),
    [anon_sym_class] = ACTIONS(4737),
    [anon_sym_in] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(4783),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4785),
    [anon_sym_lazy] = ACTIONS(4787),
    [anon_sym_begin] = ACTIONS(4789),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4737),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4791),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4793),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4735),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4735),
    [aux_sym_number_token1] = ACTIONS(4795),
    [aux_sym_signed_number_token1] = ACTIONS(4797),
    [anon_sym_SQUOTE] = ACTIONS(4799),
    [anon_sym_DQUOTE] = ACTIONS(4801),
    [sym_let_operator] = ACTIONS(4735),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(4803),
    [aux_sym_directive_token1] = ACTIONS(4737),
    [aux_sym_tag_token1] = ACTIONS(4805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym__abstract_type] = STATE(19165),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14527),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(18907),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(5007),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5009),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(5011),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5015),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5015),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5015),
    [sym_let_and_operator] = ACTIONS(5015),
    [sym_match_operator] = ACTIONS(5015),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym__parenthesized_abstract_type] = STATE(4493),
    [sym__simple_binding_pattern] = STATE(5824),
    [sym__binding_pattern] = STATE(5861),
    [sym_alias_binding_pattern] = STATE(5824),
    [sym_typed_binding_pattern] = STATE(5832),
    [sym__or_binding_pattern_anonymous] = STATE(5833),
    [sym_constructor_binding_pattern] = STATE(5824),
    [sym_tag_binding_pattern] = STATE(5824),
    [sym_polymorphic_variant_pattern] = STATE(5832),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20381),
    [sym__tuple_binding_pattern] = STATE(5835),
    [sym_record_binding_pattern] = STATE(5842),
    [sym_list_binding_pattern] = STATE(5956),
    [sym_cons_binding_pattern] = STATE(5824),
    [sym_array_binding_pattern] = STATE(5870),
    [sym_range_pattern] = STATE(5824),
    [sym_lazy_binding_pattern] = STATE(5824),
    [sym_local_open_binding_pattern] = STATE(5832),
    [sym_package_pattern] = STATE(5832),
    [sym_parenthesized_binding_pattern] = STATE(5832),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(5832),
    [sym_quoted_extension] = STATE(5832),
    [sym__constant] = STATE(5619),
    [sym__signed_constant] = STATE(5645),
    [sym_number] = STATE(5744),
    [sym_signed_number] = STATE(5619),
    [sym_character] = STATE(5744),
    [sym_string] = STATE(5744),
    [sym_quoted_string] = STATE(5744),
    [sym_boolean] = STATE(5744),
    [sym_unit] = STATE(5744),
    [sym__value_name] = STATE(5832),
    [sym_parenthesized_operator] = STATE(5790),
    [sym_module_path] = STATE(19838),
    [sym_constructor_path] = STATE(2496),
    [sym__constructor_name] = STATE(5723),
    [sym_tag] = STATE(2503),
    [sym__lowercase_identifier] = ACTIONS(5017),
    [anon_sym_SEMI_SEMI] = ACTIONS(4735),
    [anon_sym_let] = ACTIONS(4737),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(5019),
    [anon_sym_external] = ACTIONS(4737),
    [anon_sym_type] = ACTIONS(4737),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(5021),
    [anon_sym_true] = ACTIONS(5023),
    [anon_sym_false] = ACTIONS(5023),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(5025),
    [anon_sym_exception] = ACTIONS(4737),
    [anon_sym_module] = ACTIONS(4737),
    [anon_sym_open] = ACTIONS(4737),
    [anon_sym_include] = ACTIONS(4737),
    [anon_sym_class] = ACTIONS(4737),
    [anon_sym_end] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(5027),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5029),
    [anon_sym_lazy] = ACTIONS(5031),
    [anon_sym_begin] = ACTIONS(5033),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4737),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5035),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5037),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4735),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4735),
    [aux_sym_number_token1] = ACTIONS(5039),
    [aux_sym_signed_number_token1] = ACTIONS(5041),
    [anon_sym_SQUOTE] = ACTIONS(5043),
    [anon_sym_DQUOTE] = ACTIONS(5045),
    [sym_let_operator] = ACTIONS(4735),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(5047),
    [aux_sym_directive_token1] = ACTIONS(4737),
    [aux_sym_tag_token1] = ACTIONS(5049),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym__simple_expression] = STATE(5415),
    [sym_typed_expression] = STATE(5320),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_labeled_argument] = STATE(5860),
    [sym_prefix_expression] = STATE(5320),
    [sym_hash_expression] = STATE(5320),
    [sym_field_get_expression] = STATE(5320),
    [sym_array_get_expression] = STATE(5320),
    [sym_string_get_expression] = STATE(5320),
    [sym_bigarray_get_expression] = STATE(5320),
    [sym_coercion_expression] = STATE(5320),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__lowercase_identifier] = ACTIONS(5051),
    [anon_sym_COLON_GT] = ACTIONS(3802),
    [anon_sym_TILDE] = ACTIONS(5054),
    [anon_sym_QMARK] = ACTIONS(5054),
    [anon_sym_LPAREN] = ACTIONS(5057),
    [anon_sym_RPAREN] = ACTIONS(3802),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5060),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(5063),
    [anon_sym_false] = ACTIONS(5063),
    [anon_sym_COLON2] = ACTIONS(3804),
    [anon_sym_DASH_GT] = ACTIONS(3804),
    [anon_sym_LBRACE] = ACTIONS(5066),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_RBRACE] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(5069),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5072),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3802),
    [anon_sym_new] = ACTIONS(5075),
    [anon_sym_LBRACE_LT] = ACTIONS(5078),
    [anon_sym_GT_RBRACE] = ACTIONS(3802),
    [anon_sym_begin] = ACTIONS(5081),
    [sym_ocamlyacc_value] = ACTIONS(5084),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5090),
    [aux_sym_number_token1] = ACTIONS(5093),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(5096),
    [anon_sym_DQUOTE] = ACTIONS(5099),
    [sym_prefix_operator] = ACTIONS(5102),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(5105),
    [aux_sym_tag_token1] = ACTIONS(5108),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym__simple_binding_pattern] = STATE(5846),
    [sym__binding_pattern] = STATE(5789),
    [sym_alias_binding_pattern] = STATE(5846),
    [sym_typed_binding_pattern] = STATE(5948),
    [sym__or_binding_pattern_anonymous] = STATE(5759),
    [sym_constructor_binding_pattern] = STATE(5846),
    [sym_tag_binding_pattern] = STATE(5846),
    [sym_polymorphic_variant_pattern] = STATE(5948),
    [sym_labeled_tuple_element_binding_pattern] = STATE(19749),
    [sym__tuple_binding_pattern] = STATE(5762),
    [sym_record_binding_pattern] = STATE(5771),
    [sym_list_binding_pattern] = STATE(5785),
    [sym_cons_binding_pattern] = STATE(5846),
    [sym_array_binding_pattern] = STATE(5845),
    [sym_range_pattern] = STATE(5846),
    [sym_lazy_binding_pattern] = STATE(5846),
    [sym_local_open_binding_pattern] = STATE(5948),
    [sym_package_pattern] = STATE(5948),
    [sym_parenthesized_binding_pattern] = STATE(5948),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(5948),
    [sym_quoted_extension] = STATE(5948),
    [sym__constant] = STATE(5636),
    [sym__signed_constant] = STATE(5664),
    [sym_number] = STATE(5626),
    [sym_signed_number] = STATE(5636),
    [sym_character] = STATE(5626),
    [sym_string] = STATE(5626),
    [sym_quoted_string] = STATE(5626),
    [sym_boolean] = STATE(5626),
    [sym_unit] = STATE(5626),
    [sym__value_name] = STATE(5948),
    [sym_parenthesized_operator] = STATE(5857),
    [sym_module_path] = STATE(18492),
    [sym_constructor_path] = STATE(2491),
    [sym__constructor_name] = STATE(5635),
    [sym_tag] = STATE(2498),
    [sym__lowercase_identifier] = ACTIONS(4959),
    [anon_sym_SEMI_SEMI] = ACTIONS(4735),
    [anon_sym_let] = ACTIONS(4737),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(5111),
    [anon_sym_external] = ACTIONS(4737),
    [anon_sym_type] = ACTIONS(4737),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [anon_sym_RBRACK] = ACTIONS(4735),
    [anon_sym_true] = ACTIONS(4965),
    [anon_sym_false] = ACTIONS(4965),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4967),
    [anon_sym_exception] = ACTIONS(4737),
    [anon_sym_module] = ACTIONS(4737),
    [anon_sym_open] = ACTIONS(4737),
    [anon_sym_include] = ACTIONS(4737),
    [anon_sym_class] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(4969),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4971),
    [anon_sym_lazy] = ACTIONS(4973),
    [anon_sym_begin] = ACTIONS(4975),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4737),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4979),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4735),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4735),
    [aux_sym_number_token1] = ACTIONS(4981),
    [aux_sym_signed_number_token1] = ACTIONS(4983),
    [anon_sym_SQUOTE] = ACTIONS(4985),
    [anon_sym_DQUOTE] = ACTIONS(4987),
    [sym_let_operator] = ACTIONS(4735),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(4989),
    [aux_sym_directive_token1] = ACTIONS(4737),
    [aux_sym_tag_token1] = ACTIONS(4991),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym__simple_expression] = STATE(5288),
    [sym_typed_expression] = STATE(5438),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_labeled_argument] = STATE(5841),
    [sym_prefix_expression] = STATE(5438),
    [sym_hash_expression] = STATE(5438),
    [sym_field_get_expression] = STATE(5438),
    [sym_array_get_expression] = STATE(5438),
    [sym_string_get_expression] = STATE(5438),
    [sym_bigarray_get_expression] = STATE(5438),
    [sym_coercion_expression] = STATE(5438),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [aux_sym_class_application_repeat1] = STATE(2499),
    [sym__lowercase_identifier] = ACTIONS(5113),
    [anon_sym_COLON_GT] = ACTIONS(3802),
    [anon_sym_TILDE] = ACTIONS(5116),
    [anon_sym_QMARK] = ACTIONS(5116),
    [anon_sym_LPAREN] = ACTIONS(5119),
    [anon_sym_RPAREN] = ACTIONS(3802),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(5125),
    [anon_sym_false] = ACTIONS(5125),
    [anon_sym_COLON2] = ACTIONS(3804),
    [anon_sym_DASH_GT] = ACTIONS(3804),
    [anon_sym_LBRACE] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_RBRACE] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(5131),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5134),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(5137),
    [anon_sym_LBRACE_LT] = ACTIONS(5140),
    [anon_sym_GT_RBRACE] = ACTIONS(3802),
    [anon_sym_begin] = ACTIONS(5143),
    [sym_ocamlyacc_value] = ACTIONS(5146),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5152),
    [aux_sym_number_token1] = ACTIONS(5155),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(5158),
    [anon_sym_DQUOTE] = ACTIONS(5161),
    [sym_prefix_operator] = ACTIONS(5164),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(5167),
    [aux_sym_tag_token1] = ACTIONS(5170),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym__simple_expression] = STATE(5415),
    [sym_typed_expression] = STATE(5320),
    [sym_list_expression] = STATE(5320),
    [sym_array_expression] = STATE(5320),
    [sym_record_expression] = STATE(5320),
    [sym_labeled_argument] = STATE(5860),
    [sym_prefix_expression] = STATE(5320),
    [sym_hash_expression] = STATE(5320),
    [sym_field_get_expression] = STATE(5320),
    [sym_array_get_expression] = STATE(5320),
    [sym_string_get_expression] = STATE(5320),
    [sym_bigarray_get_expression] = STATE(5320),
    [sym_coercion_expression] = STATE(5320),
    [sym_local_open_expression] = STATE(5320),
    [sym_package_expression] = STATE(5320),
    [sym_new_expression] = STATE(5320),
    [sym_object_copy_expression] = STATE(5320),
    [sym_method_invocation] = STATE(5320),
    [sym_object_expression] = STATE(5320),
    [sym_parenthesized_expression] = STATE(5320),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(5320),
    [sym_quoted_extension] = STATE(5320),
    [sym__constant] = STATE(5320),
    [sym_number] = STATE(5414),
    [sym_character] = STATE(5414),
    [sym_string] = STATE(5414),
    [sym_quoted_string] = STATE(5414),
    [sym_boolean] = STATE(5414),
    [sym_unit] = STATE(5414),
    [sym__value_name] = STATE(5370),
    [sym_parenthesized_operator] = STATE(5314),
    [sym_value_path] = STATE(5320),
    [sym_module_path] = STATE(20172),
    [sym_constructor_path] = STATE(5320),
    [sym__constructor_name] = STATE(5429),
    [sym_tag] = STATE(5320),
    [aux_sym_class_application_repeat1] = STATE(2497),
    [sym__lowercase_identifier] = ACTIONS(4583),
    [anon_sym_COLON_GT] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(4585),
    [anon_sym_QMARK] = ACTIONS(4585),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_RPAREN] = ACTIONS(3795),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(1235),
    [anon_sym_false] = ACTIONS(1235),
    [anon_sym_COLON2] = ACTIONS(3797),
    [anon_sym_DASH_GT] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_RBRACE] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(1239),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1243),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3795),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACE_LT] = ACTIONS(1255),
    [anon_sym_GT_RBRACE] = ACTIONS(3795),
    [anon_sym_begin] = ACTIONS(1257),
    [sym_ocamlyacc_value] = ACTIONS(1259),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1261),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1263),
    [aux_sym_number_token1] = ACTIONS(1265),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [sym_prefix_operator] = ACTIONS(1271),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(1275),
    [aux_sym_tag_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym__simple_expression] = STATE(5288),
    [sym_typed_expression] = STATE(5438),
    [sym_list_expression] = STATE(5438),
    [sym_array_expression] = STATE(5438),
    [sym_record_expression] = STATE(5438),
    [sym_labeled_argument] = STATE(5841),
    [sym_prefix_expression] = STATE(5438),
    [sym_hash_expression] = STATE(5438),
    [sym_field_get_expression] = STATE(5438),
    [sym_array_get_expression] = STATE(5438),
    [sym_string_get_expression] = STATE(5438),
    [sym_bigarray_get_expression] = STATE(5438),
    [sym_coercion_expression] = STATE(5438),
    [sym_local_open_expression] = STATE(5438),
    [sym_package_expression] = STATE(5438),
    [sym_new_expression] = STATE(5438),
    [sym_object_copy_expression] = STATE(5438),
    [sym_method_invocation] = STATE(5438),
    [sym_object_expression] = STATE(5438),
    [sym_parenthesized_expression] = STATE(5438),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(5438),
    [sym_quoted_extension] = STATE(5438),
    [sym__constant] = STATE(5438),
    [sym_number] = STATE(5311),
    [sym_character] = STATE(5311),
    [sym_string] = STATE(5311),
    [sym_quoted_string] = STATE(5311),
    [sym_boolean] = STATE(5311),
    [sym_unit] = STATE(5311),
    [sym__value_name] = STATE(5289),
    [sym_parenthesized_operator] = STATE(5395),
    [sym_value_path] = STATE(5438),
    [sym_module_path] = STATE(19752),
    [sym_constructor_path] = STATE(5438),
    [sym__constructor_name] = STATE(5442),
    [sym_tag] = STATE(5438),
    [aux_sym_class_application_repeat1] = STATE(2499),
    [sym__lowercase_identifier] = ACTIONS(4593),
    [anon_sym_COLON_GT] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(4595),
    [anon_sym_QMARK] = ACTIONS(4595),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_RPAREN] = ACTIONS(3795),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(1077),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(1079),
    [anon_sym_false] = ACTIONS(1079),
    [anon_sym_COLON2] = ACTIONS(3797),
    [anon_sym_DASH_GT] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_RBRACE] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(1083),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1087),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_LBRACE_LT] = ACTIONS(1099),
    [anon_sym_GT_RBRACE] = ACTIONS(3795),
    [anon_sym_begin] = ACTIONS(1101),
    [sym_ocamlyacc_value] = ACTIONS(1103),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1105),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1107),
    [aux_sym_number_token1] = ACTIONS(1109),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [sym_prefix_operator] = ACTIONS(1115),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(1119),
    [aux_sym_tag_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym__simple_expression] = STATE(5763),
    [sym_typed_expression] = STATE(5921),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_labeled_argument] = STATE(6809),
    [sym_prefix_expression] = STATE(5921),
    [sym_hash_expression] = STATE(5921),
    [sym_field_get_expression] = STATE(5921),
    [sym_array_get_expression] = STATE(5921),
    [sym_string_get_expression] = STATE(5921),
    [sym_bigarray_get_expression] = STATE(5921),
    [sym_coercion_expression] = STATE(5921),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [aux_sym_class_application_repeat1] = STATE(2520),
    [sym__lowercase_identifier] = ACTIONS(5173),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(5175),
    [anon_sym_QMARK] = ACTIONS(5175),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(5177),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(3193),
    [anon_sym_POUND] = ACTIONS(5179),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5181),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym__simple_binding_pattern] = STATE(5824),
    [sym__binding_pattern] = STATE(5863),
    [sym_alias_binding_pattern] = STATE(5824),
    [sym_typed_binding_pattern] = STATE(5832),
    [sym__or_binding_pattern_anonymous] = STATE(5833),
    [sym_constructor_binding_pattern] = STATE(5824),
    [sym_tag_binding_pattern] = STATE(5824),
    [sym_polymorphic_variant_pattern] = STATE(5832),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20381),
    [sym__tuple_binding_pattern] = STATE(5835),
    [sym_record_binding_pattern] = STATE(5842),
    [sym_list_binding_pattern] = STATE(5956),
    [sym_cons_binding_pattern] = STATE(5824),
    [sym_array_binding_pattern] = STATE(5870),
    [sym_range_pattern] = STATE(5824),
    [sym_lazy_binding_pattern] = STATE(5824),
    [sym_local_open_binding_pattern] = STATE(5832),
    [sym_package_pattern] = STATE(5832),
    [sym_parenthesized_binding_pattern] = STATE(5832),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(5832),
    [sym_quoted_extension] = STATE(5832),
    [sym__constant] = STATE(5619),
    [sym__signed_constant] = STATE(5645),
    [sym_number] = STATE(5744),
    [sym_signed_number] = STATE(5619),
    [sym_character] = STATE(5744),
    [sym_string] = STATE(5744),
    [sym_quoted_string] = STATE(5744),
    [sym_boolean] = STATE(5744),
    [sym_unit] = STATE(5744),
    [sym__value_name] = STATE(5832),
    [sym_parenthesized_operator] = STATE(5790),
    [sym_module_path] = STATE(19838),
    [sym_constructor_path] = STATE(2496),
    [sym__constructor_name] = STATE(5723),
    [sym_tag] = STATE(2503),
    [sym__lowercase_identifier] = ACTIONS(5017),
    [anon_sym_SEMI_SEMI] = ACTIONS(4735),
    [anon_sym_let] = ACTIONS(4737),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(5183),
    [anon_sym_external] = ACTIONS(4737),
    [anon_sym_type] = ACTIONS(4737),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(5021),
    [anon_sym_true] = ACTIONS(5023),
    [anon_sym_false] = ACTIONS(5023),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(5025),
    [anon_sym_exception] = ACTIONS(4737),
    [anon_sym_module] = ACTIONS(4737),
    [anon_sym_open] = ACTIONS(4737),
    [anon_sym_include] = ACTIONS(4737),
    [anon_sym_class] = ACTIONS(4737),
    [anon_sym_end] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(5027),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5029),
    [anon_sym_lazy] = ACTIONS(5031),
    [anon_sym_begin] = ACTIONS(5033),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4737),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5035),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5037),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4735),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4735),
    [aux_sym_number_token1] = ACTIONS(5039),
    [aux_sym_signed_number_token1] = ACTIONS(5041),
    [anon_sym_SQUOTE] = ACTIONS(5043),
    [anon_sym_DQUOTE] = ACTIONS(5045),
    [sym_let_operator] = ACTIONS(4735),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(5047),
    [aux_sym_directive_token1] = ACTIONS(4737),
    [aux_sym_tag_token1] = ACTIONS(5049),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14656),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym__simple_expression] = STATE(5510),
    [sym_typed_expression] = STATE(5570),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_labeled_argument] = STATE(6046),
    [sym_prefix_expression] = STATE(5570),
    [sym_hash_expression] = STATE(5570),
    [sym_field_get_expression] = STATE(5570),
    [sym_array_get_expression] = STATE(5570),
    [sym_string_get_expression] = STATE(5570),
    [sym_bigarray_get_expression] = STATE(5570),
    [sym_coercion_expression] = STATE(5570),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [aux_sym_class_application_repeat1] = STATE(2513),
    [sym__lowercase_identifier] = ACTIONS(4663),
    [anon_sym_COLON_GT] = ACTIONS(3795),
    [anon_sym_TILDE] = ACTIONS(4665),
    [anon_sym_QMARK] = ACTIONS(4665),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_RPAREN] = ACTIONS(3795),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(1183),
    [anon_sym_false] = ACTIONS(1183),
    [anon_sym_COLON2] = ACTIONS(3797),
    [anon_sym_DASH_GT] = ACTIONS(3797),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_RBRACE] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(1187),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1191),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_LBRACE_LT] = ACTIONS(1203),
    [anon_sym_GT_RBRACE] = ACTIONS(3795),
    [anon_sym_begin] = ACTIONS(1205),
    [sym_ocamlyacc_value] = ACTIONS(1207),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1211),
    [aux_sym_number_token1] = ACTIONS(1213),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [sym_prefix_operator] = ACTIONS(1219),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(1223),
    [aux_sym_tag_token1] = ACTIONS(1225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym__simple_expression] = STATE(6032),
    [sym_typed_expression] = STATE(6013),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_labeled_argument] = STATE(7164),
    [sym_prefix_expression] = STATE(6013),
    [sym_hash_expression] = STATE(6013),
    [sym_field_get_expression] = STATE(6013),
    [sym_array_get_expression] = STATE(6013),
    [sym_string_get_expression] = STATE(6013),
    [sym_bigarray_get_expression] = STATE(6013),
    [sym_coercion_expression] = STATE(6013),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [aux_sym_class_application_repeat1] = STATE(2529),
    [sym__lowercase_identifier] = ACTIONS(5185),
    [anon_sym_and] = ACTIONS(3193),
    [anon_sym_TILDE] = ACTIONS(5187),
    [anon_sym_QMARK] = ACTIONS(5187),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_DOT] = ACTIONS(5189),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(3193),
    [anon_sym_POUND] = ACTIONS(5191),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3191),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5193),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym_let_and_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14272),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19893),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4813),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4821),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4827),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4831),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4849),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4849),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4849),
    [sym_let_and_operator] = ACTIONS(4849),
    [sym_match_operator] = ACTIONS(4849),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14314),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20575),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4855),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4857),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4859),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4863),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4863),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4863),
    [sym_let_and_operator] = ACTIONS(4863),
    [sym_match_operator] = ACTIONS(4863),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14303),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20759),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4995),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4997),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4999),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5003),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5003),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5003),
    [sym_let_and_operator] = ACTIONS(5003),
    [sym_match_operator] = ACTIONS(5003),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14247),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(21030),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4949),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4951),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4953),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4955),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4957),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4957),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4957),
    [sym_let_and_operator] = ACTIONS(4957),
    [sym_match_operator] = ACTIONS(4957),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14656),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14648),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19006),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4941),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4943),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4945),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4947),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4947),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4947),
    [sym_let_and_operator] = ACTIONS(4947),
    [sym_match_operator] = ACTIONS(4947),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym__simple_expression] = STATE(5510),
    [sym_typed_expression] = STATE(5570),
    [sym_list_expression] = STATE(5570),
    [sym_array_expression] = STATE(5570),
    [sym_record_expression] = STATE(5570),
    [sym_labeled_argument] = STATE(6046),
    [sym_prefix_expression] = STATE(5570),
    [sym_hash_expression] = STATE(5570),
    [sym_field_get_expression] = STATE(5570),
    [sym_array_get_expression] = STATE(5570),
    [sym_string_get_expression] = STATE(5570),
    [sym_bigarray_get_expression] = STATE(5570),
    [sym_coercion_expression] = STATE(5570),
    [sym_local_open_expression] = STATE(5570),
    [sym_package_expression] = STATE(5570),
    [sym_new_expression] = STATE(5570),
    [sym_object_copy_expression] = STATE(5570),
    [sym_method_invocation] = STATE(5570),
    [sym_object_expression] = STATE(5570),
    [sym_parenthesized_expression] = STATE(5570),
    [sym_attribute] = STATE(2513),
    [sym_extension] = STATE(5570),
    [sym_quoted_extension] = STATE(5570),
    [sym__constant] = STATE(5570),
    [sym_number] = STATE(5540),
    [sym_character] = STATE(5540),
    [sym_string] = STATE(5540),
    [sym_quoted_string] = STATE(5540),
    [sym_boolean] = STATE(5540),
    [sym_unit] = STATE(5540),
    [sym__value_name] = STATE(5577),
    [sym_parenthesized_operator] = STATE(5499),
    [sym_value_path] = STATE(5570),
    [sym_module_path] = STATE(18840),
    [sym_constructor_path] = STATE(5570),
    [sym__constructor_name] = STATE(5581),
    [sym_tag] = STATE(5570),
    [aux_sym_class_application_repeat1] = STATE(2513),
    [sym__lowercase_identifier] = ACTIONS(5197),
    [anon_sym_COLON_GT] = ACTIONS(3802),
    [anon_sym_TILDE] = ACTIONS(5200),
    [anon_sym_QMARK] = ACTIONS(5200),
    [anon_sym_LPAREN] = ACTIONS(5203),
    [anon_sym_RPAREN] = ACTIONS(3802),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5206),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(5209),
    [anon_sym_false] = ACTIONS(5209),
    [anon_sym_COLON2] = ACTIONS(3804),
    [anon_sym_DASH_GT] = ACTIONS(3804),
    [anon_sym_LBRACE] = ACTIONS(5212),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_RBRACE] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5218),
    [anon_sym_new] = ACTIONS(5221),
    [anon_sym_LBRACE_LT] = ACTIONS(5224),
    [anon_sym_GT_RBRACE] = ACTIONS(3802),
    [anon_sym_begin] = ACTIONS(5227),
    [sym_ocamlyacc_value] = ACTIONS(5230),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5233),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5236),
    [aux_sym_number_token1] = ACTIONS(5239),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(5242),
    [anon_sym_DQUOTE] = ACTIONS(5245),
    [sym_prefix_operator] = ACTIONS(5248),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(5251),
    [aux_sym_tag_token1] = ACTIONS(5254),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14656),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14298),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2515),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(18907),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5009),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(5011),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5015),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5015),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5015),
    [sym_let_and_operator] = ACTIONS(5015),
    [sym_match_operator] = ACTIONS(5015),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14248),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2516),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(18752),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4925),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4927),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4929),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4933),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4933),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4933),
    [sym_let_and_operator] = ACTIONS(4933),
    [sym_match_operator] = ACTIONS(4933),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14656),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2517),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5257),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14648),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2518),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19006),
    [sym_add_operator] = STATE(19215),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(4809),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4941),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_module] = ACTIONS(4943),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5259),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4947),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4947),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4947),
    [sym_let_and_operator] = ACTIONS(4947),
    [sym_match_operator] = ACTIONS(4947),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym__simple_expression] = STATE(6320),
    [sym_typed_expression] = STATE(6311),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_labeled_argument] = STATE(7730),
    [sym_prefix_expression] = STATE(6311),
    [sym_hash_expression] = STATE(6311),
    [sym_field_get_expression] = STATE(6311),
    [sym_array_get_expression] = STATE(6311),
    [sym_string_get_expression] = STATE(6311),
    [sym_bigarray_get_expression] = STATE(6311),
    [sym_coercion_expression] = STATE(6311),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2519),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [aux_sym_class_application_repeat1] = STATE(2553),
    [sym__lowercase_identifier] = ACTIONS(5261),
    [anon_sym_TILDE] = ACTIONS(5263),
    [anon_sym_QMARK] = ACTIONS(5263),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_DOT] = ACTIONS(5265),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_POUND] = ACTIONS(5267),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_to] = ACTIONS(3193),
    [anon_sym_downto] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5269),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym__simple_expression] = STATE(5763),
    [sym_typed_expression] = STATE(5921),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_labeled_argument] = STATE(6809),
    [sym_prefix_expression] = STATE(5921),
    [sym_hash_expression] = STATE(5921),
    [sym_field_get_expression] = STATE(5921),
    [sym_array_get_expression] = STATE(5921),
    [sym_string_get_expression] = STATE(5921),
    [sym_bigarray_get_expression] = STATE(5921),
    [sym_coercion_expression] = STATE(5921),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2520),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [aux_sym_class_application_repeat1] = STATE(2521),
    [sym__lowercase_identifier] = ACTIONS(5173),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(5175),
    [anon_sym_QMARK] = ACTIONS(5175),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_true] = ACTIONS(1287),
    [anon_sym_false] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACE_LT] = ACTIONS(1315),
    [anon_sym_begin] = ACTIONS(1317),
    [sym_ocamlyacc_value] = ACTIONS(1319),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1323),
    [aux_sym_number_token1] = ACTIONS(1325),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [sym_prefix_operator] = ACTIONS(1331),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(1335),
    [aux_sym_tag_token1] = ACTIONS(1337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym__simple_expression] = STATE(5763),
    [sym_typed_expression] = STATE(5921),
    [sym_list_expression] = STATE(5921),
    [sym_array_expression] = STATE(5921),
    [sym_record_expression] = STATE(5921),
    [sym_labeled_argument] = STATE(6809),
    [sym_prefix_expression] = STATE(5921),
    [sym_hash_expression] = STATE(5921),
    [sym_field_get_expression] = STATE(5921),
    [sym_array_get_expression] = STATE(5921),
    [sym_string_get_expression] = STATE(5921),
    [sym_bigarray_get_expression] = STATE(5921),
    [sym_coercion_expression] = STATE(5921),
    [sym_local_open_expression] = STATE(5921),
    [sym_package_expression] = STATE(5921),
    [sym_new_expression] = STATE(5921),
    [sym_object_copy_expression] = STATE(5921),
    [sym_method_invocation] = STATE(5921),
    [sym_object_expression] = STATE(5921),
    [sym_parenthesized_expression] = STATE(5921),
    [sym_attribute] = STATE(2521),
    [sym_extension] = STATE(5921),
    [sym_quoted_extension] = STATE(5921),
    [sym__constant] = STATE(5921),
    [sym_number] = STATE(5829),
    [sym_character] = STATE(5829),
    [sym_string] = STATE(5829),
    [sym_quoted_string] = STATE(5829),
    [sym_boolean] = STATE(5829),
    [sym_unit] = STATE(5829),
    [sym__value_name] = STATE(5834),
    [sym_parenthesized_operator] = STATE(5938),
    [sym_value_path] = STATE(5921),
    [sym_module_path] = STATE(19714),
    [sym_constructor_path] = STATE(5921),
    [sym__constructor_name] = STATE(5831),
    [sym_tag] = STATE(5921),
    [aux_sym_class_application_repeat1] = STATE(2521),
    [sym__lowercase_identifier] = ACTIONS(5271),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(5274),
    [anon_sym_QMARK] = ACTIONS(5274),
    [anon_sym_LPAREN] = ACTIONS(5277),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_true] = ACTIONS(5283),
    [anon_sym_false] = ACTIONS(5283),
    [anon_sym_LBRACE] = ACTIONS(5286),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(5289),
    [anon_sym_in] = ACTIONS(3804),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5292),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(5295),
    [anon_sym_LBRACE_LT] = ACTIONS(5298),
    [anon_sym_begin] = ACTIONS(5301),
    [sym_ocamlyacc_value] = ACTIONS(5304),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5307),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5310),
    [aux_sym_number_token1] = ACTIONS(5313),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(5316),
    [anon_sym_DQUOTE] = ACTIONS(5319),
    [sym_prefix_operator] = ACTIONS(5322),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(5325),
    [aux_sym_tag_token1] = ACTIONS(5328),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym__simple_expression] = STATE(6866),
    [sym_typed_expression] = STATE(6503),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_labeled_argument] = STATE(7906),
    [sym_prefix_expression] = STATE(6503),
    [sym_hash_expression] = STATE(6503),
    [sym_field_get_expression] = STATE(6503),
    [sym_array_get_expression] = STATE(6503),
    [sym_string_get_expression] = STATE(6503),
    [sym_bigarray_get_expression] = STATE(6503),
    [sym_coercion_expression] = STATE(6503),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2522),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [aux_sym_class_application_repeat1] = STATE(2555),
    [sym__lowercase_identifier] = ACTIONS(5331),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_QMARK] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_DOT] = ACTIONS(5335),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_POUND] = ACTIONS(5337),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_to] = ACTIONS(3193),
    [anon_sym_downto] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5339),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym__simple_expression] = STATE(6581),
    [sym_typed_expression] = STATE(6508),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_labeled_argument] = STATE(7930),
    [sym_prefix_expression] = STATE(6508),
    [sym_hash_expression] = STATE(6508),
    [sym_field_get_expression] = STATE(6508),
    [sym_array_get_expression] = STATE(6508),
    [sym_string_get_expression] = STATE(6508),
    [sym_bigarray_get_expression] = STATE(6508),
    [sym_coercion_expression] = STATE(6508),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2523),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [aux_sym_class_application_repeat1] = STATE(2566),
    [sym__lowercase_identifier] = ACTIONS(5341),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_DOT] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_POUND] = ACTIONS(5347),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5349),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym__simple_expression] = STATE(6656),
    [sym_typed_expression] = STATE(6570),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_labeled_argument] = STATE(7936),
    [sym_prefix_expression] = STATE(6570),
    [sym_hash_expression] = STATE(6570),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_coercion_expression] = STATE(6570),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2524),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [aux_sym_class_application_repeat1] = STATE(2567),
    [sym__lowercase_identifier] = ACTIONS(5351),
    [anon_sym_TILDE] = ACTIONS(5353),
    [anon_sym_QMARK] = ACTIONS(5353),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_DOT] = ACTIONS(5355),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_POUND] = ACTIONS(5357),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5359),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym__simple_expression] = STATE(6517),
    [sym_typed_expression] = STATE(6428),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_labeled_argument] = STATE(7821),
    [sym_prefix_expression] = STATE(6428),
    [sym_hash_expression] = STATE(6428),
    [sym_field_get_expression] = STATE(6428),
    [sym_array_get_expression] = STATE(6428),
    [sym_string_get_expression] = STATE(6428),
    [sym_bigarray_get_expression] = STATE(6428),
    [sym_coercion_expression] = STATE(6428),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2525),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [aux_sym_class_application_repeat1] = STATE(2564),
    [sym__lowercase_identifier] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5363),
    [anon_sym_QMARK] = ACTIONS(5363),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_DOT] = ACTIONS(5365),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_POUND] = ACTIONS(5367),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5369),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym__simple_expression] = STATE(6540),
    [sym_typed_expression] = STATE(6413),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_labeled_argument] = STATE(7808),
    [sym_prefix_expression] = STATE(6413),
    [sym_hash_expression] = STATE(6413),
    [sym_field_get_expression] = STATE(6413),
    [sym_array_get_expression] = STATE(6413),
    [sym_string_get_expression] = STATE(6413),
    [sym_bigarray_get_expression] = STATE(6413),
    [sym_coercion_expression] = STATE(6413),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(2526),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [aux_sym_class_application_repeat1] = STATE(2574),
    [sym__lowercase_identifier] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_QMARK] = ACTIONS(5373),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_DOT] = ACTIONS(5375),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_POUND] = ACTIONS(5377),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_done] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5379),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym__simple_expression] = STATE(6445),
    [sym_typed_expression] = STATE(6894),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_labeled_argument] = STATE(7949),
    [sym_prefix_expression] = STATE(6894),
    [sym_hash_expression] = STATE(6894),
    [sym_field_get_expression] = STATE(6894),
    [sym_array_get_expression] = STATE(6894),
    [sym_string_get_expression] = STATE(6894),
    [sym_bigarray_get_expression] = STATE(6894),
    [sym_coercion_expression] = STATE(6894),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2527),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [aux_sym_class_application_repeat1] = STATE(2562),
    [sym__lowercase_identifier] = ACTIONS(5381),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_QMARK] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_DOT] = ACTIONS(5385),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_POUND] = ACTIONS(5387),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_then] = ACTIONS(3193),
    [anon_sym_else] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5389),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym__simple_expression] = STATE(7415),
    [sym_typed_expression] = STATE(7035),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_labeled_argument] = STATE(8015),
    [sym_prefix_expression] = STATE(7035),
    [sym_hash_expression] = STATE(7035),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_coercion_expression] = STATE(7035),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2528),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [aux_sym_class_application_repeat1] = STATE(2591),
    [sym__lowercase_identifier] = ACTIONS(5391),
    [anon_sym_TILDE] = ACTIONS(5393),
    [anon_sym_QMARK] = ACTIONS(5393),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_DOT] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_POUND] = ACTIONS(5397),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_done] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5399),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym__simple_expression] = STATE(6032),
    [sym_typed_expression] = STATE(6013),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_labeled_argument] = STATE(7164),
    [sym_prefix_expression] = STATE(6013),
    [sym_hash_expression] = STATE(6013),
    [sym_field_get_expression] = STATE(6013),
    [sym_array_get_expression] = STATE(6013),
    [sym_string_get_expression] = STATE(6013),
    [sym_bigarray_get_expression] = STATE(6013),
    [sym_coercion_expression] = STATE(6013),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2529),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [aux_sym_class_application_repeat1] = STATE(2534),
    [sym__lowercase_identifier] = ACTIONS(5185),
    [anon_sym_and] = ACTIONS(3797),
    [anon_sym_TILDE] = ACTIONS(5187),
    [anon_sym_QMARK] = ACTIONS(5187),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_true] = ACTIONS(1355),
    [anon_sym_false] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1363),
    [anon_sym_new] = ACTIONS(1373),
    [anon_sym_LBRACE_LT] = ACTIONS(1375),
    [anon_sym_begin] = ACTIONS(1377),
    [sym_ocamlyacc_value] = ACTIONS(1379),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3795),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1381),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1383),
    [aux_sym_number_token1] = ACTIONS(1385),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1389),
    [sym_prefix_operator] = ACTIONS(1391),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym_let_and_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(1395),
    [aux_sym_tag_token1] = ACTIONS(1397),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym__abstract_type] = STATE(20788),
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14341),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2530),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20710),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5407),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5411),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5415),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5423),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5423),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5423),
    [sym_let_and_operator] = ACTIONS(5423),
    [sym_match_operator] = ACTIONS(5423),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym__abstract_type] = STATE(20788),
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14637),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2531),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19006),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(4939),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4941),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(4943),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4947),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4947),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4947),
    [sym_let_and_operator] = ACTIONS(4947),
    [sym_match_operator] = ACTIONS(4947),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym__abstract_type] = STATE(20788),
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14610),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2532),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20417),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5429),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5431),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5433),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5435),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5437),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5437),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5437),
    [sym_let_and_operator] = ACTIONS(5437),
    [sym_match_operator] = ACTIONS(5437),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym__abstract_type] = STATE(20788),
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14475),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2533),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4955),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym__simple_expression] = STATE(6032),
    [sym_typed_expression] = STATE(6013),
    [sym_list_expression] = STATE(6013),
    [sym_array_expression] = STATE(6013),
    [sym_record_expression] = STATE(6013),
    [sym_labeled_argument] = STATE(7164),
    [sym_prefix_expression] = STATE(6013),
    [sym_hash_expression] = STATE(6013),
    [sym_field_get_expression] = STATE(6013),
    [sym_array_get_expression] = STATE(6013),
    [sym_string_get_expression] = STATE(6013),
    [sym_bigarray_get_expression] = STATE(6013),
    [sym_coercion_expression] = STATE(6013),
    [sym_local_open_expression] = STATE(6013),
    [sym_package_expression] = STATE(6013),
    [sym_new_expression] = STATE(6013),
    [sym_object_copy_expression] = STATE(6013),
    [sym_method_invocation] = STATE(6013),
    [sym_object_expression] = STATE(6013),
    [sym_parenthesized_expression] = STATE(6013),
    [sym_attribute] = STATE(2534),
    [sym_extension] = STATE(6013),
    [sym_quoted_extension] = STATE(6013),
    [sym__constant] = STATE(6013),
    [sym_number] = STATE(5970),
    [sym_character] = STATE(5970),
    [sym_string] = STATE(5970),
    [sym_quoted_string] = STATE(5970),
    [sym_boolean] = STATE(5970),
    [sym_unit] = STATE(5970),
    [sym__value_name] = STATE(5982),
    [sym_parenthesized_operator] = STATE(6027),
    [sym_value_path] = STATE(6013),
    [sym_module_path] = STATE(18730),
    [sym_constructor_path] = STATE(6013),
    [sym__constructor_name] = STATE(5972),
    [sym_tag] = STATE(6013),
    [aux_sym_class_application_repeat1] = STATE(2534),
    [sym__lowercase_identifier] = ACTIONS(5439),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(5442),
    [anon_sym_QMARK] = ACTIONS(5442),
    [anon_sym_LPAREN] = ACTIONS(5445),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_true] = ACTIONS(5451),
    [anon_sym_false] = ACTIONS(5451),
    [anon_sym_LBRACE] = ACTIONS(5454),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(5457),
    [anon_sym_in] = ACTIONS(3804),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5460),
    [anon_sym_new] = ACTIONS(5463),
    [anon_sym_LBRACE_LT] = ACTIONS(5466),
    [anon_sym_begin] = ACTIONS(5469),
    [sym_ocamlyacc_value] = ACTIONS(5472),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5478),
    [aux_sym_number_token1] = ACTIONS(5481),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(5484),
    [anon_sym_DQUOTE] = ACTIONS(5487),
    [sym_prefix_operator] = ACTIONS(5490),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym_let_and_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(5493),
    [aux_sym_tag_token1] = ACTIONS(5496),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym__abstract_type] = STATE(20788),
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14522),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2535),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20429),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5499),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5501),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5503),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5507),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5507),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5507),
    [sym_let_and_operator] = ACTIONS(5507),
    [sym_match_operator] = ACTIONS(5507),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym__simple_expression] = STATE(7285),
    [sym_typed_expression] = STATE(7114),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_labeled_argument] = STATE(8037),
    [sym_prefix_expression] = STATE(7114),
    [sym_hash_expression] = STATE(7114),
    [sym_field_get_expression] = STATE(7114),
    [sym_array_get_expression] = STATE(7114),
    [sym_string_get_expression] = STATE(7114),
    [sym_bigarray_get_expression] = STATE(7114),
    [sym_coercion_expression] = STATE(7114),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2536),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [aux_sym_class_application_repeat1] = STATE(2583),
    [sym__lowercase_identifier] = ACTIONS(5509),
    [anon_sym_TILDE] = ACTIONS(5511),
    [anon_sym_QMARK] = ACTIONS(5511),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_DOT] = ACTIONS(5513),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_with] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_POUND] = ACTIONS(5515),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5517),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym__simple_expression] = STATE(7421),
    [sym_typed_expression] = STATE(7333),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_labeled_argument] = STATE(8021),
    [sym_prefix_expression] = STATE(7333),
    [sym_hash_expression] = STATE(7333),
    [sym_field_get_expression] = STATE(7333),
    [sym_array_get_expression] = STATE(7333),
    [sym_string_get_expression] = STATE(7333),
    [sym_bigarray_get_expression] = STATE(7333),
    [sym_coercion_expression] = STATE(7333),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2537),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [aux_sym_class_application_repeat1] = STATE(2590),
    [sym__lowercase_identifier] = ACTIONS(5519),
    [anon_sym_TILDE] = ACTIONS(5521),
    [anon_sym_QMARK] = ACTIONS(5521),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_DOT] = ACTIONS(5523),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_POUND] = ACTIONS(5525),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_then] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5527),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym__abstract_type] = STATE(20788),
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14512),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2538),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20534),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5529),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5533),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5537),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5537),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5537),
    [sym_let_and_operator] = ACTIONS(5537),
    [sym_match_operator] = ACTIONS(5537),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym__simple_expression] = STATE(7489),
    [sym_typed_expression] = STATE(7345),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_labeled_argument] = STATE(8053),
    [sym_prefix_expression] = STATE(7345),
    [sym_hash_expression] = STATE(7345),
    [sym_field_get_expression] = STATE(7345),
    [sym_array_get_expression] = STATE(7345),
    [sym_string_get_expression] = STATE(7345),
    [sym_bigarray_get_expression] = STATE(7345),
    [sym_coercion_expression] = STATE(7345),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2539),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [aux_sym_class_application_repeat1] = STATE(2582),
    [sym__lowercase_identifier] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5541),
    [anon_sym_QMARK] = ACTIONS(5541),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_DOT] = ACTIONS(5543),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_POUND] = ACTIONS(5545),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5547),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym_parameter] = STATE(10686),
    [sym__polymorphic_typed] = STATE(17291),
    [sym__parenthesized_abstract_type] = STATE(10686),
    [sym__simple_pattern] = STATE(10533),
    [sym_typed_pattern] = STATE(10573),
    [sym_polymorphic_variant_pattern] = STATE(10573),
    [sym_record_pattern] = STATE(10573),
    [sym_list_pattern] = STATE(10573),
    [sym_array_pattern] = STATE(10573),
    [sym_local_open_pattern] = STATE(10573),
    [sym_package_pattern] = STATE(10573),
    [sym_parenthesized_pattern] = STATE(10573),
    [sym_attribute] = STATE(2540),
    [sym_item_attribute] = STATE(11329),
    [sym_extension] = STATE(10573),
    [sym_quoted_extension] = STATE(10573),
    [sym__constant] = STATE(10589),
    [sym__signed_constant] = STATE(10573),
    [sym_number] = STATE(10669),
    [sym_signed_number] = STATE(10589),
    [sym_character] = STATE(10669),
    [sym_string] = STATE(10669),
    [sym_quoted_string] = STATE(10669),
    [sym_boolean] = STATE(10669),
    [sym_unit] = STATE(10669),
    [sym__simple_value_pattern] = STATE(10573),
    [sym_parenthesized_operator] = STATE(10573),
    [sym_module_path] = STATE(20212),
    [sym_constructor_path] = STATE(10573),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(10573),
    [aux_sym_expression_item_repeat1] = STATE(10990),
    [aux_sym_let_binding_repeat1] = STATE(4791),
    [sym__lowercase_identifier] = ACTIONS(5549),
    [anon_sym_SEMI_SEMI] = ACTIONS(5551),
    [anon_sym_let] = ACTIONS(5553),
    [anon_sym_and] = ACTIONS(5553),
    [anon_sym_COLON_GT] = ACTIONS(5555),
    [anon_sym_EQ] = ACTIONS(5557),
    [anon_sym_TILDE] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_LPAREN] = ACTIONS(5561),
    [anon_sym_external] = ACTIONS(5553),
    [anon_sym_type] = ACTIONS(5553),
    [anon_sym_COMMA] = ACTIONS(5563),
    [anon_sym_PIPE] = ACTIONS(5565),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_true] = ACTIONS(5569),
    [anon_sym_false] = ACTIONS(5569),
    [anon_sym_COLON2] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5573),
    [anon_sym_exception] = ACTIONS(5553),
    [anon_sym_module] = ACTIONS(5553),
    [anon_sym_open] = ACTIONS(5553),
    [anon_sym_include] = ACTIONS(5553),
    [anon_sym_class] = ACTIONS(5553),
    [anon_sym_end] = ACTIONS(5553),
    [anon_sym_in] = ACTIONS(5553),
    [anon_sym_as] = ACTIONS(5575),
    [anon_sym_POUND] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5581),
    [anon_sym_begin] = ACTIONS(5583),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5585),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5551),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5551),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5551),
    [aux_sym_number_token1] = ACTIONS(5591),
    [aux_sym_signed_number_token1] = ACTIONS(5593),
    [anon_sym_SQUOTE] = ACTIONS(5595),
    [anon_sym_DQUOTE] = ACTIONS(5597),
    [sym_let_operator] = ACTIONS(5551),
    [sym_let_and_operator] = ACTIONS(5551),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_directive_token1] = ACTIONS(5553),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym__abstract_type] = STATE(20788),
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14405),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2541),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19235),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5599),
    [anon_sym_type] = ACTIONS(4815),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5601),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5603),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5605),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5607),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5607),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5607),
    [sym_let_and_operator] = ACTIONS(5607),
    [sym_match_operator] = ACTIONS(5607),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_parameter] = STATE(10686),
    [sym__polymorphic_typed] = STATE(17663),
    [sym__parenthesized_abstract_type] = STATE(10686),
    [sym__simple_pattern] = STATE(10533),
    [sym_typed_pattern] = STATE(10573),
    [sym_polymorphic_variant_pattern] = STATE(10573),
    [sym_record_pattern] = STATE(10573),
    [sym_list_pattern] = STATE(10573),
    [sym_array_pattern] = STATE(10573),
    [sym_local_open_pattern] = STATE(10573),
    [sym_package_pattern] = STATE(10573),
    [sym_parenthesized_pattern] = STATE(10573),
    [sym_attribute] = STATE(2542),
    [sym_item_attribute] = STATE(11329),
    [sym_extension] = STATE(10573),
    [sym_quoted_extension] = STATE(10573),
    [sym__constant] = STATE(10589),
    [sym__signed_constant] = STATE(10573),
    [sym_number] = STATE(10669),
    [sym_signed_number] = STATE(10589),
    [sym_character] = STATE(10669),
    [sym_string] = STATE(10669),
    [sym_quoted_string] = STATE(10669),
    [sym_boolean] = STATE(10669),
    [sym_unit] = STATE(10669),
    [sym__simple_value_pattern] = STATE(10573),
    [sym_parenthesized_operator] = STATE(10573),
    [sym_module_path] = STATE(20212),
    [sym_constructor_path] = STATE(10573),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(10573),
    [aux_sym_expression_item_repeat1] = STATE(10990),
    [aux_sym_let_binding_repeat1] = STATE(4782),
    [sym__lowercase_identifier] = ACTIONS(5549),
    [anon_sym_SEMI_SEMI] = ACTIONS(5551),
    [anon_sym_let] = ACTIONS(5553),
    [anon_sym_and] = ACTIONS(5553),
    [anon_sym_COLON_GT] = ACTIONS(5609),
    [anon_sym_EQ] = ACTIONS(5611),
    [anon_sym_TILDE] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_LPAREN] = ACTIONS(5561),
    [anon_sym_external] = ACTIONS(5553),
    [anon_sym_type] = ACTIONS(5553),
    [anon_sym_COMMA] = ACTIONS(5613),
    [anon_sym_PIPE] = ACTIONS(5615),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_true] = ACTIONS(5569),
    [anon_sym_false] = ACTIONS(5569),
    [anon_sym_COLON2] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5573),
    [anon_sym_exception] = ACTIONS(5553),
    [anon_sym_module] = ACTIONS(5553),
    [anon_sym_open] = ACTIONS(5553),
    [anon_sym_include] = ACTIONS(5553),
    [anon_sym_class] = ACTIONS(5553),
    [anon_sym_in] = ACTIONS(5553),
    [anon_sym_as] = ACTIONS(5617),
    [anon_sym_POUND] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5581),
    [anon_sym_begin] = ACTIONS(5583),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5585),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5551),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5551),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5551),
    [aux_sym_number_token1] = ACTIONS(5591),
    [aux_sym_signed_number_token1] = ACTIONS(5593),
    [anon_sym_SQUOTE] = ACTIONS(5595),
    [anon_sym_DQUOTE] = ACTIONS(5597),
    [sym_let_operator] = ACTIONS(5551),
    [sym_let_and_operator] = ACTIONS(5551),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_directive_token1] = ACTIONS(5553),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym__simple_expression] = STATE(7365),
    [sym_typed_expression] = STATE(7122),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_labeled_argument] = STATE(8085),
    [sym_prefix_expression] = STATE(7122),
    [sym_hash_expression] = STATE(7122),
    [sym_field_get_expression] = STATE(7122),
    [sym_array_get_expression] = STATE(7122),
    [sym_string_get_expression] = STATE(7122),
    [sym_bigarray_get_expression] = STATE(7122),
    [sym_coercion_expression] = STATE(7122),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2543),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [aux_sym_class_application_repeat1] = STATE(2589),
    [sym__lowercase_identifier] = ACTIONS(5621),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(3191),
    [anon_sym_PIPE] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym_end] = ACTIONS(3193),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_POUND] = ACTIONS(5627),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(3193),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(3193),
    [sym_hash_operator] = ACTIONS(5629),
    [sym_pow_operator] = ACTIONS(3193),
    [sym_mult_operator] = ACTIONS(3193),
    [aux_sym_add_operator_token1] = ACTIONS(3193),
    [sym_concat_operator] = ACTIONS(3191),
    [sym_rel_operator] = ACTIONS(3193),
    [sym_and_operator] = ACTIONS(3193),
    [sym_or_operator] = ACTIONS(3193),
    [sym_assign_operator] = ACTIONS(3191),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym__simple_expression] = STATE(6355),
    [sym_typed_expression] = STATE(6399),
    [sym_list_expression] = STATE(6399),
    [sym_array_expression] = STATE(6399),
    [sym_record_expression] = STATE(6399),
    [sym_labeled_argument] = STATE(7610),
    [sym_prefix_expression] = STATE(6399),
    [sym_hash_expression] = STATE(6399),
    [sym_field_get_expression] = STATE(6399),
    [sym_array_get_expression] = STATE(6399),
    [sym_string_get_expression] = STATE(6399),
    [sym_bigarray_get_expression] = STATE(6399),
    [sym_coercion_expression] = STATE(6399),
    [sym_local_open_expression] = STATE(6399),
    [sym_package_expression] = STATE(6399),
    [sym_new_expression] = STATE(6399),
    [sym_object_copy_expression] = STATE(6399),
    [sym_method_invocation] = STATE(6399),
    [sym_object_expression] = STATE(6399),
    [sym_parenthesized_expression] = STATE(6399),
    [sym_attribute] = STATE(2544),
    [sym_extension] = STATE(6399),
    [sym_quoted_extension] = STATE(6399),
    [sym__constant] = STATE(6399),
    [sym_number] = STATE(6262),
    [sym_character] = STATE(6262),
    [sym_string] = STATE(6262),
    [sym_quoted_string] = STATE(6262),
    [sym_boolean] = STATE(6262),
    [sym_unit] = STATE(6262),
    [sym__value_name] = STATE(6119),
    [sym_parenthesized_operator] = STATE(6113),
    [sym_value_path] = STATE(6399),
    [sym_module_path] = STATE(19558),
    [sym_constructor_path] = STATE(6399),
    [sym__constructor_name] = STATE(6263),
    [sym_tag] = STATE(6399),
    [aux_sym_class_application_repeat1] = STATE(2544),
    [sym__lowercase_identifier] = ACTIONS(5631),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(5634),
    [anon_sym_QMARK] = ACTIONS(5634),
    [anon_sym_LPAREN] = ACTIONS(5637),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [anon_sym_true] = ACTIONS(5643),
    [anon_sym_false] = ACTIONS(5643),
    [anon_sym_LBRACE] = ACTIONS(5646),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(5649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5652),
    [anon_sym_new] = ACTIONS(5655),
    [anon_sym_LBRACE_LT] = ACTIONS(5658),
    [anon_sym_begin] = ACTIONS(5661),
    [sym_ocamlyacc_value] = ACTIONS(5664),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5670),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(5673),
    [anon_sym_SQUOTE] = ACTIONS(5676),
    [anon_sym_DQUOTE] = ACTIONS(5679),
    [sym_prefix_operator] = ACTIONS(5682),
    [sym_let_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(5685),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym__simple_expression] = STATE(6355),
    [sym_typed_expression] = STATE(6399),
    [sym_list_expression] = STATE(6399),
    [sym_array_expression] = STATE(6399),
    [sym_record_expression] = STATE(6399),
    [sym_labeled_argument] = STATE(7610),
    [sym_prefix_expression] = STATE(6399),
    [sym_hash_expression] = STATE(6399),
    [sym_field_get_expression] = STATE(6399),
    [sym_array_get_expression] = STATE(6399),
    [sym_string_get_expression] = STATE(6399),
    [sym_bigarray_get_expression] = STATE(6399),
    [sym_coercion_expression] = STATE(6399),
    [sym_local_open_expression] = STATE(6399),
    [sym_package_expression] = STATE(6399),
    [sym_new_expression] = STATE(6399),
    [sym_object_copy_expression] = STATE(6399),
    [sym_method_invocation] = STATE(6399),
    [sym_object_expression] = STATE(6399),
    [sym_parenthesized_expression] = STATE(6399),
    [sym_attribute] = STATE(2545),
    [sym_extension] = STATE(6399),
    [sym_quoted_extension] = STATE(6399),
    [sym__constant] = STATE(6399),
    [sym_number] = STATE(6262),
    [sym_character] = STATE(6262),
    [sym_string] = STATE(6262),
    [sym_quoted_string] = STATE(6262),
    [sym_boolean] = STATE(6262),
    [sym_unit] = STATE(6262),
    [sym__value_name] = STATE(6119),
    [sym_parenthesized_operator] = STATE(6113),
    [sym_value_path] = STATE(6399),
    [sym_module_path] = STATE(19558),
    [sym_constructor_path] = STATE(6399),
    [sym__constructor_name] = STATE(6263),
    [sym_tag] = STATE(6399),
    [aux_sym_class_application_repeat1] = STATE(2544),
    [sym__lowercase_identifier] = ACTIONS(5691),
    [anon_sym_SEMI_SEMI] = ACTIONS(5693),
    [anon_sym_let] = ACTIONS(5695),
    [anon_sym_and] = ACTIONS(5695),
    [anon_sym_TILDE] = ACTIONS(5697),
    [anon_sym_QMARK] = ACTIONS(5697),
    [anon_sym_LPAREN] = ACTIONS(5699),
    [anon_sym_external] = ACTIONS(5695),
    [anon_sym_type] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5701),
    [anon_sym_true] = ACTIONS(5703),
    [anon_sym_false] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(5705),
    [anon_sym_exception] = ACTIONS(5695),
    [anon_sym_module] = ACTIONS(5695),
    [anon_sym_open] = ACTIONS(5695),
    [anon_sym_include] = ACTIONS(5695),
    [anon_sym_class] = ACTIONS(5695),
    [anon_sym_end] = ACTIONS(5695),
    [anon_sym_object] = ACTIONS(5707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5709),
    [anon_sym_new] = ACTIONS(5711),
    [anon_sym_LBRACE_LT] = ACTIONS(5713),
    [anon_sym_begin] = ACTIONS(5715),
    [sym_ocamlyacc_value] = ACTIONS(5717),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5719),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5721),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5693),
    [aux_sym_number_token1] = ACTIONS(5723),
    [anon_sym_SQUOTE] = ACTIONS(5725),
    [anon_sym_DQUOTE] = ACTIONS(5727),
    [sym_prefix_operator] = ACTIONS(5729),
    [sym_let_operator] = ACTIONS(5693),
    [sym__uppercase_identifier] = ACTIONS(5731),
    [aux_sym_directive_token1] = ACTIONS(5693),
    [aux_sym_tag_token1] = ACTIONS(5733),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym__simple_expression] = STATE(6379),
    [sym_typed_expression] = STATE(6150),
    [sym_list_expression] = STATE(6150),
    [sym_array_expression] = STATE(6150),
    [sym_record_expression] = STATE(6150),
    [sym_labeled_argument] = STATE(7693),
    [sym_prefix_expression] = STATE(6150),
    [sym_hash_expression] = STATE(6150),
    [sym_field_get_expression] = STATE(6150),
    [sym_array_get_expression] = STATE(6150),
    [sym_string_get_expression] = STATE(6150),
    [sym_bigarray_get_expression] = STATE(6150),
    [sym_coercion_expression] = STATE(6150),
    [sym_local_open_expression] = STATE(6150),
    [sym_package_expression] = STATE(6150),
    [sym_new_expression] = STATE(6150),
    [sym_object_copy_expression] = STATE(6150),
    [sym_method_invocation] = STATE(6150),
    [sym_object_expression] = STATE(6150),
    [sym_parenthesized_expression] = STATE(6150),
    [sym_attribute] = STATE(2546),
    [sym_extension] = STATE(6150),
    [sym_quoted_extension] = STATE(6150),
    [sym__constant] = STATE(6150),
    [sym_number] = STATE(6118),
    [sym_character] = STATE(6118),
    [sym_string] = STATE(6118),
    [sym_quoted_string] = STATE(6118),
    [sym_boolean] = STATE(6118),
    [sym_unit] = STATE(6118),
    [sym__value_name] = STATE(6197),
    [sym_parenthesized_operator] = STATE(6247),
    [sym_value_path] = STATE(6150),
    [sym_module_path] = STATE(18895),
    [sym_constructor_path] = STATE(6150),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6150),
    [aux_sym_class_application_repeat1] = STATE(2546),
    [sym__lowercase_identifier] = ACTIONS(5735),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_let] = ACTIONS(3804),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(5738),
    [anon_sym_QMARK] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(5741),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5744),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(5747),
    [anon_sym_false] = ACTIONS(5747),
    [anon_sym_LBRACE] = ACTIONS(5750),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(5753),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5756),
    [anon_sym_new] = ACTIONS(5759),
    [anon_sym_LBRACE_LT] = ACTIONS(5762),
    [anon_sym_begin] = ACTIONS(5765),
    [sym_ocamlyacc_value] = ACTIONS(5768),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5771),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5774),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(5777),
    [anon_sym_SQUOTE] = ACTIONS(5780),
    [anon_sym_DQUOTE] = ACTIONS(5783),
    [sym_prefix_operator] = ACTIONS(5786),
    [sym_let_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(5789),
    [aux_sym_directive_token1] = ACTIONS(3802),
    [aux_sym_tag_token1] = ACTIONS(5792),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym__simple_expression] = STATE(6320),
    [sym_typed_expression] = STATE(6311),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_labeled_argument] = STATE(7730),
    [sym_prefix_expression] = STATE(6311),
    [sym_hash_expression] = STATE(6311),
    [sym_field_get_expression] = STATE(6311),
    [sym_array_get_expression] = STATE(6311),
    [sym_string_get_expression] = STATE(6311),
    [sym_bigarray_get_expression] = STATE(6311),
    [sym_coercion_expression] = STATE(6311),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2547),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [aux_sym_class_application_repeat1] = STATE(2547),
    [sym__lowercase_identifier] = ACTIONS(5795),
    [anon_sym_TILDE] = ACTIONS(5798),
    [anon_sym_QMARK] = ACTIONS(5798),
    [anon_sym_LPAREN] = ACTIONS(5801),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_true] = ACTIONS(5807),
    [anon_sym_false] = ACTIONS(5807),
    [anon_sym_LBRACE] = ACTIONS(5810),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(5813),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5816),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_to] = ACTIONS(3804),
    [anon_sym_downto] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(5819),
    [anon_sym_LBRACE_LT] = ACTIONS(5822),
    [anon_sym_begin] = ACTIONS(5825),
    [sym_ocamlyacc_value] = ACTIONS(5828),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5831),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5834),
    [aux_sym_number_token1] = ACTIONS(5837),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(5840),
    [anon_sym_DQUOTE] = ACTIONS(5843),
    [sym_prefix_operator] = ACTIONS(5846),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(5849),
    [aux_sym_tag_token1] = ACTIONS(5852),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_parameter] = STATE(10686),
    [sym__polymorphic_typed] = STATE(18458),
    [sym__parenthesized_abstract_type] = STATE(10686),
    [sym__simple_pattern] = STATE(10533),
    [sym_typed_pattern] = STATE(10573),
    [sym_polymorphic_variant_pattern] = STATE(10573),
    [sym_record_pattern] = STATE(10573),
    [sym_list_pattern] = STATE(10573),
    [sym_array_pattern] = STATE(10573),
    [sym_local_open_pattern] = STATE(10573),
    [sym_package_pattern] = STATE(10573),
    [sym_parenthesized_pattern] = STATE(10573),
    [sym_attribute] = STATE(2548),
    [sym_item_attribute] = STATE(11329),
    [sym_extension] = STATE(10573),
    [sym_quoted_extension] = STATE(10573),
    [sym__constant] = STATE(10589),
    [sym__signed_constant] = STATE(10573),
    [sym_number] = STATE(10669),
    [sym_signed_number] = STATE(10589),
    [sym_character] = STATE(10669),
    [sym_string] = STATE(10669),
    [sym_quoted_string] = STATE(10669),
    [sym_boolean] = STATE(10669),
    [sym_unit] = STATE(10669),
    [sym__simple_value_pattern] = STATE(10573),
    [sym_parenthesized_operator] = STATE(10573),
    [sym_module_path] = STATE(20212),
    [sym_constructor_path] = STATE(10573),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(10573),
    [aux_sym_expression_item_repeat1] = STATE(10990),
    [aux_sym_let_binding_repeat1] = STATE(4789),
    [sym__lowercase_identifier] = ACTIONS(5549),
    [anon_sym_SEMI_SEMI] = ACTIONS(5551),
    [anon_sym_let] = ACTIONS(5553),
    [anon_sym_and] = ACTIONS(5553),
    [anon_sym_COLON_GT] = ACTIONS(5855),
    [anon_sym_EQ] = ACTIONS(5857),
    [anon_sym_TILDE] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_LPAREN] = ACTIONS(5561),
    [anon_sym_external] = ACTIONS(5553),
    [anon_sym_type] = ACTIONS(5553),
    [anon_sym_COMMA] = ACTIONS(5859),
    [anon_sym_PIPE] = ACTIONS(5861),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_true] = ACTIONS(5569),
    [anon_sym_false] = ACTIONS(5569),
    [anon_sym_COLON2] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5573),
    [anon_sym_exception] = ACTIONS(5553),
    [anon_sym_module] = ACTIONS(5553),
    [anon_sym_open] = ACTIONS(5553),
    [anon_sym_include] = ACTIONS(5553),
    [anon_sym_class] = ACTIONS(5553),
    [anon_sym_as] = ACTIONS(5863),
    [anon_sym_POUND] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5865),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5581),
    [anon_sym_begin] = ACTIONS(5583),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5585),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5551),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5551),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5551),
    [aux_sym_number_token1] = ACTIONS(5591),
    [aux_sym_signed_number_token1] = ACTIONS(5593),
    [anon_sym_SQUOTE] = ACTIONS(5595),
    [anon_sym_DQUOTE] = ACTIONS(5597),
    [sym_let_operator] = ACTIONS(5551),
    [sym_let_and_operator] = ACTIONS(5551),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_directive_token1] = ACTIONS(5553),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym__simple_expression] = STATE(6379),
    [sym_typed_expression] = STATE(6150),
    [sym_list_expression] = STATE(6150),
    [sym_array_expression] = STATE(6150),
    [sym_record_expression] = STATE(6150),
    [sym_labeled_argument] = STATE(7693),
    [sym_prefix_expression] = STATE(6150),
    [sym_hash_expression] = STATE(6150),
    [sym_field_get_expression] = STATE(6150),
    [sym_array_get_expression] = STATE(6150),
    [sym_string_get_expression] = STATE(6150),
    [sym_bigarray_get_expression] = STATE(6150),
    [sym_coercion_expression] = STATE(6150),
    [sym_local_open_expression] = STATE(6150),
    [sym_package_expression] = STATE(6150),
    [sym_new_expression] = STATE(6150),
    [sym_object_copy_expression] = STATE(6150),
    [sym_method_invocation] = STATE(6150),
    [sym_object_expression] = STATE(6150),
    [sym_parenthesized_expression] = STATE(6150),
    [sym_attribute] = STATE(2549),
    [sym_extension] = STATE(6150),
    [sym_quoted_extension] = STATE(6150),
    [sym__constant] = STATE(6150),
    [sym_number] = STATE(6118),
    [sym_character] = STATE(6118),
    [sym_string] = STATE(6118),
    [sym_quoted_string] = STATE(6118),
    [sym_boolean] = STATE(6118),
    [sym_unit] = STATE(6118),
    [sym__value_name] = STATE(6197),
    [sym_parenthesized_operator] = STATE(6247),
    [sym_value_path] = STATE(6150),
    [sym_module_path] = STATE(18895),
    [sym_constructor_path] = STATE(6150),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6150),
    [aux_sym_class_application_repeat1] = STATE(2546),
    [sym__lowercase_identifier] = ACTIONS(5867),
    [anon_sym_SEMI_SEMI] = ACTIONS(5693),
    [anon_sym_let] = ACTIONS(5695),
    [anon_sym_and] = ACTIONS(5695),
    [anon_sym_TILDE] = ACTIONS(5869),
    [anon_sym_QMARK] = ACTIONS(5869),
    [anon_sym_LPAREN] = ACTIONS(5871),
    [anon_sym_external] = ACTIONS(5695),
    [anon_sym_type] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5873),
    [anon_sym_RBRACK] = ACTIONS(5693),
    [anon_sym_true] = ACTIONS(5875),
    [anon_sym_false] = ACTIONS(5875),
    [anon_sym_LBRACE] = ACTIONS(5877),
    [anon_sym_exception] = ACTIONS(5695),
    [anon_sym_module] = ACTIONS(5695),
    [anon_sym_open] = ACTIONS(5695),
    [anon_sym_include] = ACTIONS(5695),
    [anon_sym_class] = ACTIONS(5695),
    [anon_sym_object] = ACTIONS(5879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5881),
    [anon_sym_new] = ACTIONS(5883),
    [anon_sym_LBRACE_LT] = ACTIONS(5885),
    [anon_sym_begin] = ACTIONS(5887),
    [sym_ocamlyacc_value] = ACTIONS(5889),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5891),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5893),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5693),
    [aux_sym_number_token1] = ACTIONS(5895),
    [anon_sym_SQUOTE] = ACTIONS(5897),
    [anon_sym_DQUOTE] = ACTIONS(5899),
    [sym_prefix_operator] = ACTIONS(5901),
    [sym_let_operator] = ACTIONS(5693),
    [sym__uppercase_identifier] = ACTIONS(5903),
    [aux_sym_directive_token1] = ACTIONS(5693),
    [aux_sym_tag_token1] = ACTIONS(5905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym__simple_expression] = STATE(6379),
    [sym_typed_expression] = STATE(6150),
    [sym_list_expression] = STATE(6150),
    [sym_array_expression] = STATE(6150),
    [sym_record_expression] = STATE(6150),
    [sym_labeled_argument] = STATE(7693),
    [sym_prefix_expression] = STATE(6150),
    [sym_hash_expression] = STATE(6150),
    [sym_field_get_expression] = STATE(6150),
    [sym_array_get_expression] = STATE(6150),
    [sym_string_get_expression] = STATE(6150),
    [sym_bigarray_get_expression] = STATE(6150),
    [sym_coercion_expression] = STATE(6150),
    [sym_local_open_expression] = STATE(6150),
    [sym_package_expression] = STATE(6150),
    [sym_new_expression] = STATE(6150),
    [sym_object_copy_expression] = STATE(6150),
    [sym_method_invocation] = STATE(6150),
    [sym_object_expression] = STATE(6150),
    [sym_parenthesized_expression] = STATE(6150),
    [sym_attribute] = STATE(2550),
    [sym_extension] = STATE(6150),
    [sym_quoted_extension] = STATE(6150),
    [sym__constant] = STATE(6150),
    [sym_number] = STATE(6118),
    [sym_character] = STATE(6118),
    [sym_string] = STATE(6118),
    [sym_quoted_string] = STATE(6118),
    [sym_boolean] = STATE(6118),
    [sym_unit] = STATE(6118),
    [sym__value_name] = STATE(6197),
    [sym_parenthesized_operator] = STATE(6247),
    [sym_value_path] = STATE(6150),
    [sym_module_path] = STATE(18895),
    [sym_constructor_path] = STATE(6150),
    [sym__constructor_name] = STATE(6129),
    [sym_tag] = STATE(6150),
    [aux_sym_class_application_repeat1] = STATE(2549),
    [sym__lowercase_identifier] = ACTIONS(5867),
    [anon_sym_SEMI_SEMI] = ACTIONS(5907),
    [anon_sym_let] = ACTIONS(5909),
    [anon_sym_and] = ACTIONS(5909),
    [anon_sym_TILDE] = ACTIONS(5869),
    [anon_sym_QMARK] = ACTIONS(5869),
    [anon_sym_LPAREN] = ACTIONS(5871),
    [anon_sym_external] = ACTIONS(5909),
    [anon_sym_type] = ACTIONS(5909),
    [anon_sym_LBRACK] = ACTIONS(5873),
    [anon_sym_RBRACK] = ACTIONS(5907),
    [anon_sym_true] = ACTIONS(5875),
    [anon_sym_false] = ACTIONS(5875),
    [anon_sym_LBRACE] = ACTIONS(5877),
    [anon_sym_exception] = ACTIONS(5909),
    [anon_sym_module] = ACTIONS(5909),
    [anon_sym_open] = ACTIONS(5909),
    [anon_sym_include] = ACTIONS(5909),
    [anon_sym_class] = ACTIONS(5909),
    [anon_sym_object] = ACTIONS(5879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5881),
    [anon_sym_new] = ACTIONS(5883),
    [anon_sym_LBRACE_LT] = ACTIONS(5885),
    [anon_sym_begin] = ACTIONS(5887),
    [sym_ocamlyacc_value] = ACTIONS(5889),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5909),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5891),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5893),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5907),
    [aux_sym_number_token1] = ACTIONS(5895),
    [anon_sym_SQUOTE] = ACTIONS(5897),
    [anon_sym_DQUOTE] = ACTIONS(5899),
    [sym_prefix_operator] = ACTIONS(5901),
    [sym_let_operator] = ACTIONS(5907),
    [sym__uppercase_identifier] = ACTIONS(5903),
    [aux_sym_directive_token1] = ACTIONS(5907),
    [aux_sym_tag_token1] = ACTIONS(5905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym__simple_expression] = STATE(6355),
    [sym_typed_expression] = STATE(6399),
    [sym_list_expression] = STATE(6399),
    [sym_array_expression] = STATE(6399),
    [sym_record_expression] = STATE(6399),
    [sym_labeled_argument] = STATE(7610),
    [sym_prefix_expression] = STATE(6399),
    [sym_hash_expression] = STATE(6399),
    [sym_field_get_expression] = STATE(6399),
    [sym_array_get_expression] = STATE(6399),
    [sym_string_get_expression] = STATE(6399),
    [sym_bigarray_get_expression] = STATE(6399),
    [sym_coercion_expression] = STATE(6399),
    [sym_local_open_expression] = STATE(6399),
    [sym_package_expression] = STATE(6399),
    [sym_new_expression] = STATE(6399),
    [sym_object_copy_expression] = STATE(6399),
    [sym_method_invocation] = STATE(6399),
    [sym_object_expression] = STATE(6399),
    [sym_parenthesized_expression] = STATE(6399),
    [sym_attribute] = STATE(2551),
    [sym_extension] = STATE(6399),
    [sym_quoted_extension] = STATE(6399),
    [sym__constant] = STATE(6399),
    [sym_number] = STATE(6262),
    [sym_character] = STATE(6262),
    [sym_string] = STATE(6262),
    [sym_quoted_string] = STATE(6262),
    [sym_boolean] = STATE(6262),
    [sym_unit] = STATE(6262),
    [sym__value_name] = STATE(6119),
    [sym_parenthesized_operator] = STATE(6113),
    [sym_value_path] = STATE(6399),
    [sym_module_path] = STATE(19558),
    [sym_constructor_path] = STATE(6399),
    [sym__constructor_name] = STATE(6263),
    [sym_tag] = STATE(6399),
    [aux_sym_class_application_repeat1] = STATE(2545),
    [sym__lowercase_identifier] = ACTIONS(5691),
    [anon_sym_SEMI_SEMI] = ACTIONS(5907),
    [anon_sym_let] = ACTIONS(5909),
    [anon_sym_and] = ACTIONS(5909),
    [anon_sym_TILDE] = ACTIONS(5697),
    [anon_sym_QMARK] = ACTIONS(5697),
    [anon_sym_LPAREN] = ACTIONS(5699),
    [anon_sym_external] = ACTIONS(5909),
    [anon_sym_type] = ACTIONS(5909),
    [anon_sym_LBRACK] = ACTIONS(5701),
    [anon_sym_true] = ACTIONS(5703),
    [anon_sym_false] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(5705),
    [anon_sym_exception] = ACTIONS(5909),
    [anon_sym_module] = ACTIONS(5909),
    [anon_sym_open] = ACTIONS(5909),
    [anon_sym_include] = ACTIONS(5909),
    [anon_sym_class] = ACTIONS(5909),
    [anon_sym_end] = ACTIONS(5909),
    [anon_sym_object] = ACTIONS(5707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5709),
    [anon_sym_new] = ACTIONS(5711),
    [anon_sym_LBRACE_LT] = ACTIONS(5713),
    [anon_sym_begin] = ACTIONS(5715),
    [sym_ocamlyacc_value] = ACTIONS(5717),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5909),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5719),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5721),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5907),
    [aux_sym_number_token1] = ACTIONS(5723),
    [anon_sym_SQUOTE] = ACTIONS(5725),
    [anon_sym_DQUOTE] = ACTIONS(5727),
    [sym_prefix_operator] = ACTIONS(5729),
    [sym_let_operator] = ACTIONS(5907),
    [sym__uppercase_identifier] = ACTIONS(5731),
    [aux_sym_directive_token1] = ACTIONS(5907),
    [aux_sym_tag_token1] = ACTIONS(5733),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_parameter] = STATE(10686),
    [sym__polymorphic_typed] = STATE(17367),
    [sym__parenthesized_abstract_type] = STATE(10686),
    [sym__simple_pattern] = STATE(10533),
    [sym_typed_pattern] = STATE(10573),
    [sym_polymorphic_variant_pattern] = STATE(10573),
    [sym_record_pattern] = STATE(10573),
    [sym_list_pattern] = STATE(10573),
    [sym_array_pattern] = STATE(10573),
    [sym_local_open_pattern] = STATE(10573),
    [sym_package_pattern] = STATE(10573),
    [sym_parenthesized_pattern] = STATE(10573),
    [sym_attribute] = STATE(2552),
    [sym_item_attribute] = STATE(11329),
    [sym_extension] = STATE(10573),
    [sym_quoted_extension] = STATE(10573),
    [sym__constant] = STATE(10589),
    [sym__signed_constant] = STATE(10573),
    [sym_number] = STATE(10669),
    [sym_signed_number] = STATE(10589),
    [sym_character] = STATE(10669),
    [sym_string] = STATE(10669),
    [sym_quoted_string] = STATE(10669),
    [sym_boolean] = STATE(10669),
    [sym_unit] = STATE(10669),
    [sym__simple_value_pattern] = STATE(10573),
    [sym_parenthesized_operator] = STATE(10573),
    [sym_module_path] = STATE(20212),
    [sym_constructor_path] = STATE(10573),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(10573),
    [aux_sym_expression_item_repeat1] = STATE(10990),
    [aux_sym_let_binding_repeat1] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(5549),
    [anon_sym_SEMI_SEMI] = ACTIONS(5551),
    [anon_sym_let] = ACTIONS(5553),
    [anon_sym_and] = ACTIONS(5553),
    [anon_sym_COLON_GT] = ACTIONS(5911),
    [anon_sym_EQ] = ACTIONS(5913),
    [anon_sym_TILDE] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_LPAREN] = ACTIONS(5561),
    [anon_sym_external] = ACTIONS(5553),
    [anon_sym_type] = ACTIONS(5553),
    [anon_sym_COMMA] = ACTIONS(5915),
    [anon_sym_PIPE] = ACTIONS(5917),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_true] = ACTIONS(5569),
    [anon_sym_false] = ACTIONS(5569),
    [anon_sym_COLON2] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5573),
    [anon_sym_exception] = ACTIONS(5553),
    [anon_sym_module] = ACTIONS(5553),
    [anon_sym_open] = ACTIONS(5553),
    [anon_sym_include] = ACTIONS(5553),
    [anon_sym_class] = ACTIONS(5553),
    [anon_sym_end] = ACTIONS(5553),
    [anon_sym_as] = ACTIONS(5919),
    [anon_sym_POUND] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(5921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5581),
    [anon_sym_begin] = ACTIONS(5583),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5585),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5551),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5587),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5589),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5551),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5551),
    [aux_sym_number_token1] = ACTIONS(5591),
    [aux_sym_signed_number_token1] = ACTIONS(5593),
    [anon_sym_SQUOTE] = ACTIONS(5595),
    [anon_sym_DQUOTE] = ACTIONS(5597),
    [sym_let_operator] = ACTIONS(5551),
    [sym_let_and_operator] = ACTIONS(5551),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_directive_token1] = ACTIONS(5553),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym__simple_expression] = STATE(6320),
    [sym_typed_expression] = STATE(6311),
    [sym_list_expression] = STATE(6311),
    [sym_array_expression] = STATE(6311),
    [sym_record_expression] = STATE(6311),
    [sym_labeled_argument] = STATE(7730),
    [sym_prefix_expression] = STATE(6311),
    [sym_hash_expression] = STATE(6311),
    [sym_field_get_expression] = STATE(6311),
    [sym_array_get_expression] = STATE(6311),
    [sym_string_get_expression] = STATE(6311),
    [sym_bigarray_get_expression] = STATE(6311),
    [sym_coercion_expression] = STATE(6311),
    [sym_local_open_expression] = STATE(6311),
    [sym_package_expression] = STATE(6311),
    [sym_new_expression] = STATE(6311),
    [sym_object_copy_expression] = STATE(6311),
    [sym_method_invocation] = STATE(6311),
    [sym_object_expression] = STATE(6311),
    [sym_parenthesized_expression] = STATE(6311),
    [sym_attribute] = STATE(2553),
    [sym_extension] = STATE(6311),
    [sym_quoted_extension] = STATE(6311),
    [sym__constant] = STATE(6311),
    [sym_number] = STATE(6288),
    [sym_character] = STATE(6288),
    [sym_string] = STATE(6288),
    [sym_quoted_string] = STATE(6288),
    [sym_boolean] = STATE(6288),
    [sym_unit] = STATE(6288),
    [sym__value_name] = STATE(6374),
    [sym_parenthesized_operator] = STATE(6363),
    [sym_value_path] = STATE(6311),
    [sym_module_path] = STATE(19675),
    [sym_constructor_path] = STATE(6311),
    [sym__constructor_name] = STATE(6289),
    [sym_tag] = STATE(6311),
    [aux_sym_class_application_repeat1] = STATE(2547),
    [sym__lowercase_identifier] = ACTIONS(5261),
    [anon_sym_TILDE] = ACTIONS(5263),
    [anon_sym_QMARK] = ACTIONS(5263),
    [anon_sym_LPAREN] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(1681),
    [anon_sym_true] = ACTIONS(1683),
    [anon_sym_false] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(1687),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1691),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_to] = ACTIONS(3797),
    [anon_sym_downto] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(1701),
    [anon_sym_LBRACE_LT] = ACTIONS(1703),
    [anon_sym_begin] = ACTIONS(1705),
    [sym_ocamlyacc_value] = ACTIONS(1707),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1709),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1711),
    [aux_sym_number_token1] = ACTIONS(1713),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(1715),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_prefix_operator] = ACTIONS(1719),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(1723),
    [aux_sym_tag_token1] = ACTIONS(1725),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14475),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2554),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(4955),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym__simple_expression] = STATE(6866),
    [sym_typed_expression] = STATE(6503),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_labeled_argument] = STATE(7906),
    [sym_prefix_expression] = STATE(6503),
    [sym_hash_expression] = STATE(6503),
    [sym_field_get_expression] = STATE(6503),
    [sym_array_get_expression] = STATE(6503),
    [sym_string_get_expression] = STATE(6503),
    [sym_bigarray_get_expression] = STATE(6503),
    [sym_coercion_expression] = STATE(6503),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2555),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [aux_sym_class_application_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(5331),
    [anon_sym_TILDE] = ACTIONS(5333),
    [anon_sym_QMARK] = ACTIONS(5333),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2513),
    [anon_sym_true] = ACTIONS(2515),
    [anon_sym_false] = ACTIONS(2515),
    [anon_sym_LBRACE] = ACTIONS(2517),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(2519),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2523),
    [anon_sym_to] = ACTIONS(3797),
    [anon_sym_downto] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACE_LT] = ACTIONS(2535),
    [anon_sym_begin] = ACTIONS(2537),
    [sym_ocamlyacc_value] = ACTIONS(2539),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2543),
    [aux_sym_number_token1] = ACTIONS(2545),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [sym_prefix_operator] = ACTIONS(2551),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2555),
    [aux_sym_tag_token1] = ACTIONS(2557),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14475),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2556),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14637),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2557),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19006),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4941),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(4943),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5259),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4947),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4947),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4947),
    [sym_let_and_operator] = ACTIONS(4947),
    [sym_match_operator] = ACTIONS(4947),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14475),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2558),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14475),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2559),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19177),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(4935),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5257),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(2065),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(2065),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2065),
    [sym_match_operator] = ACTIONS(2065),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym__simple_expression] = STATE(6540),
    [sym_typed_expression] = STATE(6413),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_labeled_argument] = STATE(7808),
    [sym_prefix_expression] = STATE(6413),
    [sym_hash_expression] = STATE(6413),
    [sym_field_get_expression] = STATE(6413),
    [sym_array_get_expression] = STATE(6413),
    [sym_string_get_expression] = STATE(6413),
    [sym_bigarray_get_expression] = STATE(6413),
    [sym_coercion_expression] = STATE(6413),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(2560),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [aux_sym_class_application_repeat1] = STATE(2560),
    [sym__lowercase_identifier] = ACTIONS(5923),
    [anon_sym_TILDE] = ACTIONS(5926),
    [anon_sym_QMARK] = ACTIONS(5926),
    [anon_sym_LPAREN] = ACTIONS(5929),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_true] = ACTIONS(5935),
    [anon_sym_false] = ACTIONS(5935),
    [anon_sym_LBRACE] = ACTIONS(5938),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(5941),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5944),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_done] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(5947),
    [anon_sym_LBRACE_LT] = ACTIONS(5950),
    [anon_sym_begin] = ACTIONS(5953),
    [sym_ocamlyacc_value] = ACTIONS(5956),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5959),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5962),
    [aux_sym_number_token1] = ACTIONS(5965),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(5968),
    [anon_sym_DQUOTE] = ACTIONS(5971),
    [sym_prefix_operator] = ACTIONS(5974),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(5977),
    [aux_sym_tag_token1] = ACTIONS(5980),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym__simple_expression] = STATE(6866),
    [sym_typed_expression] = STATE(6503),
    [sym_list_expression] = STATE(6503),
    [sym_array_expression] = STATE(6503),
    [sym_record_expression] = STATE(6503),
    [sym_labeled_argument] = STATE(7906),
    [sym_prefix_expression] = STATE(6503),
    [sym_hash_expression] = STATE(6503),
    [sym_field_get_expression] = STATE(6503),
    [sym_array_get_expression] = STATE(6503),
    [sym_string_get_expression] = STATE(6503),
    [sym_bigarray_get_expression] = STATE(6503),
    [sym_coercion_expression] = STATE(6503),
    [sym_local_open_expression] = STATE(6503),
    [sym_package_expression] = STATE(6503),
    [sym_new_expression] = STATE(6503),
    [sym_object_copy_expression] = STATE(6503),
    [sym_method_invocation] = STATE(6503),
    [sym_object_expression] = STATE(6503),
    [sym_parenthesized_expression] = STATE(6503),
    [sym_attribute] = STATE(2561),
    [sym_extension] = STATE(6503),
    [sym_quoted_extension] = STATE(6503),
    [sym__constant] = STATE(6503),
    [sym_number] = STATE(6745),
    [sym_character] = STATE(6745),
    [sym_string] = STATE(6745),
    [sym_quoted_string] = STATE(6745),
    [sym_boolean] = STATE(6745),
    [sym_unit] = STATE(6745),
    [sym__value_name] = STATE(6853),
    [sym_parenthesized_operator] = STATE(6878),
    [sym_value_path] = STATE(6503),
    [sym_module_path] = STATE(18675),
    [sym_constructor_path] = STATE(6503),
    [sym__constructor_name] = STATE(6747),
    [sym_tag] = STATE(6503),
    [aux_sym_class_application_repeat1] = STATE(2561),
    [sym__lowercase_identifier] = ACTIONS(5983),
    [anon_sym_TILDE] = ACTIONS(5986),
    [anon_sym_QMARK] = ACTIONS(5986),
    [anon_sym_LPAREN] = ACTIONS(5989),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(5992),
    [anon_sym_true] = ACTIONS(5995),
    [anon_sym_false] = ACTIONS(5995),
    [anon_sym_LBRACE] = ACTIONS(5998),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(6001),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6004),
    [anon_sym_to] = ACTIONS(3804),
    [anon_sym_downto] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(6007),
    [anon_sym_LBRACE_LT] = ACTIONS(6010),
    [anon_sym_begin] = ACTIONS(6013),
    [sym_ocamlyacc_value] = ACTIONS(6016),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6019),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6022),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6028),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6034),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6037),
    [aux_sym_tag_token1] = ACTIONS(6040),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym__simple_expression] = STATE(6445),
    [sym_typed_expression] = STATE(6894),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_labeled_argument] = STATE(7949),
    [sym_prefix_expression] = STATE(6894),
    [sym_hash_expression] = STATE(6894),
    [sym_field_get_expression] = STATE(6894),
    [sym_array_get_expression] = STATE(6894),
    [sym_string_get_expression] = STATE(6894),
    [sym_bigarray_get_expression] = STATE(6894),
    [sym_coercion_expression] = STATE(6894),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2562),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [aux_sym_class_application_repeat1] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(5381),
    [anon_sym_TILDE] = ACTIONS(5383),
    [anon_sym_QMARK] = ACTIONS(5383),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_true] = ACTIONS(2449),
    [anon_sym_false] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2457),
    [anon_sym_then] = ACTIONS(3797),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(2467),
    [anon_sym_LBRACE_LT] = ACTIONS(2469),
    [anon_sym_begin] = ACTIONS(2471),
    [sym_ocamlyacc_value] = ACTIONS(2473),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2477),
    [aux_sym_number_token1] = ACTIONS(2479),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2483),
    [sym_prefix_operator] = ACTIONS(2485),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2489),
    [aux_sym_tag_token1] = ACTIONS(2491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14610),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2563),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20417),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5429),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5431),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5433),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5435),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5437),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5437),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5437),
    [sym_let_and_operator] = ACTIONS(5437),
    [sym_match_operator] = ACTIONS(5437),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym__simple_expression] = STATE(6517),
    [sym_typed_expression] = STATE(6428),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_labeled_argument] = STATE(7821),
    [sym_prefix_expression] = STATE(6428),
    [sym_hash_expression] = STATE(6428),
    [sym_field_get_expression] = STATE(6428),
    [sym_array_get_expression] = STATE(6428),
    [sym_string_get_expression] = STATE(6428),
    [sym_bigarray_get_expression] = STATE(6428),
    [sym_coercion_expression] = STATE(6428),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2564),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [aux_sym_class_application_repeat1] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(5361),
    [anon_sym_TILDE] = ACTIONS(5363),
    [anon_sym_QMARK] = ACTIONS(5363),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_true] = ACTIONS(2397),
    [anon_sym_false] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(2401),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2405),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_do] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_LBRACE_LT] = ACTIONS(2417),
    [anon_sym_begin] = ACTIONS(2419),
    [sym_ocamlyacc_value] = ACTIONS(2421),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2425),
    [aux_sym_number_token1] = ACTIONS(2427),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2429),
    [anon_sym_DQUOTE] = ACTIONS(2431),
    [sym_prefix_operator] = ACTIONS(2433),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2437),
    [aux_sym_tag_token1] = ACTIONS(2439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14637),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2565),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19006),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(4939),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(4941),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(4943),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(4947),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(4947),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(4947),
    [sym_let_and_operator] = ACTIONS(4947),
    [sym_match_operator] = ACTIONS(4947),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym__simple_expression] = STATE(6581),
    [sym_typed_expression] = STATE(6508),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_labeled_argument] = STATE(7930),
    [sym_prefix_expression] = STATE(6508),
    [sym_hash_expression] = STATE(6508),
    [sym_field_get_expression] = STATE(6508),
    [sym_array_get_expression] = STATE(6508),
    [sym_string_get_expression] = STATE(6508),
    [sym_bigarray_get_expression] = STATE(6508),
    [sym_coercion_expression] = STATE(6508),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2566),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [aux_sym_class_application_repeat1] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(5341),
    [anon_sym_TILDE] = ACTIONS(5343),
    [anon_sym_QMARK] = ACTIONS(5343),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2343),
    [anon_sym_true] = ACTIONS(2345),
    [anon_sym_false] = ACTIONS(2345),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_with] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2353),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(2363),
    [anon_sym_LBRACE_LT] = ACTIONS(2365),
    [anon_sym_begin] = ACTIONS(2367),
    [sym_ocamlyacc_value] = ACTIONS(2369),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2371),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2373),
    [aux_sym_number_token1] = ACTIONS(2375),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2377),
    [anon_sym_DQUOTE] = ACTIONS(2379),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2385),
    [aux_sym_tag_token1] = ACTIONS(2387),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym__simple_expression] = STATE(6656),
    [sym_typed_expression] = STATE(6570),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_labeled_argument] = STATE(7936),
    [sym_prefix_expression] = STATE(6570),
    [sym_hash_expression] = STATE(6570),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_coercion_expression] = STATE(6570),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2567),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [aux_sym_class_application_repeat1] = STATE(2572),
    [sym__lowercase_identifier] = ACTIONS(5351),
    [anon_sym_TILDE] = ACTIONS(5353),
    [anon_sym_QMARK] = ACTIONS(5353),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2291),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2295),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(2297),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2301),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_LBRACE_LT] = ACTIONS(2313),
    [anon_sym_begin] = ACTIONS(2315),
    [sym_ocamlyacc_value] = ACTIONS(2317),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2321),
    [aux_sym_number_token1] = ACTIONS(2323),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2327),
    [sym_prefix_operator] = ACTIONS(2329),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2333),
    [aux_sym_tag_token1] = ACTIONS(2335),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym__simple_expression] = STATE(6445),
    [sym_typed_expression] = STATE(6894),
    [sym_list_expression] = STATE(6894),
    [sym_array_expression] = STATE(6894),
    [sym_record_expression] = STATE(6894),
    [sym_labeled_argument] = STATE(7949),
    [sym_prefix_expression] = STATE(6894),
    [sym_hash_expression] = STATE(6894),
    [sym_field_get_expression] = STATE(6894),
    [sym_array_get_expression] = STATE(6894),
    [sym_string_get_expression] = STATE(6894),
    [sym_bigarray_get_expression] = STATE(6894),
    [sym_coercion_expression] = STATE(6894),
    [sym_local_open_expression] = STATE(6894),
    [sym_package_expression] = STATE(6894),
    [sym_new_expression] = STATE(6894),
    [sym_object_copy_expression] = STATE(6894),
    [sym_method_invocation] = STATE(6894),
    [sym_object_expression] = STATE(6894),
    [sym_parenthesized_expression] = STATE(6894),
    [sym_attribute] = STATE(2568),
    [sym_extension] = STATE(6894),
    [sym_quoted_extension] = STATE(6894),
    [sym__constant] = STATE(6894),
    [sym_number] = STATE(6788),
    [sym_character] = STATE(6788),
    [sym_string] = STATE(6788),
    [sym_quoted_string] = STATE(6788),
    [sym_boolean] = STATE(6788),
    [sym_unit] = STATE(6788),
    [sym__value_name] = STATE(6431),
    [sym_parenthesized_operator] = STATE(6706),
    [sym_value_path] = STATE(6894),
    [sym_module_path] = STATE(19005),
    [sym_constructor_path] = STATE(6894),
    [sym__constructor_name] = STATE(6791),
    [sym_tag] = STATE(6894),
    [aux_sym_class_application_repeat1] = STATE(2568),
    [sym__lowercase_identifier] = ACTIONS(6043),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_QMARK] = ACTIONS(6046),
    [anon_sym_LPAREN] = ACTIONS(6049),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6052),
    [anon_sym_true] = ACTIONS(6055),
    [anon_sym_false] = ACTIONS(6055),
    [anon_sym_LBRACE] = ACTIONS(6058),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(6061),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6064),
    [anon_sym_then] = ACTIONS(3804),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(6067),
    [anon_sym_LBRACE_LT] = ACTIONS(6070),
    [anon_sym_begin] = ACTIONS(6073),
    [sym_ocamlyacc_value] = ACTIONS(6076),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6082),
    [aux_sym_number_token1] = ACTIONS(6085),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6088),
    [anon_sym_DQUOTE] = ACTIONS(6091),
    [sym_prefix_operator] = ACTIONS(6094),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6097),
    [aux_sym_tag_token1] = ACTIONS(6100),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym__simple_expression] = STATE(6517),
    [sym_typed_expression] = STATE(6428),
    [sym_list_expression] = STATE(6428),
    [sym_array_expression] = STATE(6428),
    [sym_record_expression] = STATE(6428),
    [sym_labeled_argument] = STATE(7821),
    [sym_prefix_expression] = STATE(6428),
    [sym_hash_expression] = STATE(6428),
    [sym_field_get_expression] = STATE(6428),
    [sym_array_get_expression] = STATE(6428),
    [sym_string_get_expression] = STATE(6428),
    [sym_bigarray_get_expression] = STATE(6428),
    [sym_coercion_expression] = STATE(6428),
    [sym_local_open_expression] = STATE(6428),
    [sym_package_expression] = STATE(6428),
    [sym_new_expression] = STATE(6428),
    [sym_object_copy_expression] = STATE(6428),
    [sym_method_invocation] = STATE(6428),
    [sym_object_expression] = STATE(6428),
    [sym_parenthesized_expression] = STATE(6428),
    [sym_attribute] = STATE(2569),
    [sym_extension] = STATE(6428),
    [sym_quoted_extension] = STATE(6428),
    [sym__constant] = STATE(6428),
    [sym_number] = STATE(6895),
    [sym_character] = STATE(6895),
    [sym_string] = STATE(6895),
    [sym_quoted_string] = STATE(6895),
    [sym_boolean] = STATE(6895),
    [sym_unit] = STATE(6895),
    [sym__value_name] = STATE(6509),
    [sym_parenthesized_operator] = STATE(6746),
    [sym_value_path] = STATE(6428),
    [sym_module_path] = STATE(19060),
    [sym_constructor_path] = STATE(6428),
    [sym__constructor_name] = STATE(6909),
    [sym_tag] = STATE(6428),
    [aux_sym_class_application_repeat1] = STATE(2569),
    [sym__lowercase_identifier] = ACTIONS(6103),
    [anon_sym_TILDE] = ACTIONS(6106),
    [anon_sym_QMARK] = ACTIONS(6106),
    [anon_sym_LPAREN] = ACTIONS(6109),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6112),
    [anon_sym_true] = ACTIONS(6115),
    [anon_sym_false] = ACTIONS(6115),
    [anon_sym_LBRACE] = ACTIONS(6118),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(6121),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6124),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_do] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(6127),
    [anon_sym_LBRACE_LT] = ACTIONS(6130),
    [anon_sym_begin] = ACTIONS(6133),
    [sym_ocamlyacc_value] = ACTIONS(6136),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6142),
    [aux_sym_number_token1] = ACTIONS(6145),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6148),
    [anon_sym_DQUOTE] = ACTIONS(6151),
    [sym_prefix_operator] = ACTIONS(6154),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6157),
    [aux_sym_tag_token1] = ACTIONS(6160),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym__simple_expression] = STATE(6581),
    [sym_typed_expression] = STATE(6508),
    [sym_list_expression] = STATE(6508),
    [sym_array_expression] = STATE(6508),
    [sym_record_expression] = STATE(6508),
    [sym_labeled_argument] = STATE(7930),
    [sym_prefix_expression] = STATE(6508),
    [sym_hash_expression] = STATE(6508),
    [sym_field_get_expression] = STATE(6508),
    [sym_array_get_expression] = STATE(6508),
    [sym_string_get_expression] = STATE(6508),
    [sym_bigarray_get_expression] = STATE(6508),
    [sym_coercion_expression] = STATE(6508),
    [sym_local_open_expression] = STATE(6508),
    [sym_package_expression] = STATE(6508),
    [sym_new_expression] = STATE(6508),
    [sym_object_copy_expression] = STATE(6508),
    [sym_method_invocation] = STATE(6508),
    [sym_object_expression] = STATE(6508),
    [sym_parenthesized_expression] = STATE(6508),
    [sym_attribute] = STATE(2570),
    [sym_extension] = STATE(6508),
    [sym_quoted_extension] = STATE(6508),
    [sym__constant] = STATE(6508),
    [sym_number] = STATE(6867),
    [sym_character] = STATE(6867),
    [sym_string] = STATE(6867),
    [sym_quoted_string] = STATE(6867),
    [sym_boolean] = STATE(6867),
    [sym_unit] = STATE(6867),
    [sym__value_name] = STATE(6572),
    [sym_parenthesized_operator] = STATE(6814),
    [sym_value_path] = STATE(6508),
    [sym_module_path] = STATE(19149),
    [sym_constructor_path] = STATE(6508),
    [sym__constructor_name] = STATE(6903),
    [sym_tag] = STATE(6508),
    [aux_sym_class_application_repeat1] = STATE(2570),
    [sym__lowercase_identifier] = ACTIONS(6163),
    [anon_sym_TILDE] = ACTIONS(6166),
    [anon_sym_QMARK] = ACTIONS(6166),
    [anon_sym_LPAREN] = ACTIONS(6169),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6172),
    [anon_sym_true] = ACTIONS(6175),
    [anon_sym_false] = ACTIONS(6175),
    [anon_sym_LBRACE] = ACTIONS(6178),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_with] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(6181),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6184),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(6187),
    [anon_sym_LBRACE_LT] = ACTIONS(6190),
    [anon_sym_begin] = ACTIONS(6193),
    [sym_ocamlyacc_value] = ACTIONS(6196),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6199),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6202),
    [aux_sym_number_token1] = ACTIONS(6205),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6208),
    [anon_sym_DQUOTE] = ACTIONS(6211),
    [sym_prefix_operator] = ACTIONS(6214),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6217),
    [aux_sym_tag_token1] = ACTIONS(6220),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14341),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2571),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20710),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5407),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5411),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5415),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5417),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5423),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5423),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5423),
    [sym_let_and_operator] = ACTIONS(5423),
    [sym_match_operator] = ACTIONS(5423),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym__simple_expression] = STATE(6656),
    [sym_typed_expression] = STATE(6570),
    [sym_list_expression] = STATE(6570),
    [sym_array_expression] = STATE(6570),
    [sym_record_expression] = STATE(6570),
    [sym_labeled_argument] = STATE(7936),
    [sym_prefix_expression] = STATE(6570),
    [sym_hash_expression] = STATE(6570),
    [sym_field_get_expression] = STATE(6570),
    [sym_array_get_expression] = STATE(6570),
    [sym_string_get_expression] = STATE(6570),
    [sym_bigarray_get_expression] = STATE(6570),
    [sym_coercion_expression] = STATE(6570),
    [sym_local_open_expression] = STATE(6570),
    [sym_package_expression] = STATE(6570),
    [sym_new_expression] = STATE(6570),
    [sym_object_copy_expression] = STATE(6570),
    [sym_method_invocation] = STATE(6570),
    [sym_object_expression] = STATE(6570),
    [sym_parenthesized_expression] = STATE(6570),
    [sym_attribute] = STATE(2572),
    [sym_extension] = STATE(6570),
    [sym_quoted_extension] = STATE(6570),
    [sym__constant] = STATE(6570),
    [sym_number] = STATE(6767),
    [sym_character] = STATE(6767),
    [sym_string] = STATE(6767),
    [sym_quoted_string] = STATE(6767),
    [sym_boolean] = STATE(6767),
    [sym_unit] = STATE(6767),
    [sym__value_name] = STATE(6642),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_value_path] = STATE(6570),
    [sym_module_path] = STATE(19190),
    [sym_constructor_path] = STATE(6570),
    [sym__constructor_name] = STATE(6846),
    [sym_tag] = STATE(6570),
    [aux_sym_class_application_repeat1] = STATE(2572),
    [sym__lowercase_identifier] = ACTIONS(6223),
    [anon_sym_TILDE] = ACTIONS(6226),
    [anon_sym_QMARK] = ACTIONS(6226),
    [anon_sym_LPAREN] = ACTIONS(6229),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6232),
    [anon_sym_true] = ACTIONS(6235),
    [anon_sym_false] = ACTIONS(6235),
    [anon_sym_LBRACE] = ACTIONS(6238),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(6241),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6244),
    [anon_sym_else] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(6247),
    [anon_sym_LBRACE_LT] = ACTIONS(6250),
    [anon_sym_begin] = ACTIONS(6253),
    [sym_ocamlyacc_value] = ACTIONS(6256),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6262),
    [aux_sym_number_token1] = ACTIONS(6265),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6268),
    [anon_sym_DQUOTE] = ACTIONS(6271),
    [sym_prefix_operator] = ACTIONS(6274),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6277),
    [aux_sym_tag_token1] = ACTIONS(6280),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14522),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2573),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20429),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5499),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5501),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5503),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5505),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5507),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5507),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5507),
    [sym_let_and_operator] = ACTIONS(5507),
    [sym_match_operator] = ACTIONS(5507),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym__simple_expression] = STATE(6540),
    [sym_typed_expression] = STATE(6413),
    [sym_list_expression] = STATE(6413),
    [sym_array_expression] = STATE(6413),
    [sym_record_expression] = STATE(6413),
    [sym_labeled_argument] = STATE(7808),
    [sym_prefix_expression] = STATE(6413),
    [sym_hash_expression] = STATE(6413),
    [sym_field_get_expression] = STATE(6413),
    [sym_array_get_expression] = STATE(6413),
    [sym_string_get_expression] = STATE(6413),
    [sym_bigarray_get_expression] = STATE(6413),
    [sym_coercion_expression] = STATE(6413),
    [sym_local_open_expression] = STATE(6413),
    [sym_package_expression] = STATE(6413),
    [sym_new_expression] = STATE(6413),
    [sym_object_copy_expression] = STATE(6413),
    [sym_method_invocation] = STATE(6413),
    [sym_object_expression] = STATE(6413),
    [sym_parenthesized_expression] = STATE(6413),
    [sym_attribute] = STATE(2574),
    [sym_extension] = STATE(6413),
    [sym_quoted_extension] = STATE(6413),
    [sym__constant] = STATE(6413),
    [sym_number] = STATE(6687),
    [sym_character] = STATE(6687),
    [sym_string] = STATE(6687),
    [sym_quoted_string] = STATE(6687),
    [sym_boolean] = STATE(6687),
    [sym_unit] = STATE(6687),
    [sym__value_name] = STATE(6789),
    [sym_parenthesized_operator] = STATE(6790),
    [sym_value_path] = STATE(6413),
    [sym_module_path] = STATE(19636),
    [sym_constructor_path] = STATE(6413),
    [sym__constructor_name] = STATE(6688),
    [sym_tag] = STATE(6413),
    [aux_sym_class_application_repeat1] = STATE(2560),
    [sym__lowercase_identifier] = ACTIONS(5371),
    [anon_sym_TILDE] = ACTIONS(5373),
    [anon_sym_QMARK] = ACTIONS(5373),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(2245),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2249),
    [anon_sym_else] = ACTIONS(3797),
    [anon_sym_done] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(2259),
    [anon_sym_LBRACE_LT] = ACTIONS(2261),
    [anon_sym_begin] = ACTIONS(2263),
    [sym_ocamlyacc_value] = ACTIONS(2265),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2267),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2269),
    [aux_sym_number_token1] = ACTIONS(2271),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2273),
    [anon_sym_DQUOTE] = ACTIONS(2275),
    [sym_prefix_operator] = ACTIONS(2277),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2281),
    [aux_sym_tag_token1] = ACTIONS(2283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14405),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2575),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(19235),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5599),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5601),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5603),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5605),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5607),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5607),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5607),
    [sym_let_and_operator] = ACTIONS(5607),
    [sym_match_operator] = ACTIONS(5607),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14512),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2576),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__infix_operator] = STATE(20534),
    [sym_add_operator] = STATE(19215),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(5529),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_DOT] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_module] = ACTIONS(5533),
    [anon_sym_POUND] = ACTIONS(4829),
    [anon_sym_COLON_COLON] = ACTIONS(5535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(4843),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym_prefix_operator] = ACTIONS(5537),
    [aux_sym_sign_operator_token1] = ACTIONS(1415),
    [sym_hash_operator] = ACTIONS(5537),
    [sym_pow_operator] = ACTIONS(1413),
    [sym_mult_operator] = ACTIONS(1413),
    [aux_sym_add_operator_token1] = ACTIONS(1415),
    [sym_concat_operator] = ACTIONS(1417),
    [sym_rel_operator] = ACTIONS(1413),
    [sym_and_operator] = ACTIONS(1413),
    [sym_or_operator] = ACTIONS(1413),
    [sym_assign_operator] = ACTIONS(1417),
    [sym_let_operator] = ACTIONS(5537),
    [sym_let_and_operator] = ACTIONS(5537),
    [sym_match_operator] = ACTIONS(5537),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym__simple_expression] = STATE(6977),
    [sym_typed_expression] = STATE(7187),
    [sym_list_expression] = STATE(7187),
    [sym_array_expression] = STATE(7187),
    [sym_record_expression] = STATE(7187),
    [sym_labeled_argument] = STATE(8117),
    [sym_prefix_expression] = STATE(7187),
    [sym_hash_expression] = STATE(7187),
    [sym_field_get_expression] = STATE(7187),
    [sym_array_get_expression] = STATE(7187),
    [sym_string_get_expression] = STATE(7187),
    [sym_bigarray_get_expression] = STATE(7187),
    [sym_coercion_expression] = STATE(7187),
    [sym_local_open_expression] = STATE(7187),
    [sym_package_expression] = STATE(7187),
    [sym_new_expression] = STATE(7187),
    [sym_object_copy_expression] = STATE(7187),
    [sym_method_invocation] = STATE(7187),
    [sym_object_expression] = STATE(7187),
    [sym_parenthesized_expression] = STATE(7187),
    [sym_attribute] = STATE(2577),
    [sym_extension] = STATE(7187),
    [sym_quoted_extension] = STATE(7187),
    [sym__constant] = STATE(7187),
    [sym_number] = STATE(7404),
    [sym_character] = STATE(7404),
    [sym_string] = STATE(7404),
    [sym_quoted_string] = STATE(7404),
    [sym_boolean] = STATE(7404),
    [sym_unit] = STATE(7404),
    [sym__value_name] = STATE(7270),
    [sym_parenthesized_operator] = STATE(7478),
    [sym_value_path] = STATE(7187),
    [sym_module_path] = STATE(19313),
    [sym_constructor_path] = STATE(7187),
    [sym__constructor_name] = STATE(7408),
    [sym_tag] = STATE(7187),
    [aux_sym_class_application_repeat1] = STATE(2580),
    [sym__lowercase_identifier] = ACTIONS(6283),
    [anon_sym_SEMI_SEMI] = ACTIONS(5907),
    [anon_sym_and] = ACTIONS(5909),
    [anon_sym_TILDE] = ACTIONS(6285),
    [anon_sym_QMARK] = ACTIONS(6285),
    [anon_sym_LPAREN] = ACTIONS(6287),
    [anon_sym_external] = ACTIONS(5909),
    [anon_sym_type] = ACTIONS(5909),
    [anon_sym_LBRACK] = ACTIONS(6289),
    [anon_sym_RBRACK] = ACTIONS(5907),
    [anon_sym_true] = ACTIONS(6291),
    [anon_sym_false] = ACTIONS(6291),
    [anon_sym_LBRACE] = ACTIONS(6293),
    [anon_sym_exception] = ACTIONS(5909),
    [anon_sym_module] = ACTIONS(5909),
    [anon_sym_open] = ACTIONS(5909),
    [anon_sym_include] = ACTIONS(5909),
    [anon_sym_class] = ACTIONS(5909),
    [anon_sym_val] = ACTIONS(5909),
    [anon_sym_object] = ACTIONS(6295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6297),
    [anon_sym_new] = ACTIONS(6299),
    [anon_sym_LBRACE_LT] = ACTIONS(6301),
    [anon_sym_begin] = ACTIONS(6303),
    [sym_ocamlyacc_value] = ACTIONS(6305),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5909),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6307),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6309),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5907),
    [aux_sym_number_token1] = ACTIONS(6311),
    [anon_sym_SQUOTE] = ACTIONS(6313),
    [anon_sym_DQUOTE] = ACTIONS(6315),
    [sym_prefix_operator] = ACTIONS(6317),
    [sym__uppercase_identifier] = ACTIONS(6319),
    [aux_sym_tag_token1] = ACTIONS(6321),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym__simple_expression] = STATE(7489),
    [sym_typed_expression] = STATE(7345),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_labeled_argument] = STATE(8053),
    [sym_prefix_expression] = STATE(7345),
    [sym_hash_expression] = STATE(7345),
    [sym_field_get_expression] = STATE(7345),
    [sym_array_get_expression] = STATE(7345),
    [sym_string_get_expression] = STATE(7345),
    [sym_bigarray_get_expression] = STATE(7345),
    [sym_coercion_expression] = STATE(7345),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2578),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [aux_sym_class_application_repeat1] = STATE(2578),
    [sym__lowercase_identifier] = ACTIONS(6323),
    [anon_sym_TILDE] = ACTIONS(6326),
    [anon_sym_QMARK] = ACTIONS(6326),
    [anon_sym_LPAREN] = ACTIONS(6329),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6332),
    [anon_sym_true] = ACTIONS(6335),
    [anon_sym_false] = ACTIONS(6335),
    [anon_sym_LBRACE] = ACTIONS(6338),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(6341),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6344),
    [anon_sym_do] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(6347),
    [anon_sym_LBRACE_LT] = ACTIONS(6350),
    [anon_sym_begin] = ACTIONS(6353),
    [sym_ocamlyacc_value] = ACTIONS(6356),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6359),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6362),
    [aux_sym_number_token1] = ACTIONS(6365),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6368),
    [anon_sym_DQUOTE] = ACTIONS(6371),
    [sym_prefix_operator] = ACTIONS(6374),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6377),
    [aux_sym_tag_token1] = ACTIONS(6380),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym__simple_expression] = STATE(6977),
    [sym_typed_expression] = STATE(7187),
    [sym_list_expression] = STATE(7187),
    [sym_array_expression] = STATE(7187),
    [sym_record_expression] = STATE(7187),
    [sym_labeled_argument] = STATE(8117),
    [sym_prefix_expression] = STATE(7187),
    [sym_hash_expression] = STATE(7187),
    [sym_field_get_expression] = STATE(7187),
    [sym_array_get_expression] = STATE(7187),
    [sym_string_get_expression] = STATE(7187),
    [sym_bigarray_get_expression] = STATE(7187),
    [sym_coercion_expression] = STATE(7187),
    [sym_local_open_expression] = STATE(7187),
    [sym_package_expression] = STATE(7187),
    [sym_new_expression] = STATE(7187),
    [sym_object_copy_expression] = STATE(7187),
    [sym_method_invocation] = STATE(7187),
    [sym_object_expression] = STATE(7187),
    [sym_parenthesized_expression] = STATE(7187),
    [sym_attribute] = STATE(2579),
    [sym_extension] = STATE(7187),
    [sym_quoted_extension] = STATE(7187),
    [sym__constant] = STATE(7187),
    [sym_number] = STATE(7404),
    [sym_character] = STATE(7404),
    [sym_string] = STATE(7404),
    [sym_quoted_string] = STATE(7404),
    [sym_boolean] = STATE(7404),
    [sym_unit] = STATE(7404),
    [sym__value_name] = STATE(7270),
    [sym_parenthesized_operator] = STATE(7478),
    [sym_value_path] = STATE(7187),
    [sym_module_path] = STATE(19313),
    [sym_constructor_path] = STATE(7187),
    [sym__constructor_name] = STATE(7408),
    [sym_tag] = STATE(7187),
    [aux_sym_class_application_repeat1] = STATE(2579),
    [sym__lowercase_identifier] = ACTIONS(6383),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(6386),
    [anon_sym_QMARK] = ACTIONS(6386),
    [anon_sym_LPAREN] = ACTIONS(6389),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6392),
    [anon_sym_RBRACK] = ACTIONS(3802),
    [anon_sym_true] = ACTIONS(6395),
    [anon_sym_false] = ACTIONS(6395),
    [anon_sym_LBRACE] = ACTIONS(6398),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_val] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(6401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6404),
    [anon_sym_new] = ACTIONS(6407),
    [anon_sym_LBRACE_LT] = ACTIONS(6410),
    [anon_sym_begin] = ACTIONS(6413),
    [sym_ocamlyacc_value] = ACTIONS(6416),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6419),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6422),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(6425),
    [anon_sym_SQUOTE] = ACTIONS(6428),
    [anon_sym_DQUOTE] = ACTIONS(6431),
    [sym_prefix_operator] = ACTIONS(6434),
    [sym__uppercase_identifier] = ACTIONS(6437),
    [aux_sym_tag_token1] = ACTIONS(6440),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym__simple_expression] = STATE(6977),
    [sym_typed_expression] = STATE(7187),
    [sym_list_expression] = STATE(7187),
    [sym_array_expression] = STATE(7187),
    [sym_record_expression] = STATE(7187),
    [sym_labeled_argument] = STATE(8117),
    [sym_prefix_expression] = STATE(7187),
    [sym_hash_expression] = STATE(7187),
    [sym_field_get_expression] = STATE(7187),
    [sym_array_get_expression] = STATE(7187),
    [sym_string_get_expression] = STATE(7187),
    [sym_bigarray_get_expression] = STATE(7187),
    [sym_coercion_expression] = STATE(7187),
    [sym_local_open_expression] = STATE(7187),
    [sym_package_expression] = STATE(7187),
    [sym_new_expression] = STATE(7187),
    [sym_object_copy_expression] = STATE(7187),
    [sym_method_invocation] = STATE(7187),
    [sym_object_expression] = STATE(7187),
    [sym_parenthesized_expression] = STATE(7187),
    [sym_attribute] = STATE(2580),
    [sym_extension] = STATE(7187),
    [sym_quoted_extension] = STATE(7187),
    [sym__constant] = STATE(7187),
    [sym_number] = STATE(7404),
    [sym_character] = STATE(7404),
    [sym_string] = STATE(7404),
    [sym_quoted_string] = STATE(7404),
    [sym_boolean] = STATE(7404),
    [sym_unit] = STATE(7404),
    [sym__value_name] = STATE(7270),
    [sym_parenthesized_operator] = STATE(7478),
    [sym_value_path] = STATE(7187),
    [sym_module_path] = STATE(19313),
    [sym_constructor_path] = STATE(7187),
    [sym__constructor_name] = STATE(7408),
    [sym_tag] = STATE(7187),
    [aux_sym_class_application_repeat1] = STATE(2579),
    [sym__lowercase_identifier] = ACTIONS(6283),
    [anon_sym_SEMI_SEMI] = ACTIONS(5693),
    [anon_sym_and] = ACTIONS(5695),
    [anon_sym_TILDE] = ACTIONS(6285),
    [anon_sym_QMARK] = ACTIONS(6285),
    [anon_sym_LPAREN] = ACTIONS(6287),
    [anon_sym_external] = ACTIONS(5695),
    [anon_sym_type] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(6289),
    [anon_sym_RBRACK] = ACTIONS(5693),
    [anon_sym_true] = ACTIONS(6291),
    [anon_sym_false] = ACTIONS(6291),
    [anon_sym_LBRACE] = ACTIONS(6293),
    [anon_sym_exception] = ACTIONS(5695),
    [anon_sym_module] = ACTIONS(5695),
    [anon_sym_open] = ACTIONS(5695),
    [anon_sym_include] = ACTIONS(5695),
    [anon_sym_class] = ACTIONS(5695),
    [anon_sym_val] = ACTIONS(5695),
    [anon_sym_object] = ACTIONS(6295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6297),
    [anon_sym_new] = ACTIONS(6299),
    [anon_sym_LBRACE_LT] = ACTIONS(6301),
    [anon_sym_begin] = ACTIONS(6303),
    [sym_ocamlyacc_value] = ACTIONS(6305),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6307),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6309),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5693),
    [aux_sym_number_token1] = ACTIONS(6311),
    [anon_sym_SQUOTE] = ACTIONS(6313),
    [anon_sym_DQUOTE] = ACTIONS(6315),
    [sym_prefix_operator] = ACTIONS(6317),
    [sym__uppercase_identifier] = ACTIONS(6319),
    [aux_sym_tag_token1] = ACTIONS(6321),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym__simple_expression] = STATE(7283),
    [sym_typed_expression] = STATE(7416),
    [sym_list_expression] = STATE(7416),
    [sym_array_expression] = STATE(7416),
    [sym_record_expression] = STATE(7416),
    [sym_labeled_argument] = STATE(8082),
    [sym_prefix_expression] = STATE(7416),
    [sym_hash_expression] = STATE(7416),
    [sym_field_get_expression] = STATE(7416),
    [sym_array_get_expression] = STATE(7416),
    [sym_string_get_expression] = STATE(7416),
    [sym_bigarray_get_expression] = STATE(7416),
    [sym_coercion_expression] = STATE(7416),
    [sym_local_open_expression] = STATE(7416),
    [sym_package_expression] = STATE(7416),
    [sym_new_expression] = STATE(7416),
    [sym_object_copy_expression] = STATE(7416),
    [sym_method_invocation] = STATE(7416),
    [sym_object_expression] = STATE(7416),
    [sym_parenthesized_expression] = STATE(7416),
    [sym_attribute] = STATE(2581),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7416),
    [sym_number] = STATE(7520),
    [sym_character] = STATE(7520),
    [sym_string] = STATE(7520),
    [sym_quoted_string] = STATE(7520),
    [sym_boolean] = STATE(7520),
    [sym_unit] = STATE(7520),
    [sym__value_name] = STATE(7477),
    [sym_parenthesized_operator] = STATE(7311),
    [sym_value_path] = STATE(7416),
    [sym_module_path] = STATE(19477),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(6953),
    [sym_tag] = STATE(7416),
    [aux_sym_class_application_repeat1] = STATE(2584),
    [sym__lowercase_identifier] = ACTIONS(6443),
    [anon_sym_SEMI_SEMI] = ACTIONS(5693),
    [anon_sym_and] = ACTIONS(5695),
    [anon_sym_TILDE] = ACTIONS(6445),
    [anon_sym_QMARK] = ACTIONS(6445),
    [anon_sym_LPAREN] = ACTIONS(6447),
    [anon_sym_external] = ACTIONS(5695),
    [anon_sym_type] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(6449),
    [anon_sym_true] = ACTIONS(6451),
    [anon_sym_false] = ACTIONS(6451),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_exception] = ACTIONS(5695),
    [anon_sym_module] = ACTIONS(5695),
    [anon_sym_open] = ACTIONS(5695),
    [anon_sym_include] = ACTIONS(5695),
    [anon_sym_class] = ACTIONS(5695),
    [anon_sym_val] = ACTIONS(5695),
    [anon_sym_end] = ACTIONS(5695),
    [anon_sym_object] = ACTIONS(6455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6457),
    [anon_sym_new] = ACTIONS(6459),
    [anon_sym_LBRACE_LT] = ACTIONS(6461),
    [anon_sym_begin] = ACTIONS(6463),
    [sym_ocamlyacc_value] = ACTIONS(6465),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5693),
    [aux_sym_number_token1] = ACTIONS(6471),
    [anon_sym_SQUOTE] = ACTIONS(6473),
    [anon_sym_DQUOTE] = ACTIONS(6475),
    [sym_prefix_operator] = ACTIONS(6477),
    [sym__uppercase_identifier] = ACTIONS(6479),
    [aux_sym_tag_token1] = ACTIONS(6481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym__simple_expression] = STATE(7489),
    [sym_typed_expression] = STATE(7345),
    [sym_list_expression] = STATE(7345),
    [sym_array_expression] = STATE(7345),
    [sym_record_expression] = STATE(7345),
    [sym_labeled_argument] = STATE(8053),
    [sym_prefix_expression] = STATE(7345),
    [sym_hash_expression] = STATE(7345),
    [sym_field_get_expression] = STATE(7345),
    [sym_array_get_expression] = STATE(7345),
    [sym_string_get_expression] = STATE(7345),
    [sym_bigarray_get_expression] = STATE(7345),
    [sym_coercion_expression] = STATE(7345),
    [sym_local_open_expression] = STATE(7345),
    [sym_package_expression] = STATE(7345),
    [sym_new_expression] = STATE(7345),
    [sym_object_copy_expression] = STATE(7345),
    [sym_method_invocation] = STATE(7345),
    [sym_object_expression] = STATE(7345),
    [sym_parenthesized_expression] = STATE(7345),
    [sym_attribute] = STATE(2582),
    [sym_extension] = STATE(7345),
    [sym_quoted_extension] = STATE(7345),
    [sym__constant] = STATE(7345),
    [sym_number] = STATE(7134),
    [sym_character] = STATE(7134),
    [sym_string] = STATE(7134),
    [sym_quoted_string] = STATE(7134),
    [sym_boolean] = STATE(7134),
    [sym_unit] = STATE(7134),
    [sym__value_name] = STATE(7387),
    [sym_parenthesized_operator] = STATE(7128),
    [sym_value_path] = STATE(7345),
    [sym_module_path] = STATE(18862),
    [sym_constructor_path] = STATE(7345),
    [sym__constructor_name] = STATE(6967),
    [sym_tag] = STATE(7345),
    [aux_sym_class_application_repeat1] = STATE(2578),
    [sym__lowercase_identifier] = ACTIONS(5539),
    [anon_sym_TILDE] = ACTIONS(5541),
    [anon_sym_QMARK] = ACTIONS(5541),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_true] = ACTIONS(2609),
    [anon_sym_false] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACE_LT] = ACTIONS(2629),
    [anon_sym_begin] = ACTIONS(2631),
    [sym_ocamlyacc_value] = ACTIONS(2633),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2635),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2637),
    [aux_sym_number_token1] = ACTIONS(2639),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [sym_prefix_operator] = ACTIONS(2645),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2649),
    [aux_sym_tag_token1] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym__simple_expression] = STATE(7285),
    [sym_typed_expression] = STATE(7114),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_labeled_argument] = STATE(8037),
    [sym_prefix_expression] = STATE(7114),
    [sym_hash_expression] = STATE(7114),
    [sym_field_get_expression] = STATE(7114),
    [sym_array_get_expression] = STATE(7114),
    [sym_string_get_expression] = STATE(7114),
    [sym_bigarray_get_expression] = STATE(7114),
    [sym_coercion_expression] = STATE(7114),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2583),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [aux_sym_class_application_repeat1] = STATE(2587),
    [sym__lowercase_identifier] = ACTIONS(5509),
    [anon_sym_TILDE] = ACTIONS(5511),
    [anon_sym_QMARK] = ACTIONS(5511),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [anon_sym_true] = ACTIONS(2661),
    [anon_sym_false] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_with] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACE_LT] = ACTIONS(2681),
    [anon_sym_begin] = ACTIONS(2683),
    [sym_ocamlyacc_value] = ACTIONS(2685),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2689),
    [aux_sym_number_token1] = ACTIONS(2691),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [sym_prefix_operator] = ACTIONS(2697),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2701),
    [aux_sym_tag_token1] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym__simple_expression] = STATE(7283),
    [sym_typed_expression] = STATE(7416),
    [sym_list_expression] = STATE(7416),
    [sym_array_expression] = STATE(7416),
    [sym_record_expression] = STATE(7416),
    [sym_labeled_argument] = STATE(8082),
    [sym_prefix_expression] = STATE(7416),
    [sym_hash_expression] = STATE(7416),
    [sym_field_get_expression] = STATE(7416),
    [sym_array_get_expression] = STATE(7416),
    [sym_string_get_expression] = STATE(7416),
    [sym_bigarray_get_expression] = STATE(7416),
    [sym_coercion_expression] = STATE(7416),
    [sym_local_open_expression] = STATE(7416),
    [sym_package_expression] = STATE(7416),
    [sym_new_expression] = STATE(7416),
    [sym_object_copy_expression] = STATE(7416),
    [sym_method_invocation] = STATE(7416),
    [sym_object_expression] = STATE(7416),
    [sym_parenthesized_expression] = STATE(7416),
    [sym_attribute] = STATE(2584),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7416),
    [sym_number] = STATE(7520),
    [sym_character] = STATE(7520),
    [sym_string] = STATE(7520),
    [sym_quoted_string] = STATE(7520),
    [sym_boolean] = STATE(7520),
    [sym_unit] = STATE(7520),
    [sym__value_name] = STATE(7477),
    [sym_parenthesized_operator] = STATE(7311),
    [sym_value_path] = STATE(7416),
    [sym_module_path] = STATE(19477),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(6953),
    [sym_tag] = STATE(7416),
    [aux_sym_class_application_repeat1] = STATE(2584),
    [sym__lowercase_identifier] = ACTIONS(6483),
    [anon_sym_SEMI_SEMI] = ACTIONS(3802),
    [anon_sym_and] = ACTIONS(3804),
    [anon_sym_TILDE] = ACTIONS(6486),
    [anon_sym_QMARK] = ACTIONS(6486),
    [anon_sym_LPAREN] = ACTIONS(6489),
    [anon_sym_external] = ACTIONS(3804),
    [anon_sym_type] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6492),
    [anon_sym_true] = ACTIONS(6495),
    [anon_sym_false] = ACTIONS(6495),
    [anon_sym_LBRACE] = ACTIONS(6498),
    [anon_sym_exception] = ACTIONS(3804),
    [anon_sym_module] = ACTIONS(3804),
    [anon_sym_open] = ACTIONS(3804),
    [anon_sym_include] = ACTIONS(3804),
    [anon_sym_class] = ACTIONS(3804),
    [anon_sym_val] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(6501),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6504),
    [anon_sym_new] = ACTIONS(6507),
    [anon_sym_LBRACE_LT] = ACTIONS(6510),
    [anon_sym_begin] = ACTIONS(6513),
    [sym_ocamlyacc_value] = ACTIONS(6516),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6522),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(6525),
    [anon_sym_SQUOTE] = ACTIONS(6528),
    [anon_sym_DQUOTE] = ACTIONS(6531),
    [sym_prefix_operator] = ACTIONS(6534),
    [sym__uppercase_identifier] = ACTIONS(6537),
    [aux_sym_tag_token1] = ACTIONS(6540),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym__simple_expression] = STATE(7421),
    [sym_typed_expression] = STATE(7333),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_labeled_argument] = STATE(8021),
    [sym_prefix_expression] = STATE(7333),
    [sym_hash_expression] = STATE(7333),
    [sym_field_get_expression] = STATE(7333),
    [sym_array_get_expression] = STATE(7333),
    [sym_string_get_expression] = STATE(7333),
    [sym_bigarray_get_expression] = STATE(7333),
    [sym_coercion_expression] = STATE(7333),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2585),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [aux_sym_class_application_repeat1] = STATE(2585),
    [sym__lowercase_identifier] = ACTIONS(6543),
    [anon_sym_TILDE] = ACTIONS(6546),
    [anon_sym_QMARK] = ACTIONS(6546),
    [anon_sym_LPAREN] = ACTIONS(6549),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6552),
    [anon_sym_true] = ACTIONS(6555),
    [anon_sym_false] = ACTIONS(6555),
    [anon_sym_LBRACE] = ACTIONS(6558),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(6561),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6564),
    [anon_sym_then] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(6567),
    [anon_sym_LBRACE_LT] = ACTIONS(6570),
    [anon_sym_begin] = ACTIONS(6573),
    [sym_ocamlyacc_value] = ACTIONS(6576),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6582),
    [aux_sym_number_token1] = ACTIONS(6585),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6588),
    [anon_sym_DQUOTE] = ACTIONS(6591),
    [sym_prefix_operator] = ACTIONS(6594),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6597),
    [aux_sym_tag_token1] = ACTIONS(6600),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym__simple_expression] = STATE(7283),
    [sym_typed_expression] = STATE(7416),
    [sym_list_expression] = STATE(7416),
    [sym_array_expression] = STATE(7416),
    [sym_record_expression] = STATE(7416),
    [sym_labeled_argument] = STATE(8082),
    [sym_prefix_expression] = STATE(7416),
    [sym_hash_expression] = STATE(7416),
    [sym_field_get_expression] = STATE(7416),
    [sym_array_get_expression] = STATE(7416),
    [sym_string_get_expression] = STATE(7416),
    [sym_bigarray_get_expression] = STATE(7416),
    [sym_coercion_expression] = STATE(7416),
    [sym_local_open_expression] = STATE(7416),
    [sym_package_expression] = STATE(7416),
    [sym_new_expression] = STATE(7416),
    [sym_object_copy_expression] = STATE(7416),
    [sym_method_invocation] = STATE(7416),
    [sym_object_expression] = STATE(7416),
    [sym_parenthesized_expression] = STATE(7416),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(7416),
    [sym_quoted_extension] = STATE(7416),
    [sym__constant] = STATE(7416),
    [sym_number] = STATE(7520),
    [sym_character] = STATE(7520),
    [sym_string] = STATE(7520),
    [sym_quoted_string] = STATE(7520),
    [sym_boolean] = STATE(7520),
    [sym_unit] = STATE(7520),
    [sym__value_name] = STATE(7477),
    [sym_parenthesized_operator] = STATE(7311),
    [sym_value_path] = STATE(7416),
    [sym_module_path] = STATE(19477),
    [sym_constructor_path] = STATE(7416),
    [sym__constructor_name] = STATE(6953),
    [sym_tag] = STATE(7416),
    [aux_sym_class_application_repeat1] = STATE(2581),
    [sym__lowercase_identifier] = ACTIONS(6443),
    [anon_sym_SEMI_SEMI] = ACTIONS(5907),
    [anon_sym_and] = ACTIONS(5909),
    [anon_sym_TILDE] = ACTIONS(6445),
    [anon_sym_QMARK] = ACTIONS(6445),
    [anon_sym_LPAREN] = ACTIONS(6447),
    [anon_sym_external] = ACTIONS(5909),
    [anon_sym_type] = ACTIONS(5909),
    [anon_sym_LBRACK] = ACTIONS(6449),
    [anon_sym_true] = ACTIONS(6451),
    [anon_sym_false] = ACTIONS(6451),
    [anon_sym_LBRACE] = ACTIONS(6453),
    [anon_sym_exception] = ACTIONS(5909),
    [anon_sym_module] = ACTIONS(5909),
    [anon_sym_open] = ACTIONS(5909),
    [anon_sym_include] = ACTIONS(5909),
    [anon_sym_class] = ACTIONS(5909),
    [anon_sym_val] = ACTIONS(5909),
    [anon_sym_end] = ACTIONS(5909),
    [anon_sym_object] = ACTIONS(6455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6457),
    [anon_sym_new] = ACTIONS(6459),
    [anon_sym_LBRACE_LT] = ACTIONS(6461),
    [anon_sym_begin] = ACTIONS(6463),
    [sym_ocamlyacc_value] = ACTIONS(6465),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5909),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6467),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6469),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5907),
    [aux_sym_number_token1] = ACTIONS(6471),
    [anon_sym_SQUOTE] = ACTIONS(6473),
    [anon_sym_DQUOTE] = ACTIONS(6475),
    [sym_prefix_operator] = ACTIONS(6477),
    [sym__uppercase_identifier] = ACTIONS(6479),
    [aux_sym_tag_token1] = ACTIONS(6481),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym__simple_expression] = STATE(7285),
    [sym_typed_expression] = STATE(7114),
    [sym_list_expression] = STATE(7114),
    [sym_array_expression] = STATE(7114),
    [sym_record_expression] = STATE(7114),
    [sym_labeled_argument] = STATE(8037),
    [sym_prefix_expression] = STATE(7114),
    [sym_hash_expression] = STATE(7114),
    [sym_field_get_expression] = STATE(7114),
    [sym_array_get_expression] = STATE(7114),
    [sym_string_get_expression] = STATE(7114),
    [sym_bigarray_get_expression] = STATE(7114),
    [sym_coercion_expression] = STATE(7114),
    [sym_local_open_expression] = STATE(7114),
    [sym_package_expression] = STATE(7114),
    [sym_new_expression] = STATE(7114),
    [sym_object_copy_expression] = STATE(7114),
    [sym_method_invocation] = STATE(7114),
    [sym_object_expression] = STATE(7114),
    [sym_parenthesized_expression] = STATE(7114),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(7114),
    [sym_quoted_extension] = STATE(7114),
    [sym__constant] = STATE(7114),
    [sym_number] = STATE(6964),
    [sym_character] = STATE(6964),
    [sym_string] = STATE(6964),
    [sym_quoted_string] = STATE(6964),
    [sym_boolean] = STATE(6964),
    [sym_unit] = STATE(6964),
    [sym__value_name] = STATE(7126),
    [sym_parenthesized_operator] = STATE(7137),
    [sym_value_path] = STATE(7114),
    [sym_module_path] = STATE(18473),
    [sym_constructor_path] = STATE(7114),
    [sym__constructor_name] = STATE(7190),
    [sym_tag] = STATE(7114),
    [aux_sym_class_application_repeat1] = STATE(2587),
    [sym__lowercase_identifier] = ACTIONS(6603),
    [anon_sym_TILDE] = ACTIONS(6606),
    [anon_sym_QMARK] = ACTIONS(6606),
    [anon_sym_LPAREN] = ACTIONS(6609),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6612),
    [anon_sym_true] = ACTIONS(6615),
    [anon_sym_false] = ACTIONS(6615),
    [anon_sym_LBRACE] = ACTIONS(6618),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_with] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(6621),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6624),
    [anon_sym_new] = ACTIONS(6627),
    [anon_sym_LBRACE_LT] = ACTIONS(6630),
    [anon_sym_begin] = ACTIONS(6633),
    [sym_ocamlyacc_value] = ACTIONS(6636),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6642),
    [aux_sym_number_token1] = ACTIONS(6645),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6648),
    [anon_sym_DQUOTE] = ACTIONS(6651),
    [sym_prefix_operator] = ACTIONS(6654),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6657),
    [aux_sym_tag_token1] = ACTIONS(6660),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym__simple_expression] = STATE(7415),
    [sym_typed_expression] = STATE(7035),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_labeled_argument] = STATE(8015),
    [sym_prefix_expression] = STATE(7035),
    [sym_hash_expression] = STATE(7035),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_coercion_expression] = STATE(7035),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2588),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [aux_sym_class_application_repeat1] = STATE(2588),
    [sym__lowercase_identifier] = ACTIONS(6663),
    [anon_sym_TILDE] = ACTIONS(6666),
    [anon_sym_QMARK] = ACTIONS(6666),
    [anon_sym_LPAREN] = ACTIONS(6669),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6672),
    [anon_sym_true] = ACTIONS(6675),
    [anon_sym_false] = ACTIONS(6675),
    [anon_sym_LBRACE] = ACTIONS(6678),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_object] = ACTIONS(6681),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6684),
    [anon_sym_done] = ACTIONS(3804),
    [anon_sym_new] = ACTIONS(6687),
    [anon_sym_LBRACE_LT] = ACTIONS(6690),
    [anon_sym_begin] = ACTIONS(6693),
    [sym_ocamlyacc_value] = ACTIONS(6696),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6702),
    [aux_sym_number_token1] = ACTIONS(6705),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6708),
    [anon_sym_DQUOTE] = ACTIONS(6711),
    [sym_prefix_operator] = ACTIONS(6714),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6717),
    [aux_sym_tag_token1] = ACTIONS(6720),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym__simple_expression] = STATE(7365),
    [sym_typed_expression] = STATE(7122),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_labeled_argument] = STATE(8085),
    [sym_prefix_expression] = STATE(7122),
    [sym_hash_expression] = STATE(7122),
    [sym_field_get_expression] = STATE(7122),
    [sym_array_get_expression] = STATE(7122),
    [sym_string_get_expression] = STATE(7122),
    [sym_bigarray_get_expression] = STATE(7122),
    [sym_coercion_expression] = STATE(7122),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2589),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [aux_sym_class_application_repeat1] = STATE(2592),
    [sym__lowercase_identifier] = ACTIONS(5621),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_end] = ACTIONS(3797),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2811),
    [anon_sym_LBRACE_LT] = ACTIONS(2813),
    [anon_sym_begin] = ACTIONS(2815),
    [sym_ocamlyacc_value] = ACTIONS(2817),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2821),
    [aux_sym_number_token1] = ACTIONS(2823),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [sym_prefix_operator] = ACTIONS(2829),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2833),
    [aux_sym_tag_token1] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym__simple_expression] = STATE(7421),
    [sym_typed_expression] = STATE(7333),
    [sym_list_expression] = STATE(7333),
    [sym_array_expression] = STATE(7333),
    [sym_record_expression] = STATE(7333),
    [sym_labeled_argument] = STATE(8021),
    [sym_prefix_expression] = STATE(7333),
    [sym_hash_expression] = STATE(7333),
    [sym_field_get_expression] = STATE(7333),
    [sym_array_get_expression] = STATE(7333),
    [sym_string_get_expression] = STATE(7333),
    [sym_bigarray_get_expression] = STATE(7333),
    [sym_coercion_expression] = STATE(7333),
    [sym_local_open_expression] = STATE(7333),
    [sym_package_expression] = STATE(7333),
    [sym_new_expression] = STATE(7333),
    [sym_object_copy_expression] = STATE(7333),
    [sym_method_invocation] = STATE(7333),
    [sym_object_expression] = STATE(7333),
    [sym_parenthesized_expression] = STATE(7333),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(7333),
    [sym_quoted_extension] = STATE(7333),
    [sym__constant] = STATE(7333),
    [sym_number] = STATE(7123),
    [sym_character] = STATE(7123),
    [sym_string] = STATE(7123),
    [sym_quoted_string] = STATE(7123),
    [sym_boolean] = STATE(7123),
    [sym_unit] = STATE(7123),
    [sym__value_name] = STATE(7418),
    [sym_parenthesized_operator] = STATE(7390),
    [sym_value_path] = STATE(7333),
    [sym_module_path] = STATE(21369),
    [sym_constructor_path] = STATE(7333),
    [sym__constructor_name] = STATE(7142),
    [sym_tag] = STATE(7333),
    [aux_sym_class_application_repeat1] = STATE(2585),
    [sym__lowercase_identifier] = ACTIONS(5519),
    [anon_sym_TILDE] = ACTIONS(5521),
    [anon_sym_QMARK] = ACTIONS(5521),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2725),
    [anon_sym_true] = ACTIONS(2727),
    [anon_sym_false] = ACTIONS(2727),
    [anon_sym_LBRACE] = ACTIONS(2729),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(2731),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2735),
    [anon_sym_then] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_LBRACE_LT] = ACTIONS(2747),
    [anon_sym_begin] = ACTIONS(2749),
    [sym_ocamlyacc_value] = ACTIONS(2751),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2755),
    [aux_sym_number_token1] = ACTIONS(2757),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2761),
    [sym_prefix_operator] = ACTIONS(2763),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2767),
    [aux_sym_tag_token1] = ACTIONS(2769),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym__simple_expression] = STATE(7415),
    [sym_typed_expression] = STATE(7035),
    [sym_list_expression] = STATE(7035),
    [sym_array_expression] = STATE(7035),
    [sym_record_expression] = STATE(7035),
    [sym_labeled_argument] = STATE(8015),
    [sym_prefix_expression] = STATE(7035),
    [sym_hash_expression] = STATE(7035),
    [sym_field_get_expression] = STATE(7035),
    [sym_array_get_expression] = STATE(7035),
    [sym_string_get_expression] = STATE(7035),
    [sym_bigarray_get_expression] = STATE(7035),
    [sym_coercion_expression] = STATE(7035),
    [sym_local_open_expression] = STATE(7035),
    [sym_package_expression] = STATE(7035),
    [sym_new_expression] = STATE(7035),
    [sym_object_copy_expression] = STATE(7035),
    [sym_method_invocation] = STATE(7035),
    [sym_object_expression] = STATE(7035),
    [sym_parenthesized_expression] = STATE(7035),
    [sym_attribute] = STATE(2591),
    [sym_extension] = STATE(7035),
    [sym_quoted_extension] = STATE(7035),
    [sym__constant] = STATE(7035),
    [sym_number] = STATE(7193),
    [sym_character] = STATE(7193),
    [sym_string] = STATE(7193),
    [sym_quoted_string] = STATE(7193),
    [sym_boolean] = STATE(7193),
    [sym_unit] = STATE(7193),
    [sym__value_name] = STATE(7361),
    [sym_parenthesized_operator] = STATE(7319),
    [sym_value_path] = STATE(7035),
    [sym_module_path] = STATE(18619),
    [sym_constructor_path] = STATE(7035),
    [sym__constructor_name] = STATE(7195),
    [sym_tag] = STATE(7035),
    [aux_sym_class_application_repeat1] = STATE(2588),
    [sym__lowercase_identifier] = ACTIONS(5391),
    [anon_sym_TILDE] = ACTIONS(5393),
    [anon_sym_QMARK] = ACTIONS(5393),
    [anon_sym_LPAREN] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(3795),
    [anon_sym_PIPE] = ACTIONS(3797),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(3795),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_COLON_COLON] = ACTIONS(3795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2853),
    [anon_sym_done] = ACTIONS(3797),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_LBRACE_LT] = ACTIONS(2865),
    [anon_sym_begin] = ACTIONS(2867),
    [sym_ocamlyacc_value] = ACTIONS(2869),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2873),
    [aux_sym_number_token1] = ACTIONS(2875),
    [aux_sym_signed_number_token1] = ACTIONS(3797),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [sym_prefix_operator] = ACTIONS(2881),
    [aux_sym_sign_operator_token1] = ACTIONS(3797),
    [sym_pow_operator] = ACTIONS(3797),
    [sym_mult_operator] = ACTIONS(3797),
    [aux_sym_add_operator_token1] = ACTIONS(3797),
    [sym_concat_operator] = ACTIONS(3795),
    [sym_rel_operator] = ACTIONS(3797),
    [sym_and_operator] = ACTIONS(3797),
    [sym_or_operator] = ACTIONS(3797),
    [sym_assign_operator] = ACTIONS(3795),
    [sym__uppercase_identifier] = ACTIONS(2885),
    [aux_sym_tag_token1] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym__simple_expression] = STATE(7365),
    [sym_typed_expression] = STATE(7122),
    [sym_list_expression] = STATE(7122),
    [sym_array_expression] = STATE(7122),
    [sym_record_expression] = STATE(7122),
    [sym_labeled_argument] = STATE(8085),
    [sym_prefix_expression] = STATE(7122),
    [sym_hash_expression] = STATE(7122),
    [sym_field_get_expression] = STATE(7122),
    [sym_array_get_expression] = STATE(7122),
    [sym_string_get_expression] = STATE(7122),
    [sym_bigarray_get_expression] = STATE(7122),
    [sym_coercion_expression] = STATE(7122),
    [sym_local_open_expression] = STATE(7122),
    [sym_package_expression] = STATE(7122),
    [sym_new_expression] = STATE(7122),
    [sym_object_copy_expression] = STATE(7122),
    [sym_method_invocation] = STATE(7122),
    [sym_object_expression] = STATE(7122),
    [sym_parenthesized_expression] = STATE(7122),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(7122),
    [sym_quoted_extension] = STATE(7122),
    [sym__constant] = STATE(7122),
    [sym_number] = STATE(7349),
    [sym_character] = STATE(7349),
    [sym_string] = STATE(7349),
    [sym_quoted_string] = STATE(7349),
    [sym_boolean] = STATE(7349),
    [sym_unit] = STATE(7349),
    [sym__value_name] = STATE(7136),
    [sym_parenthesized_operator] = STATE(6966),
    [sym_value_path] = STATE(7122),
    [sym_module_path] = STATE(19435),
    [sym_constructor_path] = STATE(7122),
    [sym__constructor_name] = STATE(7352),
    [sym_tag] = STATE(7122),
    [aux_sym_class_application_repeat1] = STATE(2592),
    [sym__lowercase_identifier] = ACTIONS(6723),
    [anon_sym_TILDE] = ACTIONS(6726),
    [anon_sym_QMARK] = ACTIONS(6726),
    [anon_sym_LPAREN] = ACTIONS(6729),
    [anon_sym_COMMA] = ACTIONS(3802),
    [anon_sym_PIPE] = ACTIONS(3804),
    [anon_sym_LBRACK] = ACTIONS(6732),
    [anon_sym_true] = ACTIONS(6735),
    [anon_sym_false] = ACTIONS(6735),
    [anon_sym_LBRACE] = ACTIONS(6738),
    [anon_sym_SEMI] = ACTIONS(3802),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(6741),
    [anon_sym_COLON_COLON] = ACTIONS(3802),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6744),
    [anon_sym_new] = ACTIONS(6747),
    [anon_sym_LBRACE_LT] = ACTIONS(6750),
    [anon_sym_begin] = ACTIONS(6753),
    [sym_ocamlyacc_value] = ACTIONS(6756),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6759),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6762),
    [aux_sym_number_token1] = ACTIONS(6765),
    [aux_sym_signed_number_token1] = ACTIONS(3804),
    [anon_sym_SQUOTE] = ACTIONS(6768),
    [anon_sym_DQUOTE] = ACTIONS(6771),
    [sym_prefix_operator] = ACTIONS(6774),
    [aux_sym_sign_operator_token1] = ACTIONS(3804),
    [sym_pow_operator] = ACTIONS(3804),
    [sym_mult_operator] = ACTIONS(3804),
    [aux_sym_add_operator_token1] = ACTIONS(3804),
    [sym_concat_operator] = ACTIONS(3802),
    [sym_rel_operator] = ACTIONS(3804),
    [sym_and_operator] = ACTIONS(3804),
    [sym_or_operator] = ACTIONS(3804),
    [sym_assign_operator] = ACTIONS(3802),
    [sym__uppercase_identifier] = ACTIONS(6777),
    [aux_sym_tag_token1] = ACTIONS(6780),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym__parenthesized_abstract_type] = STATE(3179),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(13739),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2593),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_EQ] = ACTIONS(6783),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(6787),
    [anon_sym_RPAREN] = ACTIONS(6783),
    [anon_sym_COMMA] = ACTIONS(6783),
    [anon_sym_PIPE] = ACTIONS(6783),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(6783),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_COLON2] = ACTIONS(6789),
    [anon_sym_DASH_GT] = ACTIONS(6783),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_as] = ACTIONS(6789),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(6783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_when] = ACTIONS(6789),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11535),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2594),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11105),
    [aux_sym_let_binding_repeat1] = STATE(2644),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(6797),
    [anon_sym_let] = ACTIONS(6799),
    [anon_sym_and] = ACTIONS(6799),
    [anon_sym_EQ] = ACTIONS(6801),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(6799),
    [anon_sym_type] = ACTIONS(6799),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(6799),
    [anon_sym_module] = ACTIONS(6799),
    [anon_sym_open] = ACTIONS(6799),
    [anon_sym_include] = ACTIONS(6799),
    [anon_sym_class] = ACTIONS(6799),
    [anon_sym_end] = ACTIONS(6799),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6797),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6797),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6797),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(6797),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(6799),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11491),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2595),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11114),
    [aux_sym_let_binding_repeat1] = STATE(2642),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6841),
    [anon_sym_let] = ACTIONS(6843),
    [anon_sym_and] = ACTIONS(6843),
    [anon_sym_EQ] = ACTIONS(6845),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6843),
    [anon_sym_type] = ACTIONS(6843),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6841),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6843),
    [anon_sym_module] = ACTIONS(6843),
    [anon_sym_open] = ACTIONS(6843),
    [anon_sym_include] = ACTIONS(6843),
    [anon_sym_class] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6841),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6841),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6841),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6841),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6843),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11534),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2596),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11078),
    [aux_sym_let_binding_repeat1] = STATE(2594),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(6881),
    [anon_sym_let] = ACTIONS(6883),
    [anon_sym_and] = ACTIONS(6883),
    [anon_sym_EQ] = ACTIONS(6885),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(6883),
    [anon_sym_type] = ACTIONS(6883),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(6883),
    [anon_sym_module] = ACTIONS(6883),
    [anon_sym_open] = ACTIONS(6883),
    [anon_sym_include] = ACTIONS(6883),
    [anon_sym_class] = ACTIONS(6883),
    [anon_sym_end] = ACTIONS(6883),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6881),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(6881),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(6883),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11528),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2597),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11211),
    [aux_sym_let_binding_repeat1] = STATE(2644),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(6887),
    [anon_sym_let] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6889),
    [anon_sym_EQ] = ACTIONS(6891),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(6889),
    [anon_sym_type] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(6889),
    [anon_sym_module] = ACTIONS(6889),
    [anon_sym_open] = ACTIONS(6889),
    [anon_sym_include] = ACTIONS(6889),
    [anon_sym_class] = ACTIONS(6889),
    [anon_sym_end] = ACTIONS(6889),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6887),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6887),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6887),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(6887),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(6889),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11551),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2598),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11078),
    [aux_sym_let_binding_repeat1] = STATE(2600),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6881),
    [anon_sym_let] = ACTIONS(6883),
    [anon_sym_and] = ACTIONS(6883),
    [anon_sym_EQ] = ACTIONS(6893),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6883),
    [anon_sym_type] = ACTIONS(6883),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6881),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6883),
    [anon_sym_module] = ACTIONS(6883),
    [anon_sym_open] = ACTIONS(6883),
    [anon_sym_include] = ACTIONS(6883),
    [anon_sym_class] = ACTIONS(6883),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6881),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6881),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6883),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(13800),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2599),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_EQ] = ACTIONS(6783),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(6783),
    [anon_sym_COMMA] = ACTIONS(6783),
    [anon_sym_PIPE] = ACTIONS(6783),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(6783),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_COLON2] = ACTIONS(6789),
    [anon_sym_DASH_GT] = ACTIONS(6783),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_as] = ACTIONS(6789),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(6783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_when] = ACTIONS(6789),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(6793),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11497),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2600),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11105),
    [aux_sym_let_binding_repeat1] = STATE(2642),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6797),
    [anon_sym_let] = ACTIONS(6799),
    [anon_sym_and] = ACTIONS(6799),
    [anon_sym_EQ] = ACTIONS(6895),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6799),
    [anon_sym_type] = ACTIONS(6799),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6797),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6799),
    [anon_sym_module] = ACTIONS(6799),
    [anon_sym_open] = ACTIONS(6799),
    [anon_sym_include] = ACTIONS(6799),
    [anon_sym_class] = ACTIONS(6799),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6797),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6797),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6797),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6797),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6799),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym__simple_expression] = STATE(8266),
    [sym_typed_expression] = STATE(8339),
    [sym_list_expression] = STATE(8339),
    [sym_array_expression] = STATE(8339),
    [sym_record_expression] = STATE(8339),
    [sym_labeled_argument] = STATE(8760),
    [sym_prefix_expression] = STATE(8339),
    [sym_hash_expression] = STATE(8339),
    [sym_field_get_expression] = STATE(8339),
    [sym_array_get_expression] = STATE(8339),
    [sym_string_get_expression] = STATE(8339),
    [sym_bigarray_get_expression] = STATE(8339),
    [sym_coercion_expression] = STATE(8339),
    [sym_local_open_expression] = STATE(8339),
    [sym_package_expression] = STATE(8339),
    [sym_new_expression] = STATE(8339),
    [sym_object_copy_expression] = STATE(8339),
    [sym_method_invocation] = STATE(8339),
    [sym_object_expression] = STATE(8339),
    [sym_parenthesized_expression] = STATE(8339),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(8339),
    [sym_quoted_extension] = STATE(8339),
    [sym__constant] = STATE(8339),
    [sym_number] = STATE(8174),
    [sym_character] = STATE(8174),
    [sym_string] = STATE(8174),
    [sym_quoted_string] = STATE(8174),
    [sym_boolean] = STATE(8174),
    [sym_unit] = STATE(8174),
    [sym__value_name] = STATE(8432),
    [sym_parenthesized_operator] = STATE(8128),
    [sym_value_path] = STATE(8339),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(8339),
    [sym__constructor_name] = STATE(8175),
    [sym_tag] = STATE(8339),
    [aux_sym_class_application_repeat1] = STATE(2602),
    [sym__lowercase_identifier] = ACTIONS(6897),
    [anon_sym_TILDE] = ACTIONS(6899),
    [anon_sym_QMARK] = ACTIONS(6899),
    [anon_sym_LPAREN] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_true] = ACTIONS(6905),
    [anon_sym_false] = ACTIONS(6905),
    [anon_sym_LBRACE] = ACTIONS(6907),
    [anon_sym_constraint] = ACTIONS(5695),
    [anon_sym_val] = ACTIONS(5695),
    [anon_sym_end] = ACTIONS(5695),
    [anon_sym_object] = ACTIONS(6909),
    [anon_sym_inherit] = ACTIONS(5695),
    [anon_sym_method] = ACTIONS(5695),
    [anon_sym_as] = ACTIONS(5695),
    [anon_sym_initializer] = ACTIONS(5695),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6911),
    [anon_sym_new] = ACTIONS(6913),
    [anon_sym_LBRACE_LT] = ACTIONS(6915),
    [anon_sym_begin] = ACTIONS(6917),
    [sym_ocamlyacc_value] = ACTIONS(6919),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6923),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5693),
    [aux_sym_number_token1] = ACTIONS(6925),
    [anon_sym_SQUOTE] = ACTIONS(6927),
    [anon_sym_DQUOTE] = ACTIONS(6929),
    [sym_prefix_operator] = ACTIONS(6931),
    [sym__uppercase_identifier] = ACTIONS(6933),
    [aux_sym_tag_token1] = ACTIONS(6935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym__simple_expression] = STATE(8266),
    [sym_typed_expression] = STATE(8339),
    [sym_list_expression] = STATE(8339),
    [sym_array_expression] = STATE(8339),
    [sym_record_expression] = STATE(8339),
    [sym_labeled_argument] = STATE(8760),
    [sym_prefix_expression] = STATE(8339),
    [sym_hash_expression] = STATE(8339),
    [sym_field_get_expression] = STATE(8339),
    [sym_array_get_expression] = STATE(8339),
    [sym_string_get_expression] = STATE(8339),
    [sym_bigarray_get_expression] = STATE(8339),
    [sym_coercion_expression] = STATE(8339),
    [sym_local_open_expression] = STATE(8339),
    [sym_package_expression] = STATE(8339),
    [sym_new_expression] = STATE(8339),
    [sym_object_copy_expression] = STATE(8339),
    [sym_method_invocation] = STATE(8339),
    [sym_object_expression] = STATE(8339),
    [sym_parenthesized_expression] = STATE(8339),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(8339),
    [sym_quoted_extension] = STATE(8339),
    [sym__constant] = STATE(8339),
    [sym_number] = STATE(8174),
    [sym_character] = STATE(8174),
    [sym_string] = STATE(8174),
    [sym_quoted_string] = STATE(8174),
    [sym_boolean] = STATE(8174),
    [sym_unit] = STATE(8174),
    [sym__value_name] = STATE(8432),
    [sym_parenthesized_operator] = STATE(8128),
    [sym_value_path] = STATE(8339),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(8339),
    [sym__constructor_name] = STATE(8175),
    [sym_tag] = STATE(8339),
    [aux_sym_class_application_repeat1] = STATE(2602),
    [sym__lowercase_identifier] = ACTIONS(6937),
    [anon_sym_TILDE] = ACTIONS(6940),
    [anon_sym_QMARK] = ACTIONS(6940),
    [anon_sym_LPAREN] = ACTIONS(6943),
    [anon_sym_LBRACK] = ACTIONS(6946),
    [anon_sym_true] = ACTIONS(6949),
    [anon_sym_false] = ACTIONS(6949),
    [anon_sym_LBRACE] = ACTIONS(6952),
    [anon_sym_constraint] = ACTIONS(3804),
    [anon_sym_val] = ACTIONS(3804),
    [anon_sym_end] = ACTIONS(3804),
    [anon_sym_object] = ACTIONS(6955),
    [anon_sym_inherit] = ACTIONS(3804),
    [anon_sym_method] = ACTIONS(3804),
    [anon_sym_as] = ACTIONS(3804),
    [anon_sym_initializer] = ACTIONS(3804),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6958),
    [anon_sym_new] = ACTIONS(6961),
    [anon_sym_LBRACE_LT] = ACTIONS(6964),
    [anon_sym_begin] = ACTIONS(6967),
    [sym_ocamlyacc_value] = ACTIONS(6970),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3804),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3802),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6973),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6976),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3802),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3802),
    [aux_sym_number_token1] = ACTIONS(6979),
    [anon_sym_SQUOTE] = ACTIONS(6982),
    [anon_sym_DQUOTE] = ACTIONS(6985),
    [sym_prefix_operator] = ACTIONS(6988),
    [sym__uppercase_identifier] = ACTIONS(6991),
    [aux_sym_tag_token1] = ACTIONS(6994),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11618),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2603),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11295),
    [aux_sym_let_binding_repeat1] = STATE(2611),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6997),
    [anon_sym_let] = ACTIONS(6999),
    [anon_sym_and] = ACTIONS(6999),
    [anon_sym_EQ] = ACTIONS(7001),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6999),
    [anon_sym_type] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6997),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6999),
    [anon_sym_module] = ACTIONS(6999),
    [anon_sym_open] = ACTIONS(6999),
    [anon_sym_include] = ACTIONS(6999),
    [anon_sym_class] = ACTIONS(6999),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6997),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6997),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6997),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6997),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6999),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11529),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2604),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11114),
    [aux_sym_let_binding_repeat1] = STATE(2644),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(6841),
    [anon_sym_let] = ACTIONS(6843),
    [anon_sym_and] = ACTIONS(6843),
    [anon_sym_EQ] = ACTIONS(7003),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(6843),
    [anon_sym_type] = ACTIONS(6843),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(6843),
    [anon_sym_module] = ACTIONS(6843),
    [anon_sym_open] = ACTIONS(6843),
    [anon_sym_include] = ACTIONS(6843),
    [anon_sym_class] = ACTIONS(6843),
    [anon_sym_end] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6841),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6841),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6841),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(6841),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(6843),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11527),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2605),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11430),
    [aux_sym_let_binding_repeat1] = STATE(2604),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(7005),
    [anon_sym_let] = ACTIONS(7007),
    [anon_sym_and] = ACTIONS(7007),
    [anon_sym_EQ] = ACTIONS(7009),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(7007),
    [anon_sym_type] = ACTIONS(7007),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(7007),
    [anon_sym_module] = ACTIONS(7007),
    [anon_sym_open] = ACTIONS(7007),
    [anon_sym_include] = ACTIONS(7007),
    [anon_sym_class] = ACTIONS(7007),
    [anon_sym_end] = ACTIONS(7007),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7005),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(7005),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(7007),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11751),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2606),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11430),
    [aux_sym_let_binding_repeat1] = STATE(2595),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(7005),
    [anon_sym_let] = ACTIONS(7007),
    [anon_sym_and] = ACTIONS(7007),
    [anon_sym_EQ] = ACTIONS(7011),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(7007),
    [anon_sym_type] = ACTIONS(7007),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(7005),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(7007),
    [anon_sym_module] = ACTIONS(7007),
    [anon_sym_open] = ACTIONS(7007),
    [anon_sym_include] = ACTIONS(7007),
    [anon_sym_class] = ACTIONS(7007),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7005),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(7005),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(7007),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11517),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2607),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11077),
    [aux_sym_let_binding_repeat1] = STATE(2642),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(7013),
    [anon_sym_let] = ACTIONS(7015),
    [anon_sym_and] = ACTIONS(7015),
    [anon_sym_EQ] = ACTIONS(7017),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(7015),
    [anon_sym_type] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(7015),
    [anon_sym_module] = ACTIONS(7015),
    [anon_sym_open] = ACTIONS(7015),
    [anon_sym_include] = ACTIONS(7015),
    [anon_sym_class] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7013),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7013),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7013),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(7013),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(7015),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11530),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2608),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11295),
    [aux_sym_let_binding_repeat1] = STATE(2610),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(6997),
    [anon_sym_let] = ACTIONS(6999),
    [anon_sym_and] = ACTIONS(6999),
    [anon_sym_EQ] = ACTIONS(7019),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(6999),
    [anon_sym_type] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(6999),
    [anon_sym_module] = ACTIONS(6999),
    [anon_sym_open] = ACTIONS(6999),
    [anon_sym_include] = ACTIONS(6999),
    [anon_sym_class] = ACTIONS(6999),
    [anon_sym_end] = ACTIONS(6999),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6997),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6997),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6997),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(6997),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(6999),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym__simple_expression] = STATE(8266),
    [sym_typed_expression] = STATE(8339),
    [sym_list_expression] = STATE(8339),
    [sym_array_expression] = STATE(8339),
    [sym_record_expression] = STATE(8339),
    [sym_labeled_argument] = STATE(8760),
    [sym_prefix_expression] = STATE(8339),
    [sym_hash_expression] = STATE(8339),
    [sym_field_get_expression] = STATE(8339),
    [sym_array_get_expression] = STATE(8339),
    [sym_string_get_expression] = STATE(8339),
    [sym_bigarray_get_expression] = STATE(8339),
    [sym_coercion_expression] = STATE(8339),
    [sym_local_open_expression] = STATE(8339),
    [sym_package_expression] = STATE(8339),
    [sym_new_expression] = STATE(8339),
    [sym_object_copy_expression] = STATE(8339),
    [sym_method_invocation] = STATE(8339),
    [sym_object_expression] = STATE(8339),
    [sym_parenthesized_expression] = STATE(8339),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(8339),
    [sym_quoted_extension] = STATE(8339),
    [sym__constant] = STATE(8339),
    [sym_number] = STATE(8174),
    [sym_character] = STATE(8174),
    [sym_string] = STATE(8174),
    [sym_quoted_string] = STATE(8174),
    [sym_boolean] = STATE(8174),
    [sym_unit] = STATE(8174),
    [sym__value_name] = STATE(8432),
    [sym_parenthesized_operator] = STATE(8128),
    [sym_value_path] = STATE(8339),
    [sym_module_path] = STATE(18496),
    [sym_constructor_path] = STATE(8339),
    [sym__constructor_name] = STATE(8175),
    [sym_tag] = STATE(8339),
    [aux_sym_class_application_repeat1] = STATE(2601),
    [sym__lowercase_identifier] = ACTIONS(6897),
    [anon_sym_TILDE] = ACTIONS(6899),
    [anon_sym_QMARK] = ACTIONS(6899),
    [anon_sym_LPAREN] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6903),
    [anon_sym_true] = ACTIONS(6905),
    [anon_sym_false] = ACTIONS(6905),
    [anon_sym_LBRACE] = ACTIONS(6907),
    [anon_sym_constraint] = ACTIONS(5909),
    [anon_sym_val] = ACTIONS(5909),
    [anon_sym_end] = ACTIONS(5909),
    [anon_sym_object] = ACTIONS(6909),
    [anon_sym_inherit] = ACTIONS(5909),
    [anon_sym_method] = ACTIONS(5909),
    [anon_sym_as] = ACTIONS(5909),
    [anon_sym_initializer] = ACTIONS(5909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6911),
    [anon_sym_new] = ACTIONS(6913),
    [anon_sym_LBRACE_LT] = ACTIONS(6915),
    [anon_sym_begin] = ACTIONS(6917),
    [sym_ocamlyacc_value] = ACTIONS(6919),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5909),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5907),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6921),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6923),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5907),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5907),
    [aux_sym_number_token1] = ACTIONS(6925),
    [anon_sym_SQUOTE] = ACTIONS(6927),
    [anon_sym_DQUOTE] = ACTIONS(6929),
    [sym_prefix_operator] = ACTIONS(6931),
    [sym__uppercase_identifier] = ACTIONS(6933),
    [aux_sym_tag_token1] = ACTIONS(6935),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11531),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2610),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11409),
    [aux_sym_let_binding_repeat1] = STATE(2644),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(7021),
    [anon_sym_let] = ACTIONS(7023),
    [anon_sym_and] = ACTIONS(7023),
    [anon_sym_EQ] = ACTIONS(7025),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(7023),
    [anon_sym_type] = ACTIONS(7023),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(7023),
    [anon_sym_module] = ACTIONS(7023),
    [anon_sym_open] = ACTIONS(7023),
    [anon_sym_include] = ACTIONS(7023),
    [anon_sym_class] = ACTIONS(7023),
    [anon_sym_end] = ACTIONS(7023),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7021),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7021),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7021),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(7021),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(7023),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11743),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2611),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11409),
    [aux_sym_let_binding_repeat1] = STATE(2642),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(7021),
    [anon_sym_let] = ACTIONS(7023),
    [anon_sym_and] = ACTIONS(7023),
    [anon_sym_EQ] = ACTIONS(7027),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(7023),
    [anon_sym_type] = ACTIONS(7023),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(7021),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(7023),
    [anon_sym_module] = ACTIONS(7023),
    [anon_sym_open] = ACTIONS(7023),
    [anon_sym_include] = ACTIONS(7023),
    [anon_sym_class] = ACTIONS(7023),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7021),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7021),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7021),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(7021),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(7023),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11532),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2612),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11412),
    [aux_sym_let_binding_repeat1] = STATE(2616),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(7029),
    [anon_sym_let] = ACTIONS(7031),
    [anon_sym_and] = ACTIONS(7031),
    [anon_sym_EQ] = ACTIONS(7033),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(7031),
    [anon_sym_type] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(7031),
    [anon_sym_module] = ACTIONS(7031),
    [anon_sym_open] = ACTIONS(7031),
    [anon_sym_include] = ACTIONS(7031),
    [anon_sym_class] = ACTIONS(7031),
    [anon_sym_end] = ACTIONS(7031),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7029),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(7029),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(7031),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11744),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2613),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11412),
    [aux_sym_let_binding_repeat1] = STATE(2607),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(7029),
    [anon_sym_let] = ACTIONS(7031),
    [anon_sym_and] = ACTIONS(7031),
    [anon_sym_EQ] = ACTIONS(7035),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(7031),
    [anon_sym_type] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(7031),
    [anon_sym_module] = ACTIONS(7031),
    [anon_sym_open] = ACTIONS(7031),
    [anon_sym_include] = ACTIONS(7031),
    [anon_sym_class] = ACTIONS(7031),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7029),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(7029),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(7031),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11483),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2614),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11211),
    [aux_sym_let_binding_repeat1] = STATE(2642),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(6887),
    [anon_sym_let] = ACTIONS(6889),
    [anon_sym_and] = ACTIONS(6889),
    [anon_sym_EQ] = ACTIONS(7037),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(6889),
    [anon_sym_type] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(6887),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(6889),
    [anon_sym_module] = ACTIONS(6889),
    [anon_sym_open] = ACTIONS(6889),
    [anon_sym_include] = ACTIONS(6889),
    [anon_sym_class] = ACTIONS(6889),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6887),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6887),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6887),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(6887),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(6889),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym_parameter] = STATE(7913),
    [sym__class_typed] = STATE(11728),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2615),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_expression_item_repeat1] = STATE(11140),
    [aux_sym_let_binding_repeat1] = STATE(2614),
    [sym__lowercase_identifier] = ACTIONS(6839),
    [anon_sym_SEMI_SEMI] = ACTIONS(7039),
    [anon_sym_let] = ACTIONS(7041),
    [anon_sym_and] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7043),
    [anon_sym_TILDE] = ACTIONS(6847),
    [anon_sym_QMARK] = ACTIONS(6847),
    [anon_sym_LPAREN] = ACTIONS(6849),
    [anon_sym_external] = ACTIONS(7041),
    [anon_sym_type] = ACTIONS(7041),
    [anon_sym_LBRACK] = ACTIONS(6851),
    [anon_sym_RBRACK] = ACTIONS(7039),
    [anon_sym_true] = ACTIONS(6853),
    [anon_sym_false] = ACTIONS(6853),
    [anon_sym_COLON2] = ACTIONS(6855),
    [anon_sym_LBRACE] = ACTIONS(6857),
    [anon_sym_exception] = ACTIONS(7041),
    [anon_sym_module] = ACTIONS(7041),
    [anon_sym_open] = ACTIONS(7041),
    [anon_sym_include] = ACTIONS(7041),
    [anon_sym_class] = ACTIONS(7041),
    [anon_sym_POUND] = ACTIONS(6859),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6861),
    [anon_sym_begin] = ACTIONS(6863),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6865),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6867),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7039),
    [aux_sym_number_token1] = ACTIONS(6869),
    [aux_sym_signed_number_token1] = ACTIONS(6871),
    [anon_sym_SQUOTE] = ACTIONS(6873),
    [anon_sym_DQUOTE] = ACTIONS(6875),
    [sym_let_operator] = ACTIONS(7039),
    [sym__uppercase_identifier] = ACTIONS(6877),
    [aux_sym_directive_token1] = ACTIONS(7041),
    [aux_sym_tag_token1] = ACTIONS(6879),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11533),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2616),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11077),
    [aux_sym_let_binding_repeat1] = STATE(2644),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(7013),
    [anon_sym_let] = ACTIONS(7015),
    [anon_sym_and] = ACTIONS(7015),
    [anon_sym_EQ] = ACTIONS(7045),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(7015),
    [anon_sym_type] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(7015),
    [anon_sym_module] = ACTIONS(7015),
    [anon_sym_open] = ACTIONS(7015),
    [anon_sym_include] = ACTIONS(7015),
    [anon_sym_class] = ACTIONS(7015),
    [anon_sym_end] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7013),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7013),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7013),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(7013),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(7015),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym_parameter] = STATE(7886),
    [sym__class_typed] = STATE(11523),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2617),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_expression_item_repeat1] = STATE(11140),
    [aux_sym_let_binding_repeat1] = STATE(2597),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(7039),
    [anon_sym_let] = ACTIONS(7041),
    [anon_sym_and] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7047),
    [anon_sym_TILDE] = ACTIONS(6803),
    [anon_sym_QMARK] = ACTIONS(6803),
    [anon_sym_LPAREN] = ACTIONS(6805),
    [anon_sym_external] = ACTIONS(7041),
    [anon_sym_type] = ACTIONS(7041),
    [anon_sym_LBRACK] = ACTIONS(6807),
    [anon_sym_true] = ACTIONS(6809),
    [anon_sym_false] = ACTIONS(6809),
    [anon_sym_COLON2] = ACTIONS(6811),
    [anon_sym_LBRACE] = ACTIONS(6813),
    [anon_sym_exception] = ACTIONS(7041),
    [anon_sym_module] = ACTIONS(7041),
    [anon_sym_open] = ACTIONS(7041),
    [anon_sym_include] = ACTIONS(7041),
    [anon_sym_class] = ACTIONS(7041),
    [anon_sym_end] = ACTIONS(7041),
    [anon_sym_POUND] = ACTIONS(6815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6817),
    [anon_sym_begin] = ACTIONS(6819),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6823),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6825),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7039),
    [aux_sym_number_token1] = ACTIONS(6827),
    [aux_sym_signed_number_token1] = ACTIONS(6829),
    [anon_sym_SQUOTE] = ACTIONS(6831),
    [anon_sym_DQUOTE] = ACTIONS(6833),
    [sym_let_operator] = ACTIONS(7039),
    [sym__uppercase_identifier] = ACTIONS(6835),
    [aux_sym_directive_token1] = ACTIONS(7041),
    [aux_sym_tag_token1] = ACTIONS(6837),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12507),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2618),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11078),
    [aux_sym_let_binding_repeat1] = STATE(2629),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(6881),
    [anon_sym_and] = ACTIONS(6883),
    [anon_sym_EQ] = ACTIONS(7051),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(6883),
    [anon_sym_type] = ACTIONS(6883),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(6881),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(6883),
    [anon_sym_module] = ACTIONS(6883),
    [anon_sym_open] = ACTIONS(6883),
    [anon_sym_include] = ACTIONS(6883),
    [anon_sym_class] = ACTIONS(6883),
    [anon_sym_val] = ACTIONS(6883),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6881),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12399),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2619),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11295),
    [aux_sym_let_binding_repeat1] = STATE(2620),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(6997),
    [anon_sym_and] = ACTIONS(6999),
    [anon_sym_EQ] = ACTIONS(7089),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(6999),
    [anon_sym_type] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(6999),
    [anon_sym_module] = ACTIONS(6999),
    [anon_sym_open] = ACTIONS(6999),
    [anon_sym_include] = ACTIONS(6999),
    [anon_sym_class] = ACTIONS(6999),
    [anon_sym_val] = ACTIONS(6999),
    [anon_sym_end] = ACTIONS(6999),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6997),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6997),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6997),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12400),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2620),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11409),
    [aux_sym_let_binding_repeat1] = STATE(2720),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(7021),
    [anon_sym_and] = ACTIONS(7023),
    [anon_sym_EQ] = ACTIONS(7125),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(7023),
    [anon_sym_type] = ACTIONS(7023),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(7023),
    [anon_sym_module] = ACTIONS(7023),
    [anon_sym_open] = ACTIONS(7023),
    [anon_sym_include] = ACTIONS(7023),
    [anon_sym_class] = ACTIONS(7023),
    [anon_sym_val] = ACTIONS(7023),
    [anon_sym_end] = ACTIONS(7023),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7021),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7021),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7021),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12408),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2621),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11412),
    [aux_sym_let_binding_repeat1] = STATE(2622),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(7029),
    [anon_sym_and] = ACTIONS(7031),
    [anon_sym_EQ] = ACTIONS(7127),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(7031),
    [anon_sym_type] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(7031),
    [anon_sym_module] = ACTIONS(7031),
    [anon_sym_open] = ACTIONS(7031),
    [anon_sym_include] = ACTIONS(7031),
    [anon_sym_class] = ACTIONS(7031),
    [anon_sym_val] = ACTIONS(7031),
    [anon_sym_end] = ACTIONS(7031),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7029),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12414),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2622),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11077),
    [aux_sym_let_binding_repeat1] = STATE(2720),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(7013),
    [anon_sym_and] = ACTIONS(7015),
    [anon_sym_EQ] = ACTIONS(7129),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(7015),
    [anon_sym_type] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(7015),
    [anon_sym_module] = ACTIONS(7015),
    [anon_sym_open] = ACTIONS(7015),
    [anon_sym_include] = ACTIONS(7015),
    [anon_sym_class] = ACTIONS(7015),
    [anon_sym_val] = ACTIONS(7015),
    [anon_sym_end] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7013),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7013),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7013),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12416),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2623),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11078),
    [aux_sym_let_binding_repeat1] = STATE(2624),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(6881),
    [anon_sym_and] = ACTIONS(6883),
    [anon_sym_EQ] = ACTIONS(7131),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(6883),
    [anon_sym_type] = ACTIONS(6883),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(6883),
    [anon_sym_module] = ACTIONS(6883),
    [anon_sym_open] = ACTIONS(6883),
    [anon_sym_include] = ACTIONS(6883),
    [anon_sym_class] = ACTIONS(6883),
    [anon_sym_val] = ACTIONS(6883),
    [anon_sym_end] = ACTIONS(6883),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6881),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6881),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6881),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12424),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2624),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11105),
    [aux_sym_let_binding_repeat1] = STATE(2720),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(6797),
    [anon_sym_and] = ACTIONS(6799),
    [anon_sym_EQ] = ACTIONS(7133),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(6799),
    [anon_sym_type] = ACTIONS(6799),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(6799),
    [anon_sym_module] = ACTIONS(6799),
    [anon_sym_open] = ACTIONS(6799),
    [anon_sym_include] = ACTIONS(6799),
    [anon_sym_class] = ACTIONS(6799),
    [anon_sym_val] = ACTIONS(6799),
    [anon_sym_end] = ACTIONS(6799),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6797),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6797),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6797),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2625] = {
    [sym__parenthesized_abstract_type] = STATE(3205),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(13739),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2625),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(6787),
    [anon_sym_COMMA] = ACTIONS(6783),
    [anon_sym_PIPE] = ACTIONS(6783),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(6783),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_SEMI] = ACTIONS(6783),
    [anon_sym_RBRACE] = ACTIONS(6783),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_as] = ACTIONS(6789),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_COLON_COLON] = ACTIONS(6783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2626] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12488),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2626),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11409),
    [aux_sym_let_binding_repeat1] = STATE(2696),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(7021),
    [anon_sym_and] = ACTIONS(7023),
    [anon_sym_EQ] = ACTIONS(7149),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(7023),
    [anon_sym_type] = ACTIONS(7023),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7021),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(7023),
    [anon_sym_module] = ACTIONS(7023),
    [anon_sym_open] = ACTIONS(7023),
    [anon_sym_include] = ACTIONS(7023),
    [anon_sym_class] = ACTIONS(7023),
    [anon_sym_val] = ACTIONS(7023),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7021),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7021),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7021),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2627] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12490),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2627),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11412),
    [aux_sym_let_binding_repeat1] = STATE(2628),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(7029),
    [anon_sym_and] = ACTIONS(7031),
    [anon_sym_EQ] = ACTIONS(7151),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(7031),
    [anon_sym_type] = ACTIONS(7031),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7029),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(7031),
    [anon_sym_module] = ACTIONS(7031),
    [anon_sym_open] = ACTIONS(7031),
    [anon_sym_include] = ACTIONS(7031),
    [anon_sym_class] = ACTIONS(7031),
    [anon_sym_val] = ACTIONS(7031),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7029),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2628] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12500),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2628),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11077),
    [aux_sym_let_binding_repeat1] = STATE(2696),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(7013),
    [anon_sym_and] = ACTIONS(7015),
    [anon_sym_EQ] = ACTIONS(7153),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(7015),
    [anon_sym_type] = ACTIONS(7015),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7013),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(7015),
    [anon_sym_module] = ACTIONS(7015),
    [anon_sym_open] = ACTIONS(7015),
    [anon_sym_include] = ACTIONS(7015),
    [anon_sym_class] = ACTIONS(7015),
    [anon_sym_val] = ACTIONS(7015),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7013),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7013),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7013),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2629] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12521),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2629),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11105),
    [aux_sym_let_binding_repeat1] = STATE(2696),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(6797),
    [anon_sym_and] = ACTIONS(6799),
    [anon_sym_EQ] = ACTIONS(7155),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(6799),
    [anon_sym_type] = ACTIONS(6799),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(6797),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(6799),
    [anon_sym_module] = ACTIONS(6799),
    [anon_sym_open] = ACTIONS(6799),
    [anon_sym_include] = ACTIONS(6799),
    [anon_sym_class] = ACTIONS(6799),
    [anon_sym_val] = ACTIONS(6799),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6797),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6797),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6797),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2630] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12463),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2630),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11140),
    [aux_sym_let_binding_repeat1] = STATE(2638),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(7039),
    [anon_sym_and] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7157),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(7041),
    [anon_sym_type] = ACTIONS(7041),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7039),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(7041),
    [anon_sym_module] = ACTIONS(7041),
    [anon_sym_open] = ACTIONS(7041),
    [anon_sym_include] = ACTIONS(7041),
    [anon_sym_class] = ACTIONS(7041),
    [anon_sym_val] = ACTIONS(7041),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7039),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2631] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12546),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2631),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11430),
    [aux_sym_let_binding_repeat1] = STATE(2639),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(7005),
    [anon_sym_and] = ACTIONS(7007),
    [anon_sym_EQ] = ACTIONS(7159),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(7007),
    [anon_sym_type] = ACTIONS(7007),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(7007),
    [anon_sym_module] = ACTIONS(7007),
    [anon_sym_open] = ACTIONS(7007),
    [anon_sym_include] = ACTIONS(7007),
    [anon_sym_class] = ACTIONS(7007),
    [anon_sym_val] = ACTIONS(7007),
    [anon_sym_end] = ACTIONS(7007),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7005),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2632] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12469),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2632),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11211),
    [aux_sym_let_binding_repeat1] = STATE(2720),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(6887),
    [anon_sym_and] = ACTIONS(6889),
    [anon_sym_EQ] = ACTIONS(7161),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(6889),
    [anon_sym_type] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(6889),
    [anon_sym_module] = ACTIONS(6889),
    [anon_sym_open] = ACTIONS(6889),
    [anon_sym_include] = ACTIONS(6889),
    [anon_sym_class] = ACTIONS(6889),
    [anon_sym_val] = ACTIONS(6889),
    [anon_sym_end] = ACTIONS(6889),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6887),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6887),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6887),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2633] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12523),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2633),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11430),
    [aux_sym_let_binding_repeat1] = STATE(2636),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(7005),
    [anon_sym_and] = ACTIONS(7007),
    [anon_sym_EQ] = ACTIONS(7163),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(7007),
    [anon_sym_type] = ACTIONS(7007),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(7005),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(7007),
    [anon_sym_module] = ACTIONS(7007),
    [anon_sym_open] = ACTIONS(7007),
    [anon_sym_include] = ACTIONS(7007),
    [anon_sym_class] = ACTIONS(7007),
    [anon_sym_val] = ACTIONS(7007),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7005),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7005),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7005),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2634] = {
    [sym__parenthesized_abstract_type] = STATE(4708),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(9266),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2634),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(7167),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_in] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2635] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12392),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2635),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11295),
    [aux_sym_let_binding_repeat1] = STATE(2626),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(6997),
    [anon_sym_and] = ACTIONS(6999),
    [anon_sym_EQ] = ACTIONS(7199),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(6999),
    [anon_sym_type] = ACTIONS(6999),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(6997),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(6999),
    [anon_sym_module] = ACTIONS(6999),
    [anon_sym_open] = ACTIONS(6999),
    [anon_sym_include] = ACTIONS(6999),
    [anon_sym_class] = ACTIONS(6999),
    [anon_sym_val] = ACTIONS(6999),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6997),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6997),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6997),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2636] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12510),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2636),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11114),
    [aux_sym_let_binding_repeat1] = STATE(2696),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(6841),
    [anon_sym_and] = ACTIONS(6843),
    [anon_sym_EQ] = ACTIONS(7201),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(6843),
    [anon_sym_type] = ACTIONS(6843),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(6841),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(6843),
    [anon_sym_module] = ACTIONS(6843),
    [anon_sym_open] = ACTIONS(6843),
    [anon_sym_include] = ACTIONS(6843),
    [anon_sym_class] = ACTIONS(6843),
    [anon_sym_val] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6841),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6841),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6841),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2637] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12524),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2637),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11140),
    [aux_sym_let_binding_repeat1] = STATE(2632),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(7039),
    [anon_sym_and] = ACTIONS(7041),
    [anon_sym_EQ] = ACTIONS(7203),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(7041),
    [anon_sym_type] = ACTIONS(7041),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(7041),
    [anon_sym_module] = ACTIONS(7041),
    [anon_sym_open] = ACTIONS(7041),
    [anon_sym_include] = ACTIONS(7041),
    [anon_sym_class] = ACTIONS(7041),
    [anon_sym_val] = ACTIONS(7041),
    [anon_sym_end] = ACTIONS(7041),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7039),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7039),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7039),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2638] = {
    [sym_parameter] = STATE(8437),
    [sym__class_typed] = STATE(12383),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2638),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_expression_item_repeat1] = STATE(11211),
    [aux_sym_let_binding_repeat1] = STATE(2696),
    [sym__lowercase_identifier] = ACTIONS(7049),
    [anon_sym_SEMI_SEMI] = ACTIONS(6887),
    [anon_sym_and] = ACTIONS(6889),
    [anon_sym_EQ] = ACTIONS(7205),
    [anon_sym_TILDE] = ACTIONS(7053),
    [anon_sym_QMARK] = ACTIONS(7053),
    [anon_sym_LPAREN] = ACTIONS(7055),
    [anon_sym_external] = ACTIONS(6889),
    [anon_sym_type] = ACTIONS(6889),
    [anon_sym_LBRACK] = ACTIONS(7057),
    [anon_sym_RBRACK] = ACTIONS(6887),
    [anon_sym_true] = ACTIONS(7059),
    [anon_sym_false] = ACTIONS(7059),
    [anon_sym_COLON2] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(7063),
    [anon_sym_exception] = ACTIONS(6889),
    [anon_sym_module] = ACTIONS(6889),
    [anon_sym_open] = ACTIONS(6889),
    [anon_sym_include] = ACTIONS(6889),
    [anon_sym_class] = ACTIONS(6889),
    [anon_sym_val] = ACTIONS(6889),
    [anon_sym_POUND] = ACTIONS(7065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7067),
    [anon_sym_begin] = ACTIONS(7069),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6887),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7071),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7073),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6887),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6887),
    [aux_sym_number_token1] = ACTIONS(7075),
    [aux_sym_signed_number_token1] = ACTIONS(7077),
    [anon_sym_SQUOTE] = ACTIONS(7079),
    [anon_sym_DQUOTE] = ACTIONS(7081),
    [sym__uppercase_identifier] = ACTIONS(7083),
    [aux_sym_tag_token1] = ACTIONS(7085),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2639] = {
    [sym_parameter] = STATE(8169),
    [sym__class_typed] = STATE(12384),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2639),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_expression_item_repeat1] = STATE(11114),
    [aux_sym_let_binding_repeat1] = STATE(2720),
    [sym__lowercase_identifier] = ACTIONS(7087),
    [anon_sym_SEMI_SEMI] = ACTIONS(6841),
    [anon_sym_and] = ACTIONS(6843),
    [anon_sym_EQ] = ACTIONS(7207),
    [anon_sym_TILDE] = ACTIONS(7091),
    [anon_sym_QMARK] = ACTIONS(7091),
    [anon_sym_LPAREN] = ACTIONS(7093),
    [anon_sym_external] = ACTIONS(6843),
    [anon_sym_type] = ACTIONS(6843),
    [anon_sym_LBRACK] = ACTIONS(7095),
    [anon_sym_true] = ACTIONS(7097),
    [anon_sym_false] = ACTIONS(7097),
    [anon_sym_COLON2] = ACTIONS(7099),
    [anon_sym_LBRACE] = ACTIONS(7101),
    [anon_sym_exception] = ACTIONS(6843),
    [anon_sym_module] = ACTIONS(6843),
    [anon_sym_open] = ACTIONS(6843),
    [anon_sym_include] = ACTIONS(6843),
    [anon_sym_class] = ACTIONS(6843),
    [anon_sym_val] = ACTIONS(6843),
    [anon_sym_end] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(7103),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7105),
    [anon_sym_begin] = ACTIONS(7107),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6841),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7109),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7111),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6841),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6841),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(7115),
    [anon_sym_SQUOTE] = ACTIONS(7117),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym__uppercase_identifier] = ACTIONS(7121),
    [aux_sym_tag_token1] = ACTIONS(7123),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2640] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(13800),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2640),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_COMMA] = ACTIONS(6783),
    [anon_sym_PIPE] = ACTIONS(6783),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(6783),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_SEMI] = ACTIONS(6783),
    [anon_sym_RBRACE] = ACTIONS(6783),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_as] = ACTIONS(6789),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_COLON_COLON] = ACTIONS(6783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2641] = {
    [sym__parenthesized_abstract_type] = STATE(3187),
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14703),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(2641),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7211),
    [anon_sym_COMMA] = ACTIONS(6783),
    [anon_sym_PIPE] = ACTIONS(6789),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_SEMI] = ACTIONS(6783),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_as] = ACTIONS(6789),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_COLON_COLON] = ACTIONS(6783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(6783),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2642] = {
    [sym_parameter] = STATE(7913),
    [sym__parenthesized_abstract_type] = STATE(7913),
    [sym__simple_pattern] = STATE(7914),
    [sym_typed_pattern] = STATE(7935),
    [sym_polymorphic_variant_pattern] = STATE(7935),
    [sym_record_pattern] = STATE(7935),
    [sym_list_pattern] = STATE(7935),
    [sym_array_pattern] = STATE(7935),
    [sym_local_open_pattern] = STATE(7935),
    [sym_package_pattern] = STATE(7935),
    [sym_parenthesized_pattern] = STATE(7935),
    [sym_attribute] = STATE(2642),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7839),
    [sym__signed_constant] = STATE(7935),
    [sym_number] = STATE(7771),
    [sym_signed_number] = STATE(7839),
    [sym_character] = STATE(7771),
    [sym_string] = STATE(7771),
    [sym_quoted_string] = STATE(7771),
    [sym_boolean] = STATE(7771),
    [sym_unit] = STATE(7771),
    [sym__simple_value_pattern] = STATE(7935),
    [sym_parenthesized_operator] = STATE(7935),
    [sym_module_path] = STATE(18947),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7791),
    [sym_tag] = STATE(7935),
    [aux_sym_let_binding_repeat1] = STATE(2642),
    [sym__lowercase_identifier] = ACTIONS(7247),
    [anon_sym_SEMI_SEMI] = ACTIONS(7250),
    [anon_sym_let] = ACTIONS(7252),
    [anon_sym_and] = ACTIONS(7252),
    [anon_sym_EQ] = ACTIONS(7250),
    [anon_sym_TILDE] = ACTIONS(7254),
    [anon_sym_QMARK] = ACTIONS(7254),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_external] = ACTIONS(7252),
    [anon_sym_type] = ACTIONS(7252),
    [anon_sym_LBRACK] = ACTIONS(7260),
    [anon_sym_RBRACK] = ACTIONS(7250),
    [anon_sym_true] = ACTIONS(7263),
    [anon_sym_false] = ACTIONS(7263),
    [anon_sym_COLON2] = ACTIONS(7250),
    [anon_sym_LBRACE] = ACTIONS(7266),
    [anon_sym_exception] = ACTIONS(7252),
    [anon_sym_module] = ACTIONS(7252),
    [anon_sym_open] = ACTIONS(7252),
    [anon_sym_include] = ACTIONS(7252),
    [anon_sym_class] = ACTIONS(7252),
    [anon_sym_POUND] = ACTIONS(7269),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7272),
    [anon_sym_begin] = ACTIONS(7275),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7252),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7250),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7278),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7281),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7250),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7250),
    [aux_sym_number_token1] = ACTIONS(7284),
    [aux_sym_signed_number_token1] = ACTIONS(7287),
    [anon_sym_SQUOTE] = ACTIONS(7290),
    [anon_sym_DQUOTE] = ACTIONS(7293),
    [sym_let_operator] = ACTIONS(7250),
    [sym__uppercase_identifier] = ACTIONS(7296),
    [aux_sym_directive_token1] = ACTIONS(7252),
    [aux_sym_tag_token1] = ACTIONS(7299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2643] = {
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(9194),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2643),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_and] = ACTIONS(4737),
    [anon_sym_COLON_GT] = ACTIONS(4735),
    [anon_sym_EQ] = ACTIONS(4735),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_QMARK] = ACTIONS(4735),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_in] = ACTIONS(4737),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym_let_and_operator] = ACTIONS(4735),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2644] = {
    [sym_parameter] = STATE(7886),
    [sym__parenthesized_abstract_type] = STATE(7886),
    [sym__simple_pattern] = STATE(7903),
    [sym_typed_pattern] = STATE(7945),
    [sym_polymorphic_variant_pattern] = STATE(7945),
    [sym_record_pattern] = STATE(7945),
    [sym_list_pattern] = STATE(7945),
    [sym_array_pattern] = STATE(7945),
    [sym_local_open_pattern] = STATE(7945),
    [sym_package_pattern] = STATE(7945),
    [sym_parenthesized_pattern] = STATE(7945),
    [sym_attribute] = STATE(2644),
    [sym_extension] = STATE(7945),
    [sym_quoted_extension] = STATE(7945),
    [sym__constant] = STATE(8008),
    [sym__signed_constant] = STATE(7945),
    [sym_number] = STATE(7939),
    [sym_signed_number] = STATE(8008),
    [sym_character] = STATE(7939),
    [sym_string] = STATE(7939),
    [sym_quoted_string] = STATE(7939),
    [sym_boolean] = STATE(7939),
    [sym_unit] = STATE(7939),
    [sym__simple_value_pattern] = STATE(7945),
    [sym_parenthesized_operator] = STATE(7945),
    [sym_module_path] = STATE(20426),
    [sym_constructor_path] = STATE(7945),
    [sym__constructor_name] = STATE(7940),
    [sym_tag] = STATE(7945),
    [aux_sym_let_binding_repeat1] = STATE(2644),
    [sym__lowercase_identifier] = ACTIONS(7304),
    [anon_sym_SEMI_SEMI] = ACTIONS(7250),
    [anon_sym_let] = ACTIONS(7252),
    [anon_sym_and] = ACTIONS(7252),
    [anon_sym_EQ] = ACTIONS(7250),
    [anon_sym_TILDE] = ACTIONS(7307),
    [anon_sym_QMARK] = ACTIONS(7307),
    [anon_sym_LPAREN] = ACTIONS(7310),
    [anon_sym_external] = ACTIONS(7252),
    [anon_sym_type] = ACTIONS(7252),
    [anon_sym_LBRACK] = ACTIONS(7313),
    [anon_sym_true] = ACTIONS(7316),
    [anon_sym_false] = ACTIONS(7316),
    [anon_sym_COLON2] = ACTIONS(7250),
    [anon_sym_LBRACE] = ACTIONS(7319),
    [anon_sym_exception] = ACTIONS(7252),
    [anon_sym_module] = ACTIONS(7252),
    [anon_sym_open] = ACTIONS(7252),
    [anon_sym_include] = ACTIONS(7252),
    [anon_sym_class] = ACTIONS(7252),
    [anon_sym_end] = ACTIONS(7252),
    [anon_sym_POUND] = ACTIONS(7322),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7325),
    [anon_sym_begin] = ACTIONS(7328),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7252),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7250),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7331),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7334),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7250),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7250),
    [aux_sym_number_token1] = ACTIONS(7337),
    [aux_sym_signed_number_token1] = ACTIONS(7340),
    [anon_sym_SQUOTE] = ACTIONS(7343),
    [anon_sym_DQUOTE] = ACTIONS(7346),
    [sym_let_operator] = ACTIONS(7250),
    [sym__uppercase_identifier] = ACTIONS(7349),
    [aux_sym_directive_token1] = ACTIONS(7252),
    [aux_sym_tag_token1] = ACTIONS(7352),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2645] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14734),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(2645),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_COMMA] = ACTIONS(6783),
    [anon_sym_PIPE] = ACTIONS(6789),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_SEMI] = ACTIONS(6783),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_as] = ACTIONS(6789),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_COLON_COLON] = ACTIONS(6783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(6783),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2646] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2646),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2801),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2647] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19228),
    [sym_module_definition] = STATE(19229),
    [sym_open_module] = STATE(19230),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2647),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2648] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19566),
    [sym_module_definition] = STATE(19567),
    [sym_open_module] = STATE(19568),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2648),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2649] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21222),
    [sym_module_definition] = STATE(21224),
    [sym_open_module] = STATE(21225),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2649),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2650] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21010),
    [sym_module_definition] = STATE(21012),
    [sym_open_module] = STATE(21014),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2650),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2651] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19881),
    [sym_module_definition] = STATE(19886),
    [sym_open_module] = STATE(19889),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2651),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2652] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20233),
    [sym_module_definition] = STATE(20234),
    [sym_open_module] = STATE(20235),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2652),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2653] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2653),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2926),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2654] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2654),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2755),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2655] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20369),
    [sym_module_definition] = STATE(20370),
    [sym_open_module] = STATE(20371),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2655),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2656] = {
    [sym__match_cases] = STATE(10962),
    [sym_match_case] = STATE(12598),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14402),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2656),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2771),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2657] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2657),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2876),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2658] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8718),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14488),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2658),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2798),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2659] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20518),
    [sym_module_definition] = STATE(20519),
    [sym_open_module] = STATE(20522),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2659),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2660] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20028),
    [sym_module_definition] = STATE(20075),
    [sym_open_module] = STATE(20296),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2660),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2661] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19738),
    [sym_module_definition] = STATE(19739),
    [sym_open_module] = STATE(19741),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2661),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2662] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(13087),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14602),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2662),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2783),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2663] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2663),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2961),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2664] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20753),
    [sym_module_definition] = STATE(20754),
    [sym_open_module] = STATE(20755),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2664),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2665] = {
    [sym__match_cases] = STATE(10962),
    [sym_match_case] = STATE(12454),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14506),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2665),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2793),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7385),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2666] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20986),
    [sym_module_definition] = STATE(20987),
    [sym_open_module] = STATE(20989),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2666),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2667] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18866),
    [sym_module_definition] = STATE(18867),
    [sym_open_module] = STATE(18896),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2667),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2668] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21325),
    [sym_module_definition] = STATE(21326),
    [sym_open_module] = STATE(21329),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2668),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2669] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2669),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2890),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2670] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8644),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14528),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2670),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2837),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7389),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2671] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20508),
    [sym_module_definition] = STATE(20531),
    [sym_open_module] = STATE(20785),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2671),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2672] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20373),
    [sym_module_definition] = STATE(20377),
    [sym_open_module] = STATE(20378),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2672),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2673] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20445),
    [sym_module_definition] = STATE(20476),
    [sym_open_module] = STATE(20478),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2673),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2674] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2674),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2883),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2675] = {
    [sym__match_cases] = STATE(10962),
    [sym_match_case] = STATE(11566),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14463),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2675),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2808),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2676] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21442),
    [sym_module_definition] = STATE(21443),
    [sym_open_module] = STATE(19501),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2676),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2677] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2677),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2919),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2678] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19694),
    [sym_module_definition] = STATE(19695),
    [sym_open_module] = STATE(19700),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2678),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2679] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8916),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14339),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2679),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2869),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7397),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2680] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18927),
    [sym_module_definition] = STATE(18948),
    [sym_open_module] = STATE(18970),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2680),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2681] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2681),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2840),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2682] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18703),
    [sym_module_definition] = STATE(18734),
    [sym_open_module] = STATE(18742),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2682),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2683] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21450),
    [sym_module_definition] = STATE(21451),
    [sym_open_module] = STATE(21453),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2683),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2684] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20573),
    [sym_module_definition] = STATE(20577),
    [sym_open_module] = STATE(20584),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2684),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2685] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20290),
    [sym_module_definition] = STATE(20298),
    [sym_open_module] = STATE(20304),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2685),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2686] = {
    [sym_let_binding] = STATE(12206),
    [sym_exception_definition] = STATE(19145),
    [sym_module_definition] = STATE(19146),
    [sym_open_module] = STATE(19147),
    [sym__simple_binding_pattern] = STATE(5643),
    [sym__binding_pattern] = STATE(2540),
    [sym_alias_binding_pattern] = STATE(5643),
    [sym_typed_binding_pattern] = STATE(5647),
    [sym__or_binding_pattern_anonymous] = STATE(5657),
    [sym_constructor_binding_pattern] = STATE(5643),
    [sym_tag_binding_pattern] = STATE(5643),
    [sym_polymorphic_variant_pattern] = STATE(5647),
    [sym_labeled_tuple_element_binding_pattern] = STATE(19148),
    [sym__tuple_binding_pattern] = STATE(5690),
    [sym_record_binding_pattern] = STATE(5738),
    [sym_list_binding_pattern] = STATE(5588),
    [sym_cons_binding_pattern] = STATE(5643),
    [sym_array_binding_pattern] = STATE(5590),
    [sym_range_pattern] = STATE(5643),
    [sym_lazy_binding_pattern] = STATE(5643),
    [sym_local_open_binding_pattern] = STATE(5647),
    [sym_package_pattern] = STATE(5647),
    [sym_parenthesized_binding_pattern] = STATE(5647),
    [sym_attribute] = STATE(2686),
    [sym_extension] = STATE(5647),
    [sym_quoted_extension] = STATE(5647),
    [sym__attribute] = STATE(4077),
    [sym__constant] = STATE(5518),
    [sym__signed_constant] = STATE(5516),
    [sym_number] = STATE(5550),
    [sym_signed_number] = STATE(5518),
    [sym_character] = STATE(5550),
    [sym_string] = STATE(5550),
    [sym_quoted_string] = STATE(5550),
    [sym_boolean] = STATE(5550),
    [sym_unit] = STATE(5550),
    [sym__value_name] = STATE(5647),
    [sym_parenthesized_operator] = STATE(5662),
    [sym_module_path] = STATE(18981),
    [sym_constructor_path] = STATE(2481),
    [sym__constructor_name] = STATE(5554),
    [sym_tag] = STATE(2492),
    [sym__lowercase_identifier] = ACTIONS(4733),
    [anon_sym_rec] = ACTIONS(7401),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4743),
    [anon_sym_true] = ACTIONS(4745),
    [anon_sym_false] = ACTIONS(4745),
    [anon_sym_LBRACE] = ACTIONS(4747),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(4749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4751),
    [anon_sym_lazy] = ACTIONS(4753),
    [anon_sym_begin] = ACTIONS(4755),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7403),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7405),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(4761),
    [aux_sym_signed_number_token1] = ACTIONS(4763),
    [anon_sym_SQUOTE] = ACTIONS(4765),
    [anon_sym_DQUOTE] = ACTIONS(4767),
    [sym__uppercase_identifier] = ACTIONS(4769),
    [aux_sym_tag_token1] = ACTIONS(4771),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2687] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21166),
    [sym_module_definition] = STATE(21171),
    [sym_open_module] = STATE(21175),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2687),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2688] = {
    [sym__match_cases] = STATE(10962),
    [sym_match_case] = STATE(12982),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14321),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2688),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2775),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2689] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8553),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14343),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2689),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2750),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7409),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2690] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(12882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14407),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2690),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2944),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2691] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18514),
    [sym_module_definition] = STATE(18552),
    [sym_open_module] = STATE(18556),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2691),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2692] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19145),
    [sym_module_definition] = STATE(19146),
    [sym_open_module] = STATE(19147),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2692),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2693] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2693),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2802),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2694] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(9179),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14357),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2694),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2857),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2695] = {
    [sym__match_cases] = STATE(10962),
    [sym_match_case] = STATE(11837),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14600),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2695),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2940),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7417),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2696] = {
    [sym_parameter] = STATE(8437),
    [sym__parenthesized_abstract_type] = STATE(8437),
    [sym__simple_pattern] = STATE(8438),
    [sym_typed_pattern] = STATE(8168),
    [sym_polymorphic_variant_pattern] = STATE(8168),
    [sym_record_pattern] = STATE(8168),
    [sym_list_pattern] = STATE(8168),
    [sym_array_pattern] = STATE(8168),
    [sym_local_open_pattern] = STATE(8168),
    [sym_package_pattern] = STATE(8168),
    [sym_parenthesized_pattern] = STATE(8168),
    [sym_attribute] = STATE(2696),
    [sym_extension] = STATE(8168),
    [sym_quoted_extension] = STATE(8168),
    [sym__constant] = STATE(8264),
    [sym__signed_constant] = STATE(8168),
    [sym_number] = STATE(8151),
    [sym_signed_number] = STATE(8264),
    [sym_character] = STATE(8151),
    [sym_string] = STATE(8151),
    [sym_quoted_string] = STATE(8151),
    [sym_boolean] = STATE(8151),
    [sym_unit] = STATE(8151),
    [sym__simple_value_pattern] = STATE(8168),
    [sym_parenthesized_operator] = STATE(8168),
    [sym_module_path] = STATE(18495),
    [sym_constructor_path] = STATE(8168),
    [sym__constructor_name] = STATE(8144),
    [sym_tag] = STATE(8168),
    [aux_sym_let_binding_repeat1] = STATE(2696),
    [sym__lowercase_identifier] = ACTIONS(7419),
    [anon_sym_SEMI_SEMI] = ACTIONS(7250),
    [anon_sym_and] = ACTIONS(7252),
    [anon_sym_EQ] = ACTIONS(7250),
    [anon_sym_TILDE] = ACTIONS(7422),
    [anon_sym_QMARK] = ACTIONS(7422),
    [anon_sym_LPAREN] = ACTIONS(7425),
    [anon_sym_external] = ACTIONS(7252),
    [anon_sym_type] = ACTIONS(7252),
    [anon_sym_LBRACK] = ACTIONS(7428),
    [anon_sym_RBRACK] = ACTIONS(7250),
    [anon_sym_true] = ACTIONS(7431),
    [anon_sym_false] = ACTIONS(7431),
    [anon_sym_COLON2] = ACTIONS(7250),
    [anon_sym_LBRACE] = ACTIONS(7434),
    [anon_sym_exception] = ACTIONS(7252),
    [anon_sym_module] = ACTIONS(7252),
    [anon_sym_open] = ACTIONS(7252),
    [anon_sym_include] = ACTIONS(7252),
    [anon_sym_class] = ACTIONS(7252),
    [anon_sym_val] = ACTIONS(7252),
    [anon_sym_POUND] = ACTIONS(7437),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7440),
    [anon_sym_begin] = ACTIONS(7443),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7252),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7250),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7446),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7449),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7250),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7250),
    [aux_sym_number_token1] = ACTIONS(7452),
    [aux_sym_signed_number_token1] = ACTIONS(7455),
    [anon_sym_SQUOTE] = ACTIONS(7458),
    [anon_sym_DQUOTE] = ACTIONS(7461),
    [sym__uppercase_identifier] = ACTIONS(7464),
    [aux_sym_tag_token1] = ACTIONS(7467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2697] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8749),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14423),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2697),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2761),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7470),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2698] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19288),
    [sym_module_definition] = STATE(19291),
    [sym_open_module] = STATE(19292),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2698),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2699] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20146),
    [sym_module_definition] = STATE(20151),
    [sym_open_module] = STATE(20153),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2699),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2700] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19472),
    [sym_module_definition] = STATE(19475),
    [sym_open_module] = STATE(19476),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2700),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2701] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21196),
    [sym_module_definition] = STATE(21200),
    [sym_open_module] = STATE(21210),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2701),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2702] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20411),
    [sym_module_definition] = STATE(20413),
    [sym_open_module] = STATE(20415),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2702),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2703] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2703),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2839),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2704] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18689),
    [sym_module_definition] = STATE(18690),
    [sym_open_module] = STATE(18691),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2704),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2705] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18936),
    [sym_module_definition] = STATE(18938),
    [sym_open_module] = STATE(18940),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2705),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2706] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19090),
    [sym_module_definition] = STATE(19093),
    [sym_open_module] = STATE(19094),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2706),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2707] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2707),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2766),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2708] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21086),
    [sym_module_definition] = STATE(21088),
    [sym_open_module] = STATE(21089),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2708),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2709] = {
    [sym__match_cases] = STATE(10962),
    [sym_match_case] = STATE(12554),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14465),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2709),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2795),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7472),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2710] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18837),
    [sym_module_definition] = STATE(18848),
    [sym_open_module] = STATE(18854),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2710),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2711] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2711),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2947),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2712] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2712),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2767),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2713] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2713),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2864),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2714] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14595),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2714),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2856),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7476),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2715] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2715),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2849),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2716] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8613),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14377),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2716),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2902),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7478),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2717] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(9109),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14582),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2717),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2941),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7480),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2718] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2718),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2950),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2719] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18865),
    [sym_module_definition] = STATE(18888),
    [sym_open_module] = STATE(18890),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2719),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2720] = {
    [sym_parameter] = STATE(8169),
    [sym__parenthesized_abstract_type] = STATE(8169),
    [sym__simple_pattern] = STATE(8170),
    [sym_typed_pattern] = STATE(8242),
    [sym_polymorphic_variant_pattern] = STATE(8242),
    [sym_record_pattern] = STATE(8242),
    [sym_list_pattern] = STATE(8242),
    [sym_array_pattern] = STATE(8242),
    [sym_local_open_pattern] = STATE(8242),
    [sym_package_pattern] = STATE(8242),
    [sym_parenthesized_pattern] = STATE(8242),
    [sym_attribute] = STATE(2720),
    [sym_extension] = STATE(8242),
    [sym_quoted_extension] = STATE(8242),
    [sym__constant] = STATE(8343),
    [sym__signed_constant] = STATE(8242),
    [sym_number] = STATE(8225),
    [sym_signed_number] = STATE(8343),
    [sym_character] = STATE(8225),
    [sym_string] = STATE(8225),
    [sym_quoted_string] = STATE(8225),
    [sym_boolean] = STATE(8225),
    [sym_unit] = STATE(8225),
    [sym__simple_value_pattern] = STATE(8242),
    [sym_parenthesized_operator] = STATE(8242),
    [sym_module_path] = STATE(19457),
    [sym_constructor_path] = STATE(8242),
    [sym__constructor_name] = STATE(8226),
    [sym_tag] = STATE(8242),
    [aux_sym_let_binding_repeat1] = STATE(2720),
    [sym__lowercase_identifier] = ACTIONS(7482),
    [anon_sym_SEMI_SEMI] = ACTIONS(7250),
    [anon_sym_and] = ACTIONS(7252),
    [anon_sym_EQ] = ACTIONS(7250),
    [anon_sym_TILDE] = ACTIONS(7485),
    [anon_sym_QMARK] = ACTIONS(7485),
    [anon_sym_LPAREN] = ACTIONS(7488),
    [anon_sym_external] = ACTIONS(7252),
    [anon_sym_type] = ACTIONS(7252),
    [anon_sym_LBRACK] = ACTIONS(7491),
    [anon_sym_true] = ACTIONS(7494),
    [anon_sym_false] = ACTIONS(7494),
    [anon_sym_COLON2] = ACTIONS(7250),
    [anon_sym_LBRACE] = ACTIONS(7497),
    [anon_sym_exception] = ACTIONS(7252),
    [anon_sym_module] = ACTIONS(7252),
    [anon_sym_open] = ACTIONS(7252),
    [anon_sym_include] = ACTIONS(7252),
    [anon_sym_class] = ACTIONS(7252),
    [anon_sym_val] = ACTIONS(7252),
    [anon_sym_end] = ACTIONS(7252),
    [anon_sym_POUND] = ACTIONS(7500),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7503),
    [anon_sym_begin] = ACTIONS(7506),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7252),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7250),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7512),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7250),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7250),
    [aux_sym_number_token1] = ACTIONS(7515),
    [aux_sym_signed_number_token1] = ACTIONS(7518),
    [anon_sym_SQUOTE] = ACTIONS(7521),
    [anon_sym_DQUOTE] = ACTIONS(7524),
    [sym__uppercase_identifier] = ACTIONS(7527),
    [aux_sym_tag_token1] = ACTIONS(7530),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2721] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21202),
    [sym_module_definition] = STATE(21203),
    [sym_open_module] = STATE(21204),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2721),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2722] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2722),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2939),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2723] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8453),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14609),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2723),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2911),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2724] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18570),
    [sym_module_definition] = STATE(18571),
    [sym_open_module] = STATE(18575),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2724),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2725] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2725),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2881),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2726] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18897),
    [sym_module_definition] = STATE(18900),
    [sym_open_module] = STATE(18901),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2726),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2727] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19863),
    [sym_module_definition] = STATE(19996),
    [sym_open_module] = STATE(20095),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2727),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2728] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(19111),
    [sym_module_definition] = STATE(19120),
    [sym_open_module] = STATE(19125),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2728),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2729] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(18990),
    [sym_module_definition] = STATE(18991),
    [sym_open_module] = STATE(18993),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2729),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2730] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2730),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2937),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2731] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8624),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14474),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2731),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2927),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2732] = {
    [sym_let_binding] = STATE(12335),
    [sym_exception_definition] = STATE(20028),
    [sym_module_definition] = STATE(20075),
    [sym_open_module] = STATE(20296),
    [sym__simple_binding_pattern] = STATE(5711),
    [sym__binding_pattern] = STATE(2542),
    [sym_alias_binding_pattern] = STATE(5711),
    [sym_typed_binding_pattern] = STATE(5680),
    [sym__or_binding_pattern_anonymous] = STATE(5651),
    [sym_constructor_binding_pattern] = STATE(5711),
    [sym_tag_binding_pattern] = STATE(5711),
    [sym_polymorphic_variant_pattern] = STATE(5680),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20687),
    [sym__tuple_binding_pattern] = STATE(5683),
    [sym_record_binding_pattern] = STATE(5688),
    [sym_list_binding_pattern] = STATE(5605),
    [sym_cons_binding_pattern] = STATE(5711),
    [sym_array_binding_pattern] = STATE(5609),
    [sym_range_pattern] = STATE(5711),
    [sym_lazy_binding_pattern] = STATE(5711),
    [sym_local_open_binding_pattern] = STATE(5680),
    [sym_package_pattern] = STATE(5680),
    [sym_parenthesized_binding_pattern] = STATE(5680),
    [sym_attribute] = STATE(2732),
    [sym_extension] = STATE(5680),
    [sym_quoted_extension] = STATE(5680),
    [sym__attribute] = STATE(3917),
    [sym__constant] = STATE(5483),
    [sym__signed_constant] = STATE(5522),
    [sym_number] = STATE(5539),
    [sym_signed_number] = STATE(5483),
    [sym_character] = STATE(5539),
    [sym_string] = STATE(5539),
    [sym_quoted_string] = STATE(5539),
    [sym_boolean] = STATE(5539),
    [sym_unit] = STATE(5539),
    [sym__value_name] = STATE(5680),
    [sym_parenthesized_operator] = STATE(5674),
    [sym_module_path] = STATE(21428),
    [sym_constructor_path] = STATE(2482),
    [sym__constructor_name] = STATE(5568),
    [sym_tag] = STATE(2494),
    [sym__lowercase_identifier] = ACTIONS(4773),
    [anon_sym_rec] = ACTIONS(7537),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(4777),
    [anon_sym_true] = ACTIONS(4779),
    [anon_sym_false] = ACTIONS(4779),
    [anon_sym_LBRACE] = ACTIONS(4781),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(4783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4785),
    [anon_sym_lazy] = ACTIONS(4787),
    [anon_sym_begin] = ACTIONS(4789),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7541),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(4795),
    [aux_sym_signed_number_token1] = ACTIONS(4797),
    [anon_sym_SQUOTE] = ACTIONS(4799),
    [anon_sym_DQUOTE] = ACTIONS(4801),
    [sym__uppercase_identifier] = ACTIONS(4803),
    [aux_sym_tag_token1] = ACTIONS(4805),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2733] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(20699),
    [sym_module_definition] = STATE(20703),
    [sym_open_module] = STATE(20706),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2733),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2734] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2734),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2882),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2735] = {
    [sym__match_cases] = STATE(8265),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2735),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2908),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2736] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2736),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2824),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2737] = {
    [sym__match_cases] = STATE(8559),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2737),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2888),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2738] = {
    [sym__match_cases] = STATE(8549),
    [sym_match_case] = STATE(8623),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14360),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2738),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(2909),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2739] = {
    [sym_let_binding] = STATE(15359),
    [sym_exception_definition] = STATE(21424),
    [sym_module_definition] = STATE(18485),
    [sym_open_module] = STATE(18489),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2739),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_exception] = ACTIONS(7363),
    [anon_sym_module] = ACTIONS(7365),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2740] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2740),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2741] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(12882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14407),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2741),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2742] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2742),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2743] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2743),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2744] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(9109),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14582),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2744),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7480),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2745] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8623),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14360),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2745),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2746] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2746),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2747] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(12882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14407),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2747),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2748] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(12882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14407),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2748),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2749] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2749),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2750] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8553),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14343),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2750),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7409),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2751] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8553),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14343),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2751),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7409),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2752] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8553),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14343),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2752),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7409),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2753] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8623),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14360),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2753),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2754] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8623),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14360),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2754),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2755] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2755),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2756] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8553),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14343),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2756),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7409),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2757] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8553),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14343),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2757),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7409),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2758] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2758),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2759] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2759),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2760] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2760),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2761] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8749),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14423),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2761),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7470),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2762] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8749),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14423),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2762),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7470),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2763] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8749),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14423),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2763),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7470),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2764] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8749),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14423),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2764),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7470),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2765] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8749),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14423),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2765),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7470),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2766] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2766),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2767] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2767),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2768] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2768),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2769] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2769),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2770] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2770),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2771] = {
    [sym__match_cases] = STATE(10952),
    [sym_match_case] = STATE(12598),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14402),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2771),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2772] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(9179),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14357),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2772),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2773] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2773),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2774] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2774),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2775] = {
    [sym__match_cases] = STATE(10952),
    [sym_match_case] = STATE(12982),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14321),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2775),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2776] = {
    [sym__match_cases] = STATE(11044),
    [sym_match_case] = STATE(12598),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14402),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2776),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2777] = {
    [sym__match_cases] = STATE(10787),
    [sym_match_case] = STATE(12598),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14402),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2777),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2778] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2778),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2779] = {
    [sym_parameter] = STATE(9131),
    [sym__polymorphic_typed] = STATE(13609),
    [sym__parenthesized_abstract_type] = STATE(9131),
    [sym__simple_pattern] = STATE(9132),
    [sym_typed_pattern] = STATE(9151),
    [sym_polymorphic_variant_pattern] = STATE(9151),
    [sym_record_pattern] = STATE(9151),
    [sym_list_pattern] = STATE(9151),
    [sym_array_pattern] = STATE(9151),
    [sym_local_open_pattern] = STATE(9151),
    [sym_package_pattern] = STATE(9151),
    [sym_parenthesized_pattern] = STATE(9151),
    [sym_attribute] = STATE(2779),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(9151),
    [sym_quoted_extension] = STATE(9151),
    [sym__constant] = STATE(9125),
    [sym__signed_constant] = STATE(9151),
    [sym_number] = STATE(9163),
    [sym_signed_number] = STATE(9125),
    [sym_character] = STATE(9163),
    [sym_string] = STATE(9163),
    [sym_quoted_string] = STATE(9163),
    [sym_boolean] = STATE(9163),
    [sym_unit] = STATE(9163),
    [sym__simple_value_pattern] = STATE(9151),
    [sym_parenthesized_operator] = STATE(9151),
    [sym_module_path] = STATE(18994),
    [sym_constructor_path] = STATE(9151),
    [sym__constructor_name] = STATE(9166),
    [sym_tag] = STATE(9151),
    [aux_sym_expression_item_repeat1] = STATE(13856),
    [aux_sym_let_binding_repeat1] = STATE(2893),
    [sym__lowercase_identifier] = ACTIONS(7547),
    [anon_sym_EQ] = ACTIONS(7549),
    [anon_sym_TILDE] = ACTIONS(7551),
    [anon_sym_QMARK] = ACTIONS(7551),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(7555),
    [anon_sym_true] = ACTIONS(7557),
    [anon_sym_false] = ACTIONS(7557),
    [anon_sym_COLON2] = ACTIONS(7559),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [anon_sym_constraint] = ACTIONS(7563),
    [anon_sym_val] = ACTIONS(7563),
    [anon_sym_end] = ACTIONS(7563),
    [anon_sym_inherit] = ACTIONS(7563),
    [anon_sym_method] = ACTIONS(7563),
    [anon_sym_initializer] = ACTIONS(7563),
    [anon_sym_POUND] = ACTIONS(7565),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7567),
    [anon_sym_begin] = ACTIONS(7569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7571),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7575),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7571),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7571),
    [aux_sym_number_token1] = ACTIONS(7577),
    [aux_sym_signed_number_token1] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7581),
    [anon_sym_DQUOTE] = ACTIONS(7583),
    [sym__uppercase_identifier] = ACTIONS(7585),
    [aux_sym_tag_token1] = ACTIONS(7587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2780] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2780),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2781] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2781),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2782] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(9179),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14357),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2782),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2783] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(13087),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14602),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2783),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2784] = {
    [sym__match_cases] = STATE(10905),
    [sym_match_case] = STATE(12598),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14402),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2784),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2785] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2785),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2786] = {
    [sym__match_cases] = STATE(10902),
    [sym_match_case] = STATE(12598),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14402),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2786),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7375),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2787] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2787),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2788] = {
    [sym_parameter] = STATE(9131),
    [sym__polymorphic_typed] = STATE(13653),
    [sym__parenthesized_abstract_type] = STATE(9131),
    [sym__simple_pattern] = STATE(9132),
    [sym_typed_pattern] = STATE(9151),
    [sym_polymorphic_variant_pattern] = STATE(9151),
    [sym_record_pattern] = STATE(9151),
    [sym_list_pattern] = STATE(9151),
    [sym_array_pattern] = STATE(9151),
    [sym_local_open_pattern] = STATE(9151),
    [sym_package_pattern] = STATE(9151),
    [sym_parenthesized_pattern] = STATE(9151),
    [sym_attribute] = STATE(2788),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(9151),
    [sym_quoted_extension] = STATE(9151),
    [sym__constant] = STATE(9125),
    [sym__signed_constant] = STATE(9151),
    [sym_number] = STATE(9163),
    [sym_signed_number] = STATE(9125),
    [sym_character] = STATE(9163),
    [sym_string] = STATE(9163),
    [sym_quoted_string] = STATE(9163),
    [sym_boolean] = STATE(9163),
    [sym_unit] = STATE(9163),
    [sym__simple_value_pattern] = STATE(9151),
    [sym_parenthesized_operator] = STATE(9151),
    [sym_module_path] = STATE(18994),
    [sym_constructor_path] = STATE(9151),
    [sym__constructor_name] = STATE(9166),
    [sym_tag] = STATE(9151),
    [aux_sym_expression_item_repeat1] = STATE(13841),
    [aux_sym_let_binding_repeat1] = STATE(3197),
    [sym__lowercase_identifier] = ACTIONS(7547),
    [anon_sym_EQ] = ACTIONS(7589),
    [anon_sym_TILDE] = ACTIONS(7551),
    [anon_sym_QMARK] = ACTIONS(7551),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(7555),
    [anon_sym_true] = ACTIONS(7557),
    [anon_sym_false] = ACTIONS(7557),
    [anon_sym_COLON2] = ACTIONS(7559),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [anon_sym_constraint] = ACTIONS(7591),
    [anon_sym_val] = ACTIONS(7591),
    [anon_sym_end] = ACTIONS(7591),
    [anon_sym_inherit] = ACTIONS(7591),
    [anon_sym_method] = ACTIONS(7591),
    [anon_sym_initializer] = ACTIONS(7591),
    [anon_sym_POUND] = ACTIONS(7565),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7567),
    [anon_sym_begin] = ACTIONS(7569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7593),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7575),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7593),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7593),
    [aux_sym_number_token1] = ACTIONS(7577),
    [aux_sym_signed_number_token1] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7581),
    [anon_sym_DQUOTE] = ACTIONS(7583),
    [sym__uppercase_identifier] = ACTIONS(7585),
    [aux_sym_tag_token1] = ACTIONS(7587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2789] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(13087),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14602),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2789),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2790] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(13087),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14602),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2790),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2791] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2791),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2792] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2792),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2793] = {
    [sym__match_cases] = STATE(10952),
    [sym_match_case] = STATE(12454),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14506),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2793),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7385),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2794] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(9109),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14582),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2794),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7480),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2795] = {
    [sym__match_cases] = STATE(10952),
    [sym_match_case] = STATE(12554),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14465),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2795),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7472),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2796] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(13087),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14602),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2796),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2797] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(13087),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14602),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2797),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7381),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2798] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8718),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14488),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2798),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2799] = {
    [sym__match_cases] = STATE(11044),
    [sym_match_case] = STATE(12454),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14506),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2799),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7385),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2800] = {
    [sym__match_cases] = STATE(10787),
    [sym_match_case] = STATE(12454),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14506),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2800),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7385),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2801] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2801),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2802] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2802),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2803] = {
    [sym__match_cases] = STATE(10905),
    [sym_match_case] = STATE(12454),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14506),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2803),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7385),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2804] = {
    [sym__match_cases] = STATE(10902),
    [sym_match_case] = STATE(12454),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14506),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2804),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7385),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2805] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(9179),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14357),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2805),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2806] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(9109),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14582),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2806),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7480),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2807] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2807),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2808] = {
    [sym__match_cases] = STATE(10952),
    [sym_match_case] = STATE(11566),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14463),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2808),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2809] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2809),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2810] = {
    [sym__parenthesized_abstract_type] = STATE(4570),
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14152),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(19130),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2810),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(14535),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2810),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(2981),
    [sym__lowercase_identifier] = ACTIONS(7595),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_RBRACK] = ACTIONS(4735),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_SEMI] = ACTIONS(4735),
    [anon_sym_RBRACE] = ACTIONS(4735),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(7599),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2811] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8718),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14488),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2811),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2812] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8718),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14488),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2812),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2813] = {
    [sym__match_cases] = STATE(11044),
    [sym_match_case] = STATE(11566),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14463),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2813),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2814] = {
    [sym__match_cases] = STATE(10787),
    [sym_match_case] = STATE(11566),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14463),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2814),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2815] = {
    [sym__match_cases] = STATE(11044),
    [sym_match_case] = STATE(12554),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14465),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2815),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7472),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2816] = {
    [sym__match_cases] = STATE(10905),
    [sym_match_case] = STATE(11566),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14463),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2816),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2817] = {
    [sym__match_cases] = STATE(10902),
    [sym_match_case] = STATE(11566),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14463),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2817),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7393),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2818] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2818),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2819] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2819),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2820] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2820),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2821] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2821),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2822] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14595),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2822),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7476),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2823] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8718),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14488),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2823),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2824] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2824),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2825] = {
    [sym__match_cases] = STATE(10787),
    [sym_match_case] = STATE(12554),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14465),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2825),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7472),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2826] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14595),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2826),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7476),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2827] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2827),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2828] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2828),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2829] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2829),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2830] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8718),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14488),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2830),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7379),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2831] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(9109),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14582),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2831),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7480),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2832] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2832),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2833] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2833),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2834] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2834),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2835] = {
    [sym__match_cases] = STATE(11044),
    [sym_match_case] = STATE(12982),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14321),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2835),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2836] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(10880),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2836),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7373),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2837] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8644),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14528),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2837),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7389),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2838] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2838),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2839] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2839),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2840] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2840),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2841] = {
    [sym__match_cases] = STATE(10787),
    [sym_match_case] = STATE(12982),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14321),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2841),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2842] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8644),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14528),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2842),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7389),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2843] = {
    [sym__match_cases] = STATE(10905),
    [sym_match_case] = STATE(12554),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14465),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2843),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7472),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2844] = {
    [sym__match_cases] = STATE(10902),
    [sym_match_case] = STATE(12554),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14465),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2844),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7472),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2845] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2845),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2846] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8644),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14528),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2846),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7389),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2847] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2847),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2848] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2848),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2849] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2849),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2850] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2850),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2851] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8644),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14528),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2851),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7389),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2852] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2852),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2853] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2853),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2854] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2854),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2855] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2855),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2856] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14595),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2856),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7476),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2857] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(9179),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14357),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2857),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2858] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2858),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2859] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(12679),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2859),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7413),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2860] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8644),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14528),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2860),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7389),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2861] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14595),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2861),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7476),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2862] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2862),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2863] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2863),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2864] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2864),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2865] = {
    [sym__match_cases] = STATE(10905),
    [sym_match_case] = STATE(12982),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14321),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2865),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2866] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2866),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2867] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2867),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2868] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2868),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2869] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8916),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14339),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2869),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7397),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2870] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2870),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2871] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2871),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2872] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2872),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2873] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8916),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14339),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2873),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7397),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2874] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8916),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14339),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2874),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7397),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2875] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14595),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2875),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7476),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2876] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2876),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2877] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8916),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14339),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2877),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7397),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2878] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8916),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14339),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2878),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7397),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2879] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2879),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2880] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2880),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2881] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2881),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2882] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2882),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2883] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2883),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2884] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2884),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2885] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2885),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2886] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2886),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2887] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2887),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2888] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2888),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2889] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2889),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2890] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2890),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2891] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2891),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2892] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2892),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2893] = {
    [sym_parameter] = STATE(9131),
    [sym__polymorphic_typed] = STATE(13663),
    [sym__parenthesized_abstract_type] = STATE(9131),
    [sym__simple_pattern] = STATE(9132),
    [sym_typed_pattern] = STATE(9151),
    [sym_polymorphic_variant_pattern] = STATE(9151),
    [sym_record_pattern] = STATE(9151),
    [sym_list_pattern] = STATE(9151),
    [sym_array_pattern] = STATE(9151),
    [sym_local_open_pattern] = STATE(9151),
    [sym_package_pattern] = STATE(9151),
    [sym_parenthesized_pattern] = STATE(9151),
    [sym_attribute] = STATE(2893),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(9151),
    [sym_quoted_extension] = STATE(9151),
    [sym__constant] = STATE(9125),
    [sym__signed_constant] = STATE(9151),
    [sym_number] = STATE(9163),
    [sym_signed_number] = STATE(9125),
    [sym_character] = STATE(9163),
    [sym_string] = STATE(9163),
    [sym_quoted_string] = STATE(9163),
    [sym_boolean] = STATE(9163),
    [sym_unit] = STATE(9163),
    [sym__simple_value_pattern] = STATE(9151),
    [sym_parenthesized_operator] = STATE(9151),
    [sym_module_path] = STATE(18994),
    [sym_constructor_path] = STATE(9151),
    [sym__constructor_name] = STATE(9166),
    [sym_tag] = STATE(9151),
    [aux_sym_expression_item_repeat1] = STATE(13871),
    [aux_sym_let_binding_repeat1] = STATE(3197),
    [sym__lowercase_identifier] = ACTIONS(7547),
    [anon_sym_EQ] = ACTIONS(7601),
    [anon_sym_TILDE] = ACTIONS(7551),
    [anon_sym_QMARK] = ACTIONS(7551),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(7555),
    [anon_sym_true] = ACTIONS(7557),
    [anon_sym_false] = ACTIONS(7557),
    [anon_sym_COLON2] = ACTIONS(7559),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [anon_sym_constraint] = ACTIONS(7603),
    [anon_sym_val] = ACTIONS(7603),
    [anon_sym_end] = ACTIONS(7603),
    [anon_sym_inherit] = ACTIONS(7603),
    [anon_sym_method] = ACTIONS(7603),
    [anon_sym_initializer] = ACTIONS(7603),
    [anon_sym_POUND] = ACTIONS(7565),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7567),
    [anon_sym_begin] = ACTIONS(7569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7605),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7575),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7605),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7605),
    [aux_sym_number_token1] = ACTIONS(7577),
    [aux_sym_signed_number_token1] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7581),
    [anon_sym_DQUOTE] = ACTIONS(7583),
    [sym__uppercase_identifier] = ACTIONS(7585),
    [aux_sym_tag_token1] = ACTIONS(7587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2894] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2894),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2895] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2895),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2896] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2896),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7399),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2897] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2897),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2898] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2898),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2899] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2899),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2900] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2900),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2901] = {
    [sym_parameter] = STATE(9131),
    [sym__polymorphic_typed] = STATE(13667),
    [sym__parenthesized_abstract_type] = STATE(9131),
    [sym__simple_pattern] = STATE(9132),
    [sym_typed_pattern] = STATE(9151),
    [sym_polymorphic_variant_pattern] = STATE(9151),
    [sym_record_pattern] = STATE(9151),
    [sym_list_pattern] = STATE(9151),
    [sym_array_pattern] = STATE(9151),
    [sym_local_open_pattern] = STATE(9151),
    [sym_package_pattern] = STATE(9151),
    [sym_parenthesized_pattern] = STATE(9151),
    [sym_attribute] = STATE(2901),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(9151),
    [sym_quoted_extension] = STATE(9151),
    [sym__constant] = STATE(9125),
    [sym__signed_constant] = STATE(9151),
    [sym_number] = STATE(9163),
    [sym_signed_number] = STATE(9125),
    [sym_character] = STATE(9163),
    [sym_string] = STATE(9163),
    [sym_quoted_string] = STATE(9163),
    [sym_boolean] = STATE(9163),
    [sym_unit] = STATE(9163),
    [sym__simple_value_pattern] = STATE(9151),
    [sym_parenthesized_operator] = STATE(9151),
    [sym_module_path] = STATE(18994),
    [sym_constructor_path] = STATE(9151),
    [sym__constructor_name] = STATE(9166),
    [sym_tag] = STATE(9151),
    [aux_sym_expression_item_repeat1] = STATE(13885),
    [aux_sym_let_binding_repeat1] = STATE(2958),
    [sym__lowercase_identifier] = ACTIONS(7547),
    [anon_sym_EQ] = ACTIONS(7607),
    [anon_sym_TILDE] = ACTIONS(7551),
    [anon_sym_QMARK] = ACTIONS(7551),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(7555),
    [anon_sym_true] = ACTIONS(7557),
    [anon_sym_false] = ACTIONS(7557),
    [anon_sym_COLON2] = ACTIONS(7559),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [anon_sym_constraint] = ACTIONS(7609),
    [anon_sym_val] = ACTIONS(7609),
    [anon_sym_end] = ACTIONS(7609),
    [anon_sym_inherit] = ACTIONS(7609),
    [anon_sym_method] = ACTIONS(7609),
    [anon_sym_initializer] = ACTIONS(7609),
    [anon_sym_POUND] = ACTIONS(7565),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7567),
    [anon_sym_begin] = ACTIONS(7569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7611),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7575),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7611),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7611),
    [aux_sym_number_token1] = ACTIONS(7577),
    [aux_sym_signed_number_token1] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7581),
    [anon_sym_DQUOTE] = ACTIONS(7583),
    [sym__uppercase_identifier] = ACTIONS(7585),
    [aux_sym_tag_token1] = ACTIONS(7587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2902] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8613),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14377),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2902),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7478),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2903] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8613),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14377),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2903),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7478),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2904] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8613),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14377),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2904),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7478),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2905] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2905),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2906] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8613),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14377),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2906),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7478),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2907] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8613),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14377),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2907),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7478),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2908] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2908),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2909] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8623),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14360),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2909),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2910] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2910),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2911] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8453),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14609),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2911),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2912] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(9179),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14357),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2912),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7415),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2913] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8453),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14609),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2913),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2914] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8453),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14609),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2914),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2915] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2915),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2916] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8453),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14609),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2916),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2917] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8453),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14609),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2917),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7533),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2918] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(10716),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2918),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7357),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2919] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2919),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2920] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2920),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2921] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2921),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2922] = {
    [sym__match_cases] = STATE(8566),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2922),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2923] = {
    [sym__match_cases] = STATE(8518),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2923),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2924] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2924),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2925] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(9845),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2925),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7395),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2926] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2926),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2927] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(8624),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14474),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2927),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2928] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8624),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14474),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2928),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2929] = {
    [sym__match_cases] = STATE(8546),
    [sym_match_case] = STATE(8624),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14474),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2929),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2930] = {
    [sym__match_cases] = STATE(8463),
    [sym_match_case] = STATE(8624),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14474),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2930),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2931] = {
    [sym__match_cases] = STATE(8465),
    [sym_match_case] = STATE(8624),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14474),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2931),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7535),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2932] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2932),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2933] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2933),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2934] = {
    [sym_parameter] = STATE(9131),
    [sym__polymorphic_typed] = STATE(13633),
    [sym__parenthesized_abstract_type] = STATE(9131),
    [sym__simple_pattern] = STATE(9132),
    [sym_typed_pattern] = STATE(9151),
    [sym_polymorphic_variant_pattern] = STATE(9151),
    [sym_record_pattern] = STATE(9151),
    [sym_list_pattern] = STATE(9151),
    [sym_array_pattern] = STATE(9151),
    [sym_local_open_pattern] = STATE(9151),
    [sym_package_pattern] = STATE(9151),
    [sym_parenthesized_pattern] = STATE(9151),
    [sym_attribute] = STATE(2934),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(9151),
    [sym_quoted_extension] = STATE(9151),
    [sym__constant] = STATE(9125),
    [sym__signed_constant] = STATE(9151),
    [sym_number] = STATE(9163),
    [sym_signed_number] = STATE(9125),
    [sym_character] = STATE(9163),
    [sym_string] = STATE(9163),
    [sym_quoted_string] = STATE(9163),
    [sym_boolean] = STATE(9163),
    [sym_unit] = STATE(9163),
    [sym__simple_value_pattern] = STATE(9151),
    [sym_parenthesized_operator] = STATE(9151),
    [sym_module_path] = STATE(18994),
    [sym_constructor_path] = STATE(9151),
    [sym__constructor_name] = STATE(9166),
    [sym_tag] = STATE(9151),
    [aux_sym_expression_item_repeat1] = STATE(13877),
    [aux_sym_let_binding_repeat1] = STATE(2788),
    [sym__lowercase_identifier] = ACTIONS(7547),
    [anon_sym_EQ] = ACTIONS(7613),
    [anon_sym_TILDE] = ACTIONS(7551),
    [anon_sym_QMARK] = ACTIONS(7551),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(7555),
    [anon_sym_true] = ACTIONS(7557),
    [anon_sym_false] = ACTIONS(7557),
    [anon_sym_COLON2] = ACTIONS(7559),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [anon_sym_constraint] = ACTIONS(7615),
    [anon_sym_val] = ACTIONS(7615),
    [anon_sym_end] = ACTIONS(7615),
    [anon_sym_inherit] = ACTIONS(7615),
    [anon_sym_method] = ACTIONS(7615),
    [anon_sym_initializer] = ACTIONS(7615),
    [anon_sym_POUND] = ACTIONS(7565),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7567),
    [anon_sym_begin] = ACTIONS(7569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7617),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7575),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7617),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7617),
    [aux_sym_number_token1] = ACTIONS(7577),
    [aux_sym_signed_number_token1] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7581),
    [anon_sym_DQUOTE] = ACTIONS(7583),
    [sym__uppercase_identifier] = ACTIONS(7585),
    [aux_sym_tag_token1] = ACTIONS(7587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2935] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(13146),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2935),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7371),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2936] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2936),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2937] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2937),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2938] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2938),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2939] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(12694),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2939),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7377),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2940] = {
    [sym__match_cases] = STATE(10952),
    [sym_match_case] = STATE(11837),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14600),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2940),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7417),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2941] = {
    [sym__match_cases] = STATE(8524),
    [sym_match_case] = STATE(9109),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14582),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2941),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7480),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2942] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(13145),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2942),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7543),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2943] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2943),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2944] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(12882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14407),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2944),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2945] = {
    [sym__match_cases] = STATE(11044),
    [sym_match_case] = STATE(11837),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14600),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2945),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7417),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2946] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(12701),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2946),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7387),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2947] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2947),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2948] = {
    [sym__match_cases] = STATE(10787),
    [sym_match_case] = STATE(11837),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14600),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2948),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7417),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2949] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2949),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2950] = {
    [sym__match_cases] = STATE(8568),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2950),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2951] = {
    [sym__match_cases] = STATE(8515),
    [sym_match_case] = STATE(8623),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14360),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2951),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7545),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2952] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2952),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2953] = {
    [sym__match_cases] = STATE(8480),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2953),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2954] = {
    [sym__match_cases] = STATE(10905),
    [sym_match_case] = STATE(11837),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14600),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2954),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7417),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2955] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2955),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2956] = {
    [sym__match_cases] = STATE(8332),
    [sym_match_case] = STATE(12686),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2956),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7474),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2957] = {
    [sym__match_cases] = STATE(8451),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2957),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2958] = {
    [sym_parameter] = STATE(9131),
    [sym__polymorphic_typed] = STATE(13664),
    [sym__parenthesized_abstract_type] = STATE(9131),
    [sym__simple_pattern] = STATE(9132),
    [sym_typed_pattern] = STATE(9151),
    [sym_polymorphic_variant_pattern] = STATE(9151),
    [sym_record_pattern] = STATE(9151),
    [sym_list_pattern] = STATE(9151),
    [sym_array_pattern] = STATE(9151),
    [sym_local_open_pattern] = STATE(9151),
    [sym_package_pattern] = STATE(9151),
    [sym_parenthesized_pattern] = STATE(9151),
    [sym_attribute] = STATE(2958),
    [sym_item_attribute] = STATE(10619),
    [sym_extension] = STATE(9151),
    [sym_quoted_extension] = STATE(9151),
    [sym__constant] = STATE(9125),
    [sym__signed_constant] = STATE(9151),
    [sym_number] = STATE(9163),
    [sym_signed_number] = STATE(9125),
    [sym_character] = STATE(9163),
    [sym_string] = STATE(9163),
    [sym_quoted_string] = STATE(9163),
    [sym_boolean] = STATE(9163),
    [sym_unit] = STATE(9163),
    [sym__simple_value_pattern] = STATE(9151),
    [sym_parenthesized_operator] = STATE(9151),
    [sym_module_path] = STATE(18994),
    [sym_constructor_path] = STATE(9151),
    [sym__constructor_name] = STATE(9166),
    [sym_tag] = STATE(9151),
    [aux_sym_expression_item_repeat1] = STATE(13880),
    [aux_sym_let_binding_repeat1] = STATE(3197),
    [sym__lowercase_identifier] = ACTIONS(7547),
    [anon_sym_EQ] = ACTIONS(7619),
    [anon_sym_TILDE] = ACTIONS(7551),
    [anon_sym_QMARK] = ACTIONS(7551),
    [anon_sym_LPAREN] = ACTIONS(7553),
    [anon_sym_LBRACK] = ACTIONS(7555),
    [anon_sym_true] = ACTIONS(7557),
    [anon_sym_false] = ACTIONS(7557),
    [anon_sym_COLON2] = ACTIONS(7559),
    [anon_sym_LBRACE] = ACTIONS(7561),
    [anon_sym_constraint] = ACTIONS(7621),
    [anon_sym_val] = ACTIONS(7621),
    [anon_sym_end] = ACTIONS(7621),
    [anon_sym_inherit] = ACTIONS(7621),
    [anon_sym_method] = ACTIONS(7621),
    [anon_sym_initializer] = ACTIONS(7621),
    [anon_sym_POUND] = ACTIONS(7565),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7567),
    [anon_sym_begin] = ACTIONS(7569),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6821),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7575),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7623),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7623),
    [aux_sym_number_token1] = ACTIONS(7577),
    [aux_sym_signed_number_token1] = ACTIONS(7579),
    [anon_sym_SQUOTE] = ACTIONS(7581),
    [anon_sym_DQUOTE] = ACTIONS(7583),
    [sym__uppercase_identifier] = ACTIONS(7585),
    [aux_sym_tag_token1] = ACTIONS(7587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2959] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(12882),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14407),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2959),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7411),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2960] = {
    [sym__match_cases] = STATE(10902),
    [sym_match_case] = STATE(11837),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14600),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2960),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7417),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2961] = {
    [sym__match_cases] = STATE(8280),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2961),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2962] = {
    [sym__match_cases] = STATE(8309),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2962),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2963] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2963),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2964] = {
    [sym__match_cases] = STATE(8312),
    [sym_match_case] = STATE(9970),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2964),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7391),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2965] = {
    [sym__match_cases] = STATE(8331),
    [sym_match_case] = STATE(12920),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2965),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7383),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2966] = {
    [sym__match_cases] = STATE(10902),
    [sym_match_case] = STATE(12982),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14321),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2966),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_PIPE] = ACTIONS(7407),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2967] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15206),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2967),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7625),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(4861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2968] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15504),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2968),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(3153),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2969] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2969),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7627),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(5195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2970] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14569),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2970),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(3124),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2971] = {
    [sym__signature] = STATE(20635),
    [sym_external] = STATE(13603),
    [sym_type_definition] = STATE(13603),
    [sym_exception_definition] = STATE(13603),
    [sym_module_definition] = STATE(13603),
    [sym_module_type_definition] = STATE(13603),
    [sym_open_module] = STATE(13603),
    [sym_class_definition] = STATE(13603),
    [sym_class_type_definition] = STATE(13603),
    [sym__signature_item] = STATE(13568),
    [sym_value_specification] = STATE(13603),
    [sym_include_module_type] = STATE(13603),
    [sym__simple_type] = STATE(12651),
    [sym__type] = STATE(18324),
    [sym_function_type] = STATE(8494),
    [sym_labeled_argument_type] = STATE(21350),
    [sym__proper_tuple_type] = STATE(13959),
    [sym__labeled_tuple_type] = STATE(8494),
    [sym_labeled_tuple_element_type] = STATE(20047),
    [sym_constructed_type] = STATE(13304),
    [sym_aliased_type] = STATE(8494),
    [sym_local_open_type] = STATE(13304),
    [sym_polymorphic_variant_type] = STATE(13304),
    [sym_package_type] = STATE(13304),
    [sym_object_type] = STATE(13304),
    [sym_hash_type] = STATE(13304),
    [sym_parenthesized_type] = STATE(13304),
    [sym_attribute] = STATE(2971),
    [sym_floating_attribute] = STATE(13603),
    [sym_extension] = STATE(13304),
    [sym_quoted_extension] = STATE(13304),
    [sym_item_extension] = STATE(13603),
    [sym_quoted_item_extension] = STATE(13603),
    [sym_extended_module_path] = STATE(18248),
    [sym_type_constructor_path] = STATE(13304),
    [sym_type_variable] = STATE(13304),
    [aux_sym__structure_repeat1] = STATE(9350),
    [aux_sym__signature_repeat1] = STATE(9296),
    [sym__lowercase_identifier] = ACTIONS(7629),
    [anon_sym_SEMI_SEMI] = ACTIONS(7631),
    [anon_sym_QMARK] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_external] = ACTIONS(45),
    [anon_sym_type] = ACTIONS(7633),
    [anon_sym_LBRACK] = ACTIONS(13),
    [anon_sym_RBRACK] = ACTIONS(7635),
    [anon_sym_exception] = ACTIONS(7637),
    [anon_sym_module] = ACTIONS(7639),
    [anon_sym_open] = ACTIONS(7641),
    [anon_sym_include] = ACTIONS(7643),
    [anon_sym_class] = ACTIONS(7645),
    [anon_sym_val] = ACTIONS(7647),
    [anon_sym_LBRACK_GT] = ACTIONS(15),
    [anon_sym_LBRACK_LT] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_POUND] = ACTIONS(21),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(99),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7649),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7651),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(105),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(107),
    [sym__uppercase_identifier] = ACTIONS(29),
    [aux_sym_type_variable_token1] = ACTIONS(31),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2972] = {
    [sym__parenthesized_abstract_type] = STATE(4639),
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14152),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2972),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7597),
    [anon_sym_RPAREN] = ACTIONS(4735),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2973] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15096),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2973),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7653),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2974] = {
    [sym_parameter] = STATE(10686),
    [sym__polymorphic_typed] = STATE(18205),
    [sym__parenthesized_abstract_type] = STATE(10686),
    [sym__simple_pattern] = STATE(10533),
    [sym_typed_pattern] = STATE(10573),
    [sym_polymorphic_variant_pattern] = STATE(10573),
    [sym_record_pattern] = STATE(10573),
    [sym_list_pattern] = STATE(10573),
    [sym_array_pattern] = STATE(10573),
    [sym_local_open_pattern] = STATE(10573),
    [sym_package_pattern] = STATE(10573),
    [sym_parenthesized_pattern] = STATE(10573),
    [sym_attribute] = STATE(2974),
    [sym_item_attribute] = STATE(15274),
    [sym_extension] = STATE(10573),
    [sym_quoted_extension] = STATE(10573),
    [sym__constant] = STATE(10589),
    [sym__signed_constant] = STATE(10573),
    [sym_number] = STATE(10669),
    [sym_signed_number] = STATE(10589),
    [sym_character] = STATE(10669),
    [sym_string] = STATE(10669),
    [sym_quoted_string] = STATE(10669),
    [sym_boolean] = STATE(10669),
    [sym_unit] = STATE(10669),
    [sym__simple_value_pattern] = STATE(10573),
    [sym_parenthesized_operator] = STATE(10573),
    [sym_module_path] = STATE(20212),
    [sym_constructor_path] = STATE(10573),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(10573),
    [aux_sym_expression_item_repeat1] = STATE(14676),
    [aux_sym_let_binding_repeat1] = STATE(4786),
    [sym__lowercase_identifier] = ACTIONS(5549),
    [anon_sym_and] = ACTIONS(5553),
    [anon_sym_COLON_GT] = ACTIONS(7655),
    [anon_sym_EQ] = ACTIONS(7657),
    [anon_sym_TILDE] = ACTIONS(5559),
    [anon_sym_QMARK] = ACTIONS(5559),
    [anon_sym_LPAREN] = ACTIONS(5561),
    [anon_sym_COMMA] = ACTIONS(7659),
    [anon_sym_PIPE] = ACTIONS(7661),
    [anon_sym_LBRACK] = ACTIONS(5567),
    [anon_sym_true] = ACTIONS(5569),
    [anon_sym_false] = ACTIONS(5569),
    [anon_sym_COLON2] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(5573),
    [anon_sym_in] = ACTIONS(5553),
    [anon_sym_as] = ACTIONS(7663),
    [anon_sym_POUND] = ACTIONS(5577),
    [anon_sym_COLON_COLON] = ACTIONS(7665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5581),
    [anon_sym_begin] = ACTIONS(5583),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7667),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7669),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7671),
    [aux_sym_number_token1] = ACTIONS(5591),
    [aux_sym_signed_number_token1] = ACTIONS(5593),
    [anon_sym_SQUOTE] = ACTIONS(5595),
    [anon_sym_DQUOTE] = ACTIONS(5597),
    [sym_let_and_operator] = ACTIONS(5551),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2975] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15044),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2975),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7673),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(4955),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2976] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15014),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2976),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7675),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(4831),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2977] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2977),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7677),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(4931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2978] = {
    [sym__parenthesized_abstract_type] = STATE(4760),
    [sym__simple_binding_pattern] = STATE(14801),
    [sym__binding_pattern] = STATE(14967),
    [sym_alias_binding_pattern] = STATE(14801),
    [sym_typed_binding_pattern] = STATE(14701),
    [sym__or_binding_pattern_anonymous] = STATE(14712),
    [sym_constructor_binding_pattern] = STATE(14801),
    [sym_tag_binding_pattern] = STATE(14801),
    [sym_polymorphic_variant_pattern] = STATE(14701),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20209),
    [sym__tuple_binding_pattern] = STATE(14756),
    [sym_record_binding_pattern] = STATE(14780),
    [sym_list_binding_pattern] = STATE(14793),
    [sym_cons_binding_pattern] = STATE(14801),
    [sym_array_binding_pattern] = STATE(14861),
    [sym_range_pattern] = STATE(14801),
    [sym_lazy_binding_pattern] = STATE(14801),
    [sym_local_open_binding_pattern] = STATE(14701),
    [sym_package_pattern] = STATE(14701),
    [sym_parenthesized_binding_pattern] = STATE(14701),
    [sym_attribute] = STATE(2978),
    [sym_extension] = STATE(14701),
    [sym_quoted_extension] = STATE(14701),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14315),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__value_name] = STATE(14701),
    [sym_parenthesized_operator] = STATE(14781),
    [sym_module_path] = STATE(21377),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(8545),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(7679),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7681),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4737),
    [anon_sym_LBRACK] = ACTIONS(7683),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7685),
    [anon_sym_SEMI] = ACTIONS(4735),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7687),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4735),
    [anon_sym_lazy] = ACTIONS(7689),
    [anon_sym_begin] = ACTIONS(7227),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7691),
    [aux_sym_tag_token1] = ACTIONS(7693),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2979] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2979),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7627),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(5257),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2980] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(13909),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2980),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(3222),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2981] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14154),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(19130),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(2981),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(14535),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2810),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(2981),
    [sym__lowercase_identifier] = ACTIONS(7595),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_RBRACK] = ACTIONS(4735),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_SEMI] = ACTIONS(4735),
    [anon_sym_RBRACE] = ACTIONS(4735),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(7599),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2982] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14765),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(2982),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__attribute] = STATE(3140),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2983] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15203),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2983),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7695),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(4945),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2984] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14975),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(2984),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__attribute] = STATE(3143),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2985] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(13909),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2985),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(3122),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2986] = {
    [sym__parenthesized_abstract_type] = STATE(3161),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15514),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2986),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(6787),
    [anon_sym_COMMA] = ACTIONS(6783),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2987] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2987),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7627),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(4937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2988] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(13979),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2988),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__attribute] = STATE(3219),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [anon_sym_PERCENT] = ACTIONS(7359),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2989] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15181),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2989),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7697),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2990] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15215),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2990),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7627),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2991] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15203),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2991),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_RPAREN] = ACTIONS(7695),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(5259),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2992] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(2992),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7699),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2993] = {
    [sym__simple_expression] = STATE(9547),
    [sym_typed_expression] = STATE(9549),
    [sym_list_expression] = STATE(9549),
    [sym_array_expression] = STATE(9549),
    [sym_record_expression] = STATE(9549),
    [sym_labeled_argument] = STATE(10284),
    [sym_prefix_expression] = STATE(9549),
    [sym_hash_expression] = STATE(9549),
    [sym_field_get_expression] = STATE(9549),
    [sym_array_get_expression] = STATE(9549),
    [sym_string_get_expression] = STATE(9549),
    [sym_bigarray_get_expression] = STATE(9549),
    [sym_coercion_expression] = STATE(9549),
    [sym_local_open_expression] = STATE(9549),
    [sym_package_expression] = STATE(9549),
    [sym_new_expression] = STATE(9549),
    [sym_object_copy_expression] = STATE(9549),
    [sym_method_invocation] = STATE(9549),
    [sym_object_expression] = STATE(9549),
    [sym_parenthesized_expression] = STATE(9549),
    [sym_attribute] = STATE(2993),
    [sym_extension] = STATE(9549),
    [sym_quoted_extension] = STATE(9549),
    [sym__constant] = STATE(9549),
    [sym_number] = STATE(9656),
    [sym_character] = STATE(9656),
    [sym_string] = STATE(9656),
    [sym_quoted_string] = STATE(9656),
    [sym_boolean] = STATE(9656),
    [sym_unit] = STATE(9656),
    [sym__value_name] = STATE(9430),
    [sym_parenthesized_operator] = STATE(9510),
    [sym_value_path] = STATE(9549),
    [sym_module_path] = STATE(18950),
    [sym_constructor_path] = STATE(9549),
    [sym__constructor_name] = STATE(8545),
    [sym_tag] = STATE(9549),
    [aux_sym_class_application_repeat1] = STATE(2993),
    [sym__lowercase_identifier] = ACTIONS(7701),
    [anon_sym_TILDE] = ACTIONS(7704),
    [anon_sym_QMARK] = ACTIONS(7704),
    [anon_sym_LPAREN] = ACTIONS(7707),
    [anon_sym_RPAREN] = ACTIONS(3802),
    [anon_sym_LBRACK] = ACTIONS(7710),
    [anon_sym_true] = ACTIONS(7713),
    [anon_sym_false] = ACTIONS(7713),
    [anon_sym_COLON2] = ACTIONS(3802),
    [anon_sym_LBRACE] = ACTIONS(7716),
    [anon_sym_object] = ACTIONS(7719),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7722),
    [anon_sym_new] = ACTIONS(7725),
    [anon_sym_LBRACE_LT] = ACTIONS(7728),
    [anon_sym_begin] = ACTIONS(7731),
    [sym_ocamlyacc_value] = ACTIONS(7734),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7737),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7740),
    [aux_sym_number_token1] = ACTIONS(7743),
    [anon_sym_SQUOTE] = ACTIONS(7746),
    [anon_sym_DQUOTE] = ACTIONS(7749),
    [sym_prefix_operator] = ACTIONS(7752),
    [sym__uppercase_identifier] = ACTIONS(7755),
    [aux_sym_tag_token1] = ACTIONS(7758),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2994] = {
    [sym_match_case] = STATE(12680),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2994),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2995] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14384),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2995),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7761),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2996] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14388),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(2996),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7763),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2997] = {
    [sym_let_binding] = STATE(15359),
    [sym_open_module] = STATE(19157),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(2997),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2998] = {
    [sym_match_case] = STATE(13222),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14602),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2998),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2999] = {
    [sym_match_case] = STATE(8752),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14423),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(2999),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3000] = {
    [sym_match_case] = STATE(13090),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14602),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3000),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3001] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(15515),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3001),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_COMMA] = ACTIONS(6783),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3002] = {
    [sym_match_case] = STATE(8625),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14360),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3002),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3003] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3003),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7765),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3004] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3004),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7767),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3005] = {
    [sym_match_case] = STATE(12687),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3005),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3006] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14343),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3006),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3007] = {
    [sym_match_case] = STATE(8614),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14377),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3007),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3008] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3008),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7769),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3009] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3009),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7771),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3010] = {
    [sym_match_case] = STATE(10854),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3010),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3011] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14528),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3011),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3012] = {
    [sym_match_case] = STATE(12695),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3012),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3013] = {
    [sym_match_case] = STATE(13090),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14407),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3013),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3014] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14530),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3014),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3015] = {
    [sym_match_case] = STATE(8454),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14609),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3015),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3016] = {
    [sym__simple_expression] = STATE(9547),
    [sym_typed_expression] = STATE(9549),
    [sym_list_expression] = STATE(9549),
    [sym_array_expression] = STATE(9549),
    [sym_record_expression] = STATE(9549),
    [sym_labeled_argument] = STATE(10284),
    [sym_prefix_expression] = STATE(9549),
    [sym_hash_expression] = STATE(9549),
    [sym_field_get_expression] = STATE(9549),
    [sym_array_get_expression] = STATE(9549),
    [sym_string_get_expression] = STATE(9549),
    [sym_bigarray_get_expression] = STATE(9549),
    [sym_coercion_expression] = STATE(9549),
    [sym_local_open_expression] = STATE(9549),
    [sym_package_expression] = STATE(9549),
    [sym_new_expression] = STATE(9549),
    [sym_object_copy_expression] = STATE(9549),
    [sym_method_invocation] = STATE(9549),
    [sym_object_expression] = STATE(9549),
    [sym_parenthesized_expression] = STATE(9549),
    [sym_attribute] = STATE(3016),
    [sym_extension] = STATE(9549),
    [sym_quoted_extension] = STATE(9549),
    [sym__constant] = STATE(9549),
    [sym_number] = STATE(9656),
    [sym_character] = STATE(9656),
    [sym_string] = STATE(9656),
    [sym_quoted_string] = STATE(9656),
    [sym_boolean] = STATE(9656),
    [sym_unit] = STATE(9656),
    [sym__value_name] = STATE(9430),
    [sym_parenthesized_operator] = STATE(9510),
    [sym_value_path] = STATE(9549),
    [sym_module_path] = STATE(18950),
    [sym_constructor_path] = STATE(9549),
    [sym__constructor_name] = STATE(8545),
    [sym_tag] = STATE(9549),
    [aux_sym_class_application_repeat1] = STATE(2993),
    [sym__lowercase_identifier] = ACTIONS(7773),
    [anon_sym_TILDE] = ACTIONS(7775),
    [anon_sym_QMARK] = ACTIONS(7775),
    [anon_sym_LPAREN] = ACTIONS(7777),
    [anon_sym_RPAREN] = ACTIONS(5693),
    [anon_sym_LBRACK] = ACTIONS(7779),
    [anon_sym_true] = ACTIONS(7781),
    [anon_sym_false] = ACTIONS(7781),
    [anon_sym_COLON2] = ACTIONS(5693),
    [anon_sym_LBRACE] = ACTIONS(7783),
    [anon_sym_object] = ACTIONS(7785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7787),
    [anon_sym_new] = ACTIONS(7789),
    [anon_sym_LBRACE_LT] = ACTIONS(7791),
    [anon_sym_begin] = ACTIONS(7793),
    [sym_ocamlyacc_value] = ACTIONS(7795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7799),
    [aux_sym_number_token1] = ACTIONS(7801),
    [anon_sym_SQUOTE] = ACTIONS(7803),
    [anon_sym_DQUOTE] = ACTIONS(7805),
    [sym_prefix_operator] = ACTIONS(7807),
    [sym__uppercase_identifier] = ACTIONS(7691),
    [aux_sym_tag_token1] = ACTIONS(7693),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3017] = {
    [sym_match_case] = STATE(11045),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14465),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3017),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3018] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14488),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3018),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3019] = {
    [sym__simple_binding_pattern] = STATE(14064),
    [sym__binding_pattern] = STATE(14154),
    [sym_alias_binding_pattern] = STATE(14064),
    [sym_typed_binding_pattern] = STATE(14127),
    [sym__or_binding_pattern_anonymous] = STATE(14160),
    [sym_constructor_binding_pattern] = STATE(14064),
    [sym_tag_binding_pattern] = STATE(14064),
    [sym_polymorphic_variant_pattern] = STATE(14127),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20306),
    [sym__tuple_binding_pattern] = STATE(14164),
    [sym_record_binding_pattern] = STATE(14166),
    [sym_list_binding_pattern] = STATE(14167),
    [sym_cons_binding_pattern] = STATE(14064),
    [sym_array_binding_pattern] = STATE(14182),
    [sym_range_pattern] = STATE(14064),
    [sym_lazy_binding_pattern] = STATE(14064),
    [sym_local_open_binding_pattern] = STATE(14127),
    [sym_package_pattern] = STATE(14127),
    [sym_parenthesized_binding_pattern] = STATE(14127),
    [sym_attribute] = STATE(3019),
    [sym_extension] = STATE(14127),
    [sym_quoted_extension] = STATE(14127),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13984),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__value_name] = STATE(14127),
    [sym_parenthesized_operator] = STATE(10939),
    [sym_module_path] = STATE(20194),
    [sym_constructor_path] = STATE(2972),
    [sym__constructor_name] = STATE(8812),
    [sym_tag] = STATE(3019),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(5405),
    [anon_sym_RPAREN] = ACTIONS(4735),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4735),
    [anon_sym_LBRACK] = ACTIONS(5409),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_COLON2] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(5413),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5419),
    [anon_sym_lazy] = ACTIONS(5421),
    [anon_sym_begin] = ACTIONS(4837),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(5425),
    [aux_sym_tag_token1] = ACTIONS(5427),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3020] = {
    [sym_match_case] = STATE(12702),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3020),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3021] = {
    [sym_match_case] = STATE(13191),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3021),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3022] = {
    [sym_match_case] = STATE(11838),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14600),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3022),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3023] = {
    [sym_match_case] = STATE(8626),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14474),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3023),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3024] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14423),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3024),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3025] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3025),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7809),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3026] = {
    [sym_match_case] = STATE(9848),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3026),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3027] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14582),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3027),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3028] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14370),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3028),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7811),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3029] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14372),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3029),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7813),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3030] = {
    [sym_match_case] = STATE(8884),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14595),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3030),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3031] = {
    [sym_match_case] = STATE(13216),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14321),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3031),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3032] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14448),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3032),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3033] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14595),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3033),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3034] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3034),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3035] = {
    [sym_match_case] = STATE(11045),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14321),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3035),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3036] = {
    [sym_match_case] = STATE(11045),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14402),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3036),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3037] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3037),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7815),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3038] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3038),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7817),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3039] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3039),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7819),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3040] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3040),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7821),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3041] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3041),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7823),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3042] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3042),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7825),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3043] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3043),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7827),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3044] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3044),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7829),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3045] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3045),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7831),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3046] = {
    [sym_match_case] = STATE(13151),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3046),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3047] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3047),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7833),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3048] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3048),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7835),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3049] = {
    [sym_match_case] = STATE(12599),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14402),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3049),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3050] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3050),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3051] = {
    [sym_match_case] = STATE(11045),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14506),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3051),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3052] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14553),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3052),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7837),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3053] = {
    [sym_let_binding] = STATE(15359),
    [sym_open_module] = STATE(20505),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(3053),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3054] = {
    [sym_match_case] = STATE(8721),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14488),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3054),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3055] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14571),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3055),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7839),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3056] = {
    [sym_match_case] = STATE(8557),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14343),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3056),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3057] = {
    [sym_let_binding] = STATE(15359),
    [sym_open_module] = STATE(19726),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(3057),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3058] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3058),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7841),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3059] = {
    [sym_let_binding] = STATE(15359),
    [sym_open_module] = STATE(18649),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(3059),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3060] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3060),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7843),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3061] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14533),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3061),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7845),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3062] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14539),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3062),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7847),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3063] = {
    [sym_let_binding] = STATE(15359),
    [sym_open_module] = STATE(19129),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(3063),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3064] = {
    [sym__simple_binding_pattern] = STATE(14801),
    [sym__binding_pattern] = STATE(14972),
    [sym_alias_binding_pattern] = STATE(14801),
    [sym_typed_binding_pattern] = STATE(14701),
    [sym__or_binding_pattern_anonymous] = STATE(14712),
    [sym_constructor_binding_pattern] = STATE(14801),
    [sym_tag_binding_pattern] = STATE(14801),
    [sym_polymorphic_variant_pattern] = STATE(14701),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20209),
    [sym__tuple_binding_pattern] = STATE(14756),
    [sym_record_binding_pattern] = STATE(14780),
    [sym_list_binding_pattern] = STATE(14793),
    [sym_cons_binding_pattern] = STATE(14801),
    [sym_array_binding_pattern] = STATE(14861),
    [sym_range_pattern] = STATE(14801),
    [sym_lazy_binding_pattern] = STATE(14801),
    [sym_local_open_binding_pattern] = STATE(14701),
    [sym_package_pattern] = STATE(14701),
    [sym_parenthesized_binding_pattern] = STATE(14701),
    [sym_attribute] = STATE(3064),
    [sym_extension] = STATE(14701),
    [sym_quoted_extension] = STATE(14701),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14315),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__value_name] = STATE(14701),
    [sym_parenthesized_operator] = STATE(14781),
    [sym_module_path] = STATE(21377),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(8545),
    [sym_tag] = STATE(3064),
    [sym__lowercase_identifier] = ACTIONS(7679),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7849),
    [anon_sym_COMMA] = ACTIONS(4735),
    [anon_sym_PIPE] = ACTIONS(4737),
    [anon_sym_LBRACK] = ACTIONS(7683),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7685),
    [anon_sym_SEMI] = ACTIONS(4735),
    [anon_sym_as] = ACTIONS(4737),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_COLON_COLON] = ACTIONS(4735),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7687),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4735),
    [anon_sym_lazy] = ACTIONS(7689),
    [anon_sym_begin] = ACTIONS(7227),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7691),
    [aux_sym_tag_token1] = ACTIONS(7693),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3065] = {
    [sym_match_case] = STATE(11045),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14463),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3065),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3066] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14633),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3066),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3067] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14502),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3067),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3068] = {
    [sym_match_case] = STATE(12921),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3068),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3069] = {
    [sym_match_case] = STATE(12465),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14506),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3069),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3070] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3070),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7851),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3071] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3071),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7853),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3072] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3072),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7855),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3073] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3073),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7857),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3074] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14574),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3074),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7859),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3075] = {
    [sym_match_case] = STATE(8645),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14528),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3075),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3076] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14360),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3076),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3077] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14339),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3077),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3078] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14377),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3078),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3079] = {
    [sym_match_case] = STATE(13272),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14327),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3079),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3080] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14473),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3080),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3081] = {
    [sym_match_case] = STATE(9154),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14582),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3081),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3082] = {
    [sym_match_case] = STATE(12549),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14407),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3082),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3083] = {
    [sym_match_case] = STATE(9971),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3083),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3084] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3084),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7861),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3085] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14591),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3085),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7863),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3086] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14436),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3086),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7865),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3087] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14440),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3087),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7867),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3088] = {
    [sym_match_case] = STATE(11567),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14463),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3088),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3089] = {
    [sym_match_case] = STATE(12555),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14465),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3089),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3090] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14609),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3090),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3091] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14317),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3091),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3092] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3092),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7869),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3093] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3093),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7871),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3094] = {
    [sym_match_case] = STATE(8918),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14339),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3094),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3095] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3095),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7873),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3096] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3096),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7875),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3097] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14357),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3097),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3098] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14532),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3098),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7877),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3099] = {
    [sym_match_case] = STATE(11045),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14600),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3099),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3100] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14627),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3100),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7879),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3101] = {
    [sym_match_case] = STATE(8516),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14474),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3101),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3102] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14390),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3102),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3103] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14363),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3103),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3104] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14326),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3104),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3105] = {
    [sym_match_case] = STATE(10717),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14368),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3105),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3106] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14646),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3106),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7881),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3107] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14318),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3107),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7883),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3108] = {
    [sym_match_case] = STATE(9186),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14357),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3108),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3109] = {
    [sym_match_case] = STATE(8490),
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14480),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(21044),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3109),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2593),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2599),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(4825),
    [anon_sym_POUND] = ACTIONS(6791),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(4835),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(4839),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(25),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(27),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3110] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3110),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7885),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3111] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3111),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7887),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3112] = {
    [sym__simple_expression] = STATE(9547),
    [sym_typed_expression] = STATE(9549),
    [sym_list_expression] = STATE(9549),
    [sym_array_expression] = STATE(9549),
    [sym_record_expression] = STATE(9549),
    [sym_labeled_argument] = STATE(10284),
    [sym_prefix_expression] = STATE(9549),
    [sym_hash_expression] = STATE(9549),
    [sym_field_get_expression] = STATE(9549),
    [sym_array_get_expression] = STATE(9549),
    [sym_string_get_expression] = STATE(9549),
    [sym_bigarray_get_expression] = STATE(9549),
    [sym_coercion_expression] = STATE(9549),
    [sym_local_open_expression] = STATE(9549),
    [sym_package_expression] = STATE(9549),
    [sym_new_expression] = STATE(9549),
    [sym_object_copy_expression] = STATE(9549),
    [sym_method_invocation] = STATE(9549),
    [sym_object_expression] = STATE(9549),
    [sym_parenthesized_expression] = STATE(9549),
    [sym_attribute] = STATE(3112),
    [sym_extension] = STATE(9549),
    [sym_quoted_extension] = STATE(9549),
    [sym__constant] = STATE(9549),
    [sym_number] = STATE(9656),
    [sym_character] = STATE(9656),
    [sym_string] = STATE(9656),
    [sym_quoted_string] = STATE(9656),
    [sym_boolean] = STATE(9656),
    [sym_unit] = STATE(9656),
    [sym__value_name] = STATE(9430),
    [sym_parenthesized_operator] = STATE(9510),
    [sym_value_path] = STATE(9549),
    [sym_module_path] = STATE(18950),
    [sym_constructor_path] = STATE(9549),
    [sym__constructor_name] = STATE(8545),
    [sym_tag] = STATE(9549),
    [aux_sym_class_application_repeat1] = STATE(3016),
    [sym__lowercase_identifier] = ACTIONS(7773),
    [anon_sym_TILDE] = ACTIONS(7775),
    [anon_sym_QMARK] = ACTIONS(7775),
    [anon_sym_LPAREN] = ACTIONS(7777),
    [anon_sym_RPAREN] = ACTIONS(5907),
    [anon_sym_LBRACK] = ACTIONS(7779),
    [anon_sym_true] = ACTIONS(7781),
    [anon_sym_false] = ACTIONS(7781),
    [anon_sym_COLON2] = ACTIONS(5907),
    [anon_sym_LBRACE] = ACTIONS(7783),
    [anon_sym_object] = ACTIONS(7785),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7787),
    [anon_sym_new] = ACTIONS(7789),
    [anon_sym_LBRACE_LT] = ACTIONS(7791),
    [anon_sym_begin] = ACTIONS(7793),
    [sym_ocamlyacc_value] = ACTIONS(7795),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7799),
    [aux_sym_number_token1] = ACTIONS(7801),
    [anon_sym_SQUOTE] = ACTIONS(7803),
    [anon_sym_DQUOTE] = ACTIONS(7805),
    [sym_prefix_operator] = ACTIONS(7807),
    [sym__uppercase_identifier] = ACTIONS(7691),
    [aux_sym_tag_token1] = ACTIONS(7693),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3113] = {
    [sym__simple_pattern] = STATE(13866),
    [sym__effect_pattern] = STATE(13766),
    [sym__pattern] = STATE(14935),
    [sym_alias_pattern] = STATE(13766),
    [sym_typed_pattern] = STATE(13914),
    [sym__or_pattern_anonymous] = STATE(13737),
    [sym_constructor_pattern] = STATE(13866),
    [sym_tag_pattern] = STATE(13866),
    [sym_polymorphic_variant_pattern] = STATE(13914),
    [sym_labeled_tuple_element_pattern] = STATE(20353),
    [sym__tuple_pattern] = STATE(13741),
    [sym_record_pattern] = STATE(13914),
    [sym_list_pattern] = STATE(13914),
    [sym_cons_pattern] = STATE(13766),
    [sym_array_pattern] = STATE(13914),
    [sym_range_pattern] = STATE(13766),
    [sym_lazy_pattern] = STATE(13866),
    [sym_local_open_pattern] = STATE(13914),
    [sym_package_pattern] = STATE(13914),
    [sym_parenthesized_pattern] = STATE(13914),
    [sym_exception_pattern] = STATE(13766),
    [sym_effect_pattern] = STATE(13766),
    [sym_attribute] = STATE(3113),
    [sym_extension] = STATE(13914),
    [sym_quoted_extension] = STATE(13914),
    [sym__constant] = STATE(13646),
    [sym__signed_constant] = STATE(13639),
    [sym_number] = STATE(12787),
    [sym_signed_number] = STATE(13646),
    [sym_character] = STATE(12787),
    [sym_string] = STATE(12787),
    [sym_quoted_string] = STATE(12787),
    [sym_boolean] = STATE(12787),
    [sym_unit] = STATE(12787),
    [sym__simple_value_pattern] = STATE(13914),
    [sym_parenthesized_operator] = STATE(13914),
    [sym_module_path] = STATE(20308),
    [sym_constructor_path] = STATE(2625),
    [sym__constructor_name] = STATE(8774),
    [sym_tag] = STATE(2640),
    [sym__lowercase_identifier] = ACTIONS(4807),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(4811),
    [anon_sym_LBRACK] = ACTIONS(4817),
    [anon_sym_RBRACK] = ACTIONS(7889),
    [anon_sym_true] = ACTIONS(4819),
    [anon_sym_false] = ACTIONS(4819),
    [anon_sym_LBRACE] = ACTIONS(4823),
    [anon_sym_exception] = ACTIONS(7135),
    [anon_sym_POUND] = ACTIONS(7137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4833),
    [anon_sym_lazy] = ACTIONS(7139),
    [anon_sym_begin] = ACTIONS(4837),
    [anon_sym_effect] = ACTIONS(7141),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7143),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7145),
    [aux_sym_number_token1] = ACTIONS(4841),
    [aux_sym_signed_number_token1] = ACTIONS(7147),
    [anon_sym_SQUOTE] = ACTIONS(4845),
    [anon_sym_DQUOTE] = ACTIONS(4847),
    [sym__uppercase_identifier] = ACTIONS(4851),
    [aux_sym_tag_token1] = ACTIONS(4853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3114] = {
    [sym__simple_pattern] = STATE(14778),
    [sym__effect_pattern] = STATE(14789),
    [sym__pattern] = STATE(14852),
    [sym_alias_pattern] = STATE(14789),
    [sym_typed_pattern] = STATE(14689),
    [sym__or_pattern_anonymous] = STATE(14799),
    [sym_constructor_pattern] = STATE(14778),
    [sym_tag_pattern] = STATE(14778),
    [sym_polymorphic_variant_pattern] = STATE(14689),
    [sym_labeled_tuple_element_pattern] = STATE(19151),
    [sym__tuple_pattern] = STATE(14933),
    [sym_record_pattern] = STATE(14689),
    [sym_list_pattern] = STATE(14689),
    [sym_cons_pattern] = STATE(14789),
    [sym_array_pattern] = STATE(14689),
    [sym_range_pattern] = STATE(14789),
    [sym_lazy_pattern] = STATE(14778),
    [sym_local_open_pattern] = STATE(14689),
    [sym_package_pattern] = STATE(14689),
    [sym_parenthesized_pattern] = STATE(14689),
    [sym_exception_pattern] = STATE(14789),
    [sym_effect_pattern] = STATE(14789),
    [sym_attribute] = STATE(3114),
    [sym_extension] = STATE(14689),
    [sym_quoted_extension] = STATE(14689),
    [sym__constant] = STATE(14391),
    [sym__signed_constant] = STATE(14640),
    [sym_number] = STATE(14495),
    [sym_signed_number] = STATE(14391),
    [sym_character] = STATE(14495),
    [sym_string] = STATE(14495),
    [sym_quoted_string] = STATE(14495),
    [sym_boolean] = STATE(14495),
    [sym_unit] = STATE(14495),
    [sym__simple_value_pattern] = STATE(14689),
    [sym_parenthesized_operator] = STATE(14689),
    [sym_module_path] = STATE(21386),
    [sym_constructor_path] = STATE(2641),
    [sym__constructor_name] = STATE(9406),
    [sym_tag] = STATE(2645),
    [sym__lowercase_identifier] = ACTIONS(7209),
    [anon_sym_TILDE] = ACTIONS(6785),
    [anon_sym_LPAREN] = ACTIONS(7355),
    [anon_sym_LBRACK] = ACTIONS(7213),
    [anon_sym_true] = ACTIONS(7215),
    [anon_sym_false] = ACTIONS(7215),
    [anon_sym_LBRACE] = ACTIONS(7217),
    [anon_sym_exception] = ACTIONS(7219),
    [anon_sym_POUND] = ACTIONS(7221),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7223),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7891),
    [anon_sym_lazy] = ACTIONS(7225),
    [anon_sym_begin] = ACTIONS(7227),
    [anon_sym_effect] = ACTIONS(7229),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7231),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7233),
    [aux_sym_number_token1] = ACTIONS(7235),
    [aux_sym_signed_number_token1] = ACTIONS(7237),
    [anon_sym_SQUOTE] = ACTIONS(7239),
    [anon_sym_DQUOTE] = ACTIONS(7241),
    [sym__uppercase_identifier] = ACTIONS(7243),
    [aux_sym_tag_token1] = ACTIONS(7245),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3115] = {
    [sym_let_binding] = STATE(15359),
    [sym_open_module] = STATE(20196),
    [sym__simple_binding_pattern] = STATE(9211),
    [sym__binding_pattern] = STATE(2974),
    [sym_alias_binding_pattern] = STATE(9211),
    [sym_typed_binding_pattern] = STATE(9212),
    [sym__or_binding_pattern_anonymous] = STATE(9213),
    [sym_constructor_binding_pattern] = STATE(9211),
    [sym_tag_binding_pattern] = STATE(9211),
    [sym_polymorphic_variant_pattern] = STATE(9212),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21018),
    [sym__tuple_binding_pattern] = STATE(9214),
    [sym_record_binding_pattern] = STATE(9215),
    [sym_list_binding_pattern] = STATE(9226),
    [sym_cons_binding_pattern] = STATE(9211),
    [sym_array_binding_pattern] = STATE(9234),
    [sym_range_pattern] = STATE(9211),
    [sym_lazy_binding_pattern] = STATE(9211),
    [sym_local_open_binding_pattern] = STATE(9212),
    [sym_package_pattern] = STATE(9212),
    [sym_parenthesized_binding_pattern] = STATE(9212),
    [sym_attribute] = STATE(3115),
    [sym_extension] = STATE(9212),
    [sym_quoted_extension] = STATE(9212),
    [sym__attribute] = STATE(4070),
    [sym__constant] = STATE(9091),
    [sym__signed_constant] = STATE(9124),
    [sym_number] = STATE(9097),
    [sym_signed_number] = STATE(9091),
    [sym_character] = STATE(9097),
    [sym_string] = STATE(9097),
    [sym_quoted_string] = STATE(9097),
    [sym_boolean] = STATE(9097),
    [sym_unit] = STATE(9097),
    [sym__value_name] = STATE(9212),
    [sym_parenthesized_operator] = STATE(9238),
    [sym_module_path] = STATE(18922),
    [sym_constructor_path] = STATE(2634),
    [sym__constructor_name] = STATE(9100),
    [sym_tag] = STATE(2643),
    [sym__lowercase_identifier] = ACTIONS(7165),
    [anon_sym_rec] = ACTIONS(7361),
    [anon_sym_TILDE] = ACTIONS(4739),
    [anon_sym_LPAREN] = ACTIONS(7302),
    [anon_sym_LBRACK] = ACTIONS(7169),
    [anon_sym_true] = ACTIONS(7171),
    [anon_sym_false] = ACTIONS(7171),
    [anon_sym_LBRACE] = ACTIONS(7173),
    [anon_sym_open] = ACTIONS(7367),
    [anon_sym_POUND] = ACTIONS(7175),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7177),
    [anon_sym_lazy] = ACTIONS(7179),
    [anon_sym_begin] = ACTIONS(7181),
    [aux_sym_attribute_token1] = ACTIONS(23),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7183),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7185),
    [anon_sym_PERCENT] = ACTIONS(7369),
    [aux_sym_number_token1] = ACTIONS(7187),
    [aux_sym_signed_number_token1] = ACTIONS(7189),
    [anon_sym_SQUOTE] = ACTIONS(7191),
    [anon_sym_DQUOTE] = ACTIONS(7193),
    [sym__uppercase_identifier] = ACTIONS(7195),
    [aux_sym_tag_token1] = ACTIONS(7197),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7209), 1,
      sym__lowercase_identifier,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7217), 1,
      anon_sym_LBRACE,
    ACTIONS(7219), 1,
      anon_sym_exception,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7225), 1,
      anon_sym_lazy,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7229), 1,
      anon_sym_effect,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7243), 1,
      sym__uppercase_identifier,
    ACTIONS(7245), 1,
      aux_sym_tag_token1,
    ACTIONS(7355), 1,
      anon_sym_LPAREN,
    STATE(2641), 1,
      sym_constructor_path,
    STATE(2645), 1,
      sym_tag,
    STATE(3116), 1,
      sym_attribute,
    STATE(9406), 1,
      sym__constructor_name,
    STATE(14640), 1,
      sym__signed_constant,
    STATE(14799), 1,
      sym__or_pattern_anonymous,
    STATE(14852), 1,
      sym__pattern,
    STATE(14933), 1,
      sym__tuple_pattern,
    STATE(19151), 1,
      sym_labeled_tuple_element_pattern,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14778), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14789), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14689), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [214] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7901), 1,
      anon_sym_LT_DASH,
    STATE(3118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7135), 1,
      anon_sym_exception,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7139), 1,
      anon_sym_lazy,
    ACTIONS(7141), 1,
      anon_sym_effect,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2625), 1,
      sym_constructor_path,
    STATE(2640), 1,
      sym_tag,
    STATE(3119), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(13753), 1,
      sym__or_pattern_anonymous,
    STATE(14408), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(20353), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [430] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7135), 1,
      anon_sym_exception,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7139), 1,
      anon_sym_lazy,
    ACTIONS(7141), 1,
      anon_sym_effect,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2625), 1,
      sym_constructor_path,
    STATE(2640), 1,
      sym_tag,
    STATE(3120), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14567), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(20353), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [569] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7135), 1,
      anon_sym_exception,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7139), 1,
      anon_sym_lazy,
    ACTIONS(7141), 1,
      anon_sym_effect,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2625), 1,
      sym_constructor_path,
    STATE(2640), 1,
      sym_tag,
    STATE(3121), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14879), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(20353), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [708] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3122), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13698), 1,
      sym__pattern,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [847] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7903), 1,
      anon_sym_TILDE,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3123), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13728), 1,
      sym__tuple_pattern,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13980), 1,
      sym__pattern,
    STATE(14040), 1,
      sym_labeled_tuple_element_pattern,
    STATE(20308), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [986] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7135), 1,
      anon_sym_exception,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7139), 1,
      anon_sym_lazy,
    ACTIONS(7141), 1,
      anon_sym_effect,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2625), 1,
      sym_constructor_path,
    STATE(2640), 1,
      sym_tag,
    STATE(3124), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14374), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(20353), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1275] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3127), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14566), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1414] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3128), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14594), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1553] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3129), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14355), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1767] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3131), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14403), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1981] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3133), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14638), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2120] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3134), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14371), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2259] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3135), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14615), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2473] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3137), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14628), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2612] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3138), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14545), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2751] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3139), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14629), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2890] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7209), 1,
      sym__lowercase_identifier,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7217), 1,
      anon_sym_LBRACE,
    ACTIONS(7219), 1,
      anon_sym_exception,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7225), 1,
      anon_sym_lazy,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7229), 1,
      anon_sym_effect,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7243), 1,
      sym__uppercase_identifier,
    ACTIONS(7245), 1,
      aux_sym_tag_token1,
    ACTIONS(7355), 1,
      anon_sym_LPAREN,
    STATE(2641), 1,
      sym_constructor_path,
    STATE(2645), 1,
      sym_tag,
    STATE(3140), 1,
      sym_attribute,
    STATE(9406), 1,
      sym__constructor_name,
    STATE(14640), 1,
      sym__signed_constant,
    STATE(14799), 1,
      sym__or_pattern_anonymous,
    STATE(14837), 1,
      sym__pattern,
    STATE(14933), 1,
      sym__tuple_pattern,
    STATE(19151), 1,
      sym_labeled_tuple_element_pattern,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14778), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14789), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14689), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3029] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3141), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14437), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3168] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3142), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14445), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3307] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7209), 1,
      sym__lowercase_identifier,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7217), 1,
      anon_sym_LBRACE,
    ACTIONS(7219), 1,
      anon_sym_exception,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7225), 1,
      anon_sym_lazy,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7229), 1,
      anon_sym_effect,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7243), 1,
      sym__uppercase_identifier,
    ACTIONS(7245), 1,
      aux_sym_tag_token1,
    ACTIONS(7355), 1,
      anon_sym_LPAREN,
    STATE(2641), 1,
      sym_constructor_path,
    STATE(2645), 1,
      sym_tag,
    STATE(3143), 1,
      sym_attribute,
    STATE(9406), 1,
      sym__constructor_name,
    STATE(14640), 1,
      sym__signed_constant,
    STATE(14786), 1,
      sym__pattern,
    STATE(14799), 1,
      sym__or_pattern_anonymous,
    STATE(14933), 1,
      sym__tuple_pattern,
    STATE(19151), 1,
      sym_labeled_tuple_element_pattern,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14778), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14789), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14689), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3446] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7209), 1,
      sym__lowercase_identifier,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7217), 1,
      anon_sym_LBRACE,
    ACTIONS(7219), 1,
      anon_sym_exception,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7225), 1,
      anon_sym_lazy,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7229), 1,
      anon_sym_effect,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7243), 1,
      sym__uppercase_identifier,
    ACTIONS(7245), 1,
      aux_sym_tag_token1,
    ACTIONS(7355), 1,
      anon_sym_LPAREN,
    ACTIONS(7921), 1,
      anon_sym_TILDE,
    STATE(2641), 1,
      sym_constructor_path,
    STATE(2645), 1,
      sym_tag,
    STATE(3144), 1,
      sym_attribute,
    STATE(9406), 1,
      sym__constructor_name,
    STATE(14640), 1,
      sym__signed_constant,
    STATE(14799), 1,
      sym__or_pattern_anonymous,
    STATE(14840), 1,
      sym__pattern,
    STATE(14841), 1,
      sym_labeled_tuple_element_pattern,
    STATE(14930), 1,
      sym__tuple_pattern,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14778), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14789), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14689), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3585] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3145), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14525), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3724] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3146), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14534), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3863] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3147), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14612), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4002] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3148), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14620), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4216] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3150), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14580), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4430] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3152), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14364), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4569] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3153), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(15703), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4708] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3154), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14316), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4847] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3155), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14329), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5061] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3157), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14455), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5200] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3158), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14481), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5414] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3160), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14613), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5553] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3161), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(15715), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5692] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3162), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14630), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5831] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3163), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14328), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5970] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3164), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14333), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6109] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3165), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14348), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6248] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3166), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14352), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6462] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3168), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14375), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6601] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3169), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14381), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6740] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3170), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14400), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6879] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3171), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14401), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7018] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(7135), 1,
      anon_sym_exception,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7139), 1,
      anon_sym_lazy,
    ACTIONS(7141), 1,
      anon_sym_effect,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7939), 1,
      anon_sym_TILDE,
    STATE(2625), 1,
      sym_constructor_path,
    STATE(2640), 1,
      sym_tag,
    STATE(3172), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13728), 1,
      sym__tuple_pattern,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(14441), 1,
      sym__pattern,
    STATE(14608), 1,
      sym_labeled_tuple_element_pattern,
    STATE(20308), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7157] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7209), 1,
      sym__lowercase_identifier,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7217), 1,
      anon_sym_LBRACE,
    ACTIONS(7219), 1,
      anon_sym_exception,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7225), 1,
      anon_sym_lazy,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7229), 1,
      anon_sym_effect,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7243), 1,
      sym__uppercase_identifier,
    ACTIONS(7245), 1,
      aux_sym_tag_token1,
    ACTIONS(7355), 1,
      anon_sym_LPAREN,
    STATE(2641), 1,
      sym_constructor_path,
    STATE(2645), 1,
      sym_tag,
    STATE(3173), 1,
      sym_attribute,
    STATE(9406), 1,
      sym__constructor_name,
    STATE(14640), 1,
      sym__signed_constant,
    STATE(14741), 1,
      sym__or_pattern_anonymous,
    STATE(14842), 1,
      sym__pattern,
    STATE(14933), 1,
      sym__tuple_pattern,
    STATE(19151), 1,
      sym_labeled_tuple_element_pattern,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14778), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14789), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14689), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7296] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3174), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14421), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7435] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3175), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14614), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7574] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3176), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14425), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7713] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3177), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14447), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7852] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3178), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14452), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7991] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3179), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(13779), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8130] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3180), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14467), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8269] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3181), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14472), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8408] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7209), 1,
      sym__lowercase_identifier,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7217), 1,
      anon_sym_LBRACE,
    ACTIONS(7219), 1,
      anon_sym_exception,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7225), 1,
      anon_sym_lazy,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7229), 1,
      anon_sym_effect,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7243), 1,
      sym__uppercase_identifier,
    ACTIONS(7245), 1,
      aux_sym_tag_token1,
    ACTIONS(7355), 1,
      anon_sym_LPAREN,
    STATE(2641), 1,
      sym_constructor_path,
    STATE(2645), 1,
      sym_tag,
    STATE(3182), 1,
      sym_attribute,
    STATE(9406), 1,
      sym__constructor_name,
    STATE(14640), 1,
      sym__signed_constant,
    STATE(14799), 1,
      sym__or_pattern_anonymous,
    STATE(14843), 1,
      sym__pattern,
    STATE(14933), 1,
      sym__tuple_pattern,
    STATE(19151), 1,
      sym_labeled_tuple_element_pattern,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14778), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14789), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14689), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8547] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8624] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3184), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14482), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8763] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7947), 1,
      anon_sym_LT_DASH,
    STATE(3185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8840] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3186), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14484), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8979] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7209), 1,
      sym__lowercase_identifier,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7217), 1,
      anon_sym_LBRACE,
    ACTIONS(7219), 1,
      anon_sym_exception,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7225), 1,
      anon_sym_lazy,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7229), 1,
      anon_sym_effect,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7243), 1,
      sym__uppercase_identifier,
    ACTIONS(7245), 1,
      aux_sym_tag_token1,
    ACTIONS(7355), 1,
      anon_sym_LPAREN,
    STATE(2641), 1,
      sym_constructor_path,
    STATE(2645), 1,
      sym_tag,
    STATE(3187), 1,
      sym_attribute,
    STATE(9406), 1,
      sym__constructor_name,
    STATE(14640), 1,
      sym__signed_constant,
    STATE(14799), 1,
      sym__or_pattern_anonymous,
    STATE(14933), 1,
      sym__tuple_pattern,
    STATE(14951), 1,
      sym__pattern,
    STATE(19151), 1,
      sym_labeled_tuple_element_pattern,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14778), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14789), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14689), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9193] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3189), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14513), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9332] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3190), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14531), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9471] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3191), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14325), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9610] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3192), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14536), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9749] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3193), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14543), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9888] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3194), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14546), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10027] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3195), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14552), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10166] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3196), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14558), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10305] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7949), 1,
      sym__lowercase_identifier,
    ACTIONS(7955), 1,
      anon_sym_LPAREN,
    ACTIONS(7958), 1,
      anon_sym_LBRACK,
    ACTIONS(7964), 1,
      anon_sym_LBRACE,
    ACTIONS(7967), 1,
      anon_sym_POUND,
    ACTIONS(7970), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7973), 1,
      anon_sym_begin,
    ACTIONS(7976), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7982), 1,
      aux_sym_number_token1,
    ACTIONS(7985), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7988), 1,
      anon_sym_SQUOTE,
    ACTIONS(7991), 1,
      anon_sym_DQUOTE,
    ACTIONS(7994), 1,
      sym__uppercase_identifier,
    ACTIONS(7997), 1,
      aux_sym_tag_token1,
    STATE(9132), 1,
      sym__simple_pattern,
    STATE(9166), 1,
      sym__constructor_name,
    STATE(18994), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7952), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(7961), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3197), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(9125), 2,
      sym__constant,
      sym_signed_number,
    STATE(9131), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(7250), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9163), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(7252), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(9151), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [10428] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3198), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14573), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10567] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3199), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14576), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10706] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3200), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14585), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10845] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7135), 1,
      anon_sym_exception,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7139), 1,
      anon_sym_lazy,
    ACTIONS(7141), 1,
      anon_sym_effect,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2625), 1,
      sym_constructor_path,
    STATE(2640), 1,
      sym_tag,
    STATE(3201), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14935), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(20353), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10984] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3202), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14590), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11123] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3203), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14601), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11262] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3204), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14605), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11401] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7135), 1,
      anon_sym_exception,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7139), 1,
      anon_sym_lazy,
    ACTIONS(7141), 1,
      anon_sym_effect,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2625), 1,
      sym_constructor_path,
    STATE(2640), 1,
      sym_tag,
    STATE(3205), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(13779), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(20353), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11540] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3206), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14616), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11679] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3207), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14622), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11818] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3208), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(13753), 1,
      sym__or_pattern_anonymous,
    STATE(14022), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11957] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3209), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14631), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12171] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3211), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14634), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12310] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3212), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14645), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12449] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3213), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14025), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12588] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3214), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14647), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12727] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3215), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14324), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12866] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3216), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14334), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13005] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3217), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14644), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13144] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3218), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14335), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13283] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3219), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(13983), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13497] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3221), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14478), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13636] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7135), 1,
      anon_sym_exception,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7139), 1,
      anon_sym_lazy,
    ACTIONS(7141), 1,
      anon_sym_effect,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2625), 1,
      sym_constructor_path,
    STATE(2640), 1,
      sym_tag,
    STATE(3222), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13698), 1,
      sym__pattern,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(20353), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13775] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3223), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14443), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13914] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3224), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14510), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14053] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3225), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14589), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14192] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3226), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14596), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14406] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3228), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14319), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14545] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3229), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14323), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14684] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3230), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14345), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14898] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3232), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14359), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15037] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3233), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14387), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15176] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3234), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14398), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15315] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3235), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14415), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15454] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3236), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14424), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15593] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3237), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14456), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15732] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3238), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14460), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15871] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3239), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14490), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16010] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3240), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14498), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16224] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3242), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14520), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16363] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3243), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14529), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16502] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3244), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14548), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16641] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3245), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14549), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16855] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3247), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14562), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16994] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17071] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3249), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14564), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17210] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(7135), 1,
      anon_sym_exception,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7139), 1,
      anon_sym_lazy,
    ACTIONS(7141), 1,
      anon_sym_effect,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2625), 1,
      sym_constructor_path,
    STATE(2640), 1,
      sym_tag,
    STATE(3250), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14906), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(20353), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17349] = 37,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4825), 1,
      anon_sym_exception,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4835), 1,
      anon_sym_lazy,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4839), 1,
      anon_sym_effect,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6785), 1,
      anon_sym_TILDE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2593), 1,
      sym_constructor_path,
    STATE(2599), 1,
      sym_tag,
    STATE(3251), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(13639), 1,
      sym__signed_constant,
    STATE(13737), 1,
      sym__or_pattern_anonymous,
    STATE(13741), 1,
      sym__tuple_pattern,
    STATE(14508), 1,
      sym__pattern,
    STATE(20308), 1,
      sym_module_path,
    STATE(21044), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13766), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(13914), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17562] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17786] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3256), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15854), 1,
      sym__simple_expression,
    STATE(16953), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    STATE(21356), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18286] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3262), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15810), 1,
      sym__simple_expression,
    STATE(16038), 1,
      sym_field_expression,
    STATE(20414), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18416] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3263), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15880), 1,
      sym__simple_expression,
    STATE(17070), 1,
      sym_field_expression,
    STATE(19774), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19730] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19954] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3283), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15839), 1,
      sym__simple_expression,
    STATE(16234), 1,
      sym_field_expression,
    STATE(20087), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20084] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8100), 1,
      anon_sym_LT_DASH,
    STATE(3284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20160] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3285), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15804), 1,
      sym__simple_expression,
    STATE(16381), 1,
      sym_field_expression,
    STATE(19193), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20438] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3288), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15882), 1,
      sym__simple_expression,
    STATE(15945), 1,
      sym_field_expression,
    STATE(19814), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20568] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3289), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15863), 1,
      sym__simple_expression,
    STATE(16504), 1,
      sym_field_expression,
    STATE(19348), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20846] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3292), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15831), 1,
      sym__simple_expression,
    STATE(16804), 1,
      sym_field_expression,
    STATE(20539), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21790] = 42,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(8130), 1,
      anon_sym_rec,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(2548), 1,
      sym__binding_pattern,
    STATE(3304), 1,
      sym_attribute,
    STATE(4067), 1,
      sym__attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(12539), 1,
      sym_let_binding,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [21938] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3305), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15828), 1,
      sym__simple_expression,
    STATE(16256), 1,
      sym_field_expression,
    STATE(20247), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22068] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3306), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15874), 1,
      sym__simple_expression,
    STATE(16510), 1,
      sym_field_expression,
    STATE(19599), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22494] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_DOT,
    STATE(3311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22570] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3312), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15840), 1,
      sym__simple_expression,
    STATE(16343), 1,
      sym_field_expression,
    STATE(19187), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22700] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3313), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15860), 1,
      sym__simple_expression,
    STATE(16407), 1,
      sym_field_expression,
    STATE(19243), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22830] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_DOT,
    ACTIONS(3199), 1,
      anon_sym_POUND,
    ACTIONS(3201), 1,
      sym_hash_operator,
    STATE(3314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23280] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8164), 1,
      anon_sym_LT_DASH,
    STATE(3320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24096] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3331), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15856), 1,
      sym__simple_expression,
    STATE(17042), 1,
      sym_field_expression,
    STATE(18733), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25188] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3345), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15843), 1,
      sym__simple_expression,
    STATE(16441), 1,
      sym_field_expression,
    STATE(20642), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25392] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3347), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15864), 1,
      sym__simple_expression,
    STATE(17164), 1,
      sym_field_expression,
    STATE(19404), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25596] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(3349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25672] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3350), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15825), 1,
      sym__simple_expression,
    STATE(16710), 1,
      sym_field_expression,
    STATE(18596), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26542] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3361), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15832), 1,
      sym__simple_expression,
    STATE(17161), 1,
      sym_field_expression,
    STATE(21013), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26746] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3363), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15777), 1,
      sym__simple_expression,
    STATE(16438), 1,
      sym_field_expression,
    STATE(19957), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26950] = 42,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(8236), 1,
      anon_sym_rec,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(2552), 1,
      sym__binding_pattern,
    STATE(3365), 1,
      sym_attribute,
    STATE(4085), 1,
      sym__attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(12479), 1,
      sym_let_binding,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [27098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27320] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3369), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15820), 1,
      sym__simple_expression,
    STATE(16109), 1,
      sym_field_expression,
    STATE(19039), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27524] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_DOT,
    ACTIONS(3209), 1,
      anon_sym_POUND,
    ACTIONS(3211), 1,
      sym_hash_operator,
    STATE(3371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27604] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_DOT,
    ACTIONS(3199), 1,
      anon_sym_POUND,
    ACTIONS(3201), 1,
      sym_hash_operator,
    STATE(3372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27832] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3375), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15845), 1,
      sym__simple_expression,
    STATE(16540), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    STATE(21237), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27962] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28556] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3384), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15870), 1,
      sym__simple_expression,
    STATE(16320), 1,
      sym_field_expression,
    STATE(19552), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28686] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3385), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15866), 1,
      sym__simple_expression,
    STATE(16043), 1,
      sym_field_expression,
    STATE(19469), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29038] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3389), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15875), 1,
      sym__simple_expression,
    STATE(16735), 1,
      sym_field_expression,
    STATE(19652), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29390] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8282), 1,
      anon_sym_LT_DASH,
    STATE(3393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29910] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8288), 1,
      anon_sym_LT_DASH,
    STATE(3400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30430] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3407), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15777), 1,
      sym__simple_expression,
    STATE(16438), 1,
      sym_field_expression,
    STATE(19240), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30708] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3410), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15846), 1,
      sym__simple_expression,
    STATE(16630), 1,
      sym_field_expression,
    STATE(18696), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30838] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3411), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15861), 1,
      sym__simple_expression,
    STATE(16060), 1,
      sym_field_expression,
    STATE(19307), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30968] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3412), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15265), 1,
      sym__simple_expression,
    STATE(16334), 1,
      sym_field_expression,
    STATE(21062), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31098] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(3413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31692] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3421), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15835), 1,
      sym__simple_expression,
    STATE(16008), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    STATE(21342), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32488] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32564] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3432), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15830), 1,
      sym__simple_expression,
    STATE(16462), 1,
      sym_field_expression,
    STATE(20383), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32916] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(3436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33140] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3439), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15859), 1,
      sym__simple_expression,
    STATE(16207), 1,
      sym_field_expression,
    STATE(19104), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33492] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3443), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15847), 1,
      sym__simple_expression,
    STATE(16763), 1,
      sym_field_expression,
    STATE(18536), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33770] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3446), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15821), 1,
      sym__simple_expression,
    STATE(17179), 1,
      sym_field_expression,
    STATE(19537), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33900] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3197), 1,
      anon_sym_DOT,
    STATE(3447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34050] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3449), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15879), 1,
      sym__simple_expression,
    STATE(16903), 1,
      sym_field_expression,
    STATE(19709), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [34180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34402] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3453), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15851), 1,
      sym__simple_expression,
    STATE(16862), 1,
      sym_field_expression,
    STATE(20208), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [34532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34902] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3459), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15748), 1,
      sym__simple_expression,
    STATE(16865), 1,
      sym_field_expression,
    STATE(20535), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35402] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3465), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15868), 1,
      sym__simple_expression,
    STATE(16155), 1,
      sym_field_expression,
    STATE(19511), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35532] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3466), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15826), 1,
      sym__simple_expression,
    STATE(15999), 1,
      sym_field_expression,
    STATE(19591), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35810] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3469), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15814), 1,
      sym__simple_expression,
    STATE(16425), 1,
      sym_field_expression,
    STATE(19287), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36680] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3480), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15849), 1,
      sym__simple_expression,
    STATE(16809), 1,
      sym_field_expression,
    STATE(19350), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36810] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3481), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15817), 1,
      sym__simple_expression,
    STATE(16818), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    STATE(21321), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37014] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3207), 1,
      anon_sym_DOT,
    ACTIONS(3209), 1,
      anon_sym_POUND,
    ACTIONS(3211), 1,
      sym_hash_operator,
    STATE(3483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37316] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3487), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15837), 1,
      sym__simple_expression,
    STATE(16105), 1,
      sym_field_expression,
    STATE(19618), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [37446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37742] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(3492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37818] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3493), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15858), 1,
      sym__simple_expression,
    STATE(17168), 1,
      sym_field_expression,
    STATE(18957), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [37948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38096] = 33,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(3496), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15792), 1,
      sym__simple_expression,
    STATE(16015), 1,
      sym_field_expression,
    STATE(19918), 1,
      sym__quoted_string,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [38226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39540] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3729), 1,
      anon_sym_DOT,
    ACTIONS(3731), 1,
      anon_sym_POUND,
    ACTIONS(3733), 1,
      sym_hash_operator,
    STATE(3515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40130] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3729), 1,
      anon_sym_DOT,
    STATE(3523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41446] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3729), 1,
      anon_sym_DOT,
    ACTIONS(3731), 1,
      anon_sym_POUND,
    ACTIONS(3733), 1,
      sym_hash_operator,
    STATE(3541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_DOT,
    ACTIONS(3245), 1,
      anon_sym_POUND,
    ACTIONS(3247), 1,
      sym_hash_operator,
    STATE(3557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43283] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_DOT,
    STATE(3566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44745] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3243), 1,
      anon_sym_DOT,
    ACTIONS(3245), 1,
      anon_sym_POUND,
    ACTIONS(3247), 1,
      sym_hash_operator,
    STATE(3586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45992] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(3603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46797] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(3614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48624] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(3639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49210] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(3647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49942] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(3657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50601] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(3666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52574] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3711), 1,
      anon_sym_DOT,
    ACTIONS(3713), 1,
      anon_sym_POUND,
    ACTIONS(3715), 1,
      sym_hash_operator,
    STATE(3693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53164] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3711), 1,
      anon_sym_DOT,
    STATE(3701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54480] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3711), 1,
      anon_sym_DOT,
    ACTIONS(3713), 1,
      anon_sym_POUND,
    ACTIONS(3715), 1,
      sym_hash_operator,
    STATE(3719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56165] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(3742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56313] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(3744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57483] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8352), 1,
      anon_sym_LT_DASH,
    STATE(3761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58509] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58584] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8354), 1,
      anon_sym_LT_DASH,
    STATE(3775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59681] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_DOT,
    STATE(3790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_DOT,
    ACTIONS(3687), 1,
      anon_sym_POUND,
    ACTIONS(3689), 1,
      sym_hash_operator,
    STATE(3815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61660] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_DOT,
    ACTIONS(3687), 1,
      anon_sym_POUND,
    ACTIONS(3689), 1,
      sym_hash_operator,
    STATE(3817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62688] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8356), 1,
      anon_sym_LT_DASH,
    STATE(3831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62762] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62836] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8358), 1,
      anon_sym_LT_DASH,
    STATE(3833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62982] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3835), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [63124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63412] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3840), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15825), 1,
      sym__simple_expression,
    STATE(16710), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [63536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63608] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5435), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8360), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(3842), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15194), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [63750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64182] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3099), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3849), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [64324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64540] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3853), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15826), 1,
      sym__simple_expression,
    STATE(15999), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [64664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64880] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    STATE(3857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64954] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(3858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65460] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(3865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66038] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(3873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66112] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3874), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [66254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66326] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3876), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15828), 1,
      sym__simple_expression,
    STATE(16256), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [66450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66666] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3880), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [66808] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3881), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15830), 1,
      sym__simple_expression,
    STATE(16462), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [66932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67724] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3893), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [67866] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3894), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15831), 1,
      sym__simple_expression,
    STATE(16804), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [67990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68062] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3896), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [68204] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3897), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15832), 1,
      sym__simple_expression,
    STATE(17161), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [68328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68616] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3902), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [68758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68902] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3905), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15835), 1,
      sym__simple_expression,
    STATE(16008), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [69026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69098] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8366), 1,
      anon_sym_COLON,
    STATE(3907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [69172] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3908), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [69314] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(3909), 1,
      sym_attribute,
    STATE(4628), 1,
      sym__attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(5716), 1,
      sym__binding_pattern,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [69456] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3910), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15837), 1,
      sym__simple_expression,
    STATE(16105), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [69580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69652] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3131), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3912), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [69794] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3913), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15839), 1,
      sym__simple_expression,
    STATE(16234), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [69918] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3914), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [70060] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3915), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15840), 1,
      sym__simple_expression,
    STATE(16343), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [70184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70256] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8368), 1,
      anon_sym_rec,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(2542), 1,
      sym__binding_pattern,
    STATE(3917), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(12046), 1,
      sym_let_binding,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [70398] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3918), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [70540] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3919), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15843), 1,
      sym__simple_expression,
    STATE(16441), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [70664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70736] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3921), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [70878] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3922), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15845), 1,
      sym__simple_expression,
    STATE(16540), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [71002] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3923), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [71144] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3924), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15846), 1,
      sym__simple_expression,
    STATE(16630), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [71268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71340] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3926), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [71482] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3927), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15847), 1,
      sym__simple_expression,
    STATE(16763), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [71606] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3928), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [71748] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3929), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15849), 1,
      sym__simple_expression,
    STATE(16809), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [71872] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3127), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3930), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [72014] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3931), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15851), 1,
      sym__simple_expression,
    STATE(16862), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [72138] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3932), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [72280] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3933), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15854), 1,
      sym__simple_expression,
    STATE(16953), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [72404] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3934), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [72546] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3935), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15856), 1,
      sym__simple_expression,
    STATE(17042), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [72670] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3107), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3936), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [72812] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3937), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15858), 1,
      sym__simple_expression,
    STATE(17168), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [72936] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3938), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [73078] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3939), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15859), 1,
      sym__simple_expression,
    STATE(16207), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [73202] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3940), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [73344] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3941), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15860), 1,
      sym__simple_expression,
    STATE(16407), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [73468] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3942), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [73610] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3943), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15861), 1,
      sym__simple_expression,
    STATE(16060), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [73734] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3944), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [73876] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3945), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15863), 1,
      sym__simple_expression,
    STATE(16504), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [74000] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3946), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [74142] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3947), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15864), 1,
      sym__simple_expression,
    STATE(17164), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [74266] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3948), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [74408] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3949), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15866), 1,
      sym__simple_expression,
    STATE(16043), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [74532] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3950), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [74674] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3951), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15868), 1,
      sym__simple_expression,
    STATE(16155), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [74798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74942] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3105), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3954), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [75084] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3955), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15870), 1,
      sym__simple_expression,
    STATE(16320), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [75208] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3956), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [75350] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3957), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15874), 1,
      sym__simple_expression,
    STATE(16510), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [75474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75546] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3959), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [75688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75760] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3961), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15875), 1,
      sym__simple_expression,
    STATE(16735), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [75884] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3962), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [76026] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3963), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15879), 1,
      sym__simple_expression,
    STATE(16903), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [76150] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3167), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3964), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [76292] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3965), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15880), 1,
      sym__simple_expression,
    STATE(17070), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [76416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76560] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3968), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [76702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76774] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(3970), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15882), 1,
      sym__simple_expression,
    STATE(15945), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [76898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76970] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3781), 1,
      anon_sym_POUND,
    ACTIONS(3783), 1,
      sym_hash_operator,
    STATE(3972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77048] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3103), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(3973), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [77190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77910] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_DOT,
    ACTIONS(3781), 1,
      anon_sym_POUND,
    ACTIONS(3783), 1,
      sym_hash_operator,
    STATE(3984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78132] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2061), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(3987), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15041), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [78274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78418] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5259), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8372), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(3990), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15202), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [78560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78632] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(3992), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15041), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [78774] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79424] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8380), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym_begin,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8388), 1,
      anon_sym_PERCENT,
    ACTIONS(8390), 1,
      aux_sym_number_token1,
    ACTIONS(8392), 1,
      anon_sym_SQUOTE,
    ACTIONS(8394), 1,
      anon_sym_DQUOTE,
    ACTIONS(8396), 1,
      sym_prefix_operator,
    ACTIONS(8398), 1,
      aux_sym_tag_token1,
    STATE(4002), 1,
      sym_attribute,
    STATE(4467), 1,
      sym__attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(7761), 1,
      sym__simple_expression,
    STATE(18966), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [79548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80124] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3769), 1,
      anon_sym_DOT,
    STATE(4011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82070] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4038), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [82212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82500] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3769), 1,
      anon_sym_DOT,
    ACTIONS(3771), 1,
      anon_sym_POUND,
    ACTIONS(3773), 1,
      sym_hash_operator,
    STATE(4043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82650] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3769), 1,
      anon_sym_DOT,
    ACTIONS(3771), 1,
      anon_sym_POUND,
    ACTIONS(3773), 1,
      sym_hash_operator,
    STATE(4045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83376] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(4055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83810] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      anon_sym_PERCENT,
    ACTIONS(8400), 1,
      sym__lowercase_identifier,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_object,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8414), 1,
      anon_sym_new,
    ACTIONS(8416), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8418), 1,
      anon_sym_begin,
    ACTIONS(8420), 1,
      sym_ocamlyacc_value,
    ACTIONS(8422), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8424), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8426), 1,
      aux_sym_number_token1,
    ACTIONS(8428), 1,
      anon_sym_SQUOTE,
    ACTIONS(8430), 1,
      anon_sym_DQUOTE,
    ACTIONS(8432), 1,
      sym_prefix_operator,
    ACTIONS(8434), 1,
      sym__uppercase_identifier,
    ACTIONS(8436), 1,
      aux_sym_tag_token1,
    STATE(4061), 1,
      sym_attribute,
    STATE(4465), 1,
      sym__attribute,
    STATE(7538), 1,
      sym_parenthesized_operator,
    STATE(7625), 1,
      sym__constructor_name,
    STATE(7661), 1,
      sym__value_name,
    STATE(7699), 1,
      sym__simple_expression,
    STATE(19810), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7660), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [83934] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      anon_sym_PERCENT,
    ACTIONS(8400), 1,
      sym__lowercase_identifier,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_object,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8414), 1,
      anon_sym_new,
    ACTIONS(8416), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8418), 1,
      anon_sym_begin,
    ACTIONS(8420), 1,
      sym_ocamlyacc_value,
    ACTIONS(8422), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8424), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8426), 1,
      aux_sym_number_token1,
    ACTIONS(8428), 1,
      anon_sym_SQUOTE,
    ACTIONS(8430), 1,
      anon_sym_DQUOTE,
    ACTIONS(8432), 1,
      sym_prefix_operator,
    ACTIONS(8434), 1,
      sym__uppercase_identifier,
    ACTIONS(8436), 1,
      aux_sym_tag_token1,
    STATE(4062), 1,
      sym_attribute,
    STATE(4468), 1,
      sym__attribute,
    STATE(7538), 1,
      sym_parenthesized_operator,
    STATE(7625), 1,
      sym__constructor_name,
    STATE(7661), 1,
      sym__value_name,
    STATE(7700), 1,
      sym__simple_expression,
    STATE(19810), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7660), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84058] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4063), 1,
      sym_attribute,
    STATE(4539), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14117), 1,
      sym__binding_pattern,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [84200] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3147), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4064), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [84342] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4065), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15748), 1,
      sym__simple_expression,
    STATE(16865), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [84466] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4955), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4066), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15041), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [84608] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8438), 1,
      anon_sym_rec,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(2548), 1,
      sym__binding_pattern,
    STATE(4067), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(12498), 1,
      sym_let_binding,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [84750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84822] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4069), 1,
      sym_attribute,
    STATE(4624), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14117), 1,
      sym__binding_pattern,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [84964] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    ACTIONS(8440), 1,
      anon_sym_rec,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4070), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15487), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [85106] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      anon_sym_PERCENT,
    ACTIONS(8442), 1,
      sym__lowercase_identifier,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_LBRACE,
    ACTIONS(8452), 1,
      anon_sym_object,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8456), 1,
      anon_sym_new,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8460), 1,
      anon_sym_begin,
    ACTIONS(8462), 1,
      sym_ocamlyacc_value,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8468), 1,
      aux_sym_number_token1,
    ACTIONS(8470), 1,
      anon_sym_SQUOTE,
    ACTIONS(8472), 1,
      anon_sym_DQUOTE,
    ACTIONS(8474), 1,
      sym_prefix_operator,
    ACTIONS(8476), 1,
      sym__uppercase_identifier,
    ACTIONS(8478), 1,
      aux_sym_tag_token1,
    STATE(4071), 1,
      sym_attribute,
    STATE(4724), 1,
      sym__attribute,
    STATE(9904), 1,
      sym__simple_expression,
    STATE(9985), 1,
      sym__constructor_name,
    STATE(10192), 1,
      sym__value_name,
    STATE(10229), 1,
      sym_parenthesized_operator,
    STATE(19108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8448), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9889), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10141), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85230] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      anon_sym_PERCENT,
    ACTIONS(8442), 1,
      sym__lowercase_identifier,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_LBRACE,
    ACTIONS(8452), 1,
      anon_sym_object,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8456), 1,
      anon_sym_new,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8460), 1,
      anon_sym_begin,
    ACTIONS(8462), 1,
      sym_ocamlyacc_value,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8468), 1,
      aux_sym_number_token1,
    ACTIONS(8470), 1,
      anon_sym_SQUOTE,
    ACTIONS(8472), 1,
      anon_sym_DQUOTE,
    ACTIONS(8474), 1,
      sym_prefix_operator,
    ACTIONS(8476), 1,
      sym__uppercase_identifier,
    ACTIONS(8478), 1,
      aux_sym_tag_token1,
    STATE(4072), 1,
      sym_attribute,
    STATE(4733), 1,
      sym__attribute,
    STATE(9905), 1,
      sym__simple_expression,
    STATE(9985), 1,
      sym__constructor_name,
    STATE(10192), 1,
      sym__value_name,
    STATE(10229), 1,
      sym_parenthesized_operator,
    STATE(19108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8448), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9889), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10141), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85354] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4073), 1,
      sym_attribute,
    STATE(4756), 1,
      sym__attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14752), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [85496] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3113), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4074), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [85638] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4075), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15777), 1,
      sym__simple_expression,
    STATE(16438), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [85762] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8372), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4076), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15202), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [85904] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8480), 1,
      anon_sym_rec,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(2540), 1,
      sym__binding_pattern,
    STATE(4077), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(12207), 1,
      sym_let_binding,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [86046] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      anon_sym_PERCENT,
    ACTIONS(8482), 1,
      sym__lowercase_identifier,
    ACTIONS(8484), 1,
      anon_sym_LPAREN,
    ACTIONS(8486), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym_LBRACE,
    ACTIONS(8492), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8496), 1,
      anon_sym_new,
    ACTIONS(8498), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8500), 1,
      anon_sym_begin,
    ACTIONS(8502), 1,
      sym_ocamlyacc_value,
    ACTIONS(8504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8508), 1,
      aux_sym_number_token1,
    ACTIONS(8510), 1,
      anon_sym_SQUOTE,
    ACTIONS(8512), 1,
      anon_sym_DQUOTE,
    ACTIONS(8514), 1,
      sym_prefix_operator,
    ACTIONS(8516), 1,
      sym__uppercase_identifier,
    ACTIONS(8518), 1,
      aux_sym_tag_token1,
    STATE(4078), 1,
      sym_attribute,
    STATE(4470), 1,
      sym__attribute,
    STATE(7861), 1,
      sym__constructor_name,
    STATE(7971), 1,
      sym__simple_expression,
    STATE(7981), 1,
      sym__value_name,
    STATE(7983), 1,
      sym_parenthesized_operator,
    STATE(19272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8488), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7824), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86170] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8388), 1,
      anon_sym_PERCENT,
    ACTIONS(8482), 1,
      sym__lowercase_identifier,
    ACTIONS(8484), 1,
      anon_sym_LPAREN,
    ACTIONS(8486), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym_LBRACE,
    ACTIONS(8492), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8496), 1,
      anon_sym_new,
    ACTIONS(8498), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8500), 1,
      anon_sym_begin,
    ACTIONS(8502), 1,
      sym_ocamlyacc_value,
    ACTIONS(8504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8508), 1,
      aux_sym_number_token1,
    ACTIONS(8510), 1,
      anon_sym_SQUOTE,
    ACTIONS(8512), 1,
      anon_sym_DQUOTE,
    ACTIONS(8514), 1,
      sym_prefix_operator,
    ACTIONS(8516), 1,
      sym__uppercase_identifier,
    ACTIONS(8518), 1,
      aux_sym_tag_token1,
    STATE(4079), 1,
      sym_attribute,
    STATE(4471), 1,
      sym__attribute,
    STATE(7861), 1,
      sym__constructor_name,
    STATE(7972), 1,
      sym__simple_expression,
    STATE(7981), 1,
      sym__value_name,
    STATE(7983), 1,
      sym_parenthesized_operator,
    STATE(19272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8488), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7824), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86366] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(4081), 1,
      sym_attribute,
    STATE(4689), 1,
      sym__attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(9257), 1,
      sym__binding_pattern,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [86508] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4082), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [86650] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4083), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15792), 1,
      sym__simple_expression,
    STATE(16015), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [86774] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8520), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4084), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15049), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [86916] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8522), 1,
      anon_sym_rec,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(2552), 1,
      sym__binding_pattern,
    STATE(4085), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(12385), 1,
      sym_let_binding,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [87058] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(4086), 1,
      sym_attribute,
    STATE(4589), 1,
      sym__attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5769), 1,
      sym__binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [87200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87416] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4090), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [87558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87846] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4095), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15804), 1,
      sym__simple_expression,
    STATE(16381), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87970] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8524), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4096), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15094), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [88112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88184] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(4098), 1,
      sym_attribute,
    STATE(4450), 1,
      sym__attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5661), 1,
      sym__binding_pattern,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [88326] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4099), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [88468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88900] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4106), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15265), 1,
      sym__simple_expression,
    STATE(16334), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89096] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4108), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15810), 1,
      sym__simple_expression,
    STATE(16038), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89220] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5605), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8526), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4109), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15129), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [89362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89434] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8380), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym_begin,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8388), 1,
      anon_sym_PERCENT,
    ACTIONS(8390), 1,
      aux_sym_number_token1,
    ACTIONS(8392), 1,
      anon_sym_SQUOTE,
    ACTIONS(8394), 1,
      anon_sym_DQUOTE,
    ACTIONS(8396), 1,
      sym_prefix_operator,
    ACTIONS(8398), 1,
      aux_sym_tag_token1,
    STATE(4111), 1,
      sym_attribute,
    STATE(4482), 1,
      sym__attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(7873), 1,
      sym__simple_expression,
    STATE(18966), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89558] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(4112), 1,
      sym_attribute,
    STATE(4485), 1,
      sym__attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5843), 1,
      sym__binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [89700] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3133), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4113), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [89842] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4114), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15814), 1,
      sym__simple_expression,
    STATE(16425), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89966] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5535), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8528), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4115), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15179), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [90108] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4116), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [90250] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4117), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15817), 1,
      sym__simple_expression,
    STATE(16818), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90374] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4118), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [90516] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4119), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15820), 1,
      sym__simple_expression,
    STATE(16109), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90712] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3097), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4121), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [90854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90926] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8012), 1,
      sym__lowercase_identifier,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(4123), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15082), 1,
      sym_field_path,
    STATE(15821), 1,
      sym__simple_expression,
    STATE(17179), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [91050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91194] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8530), 1,
      anon_sym_COLON,
    STATE(4126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [91268] = 40,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4127), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(15041), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [91410] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(2542), 1,
      sym__binding_pattern,
    STATE(4128), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(12083), 1,
      sym_let_binding,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [91549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91833] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8532), 1,
      anon_sym_COLON,
    STATE(4133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [91906] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4134), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15359), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [92045] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4135), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15487), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [92184] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8534), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4136), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14504), 1,
      sym__binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [92323] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8536), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4137), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14397), 1,
      sym__binding_pattern,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [92462] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3147), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4138), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92583] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4139), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [92722] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8540), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4140), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [92861] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8542), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4141), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93000] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8544), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4142), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93139] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(2548), 1,
      sym__binding_pattern,
    STATE(4143), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(11990), 1,
      sym_let_binding,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93278] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(2548), 1,
      sym__binding_pattern,
    STATE(4144), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(12459), 1,
      sym_let_binding,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93417] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(2548), 1,
      sym__binding_pattern,
    STATE(4145), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(12539), 1,
      sym_let_binding,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93556] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(2548), 1,
      sym__binding_pattern,
    STATE(4146), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(12498), 1,
      sym_let_binding,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93695] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8546), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4147), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14587), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93834] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8548), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4148), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14598), 1,
      sym__binding_pattern,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93973] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3113), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4149), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94094] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8550), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4150), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [94233] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8552), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4151), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [94372] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8554), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4152), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [94511] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8556), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4153), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [94650] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(4154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94723] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8558), 1,
      anon_sym_LT_DASH,
    STATE(4155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94796] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(2540), 1,
      sym__binding_pattern,
    STATE(4156), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(11990), 1,
      sym_let_binding,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [94935] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(2540), 1,
      sym__binding_pattern,
    STATE(4157), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(12171), 1,
      sym_let_binding,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [95074] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(2540), 1,
      sym__binding_pattern,
    STATE(4158), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(12206), 1,
      sym_let_binding,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [95213] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(2540), 1,
      sym__binding_pattern,
    STATE(4159), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(12207), 1,
      sym_let_binding,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [95352] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8560), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4160), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14353), 1,
      sym__binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [95491] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8562), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4161), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14354), 1,
      sym__binding_pattern,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [95630] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4162), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95751] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8564), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4163), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [95890] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8566), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4164), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96029] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8568), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4165), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96168] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8570), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4166), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96307] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(2552), 1,
      sym__binding_pattern,
    STATE(4167), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(11990), 1,
      sym_let_binding,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96446] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(2552), 1,
      sym__binding_pattern,
    STATE(4168), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(12440), 1,
      sym_let_binding,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96656] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(2552), 1,
      sym__binding_pattern,
    STATE(4170), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(12479), 1,
      sym_let_binding,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96795] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(2552), 1,
      sym__binding_pattern,
    STATE(4171), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(12385), 1,
      sym_let_binding,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96934] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8572), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4172), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14523), 1,
      sym__binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [97073] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8574), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4173), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14524), 1,
      sym__binding_pattern,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [97212] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4174), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97333] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4175), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [97472] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8578), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4176), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [97611] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8580), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4177), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [97750] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4178), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [97889] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8584), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4179), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14412), 1,
      sym__binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [98028] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8586), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4180), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14422), 1,
      sym__binding_pattern,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [98167] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4181), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [98288] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8588), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4182), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [98427] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8590), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4183), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [98566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98637] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4185), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(16825), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [98776] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8592), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4186), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [98915] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8594), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4187), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [99054] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(2974), 1,
      sym__binding_pattern,
    STATE(4188), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15855), 1,
      sym_let_binding,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [99193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99264] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8596), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4190), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [99403] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8598), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4191), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14606), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [99542] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8600), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4192), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14611), 1,
      sym__binding_pattern,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [99681] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3133), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4193), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99802] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8602), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4194), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [99941] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8604), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4195), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [100080] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8606), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4196), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [100219] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4197), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [100358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100784] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4204), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100905] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8610), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4205), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [101044] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4206), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101165] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3097), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4207), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101286] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4208), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101407] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(2542), 1,
      sym__binding_pattern,
    STATE(4209), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(12046), 1,
      sym_let_binding,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [101546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101617] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8612), 1,
      anon_sym_COLON,
    STATE(4211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [101690] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3099), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4212), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101953] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4215), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102074] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4216), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102195] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8614), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4217), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14624), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [102334] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8616), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4218), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14607), 1,
      sym__binding_pattern,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [102473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102544] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4220), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103517] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3789), 1,
      anon_sym_DOT,
    STATE(4233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103590] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4234), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [104989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105273] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4257), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3789), 1,
      anon_sym_DOT,
    ACTIONS(3791), 1,
      anon_sym_POUND,
    ACTIONS(3793), 1,
      sym_hash_operator,
    STATE(4261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105684] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4262), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105876] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3131), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4264), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105997] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3789), 1,
      anon_sym_DOT,
    ACTIONS(3791), 1,
      anon_sym_POUND,
    ACTIONS(3793), 1,
      sym_hash_operator,
    STATE(4265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106074] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4266), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106266] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4268), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106458] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4270), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106650] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4272), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107339] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4281), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107460] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4282), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107723] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4285), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107915] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(4287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108130] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4290), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108393] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4293), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108585] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3107), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4295), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108706] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4296), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108898] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4298), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109019] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8618), 1,
      anon_sym_RBRACK,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4299), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [109158] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4300), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109279] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4301), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109542] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4304), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109663] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8620), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4305), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [109802] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4306), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109994] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4308), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110115] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3105), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4309), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110307] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4311), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110428] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4312), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110549] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(4313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110693] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4315), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110814] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3167), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4316), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110935] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4317), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111056] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3103), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4318), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111319] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(2542), 1,
      sym__binding_pattern,
    STATE(4321), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(11990), 1,
      sym_let_binding,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [111458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111671] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(4325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112525] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(4337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(4348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113594] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8622), 1,
      anon_sym_COLON,
    STATE(4352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [113667] = 39,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(2542), 1,
      sym__binding_pattern,
    STATE(4353), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(12335), 1,
      sym_let_binding,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [113806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [113877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8628), 1,
      anon_sym_LT_DASH,
    STATE(4356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114873] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3867), 1,
      anon_sym_DOT,
    STATE(4369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116153] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8630), 1,
      anon_sym_COLON,
    STATE(4387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [116226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116723] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3867), 1,
      anon_sym_DOT,
    ACTIONS(3869), 1,
      anon_sym_POUND,
    ACTIONS(3871), 1,
      sym_hash_operator,
    STATE(4395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116800] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3867), 1,
      anon_sym_DOT,
    ACTIONS(3869), 1,
      anon_sym_POUND,
    ACTIONS(3871), 1,
      sym_hash_operator,
    STATE(4396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [117161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [118155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118368] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(3127), 1,
      anon_sym_RPAREN,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4418), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118489] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(819), 1,
      anon_sym_LPAREN,
    ACTIONS(821), 1,
      anon_sym_LBRACK,
    ACTIONS(825), 1,
      anon_sym_LBRACE,
    ACTIONS(827), 1,
      anon_sym_object,
    ACTIONS(831), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(841), 1,
      anon_sym_new,
    ACTIONS(843), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(845), 1,
      anon_sym_begin,
    ACTIONS(847), 1,
      sym_ocamlyacc_value,
    ACTIONS(853), 1,
      aux_sym_number_token1,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      sym_prefix_operator,
    ACTIONS(863), 1,
      sym__uppercase_identifier,
    ACTIONS(865), 1,
      aux_sym_tag_token1,
    ACTIONS(3083), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3085), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3863), 1,
      sym__lowercase_identifier,
    STATE(4260), 1,
      sym_parenthesized_operator,
    STATE(4291), 1,
      sym__constructor_name,
    STATE(4361), 1,
      sym__simple_expression,
    STATE(4393), 1,
      sym__value_name,
    STATE(4419), 1,
      sym_attribute,
    STATE(19395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(823), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4289), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4355), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118607] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_LBRACK,
    ACTIONS(319), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_object,
    ACTIONS(333), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(343), 1,
      anon_sym_new,
    ACTIONS(345), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(347), 1,
      anon_sym_begin,
    ACTIONS(349), 1,
      sym_ocamlyacc_value,
    ACTIONS(355), 1,
      aux_sym_number_token1,
    ACTIONS(357), 1,
      anon_sym_SQUOTE,
    ACTIONS(359), 1,
      anon_sym_DQUOTE,
    ACTIONS(361), 1,
      sym_prefix_operator,
    ACTIONS(367), 1,
      sym__uppercase_identifier,
    ACTIONS(371), 1,
      aux_sym_tag_token1,
    ACTIONS(3087), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3089), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4183), 1,
      sym__lowercase_identifier,
    STATE(4420), 1,
      sym_attribute,
    STATE(4494), 1,
      sym__constructor_name,
    STATE(4656), 1,
      sym__simple_expression,
    STATE(4725), 1,
      sym__value_name,
    STATE(4766), 1,
      sym_parenthesized_operator,
    STATE(20412), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(317), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4516), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4566), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [118795] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(877), 1,
      anon_sym_LBRACE,
    ACTIONS(879), 1,
      anon_sym_object,
    ACTIONS(883), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(897), 1,
      anon_sym_begin,
    ACTIONS(899), 1,
      sym_ocamlyacc_value,
    ACTIONS(905), 1,
      aux_sym_number_token1,
    ACTIONS(907), 1,
      anon_sym_SQUOTE,
    ACTIONS(909), 1,
      anon_sym_DQUOTE,
    ACTIONS(911), 1,
      sym_prefix_operator,
    ACTIONS(915), 1,
      sym__uppercase_identifier,
    ACTIONS(917), 1,
      aux_sym_tag_token1,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3785), 1,
      sym__lowercase_identifier,
    STATE(4259), 1,
      sym__value_name,
    STATE(4265), 1,
      sym__simple_expression,
    STATE(4297), 1,
      sym_parenthesized_operator,
    STATE(4327), 1,
      sym__constructor_name,
    STATE(4422), 1,
      sym_attribute,
    STATE(18563), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(875), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4326), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4219), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118913] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7773), 1,
      sym__lowercase_identifier,
    ACTIONS(7777), 1,
      anon_sym_LPAREN,
    ACTIONS(7779), 1,
      anon_sym_LBRACK,
    ACTIONS(7783), 1,
      anon_sym_LBRACE,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7787), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7789), 1,
      anon_sym_new,
    ACTIONS(7791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7793), 1,
      anon_sym_begin,
    ACTIONS(7795), 1,
      sym_ocamlyacc_value,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7801), 1,
      aux_sym_number_token1,
    ACTIONS(7803), 1,
      anon_sym_SQUOTE,
    ACTIONS(7805), 1,
      anon_sym_DQUOTE,
    ACTIONS(7807), 1,
      sym_prefix_operator,
    STATE(4423), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(9430), 1,
      sym__value_name,
    STATE(9492), 1,
      sym__simple_expression,
    STATE(9510), 1,
      sym_parenthesized_operator,
    STATE(18950), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9656), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9549), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119031] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7773), 1,
      sym__lowercase_identifier,
    ACTIONS(7777), 1,
      anon_sym_LPAREN,
    ACTIONS(7779), 1,
      anon_sym_LBRACK,
    ACTIONS(7783), 1,
      anon_sym_LBRACE,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7787), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7789), 1,
      anon_sym_new,
    ACTIONS(7791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7793), 1,
      anon_sym_begin,
    ACTIONS(7795), 1,
      sym_ocamlyacc_value,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7801), 1,
      aux_sym_number_token1,
    ACTIONS(7803), 1,
      anon_sym_SQUOTE,
    ACTIONS(7805), 1,
      anon_sym_DQUOTE,
    ACTIONS(7807), 1,
      sym_prefix_operator,
    STATE(4424), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(9430), 1,
      sym__value_name,
    STATE(9510), 1,
      sym_parenthesized_operator,
    STATE(9551), 1,
      sym__simple_expression,
    STATE(18950), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9656), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9549), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119429] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_LBRACK,
    ACTIONS(2611), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_object,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2627), 1,
      anon_sym_new,
    ACTIONS(2629), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2631), 1,
      anon_sym_begin,
    ACTIONS(2633), 1,
      sym_ocamlyacc_value,
    ACTIONS(2635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2637), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2639), 1,
      aux_sym_number_token1,
    ACTIONS(2641), 1,
      anon_sym_SQUOTE,
    ACTIONS(2643), 1,
      anon_sym_DQUOTE,
    ACTIONS(2645), 1,
      sym_prefix_operator,
    ACTIONS(2649), 1,
      sym__uppercase_identifier,
    ACTIONS(2651), 1,
      aux_sym_tag_token1,
    ACTIONS(5539), 1,
      sym__lowercase_identifier,
    STATE(4429), 1,
      sym_attribute,
    STATE(6967), 1,
      sym__constructor_name,
    STATE(7096), 1,
      sym__simple_expression,
    STATE(7128), 1,
      sym_parenthesized_operator,
    STATE(7387), 1,
      sym__value_name,
    STATE(18862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2609), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7134), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7345), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119547] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4430), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5387), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119665] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2841), 1,
      anon_sym_LPAREN,
    ACTIONS(2843), 1,
      anon_sym_LBRACK,
    ACTIONS(2847), 1,
      anon_sym_LBRACE,
    ACTIONS(2849), 1,
      anon_sym_object,
    ACTIONS(2853), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2863), 1,
      anon_sym_new,
    ACTIONS(2865), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2867), 1,
      anon_sym_begin,
    ACTIONS(2869), 1,
      sym_ocamlyacc_value,
    ACTIONS(2871), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2873), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2875), 1,
      aux_sym_number_token1,
    ACTIONS(2877), 1,
      anon_sym_SQUOTE,
    ACTIONS(2879), 1,
      anon_sym_DQUOTE,
    ACTIONS(2881), 1,
      sym_prefix_operator,
    ACTIONS(2885), 1,
      sym__uppercase_identifier,
    ACTIONS(2887), 1,
      aux_sym_tag_token1,
    ACTIONS(5391), 1,
      sym__lowercase_identifier,
    STATE(4431), 1,
      sym_attribute,
    STATE(7018), 1,
      sym__simple_expression,
    STATE(7195), 1,
      sym__constructor_name,
    STATE(7319), 1,
      sym_parenthesized_operator,
    STATE(7361), 1,
      sym__value_name,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2845), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7193), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7035), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119783] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2447), 1,
      anon_sym_LBRACK,
    ACTIONS(2451), 1,
      anon_sym_LBRACE,
    ACTIONS(2453), 1,
      anon_sym_object,
    ACTIONS(2457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2467), 1,
      anon_sym_new,
    ACTIONS(2469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2471), 1,
      anon_sym_begin,
    ACTIONS(2473), 1,
      sym_ocamlyacc_value,
    ACTIONS(2475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_number_token1,
    ACTIONS(2481), 1,
      anon_sym_SQUOTE,
    ACTIONS(2483), 1,
      anon_sym_DQUOTE,
    ACTIONS(2485), 1,
      sym_prefix_operator,
    ACTIONS(2489), 1,
      sym__uppercase_identifier,
    ACTIONS(2491), 1,
      aux_sym_tag_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    STATE(4432), 1,
      sym_attribute,
    STATE(6431), 1,
      sym__value_name,
    STATE(6706), 1,
      sym_parenthesized_operator,
    STATE(6791), 1,
      sym__constructor_name,
    STATE(6911), 1,
      sym__simple_expression,
    STATE(19005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6788), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6894), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119901] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2447), 1,
      anon_sym_LBRACK,
    ACTIONS(2451), 1,
      anon_sym_LBRACE,
    ACTIONS(2453), 1,
      anon_sym_object,
    ACTIONS(2457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2467), 1,
      anon_sym_new,
    ACTIONS(2469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2471), 1,
      anon_sym_begin,
    ACTIONS(2473), 1,
      sym_ocamlyacc_value,
    ACTIONS(2475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_number_token1,
    ACTIONS(2481), 1,
      anon_sym_SQUOTE,
    ACTIONS(2483), 1,
      anon_sym_DQUOTE,
    ACTIONS(2485), 1,
      sym_prefix_operator,
    ACTIONS(2489), 1,
      sym__uppercase_identifier,
    ACTIONS(2491), 1,
      aux_sym_tag_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    STATE(4433), 1,
      sym_attribute,
    STATE(6431), 1,
      sym__value_name,
    STATE(6706), 1,
      sym_parenthesized_operator,
    STATE(6791), 1,
      sym__constructor_name,
    STATE(6927), 1,
      sym__simple_expression,
    STATE(19005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6788), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6894), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120019] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8380), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym_begin,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8390), 1,
      aux_sym_number_token1,
    ACTIONS(8392), 1,
      anon_sym_SQUOTE,
    ACTIONS(8394), 1,
      anon_sym_DQUOTE,
    ACTIONS(8396), 1,
      sym_prefix_operator,
    ACTIONS(8398), 1,
      aux_sym_tag_token1,
    STATE(4434), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(7615), 1,
      sym__simple_expression,
    STATE(18966), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [120347] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2511), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2517), 1,
      anon_sym_LBRACE,
    ACTIONS(2519), 1,
      anon_sym_object,
    ACTIONS(2523), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2533), 1,
      anon_sym_new,
    ACTIONS(2535), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2537), 1,
      anon_sym_begin,
    ACTIONS(2539), 1,
      sym_ocamlyacc_value,
    ACTIONS(2541), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2543), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2545), 1,
      aux_sym_number_token1,
    ACTIONS(2547), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_DQUOTE,
    ACTIONS(2551), 1,
      sym_prefix_operator,
    ACTIONS(2555), 1,
      sym__uppercase_identifier,
    ACTIONS(2557), 1,
      aux_sym_tag_token1,
    ACTIONS(5331), 1,
      sym__lowercase_identifier,
    STATE(4438), 1,
      sym_attribute,
    STATE(6484), 1,
      sym__simple_expression,
    STATE(6747), 1,
      sym__constructor_name,
    STATE(6853), 1,
      sym__value_name,
    STATE(6878), 1,
      sym_parenthesized_operator,
    STATE(18675), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2515), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6745), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6503), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120465] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2393), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_LBRACE,
    ACTIONS(2401), 1,
      anon_sym_object,
    ACTIONS(2405), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2415), 1,
      anon_sym_new,
    ACTIONS(2417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2419), 1,
      anon_sym_begin,
    ACTIONS(2421), 1,
      sym_ocamlyacc_value,
    ACTIONS(2423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2427), 1,
      aux_sym_number_token1,
    ACTIONS(2429), 1,
      anon_sym_SQUOTE,
    ACTIONS(2431), 1,
      anon_sym_DQUOTE,
    ACTIONS(2433), 1,
      sym_prefix_operator,
    ACTIONS(2437), 1,
      sym__uppercase_identifier,
    ACTIONS(2439), 1,
      aux_sym_tag_token1,
    ACTIONS(5361), 1,
      sym__lowercase_identifier,
    STATE(4439), 1,
      sym_attribute,
    STATE(6444), 1,
      sym__simple_expression,
    STATE(6509), 1,
      sym__value_name,
    STATE(6746), 1,
      sym_parenthesized_operator,
    STATE(6909), 1,
      sym__constructor_name,
    STATE(19060), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2397), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6895), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6428), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120583] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2393), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_LBRACE,
    ACTIONS(2401), 1,
      anon_sym_object,
    ACTIONS(2405), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2415), 1,
      anon_sym_new,
    ACTIONS(2417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2419), 1,
      anon_sym_begin,
    ACTIONS(2421), 1,
      sym_ocamlyacc_value,
    ACTIONS(2423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2427), 1,
      aux_sym_number_token1,
    ACTIONS(2429), 1,
      anon_sym_SQUOTE,
    ACTIONS(2431), 1,
      anon_sym_DQUOTE,
    ACTIONS(2433), 1,
      sym_prefix_operator,
    ACTIONS(2437), 1,
      sym__uppercase_identifier,
    ACTIONS(2439), 1,
      aux_sym_tag_token1,
    ACTIONS(5361), 1,
      sym__lowercase_identifier,
    STATE(4440), 1,
      sym_attribute,
    STATE(6462), 1,
      sym__simple_expression,
    STATE(6509), 1,
      sym__value_name,
    STATE(6746), 1,
      sym_parenthesized_operator,
    STATE(6909), 1,
      sym__constructor_name,
    STATE(19060), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2397), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6895), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6428), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120701] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1009), 1,
      anon_sym_LPAREN,
    ACTIONS(1011), 1,
      anon_sym_LBRACK,
    ACTIONS(1015), 1,
      anon_sym_LBRACE,
    ACTIONS(1017), 1,
      anon_sym_object,
    ACTIONS(1021), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1031), 1,
      anon_sym_new,
    ACTIONS(1033), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1035), 1,
      anon_sym_begin,
    ACTIONS(1037), 1,
      sym_ocamlyacc_value,
    ACTIONS(1043), 1,
      aux_sym_number_token1,
    ACTIONS(1045), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      anon_sym_DQUOTE,
    ACTIONS(1049), 1,
      sym_prefix_operator,
    ACTIONS(1053), 1,
      sym__uppercase_identifier,
    ACTIONS(1055), 1,
      aux_sym_tag_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4563), 1,
      sym__lowercase_identifier,
    STATE(4441), 1,
      sym_attribute,
    STATE(5040), 1,
      sym__constructor_name,
    STATE(5056), 1,
      sym__simple_expression,
    STATE(5114), 1,
      sym__value_name,
    STATE(5127), 1,
      sym_parenthesized_operator,
    STATE(20744), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1013), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5045), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5046), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120819] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1009), 1,
      anon_sym_LPAREN,
    ACTIONS(1011), 1,
      anon_sym_LBRACK,
    ACTIONS(1015), 1,
      anon_sym_LBRACE,
    ACTIONS(1017), 1,
      anon_sym_object,
    ACTIONS(1021), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1031), 1,
      anon_sym_new,
    ACTIONS(1033), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1035), 1,
      anon_sym_begin,
    ACTIONS(1037), 1,
      sym_ocamlyacc_value,
    ACTIONS(1043), 1,
      aux_sym_number_token1,
    ACTIONS(1045), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      anon_sym_DQUOTE,
    ACTIONS(1049), 1,
      sym_prefix_operator,
    ACTIONS(1053), 1,
      sym__uppercase_identifier,
    ACTIONS(1055), 1,
      aux_sym_tag_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4563), 1,
      sym__lowercase_identifier,
    STATE(4442), 1,
      sym_attribute,
    STATE(5040), 1,
      sym__constructor_name,
    STATE(5079), 1,
      sym__simple_expression,
    STATE(5114), 1,
      sym__value_name,
    STATE(5127), 1,
      sym_parenthesized_operator,
    STATE(20744), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1013), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5045), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5046), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121007] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1353), 1,
      anon_sym_LBRACK,
    ACTIONS(1357), 1,
      anon_sym_LBRACE,
    ACTIONS(1359), 1,
      anon_sym_object,
    ACTIONS(1363), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1377), 1,
      anon_sym_begin,
    ACTIONS(1379), 1,
      sym_ocamlyacc_value,
    ACTIONS(1381), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1385), 1,
      aux_sym_number_token1,
    ACTIONS(1387), 1,
      anon_sym_SQUOTE,
    ACTIONS(1389), 1,
      anon_sym_DQUOTE,
    ACTIONS(1391), 1,
      sym_prefix_operator,
    ACTIONS(1395), 1,
      sym__uppercase_identifier,
    ACTIONS(1397), 1,
      aux_sym_tag_token1,
    ACTIONS(5185), 1,
      sym__lowercase_identifier,
    STATE(4444), 1,
      sym_attribute,
    STATE(5972), 1,
      sym__constructor_name,
    STATE(5982), 1,
      sym__value_name,
    STATE(6027), 1,
      sym_parenthesized_operator,
    STATE(6055), 1,
      sym__simple_expression,
    STATE(18730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1355), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5970), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6013), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121125] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8442), 1,
      sym__lowercase_identifier,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_LBRACE,
    ACTIONS(8452), 1,
      anon_sym_object,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8456), 1,
      anon_sym_new,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8460), 1,
      anon_sym_begin,
    ACTIONS(8462), 1,
      sym_ocamlyacc_value,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8468), 1,
      aux_sym_number_token1,
    ACTIONS(8470), 1,
      anon_sym_SQUOTE,
    ACTIONS(8472), 1,
      anon_sym_DQUOTE,
    ACTIONS(8474), 1,
      sym_prefix_operator,
    ACTIONS(8476), 1,
      sym__uppercase_identifier,
    ACTIONS(8478), 1,
      aux_sym_tag_token1,
    STATE(4445), 1,
      sym_attribute,
    STATE(9985), 1,
      sym__constructor_name,
    STATE(10150), 1,
      sym__simple_expression,
    STATE(10192), 1,
      sym__value_name,
    STATE(10229), 1,
      sym_parenthesized_operator,
    STATE(19108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8448), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9889), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10141), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121243] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8442), 1,
      sym__lowercase_identifier,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_LBRACE,
    ACTIONS(8452), 1,
      anon_sym_object,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8456), 1,
      anon_sym_new,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8460), 1,
      anon_sym_begin,
    ACTIONS(8462), 1,
      sym_ocamlyacc_value,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8468), 1,
      aux_sym_number_token1,
    ACTIONS(8470), 1,
      anon_sym_SQUOTE,
    ACTIONS(8472), 1,
      anon_sym_DQUOTE,
    ACTIONS(8474), 1,
      sym_prefix_operator,
    ACTIONS(8476), 1,
      sym__uppercase_identifier,
    ACTIONS(8478), 1,
      aux_sym_tag_token1,
    STATE(4446), 1,
      sym_attribute,
    STATE(9985), 1,
      sym__constructor_name,
    STATE(10160), 1,
      sym__simple_expression,
    STATE(10192), 1,
      sym__value_name,
    STATE(10229), 1,
      sym_parenthesized_operator,
    STATE(19108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8448), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9889), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10141), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121431] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_LBRACK,
    ACTIONS(2663), 1,
      anon_sym_LBRACE,
    ACTIONS(2665), 1,
      anon_sym_object,
    ACTIONS(2669), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2679), 1,
      anon_sym_new,
    ACTIONS(2681), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2683), 1,
      anon_sym_begin,
    ACTIONS(2685), 1,
      sym_ocamlyacc_value,
    ACTIONS(2687), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2689), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2691), 1,
      aux_sym_number_token1,
    ACTIONS(2693), 1,
      anon_sym_SQUOTE,
    ACTIONS(2695), 1,
      anon_sym_DQUOTE,
    ACTIONS(2697), 1,
      sym_prefix_operator,
    ACTIONS(2701), 1,
      sym__uppercase_identifier,
    ACTIONS(2703), 1,
      aux_sym_tag_token1,
    ACTIONS(5509), 1,
      sym__lowercase_identifier,
    STATE(4448), 1,
      sym_attribute,
    STATE(6996), 1,
      sym__simple_expression,
    STATE(7126), 1,
      sym__value_name,
    STATE(7137), 1,
      sym_parenthesized_operator,
    STATE(7190), 1,
      sym__constructor_name,
    STATE(18473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2661), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6964), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7114), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121619] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(4450), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5732), 1,
      sym__binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [121755] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8632), 1,
      anon_sym_TILDE,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(4451), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5720), 1,
      sym__binding_pattern,
    STATE(5722), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(5737), 1,
      sym__tuple_binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(18981), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [121891] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(4452), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5682), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5724), 1,
      sym__binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [122027] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(4453), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5727), 1,
      sym__binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [122163] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4753), 1,
      anon_sym_lazy,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2481), 1,
      sym_constructor_path,
    STATE(2492), 1,
      sym_tag,
    STATE(4454), 1,
      sym_attribute,
    STATE(5516), 1,
      sym__signed_constant,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5613), 1,
      sym__binding_pattern,
    STATE(5657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5690), 1,
      sym__tuple_binding_pattern,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(18981), 1,
      sym_module_path,
    STATE(19148), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5643), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5647), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [122299] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6897), 1,
      sym__lowercase_identifier,
    ACTIONS(6901), 1,
      anon_sym_LPAREN,
    ACTIONS(6903), 1,
      anon_sym_LBRACK,
    ACTIONS(6907), 1,
      anon_sym_LBRACE,
    ACTIONS(6909), 1,
      anon_sym_object,
    ACTIONS(6911), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6913), 1,
      anon_sym_new,
    ACTIONS(6915), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6917), 1,
      anon_sym_begin,
    ACTIONS(6919), 1,
      sym_ocamlyacc_value,
    ACTIONS(6925), 1,
      aux_sym_number_token1,
    ACTIONS(6927), 1,
      anon_sym_SQUOTE,
    ACTIONS(6929), 1,
      anon_sym_DQUOTE,
    ACTIONS(6931), 1,
      sym_prefix_operator,
    ACTIONS(6933), 1,
      sym__uppercase_identifier,
    ACTIONS(6935), 1,
      aux_sym_tag_token1,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4455), 1,
      sym_attribute,
    STATE(8128), 1,
      sym_parenthesized_operator,
    STATE(8175), 1,
      sym__constructor_name,
    STATE(8351), 1,
      sym__simple_expression,
    STATE(8432), 1,
      sym__value_name,
    STATE(18496), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6905), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8174), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8339), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122417] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1127), 1,
      anon_sym_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_LBRACK,
    ACTIONS(1133), 1,
      anon_sym_LBRACE,
    ACTIONS(1135), 1,
      anon_sym_object,
    ACTIONS(1139), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1149), 1,
      anon_sym_new,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1153), 1,
      anon_sym_begin,
    ACTIONS(1155), 1,
      sym_ocamlyacc_value,
    ACTIONS(1157), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1159), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1161), 1,
      aux_sym_number_token1,
    ACTIONS(1163), 1,
      anon_sym_SQUOTE,
    ACTIONS(1165), 1,
      anon_sym_DQUOTE,
    ACTIONS(1167), 1,
      sym_prefix_operator,
    ACTIONS(1171), 1,
      sym__uppercase_identifier,
    ACTIONS(1173), 1,
      aux_sym_tag_token1,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4456), 1,
      sym_attribute,
    STATE(5148), 1,
      sym__value_name,
    STATE(5156), 1,
      sym__simple_expression,
    STATE(5181), 1,
      sym_parenthesized_operator,
    STATE(5266), 1,
      sym__constructor_name,
    STATE(18785), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1131), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5146), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122535] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2341), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_LBRACK,
    ACTIONS(2347), 1,
      anon_sym_LBRACE,
    ACTIONS(2349), 1,
      anon_sym_object,
    ACTIONS(2353), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2363), 1,
      anon_sym_new,
    ACTIONS(2365), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2367), 1,
      anon_sym_begin,
    ACTIONS(2369), 1,
      sym_ocamlyacc_value,
    ACTIONS(2371), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2373), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2375), 1,
      aux_sym_number_token1,
    ACTIONS(2377), 1,
      anon_sym_SQUOTE,
    ACTIONS(2379), 1,
      anon_sym_DQUOTE,
    ACTIONS(2381), 1,
      sym_prefix_operator,
    ACTIONS(2385), 1,
      sym__uppercase_identifier,
    ACTIONS(2387), 1,
      aux_sym_tag_token1,
    ACTIONS(5341), 1,
      sym__lowercase_identifier,
    STATE(4457), 1,
      sym_attribute,
    STATE(6516), 1,
      sym__simple_expression,
    STATE(6572), 1,
      sym__value_name,
    STATE(6814), 1,
      sym_parenthesized_operator,
    STATE(6903), 1,
      sym__constructor_name,
    STATE(19149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2345), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6867), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6508), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122653] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2341), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_LBRACK,
    ACTIONS(2347), 1,
      anon_sym_LBRACE,
    ACTIONS(2349), 1,
      anon_sym_object,
    ACTIONS(2353), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2363), 1,
      anon_sym_new,
    ACTIONS(2365), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2367), 1,
      anon_sym_begin,
    ACTIONS(2369), 1,
      sym_ocamlyacc_value,
    ACTIONS(2371), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2373), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2375), 1,
      aux_sym_number_token1,
    ACTIONS(2377), 1,
      anon_sym_SQUOTE,
    ACTIONS(2379), 1,
      anon_sym_DQUOTE,
    ACTIONS(2381), 1,
      sym_prefix_operator,
    ACTIONS(2385), 1,
      sym__uppercase_identifier,
    ACTIONS(2387), 1,
      aux_sym_tag_token1,
    ACTIONS(5341), 1,
      sym__lowercase_identifier,
    STATE(4458), 1,
      sym_attribute,
    STATE(6528), 1,
      sym__simple_expression,
    STATE(6572), 1,
      sym__value_name,
    STATE(6814), 1,
      sym_parenthesized_operator,
    STATE(6903), 1,
      sym__constructor_name,
    STATE(19149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2345), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6867), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6508), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122911] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6897), 1,
      sym__lowercase_identifier,
    ACTIONS(6901), 1,
      anon_sym_LPAREN,
    ACTIONS(6903), 1,
      anon_sym_LBRACK,
    ACTIONS(6907), 1,
      anon_sym_LBRACE,
    ACTIONS(6909), 1,
      anon_sym_object,
    ACTIONS(6911), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6913), 1,
      anon_sym_new,
    ACTIONS(6915), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6917), 1,
      anon_sym_begin,
    ACTIONS(6919), 1,
      sym_ocamlyacc_value,
    ACTIONS(6925), 1,
      aux_sym_number_token1,
    ACTIONS(6927), 1,
      anon_sym_SQUOTE,
    ACTIONS(6929), 1,
      anon_sym_DQUOTE,
    ACTIONS(6931), 1,
      sym_prefix_operator,
    ACTIONS(6933), 1,
      sym__uppercase_identifier,
    ACTIONS(6935), 1,
      aux_sym_tag_token1,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4461), 1,
      sym_attribute,
    STATE(8128), 1,
      sym_parenthesized_operator,
    STATE(8175), 1,
      sym__constructor_name,
    STATE(8372), 1,
      sym__simple_expression,
    STATE(8432), 1,
      sym__value_name,
    STATE(18496), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6905), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8174), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8339), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123099] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8380), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym_begin,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8390), 1,
      aux_sym_number_token1,
    ACTIONS(8392), 1,
      anon_sym_SQUOTE,
    ACTIONS(8394), 1,
      anon_sym_DQUOTE,
    ACTIONS(8396), 1,
      sym_prefix_operator,
    ACTIONS(8398), 1,
      aux_sym_tag_token1,
    STATE(4463), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(7837), 1,
      sym__simple_expression,
    STATE(18966), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123217] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4187), 1,
      anon_sym_DOT,
    ACTIONS(4189), 1,
      anon_sym_POUND,
    ACTIONS(4191), 1,
      sym_hash_operator,
    STATE(4464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123293] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8400), 1,
      sym__lowercase_identifier,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_object,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8414), 1,
      anon_sym_new,
    ACTIONS(8416), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8418), 1,
      anon_sym_begin,
    ACTIONS(8420), 1,
      sym_ocamlyacc_value,
    ACTIONS(8422), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8424), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8426), 1,
      aux_sym_number_token1,
    ACTIONS(8428), 1,
      anon_sym_SQUOTE,
    ACTIONS(8430), 1,
      anon_sym_DQUOTE,
    ACTIONS(8432), 1,
      sym_prefix_operator,
    ACTIONS(8434), 1,
      sym__uppercase_identifier,
    ACTIONS(8436), 1,
      aux_sym_tag_token1,
    STATE(4465), 1,
      sym_attribute,
    STATE(7538), 1,
      sym_parenthesized_operator,
    STATE(7561), 1,
      sym__simple_expression,
    STATE(7625), 1,
      sym__constructor_name,
    STATE(7661), 1,
      sym__value_name,
    STATE(19810), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7660), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123481] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8380), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym_begin,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8390), 1,
      aux_sym_number_token1,
    ACTIONS(8392), 1,
      anon_sym_SQUOTE,
    ACTIONS(8394), 1,
      anon_sym_DQUOTE,
    ACTIONS(8396), 1,
      sym_prefix_operator,
    ACTIONS(8398), 1,
      aux_sym_tag_token1,
    STATE(4467), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(7779), 1,
      sym__simple_expression,
    STATE(18966), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123599] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8400), 1,
      sym__lowercase_identifier,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_object,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8414), 1,
      anon_sym_new,
    ACTIONS(8416), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8418), 1,
      anon_sym_begin,
    ACTIONS(8420), 1,
      sym_ocamlyacc_value,
    ACTIONS(8422), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8424), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8426), 1,
      aux_sym_number_token1,
    ACTIONS(8428), 1,
      anon_sym_SQUOTE,
    ACTIONS(8430), 1,
      anon_sym_DQUOTE,
    ACTIONS(8432), 1,
      sym_prefix_operator,
    ACTIONS(8434), 1,
      sym__uppercase_identifier,
    ACTIONS(8436), 1,
      aux_sym_tag_token1,
    STATE(4468), 1,
      sym_attribute,
    STATE(7538), 1,
      sym_parenthesized_operator,
    STATE(7567), 1,
      sym__simple_expression,
    STATE(7625), 1,
      sym__constructor_name,
    STATE(7661), 1,
      sym__value_name,
    STATE(19810), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7660), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123787] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8482), 1,
      sym__lowercase_identifier,
    ACTIONS(8484), 1,
      anon_sym_LPAREN,
    ACTIONS(8486), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym_LBRACE,
    ACTIONS(8492), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8496), 1,
      anon_sym_new,
    ACTIONS(8498), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8500), 1,
      anon_sym_begin,
    ACTIONS(8502), 1,
      sym_ocamlyacc_value,
    ACTIONS(8504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8508), 1,
      aux_sym_number_token1,
    ACTIONS(8510), 1,
      anon_sym_SQUOTE,
    ACTIONS(8512), 1,
      anon_sym_DQUOTE,
    ACTIONS(8514), 1,
      sym_prefix_operator,
    ACTIONS(8516), 1,
      sym__uppercase_identifier,
    ACTIONS(8518), 1,
      aux_sym_tag_token1,
    STATE(4470), 1,
      sym_attribute,
    STATE(7861), 1,
      sym__constructor_name,
    STATE(7981), 1,
      sym__value_name,
    STATE(7983), 1,
      sym_parenthesized_operator,
    STATE(8004), 1,
      sym__simple_expression,
    STATE(19272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8488), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7824), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123905] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8482), 1,
      sym__lowercase_identifier,
    ACTIONS(8484), 1,
      anon_sym_LPAREN,
    ACTIONS(8486), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym_LBRACE,
    ACTIONS(8492), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8496), 1,
      anon_sym_new,
    ACTIONS(8498), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8500), 1,
      anon_sym_begin,
    ACTIONS(8502), 1,
      sym_ocamlyacc_value,
    ACTIONS(8504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8508), 1,
      aux_sym_number_token1,
    ACTIONS(8510), 1,
      anon_sym_SQUOTE,
    ACTIONS(8512), 1,
      anon_sym_DQUOTE,
    ACTIONS(8514), 1,
      sym_prefix_operator,
    ACTIONS(8516), 1,
      sym__uppercase_identifier,
    ACTIONS(8518), 1,
      aux_sym_tag_token1,
    STATE(4471), 1,
      sym_attribute,
    STATE(7802), 1,
      sym__simple_expression,
    STATE(7861), 1,
      sym__constructor_name,
    STATE(7981), 1,
      sym__value_name,
    STATE(7983), 1,
      sym_parenthesized_operator,
    STATE(19272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8488), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7824), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124023] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1179), 1,
      anon_sym_LPAREN,
    ACTIONS(1181), 1,
      anon_sym_LBRACK,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    ACTIONS(1187), 1,
      anon_sym_object,
    ACTIONS(1191), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1201), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1205), 1,
      anon_sym_begin,
    ACTIONS(1207), 1,
      sym_ocamlyacc_value,
    ACTIONS(1209), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1211), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1213), 1,
      aux_sym_number_token1,
    ACTIONS(1215), 1,
      anon_sym_SQUOTE,
    ACTIONS(1217), 1,
      anon_sym_DQUOTE,
    ACTIONS(1219), 1,
      sym_prefix_operator,
    ACTIONS(1223), 1,
      sym__uppercase_identifier,
    ACTIONS(1225), 1,
      aux_sym_tag_token1,
    ACTIONS(4663), 1,
      sym__lowercase_identifier,
    STATE(4472), 1,
      sym_attribute,
    STATE(5499), 1,
      sym_parenthesized_operator,
    STATE(5530), 1,
      sym__simple_expression,
    STATE(5577), 1,
      sym__value_name,
    STATE(5581), 1,
      sym__constructor_name,
    STATE(18840), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1183), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5540), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5570), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124141] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2289), 1,
      anon_sym_LPAREN,
    ACTIONS(2291), 1,
      anon_sym_LBRACK,
    ACTIONS(2295), 1,
      anon_sym_LBRACE,
    ACTIONS(2297), 1,
      anon_sym_object,
    ACTIONS(2301), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2311), 1,
      anon_sym_new,
    ACTIONS(2313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2315), 1,
      anon_sym_begin,
    ACTIONS(2317), 1,
      sym_ocamlyacc_value,
    ACTIONS(2319), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2321), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2323), 1,
      aux_sym_number_token1,
    ACTIONS(2325), 1,
      anon_sym_SQUOTE,
    ACTIONS(2327), 1,
      anon_sym_DQUOTE,
    ACTIONS(2329), 1,
      sym_prefix_operator,
    ACTIONS(2333), 1,
      sym__uppercase_identifier,
    ACTIONS(2335), 1,
      aux_sym_tag_token1,
    ACTIONS(5351), 1,
      sym__lowercase_identifier,
    STATE(4473), 1,
      sym_attribute,
    STATE(6580), 1,
      sym__simple_expression,
    STATE(6642), 1,
      sym__value_name,
    STATE(6846), 1,
      sym__constructor_name,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(19190), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2293), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6767), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6570), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124259] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2289), 1,
      anon_sym_LPAREN,
    ACTIONS(2291), 1,
      anon_sym_LBRACK,
    ACTIONS(2295), 1,
      anon_sym_LBRACE,
    ACTIONS(2297), 1,
      anon_sym_object,
    ACTIONS(2301), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2311), 1,
      anon_sym_new,
    ACTIONS(2313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2315), 1,
      anon_sym_begin,
    ACTIONS(2317), 1,
      sym_ocamlyacc_value,
    ACTIONS(2319), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2321), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2323), 1,
      aux_sym_number_token1,
    ACTIONS(2325), 1,
      anon_sym_SQUOTE,
    ACTIONS(2327), 1,
      anon_sym_DQUOTE,
    ACTIONS(2329), 1,
      sym_prefix_operator,
    ACTIONS(2333), 1,
      sym__uppercase_identifier,
    ACTIONS(2335), 1,
      aux_sym_tag_token1,
    ACTIONS(5351), 1,
      sym__lowercase_identifier,
    STATE(4474), 1,
      sym_attribute,
    STATE(6594), 1,
      sym__simple_expression,
    STATE(6642), 1,
      sym__value_name,
    STATE(6846), 1,
      sym__constructor_name,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(19190), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2293), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6767), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6570), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124377] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8442), 1,
      sym__lowercase_identifier,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_LBRACE,
    ACTIONS(8452), 1,
      anon_sym_object,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8456), 1,
      anon_sym_new,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8460), 1,
      anon_sym_begin,
    ACTIONS(8462), 1,
      sym_ocamlyacc_value,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8468), 1,
      aux_sym_number_token1,
    ACTIONS(8470), 1,
      anon_sym_SQUOTE,
    ACTIONS(8472), 1,
      anon_sym_DQUOTE,
    ACTIONS(8474), 1,
      sym_prefix_operator,
    ACTIONS(8476), 1,
      sym__uppercase_identifier,
    ACTIONS(8478), 1,
      aux_sym_tag_token1,
    STATE(4475), 1,
      sym_attribute,
    STATE(9985), 1,
      sym__constructor_name,
    STATE(10080), 1,
      sym__simple_expression,
    STATE(10192), 1,
      sym__value_name,
    STATE(10229), 1,
      sym_parenthesized_operator,
    STATE(19108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8448), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9889), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10141), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124495] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4476), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5358), 1,
      sym__simple_expression,
    STATE(5370), 1,
      sym__value_name,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124613] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    STATE(4477), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(7615), 1,
      sym__simple_expression,
    STATE(20130), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124941] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8380), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym_begin,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8390), 1,
      aux_sym_number_token1,
    ACTIONS(8392), 1,
      anon_sym_SQUOTE,
    ACTIONS(8394), 1,
      anon_sym_DQUOTE,
    ACTIONS(8396), 1,
      sym_prefix_operator,
    ACTIONS(8398), 1,
      aux_sym_tag_token1,
    STATE(4481), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(7819), 1,
      sym__simple_expression,
    STATE(18966), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125059] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    ACTIONS(8380), 1,
      anon_sym_LBRACE,
    ACTIONS(8382), 1,
      anon_sym_begin,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8390), 1,
      aux_sym_number_token1,
    ACTIONS(8392), 1,
      anon_sym_SQUOTE,
    ACTIONS(8394), 1,
      anon_sym_DQUOTE,
    ACTIONS(8396), 1,
      sym_prefix_operator,
    ACTIONS(8398), 1,
      aux_sym_tag_token1,
    STATE(4482), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(7794), 1,
      sym__simple_expression,
    STATE(18966), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7980), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125247] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_LBRACE,
    ACTIONS(2797), 1,
      anon_sym_object,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2811), 1,
      anon_sym_new,
    ACTIONS(2813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2815), 1,
      anon_sym_begin,
    ACTIONS(2817), 1,
      sym_ocamlyacc_value,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2823), 1,
      aux_sym_number_token1,
    ACTIONS(2825), 1,
      anon_sym_SQUOTE,
    ACTIONS(2827), 1,
      anon_sym_DQUOTE,
    ACTIONS(2829), 1,
      sym_prefix_operator,
    ACTIONS(2833), 1,
      sym__uppercase_identifier,
    ACTIONS(2835), 1,
      aux_sym_tag_token1,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4484), 1,
      sym_attribute,
    STATE(6966), 1,
      sym_parenthesized_operator,
    STATE(7070), 1,
      sym__simple_expression,
    STATE(7136), 1,
      sym__value_name,
    STATE(7352), 1,
      sym__constructor_name,
    STATE(19435), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7349), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7122), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125365] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(4485), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5919), 1,
      sym__binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [125501] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8638), 1,
      anon_sym_TILDE,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(4486), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5911), 1,
      sym__binding_pattern,
    STATE(5922), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(5924), 1,
      sym__tuple_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(19838), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [125637] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(4487), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5925), 1,
      sym__binding_pattern,
    STATE(5926), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [125773] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(4488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125845] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6283), 1,
      sym__lowercase_identifier,
    ACTIONS(6287), 1,
      anon_sym_LPAREN,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6293), 1,
      anon_sym_LBRACE,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(6297), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6299), 1,
      anon_sym_new,
    ACTIONS(6301), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6303), 1,
      anon_sym_begin,
    ACTIONS(6305), 1,
      sym_ocamlyacc_value,
    ACTIONS(6311), 1,
      aux_sym_number_token1,
    ACTIONS(6313), 1,
      anon_sym_SQUOTE,
    ACTIONS(6315), 1,
      anon_sym_DQUOTE,
    ACTIONS(6317), 1,
      sym_prefix_operator,
    ACTIONS(6319), 1,
      sym__uppercase_identifier,
    ACTIONS(6321), 1,
      aux_sym_tag_token1,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4489), 1,
      sym_attribute,
    STATE(7003), 1,
      sym__simple_expression,
    STATE(7270), 1,
      sym__value_name,
    STATE(7408), 1,
      sym__constructor_name,
    STATE(7478), 1,
      sym_parenthesized_operator,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6291), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7404), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7187), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125963] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      anon_sym_object,
    ACTIONS(727), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(737), 1,
      anon_sym_new,
    ACTIONS(739), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(741), 1,
      anon_sym_begin,
    ACTIONS(743), 1,
      sym_ocamlyacc_value,
    ACTIONS(749), 1,
      aux_sym_number_token1,
    ACTIONS(751), 1,
      anon_sym_SQUOTE,
    ACTIONS(753), 1,
      anon_sym_DQUOTE,
    ACTIONS(755), 1,
      sym_prefix_operator,
    ACTIONS(759), 1,
      sym__uppercase_identifier,
    ACTIONS(761), 1,
      aux_sym_tag_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3765), 1,
      sym__lowercase_identifier,
    STATE(4001), 1,
      sym__simple_expression,
    STATE(4042), 1,
      sym__value_name,
    STATE(4058), 1,
      sym__constructor_name,
    STATE(4120), 1,
      sym_parenthesized_operator,
    STATE(4490), 1,
      sym_attribute,
    STATE(19231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(719), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4056), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3996), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126081] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      anon_sym_object,
    ACTIONS(727), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(737), 1,
      anon_sym_new,
    ACTIONS(739), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(741), 1,
      anon_sym_begin,
    ACTIONS(743), 1,
      sym_ocamlyacc_value,
    ACTIONS(749), 1,
      aux_sym_number_token1,
    ACTIONS(751), 1,
      anon_sym_SQUOTE,
    ACTIONS(753), 1,
      anon_sym_DQUOTE,
    ACTIONS(755), 1,
      sym_prefix_operator,
    ACTIONS(759), 1,
      sym__uppercase_identifier,
    ACTIONS(761), 1,
      aux_sym_tag_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3765), 1,
      sym__lowercase_identifier,
    STATE(4011), 1,
      sym__simple_expression,
    STATE(4042), 1,
      sym__value_name,
    STATE(4058), 1,
      sym__constructor_name,
    STATE(4120), 1,
      sym_parenthesized_operator,
    STATE(4491), 1,
      sym_attribute,
    STATE(19231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(719), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4056), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3996), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126199] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(4492), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5754), 1,
      sym__binding_pattern,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [126335] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5031), 1,
      anon_sym_lazy,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2496), 1,
      sym_constructor_path,
    STATE(2503), 1,
      sym_tag,
    STATE(4493), 1,
      sym_attribute,
    STATE(5645), 1,
      sym__signed_constant,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5833), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5835), 1,
      sym__tuple_binding_pattern,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5932), 1,
      sym__binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(19838), 1,
      sym_module_path,
    STATE(20381), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5824), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5832), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [126471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126541] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(877), 1,
      anon_sym_LBRACE,
    ACTIONS(879), 1,
      anon_sym_object,
    ACTIONS(883), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(897), 1,
      anon_sym_begin,
    ACTIONS(899), 1,
      sym_ocamlyacc_value,
    ACTIONS(905), 1,
      aux_sym_number_token1,
    ACTIONS(907), 1,
      anon_sym_SQUOTE,
    ACTIONS(909), 1,
      anon_sym_DQUOTE,
    ACTIONS(911), 1,
      sym_prefix_operator,
    ACTIONS(915), 1,
      sym__uppercase_identifier,
    ACTIONS(917), 1,
      aux_sym_tag_token1,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3785), 1,
      sym__lowercase_identifier,
    STATE(4225), 1,
      sym__simple_expression,
    STATE(4259), 1,
      sym__value_name,
    STATE(4297), 1,
      sym_parenthesized_operator,
    STATE(4327), 1,
      sym__constructor_name,
    STATE(4495), 1,
      sym_attribute,
    STATE(18563), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(875), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4326), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4219), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126869] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(877), 1,
      anon_sym_LBRACE,
    ACTIONS(879), 1,
      anon_sym_object,
    ACTIONS(883), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(893), 1,
      anon_sym_new,
    ACTIONS(895), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(897), 1,
      anon_sym_begin,
    ACTIONS(899), 1,
      sym_ocamlyacc_value,
    ACTIONS(905), 1,
      aux_sym_number_token1,
    ACTIONS(907), 1,
      anon_sym_SQUOTE,
    ACTIONS(909), 1,
      anon_sym_DQUOTE,
    ACTIONS(911), 1,
      sym_prefix_operator,
    ACTIONS(915), 1,
      sym__uppercase_identifier,
    ACTIONS(917), 1,
      aux_sym_tag_token1,
    ACTIONS(3091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3785), 1,
      sym__lowercase_identifier,
    STATE(4233), 1,
      sym__simple_expression,
    STATE(4259), 1,
      sym__value_name,
    STATE(4297), 1,
      sym_parenthesized_operator,
    STATE(4327), 1,
      sym__constructor_name,
    STATE(4499), 1,
      sym_attribute,
    STATE(18563), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(875), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4326), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4219), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126987] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(43), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_object,
    ACTIONS(73), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(91), 1,
      anon_sym_new,
    ACTIONS(93), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(95), 1,
      anon_sym_begin,
    ACTIONS(97), 1,
      sym_ocamlyacc_value,
    ACTIONS(109), 1,
      aux_sym_number_token1,
    ACTIONS(113), 1,
      anon_sym_SQUOTE,
    ACTIONS(115), 1,
      anon_sym_DQUOTE,
    ACTIONS(117), 1,
      sym_prefix_operator,
    ACTIONS(125), 1,
      sym__uppercase_identifier,
    ACTIONS(129), 1,
      aux_sym_tag_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3933), 1,
      sym__lowercase_identifier,
    STATE(4500), 1,
      sym_attribute,
    STATE(4546), 1,
      sym__simple_expression,
    STATE(4660), 1,
      sym__value_name,
    STATE(4661), 1,
      sym_parenthesized_operator,
    STATE(4672), 1,
      sym__constructor_name,
    STATE(20102), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4427), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127175] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3937), 1,
      anon_sym_DOT,
    ACTIONS(3939), 1,
      anon_sym_POUND,
    ACTIONS(3941), 1,
      sym_hash_operator,
    STATE(4502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127251] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2447), 1,
      anon_sym_LBRACK,
    ACTIONS(2451), 1,
      anon_sym_LBRACE,
    ACTIONS(2453), 1,
      anon_sym_object,
    ACTIONS(2457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2467), 1,
      anon_sym_new,
    ACTIONS(2469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2471), 1,
      anon_sym_begin,
    ACTIONS(2473), 1,
      sym_ocamlyacc_value,
    ACTIONS(2475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2479), 1,
      aux_sym_number_token1,
    ACTIONS(2481), 1,
      anon_sym_SQUOTE,
    ACTIONS(2483), 1,
      anon_sym_DQUOTE,
    ACTIONS(2485), 1,
      sym_prefix_operator,
    ACTIONS(2489), 1,
      sym__uppercase_identifier,
    ACTIONS(2491), 1,
      aux_sym_tag_token1,
    ACTIONS(5381), 1,
      sym__lowercase_identifier,
    STATE(4503), 1,
      sym_attribute,
    STATE(6431), 1,
      sym__value_name,
    STATE(6487), 1,
      sym__simple_expression,
    STATE(6706), 1,
      sym_parenthesized_operator,
    STATE(6791), 1,
      sym__constructor_name,
    STATE(19005), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6788), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6894), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127369] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8482), 1,
      sym__lowercase_identifier,
    ACTIONS(8484), 1,
      anon_sym_LPAREN,
    ACTIONS(8486), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym_LBRACE,
    ACTIONS(8492), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8496), 1,
      anon_sym_new,
    ACTIONS(8498), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8500), 1,
      anon_sym_begin,
    ACTIONS(8502), 1,
      sym_ocamlyacc_value,
    ACTIONS(8504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8508), 1,
      aux_sym_number_token1,
    ACTIONS(8510), 1,
      anon_sym_SQUOTE,
    ACTIONS(8512), 1,
      anon_sym_DQUOTE,
    ACTIONS(8514), 1,
      sym_prefix_operator,
    ACTIONS(8516), 1,
      sym__uppercase_identifier,
    ACTIONS(8518), 1,
      aux_sym_tag_token1,
    STATE(4504), 1,
      sym_attribute,
    STATE(7838), 1,
      sym__simple_expression,
    STATE(7861), 1,
      sym__constructor_name,
    STATE(7981), 1,
      sym__value_name,
    STATE(7983), 1,
      sym_parenthesized_operator,
    STATE(19272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8488), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7824), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127487] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8482), 1,
      sym__lowercase_identifier,
    ACTIONS(8484), 1,
      anon_sym_LPAREN,
    ACTIONS(8486), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym_LBRACE,
    ACTIONS(8492), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8496), 1,
      anon_sym_new,
    ACTIONS(8498), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8500), 1,
      anon_sym_begin,
    ACTIONS(8502), 1,
      sym_ocamlyacc_value,
    ACTIONS(8504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8508), 1,
      aux_sym_number_token1,
    ACTIONS(8510), 1,
      anon_sym_SQUOTE,
    ACTIONS(8512), 1,
      anon_sym_DQUOTE,
    ACTIONS(8514), 1,
      sym_prefix_operator,
    ACTIONS(8516), 1,
      sym__uppercase_identifier,
    ACTIONS(8518), 1,
      aux_sym_tag_token1,
    STATE(4505), 1,
      sym_attribute,
    STATE(7861), 1,
      sym__constructor_name,
    STATE(7959), 1,
      sym__simple_expression,
    STATE(7981), 1,
      sym__value_name,
    STATE(7983), 1,
      sym_parenthesized_operator,
    STATE(19272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8488), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7824), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127605] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(4506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127957] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2393), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_LBRACK,
    ACTIONS(2399), 1,
      anon_sym_LBRACE,
    ACTIONS(2401), 1,
      anon_sym_object,
    ACTIONS(2405), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2415), 1,
      anon_sym_new,
    ACTIONS(2417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2419), 1,
      anon_sym_begin,
    ACTIONS(2421), 1,
      sym_ocamlyacc_value,
    ACTIONS(2423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2427), 1,
      aux_sym_number_token1,
    ACTIONS(2429), 1,
      anon_sym_SQUOTE,
    ACTIONS(2431), 1,
      anon_sym_DQUOTE,
    ACTIONS(2433), 1,
      sym_prefix_operator,
    ACTIONS(2437), 1,
      sym__uppercase_identifier,
    ACTIONS(2439), 1,
      aux_sym_tag_token1,
    ACTIONS(5361), 1,
      sym__lowercase_identifier,
    STATE(4511), 1,
      sym_attribute,
    STATE(6509), 1,
      sym__value_name,
    STATE(6550), 1,
      sym__simple_expression,
    STATE(6746), 1,
      sym_parenthesized_operator,
    STATE(6909), 1,
      sym__constructor_name,
    STATE(19060), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2397), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6895), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6428), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128075] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6283), 1,
      sym__lowercase_identifier,
    ACTIONS(6287), 1,
      anon_sym_LPAREN,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6293), 1,
      anon_sym_LBRACE,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(6297), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6299), 1,
      anon_sym_new,
    ACTIONS(6301), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6303), 1,
      anon_sym_begin,
    ACTIONS(6305), 1,
      sym_ocamlyacc_value,
    ACTIONS(6311), 1,
      aux_sym_number_token1,
    ACTIONS(6313), 1,
      anon_sym_SQUOTE,
    ACTIONS(6315), 1,
      anon_sym_DQUOTE,
    ACTIONS(6317), 1,
      sym_prefix_operator,
    ACTIONS(6319), 1,
      sym__uppercase_identifier,
    ACTIONS(6321), 1,
      aux_sym_tag_token1,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4512), 1,
      sym_attribute,
    STATE(7207), 1,
      sym__simple_expression,
    STATE(7270), 1,
      sym__value_name,
    STATE(7408), 1,
      sym__constructor_name,
    STATE(7478), 1,
      sym_parenthesized_operator,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6291), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7404), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7187), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128193] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6283), 1,
      sym__lowercase_identifier,
    ACTIONS(6287), 1,
      anon_sym_LPAREN,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6293), 1,
      anon_sym_LBRACE,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(6297), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6299), 1,
      anon_sym_new,
    ACTIONS(6301), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6303), 1,
      anon_sym_begin,
    ACTIONS(6305), 1,
      sym_ocamlyacc_value,
    ACTIONS(6311), 1,
      aux_sym_number_token1,
    ACTIONS(6313), 1,
      anon_sym_SQUOTE,
    ACTIONS(6315), 1,
      anon_sym_DQUOTE,
    ACTIONS(6317), 1,
      sym_prefix_operator,
    ACTIONS(6319), 1,
      sym__uppercase_identifier,
    ACTIONS(6321), 1,
      aux_sym_tag_token1,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4513), 1,
      sym_attribute,
    STATE(7223), 1,
      sym__simple_expression,
    STATE(7270), 1,
      sym__value_name,
    STATE(7408), 1,
      sym__constructor_name,
    STATE(7478), 1,
      sym_parenthesized_operator,
    STATE(19313), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6291), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7404), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7187), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128661] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2341), 1,
      anon_sym_LPAREN,
    ACTIONS(2343), 1,
      anon_sym_LBRACK,
    ACTIONS(2347), 1,
      anon_sym_LBRACE,
    ACTIONS(2349), 1,
      anon_sym_object,
    ACTIONS(2353), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2363), 1,
      anon_sym_new,
    ACTIONS(2365), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2367), 1,
      anon_sym_begin,
    ACTIONS(2369), 1,
      sym_ocamlyacc_value,
    ACTIONS(2371), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2373), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2375), 1,
      aux_sym_number_token1,
    ACTIONS(2377), 1,
      anon_sym_SQUOTE,
    ACTIONS(2379), 1,
      anon_sym_DQUOTE,
    ACTIONS(2381), 1,
      sym_prefix_operator,
    ACTIONS(2385), 1,
      sym__uppercase_identifier,
    ACTIONS(2387), 1,
      aux_sym_tag_token1,
    ACTIONS(5341), 1,
      sym__lowercase_identifier,
    STATE(4519), 1,
      sym_attribute,
    STATE(6572), 1,
      sym__value_name,
    STATE(6617), 1,
      sym__simple_expression,
    STATE(6814), 1,
      sym_parenthesized_operator,
    STATE(6903), 1,
      sym__constructor_name,
    STATE(19149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2345), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6867), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6508), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128779] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(505), 1,
      anon_sym_LBRACE,
    ACTIONS(507), 1,
      anon_sym_object,
    ACTIONS(511), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(521), 1,
      anon_sym_new,
    ACTIONS(523), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(525), 1,
      anon_sym_begin,
    ACTIONS(527), 1,
      sym_ocamlyacc_value,
    ACTIONS(533), 1,
      aux_sym_number_token1,
    ACTIONS(535), 1,
      anon_sym_SQUOTE,
    ACTIONS(537), 1,
      anon_sym_DQUOTE,
    ACTIONS(539), 1,
      sym_prefix_operator,
    ACTIONS(543), 1,
      sym__uppercase_identifier,
    ACTIONS(545), 1,
      aux_sym_tag_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3681), 1,
      sym__lowercase_identifier,
    STATE(3605), 1,
      sym__constructor_name,
    STATE(3696), 1,
      sym_parenthesized_operator,
    STATE(3781), 1,
      sym__simple_expression,
    STATE(3814), 1,
      sym__value_name,
    STATE(4520), 1,
      sym_attribute,
    STATE(19354), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(503), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3604), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3776), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128897] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(505), 1,
      anon_sym_LBRACE,
    ACTIONS(507), 1,
      anon_sym_object,
    ACTIONS(511), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(521), 1,
      anon_sym_new,
    ACTIONS(523), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(525), 1,
      anon_sym_begin,
    ACTIONS(527), 1,
      sym_ocamlyacc_value,
    ACTIONS(533), 1,
      aux_sym_number_token1,
    ACTIONS(535), 1,
      anon_sym_SQUOTE,
    ACTIONS(537), 1,
      anon_sym_DQUOTE,
    ACTIONS(539), 1,
      sym_prefix_operator,
    ACTIONS(543), 1,
      sym__uppercase_identifier,
    ACTIONS(545), 1,
      aux_sym_tag_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3681), 1,
      sym__lowercase_identifier,
    STATE(3605), 1,
      sym__constructor_name,
    STATE(3696), 1,
      sym_parenthesized_operator,
    STATE(3790), 1,
      sym__simple_expression,
    STATE(3814), 1,
      sym__value_name,
    STATE(4521), 1,
      sym_attribute,
    STATE(19354), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(503), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3604), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3776), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129085] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8032), 1,
      sym_prefix_operator,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    STATE(4523), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15128), 1,
      sym__simple_expression,
    STATE(20130), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [129623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129693] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    ACTIONS(8644), 1,
      anon_sym_TILDE,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(4531), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9196), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9221), 1,
      sym__tuple_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(9271), 1,
      sym__binding_pattern,
    STATE(18922), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [129829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129969] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2289), 1,
      anon_sym_LPAREN,
    ACTIONS(2291), 1,
      anon_sym_LBRACK,
    ACTIONS(2295), 1,
      anon_sym_LBRACE,
    ACTIONS(2297), 1,
      anon_sym_object,
    ACTIONS(2301), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2311), 1,
      anon_sym_new,
    ACTIONS(2313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2315), 1,
      anon_sym_begin,
    ACTIONS(2317), 1,
      sym_ocamlyacc_value,
    ACTIONS(2319), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2321), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2323), 1,
      aux_sym_number_token1,
    ACTIONS(2325), 1,
      anon_sym_SQUOTE,
    ACTIONS(2327), 1,
      anon_sym_DQUOTE,
    ACTIONS(2329), 1,
      sym_prefix_operator,
    ACTIONS(2333), 1,
      sym__uppercase_identifier,
    ACTIONS(2335), 1,
      aux_sym_tag_token1,
    ACTIONS(5351), 1,
      sym__lowercase_identifier,
    STATE(4534), 1,
      sym_attribute,
    STATE(6642), 1,
      sym__value_name,
    STATE(6686), 1,
      sym__simple_expression,
    STATE(6846), 1,
      sym__constructor_name,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(19190), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2293), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6767), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6570), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130087] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4535), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14723), 1,
      sym__binding_pattern,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [130223] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(819), 1,
      anon_sym_LPAREN,
    ACTIONS(821), 1,
      anon_sym_LBRACK,
    ACTIONS(825), 1,
      anon_sym_LBRACE,
    ACTIONS(827), 1,
      anon_sym_object,
    ACTIONS(831), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(841), 1,
      anon_sym_new,
    ACTIONS(843), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(845), 1,
      anon_sym_begin,
    ACTIONS(847), 1,
      sym_ocamlyacc_value,
    ACTIONS(853), 1,
      aux_sym_number_token1,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      sym_prefix_operator,
    ACTIONS(863), 1,
      sym__uppercase_identifier,
    ACTIONS(865), 1,
      aux_sym_tag_token1,
    ACTIONS(3083), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3085), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3863), 1,
      sym__lowercase_identifier,
    STATE(4260), 1,
      sym_parenthesized_operator,
    STATE(4291), 1,
      sym__constructor_name,
    STATE(4369), 1,
      sym__simple_expression,
    STATE(4393), 1,
      sym__value_name,
    STATE(4536), 1,
      sym_attribute,
    STATE(19395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(823), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4289), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4355), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130481] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4539), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14226), 1,
      sym__binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [130617] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8482), 1,
      sym__lowercase_identifier,
    ACTIONS(8484), 1,
      anon_sym_LPAREN,
    ACTIONS(8486), 1,
      anon_sym_LBRACK,
    ACTIONS(8490), 1,
      anon_sym_LBRACE,
    ACTIONS(8492), 1,
      anon_sym_object,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8496), 1,
      anon_sym_new,
    ACTIONS(8498), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8500), 1,
      anon_sym_begin,
    ACTIONS(8502), 1,
      sym_ocamlyacc_value,
    ACTIONS(8504), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8506), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8508), 1,
      aux_sym_number_token1,
    ACTIONS(8510), 1,
      anon_sym_SQUOTE,
    ACTIONS(8512), 1,
      anon_sym_DQUOTE,
    ACTIONS(8514), 1,
      sym_prefix_operator,
    ACTIONS(8516), 1,
      sym__uppercase_identifier,
    ACTIONS(8518), 1,
      aux_sym_tag_token1,
    STATE(4540), 1,
      sym_attribute,
    STATE(7861), 1,
      sym__constructor_name,
    STATE(7908), 1,
      sym__simple_expression,
    STATE(7981), 1,
      sym__value_name,
    STATE(7983), 1,
      sym_parenthesized_operator,
    STATE(19272), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8488), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7824), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7960), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130735] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(43), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_object,
    ACTIONS(73), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(91), 1,
      anon_sym_new,
    ACTIONS(93), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(95), 1,
      anon_sym_begin,
    ACTIONS(97), 1,
      sym_ocamlyacc_value,
    ACTIONS(109), 1,
      aux_sym_number_token1,
    ACTIONS(113), 1,
      anon_sym_SQUOTE,
    ACTIONS(115), 1,
      anon_sym_DQUOTE,
    ACTIONS(117), 1,
      sym_prefix_operator,
    ACTIONS(125), 1,
      sym__uppercase_identifier,
    ACTIONS(129), 1,
      aux_sym_tag_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3933), 1,
      sym__lowercase_identifier,
    STATE(4443), 1,
      sym__simple_expression,
    STATE(4541), 1,
      sym_attribute,
    STATE(4660), 1,
      sym__value_name,
    STATE(4661), 1,
      sym_parenthesized_operator,
    STATE(4672), 1,
      sym__constructor_name,
    STATE(20102), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4427), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130923] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_LBRACE,
    ACTIONS(723), 1,
      anon_sym_object,
    ACTIONS(727), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(737), 1,
      anon_sym_new,
    ACTIONS(739), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(741), 1,
      anon_sym_begin,
    ACTIONS(743), 1,
      sym_ocamlyacc_value,
    ACTIONS(749), 1,
      aux_sym_number_token1,
    ACTIONS(751), 1,
      anon_sym_SQUOTE,
    ACTIONS(753), 1,
      anon_sym_DQUOTE,
    ACTIONS(755), 1,
      sym_prefix_operator,
    ACTIONS(759), 1,
      sym__uppercase_identifier,
    ACTIONS(761), 1,
      aux_sym_tag_token1,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3765), 1,
      sym__lowercase_identifier,
    STATE(4042), 1,
      sym__value_name,
    STATE(4045), 1,
      sym__simple_expression,
    STATE(4058), 1,
      sym__constructor_name,
    STATE(4120), 1,
      sym_parenthesized_operator,
    STATE(4543), 1,
      sym_attribute,
    STATE(19231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(719), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4056), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3996), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131041] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(927), 1,
      anon_sym_LPAREN,
    ACTIONS(929), 1,
      anon_sym_LBRACK,
    ACTIONS(933), 1,
      anon_sym_LBRACE,
    ACTIONS(935), 1,
      anon_sym_object,
    ACTIONS(939), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(957), 1,
      anon_sym_new,
    ACTIONS(959), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(961), 1,
      anon_sym_begin,
    ACTIONS(963), 1,
      sym_ocamlyacc_value,
    ACTIONS(969), 1,
      aux_sym_number_token1,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(973), 1,
      anon_sym_DQUOTE,
    ACTIONS(975), 1,
      sym_prefix_operator,
    ACTIONS(979), 1,
      sym__uppercase_identifier,
    ACTIONS(981), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4553), 1,
      sym__lowercase_identifier,
    STATE(4544), 1,
      sym_attribute,
    STATE(4934), 1,
      sym__simple_expression,
    STATE(4977), 1,
      sym__value_name,
    STATE(4997), 1,
      sym_parenthesized_operator,
    STATE(5011), 1,
      sym__constructor_name,
    STATE(19436), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(931), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4973), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4928), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131159] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(927), 1,
      anon_sym_LPAREN,
    ACTIONS(929), 1,
      anon_sym_LBRACK,
    ACTIONS(933), 1,
      anon_sym_LBRACE,
    ACTIONS(935), 1,
      anon_sym_object,
    ACTIONS(939), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(957), 1,
      anon_sym_new,
    ACTIONS(959), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(961), 1,
      anon_sym_begin,
    ACTIONS(963), 1,
      sym_ocamlyacc_value,
    ACTIONS(969), 1,
      aux_sym_number_token1,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(973), 1,
      anon_sym_DQUOTE,
    ACTIONS(975), 1,
      sym_prefix_operator,
    ACTIONS(979), 1,
      sym__uppercase_identifier,
    ACTIONS(981), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4553), 1,
      sym__lowercase_identifier,
    STATE(4545), 1,
      sym_attribute,
    STATE(4946), 1,
      sym__simple_expression,
    STATE(4977), 1,
      sym__value_name,
    STATE(4997), 1,
      sym_parenthesized_operator,
    STATE(5011), 1,
      sym__constructor_name,
    STATE(19436), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(931), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4973), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4928), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131277] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3937), 1,
      anon_sym_DOT,
    STATE(4546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131349] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4187), 1,
      anon_sym_DOT,
    ACTIONS(4189), 1,
      anon_sym_POUND,
    ACTIONS(4191), 1,
      sym_hash_operator,
    STATE(4547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131425] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(4548), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9202), 1,
      sym__binding_pattern,
    STATE(9203), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [131561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131631] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(4550), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9206), 1,
      sym__binding_pattern,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [131767] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_LBRACK,
    ACTIONS(2611), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_object,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2627), 1,
      anon_sym_new,
    ACTIONS(2629), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2631), 1,
      anon_sym_begin,
    ACTIONS(2633), 1,
      sym_ocamlyacc_value,
    ACTIONS(2635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2637), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2639), 1,
      aux_sym_number_token1,
    ACTIONS(2641), 1,
      anon_sym_SQUOTE,
    ACTIONS(2643), 1,
      anon_sym_DQUOTE,
    ACTIONS(2645), 1,
      sym_prefix_operator,
    ACTIONS(2649), 1,
      sym__uppercase_identifier,
    ACTIONS(2651), 1,
      aux_sym_tag_token1,
    ACTIONS(5539), 1,
      sym__lowercase_identifier,
    STATE(4551), 1,
      sym_attribute,
    STATE(6967), 1,
      sym__constructor_name,
    STATE(7031), 1,
      sym__simple_expression,
    STATE(7128), 1,
      sym_parenthesized_operator,
    STATE(7387), 1,
      sym__value_name,
    STATE(18862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2609), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7134), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7345), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131885] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_LBRACK,
    ACTIONS(2663), 1,
      anon_sym_LBRACE,
    ACTIONS(2665), 1,
      anon_sym_object,
    ACTIONS(2669), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2679), 1,
      anon_sym_new,
    ACTIONS(2681), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2683), 1,
      anon_sym_begin,
    ACTIONS(2685), 1,
      sym_ocamlyacc_value,
    ACTIONS(2687), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2689), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2691), 1,
      aux_sym_number_token1,
    ACTIONS(2693), 1,
      anon_sym_SQUOTE,
    ACTIONS(2695), 1,
      anon_sym_DQUOTE,
    ACTIONS(2697), 1,
      sym_prefix_operator,
    ACTIONS(2701), 1,
      sym__uppercase_identifier,
    ACTIONS(2703), 1,
      aux_sym_tag_token1,
    ACTIONS(5509), 1,
      sym__lowercase_identifier,
    STATE(4552), 1,
      sym_attribute,
    STATE(7126), 1,
      sym__value_name,
    STATE(7137), 1,
      sym_parenthesized_operator,
    STATE(7190), 1,
      sym__constructor_name,
    STATE(7331), 1,
      sym__simple_expression,
    STATE(18473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2661), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6964), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7114), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132073] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_LBRACK,
    ACTIONS(319), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_object,
    ACTIONS(333), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(343), 1,
      anon_sym_new,
    ACTIONS(345), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(347), 1,
      anon_sym_begin,
    ACTIONS(349), 1,
      sym_ocamlyacc_value,
    ACTIONS(355), 1,
      aux_sym_number_token1,
    ACTIONS(357), 1,
      anon_sym_SQUOTE,
    ACTIONS(359), 1,
      anon_sym_DQUOTE,
    ACTIONS(361), 1,
      sym_prefix_operator,
    ACTIONS(367), 1,
      sym__uppercase_identifier,
    ACTIONS(371), 1,
      aux_sym_tag_token1,
    ACTIONS(3087), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3089), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4183), 1,
      sym__lowercase_identifier,
    STATE(4494), 1,
      sym__constructor_name,
    STATE(4547), 1,
      sym__simple_expression,
    STATE(4554), 1,
      sym_attribute,
    STATE(4725), 1,
      sym__value_name,
    STATE(4766), 1,
      sym_parenthesized_operator,
    STATE(20412), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(317), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4516), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4566), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132191] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8646), 1,
      anon_sym_COLON,
    STATE(4555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [132263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132473] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      sym__lowercase_identifier,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_LBRACE,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(6457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6459), 1,
      anon_sym_new,
    ACTIONS(6461), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6463), 1,
      anon_sym_begin,
    ACTIONS(6465), 1,
      sym_ocamlyacc_value,
    ACTIONS(6471), 1,
      aux_sym_number_token1,
    ACTIONS(6473), 1,
      anon_sym_SQUOTE,
    ACTIONS(6475), 1,
      anon_sym_DQUOTE,
    ACTIONS(6477), 1,
      sym_prefix_operator,
    ACTIONS(6479), 1,
      sym__uppercase_identifier,
    ACTIONS(6481), 1,
      aux_sym_tag_token1,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4559), 1,
      sym_attribute,
    STATE(6953), 1,
      sym__constructor_name,
    STATE(7311), 1,
      sym_parenthesized_operator,
    STATE(7312), 1,
      sym__simple_expression,
    STATE(7477), 1,
      sym__value_name,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6451), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7520), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7416), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132591] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      sym__lowercase_identifier,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_LBRACE,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(6457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6459), 1,
      anon_sym_new,
    ACTIONS(6461), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6463), 1,
      anon_sym_begin,
    ACTIONS(6465), 1,
      sym_ocamlyacc_value,
    ACTIONS(6471), 1,
      aux_sym_number_token1,
    ACTIONS(6473), 1,
      anon_sym_SQUOTE,
    ACTIONS(6475), 1,
      anon_sym_DQUOTE,
    ACTIONS(6477), 1,
      sym_prefix_operator,
    ACTIONS(6479), 1,
      sym__uppercase_identifier,
    ACTIONS(6481), 1,
      aux_sym_tag_token1,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4560), 1,
      sym_attribute,
    STATE(6953), 1,
      sym__constructor_name,
    STATE(7311), 1,
      sym_parenthesized_operator,
    STATE(7430), 1,
      sym__simple_expression,
    STATE(7477), 1,
      sym__value_name,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6451), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7520), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7416), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132709] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6443), 1,
      sym__lowercase_identifier,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_LBRACE,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(6457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6459), 1,
      anon_sym_new,
    ACTIONS(6461), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6463), 1,
      anon_sym_begin,
    ACTIONS(6465), 1,
      sym_ocamlyacc_value,
    ACTIONS(6471), 1,
      aux_sym_number_token1,
    ACTIONS(6473), 1,
      anon_sym_SQUOTE,
    ACTIONS(6475), 1,
      anon_sym_DQUOTE,
    ACTIONS(6477), 1,
      sym_prefix_operator,
    ACTIONS(6479), 1,
      sym__uppercase_identifier,
    ACTIONS(6481), 1,
      aux_sym_tag_token1,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4561), 1,
      sym_attribute,
    STATE(6953), 1,
      sym__constructor_name,
    STATE(7311), 1,
      sym_parenthesized_operator,
    STATE(7444), 1,
      sym__simple_expression,
    STATE(7477), 1,
      sym__value_name,
    STATE(19477), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6451), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7520), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7416), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132967] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2841), 1,
      anon_sym_LPAREN,
    ACTIONS(2843), 1,
      anon_sym_LBRACK,
    ACTIONS(2847), 1,
      anon_sym_LBRACE,
    ACTIONS(2849), 1,
      anon_sym_object,
    ACTIONS(2853), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2863), 1,
      anon_sym_new,
    ACTIONS(2865), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2867), 1,
      anon_sym_begin,
    ACTIONS(2869), 1,
      sym_ocamlyacc_value,
    ACTIONS(2871), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2873), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2875), 1,
      aux_sym_number_token1,
    ACTIONS(2877), 1,
      anon_sym_SQUOTE,
    ACTIONS(2879), 1,
      anon_sym_DQUOTE,
    ACTIONS(2881), 1,
      sym_prefix_operator,
    ACTIONS(2885), 1,
      sym__uppercase_identifier,
    ACTIONS(2887), 1,
      aux_sym_tag_token1,
    ACTIONS(5391), 1,
      sym__lowercase_identifier,
    STATE(4564), 1,
      sym_attribute,
    STATE(7094), 1,
      sym__simple_expression,
    STATE(7195), 1,
      sym__constructor_name,
    STATE(7319), 1,
      sym_parenthesized_operator,
    STATE(7361), 1,
      sym__value_name,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2845), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7193), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7035), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133085] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2841), 1,
      anon_sym_LPAREN,
    ACTIONS(2843), 1,
      anon_sym_LBRACK,
    ACTIONS(2847), 1,
      anon_sym_LBRACE,
    ACTIONS(2849), 1,
      anon_sym_object,
    ACTIONS(2853), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2863), 1,
      anon_sym_new,
    ACTIONS(2865), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2867), 1,
      anon_sym_begin,
    ACTIONS(2869), 1,
      sym_ocamlyacc_value,
    ACTIONS(2871), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2873), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2875), 1,
      aux_sym_number_token1,
    ACTIONS(2877), 1,
      anon_sym_SQUOTE,
    ACTIONS(2879), 1,
      anon_sym_DQUOTE,
    ACTIONS(2881), 1,
      sym_prefix_operator,
    ACTIONS(2885), 1,
      sym__uppercase_identifier,
    ACTIONS(2887), 1,
      aux_sym_tag_token1,
    ACTIONS(5391), 1,
      sym__lowercase_identifier,
    STATE(4565), 1,
      sym_attribute,
    STATE(7157), 1,
      sym__simple_expression,
    STATE(7195), 1,
      sym__constructor_name,
    STATE(7319), 1,
      sym_parenthesized_operator,
    STATE(7361), 1,
      sym__value_name,
    STATE(18619), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2845), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7193), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7035), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133273] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    ACTIONS(8652), 1,
      anon_sym_TILDE,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4567), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14111), 1,
      sym__tuple_binding_pattern,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14555), 1,
      sym__binding_pattern,
    STATE(14556), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [133409] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4568), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14151), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14557), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [133545] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4569), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14559), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [133681] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4570), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14194), 1,
      sym__binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [133817] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(499), 1,
      anon_sym_LPAREN,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(505), 1,
      anon_sym_LBRACE,
    ACTIONS(507), 1,
      anon_sym_object,
    ACTIONS(511), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(521), 1,
      anon_sym_new,
    ACTIONS(523), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(525), 1,
      anon_sym_begin,
    ACTIONS(527), 1,
      sym_ocamlyacc_value,
    ACTIONS(533), 1,
      aux_sym_number_token1,
    ACTIONS(535), 1,
      anon_sym_SQUOTE,
    ACTIONS(537), 1,
      anon_sym_DQUOTE,
    ACTIONS(539), 1,
      sym_prefix_operator,
    ACTIONS(543), 1,
      sym__uppercase_identifier,
    ACTIONS(545), 1,
      aux_sym_tag_token1,
    ACTIONS(3049), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3681), 1,
      sym__lowercase_identifier,
    STATE(3605), 1,
      sym__constructor_name,
    STATE(3696), 1,
      sym_parenthesized_operator,
    STATE(3814), 1,
      sym__value_name,
    STATE(3817), 1,
      sym__simple_expression,
    STATE(4571), 1,
      sym_attribute,
    STATE(19354), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(503), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3604), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3776), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133935] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(437), 1,
      anon_sym_LPAREN,
    ACTIONS(439), 1,
      anon_sym_LBRACK,
    ACTIONS(443), 1,
      anon_sym_LBRACE,
    ACTIONS(445), 1,
      anon_sym_object,
    ACTIONS(449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(459), 1,
      anon_sym_new,
    ACTIONS(461), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(463), 1,
      anon_sym_begin,
    ACTIONS(465), 1,
      sym_ocamlyacc_value,
    ACTIONS(471), 1,
      aux_sym_number_token1,
    ACTIONS(473), 1,
      anon_sym_SQUOTE,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(477), 1,
      sym_prefix_operator,
    ACTIONS(481), 1,
      sym__uppercase_identifier,
    ACTIONS(483), 1,
      aux_sym_tag_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3189), 1,
      sym__lowercase_identifier,
    STATE(3352), 1,
      sym__simple_expression,
    STATE(3378), 1,
      sym_parenthesized_operator,
    STATE(3464), 1,
      sym__constructor_name,
    STATE(3474), 1,
      sym__value_name,
    STATE(4572), 1,
      sym_attribute,
    STATE(19518), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(441), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3430), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3322), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134053] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(437), 1,
      anon_sym_LPAREN,
    ACTIONS(439), 1,
      anon_sym_LBRACK,
    ACTIONS(443), 1,
      anon_sym_LBRACE,
    ACTIONS(445), 1,
      anon_sym_object,
    ACTIONS(449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(459), 1,
      anon_sym_new,
    ACTIONS(461), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(463), 1,
      anon_sym_begin,
    ACTIONS(465), 1,
      sym_ocamlyacc_value,
    ACTIONS(471), 1,
      aux_sym_number_token1,
    ACTIONS(473), 1,
      anon_sym_SQUOTE,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(477), 1,
      sym_prefix_operator,
    ACTIONS(481), 1,
      sym__uppercase_identifier,
    ACTIONS(483), 1,
      aux_sym_tag_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3189), 1,
      sym__lowercase_identifier,
    STATE(3378), 1,
      sym_parenthesized_operator,
    STATE(3447), 1,
      sym__simple_expression,
    STATE(3464), 1,
      sym__constructor_name,
    STATE(3474), 1,
      sym__value_name,
    STATE(4573), 1,
      sym_attribute,
    STATE(19518), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(441), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3430), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3322), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134241] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(43), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      anon_sym_LBRACK,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_object,
    ACTIONS(73), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(91), 1,
      anon_sym_new,
    ACTIONS(93), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(95), 1,
      anon_sym_begin,
    ACTIONS(97), 1,
      sym_ocamlyacc_value,
    ACTIONS(109), 1,
      aux_sym_number_token1,
    ACTIONS(113), 1,
      anon_sym_SQUOTE,
    ACTIONS(115), 1,
      anon_sym_DQUOTE,
    ACTIONS(117), 1,
      sym_prefix_operator,
    ACTIONS(125), 1,
      sym__uppercase_identifier,
    ACTIONS(129), 1,
      aux_sym_tag_token1,
    ACTIONS(3045), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3047), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3933), 1,
      sym__lowercase_identifier,
    STATE(4575), 1,
      sym_attribute,
    STATE(4660), 1,
      sym__value_name,
    STATE(4661), 1,
      sym_parenthesized_operator,
    STATE(4672), 1,
      sym__constructor_name,
    STATE(4755), 1,
      sym__simple_expression,
    STATE(20102), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(53), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4427), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134359] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_LBRACE,
    ACTIONS(2797), 1,
      anon_sym_object,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2811), 1,
      anon_sym_new,
    ACTIONS(2813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2815), 1,
      anon_sym_begin,
    ACTIONS(2817), 1,
      sym_ocamlyacc_value,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2823), 1,
      aux_sym_number_token1,
    ACTIONS(2825), 1,
      anon_sym_SQUOTE,
    ACTIONS(2827), 1,
      anon_sym_DQUOTE,
    ACTIONS(2829), 1,
      sym_prefix_operator,
    ACTIONS(2833), 1,
      sym__uppercase_identifier,
    ACTIONS(2835), 1,
      aux_sym_tag_token1,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4576), 1,
      sym_attribute,
    STATE(6966), 1,
      sym_parenthesized_operator,
    STATE(7136), 1,
      sym__value_name,
    STATE(7172), 1,
      sym__simple_expression,
    STATE(7352), 1,
      sym__constructor_name,
    STATE(19435), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7349), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7122), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134757] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5691), 1,
      sym__lowercase_identifier,
    ACTIONS(5699), 1,
      anon_sym_LPAREN,
    ACTIONS(5701), 1,
      anon_sym_LBRACK,
    ACTIONS(5705), 1,
      anon_sym_LBRACE,
    ACTIONS(5707), 1,
      anon_sym_object,
    ACTIONS(5709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5711), 1,
      anon_sym_new,
    ACTIONS(5713), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5715), 1,
      anon_sym_begin,
    ACTIONS(5717), 1,
      sym_ocamlyacc_value,
    ACTIONS(5723), 1,
      aux_sym_number_token1,
    ACTIONS(5725), 1,
      anon_sym_SQUOTE,
    ACTIONS(5727), 1,
      anon_sym_DQUOTE,
    ACTIONS(5729), 1,
      sym_prefix_operator,
    ACTIONS(5731), 1,
      sym__uppercase_identifier,
    ACTIONS(5733), 1,
      aux_sym_tag_token1,
    ACTIONS(8654), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8656), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4581), 1,
      sym_attribute,
    STATE(6113), 1,
      sym_parenthesized_operator,
    STATE(6119), 1,
      sym__value_name,
    STATE(6263), 1,
      sym__constructor_name,
    STATE(6362), 1,
      sym__simple_expression,
    STATE(19558), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6399), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134875] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5691), 1,
      sym__lowercase_identifier,
    ACTIONS(5699), 1,
      anon_sym_LPAREN,
    ACTIONS(5701), 1,
      anon_sym_LBRACK,
    ACTIONS(5705), 1,
      anon_sym_LBRACE,
    ACTIONS(5707), 1,
      anon_sym_object,
    ACTIONS(5709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5711), 1,
      anon_sym_new,
    ACTIONS(5713), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5715), 1,
      anon_sym_begin,
    ACTIONS(5717), 1,
      sym_ocamlyacc_value,
    ACTIONS(5723), 1,
      aux_sym_number_token1,
    ACTIONS(5725), 1,
      anon_sym_SQUOTE,
    ACTIONS(5727), 1,
      anon_sym_DQUOTE,
    ACTIONS(5729), 1,
      sym_prefix_operator,
    ACTIONS(5731), 1,
      sym__uppercase_identifier,
    ACTIONS(5733), 1,
      aux_sym_tag_token1,
    ACTIONS(8654), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8656), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4582), 1,
      sym_attribute,
    STATE(6084), 1,
      sym__simple_expression,
    STATE(6113), 1,
      sym_parenthesized_operator,
    STATE(6119), 1,
      sym__value_name,
    STATE(6263), 1,
      sym__constructor_name,
    STATE(19558), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6399), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134993] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5691), 1,
      sym__lowercase_identifier,
    ACTIONS(5699), 1,
      anon_sym_LPAREN,
    ACTIONS(5701), 1,
      anon_sym_LBRACK,
    ACTIONS(5705), 1,
      anon_sym_LBRACE,
    ACTIONS(5707), 1,
      anon_sym_object,
    ACTIONS(5709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5711), 1,
      anon_sym_new,
    ACTIONS(5713), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5715), 1,
      anon_sym_begin,
    ACTIONS(5717), 1,
      sym_ocamlyacc_value,
    ACTIONS(5723), 1,
      aux_sym_number_token1,
    ACTIONS(5725), 1,
      anon_sym_SQUOTE,
    ACTIONS(5727), 1,
      anon_sym_DQUOTE,
    ACTIONS(5729), 1,
      sym_prefix_operator,
    ACTIONS(5731), 1,
      sym__uppercase_identifier,
    ACTIONS(5733), 1,
      aux_sym_tag_token1,
    ACTIONS(8654), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8656), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4583), 1,
      sym_attribute,
    STATE(6105), 1,
      sym__simple_expression,
    STATE(6113), 1,
      sym_parenthesized_operator,
    STATE(6119), 1,
      sym__value_name,
    STATE(6263), 1,
      sym__constructor_name,
    STATE(19558), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6262), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6399), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135181] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(819), 1,
      anon_sym_LPAREN,
    ACTIONS(821), 1,
      anon_sym_LBRACK,
    ACTIONS(825), 1,
      anon_sym_LBRACE,
    ACTIONS(827), 1,
      anon_sym_object,
    ACTIONS(831), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(841), 1,
      anon_sym_new,
    ACTIONS(843), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(845), 1,
      anon_sym_begin,
    ACTIONS(847), 1,
      sym_ocamlyacc_value,
    ACTIONS(853), 1,
      aux_sym_number_token1,
    ACTIONS(855), 1,
      anon_sym_SQUOTE,
    ACTIONS(857), 1,
      anon_sym_DQUOTE,
    ACTIONS(859), 1,
      sym_prefix_operator,
    ACTIONS(863), 1,
      sym__uppercase_identifier,
    ACTIONS(865), 1,
      aux_sym_tag_token1,
    ACTIONS(3083), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3085), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3863), 1,
      sym__lowercase_identifier,
    STATE(4260), 1,
      sym_parenthesized_operator,
    STATE(4291), 1,
      sym__constructor_name,
    STATE(4393), 1,
      sym__value_name,
    STATE(4396), 1,
      sym__simple_expression,
    STATE(4585), 1,
      sym_attribute,
    STATE(19395), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(823), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4289), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4355), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135299] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(767), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      anon_sym_object,
    ACTIONS(779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(789), 1,
      anon_sym_new,
    ACTIONS(791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(793), 1,
      anon_sym_begin,
    ACTIONS(795), 1,
      sym_ocamlyacc_value,
    ACTIONS(801), 1,
      aux_sym_number_token1,
    ACTIONS(803), 1,
      anon_sym_SQUOTE,
    ACTIONS(805), 1,
      anon_sym_DQUOTE,
    ACTIONS(807), 1,
      sym_prefix_operator,
    ACTIONS(811), 1,
      sym__uppercase_identifier,
    ACTIONS(813), 1,
      aux_sym_tag_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3775), 1,
      sym__lowercase_identifier,
    STATE(3867), 1,
      sym__constructor_name,
    STATE(3982), 1,
      sym__simple_expression,
    STATE(3988), 1,
      sym__value_name,
    STATE(4040), 1,
      sym_parenthesized_operator,
    STATE(4586), 1,
      sym_attribute,
    STATE(19597), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(771), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3866), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3994), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135417] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(767), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      anon_sym_object,
    ACTIONS(779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(789), 1,
      anon_sym_new,
    ACTIONS(791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(793), 1,
      anon_sym_begin,
    ACTIONS(795), 1,
      sym_ocamlyacc_value,
    ACTIONS(801), 1,
      aux_sym_number_token1,
    ACTIONS(803), 1,
      anon_sym_SQUOTE,
    ACTIONS(805), 1,
      anon_sym_DQUOTE,
    ACTIONS(807), 1,
      sym_prefix_operator,
    ACTIONS(811), 1,
      sym__uppercase_identifier,
    ACTIONS(813), 1,
      aux_sym_tag_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3775), 1,
      sym__lowercase_identifier,
    STATE(3857), 1,
      sym__simple_expression,
    STATE(3867), 1,
      sym__constructor_name,
    STATE(3988), 1,
      sym__value_name,
    STATE(4040), 1,
      sym_parenthesized_operator,
    STATE(4587), 1,
      sym_attribute,
    STATE(19597), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(771), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3866), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3994), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135605] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(4589), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(5908), 1,
      sym__binding_pattern,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [135741] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(927), 1,
      anon_sym_LPAREN,
    ACTIONS(929), 1,
      anon_sym_LBRACK,
    ACTIONS(933), 1,
      anon_sym_LBRACE,
    ACTIONS(935), 1,
      anon_sym_object,
    ACTIONS(939), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(957), 1,
      anon_sym_new,
    ACTIONS(959), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(961), 1,
      anon_sym_begin,
    ACTIONS(963), 1,
      sym_ocamlyacc_value,
    ACTIONS(969), 1,
      aux_sym_number_token1,
    ACTIONS(971), 1,
      anon_sym_SQUOTE,
    ACTIONS(973), 1,
      anon_sym_DQUOTE,
    ACTIONS(975), 1,
      sym_prefix_operator,
    ACTIONS(979), 1,
      sym__uppercase_identifier,
    ACTIONS(981), 1,
      aux_sym_tag_token1,
    ACTIONS(3079), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3081), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4553), 1,
      sym__lowercase_identifier,
    STATE(4590), 1,
      sym_attribute,
    STATE(4977), 1,
      sym__value_name,
    STATE(4997), 1,
      sym_parenthesized_operator,
    STATE(5011), 1,
      sym__constructor_name,
    STATE(5021), 1,
      sym__simple_expression,
    STATE(19436), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(931), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4973), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4928), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135859] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2237), 1,
      anon_sym_LPAREN,
    ACTIONS(2239), 1,
      anon_sym_LBRACK,
    ACTIONS(2243), 1,
      anon_sym_LBRACE,
    ACTIONS(2245), 1,
      anon_sym_object,
    ACTIONS(2249), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2259), 1,
      anon_sym_new,
    ACTIONS(2261), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2263), 1,
      anon_sym_begin,
    ACTIONS(2265), 1,
      sym_ocamlyacc_value,
    ACTIONS(2267), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2269), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2271), 1,
      aux_sym_number_token1,
    ACTIONS(2273), 1,
      anon_sym_SQUOTE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      sym_prefix_operator,
    ACTIONS(2281), 1,
      sym__uppercase_identifier,
    ACTIONS(2283), 1,
      aux_sym_tag_token1,
    ACTIONS(5371), 1,
      sym__lowercase_identifier,
    STATE(4591), 1,
      sym_attribute,
    STATE(6518), 1,
      sym__simple_expression,
    STATE(6688), 1,
      sym__constructor_name,
    STATE(6789), 1,
      sym__value_name,
    STATE(6790), 1,
      sym_parenthesized_operator,
    STATE(19636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2241), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6687), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6413), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135977] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2237), 1,
      anon_sym_LPAREN,
    ACTIONS(2239), 1,
      anon_sym_LBRACK,
    ACTIONS(2243), 1,
      anon_sym_LBRACE,
    ACTIONS(2245), 1,
      anon_sym_object,
    ACTIONS(2249), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2259), 1,
      anon_sym_new,
    ACTIONS(2261), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2263), 1,
      anon_sym_begin,
    ACTIONS(2265), 1,
      sym_ocamlyacc_value,
    ACTIONS(2267), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2269), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2271), 1,
      aux_sym_number_token1,
    ACTIONS(2273), 1,
      anon_sym_SQUOTE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      sym_prefix_operator,
    ACTIONS(2281), 1,
      sym__uppercase_identifier,
    ACTIONS(2283), 1,
      aux_sym_tag_token1,
    ACTIONS(5371), 1,
      sym__lowercase_identifier,
    STATE(4592), 1,
      sym_attribute,
    STATE(6629), 1,
      sym__simple_expression,
    STATE(6688), 1,
      sym__constructor_name,
    STATE(6789), 1,
      sym__value_name,
    STATE(6790), 1,
      sym_parenthesized_operator,
    STATE(19636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2241), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6687), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6413), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136235] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(437), 1,
      anon_sym_LPAREN,
    ACTIONS(439), 1,
      anon_sym_LBRACK,
    ACTIONS(443), 1,
      anon_sym_LBRACE,
    ACTIONS(445), 1,
      anon_sym_object,
    ACTIONS(449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(459), 1,
      anon_sym_new,
    ACTIONS(461), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(463), 1,
      anon_sym_begin,
    ACTIONS(465), 1,
      sym_ocamlyacc_value,
    ACTIONS(471), 1,
      aux_sym_number_token1,
    ACTIONS(473), 1,
      anon_sym_SQUOTE,
    ACTIONS(475), 1,
      anon_sym_DQUOTE,
    ACTIONS(477), 1,
      sym_prefix_operator,
    ACTIONS(481), 1,
      sym__uppercase_identifier,
    ACTIONS(483), 1,
      aux_sym_tag_token1,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3043), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3189), 1,
      sym__lowercase_identifier,
    STATE(3314), 1,
      sym__simple_expression,
    STATE(3378), 1,
      sym_parenthesized_operator,
    STATE(3464), 1,
      sym__constructor_name,
    STATE(3474), 1,
      sym__value_name,
    STATE(4595), 1,
      sym_attribute,
    STATE(19518), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(441), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3430), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3322), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136353] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_LBRACK,
    ACTIONS(1685), 1,
      anon_sym_LBRACE,
    ACTIONS(1687), 1,
      anon_sym_object,
    ACTIONS(1691), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1701), 1,
      anon_sym_new,
    ACTIONS(1703), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1705), 1,
      anon_sym_begin,
    ACTIONS(1707), 1,
      sym_ocamlyacc_value,
    ACTIONS(1709), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1711), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1713), 1,
      aux_sym_number_token1,
    ACTIONS(1715), 1,
      anon_sym_SQUOTE,
    ACTIONS(1717), 1,
      anon_sym_DQUOTE,
    ACTIONS(1719), 1,
      sym_prefix_operator,
    ACTIONS(1723), 1,
      sym__uppercase_identifier,
    ACTIONS(1725), 1,
      aux_sym_tag_token1,
    ACTIONS(5261), 1,
      sym__lowercase_identifier,
    STATE(4596), 1,
      sym_attribute,
    STATE(6289), 1,
      sym__constructor_name,
    STATE(6319), 1,
      sym__simple_expression,
    STATE(6363), 1,
      sym_parenthesized_operator,
    STATE(6374), 1,
      sym__value_name,
    STATE(19675), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1683), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6288), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6311), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136471] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_LBRACK,
    ACTIONS(1685), 1,
      anon_sym_LBRACE,
    ACTIONS(1687), 1,
      anon_sym_object,
    ACTIONS(1691), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1701), 1,
      anon_sym_new,
    ACTIONS(1703), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1705), 1,
      anon_sym_begin,
    ACTIONS(1707), 1,
      sym_ocamlyacc_value,
    ACTIONS(1709), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1711), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1713), 1,
      aux_sym_number_token1,
    ACTIONS(1715), 1,
      anon_sym_SQUOTE,
    ACTIONS(1717), 1,
      anon_sym_DQUOTE,
    ACTIONS(1719), 1,
      sym_prefix_operator,
    ACTIONS(1723), 1,
      sym__uppercase_identifier,
    ACTIONS(1725), 1,
      aux_sym_tag_token1,
    ACTIONS(5261), 1,
      sym__lowercase_identifier,
    STATE(4597), 1,
      sym_attribute,
    STATE(6289), 1,
      sym__constructor_name,
    STATE(6329), 1,
      sym__simple_expression,
    STATE(6363), 1,
      sym_parenthesized_operator,
    STATE(6374), 1,
      sym__value_name,
    STATE(19675), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1683), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6288), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6311), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136589] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(767), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      anon_sym_object,
    ACTIONS(779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(789), 1,
      anon_sym_new,
    ACTIONS(791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(793), 1,
      anon_sym_begin,
    ACTIONS(795), 1,
      sym_ocamlyacc_value,
    ACTIONS(801), 1,
      aux_sym_number_token1,
    ACTIONS(803), 1,
      anon_sym_SQUOTE,
    ACTIONS(805), 1,
      anon_sym_DQUOTE,
    ACTIONS(807), 1,
      sym_prefix_operator,
    ACTIONS(811), 1,
      sym__uppercase_identifier,
    ACTIONS(813), 1,
      aux_sym_tag_token1,
    ACTIONS(3053), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3055), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3775), 1,
      sym__lowercase_identifier,
    STATE(3867), 1,
      sym__constructor_name,
    STATE(3972), 1,
      sym__simple_expression,
    STATE(3988), 1,
      sym__value_name,
    STATE(4040), 1,
      sym_parenthesized_operator,
    STATE(4598), 1,
      sym_attribute,
    STATE(19597), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(771), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3866), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3994), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136707] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      anon_sym_LBRACE,
    ACTIONS(1291), 1,
      anon_sym_object,
    ACTIONS(1295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1317), 1,
      anon_sym_begin,
    ACTIONS(1319), 1,
      sym_ocamlyacc_value,
    ACTIONS(1321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1325), 1,
      aux_sym_number_token1,
    ACTIONS(1327), 1,
      anon_sym_SQUOTE,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1331), 1,
      sym_prefix_operator,
    ACTIONS(1335), 1,
      sym__uppercase_identifier,
    ACTIONS(1337), 1,
      aux_sym_tag_token1,
    ACTIONS(5173), 1,
      sym__lowercase_identifier,
    STATE(4599), 1,
      sym_attribute,
    STATE(5831), 1,
      sym__constructor_name,
    STATE(5834), 1,
      sym__value_name,
    STATE(5896), 1,
      sym__simple_expression,
    STATE(5938), 1,
      sym_parenthesized_operator,
    STATE(19714), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1287), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5829), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5921), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136825] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      anon_sym_LBRACE,
    ACTIONS(1291), 1,
      anon_sym_object,
    ACTIONS(1295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1317), 1,
      anon_sym_begin,
    ACTIONS(1319), 1,
      sym_ocamlyacc_value,
    ACTIONS(1321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1325), 1,
      aux_sym_number_token1,
    ACTIONS(1327), 1,
      anon_sym_SQUOTE,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1331), 1,
      sym_prefix_operator,
    ACTIONS(1335), 1,
      sym__uppercase_identifier,
    ACTIONS(1337), 1,
      aux_sym_tag_token1,
    ACTIONS(5173), 1,
      sym__lowercase_identifier,
    STATE(4600), 1,
      sym_attribute,
    STATE(5831), 1,
      sym__constructor_name,
    STATE(5834), 1,
      sym__value_name,
    STATE(5933), 1,
      sym__simple_expression,
    STATE(5938), 1,
      sym_parenthesized_operator,
    STATE(19714), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1287), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5829), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5921), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137083] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2237), 1,
      anon_sym_LPAREN,
    ACTIONS(2239), 1,
      anon_sym_LBRACK,
    ACTIONS(2243), 1,
      anon_sym_LBRACE,
    ACTIONS(2245), 1,
      anon_sym_object,
    ACTIONS(2249), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2259), 1,
      anon_sym_new,
    ACTIONS(2261), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2263), 1,
      anon_sym_begin,
    ACTIONS(2265), 1,
      sym_ocamlyacc_value,
    ACTIONS(2267), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2269), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2271), 1,
      aux_sym_number_token1,
    ACTIONS(2273), 1,
      anon_sym_SQUOTE,
    ACTIONS(2275), 1,
      anon_sym_DQUOTE,
    ACTIONS(2277), 1,
      sym_prefix_operator,
    ACTIONS(2281), 1,
      sym__uppercase_identifier,
    ACTIONS(2283), 1,
      aux_sym_tag_token1,
    ACTIONS(5371), 1,
      sym__lowercase_identifier,
    STATE(4603), 1,
      sym_attribute,
    STATE(6458), 1,
      sym__simple_expression,
    STATE(6688), 1,
      sym__constructor_name,
    STATE(6789), 1,
      sym__value_name,
    STATE(6790), 1,
      sym_parenthesized_operator,
    STATE(19636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2241), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6687), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6413), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137201] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1081), 1,
      anon_sym_LBRACE,
    ACTIONS(1083), 1,
      anon_sym_object,
    ACTIONS(1087), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1097), 1,
      anon_sym_new,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1101), 1,
      anon_sym_begin,
    ACTIONS(1103), 1,
      sym_ocamlyacc_value,
    ACTIONS(1105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1109), 1,
      aux_sym_number_token1,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_DQUOTE,
    ACTIONS(1115), 1,
      sym_prefix_operator,
    ACTIONS(1119), 1,
      sym__uppercase_identifier,
    ACTIONS(1121), 1,
      aux_sym_tag_token1,
    ACTIONS(4593), 1,
      sym__lowercase_identifier,
    STATE(4604), 1,
      sym_attribute,
    STATE(5289), 1,
      sym__value_name,
    STATE(5347), 1,
      sym__simple_expression,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5442), 1,
      sym__constructor_name,
    STATE(19752), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1079), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5311), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5438), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137319] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1081), 1,
      anon_sym_LBRACE,
    ACTIONS(1083), 1,
      anon_sym_object,
    ACTIONS(1087), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1097), 1,
      anon_sym_new,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1101), 1,
      anon_sym_begin,
    ACTIONS(1103), 1,
      sym_ocamlyacc_value,
    ACTIONS(1105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1109), 1,
      aux_sym_number_token1,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_DQUOTE,
    ACTIONS(1115), 1,
      sym_prefix_operator,
    ACTIONS(1119), 1,
      sym__uppercase_identifier,
    ACTIONS(1121), 1,
      aux_sym_tag_token1,
    ACTIONS(4593), 1,
      sym__lowercase_identifier,
    STATE(4605), 1,
      sym_attribute,
    STATE(5289), 1,
      sym__value_name,
    STATE(5340), 1,
      sym__simple_expression,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5442), 1,
      sym__constructor_name,
    STATE(19752), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1079), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5311), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5438), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137577] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1679), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      anon_sym_LBRACK,
    ACTIONS(1685), 1,
      anon_sym_LBRACE,
    ACTIONS(1687), 1,
      anon_sym_object,
    ACTIONS(1691), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1701), 1,
      anon_sym_new,
    ACTIONS(1703), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1705), 1,
      anon_sym_begin,
    ACTIONS(1707), 1,
      sym_ocamlyacc_value,
    ACTIONS(1709), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1711), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1713), 1,
      aux_sym_number_token1,
    ACTIONS(1715), 1,
      anon_sym_SQUOTE,
    ACTIONS(1717), 1,
      anon_sym_DQUOTE,
    ACTIONS(1719), 1,
      sym_prefix_operator,
    ACTIONS(1723), 1,
      sym__uppercase_identifier,
    ACTIONS(1725), 1,
      aux_sym_tag_token1,
    ACTIONS(5261), 1,
      sym__lowercase_identifier,
    STATE(4608), 1,
      sym_attribute,
    STATE(6289), 1,
      sym__constructor_name,
    STATE(6352), 1,
      sym__simple_expression,
    STATE(6363), 1,
      sym_parenthesized_operator,
    STATE(6374), 1,
      sym__value_name,
    STATE(19675), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1683), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6288), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6311), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137695] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACK,
    ACTIONS(609), 1,
      anon_sym_LBRACE,
    ACTIONS(611), 1,
      anon_sym_object,
    ACTIONS(615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(625), 1,
      anon_sym_new,
    ACTIONS(627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(629), 1,
      anon_sym_begin,
    ACTIONS(631), 1,
      sym_ocamlyacc_value,
    ACTIONS(637), 1,
      aux_sym_number_token1,
    ACTIONS(639), 1,
      anon_sym_SQUOTE,
    ACTIONS(641), 1,
      anon_sym_DQUOTE,
    ACTIONS(643), 1,
      sym_prefix_operator,
    ACTIONS(647), 1,
      sym__uppercase_identifier,
    ACTIONS(649), 1,
      aux_sym_tag_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3725), 1,
      sym__lowercase_identifier,
    STATE(3514), 1,
      sym__simple_expression,
    STATE(3547), 1,
      sym__value_name,
    STATE(3630), 1,
      sym_parenthesized_operator,
    STATE(3641), 1,
      sym__constructor_name,
    STATE(4609), 1,
      sym_attribute,
    STATE(19790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3640), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3509), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137813] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACK,
    ACTIONS(609), 1,
      anon_sym_LBRACE,
    ACTIONS(611), 1,
      anon_sym_object,
    ACTIONS(615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(625), 1,
      anon_sym_new,
    ACTIONS(627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(629), 1,
      anon_sym_begin,
    ACTIONS(631), 1,
      sym_ocamlyacc_value,
    ACTIONS(637), 1,
      aux_sym_number_token1,
    ACTIONS(639), 1,
      anon_sym_SQUOTE,
    ACTIONS(641), 1,
      anon_sym_DQUOTE,
    ACTIONS(643), 1,
      sym_prefix_operator,
    ACTIONS(647), 1,
      sym__uppercase_identifier,
    ACTIONS(649), 1,
      aux_sym_tag_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3725), 1,
      sym__lowercase_identifier,
    STATE(3523), 1,
      sym__simple_expression,
    STATE(3547), 1,
      sym__value_name,
    STATE(3630), 1,
      sym_parenthesized_operator,
    STATE(3641), 1,
      sym__constructor_name,
    STATE(4610), 1,
      sym_attribute,
    STATE(19790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3640), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3509), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138001] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4612), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14681), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [138137] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(381), 1,
      anon_sym_LPAREN,
    ACTIONS(383), 1,
      anon_sym_LBRACK,
    ACTIONS(387), 1,
      anon_sym_LBRACE,
    ACTIONS(389), 1,
      anon_sym_object,
    ACTIONS(393), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(403), 1,
      anon_sym_new,
    ACTIONS(405), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(407), 1,
      anon_sym_begin,
    ACTIONS(409), 1,
      sym_ocamlyacc_value,
    ACTIONS(417), 1,
      aux_sym_number_token1,
    ACTIONS(419), 1,
      anon_sym_SQUOTE,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    ACTIONS(423), 1,
      sym_prefix_operator,
    ACTIONS(429), 1,
      sym__uppercase_identifier,
    ACTIONS(431), 1,
      aux_sym_tag_token1,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3203), 1,
      sym__lowercase_identifier,
    STATE(3264), 1,
      sym_parenthesized_operator,
    STATE(3269), 1,
      sym__value_name,
    STATE(3354), 1,
      sym__simple_expression,
    STATE(3444), 1,
      sym__constructor_name,
    STATE(4613), 1,
      sym_attribute,
    STATE(19828), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(385), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3437), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3293), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138255] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(381), 1,
      anon_sym_LPAREN,
    ACTIONS(383), 1,
      anon_sym_LBRACK,
    ACTIONS(387), 1,
      anon_sym_LBRACE,
    ACTIONS(389), 1,
      anon_sym_object,
    ACTIONS(393), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(403), 1,
      anon_sym_new,
    ACTIONS(405), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(407), 1,
      anon_sym_begin,
    ACTIONS(409), 1,
      sym_ocamlyacc_value,
    ACTIONS(417), 1,
      aux_sym_number_token1,
    ACTIONS(419), 1,
      anon_sym_SQUOTE,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    ACTIONS(423), 1,
      sym_prefix_operator,
    ACTIONS(429), 1,
      sym__uppercase_identifier,
    ACTIONS(431), 1,
      aux_sym_tag_token1,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3203), 1,
      sym__lowercase_identifier,
    STATE(3264), 1,
      sym_parenthesized_operator,
    STATE(3269), 1,
      sym__value_name,
    STATE(3311), 1,
      sym__simple_expression,
    STATE(3444), 1,
      sym__constructor_name,
    STATE(4614), 1,
      sym_attribute,
    STATE(19828), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(385), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3437), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3293), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138373] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2789), 1,
      anon_sym_LPAREN,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2795), 1,
      anon_sym_LBRACE,
    ACTIONS(2797), 1,
      anon_sym_object,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2811), 1,
      anon_sym_new,
    ACTIONS(2813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2815), 1,
      anon_sym_begin,
    ACTIONS(2817), 1,
      sym_ocamlyacc_value,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2821), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2823), 1,
      aux_sym_number_token1,
    ACTIONS(2825), 1,
      anon_sym_SQUOTE,
    ACTIONS(2827), 1,
      anon_sym_DQUOTE,
    ACTIONS(2829), 1,
      sym_prefix_operator,
    ACTIONS(2833), 1,
      sym__uppercase_identifier,
    ACTIONS(2835), 1,
      aux_sym_tag_token1,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4615), 1,
      sym_attribute,
    STATE(6966), 1,
      sym_parenthesized_operator,
    STATE(7136), 1,
      sym__value_name,
    STATE(7290), 1,
      sym__simple_expression,
    STATE(7352), 1,
      sym__constructor_name,
    STATE(19435), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7349), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7122), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138491] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4616), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14759), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [138627] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8658), 1,
      anon_sym_TILDE,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(4617), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5853), 1,
      sym__binding_pattern,
    STATE(5854), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(5912), 1,
      sym__tuple_binding_pattern,
    STATE(18492), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [138763] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1075), 1,
      anon_sym_LPAREN,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1081), 1,
      anon_sym_LBRACE,
    ACTIONS(1083), 1,
      anon_sym_object,
    ACTIONS(1087), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1097), 1,
      anon_sym_new,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1101), 1,
      anon_sym_begin,
    ACTIONS(1103), 1,
      sym_ocamlyacc_value,
    ACTIONS(1105), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1107), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1109), 1,
      aux_sym_number_token1,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_DQUOTE,
    ACTIONS(1115), 1,
      sym_prefix_operator,
    ACTIONS(1119), 1,
      sym__uppercase_identifier,
    ACTIONS(1121), 1,
      aux_sym_tag_token1,
    ACTIONS(4593), 1,
      sym__lowercase_identifier,
    STATE(4618), 1,
      sym_attribute,
    STATE(5289), 1,
      sym__value_name,
    STATE(5368), 1,
      sym__simple_expression,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(5442), 1,
      sym__constructor_name,
    STATE(19752), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1079), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5311), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5438), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138881] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(657), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      anon_sym_object,
    ACTIONS(669), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(679), 1,
      anon_sym_new,
    ACTIONS(681), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(683), 1,
      anon_sym_begin,
    ACTIONS(685), 1,
      sym_ocamlyacc_value,
    ACTIONS(691), 1,
      aux_sym_number_token1,
    ACTIONS(693), 1,
      anon_sym_SQUOTE,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      sym_prefix_operator,
    ACTIONS(701), 1,
      sym__uppercase_identifier,
    ACTIONS(703), 1,
      aux_sym_tag_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3239), 1,
      sym__lowercase_identifier,
    STATE(3556), 1,
      sym__simple_expression,
    STATE(3599), 1,
      sym__value_name,
    STATE(3635), 1,
      sym_parenthesized_operator,
    STATE(3659), 1,
      sym__constructor_name,
    STATE(4619), 1,
      sym_attribute,
    STATE(19866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(661), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3658), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3549), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138999] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(657), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      anon_sym_object,
    ACTIONS(669), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(679), 1,
      anon_sym_new,
    ACTIONS(681), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(683), 1,
      anon_sym_begin,
    ACTIONS(685), 1,
      sym_ocamlyacc_value,
    ACTIONS(691), 1,
      aux_sym_number_token1,
    ACTIONS(693), 1,
      anon_sym_SQUOTE,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      sym_prefix_operator,
    ACTIONS(701), 1,
      sym__uppercase_identifier,
    ACTIONS(703), 1,
      aux_sym_tag_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3239), 1,
      sym__lowercase_identifier,
    STATE(3566), 1,
      sym__simple_expression,
    STATE(3599), 1,
      sym__value_name,
    STATE(3635), 1,
      sym_parenthesized_operator,
    STATE(3659), 1,
      sym__constructor_name,
    STATE(4620), 1,
      sym_attribute,
    STATE(19866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(661), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3658), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3549), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139117] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(4621), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(5873), 1,
      sym__binding_pattern,
    STATE(5914), 1,
      sym__or_binding_pattern_anonymous,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [139253] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(4622), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(5894), 1,
      sym__binding_pattern,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [139389] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACK,
    ACTIONS(609), 1,
      anon_sym_LBRACE,
    ACTIONS(611), 1,
      anon_sym_object,
    ACTIONS(615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(625), 1,
      anon_sym_new,
    ACTIONS(627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(629), 1,
      anon_sym_begin,
    ACTIONS(631), 1,
      sym_ocamlyacc_value,
    ACTIONS(637), 1,
      aux_sym_number_token1,
    ACTIONS(639), 1,
      anon_sym_SQUOTE,
    ACTIONS(641), 1,
      anon_sym_DQUOTE,
    ACTIONS(643), 1,
      sym_prefix_operator,
    ACTIONS(647), 1,
      sym__uppercase_identifier,
    ACTIONS(649), 1,
      aux_sym_tag_token1,
    ACTIONS(3061), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3063), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3725), 1,
      sym__lowercase_identifier,
    STATE(3541), 1,
      sym__simple_expression,
    STATE(3547), 1,
      sym__value_name,
    STATE(3630), 1,
      sym_parenthesized_operator,
    STATE(3641), 1,
      sym__constructor_name,
    STATE(4623), 1,
      sym_attribute,
    STATE(19790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3640), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3509), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139507] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4624), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14226), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [139643] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4973), 1,
      anon_sym_lazy,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2491), 1,
      sym_constructor_path,
    STATE(2498), 1,
      sym_tag,
    STATE(4625), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5664), 1,
      sym__signed_constant,
    STATE(5759), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5762), 1,
      sym__tuple_binding_pattern,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(5934), 1,
      sym__binding_pattern,
    STATE(18492), 1,
      sym_module_path,
    STATE(19749), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5846), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5948), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [139779] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(381), 1,
      anon_sym_LPAREN,
    ACTIONS(383), 1,
      anon_sym_LBRACK,
    ACTIONS(387), 1,
      anon_sym_LBRACE,
    ACTIONS(389), 1,
      anon_sym_object,
    ACTIONS(393), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(403), 1,
      anon_sym_new,
    ACTIONS(405), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(407), 1,
      anon_sym_begin,
    ACTIONS(409), 1,
      sym_ocamlyacc_value,
    ACTIONS(417), 1,
      aux_sym_number_token1,
    ACTIONS(419), 1,
      anon_sym_SQUOTE,
    ACTIONS(421), 1,
      anon_sym_DQUOTE,
    ACTIONS(423), 1,
      sym_prefix_operator,
    ACTIONS(429), 1,
      sym__uppercase_identifier,
    ACTIONS(431), 1,
      aux_sym_tag_token1,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3203), 1,
      sym__lowercase_identifier,
    STATE(3264), 1,
      sym_parenthesized_operator,
    STATE(3269), 1,
      sym__value_name,
    STATE(3444), 1,
      sym__constructor_name,
    STATE(3483), 1,
      sym__simple_expression,
    STATE(4626), 1,
      sym_attribute,
    STATE(19828), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(385), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3437), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3293), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139897] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(4627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139969] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(4628), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5633), 1,
      sym__binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140105] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(657), 1,
      anon_sym_LPAREN,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    ACTIONS(665), 1,
      anon_sym_object,
    ACTIONS(669), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(679), 1,
      anon_sym_new,
    ACTIONS(681), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(683), 1,
      anon_sym_begin,
    ACTIONS(685), 1,
      sym_ocamlyacc_value,
    ACTIONS(691), 1,
      aux_sym_number_token1,
    ACTIONS(693), 1,
      anon_sym_SQUOTE,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      sym_prefix_operator,
    ACTIONS(701), 1,
      sym__uppercase_identifier,
    ACTIONS(703), 1,
      aux_sym_tag_token1,
    ACTIONS(3071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3239), 1,
      sym__lowercase_identifier,
    STATE(3586), 1,
      sym__simple_expression,
    STATE(3599), 1,
      sym__value_name,
    STATE(3635), 1,
      sym_parenthesized_operator,
    STATE(3659), 1,
      sym__constructor_name,
    STATE(4629), 1,
      sym_attribute,
    STATE(19866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(661), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3658), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3549), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140503] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8660), 1,
      anon_sym_TILDE,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4634), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14111), 1,
      sym__tuple_binding_pattern,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14961), 1,
      sym__binding_pattern,
    STATE(14963), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [140709] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4636), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14151), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14929), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140845] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4637), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14954), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141051] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5421), 1,
      anon_sym_lazy,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    STATE(2972), 1,
      sym_constructor_path,
    STATE(3019), 1,
      sym_tag,
    STATE(4639), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14194), 1,
      sym__binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    STATE(20306), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [141187] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6897), 1,
      sym__lowercase_identifier,
    ACTIONS(6901), 1,
      anon_sym_LPAREN,
    ACTIONS(6903), 1,
      anon_sym_LBRACK,
    ACTIONS(6907), 1,
      anon_sym_LBRACE,
    ACTIONS(6909), 1,
      anon_sym_object,
    ACTIONS(6911), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6913), 1,
      anon_sym_new,
    ACTIONS(6915), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6917), 1,
      anon_sym_begin,
    ACTIONS(6919), 1,
      sym_ocamlyacc_value,
    ACTIONS(6925), 1,
      aux_sym_number_token1,
    ACTIONS(6927), 1,
      anon_sym_SQUOTE,
    ACTIONS(6929), 1,
      anon_sym_DQUOTE,
    ACTIONS(6931), 1,
      sym_prefix_operator,
    ACTIONS(6933), 1,
      sym__uppercase_identifier,
    ACTIONS(6935), 1,
      aux_sym_tag_token1,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4640), 1,
      sym_attribute,
    STATE(8128), 1,
      sym_parenthesized_operator,
    STATE(8175), 1,
      sym__constructor_name,
    STATE(8272), 1,
      sym__simple_expression,
    STATE(8432), 1,
      sym__value_name,
    STATE(18496), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6905), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8174), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8339), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141305] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2723), 1,
      anon_sym_LPAREN,
    ACTIONS(2725), 1,
      anon_sym_LBRACK,
    ACTIONS(2729), 1,
      anon_sym_LBRACE,
    ACTIONS(2731), 1,
      anon_sym_object,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2745), 1,
      anon_sym_new,
    ACTIONS(2747), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2749), 1,
      anon_sym_begin,
    ACTIONS(2751), 1,
      sym_ocamlyacc_value,
    ACTIONS(2753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2755), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2757), 1,
      aux_sym_number_token1,
    ACTIONS(2759), 1,
      anon_sym_SQUOTE,
    ACTIONS(2761), 1,
      anon_sym_DQUOTE,
    ACTIONS(2763), 1,
      sym_prefix_operator,
    ACTIONS(2767), 1,
      sym__uppercase_identifier,
    ACTIONS(2769), 1,
      aux_sym_tag_token1,
    ACTIONS(5519), 1,
      sym__lowercase_identifier,
    STATE(4641), 1,
      sym_attribute,
    STATE(7104), 1,
      sym__simple_expression,
    STATE(7142), 1,
      sym__constructor_name,
    STATE(7390), 1,
      sym_parenthesized_operator,
    STATE(7418), 1,
      sym__value_name,
    STATE(21369), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2727), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7123), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7333), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141493] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8662), 1,
      sym_prefix_operator,
    STATE(4643), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(7615), 1,
      sym__simple_expression,
    STATE(20130), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141611] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8662), 1,
      sym_prefix_operator,
    STATE(4644), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15128), 1,
      sym__simple_expression,
    STATE(20130), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141729] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2511), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2517), 1,
      anon_sym_LBRACE,
    ACTIONS(2519), 1,
      anon_sym_object,
    ACTIONS(2523), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2533), 1,
      anon_sym_new,
    ACTIONS(2535), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2537), 1,
      anon_sym_begin,
    ACTIONS(2539), 1,
      sym_ocamlyacc_value,
    ACTIONS(2541), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2543), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2545), 1,
      aux_sym_number_token1,
    ACTIONS(2547), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_DQUOTE,
    ACTIONS(2551), 1,
      sym_prefix_operator,
    ACTIONS(2555), 1,
      sym__uppercase_identifier,
    ACTIONS(2557), 1,
      aux_sym_tag_token1,
    ACTIONS(5331), 1,
      sym__lowercase_identifier,
    STATE(4645), 1,
      sym_attribute,
    STATE(6618), 1,
      sym__simple_expression,
    STATE(6747), 1,
      sym__constructor_name,
    STATE(6853), 1,
      sym__value_name,
    STATE(6878), 1,
      sym_parenthesized_operator,
    STATE(18675), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2515), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6745), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6503), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141847] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2511), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2517), 1,
      anon_sym_LBRACE,
    ACTIONS(2519), 1,
      anon_sym_object,
    ACTIONS(2523), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2533), 1,
      anon_sym_new,
    ACTIONS(2535), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2537), 1,
      anon_sym_begin,
    ACTIONS(2539), 1,
      sym_ocamlyacc_value,
    ACTIONS(2541), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2543), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2545), 1,
      aux_sym_number_token1,
    ACTIONS(2547), 1,
      anon_sym_SQUOTE,
    ACTIONS(2549), 1,
      anon_sym_DQUOTE,
    ACTIONS(2551), 1,
      sym_prefix_operator,
    ACTIONS(2555), 1,
      sym__uppercase_identifier,
    ACTIONS(2557), 1,
      aux_sym_tag_token1,
    ACTIONS(5331), 1,
      sym__lowercase_identifier,
    STATE(4646), 1,
      sym_attribute,
    STATE(6695), 1,
      sym__simple_expression,
    STATE(6747), 1,
      sym__constructor_name,
    STATE(6853), 1,
      sym__value_name,
    STATE(6878), 1,
      sym_parenthesized_operator,
    STATE(18675), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2515), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6745), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6503), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142455] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2657), 1,
      anon_sym_LPAREN,
    ACTIONS(2659), 1,
      anon_sym_LBRACK,
    ACTIONS(2663), 1,
      anon_sym_LBRACE,
    ACTIONS(2665), 1,
      anon_sym_object,
    ACTIONS(2669), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2679), 1,
      anon_sym_new,
    ACTIONS(2681), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2683), 1,
      anon_sym_begin,
    ACTIONS(2685), 1,
      sym_ocamlyacc_value,
    ACTIONS(2687), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2689), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2691), 1,
      aux_sym_number_token1,
    ACTIONS(2693), 1,
      anon_sym_SQUOTE,
    ACTIONS(2695), 1,
      anon_sym_DQUOTE,
    ACTIONS(2697), 1,
      sym_prefix_operator,
    ACTIONS(2701), 1,
      sym__uppercase_identifier,
    ACTIONS(2703), 1,
      aux_sym_tag_token1,
    ACTIONS(5509), 1,
      sym__lowercase_identifier,
    STATE(4654), 1,
      sym_attribute,
    STATE(7004), 1,
      sym__simple_expression,
    STATE(7126), 1,
      sym__value_name,
    STATE(7137), 1,
      sym_parenthesized_operator,
    STATE(7190), 1,
      sym__constructor_name,
    STATE(18473), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2661), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6964), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7114), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142643] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4187), 1,
      anon_sym_DOT,
    STATE(4656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142855] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1239), 1,
      anon_sym_object,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1253), 1,
      anon_sym_new,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1257), 1,
      anon_sym_begin,
    ACTIONS(1259), 1,
      sym_ocamlyacc_value,
    ACTIONS(1261), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1263), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1265), 1,
      aux_sym_number_token1,
    ACTIONS(1267), 1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DQUOTE,
    ACTIONS(1271), 1,
      sym_prefix_operator,
    ACTIONS(1275), 1,
      sym__uppercase_identifier,
    ACTIONS(1277), 1,
      aux_sym_tag_token1,
    ACTIONS(4583), 1,
      sym__lowercase_identifier,
    STATE(4659), 1,
      sym_attribute,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5370), 1,
      sym__value_name,
    STATE(5375), 1,
      sym__simple_expression,
    STATE(5429), 1,
      sym__constructor_name,
    STATE(20172), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1235), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5414), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5320), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143113] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8664), 1,
      anon_sym_COLON,
    STATE(4662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [143185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143395] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2607), 1,
      anon_sym_LBRACK,
    ACTIONS(2611), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_object,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2627), 1,
      anon_sym_new,
    ACTIONS(2629), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2631), 1,
      anon_sym_begin,
    ACTIONS(2633), 1,
      sym_ocamlyacc_value,
    ACTIONS(2635), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2637), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2639), 1,
      aux_sym_number_token1,
    ACTIONS(2641), 1,
      anon_sym_SQUOTE,
    ACTIONS(2643), 1,
      anon_sym_DQUOTE,
    ACTIONS(2645), 1,
      sym_prefix_operator,
    ACTIONS(2649), 1,
      sym__uppercase_identifier,
    ACTIONS(2651), 1,
      aux_sym_tag_token1,
    ACTIONS(5539), 1,
      sym__lowercase_identifier,
    STATE(4666), 1,
      sym_attribute,
    STATE(6967), 1,
      sym__constructor_name,
    STATE(7128), 1,
      sym_parenthesized_operator,
    STATE(7387), 1,
      sym__value_name,
    STATE(7424), 1,
      sym__simple_expression,
    STATE(18862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2609), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7134), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7345), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [143863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [144283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144493] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(551), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_LBRACK,
    ACTIONS(557), 1,
      anon_sym_LBRACE,
    ACTIONS(559), 1,
      anon_sym_object,
    ACTIONS(563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(573), 1,
      anon_sym_new,
    ACTIONS(575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(577), 1,
      anon_sym_begin,
    ACTIONS(579), 1,
      sym_ocamlyacc_value,
    ACTIONS(585), 1,
      aux_sym_number_token1,
    ACTIONS(587), 1,
      anon_sym_SQUOTE,
    ACTIONS(589), 1,
      anon_sym_DQUOTE,
    ACTIONS(591), 1,
      sym_prefix_operator,
    ACTIONS(595), 1,
      sym__uppercase_identifier,
    ACTIONS(597), 1,
      aux_sym_tag_token1,
    ACTIONS(3033), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3035), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3707), 1,
      sym__lowercase_identifier,
    STATE(3692), 1,
      sym__simple_expression,
    STATE(3725), 1,
      sym__value_name,
    STATE(3738), 1,
      sym_parenthesized_operator,
    STATE(3743), 1,
      sym__constructor_name,
    STATE(4681), 1,
      sym_attribute,
    STATE(21206), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3748), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3687), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144611] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(551), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_LBRACK,
    ACTIONS(557), 1,
      anon_sym_LBRACE,
    ACTIONS(559), 1,
      anon_sym_object,
    ACTIONS(563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(573), 1,
      anon_sym_new,
    ACTIONS(575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(577), 1,
      anon_sym_begin,
    ACTIONS(579), 1,
      sym_ocamlyacc_value,
    ACTIONS(585), 1,
      aux_sym_number_token1,
    ACTIONS(587), 1,
      anon_sym_SQUOTE,
    ACTIONS(589), 1,
      anon_sym_DQUOTE,
    ACTIONS(591), 1,
      sym_prefix_operator,
    ACTIONS(595), 1,
      sym__uppercase_identifier,
    ACTIONS(597), 1,
      aux_sym_tag_token1,
    ACTIONS(3033), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3035), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3707), 1,
      sym__lowercase_identifier,
    STATE(3701), 1,
      sym__simple_expression,
    STATE(3725), 1,
      sym__value_name,
    STATE(3738), 1,
      sym_parenthesized_operator,
    STATE(3743), 1,
      sym__constructor_name,
    STATE(4682), 1,
      sym_attribute,
    STATE(21206), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3748), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3687), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145009] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(4687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145081] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1009), 1,
      anon_sym_LPAREN,
    ACTIONS(1011), 1,
      anon_sym_LBRACK,
    ACTIONS(1015), 1,
      anon_sym_LBRACE,
    ACTIONS(1017), 1,
      anon_sym_object,
    ACTIONS(1021), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1031), 1,
      anon_sym_new,
    ACTIONS(1033), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1035), 1,
      anon_sym_begin,
    ACTIONS(1037), 1,
      sym_ocamlyacc_value,
    ACTIONS(1043), 1,
      aux_sym_number_token1,
    ACTIONS(1045), 1,
      anon_sym_SQUOTE,
    ACTIONS(1047), 1,
      anon_sym_DQUOTE,
    ACTIONS(1049), 1,
      sym_prefix_operator,
    ACTIONS(1053), 1,
      sym__uppercase_identifier,
    ACTIONS(1055), 1,
      aux_sym_tag_token1,
    ACTIONS(3075), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3077), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4563), 1,
      sym__lowercase_identifier,
    STATE(4688), 1,
      sym_attribute,
    STATE(5040), 1,
      sym__constructor_name,
    STATE(5104), 1,
      sym__simple_expression,
    STATE(5114), 1,
      sym__value_name,
    STATE(5127), 1,
      sym_parenthesized_operator,
    STATE(20744), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1013), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5045), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5046), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145199] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(4689), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9222), 1,
      sym__binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [145685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [145755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145825] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1353), 1,
      anon_sym_LBRACK,
    ACTIONS(1357), 1,
      anon_sym_LBRACE,
    ACTIONS(1359), 1,
      anon_sym_object,
    ACTIONS(1363), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1377), 1,
      anon_sym_begin,
    ACTIONS(1379), 1,
      sym_ocamlyacc_value,
    ACTIONS(1381), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1385), 1,
      aux_sym_number_token1,
    ACTIONS(1387), 1,
      anon_sym_SQUOTE,
    ACTIONS(1389), 1,
      anon_sym_DQUOTE,
    ACTIONS(1391), 1,
      sym_prefix_operator,
    ACTIONS(1395), 1,
      sym__uppercase_identifier,
    ACTIONS(1397), 1,
      aux_sym_tag_token1,
    ACTIONS(5185), 1,
      sym__lowercase_identifier,
    STATE(4697), 1,
      sym_attribute,
    STATE(5972), 1,
      sym__constructor_name,
    STATE(5982), 1,
      sym__value_name,
    STATE(5985), 1,
      sym__simple_expression,
    STATE(6027), 1,
      sym_parenthesized_operator,
    STATE(18730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1355), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5970), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6013), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145943] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1353), 1,
      anon_sym_LBRACK,
    ACTIONS(1357), 1,
      anon_sym_LBRACE,
    ACTIONS(1359), 1,
      anon_sym_object,
    ACTIONS(1363), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1373), 1,
      anon_sym_new,
    ACTIONS(1375), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1377), 1,
      anon_sym_begin,
    ACTIONS(1379), 1,
      sym_ocamlyacc_value,
    ACTIONS(1381), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1383), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1385), 1,
      aux_sym_number_token1,
    ACTIONS(1387), 1,
      anon_sym_SQUOTE,
    ACTIONS(1389), 1,
      anon_sym_DQUOTE,
    ACTIONS(1391), 1,
      sym_prefix_operator,
    ACTIONS(1395), 1,
      sym__uppercase_identifier,
    ACTIONS(1397), 1,
      aux_sym_tag_token1,
    ACTIONS(5185), 1,
      sym__lowercase_identifier,
    STATE(4698), 1,
      sym_attribute,
    STATE(5958), 1,
      sym__simple_expression,
    STATE(5972), 1,
      sym__constructor_name,
    STATE(5982), 1,
      sym__value_name,
    STATE(6027), 1,
      sym_parenthesized_operator,
    STATE(18730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1355), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5970), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6013), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146691] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7179), 1,
      anon_sym_lazy,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_constructor_path,
    STATE(2643), 1,
      sym_tag,
    STATE(4708), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9124), 1,
      sym__signed_constant,
    STATE(9213), 1,
      sym__or_binding_pattern_anonymous,
    STATE(9214), 1,
      sym__tuple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9231), 1,
      sym__binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(18922), 1,
      sym_module_path,
    STATE(21018), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9211), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(9212), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146967] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2723), 1,
      anon_sym_LPAREN,
    ACTIONS(2725), 1,
      anon_sym_LBRACK,
    ACTIONS(2729), 1,
      anon_sym_LBRACE,
    ACTIONS(2731), 1,
      anon_sym_object,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2745), 1,
      anon_sym_new,
    ACTIONS(2747), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2749), 1,
      anon_sym_begin,
    ACTIONS(2751), 1,
      sym_ocamlyacc_value,
    ACTIONS(2753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2755), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2757), 1,
      aux_sym_number_token1,
    ACTIONS(2759), 1,
      anon_sym_SQUOTE,
    ACTIONS(2761), 1,
      anon_sym_DQUOTE,
    ACTIONS(2763), 1,
      sym_prefix_operator,
    ACTIONS(2767), 1,
      sym__uppercase_identifier,
    ACTIONS(2769), 1,
      aux_sym_tag_token1,
    ACTIONS(5519), 1,
      sym__lowercase_identifier,
    STATE(4711), 1,
      sym_attribute,
    STATE(7142), 1,
      sym__constructor_name,
    STATE(7390), 1,
      sym_parenthesized_operator,
    STATE(7418), 1,
      sym__value_name,
    STATE(7487), 1,
      sym__simple_expression,
    STATE(21369), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2727), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7123), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7333), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147785] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8400), 1,
      sym__lowercase_identifier,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_object,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8414), 1,
      anon_sym_new,
    ACTIONS(8416), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8418), 1,
      anon_sym_begin,
    ACTIONS(8420), 1,
      sym_ocamlyacc_value,
    ACTIONS(8422), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8424), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8426), 1,
      aux_sym_number_token1,
    ACTIONS(8428), 1,
      anon_sym_SQUOTE,
    ACTIONS(8430), 1,
      anon_sym_DQUOTE,
    ACTIONS(8432), 1,
      sym_prefix_operator,
    ACTIONS(8434), 1,
      sym__uppercase_identifier,
    ACTIONS(8436), 1,
      aux_sym_tag_token1,
    STATE(4722), 1,
      sym_attribute,
    STATE(7538), 1,
      sym_parenthesized_operator,
    STATE(7605), 1,
      sym__simple_expression,
    STATE(7625), 1,
      sym__constructor_name,
    STATE(7661), 1,
      sym__value_name,
    STATE(19810), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7660), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147903] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5405), 1,
      anon_sym_LPAREN,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(7599), 1,
      anon_sym_lazy,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2981), 1,
      sym_tag,
    STATE(4723), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(13984), 1,
      sym__signed_constant,
    STATE(14160), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14164), 1,
      sym__tuple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(14766), 1,
      sym__binding_pattern,
    STATE(19130), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(20194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14064), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14127), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [148039] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8442), 1,
      sym__lowercase_identifier,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_LBRACE,
    ACTIONS(8452), 1,
      anon_sym_object,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8456), 1,
      anon_sym_new,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8460), 1,
      anon_sym_begin,
    ACTIONS(8462), 1,
      sym_ocamlyacc_value,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8468), 1,
      aux_sym_number_token1,
    ACTIONS(8470), 1,
      anon_sym_SQUOTE,
    ACTIONS(8472), 1,
      anon_sym_DQUOTE,
    ACTIONS(8474), 1,
      sym_prefix_operator,
    ACTIONS(8476), 1,
      sym__uppercase_identifier,
    ACTIONS(8478), 1,
      aux_sym_tag_token1,
    STATE(4724), 1,
      sym_attribute,
    STATE(9956), 1,
      sym__simple_expression,
    STATE(9985), 1,
      sym__constructor_name,
    STATE(10192), 1,
      sym__value_name,
    STATE(10229), 1,
      sym_parenthesized_operator,
    STATE(19108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8448), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9889), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10141), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148227] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(551), 1,
      anon_sym_LPAREN,
    ACTIONS(553), 1,
      anon_sym_LBRACK,
    ACTIONS(557), 1,
      anon_sym_LBRACE,
    ACTIONS(559), 1,
      anon_sym_object,
    ACTIONS(563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(573), 1,
      anon_sym_new,
    ACTIONS(575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(577), 1,
      anon_sym_begin,
    ACTIONS(579), 1,
      sym_ocamlyacc_value,
    ACTIONS(585), 1,
      aux_sym_number_token1,
    ACTIONS(587), 1,
      anon_sym_SQUOTE,
    ACTIONS(589), 1,
      anon_sym_DQUOTE,
    ACTIONS(591), 1,
      sym_prefix_operator,
    ACTIONS(595), 1,
      sym__uppercase_identifier,
    ACTIONS(597), 1,
      aux_sym_tag_token1,
    ACTIONS(3033), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3035), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3707), 1,
      sym__lowercase_identifier,
    STATE(3719), 1,
      sym__simple_expression,
    STATE(3725), 1,
      sym__value_name,
    STATE(3738), 1,
      sym_parenthesized_operator,
    STATE(3743), 1,
      sym__constructor_name,
    STATE(4726), 1,
      sym_attribute,
    STATE(21206), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3748), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3687), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148345] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1127), 1,
      anon_sym_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_LBRACK,
    ACTIONS(1133), 1,
      anon_sym_LBRACE,
    ACTIONS(1135), 1,
      anon_sym_object,
    ACTIONS(1139), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1149), 1,
      anon_sym_new,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1153), 1,
      anon_sym_begin,
    ACTIONS(1155), 1,
      sym_ocamlyacc_value,
    ACTIONS(1157), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1159), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1161), 1,
      aux_sym_number_token1,
    ACTIONS(1163), 1,
      anon_sym_SQUOTE,
    ACTIONS(1165), 1,
      anon_sym_DQUOTE,
    ACTIONS(1167), 1,
      sym_prefix_operator,
    ACTIONS(1171), 1,
      sym__uppercase_identifier,
    ACTIONS(1173), 1,
      aux_sym_tag_token1,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4727), 1,
      sym_attribute,
    STATE(5148), 1,
      sym__value_name,
    STATE(5161), 1,
      sym__simple_expression,
    STATE(5181), 1,
      sym_parenthesized_operator,
    STATE(5266), 1,
      sym__constructor_name,
    STATE(18785), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1131), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5146), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148463] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1127), 1,
      anon_sym_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_LBRACK,
    ACTIONS(1133), 1,
      anon_sym_LBRACE,
    ACTIONS(1135), 1,
      anon_sym_object,
    ACTIONS(1139), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1149), 1,
      anon_sym_new,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1153), 1,
      anon_sym_begin,
    ACTIONS(1155), 1,
      sym_ocamlyacc_value,
    ACTIONS(1157), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1159), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1161), 1,
      aux_sym_number_token1,
    ACTIONS(1163), 1,
      anon_sym_SQUOTE,
    ACTIONS(1165), 1,
      anon_sym_DQUOTE,
    ACTIONS(1167), 1,
      sym_prefix_operator,
    ACTIONS(1171), 1,
      sym__uppercase_identifier,
    ACTIONS(1173), 1,
      aux_sym_tag_token1,
    ACTIONS(4573), 1,
      sym__lowercase_identifier,
    STATE(4728), 1,
      sym_attribute,
    STATE(5148), 1,
      sym__value_name,
    STATE(5181), 1,
      sym_parenthesized_operator,
    STATE(5209), 1,
      sym__simple_expression,
    STATE(5266), 1,
      sym__constructor_name,
    STATE(18785), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1131), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5265), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5146), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148721] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8400), 1,
      sym__lowercase_identifier,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_object,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8414), 1,
      anon_sym_new,
    ACTIONS(8416), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8418), 1,
      anon_sym_begin,
    ACTIONS(8420), 1,
      sym_ocamlyacc_value,
    ACTIONS(8422), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8424), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8426), 1,
      aux_sym_number_token1,
    ACTIONS(8428), 1,
      anon_sym_SQUOTE,
    ACTIONS(8430), 1,
      anon_sym_DQUOTE,
    ACTIONS(8432), 1,
      sym_prefix_operator,
    ACTIONS(8434), 1,
      sym__uppercase_identifier,
    ACTIONS(8436), 1,
      aux_sym_tag_token1,
    STATE(4731), 1,
      sym_attribute,
    STATE(7538), 1,
      sym_parenthesized_operator,
    STATE(7556), 1,
      sym__simple_expression,
    STATE(7625), 1,
      sym__constructor_name,
    STATE(7661), 1,
      sym__value_name,
    STATE(19810), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7660), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148909] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8442), 1,
      sym__lowercase_identifier,
    ACTIONS(8444), 1,
      anon_sym_LPAREN,
    ACTIONS(8446), 1,
      anon_sym_LBRACK,
    ACTIONS(8450), 1,
      anon_sym_LBRACE,
    ACTIONS(8452), 1,
      anon_sym_object,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8456), 1,
      anon_sym_new,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8460), 1,
      anon_sym_begin,
    ACTIONS(8462), 1,
      sym_ocamlyacc_value,
    ACTIONS(8464), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8466), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8468), 1,
      aux_sym_number_token1,
    ACTIONS(8470), 1,
      anon_sym_SQUOTE,
    ACTIONS(8472), 1,
      anon_sym_DQUOTE,
    ACTIONS(8474), 1,
      sym_prefix_operator,
    ACTIONS(8476), 1,
      sym__uppercase_identifier,
    ACTIONS(8478), 1,
      aux_sym_tag_token1,
    STATE(4733), 1,
      sym_attribute,
    STATE(9957), 1,
      sym__simple_expression,
    STATE(9985), 1,
      sym__constructor_name,
    STATE(10192), 1,
      sym__value_name,
    STATE(10229), 1,
      sym_parenthesized_operator,
    STATE(19108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8448), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9889), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10141), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149307] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5867), 1,
      sym__lowercase_identifier,
    ACTIONS(5871), 1,
      anon_sym_LPAREN,
    ACTIONS(5873), 1,
      anon_sym_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_LBRACE,
    ACTIONS(5879), 1,
      anon_sym_object,
    ACTIONS(5881), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5883), 1,
      anon_sym_new,
    ACTIONS(5885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5887), 1,
      anon_sym_begin,
    ACTIONS(5889), 1,
      sym_ocamlyacc_value,
    ACTIONS(5895), 1,
      aux_sym_number_token1,
    ACTIONS(5897), 1,
      anon_sym_SQUOTE,
    ACTIONS(5899), 1,
      anon_sym_DQUOTE,
    ACTIONS(5901), 1,
      sym_prefix_operator,
    ACTIONS(5903), 1,
      sym__uppercase_identifier,
    ACTIONS(5905), 1,
      aux_sym_tag_token1,
    ACTIONS(8666), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8668), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4738), 1,
      sym_attribute,
    STATE(6129), 1,
      sym__constructor_name,
    STATE(6197), 1,
      sym__value_name,
    STATE(6247), 1,
      sym_parenthesized_operator,
    STATE(6391), 1,
      sym__simple_expression,
    STATE(18895), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5875), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6118), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6150), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149425] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1179), 1,
      anon_sym_LPAREN,
    ACTIONS(1181), 1,
      anon_sym_LBRACK,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    ACTIONS(1187), 1,
      anon_sym_object,
    ACTIONS(1191), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1201), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1205), 1,
      anon_sym_begin,
    ACTIONS(1207), 1,
      sym_ocamlyacc_value,
    ACTIONS(1209), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1211), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1213), 1,
      aux_sym_number_token1,
    ACTIONS(1215), 1,
      anon_sym_SQUOTE,
    ACTIONS(1217), 1,
      anon_sym_DQUOTE,
    ACTIONS(1219), 1,
      sym_prefix_operator,
    ACTIONS(1223), 1,
      sym__uppercase_identifier,
    ACTIONS(1225), 1,
      aux_sym_tag_token1,
    ACTIONS(4663), 1,
      sym__lowercase_identifier,
    STATE(4739), 1,
      sym_attribute,
    STATE(5470), 1,
      sym__simple_expression,
    STATE(5499), 1,
      sym_parenthesized_operator,
    STATE(5577), 1,
      sym__value_name,
    STATE(5581), 1,
      sym__constructor_name,
    STATE(18840), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1183), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5540), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5570), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149543] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1179), 1,
      anon_sym_LPAREN,
    ACTIONS(1181), 1,
      anon_sym_LBRACK,
    ACTIONS(1185), 1,
      anon_sym_LBRACE,
    ACTIONS(1187), 1,
      anon_sym_object,
    ACTIONS(1191), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1201), 1,
      anon_sym_new,
    ACTIONS(1203), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1205), 1,
      anon_sym_begin,
    ACTIONS(1207), 1,
      sym_ocamlyacc_value,
    ACTIONS(1209), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1211), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1213), 1,
      aux_sym_number_token1,
    ACTIONS(1215), 1,
      anon_sym_SQUOTE,
    ACTIONS(1217), 1,
      anon_sym_DQUOTE,
    ACTIONS(1219), 1,
      sym_prefix_operator,
    ACTIONS(1223), 1,
      sym__uppercase_identifier,
    ACTIONS(1225), 1,
      aux_sym_tag_token1,
    ACTIONS(4663), 1,
      sym__lowercase_identifier,
    STATE(4740), 1,
      sym_attribute,
    STATE(5486), 1,
      sym__simple_expression,
    STATE(5499), 1,
      sym_parenthesized_operator,
    STATE(5577), 1,
      sym__value_name,
    STATE(5581), 1,
      sym__constructor_name,
    STATE(18840), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1183), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5540), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5570), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149731] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8670), 1,
      anon_sym_TILDE,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(4742), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5639), 1,
      sym__binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5660), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(5734), 1,
      sym__tuple_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [149867] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2723), 1,
      anon_sym_LPAREN,
    ACTIONS(2725), 1,
      anon_sym_LBRACK,
    ACTIONS(2729), 1,
      anon_sym_LBRACE,
    ACTIONS(2731), 1,
      anon_sym_object,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2745), 1,
      anon_sym_new,
    ACTIONS(2747), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2749), 1,
      anon_sym_begin,
    ACTIONS(2751), 1,
      sym_ocamlyacc_value,
    ACTIONS(2753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2755), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2757), 1,
      aux_sym_number_token1,
    ACTIONS(2759), 1,
      anon_sym_SQUOTE,
    ACTIONS(2761), 1,
      anon_sym_DQUOTE,
    ACTIONS(2763), 1,
      sym_prefix_operator,
    ACTIONS(2767), 1,
      sym__uppercase_identifier,
    ACTIONS(2769), 1,
      aux_sym_tag_token1,
    ACTIONS(5519), 1,
      sym__lowercase_identifier,
    STATE(4743), 1,
      sym_attribute,
    STATE(7142), 1,
      sym__constructor_name,
    STATE(7383), 1,
      sym__simple_expression,
    STATE(7390), 1,
      sym_parenthesized_operator,
    STATE(7418), 1,
      sym__value_name,
    STATE(21369), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2727), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7123), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7333), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150055] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(4745), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5648), 1,
      sym__binding_pattern,
    STATE(5653), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150191] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(4746), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5629), 1,
      sym__binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150467] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4787), 1,
      anon_sym_lazy,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2482), 1,
      sym_constructor_path,
    STATE(2494), 1,
      sym_tag,
    STATE(4749), 1,
      sym_attribute,
    STATE(5522), 1,
      sym__signed_constant,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5651), 1,
      sym__or_binding_pattern_anonymous,
    STATE(5669), 1,
      sym__binding_pattern,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5683), 1,
      sym__tuple_binding_pattern,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(20687), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5711), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(5680), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150603] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8400), 1,
      sym__lowercase_identifier,
    ACTIONS(8402), 1,
      anon_sym_LPAREN,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8408), 1,
      anon_sym_LBRACE,
    ACTIONS(8410), 1,
      anon_sym_object,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8414), 1,
      anon_sym_new,
    ACTIONS(8416), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8418), 1,
      anon_sym_begin,
    ACTIONS(8420), 1,
      sym_ocamlyacc_value,
    ACTIONS(8422), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8424), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8426), 1,
      aux_sym_number_token1,
    ACTIONS(8428), 1,
      anon_sym_SQUOTE,
    ACTIONS(8430), 1,
      anon_sym_DQUOTE,
    ACTIONS(8432), 1,
      sym_prefix_operator,
    ACTIONS(8434), 1,
      sym__uppercase_identifier,
    ACTIONS(8436), 1,
      aux_sym_tag_token1,
    STATE(4750), 1,
      sym_attribute,
    STATE(7538), 1,
      sym_parenthesized_operator,
    STATE(7617), 1,
      sym__simple_expression,
    STATE(7625), 1,
      sym__constructor_name,
    STATE(7661), 1,
      sym__value_name,
    STATE(19810), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8406), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7660), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7557), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150721] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(8014), 1,
      anon_sym_LPAREN,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_LBRACE,
    ACTIONS(8020), 1,
      anon_sym_object,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8024), 1,
      anon_sym_new,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8028), 1,
      anon_sym_begin,
    ACTIONS(8030), 1,
      sym_ocamlyacc_value,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(8662), 1,
      sym_prefix_operator,
    STATE(4751), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7565), 1,
      sym__value_name,
    STATE(15544), 1,
      sym__simple_expression,
    STATE(20130), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7647), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [150839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151049] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3937), 1,
      anon_sym_DOT,
    ACTIONS(3939), 1,
      anon_sym_POUND,
    ACTIONS(3941), 1,
      sym_hash_operator,
    STATE(4755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151125] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4756), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14807), 1,
      sym__binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151261] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    ACTIONS(8672), 1,
      anon_sym_TILDE,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4757), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14669), 1,
      sym__binding_pattern,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14713), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14814), 1,
      sym__tuple_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151397] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4758), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14767), 1,
      sym__binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14816), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151533] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4759), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(14964), 1,
      sym__binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151669] = 38,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4739), 1,
      anon_sym_TILDE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7689), 1,
      anon_sym_lazy,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7849), 1,
      anon_sym_LPAREN,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3064), 1,
      sym_tag,
    STATE(4760), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(14315), 1,
      sym__signed_constant,
    STATE(14712), 1,
      sym__or_binding_pattern_anonymous,
    STATE(14756), 1,
      sym__tuple_binding_pattern,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14831), 1,
      sym__binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(20209), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21377), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14801), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(14701), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151805] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7691), 1,
      sym__uppercase_identifier,
    ACTIONS(7693), 1,
      aux_sym_tag_token1,
    ACTIONS(7773), 1,
      sym__lowercase_identifier,
    ACTIONS(7777), 1,
      anon_sym_LPAREN,
    ACTIONS(7779), 1,
      anon_sym_LBRACK,
    ACTIONS(7783), 1,
      anon_sym_LBRACE,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7787), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7789), 1,
      anon_sym_new,
    ACTIONS(7791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7793), 1,
      anon_sym_begin,
    ACTIONS(7795), 1,
      sym_ocamlyacc_value,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7801), 1,
      aux_sym_number_token1,
    ACTIONS(7803), 1,
      anon_sym_SQUOTE,
    ACTIONS(7805), 1,
      anon_sym_DQUOTE,
    ACTIONS(7807), 1,
      sym_prefix_operator,
    STATE(4761), 1,
      sym_attribute,
    STATE(8545), 1,
      sym__constructor_name,
    STATE(9430), 1,
      sym__value_name,
    STATE(9510), 1,
      sym_parenthesized_operator,
    STATE(9586), 1,
      sym__simple_expression,
    STATE(18950), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7781), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9656), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9549), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151923] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5867), 1,
      sym__lowercase_identifier,
    ACTIONS(5871), 1,
      anon_sym_LPAREN,
    ACTIONS(5873), 1,
      anon_sym_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_LBRACE,
    ACTIONS(5879), 1,
      anon_sym_object,
    ACTIONS(5881), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5883), 1,
      anon_sym_new,
    ACTIONS(5885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5887), 1,
      anon_sym_begin,
    ACTIONS(5889), 1,
      sym_ocamlyacc_value,
    ACTIONS(5895), 1,
      aux_sym_number_token1,
    ACTIONS(5897), 1,
      anon_sym_SQUOTE,
    ACTIONS(5899), 1,
      anon_sym_DQUOTE,
    ACTIONS(5901), 1,
      sym_prefix_operator,
    ACTIONS(5903), 1,
      sym__uppercase_identifier,
    ACTIONS(5905), 1,
      aux_sym_tag_token1,
    ACTIONS(8666), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8668), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4762), 1,
      sym_attribute,
    STATE(6129), 1,
      sym__constructor_name,
    STATE(6158), 1,
      sym__simple_expression,
    STATE(6197), 1,
      sym__value_name,
    STATE(6247), 1,
      sym_parenthesized_operator,
    STATE(18895), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5875), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6118), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6150), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152041] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5867), 1,
      sym__lowercase_identifier,
    ACTIONS(5871), 1,
      anon_sym_LPAREN,
    ACTIONS(5873), 1,
      anon_sym_LBRACK,
    ACTIONS(5877), 1,
      anon_sym_LBRACE,
    ACTIONS(5879), 1,
      anon_sym_object,
    ACTIONS(5881), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5883), 1,
      anon_sym_new,
    ACTIONS(5885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(5887), 1,
      anon_sym_begin,
    ACTIONS(5889), 1,
      sym_ocamlyacc_value,
    ACTIONS(5895), 1,
      aux_sym_number_token1,
    ACTIONS(5897), 1,
      anon_sym_SQUOTE,
    ACTIONS(5899), 1,
      anon_sym_DQUOTE,
    ACTIONS(5901), 1,
      sym_prefix_operator,
    ACTIONS(5903), 1,
      sym__uppercase_identifier,
    ACTIONS(5905), 1,
      aux_sym_tag_token1,
    ACTIONS(8666), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8668), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4763), 1,
      sym_attribute,
    STATE(6129), 1,
      sym__constructor_name,
    STATE(6167), 1,
      sym__simple_expression,
    STATE(6197), 1,
      sym__value_name,
    STATE(6247), 1,
      sym_parenthesized_operator,
    STATE(18895), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5875), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6118), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6150), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152229] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(315), 1,
      anon_sym_LBRACK,
    ACTIONS(319), 1,
      anon_sym_LBRACE,
    ACTIONS(329), 1,
      anon_sym_object,
    ACTIONS(333), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(343), 1,
      anon_sym_new,
    ACTIONS(345), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(347), 1,
      anon_sym_begin,
    ACTIONS(349), 1,
      sym_ocamlyacc_value,
    ACTIONS(355), 1,
      aux_sym_number_token1,
    ACTIONS(357), 1,
      anon_sym_SQUOTE,
    ACTIONS(359), 1,
      anon_sym_DQUOTE,
    ACTIONS(361), 1,
      sym_prefix_operator,
    ACTIONS(367), 1,
      sym__uppercase_identifier,
    ACTIONS(371), 1,
      aux_sym_tag_token1,
    ACTIONS(3087), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3089), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4183), 1,
      sym__lowercase_identifier,
    STATE(4494), 1,
      sym__constructor_name,
    STATE(4611), 1,
      sym__simple_expression,
    STATE(4725), 1,
      sym__value_name,
    STATE(4765), 1,
      sym_attribute,
    STATE(4766), 1,
      sym_parenthesized_operator,
    STATE(20412), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(317), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4516), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4566), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152417] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1283), 1,
      anon_sym_LPAREN,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1289), 1,
      anon_sym_LBRACE,
    ACTIONS(1291), 1,
      anon_sym_object,
    ACTIONS(1295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1313), 1,
      anon_sym_new,
    ACTIONS(1315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1317), 1,
      anon_sym_begin,
    ACTIONS(1319), 1,
      sym_ocamlyacc_value,
    ACTIONS(1321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1325), 1,
      aux_sym_number_token1,
    ACTIONS(1327), 1,
      anon_sym_SQUOTE,
    ACTIONS(1329), 1,
      anon_sym_DQUOTE,
    ACTIONS(1331), 1,
      sym_prefix_operator,
    ACTIONS(1335), 1,
      sym__uppercase_identifier,
    ACTIONS(1337), 1,
      aux_sym_tag_token1,
    ACTIONS(5173), 1,
      sym__lowercase_identifier,
    STATE(4767), 1,
      sym_attribute,
    STATE(5820), 1,
      sym__simple_expression,
    STATE(5831), 1,
      sym__constructor_name,
    STATE(5834), 1,
      sym__value_name,
    STATE(5938), 1,
      sym_parenthesized_operator,
    STATE(19714), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1287), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5829), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5921), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152742] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8674), 1,
      anon_sym_COLON,
    STATE(4771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152882] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8676), 1,
      anon_sym_COLON,
    STATE(4773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [152953] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8678), 1,
      anon_sym_COLON,
    STATE(4774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153227] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8680), 1,
      anon_sym_COLON,
    STATE(4778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153365] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8686), 1,
      aux_sym_attribute_id_token1,
    STATE(4780), 1,
      sym_attribute,
    STATE(4785), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8684), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8682), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [153436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153503] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5571), 1,
      anon_sym_COLON2,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8688), 1,
      anon_sym_COLON_GT,
    ACTIONS(8690), 1,
      anon_sym_EQ,
    STATE(4782), 1,
      sym_attribute,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(17242), 1,
      sym__polymorphic_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [153624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153758] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8696), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4785), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8694), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8692), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [153827] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5571), 1,
      anon_sym_COLON2,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8699), 1,
      anon_sym_COLON_GT,
    ACTIONS(8701), 1,
      anon_sym_EQ,
    STATE(4786), 1,
      sym_attribute,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18236), 1,
      sym__polymorphic_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [153948] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8686), 1,
      aux_sym_attribute_id_token1,
    STATE(4780), 1,
      aux_sym_attribute_id_repeat1,
    STATE(4787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8705), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8703), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [154019] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7252), 1,
      anon_sym_COLON2,
    ACTIONS(8707), 1,
      sym__lowercase_identifier,
    ACTIONS(8713), 1,
      anon_sym_LPAREN,
    ACTIONS(8716), 1,
      anon_sym_LBRACK,
    ACTIONS(8722), 1,
      anon_sym_LBRACE,
    ACTIONS(8725), 1,
      anon_sym_POUND,
    ACTIONS(8728), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8731), 1,
      anon_sym_begin,
    ACTIONS(8734), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8740), 1,
      aux_sym_number_token1,
    ACTIONS(8743), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8746), 1,
      anon_sym_SQUOTE,
    ACTIONS(8749), 1,
      anon_sym_DQUOTE,
    ACTIONS(8752), 1,
      sym__uppercase_identifier,
    ACTIONS(8755), 1,
      aux_sym_tag_token1,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8710), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(8719), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4788), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(7250), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [154134] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5571), 1,
      anon_sym_COLON2,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8758), 1,
      anon_sym_COLON_GT,
    ACTIONS(8760), 1,
      anon_sym_EQ,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4789), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(17235), 1,
      sym__polymorphic_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [154255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [154322] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5571), 1,
      anon_sym_COLON2,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8762), 1,
      anon_sym_COLON_GT,
    ACTIONS(8764), 1,
      anon_sym_EQ,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4791), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(17303), 1,
      sym__polymorphic_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [154443] = 32,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5571), 1,
      anon_sym_COLON2,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8766), 1,
      anon_sym_COLON_GT,
    ACTIONS(8768), 1,
      anon_sym_EQ,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4792), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(17373), 1,
      sym__polymorphic_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [154564] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8772), 1,
      anon_sym_DASH_GT,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4793), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19735), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [154682] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8776), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4794), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21339), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [154800] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8778), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4795), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20891), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [154918] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8780), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4796), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20731), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [155036] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8782), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4797), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21426), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [155154] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8784), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4798), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20053), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [155272] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8786), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4799), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20521), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [155390] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8788), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4800), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19458), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [155508] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8790), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4801), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19791), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [155626] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8792), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4802), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19662), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [155744] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8794), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4803), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20952), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [155862] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8796), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4804), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19321), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [155980] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8798), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4805), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20283), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [156098] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8800), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4806), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19577), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [156216] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8802), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4807), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18523), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [156334] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8804), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4808), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20310), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [156452] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8806), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4809), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19370), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [156570] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8808), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4810), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19184), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [156688] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8810), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4811), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20010), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [156806] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8812), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4812), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20204), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [156924] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8814), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4813), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20628), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [157042] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8816), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4814), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18493), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [157160] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8818), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4815), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19686), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [157278] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8820), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4816), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18852), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [157396] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8822), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4817), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21434), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [157514] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8824), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4818), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21394), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [157632] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8826), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4819), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20113), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [157750] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8828), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4820), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20262), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [157868] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8830), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4821), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20416), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [157986] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8832), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4822), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20437), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [158104] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8834), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4823), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20783), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [158222] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8836), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4824), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20878), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [158340] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8838), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4825), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18971), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [158458] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8840), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4826), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19740), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [158576] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8842), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4827), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18661), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [158694] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8844), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4828), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21419), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [158812] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8846), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4829), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20217), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [158930] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8848), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4830), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18709), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159048] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8850), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4831), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18620), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159166] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8852), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4832), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19660), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159284] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8854), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4833), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19712), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159402] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8856), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4834), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19415), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159520] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8858), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4835), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19901), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159638] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8860), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4836), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19879), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159756] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8862), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4837), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18774), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159874] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8864), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4838), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18916), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [159992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8694), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8692), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [160058] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8866), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4840), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20587), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160176] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8868), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4841), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19503), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160294] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8870), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4842), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20633), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160412] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8872), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4843), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18802), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160530] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8874), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4844), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20418), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160648] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8876), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4845), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20639), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160766] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8878), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4846), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18497), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [160884] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8880), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4847), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18550), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161002] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8882), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4848), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19246), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161120] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8884), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4849), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18800), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161238] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8886), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4850), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19904), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161356] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8888), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4851), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18845), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161474] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8890), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4852), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20564), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161592] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8892), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4853), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18992), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161710] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8894), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4854), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20727), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161828] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8896), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4855), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19008), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [161946] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8898), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4856), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19153), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162064] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8900), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4857), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19173), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162182] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8902), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4858), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20879), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162300] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8904), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4859), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20835), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162418] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8906), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4860), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20880), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162536] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8908), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4861), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19586), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162654] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8910), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4862), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20083), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [162772] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8912), 1,
      anon_sym_LT_DASH,
    STATE(4863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [162840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [162906] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8914), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4865), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21102), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [163090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [163156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [163222] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8916), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4869), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21112), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [163406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [163472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [163538] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8918), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4873), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18989), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163656] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8920), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4874), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21238), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163774] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8922), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4875), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21246), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [163892] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8924), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4876), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19035), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164010] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8926), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4877), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(18564), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164128] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8928), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4878), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19380), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164246] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8930), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4879), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19917), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164364] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8932), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4880), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21063), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164482] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8934), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4881), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21104), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [164666] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(4883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [164734] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8936), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4884), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20432), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164852] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8938), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4885), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20608), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [164970] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8940), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4886), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21378), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [165154] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8942), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4888), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20999), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165272] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8944), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4889), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(21415), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165390] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8946), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4890), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20346), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165508] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8948), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4891), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20140), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165626] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8950), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4892), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20171), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165744] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8952), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4893), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20808), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165862] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8954), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4894), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(19201), 1,
      sym__simple_typed,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [165980] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8956), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4895), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20826), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166098] = 31,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8770), 1,
      anon_sym_COLON2,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8958), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(4896), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    STATE(20420), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166216] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(4897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [166283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [166348] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4880), 1,
      aux_sym_let_binding_repeat1,
    STATE(4899), 1,
      sym_attribute,
    STATE(5227), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166463] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4886), 1,
      aux_sym_let_binding_repeat1,
    STATE(4900), 1,
      sym_attribute,
    STATE(5228), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166578] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4894), 1,
      aux_sym_let_binding_repeat1,
    STATE(4901), 1,
      sym_attribute,
    STATE(5229), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [166758] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4846), 1,
      aux_sym_let_binding_repeat1,
    STATE(4903), 1,
      sym_attribute,
    STATE(5247), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166873] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4816), 1,
      aux_sym_let_binding_repeat1,
    STATE(4904), 1,
      sym_attribute,
    STATE(5212), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [166988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [167053] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4849), 1,
      aux_sym_let_binding_repeat1,
    STATE(4906), 1,
      sym_attribute,
    STATE(5248), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [167233] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4853), 1,
      aux_sym_let_binding_repeat1,
    STATE(4908), 1,
      sym_attribute,
    STATE(5249), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167348] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4856), 1,
      aux_sym_let_binding_repeat1,
    STATE(4909), 1,
      sym_attribute,
    STATE(5250), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [167528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [167593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [167658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [167723] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4798), 1,
      aux_sym_let_binding_repeat1,
    STATE(4914), 1,
      sym_attribute,
    STATE(5231), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [167838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [167903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [167968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [168033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [168098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [168163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [168228] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4806), 1,
      aux_sym_let_binding_repeat1,
    STATE(4921), 1,
      sym_attribute,
    STATE(5232), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168343] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [168410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [168475] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4826), 1,
      aux_sym_let_binding_repeat1,
    STATE(4924), 1,
      sym_attribute,
    STATE(5213), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168590] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4810), 1,
      aux_sym_let_binding_repeat1,
    STATE(4925), 1,
      sym_attribute,
    STATE(5178), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [168770] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4813), 1,
      aux_sym_let_binding_repeat1,
    STATE(4927), 1,
      sym_attribute,
    STATE(5233), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [168885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [168950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169340] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8960), 1,
      anon_sym_LT_DASH,
    STATE(4935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(4943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169929] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4819), 1,
      aux_sym_let_binding_repeat1,
    STATE(4944), 1,
      sym_attribute,
    STATE(5234), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [170044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170109] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_DOT,
    STATE(4946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [170956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171476] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4874), 1,
      aux_sym_let_binding_repeat1,
    STATE(4967), 1,
      sym_attribute,
    STATE(5211), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171851] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4801), 1,
      aux_sym_let_binding_repeat1,
    STATE(4972), 1,
      sym_attribute,
    STATE(5210), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [171966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172096] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4823), 1,
      aux_sym_let_binding_repeat1,
    STATE(4975), 1,
      sym_attribute,
    STATE(5236), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172341] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4796), 1,
      aux_sym_let_binding_repeat1,
    STATE(4978), 1,
      sym_attribute,
    STATE(5286), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172586] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4865), 1,
      aux_sym_let_binding_repeat1,
    STATE(4981), 1,
      sym_attribute,
    STATE(5188), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172701] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4828), 1,
      aux_sym_let_binding_repeat1,
    STATE(4982), 1,
      sym_attribute,
    STATE(5237), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [172816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173011] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4850), 1,
      aux_sym_let_binding_repeat1,
    STATE(4986), 1,
      sym_attribute,
    STATE(5190), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173191] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4848), 1,
      aux_sym_let_binding_repeat1,
    STATE(4988), 1,
      sym_attribute,
    STATE(5195), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173306] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_DOT,
    ACTIONS(4559), 1,
      anon_sym_POUND,
    ACTIONS(4561), 1,
      sym_hash_operator,
    STATE(4989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173377] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4858), 1,
      aux_sym_let_binding_repeat1,
    STATE(4990), 1,
      sym_attribute,
    STATE(5175), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [173557] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4834), 1,
      aux_sym_let_binding_repeat1,
    STATE(4992), 1,
      sym_attribute,
    STATE(5238), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173672] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4827), 1,
      aux_sym_let_binding_repeat1,
    STATE(4993), 1,
      sym_attribute,
    STATE(5217), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173787] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4818), 1,
      aux_sym_let_binding_repeat1,
    STATE(4994), 1,
      sym_attribute,
    STATE(5198), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [173902] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4884), 1,
      aux_sym_let_binding_repeat1,
    STATE(4995), 1,
      sym_attribute,
    STATE(5199), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174017] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4800), 1,
      aux_sym_let_binding_repeat1,
    STATE(4996), 1,
      sym_attribute,
    STATE(5130), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174197] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8962), 1,
      anon_sym_LT_DASH,
    STATE(4998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174264] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4852), 1,
      aux_sym_let_binding_repeat1,
    STATE(4999), 1,
      sym_attribute,
    STATE(5200), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174379] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4877), 1,
      aux_sym_let_binding_repeat1,
    STATE(5000), 1,
      sym_attribute,
    STATE(5201), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174494] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4885), 1,
      aux_sym_let_binding_repeat1,
    STATE(5001), 1,
      sym_attribute,
    STATE(5202), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174609] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4879), 1,
      aux_sym_let_binding_repeat1,
    STATE(5002), 1,
      sym_attribute,
    STATE(5203), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174724] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4861), 1,
      aux_sym_let_binding_repeat1,
    STATE(5003), 1,
      sym_attribute,
    STATE(5204), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [174839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [174969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175099] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4837), 1,
      aux_sym_let_binding_repeat1,
    STATE(5008), 1,
      sym_attribute,
    STATE(5241), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175279] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4873), 1,
      aux_sym_let_binding_repeat1,
    STATE(5010), 1,
      sym_attribute,
    STATE(5218), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175459] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4895), 1,
      aux_sym_let_binding_repeat1,
    STATE(5012), 1,
      sym_attribute,
    STATE(5205), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175574] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4804), 1,
      aux_sym_let_binding_repeat1,
    STATE(5013), 1,
      sym_attribute,
    STATE(5220), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [175819] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4832), 1,
      aux_sym_let_binding_repeat1,
    STATE(5016), 1,
      sym_attribute,
    STATE(5221), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [175934] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4841), 1,
      aux_sym_let_binding_repeat1,
    STATE(5017), 1,
      sym_attribute,
    STATE(5242), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176114] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4891), 1,
      aux_sym_let_binding_repeat1,
    STATE(5019), 1,
      sym_attribute,
    STATE(5222), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176229] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4817), 1,
      aux_sym_let_binding_repeat1,
    STATE(5020), 1,
      sym_attribute,
    STATE(5208), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176344] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_DOT,
    ACTIONS(4559), 1,
      anon_sym_POUND,
    ACTIONS(4561), 1,
      sym_hash_operator,
    STATE(5021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176415] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4805), 1,
      aux_sym_let_binding_repeat1,
    STATE(5022), 1,
      sym_attribute,
    STATE(5223), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176530] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4821), 1,
      aux_sym_let_binding_repeat1,
    STATE(5023), 1,
      sym_attribute,
    STATE(5224), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176645] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4840), 1,
      aux_sym_let_binding_repeat1,
    STATE(5024), 1,
      sym_attribute,
    STATE(5225), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [176825] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4859), 1,
      aux_sym_let_binding_repeat1,
    STATE(5026), 1,
      sym_attribute,
    STATE(5226), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [176940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177070] = 30,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7369), 1,
      anon_sym_PERCENT,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4844), 1,
      aux_sym_let_binding_repeat1,
    STATE(5029), 1,
      sym_attribute,
    STATE(5244), 1,
      sym__attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177444] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8964), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(5034), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [177556] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8966), 1,
      anon_sym_LT_DASH,
    STATE(5035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177622] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(5036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7943), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [177688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177752] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8970), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5038), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8973), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8968), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [177818] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [177948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8975), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5041), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8973), 18,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8968), 29,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [178014] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [178976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7927), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7929), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [179168] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_DOT,
    ACTIONS(4569), 1,
      anon_sym_POUND,
    ACTIONS(4571), 1,
      sym_hash_operator,
    STATE(5060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7895), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [179302] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7933), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [179366] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7935), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7937), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [179430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179494] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7907), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [179558] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7909), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7911), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [179622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7915), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [179686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [179942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180390] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_DOT,
    STATE(5079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [180968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7917), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7919), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [181160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7923), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7925), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [181416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181544] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8978), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(5097), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [181656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182040] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4567), 1,
      anon_sym_DOT,
    ACTIONS(4569), 1,
      anon_sym_POUND,
    ACTIONS(4571), 1,
      sym_hash_operator,
    STATE(5104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182110] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8980), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(5105), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182222] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8982), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(5106), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182398] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8984), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(5108), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182510] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8774), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8986), 1,
      anon_sym_DASH_GT,
    STATE(4788), 1,
      aux_sym_let_binding_repeat1,
    STATE(5109), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [182622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [182942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [183902] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4802), 1,
      aux_sym_let_binding_repeat1,
    STATE(5130), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [184011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8260), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8302), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8326), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8306), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184263] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8226), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184326] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8090), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8336), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8338), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8046), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8074), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8006), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7917), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7919), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [184956] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7929), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8066), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185145] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8988), 1,
      anon_sym_lazy,
    STATE(2986), 1,
      sym_constructor_path,
    STATE(3001), 1,
      sym_tag,
    STATE(5149), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(20308), 1,
      sym_module_path,
    STATE(21027), 1,
      sym__effect_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13914), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [185256] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_POUND,
    ACTIONS(4581), 1,
      sym_hash_operator,
    STATE(5150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7927), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185388] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185451] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(5153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7943), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185516] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5034), 1,
      aux_sym_let_binding_repeat1,
    STATE(5154), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [185625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8128), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185688] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_DOT,
    ACTIONS(4579), 1,
      anon_sym_POUND,
    ACTIONS(4581), 1,
      sym_hash_operator,
    STATE(5156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8010), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [185946] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8196), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186009] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8280), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186135] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8318), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186198] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8042), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186324] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8070), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186450] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8208), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8268), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186702] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7895), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7935), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7937), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [186891] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4811), 1,
      aux_sym_let_binding_repeat1,
    STATE(5175), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [187000] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7925), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187063] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8988), 1,
      anon_sym_lazy,
    STATE(2986), 1,
      sym_constructor_path,
    STATE(3001), 1,
      sym_tag,
    STATE(5177), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(18562), 1,
      sym__effect_pattern,
    STATE(20308), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13914), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [187174] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4815), 1,
      aux_sym_let_binding_repeat1,
    STATE(5178), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [187283] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(5179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7943), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8050), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8054), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187474] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8230), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8172), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8200), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187726] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8990), 1,
      anon_sym_LT_DASH,
    STATE(5186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [187791] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4811), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(4851), 1,
      sym__uppercase_identifier,
    ACTIONS(4853), 1,
      aux_sym_tag_token1,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8988), 1,
      anon_sym_lazy,
    STATE(2986), 1,
      sym_constructor_path,
    STATE(3001), 1,
      sym_tag,
    STATE(5187), 1,
      sym_attribute,
    STATE(8774), 1,
      sym__constructor_name,
    STATE(19664), 1,
      sym__effect_pattern,
    STATE(20308), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(13866), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13914), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [187902] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4869), 1,
      aux_sym_let_binding_repeat1,
    STATE(5188), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [188011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8332), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8334), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188074] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4896), 1,
      aux_sym_let_binding_repeat1,
    STATE(5190), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [188183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8320), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8322), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188246] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7907), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7909), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7911), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7915), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188435] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4893), 1,
      aux_sym_let_binding_repeat1,
    STATE(5195), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [188544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8204), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [188670] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4831), 1,
      aux_sym_let_binding_repeat1,
    STATE(5198), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [188779] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4797), 1,
      aux_sym_let_binding_repeat1,
    STATE(5199), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [188888] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4854), 1,
      aux_sym_let_binding_repeat1,
    STATE(5200), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [188997] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4878), 1,
      aux_sym_let_binding_repeat1,
    STATE(5201), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189106] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4888), 1,
      aux_sym_let_binding_repeat1,
    STATE(5202), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189215] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4890), 1,
      aux_sym_let_binding_repeat1,
    STATE(5203), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189324] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4862), 1,
      aux_sym_let_binding_repeat1,
    STATE(5204), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189433] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4795), 1,
      aux_sym_let_binding_repeat1,
    STATE(5205), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7943), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189668] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4843), 1,
      aux_sym_let_binding_repeat1,
    STATE(5208), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189777] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4577), 1,
      anon_sym_DOT,
    STATE(5209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [189842] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4812), 1,
      aux_sym_let_binding_repeat1,
    STATE(5210), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [189951] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4875), 1,
      aux_sym_let_binding_repeat1,
    STATE(5211), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190060] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4825), 1,
      aux_sym_let_binding_repeat1,
    STATE(5212), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190169] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4836), 1,
      aux_sym_let_binding_repeat1,
    STATE(5213), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190278] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8342), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [190341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7917), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7919), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [190404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8192), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [190467] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4830), 1,
      aux_sym_let_binding_repeat1,
    STATE(5217), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190576] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4876), 1,
      aux_sym_let_binding_repeat1,
    STATE(5218), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7923), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7925), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [190748] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4809), 1,
      aux_sym_let_binding_repeat1,
    STATE(5220), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190857] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4833), 1,
      aux_sym_let_binding_repeat1,
    STATE(5221), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [190966] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4892), 1,
      aux_sym_let_binding_repeat1,
    STATE(5222), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191075] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4808), 1,
      aux_sym_let_binding_repeat1,
    STATE(5223), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191184] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4822), 1,
      aux_sym_let_binding_repeat1,
    STATE(5224), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191293] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4842), 1,
      aux_sym_let_binding_repeat1,
    STATE(5225), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191402] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4860), 1,
      aux_sym_let_binding_repeat1,
    STATE(5226), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191511] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4881), 1,
      aux_sym_let_binding_repeat1,
    STATE(5227), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191620] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4889), 1,
      aux_sym_let_binding_repeat1,
    STATE(5228), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191729] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4794), 1,
      aux_sym_let_binding_repeat1,
    STATE(5229), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [191838] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8168), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [191901] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4799), 1,
      aux_sym_let_binding_repeat1,
    STATE(5231), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192010] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4807), 1,
      aux_sym_let_binding_repeat1,
    STATE(5232), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192119] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4814), 1,
      aux_sym_let_binding_repeat1,
    STATE(5233), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192228] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4820), 1,
      aux_sym_let_binding_repeat1,
    STATE(5234), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192400] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4824), 1,
      aux_sym_let_binding_repeat1,
    STATE(5236), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192509] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4829), 1,
      aux_sym_let_binding_repeat1,
    STATE(5237), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192618] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4835), 1,
      aux_sym_let_binding_repeat1,
    STATE(5238), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8296), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [192853] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4838), 1,
      aux_sym_let_binding_repeat1,
    STATE(5241), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [192962] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4793), 1,
      aux_sym_let_binding_repeat1,
    STATE(5242), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193134] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4845), 1,
      aux_sym_let_binding_repeat1,
    STATE(5244), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8272), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193369] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4847), 1,
      aux_sym_let_binding_repeat1,
    STATE(5247), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193478] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4851), 1,
      aux_sym_let_binding_repeat1,
    STATE(5248), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193587] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5249), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193696] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4857), 1,
      aux_sym_let_binding_repeat1,
    STATE(5250), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [193805] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7895), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7933), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7937), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [193994] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5097), 1,
      aux_sym_let_binding_repeat1,
    STATE(5254), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194103] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5105), 1,
      aux_sym_let_binding_repeat1,
    STATE(5255), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194212] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5106), 1,
      aux_sym_let_binding_repeat1,
    STATE(5256), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194321] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5108), 1,
      aux_sym_let_binding_repeat1,
    STATE(5257), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194430] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5109), 1,
      aux_sym_let_binding_repeat1,
    STATE(5258), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [194539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7907), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194602] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7909), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7911), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7915), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194728] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8276), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194854] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8314), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [194982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8330), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8058), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8124), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195171] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8244), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195234] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8292), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195297] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8346), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195360] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195486] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8992), 1,
      anon_sym_COLON,
    STATE(5274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [195551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8994), 29,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [195614] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8082), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195805] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8086), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8098), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [195994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8002), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8994), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [196120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196183] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8350), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196246] = 28,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(4803), 1,
      aux_sym_let_binding_repeat1,
    STATE(5286), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10533), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5559), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10686), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [196355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8318), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196417] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4597), 1,
      anon_sym_DOT,
    ACTIONS(4599), 1,
      anon_sym_POUND,
    ACTIONS(4601), 1,
      sym_hash_operator,
    STATE(5288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8066), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7943), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196671] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8098), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196795] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8296), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196857] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [196981] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8180), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8318), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8090), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8334), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197353] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197417] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8196), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8192), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8230), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8272), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8292), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197789] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8280), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197851] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8314), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8128), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [197975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8204), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8054), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8332), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8334), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198223] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8086), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198533] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8336), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8338), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8086), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8098), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8042), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8050), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8046), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [198967] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8280), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199091] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8998), 1,
      anon_sym_LT_DASH,
    STATE(5331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199155] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9000), 1,
      anon_sym_COLON,
    STATE(5332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [199219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8070), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199281] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8208), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8268), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8196), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199653] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4597), 1,
      anon_sym_DOT,
    STATE(5340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8074), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199841] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8230), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [199965] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8010), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8260), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200151] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200213] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8172), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200337] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200401] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8168), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8302), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8326), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8306), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200773] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_DOT,
    STATE(5358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8320), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8322), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [200899] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201025] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8276), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8058), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8226), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8090), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201397] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4597), 1,
      anon_sym_DOT,
    ACTIONS(4599), 1,
      anon_sym_POUND,
    ACTIONS(4601), 1,
      sym_hash_operator,
    STATE(5368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7895), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8066), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8200), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8204), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [201961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8082), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8168), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202271] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7937), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202333] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [202397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8338), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8046), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8128), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202583] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_DOT,
    ACTIONS(4589), 1,
      anon_sym_POUND,
    ACTIONS(4591), 1,
      sym_hash_operator,
    STATE(5387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8296), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8010), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8074), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [202961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8172), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8192), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8054), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203271] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7917), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7919), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7943), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8346), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203519] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8350), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203705] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8342), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8042), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203891] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [203955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8050), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7907), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7909), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7911), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204141] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7915), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204203] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8070), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8314), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204327] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4587), 1,
      anon_sym_DOT,
    ACTIONS(4589), 1,
      anon_sym_POUND,
    ACTIONS(4591), 1,
      sym_hash_operator,
    STATE(5415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8200), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204519] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8272), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8006), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204705] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8208), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204891] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8268), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [204953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8320), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8322), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8260), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8330), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205263] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8350), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8082), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7925), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205449] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205513] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(5434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7943), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [205639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8342), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205701] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8302), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205889] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [205953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8276), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8330), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8244), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8002), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [206325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8326), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206449] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8006), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8058), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8306), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8124), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206759] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8002), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206821] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9002), 1,
      anon_sym_LT_DASH,
    STATE(5455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8244), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [206947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8292), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207009] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8226), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8124), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8346), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207257] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8010), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8208), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8268), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8212), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207684] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8280), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8222), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207806] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [207869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8158), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [207991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8172), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8200), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8320), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8322), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8204), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208357] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9008), 1,
      anon_sym_COLON,
    STATE(5480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8364), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8196), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9012), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8292), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208664] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208727] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4667), 1,
      anon_sym_DOT,
    STATE(5486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8146), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208790] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_COLON,
    STATE(5487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8346), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8230), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [208975] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8168), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8318), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8296), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8334), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8062), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8054), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8180), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8346), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209770] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209831] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8086), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8272), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [209953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8138), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210014] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8260), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210075] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_COLON,
    STATE(5508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [210138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8082), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210199] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4667), 1,
      anon_sym_DOT,
    ACTIONS(4669), 1,
      anon_sym_POUND,
    ACTIONS(4671), 1,
      sym_hash_operator,
    STATE(5510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210266] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8302), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8326), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210388] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8306), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210449] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8226), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210571] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9022), 1,
      anon_sym_DOT_DOT,
    STATE(5516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4737), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [210634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8090), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210756] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8338), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8046), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [210939] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_DOT_DOT,
    STATE(5522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4737), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8098), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7943), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211124] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8002), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211185] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [211248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211431] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4667), 1,
      anon_sym_DOT,
    ACTIONS(4669), 1,
      anon_sym_POUND,
    ACTIONS(4671), 1,
      sym_hash_operator,
    STATE(5530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8150), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8276), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211681] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9026), 1,
      anon_sym_LT_DASH,
    STATE(5534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9028), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [211805] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8192), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8350), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [211988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8314), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8314), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [212171] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9032), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [212295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8342), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8074), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212417] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8244), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8050), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8078), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [212905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [212966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8116), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8042), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [213271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213332] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8006), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8120), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [213698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8058), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [213942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8070), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8128), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [214125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9036), 34,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [214186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [214308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8066), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8154), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214430] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8216), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8330), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214615] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8124), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [214736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9040), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [214796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9044), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [214856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8346), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [214976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9052), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [215036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9060), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [215156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9048), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [215216] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9064), 1,
      anon_sym_COLON,
    STATE(5592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8364), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8120), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8154), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [215698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9066), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [215818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9074), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [215878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [215998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [216178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [216238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [216418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9094), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [216538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [216598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9012), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [216958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [217078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [217198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8314), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217438] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5619), 1,
      anon_sym_COLON_COLON,
    STATE(5629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [217560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9102), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [217620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [217680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [217800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9012), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [217920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9118), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [217980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8624), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8626), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218040] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5613), 1,
      anon_sym_COMMA,
    ACTIONS(5619), 1,
      anon_sym_COLON_COLON,
    STATE(5639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [218104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218164] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9138), 1,
      anon_sym_LT_DASH,
    STATE(5641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [218346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218406] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9148), 1,
      anon_sym_DOT_DOT,
    STATE(5645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4737), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [218468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8082), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4737), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [218588] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5613), 1,
      anon_sym_COMMA,
    ACTIONS(5615), 1,
      anon_sym_PIPE,
    ACTIONS(5619), 1,
      anon_sym_COLON_COLON,
    STATE(5648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [218654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9056), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [218714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [218954] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9158), 1,
      anon_sym_COLON,
    STATE(5654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219016] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(5655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9160), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219318] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5613), 1,
      anon_sym_COMMA,
    STATE(5660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9176), 1,
      anon_sym_DOT_DOT,
    STATE(5664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4737), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219622] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9178), 1,
      anon_sym_COLON,
    STATE(5665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8364), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [219804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [219984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9186), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4737), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [220824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [220944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9188), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9090), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9166), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [221844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [221964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9086), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [222864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222924] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5563), 1,
      anon_sym_COMMA,
    ACTIONS(5579), 1,
      anon_sym_COLON_COLON,
    STATE(5720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [222988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223048] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5563), 1,
      anon_sym_COMMA,
    STATE(5722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223170] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5563), 1,
      anon_sym_COMMA,
    ACTIONS(5565), 1,
      anon_sym_PIPE,
    ACTIONS(5579), 1,
      anon_sym_COLON_COLON,
    STATE(5724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223356] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5579), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9126), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223418] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9224), 1,
      anon_sym_COLON,
    STATE(5728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9130), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [223720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9136), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [223960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9070), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [224500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224559] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(5747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [224797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224974] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5921), 1,
      anon_sym_COLON_COLON,
    STATE(5754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9126), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225507] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5177), 1,
      anon_sym_DOT,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      sym_hash_operator,
    STATE(5763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9166), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [225985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7943), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9214), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9222), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [226929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9186), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [227873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9100), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228404] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [228583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228878] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5177), 1,
      anon_sym_DOT,
    ACTIONS(5179), 1,
      anon_sym_POUND,
    ACTIONS(5181), 1,
      sym_hash_operator,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9186), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229061] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9226), 1,
      anon_sym_LT_DASH,
    STATE(5823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7943), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4735), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(4737), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [229653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [229948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9166), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230066] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9228), 1,
      anon_sym_LT_DASH,
    STATE(5840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9062), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230481] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      anon_sym_COLON,
    STATE(5847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8364), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8624), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8626), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8098), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230837] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5865), 1,
      anon_sym_COLON_COLON,
    STATE(5853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230900] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    STATE(5854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8054), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231256] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9088), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231669] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(5867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231789] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8624), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8626), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9046), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [231966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232025] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    ACTIONS(5861), 1,
      anon_sym_PIPE,
    ACTIONS(5865), 1,
      anon_sym_COLON_COLON,
    STATE(5873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [232090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8062), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9068), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233270] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5865), 1,
      anon_sym_COLON_COLON,
    STATE(5894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9128), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9088), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9222), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8098), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9100), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234275] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5915), 1,
      anon_sym_COMMA,
    ACTIONS(5921), 1,
      anon_sym_COLON_COLON,
    STATE(5911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [234338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9136), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9124), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9116), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9132), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [234869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234928] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5915), 1,
      anon_sym_COMMA,
    STATE(5922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9134), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [234989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9136), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235107] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5915), 1,
      anon_sym_COMMA,
    ACTIONS(5917), 1,
      anon_sym_PIPE,
    ACTIONS(5921), 1,
      anon_sym_COLON_COLON,
    STATE(5925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [235172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9214), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9124), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8192), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9042), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235585] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5177), 1,
      anon_sym_DOT,
    STATE(5933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9058), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4737), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(4735), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9072), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8050), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9054), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237061] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5189), 1,
      anon_sym_DOT,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237585] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(5967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(5969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237937] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4773), 1,
      sym__lowercase_identifier,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_LBRACE,
    ACTIONS(4783), 1,
      anon_sym_POUND,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4789), 1,
      anon_sym_begin,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(4803), 1,
      sym__uppercase_identifier,
    ACTIONS(4805), 1,
      aux_sym_tag_token1,
    ACTIONS(5005), 1,
      anon_sym_LPAREN,
    ACTIONS(7539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7541), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5568), 1,
      sym__constructor_name,
    STATE(5605), 1,
      sym_list_binding_pattern,
    STATE(5609), 1,
      sym_array_binding_pattern,
    STATE(5672), 1,
      sym__simple_binding_pattern,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(5688), 1,
      sym_record_binding_pattern,
    STATE(5973), 1,
      sym_attribute,
    STATE(21428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4779), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5680), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [238043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238101] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      anon_sym_LT_DASH,
    STATE(5975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238451] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238567] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4959), 1,
      sym__lowercase_identifier,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4967), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_POUND,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4975), 1,
      anon_sym_begin,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(4989), 1,
      sym__uppercase_identifier,
    ACTIONS(4991), 1,
      aux_sym_tag_token1,
    ACTIONS(5111), 1,
      anon_sym_LPAREN,
    ACTIONS(8132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5635), 1,
      sym__constructor_name,
    STATE(5771), 1,
      sym_record_binding_pattern,
    STATE(5785), 1,
      sym_list_binding_pattern,
    STATE(5807), 1,
      sym__simple_binding_pattern,
    STATE(5845), 1,
      sym_array_binding_pattern,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(5983), 1,
      sym_attribute,
    STATE(18492), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5948), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [238673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238905] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8624), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8626), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238963] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5425), 1,
      sym__uppercase_identifier,
    ACTIONS(5427), 1,
      aux_sym_tag_token1,
    ACTIONS(5549), 1,
      sym__lowercase_identifier,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5573), 1,
      anon_sym_LBRACE,
    ACTIONS(5577), 1,
      anon_sym_POUND,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5583), 1,
      anon_sym_begin,
    ACTIONS(5591), 1,
      aux_sym_number_token1,
    ACTIONS(5593), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5595), 1,
      anon_sym_SQUOTE,
    ACTIONS(5597), 1,
      anon_sym_DQUOTE,
    ACTIONS(7669), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7671), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9234), 1,
      anon_sym_LPAREN,
    STATE(5989), 1,
      sym_attribute,
    STATE(8812), 1,
      sym__constructor_name,
    STATE(10554), 1,
      sym__simple_pattern,
    STATE(20212), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10589), 2,
      sym__constant,
      sym_signed_number,
    STATE(10669), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10573), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239061] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7595), 1,
      sym__lowercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      sym__uppercase_identifier,
    STATE(5990), 1,
      sym_attribute,
    STATE(14052), 1,
      sym__simple_binding_pattern,
    STATE(14110), 1,
      sym__constructor_name,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(20425), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14127), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [239167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239341] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9238), 1,
      sym__uppercase_identifier,
    ACTIONS(9240), 1,
      anon_sym_LPAREN,
    STATE(5994), 1,
      sym_attribute,
    STATE(13867), 1,
      sym__simple_pattern,
    STATE(14110), 1,
      sym__constructor_name,
    STATE(20779), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13914), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239555] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7209), 1,
      sym__lowercase_identifier,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7217), 1,
      anon_sym_LBRACE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(9242), 1,
      anon_sym_LPAREN,
    ACTIONS(9244), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      aux_sym_tag_token1,
    STATE(5997), 1,
      sym_attribute,
    STATE(14891), 1,
      sym__simple_pattern,
    STATE(14895), 1,
      sym__constructor_name,
    STATE(21243), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14689), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239653] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7137), 1,
      anon_sym_POUND,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9238), 1,
      sym__uppercase_identifier,
    ACTIONS(9240), 1,
      anon_sym_LPAREN,
    STATE(5998), 1,
      sym_attribute,
    STATE(13901), 1,
      sym__simple_pattern,
    STATE(14110), 1,
      sym__constructor_name,
    STATE(20779), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13914), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239809] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4733), 1,
      sym__lowercase_identifier,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4747), 1,
      anon_sym_LBRACE,
    ACTIONS(4749), 1,
      anon_sym_POUND,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4755), 1,
      anon_sym_begin,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      sym__uppercase_identifier,
    ACTIONS(4771), 1,
      aux_sym_tag_token1,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    ACTIONS(7403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5554), 1,
      sym__constructor_name,
    STATE(5588), 1,
      sym_list_binding_pattern,
    STATE(5590), 1,
      sym_array_binding_pattern,
    STATE(5614), 1,
      sym__simple_binding_pattern,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5738), 1,
      sym_record_binding_pattern,
    STATE(6000), 1,
      sym_attribute,
    STATE(18981), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4745), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5647), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [239915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240205] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7087), 1,
      sym__lowercase_identifier,
    ACTIONS(7095), 1,
      anon_sym_LBRACK,
    ACTIONS(7101), 1,
      anon_sym_LBRACE,
    ACTIONS(7103), 1,
      anon_sym_POUND,
    ACTIONS(7105), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7107), 1,
      anon_sym_begin,
    ACTIONS(7113), 1,
      aux_sym_number_token1,
    ACTIONS(7115), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7117), 1,
      anon_sym_SQUOTE,
    ACTIONS(7119), 1,
      anon_sym_DQUOTE,
    ACTIONS(7121), 1,
      sym__uppercase_identifier,
    ACTIONS(7123), 1,
      aux_sym_tag_token1,
    ACTIONS(9248), 1,
      anon_sym_LPAREN,
    ACTIONS(9250), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9252), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6006), 1,
      sym_attribute,
    STATE(8210), 1,
      sym__simple_pattern,
    STATE(8226), 1,
      sym__constructor_name,
    STATE(19457), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7097), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8343), 2,
      sym__constant,
      sym_signed_number,
    STATE(8225), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8242), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240593] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5017), 1,
      sym__lowercase_identifier,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5025), 1,
      anon_sym_LBRACE,
    ACTIONS(5027), 1,
      anon_sym_POUND,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5033), 1,
      anon_sym_begin,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(5047), 1,
      sym__uppercase_identifier,
    ACTIONS(5049), 1,
      aux_sym_tag_token1,
    ACTIONS(5183), 1,
      anon_sym_LPAREN,
    ACTIONS(8238), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8240), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5723), 1,
      sym__constructor_name,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5842), 1,
      sym_record_binding_pattern,
    STATE(5870), 1,
      sym_array_binding_pattern,
    STATE(5905), 1,
      sym__simple_binding_pattern,
    STATE(5956), 1,
      sym_list_binding_pattern,
    STATE(6012), 1,
      sym_attribute,
    STATE(19838), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5023), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5832), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [240699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240757] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(7679), 1,
      sym__lowercase_identifier,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7685), 1,
      anon_sym_LBRACE,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9244), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      aux_sym_tag_token1,
    ACTIONS(9254), 1,
      anon_sym_LPAREN,
    STATE(6014), 1,
      sym_attribute,
    STATE(14780), 1,
      sym_record_binding_pattern,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14793), 1,
      sym_list_binding_pattern,
    STATE(14861), 1,
      sym_array_binding_pattern,
    STATE(14895), 1,
      sym__constructor_name,
    STATE(14899), 1,
      sym__simple_binding_pattern,
    STATE(20774), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14701), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [240863] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7209), 1,
      sym__lowercase_identifier,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7217), 1,
      anon_sym_LBRACE,
    ACTIONS(7221), 1,
      anon_sym_POUND,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7227), 1,
      anon_sym_begin,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(9242), 1,
      anon_sym_LPAREN,
    ACTIONS(9244), 1,
      sym__uppercase_identifier,
    ACTIONS(9246), 1,
      aux_sym_tag_token1,
    STATE(6015), 1,
      sym_attribute,
    STATE(14696), 1,
      sym__simple_pattern,
    STATE(14895), 1,
      sym__constructor_name,
    STATE(21243), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7215), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14689), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241019] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9256), 1,
      anon_sym_LPAREN,
    ACTIONS(9258), 1,
      sym__uppercase_identifier,
    STATE(6017), 1,
      sym_attribute,
    STATE(9287), 1,
      sym__constructor_name,
    STATE(13901), 1,
      sym__simple_pattern,
    STATE(20150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13914), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241117] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241525] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7165), 1,
      sym__lowercase_identifier,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7173), 1,
      anon_sym_LBRACE,
    ACTIONS(7175), 1,
      anon_sym_POUND,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7181), 1,
      anon_sym_begin,
    ACTIONS(7183), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7185), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(7195), 1,
      sym__uppercase_identifier,
    ACTIONS(7197), 1,
      aux_sym_tag_token1,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    STATE(6025), 1,
      sym_attribute,
    STATE(9100), 1,
      sym__constructor_name,
    STATE(9208), 1,
      sym__simple_binding_pattern,
    STATE(9215), 1,
      sym_record_binding_pattern,
    STATE(9226), 1,
      sym_list_binding_pattern,
    STATE(9234), 1,
      sym_array_binding_pattern,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(18922), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7171), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9212), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [241631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241747] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9258), 1,
      sym__uppercase_identifier,
    ACTIONS(9260), 1,
      anon_sym_LPAREN,
    STATE(6028), 1,
      sym_attribute,
    STATE(9287), 1,
      sym__constructor_name,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(14052), 1,
      sym__simple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(20147), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14127), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [241853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241911] = 29,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5413), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(8374), 1,
      sym__lowercase_identifier,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    STATE(6030), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(14052), 1,
      sym__simple_binding_pattern,
    STATE(14166), 1,
      sym_record_binding_pattern,
    STATE(14167), 1,
      sym_list_binding_pattern,
    STATE(14182), 1,
      sym_array_binding_pattern,
    STATE(19455), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14127), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [242017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242075] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5189), 1,
      anon_sym_DOT,
    ACTIONS(5191), 1,
      anon_sym_POUND,
    ACTIONS(5193), 1,
      sym_hash_operator,
    STATE(6032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242255] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9256), 1,
      anon_sym_LPAREN,
    ACTIONS(9258), 1,
      sym__uppercase_identifier,
    STATE(6035), 1,
      sym_attribute,
    STATE(9287), 1,
      sym__constructor_name,
    STATE(13867), 1,
      sym__simple_pattern,
    STATE(20150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13914), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242759] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6839), 1,
      sym__lowercase_identifier,
    ACTIONS(6851), 1,
      anon_sym_LBRACK,
    ACTIONS(6857), 1,
      anon_sym_LBRACE,
    ACTIONS(6859), 1,
      anon_sym_POUND,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6863), 1,
      anon_sym_begin,
    ACTIONS(6869), 1,
      aux_sym_number_token1,
    ACTIONS(6871), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6873), 1,
      anon_sym_SQUOTE,
    ACTIONS(6875), 1,
      anon_sym_DQUOTE,
    ACTIONS(6877), 1,
      sym__uppercase_identifier,
    ACTIONS(6879), 1,
      aux_sym_tag_token1,
    ACTIONS(9264), 1,
      anon_sym_LPAREN,
    ACTIONS(9266), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9268), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6043), 1,
      sym_attribute,
    STATE(7791), 1,
      sym__constructor_name,
    STATE(7937), 1,
      sym__simple_pattern,
    STATE(18947), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6853), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7839), 2,
      sym__constant,
      sym_signed_number,
    STATE(7771), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7935), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242857] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242973] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8256), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243495] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5189), 1,
      anon_sym_DOT,
    ACTIONS(5191), 1,
      anon_sym_POUND,
    ACTIONS(5193), 1,
      sym_hash_operator,
    STATE(6055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243617] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7547), 1,
      sym__lowercase_identifier,
    ACTIONS(7555), 1,
      anon_sym_LBRACK,
    ACTIONS(7561), 1,
      anon_sym_LBRACE,
    ACTIONS(7565), 1,
      anon_sym_POUND,
    ACTIONS(7567), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7569), 1,
      anon_sym_begin,
    ACTIONS(7577), 1,
      aux_sym_number_token1,
    ACTIONS(7579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7581), 1,
      anon_sym_SQUOTE,
    ACTIONS(7583), 1,
      anon_sym_DQUOTE,
    ACTIONS(7585), 1,
      sym__uppercase_identifier,
    ACTIONS(7587), 1,
      aux_sym_tag_token1,
    ACTIONS(9270), 1,
      anon_sym_LPAREN,
    ACTIONS(9272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9274), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6057), 1,
      sym_attribute,
    STATE(9166), 1,
      sym__constructor_name,
    STATE(9189), 1,
      sym__simple_pattern,
    STATE(18994), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9125), 2,
      sym__constant,
      sym_signed_number,
    STATE(9163), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9151), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243715] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7049), 1,
      sym__lowercase_identifier,
    ACTIONS(7057), 1,
      anon_sym_LBRACK,
    ACTIONS(7063), 1,
      anon_sym_LBRACE,
    ACTIONS(7065), 1,
      anon_sym_POUND,
    ACTIONS(7067), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7069), 1,
      anon_sym_begin,
    ACTIONS(7075), 1,
      aux_sym_number_token1,
    ACTIONS(7077), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7079), 1,
      anon_sym_SQUOTE,
    ACTIONS(7081), 1,
      anon_sym_DQUOTE,
    ACTIONS(7083), 1,
      sym__uppercase_identifier,
    ACTIONS(7085), 1,
      aux_sym_tag_token1,
    ACTIONS(9276), 1,
      anon_sym_LPAREN,
    ACTIONS(9278), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9280), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6058), 1,
      sym_attribute,
    STATE(8130), 1,
      sym__simple_pattern,
    STATE(8144), 1,
      sym__constructor_name,
    STATE(18495), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7059), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8264), 2,
      sym__constant,
      sym_signed_number,
    STATE(8151), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8168), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244335] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4807), 1,
      sym__lowercase_identifier,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_LBRACE,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(4837), 1,
      anon_sym_begin,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(6791), 1,
      anon_sym_POUND,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9282), 1,
      anon_sym_LPAREN,
    STATE(6068), 1,
      sym_attribute,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(13867), 1,
      sym__simple_pattern,
    STATE(19847), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4819), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(13914), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244433] = 25,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6795), 1,
      sym__lowercase_identifier,
    ACTIONS(6807), 1,
      anon_sym_LBRACK,
    ACTIONS(6813), 1,
      anon_sym_LBRACE,
    ACTIONS(6815), 1,
      anon_sym_POUND,
    ACTIONS(6817), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6819), 1,
      anon_sym_begin,
    ACTIONS(6827), 1,
      aux_sym_number_token1,
    ACTIONS(6829), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6831), 1,
      anon_sym_SQUOTE,
    ACTIONS(6833), 1,
      anon_sym_DQUOTE,
    ACTIONS(6835), 1,
      sym__uppercase_identifier,
    ACTIONS(6837), 1,
      aux_sym_tag_token1,
    ACTIONS(9284), 1,
      anon_sym_LPAREN,
    ACTIONS(9286), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9288), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6069), 1,
      sym_attribute,
    STATE(7940), 1,
      sym__constructor_name,
    STATE(7963), 1,
      sym__simple_pattern,
    STATE(20426), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6809), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8008), 2,
      sym__constant,
      sym_signed_number,
    STATE(7939), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7945), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244531] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9290), 1,
      anon_sym_LT_DASH,
    STATE(6070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [244648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [244705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [244762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [244819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [244876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [244933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [244990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245218] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9292), 1,
      sym__lowercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LPAREN,
    ACTIONS(9296), 1,
      anon_sym_private,
    ACTIONS(9298), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    STATE(6082), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(9964), 1,
      sym__simple_type,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(11946), 1,
      sym__proper_tuple_type,
    STATE(12482), 1,
      sym_constructor_declaration,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(18755), 1,
      sym_labeled_tuple_element_type,
    STATE(18788), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11647), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [245327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245555] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9292), 1,
      sym__lowercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LPAREN,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9324), 1,
      anon_sym_private,
    ACTIONS(9326), 1,
      anon_sym_DOT_DOT,
    STATE(6087), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(9964), 1,
      sym__simple_type,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(11946), 1,
      sym__proper_tuple_type,
    STATE(12482), 1,
      sym_constructor_declaration,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(18755), 1,
      sym_labeled_tuple_element_type,
    STATE(18788), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11656), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [245664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [245949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246120] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9328), 1,
      sym__lowercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LPAREN,
    ACTIONS(9332), 1,
      anon_sym_private,
    ACTIONS(9334), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9336), 1,
      anon_sym_PIPE,
    ACTIONS(9338), 1,
      anon_sym_LBRACK,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    STATE(6096), 1,
      sym_attribute,
    STATE(9553), 1,
      sym__simple_type,
    STATE(9608), 1,
      sym__type,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11341), 1,
      sym__proper_tuple_type,
    STATE(11638), 1,
      sym_constructor_declaration,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18760), 1,
      sym_labeled_argument_type,
    STATE(21331), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10913), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [246229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246514] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246628] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246685] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9356), 1,
      anon_sym_DOT,
    STATE(6105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246801] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [246860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [246974] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247031] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247375] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9358), 1,
      sym__lowercase_identifier,
    ACTIONS(9360), 1,
      anon_sym_LPAREN,
    ACTIONS(9362), 1,
      anon_sym_private,
    ACTIONS(9364), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9366), 1,
      anon_sym_PIPE,
    ACTIONS(9368), 1,
      anon_sym_LBRACK,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    STATE(6117), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(10057), 1,
      sym__simple_type,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym__proper_tuple_type,
    STATE(12485), 1,
      sym_constructor_declaration,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(18964), 1,
      sym_labeled_argument_type,
    STATE(19394), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11686), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [247484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247712] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9358), 1,
      sym__lowercase_identifier,
    ACTIONS(9360), 1,
      anon_sym_LPAREN,
    ACTIONS(9366), 1,
      anon_sym_PIPE,
    ACTIONS(9368), 1,
      anon_sym_LBRACK,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9386), 1,
      anon_sym_private,
    ACTIONS(9388), 1,
      anon_sym_DOT_DOT,
    STATE(6122), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(10057), 1,
      sym__simple_type,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym__proper_tuple_type,
    STATE(12485), 1,
      sym_constructor_declaration,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(18964), 1,
      sym_labeled_argument_type,
    STATE(19394), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11696), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [247821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [247935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [247992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248049] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [248849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [248963] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9390), 1,
      sym__lowercase_identifier,
    ACTIONS(9392), 1,
      anon_sym_LPAREN,
    ACTIONS(9394), 1,
      anon_sym_private,
    ACTIONS(9396), 1,
      anon_sym_DOT_DOT,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9400), 1,
      anon_sym_LBRACK,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    STATE(6143), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(9651), 1,
      sym__simple_type,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11184), 1,
      sym__proper_tuple_type,
    STATE(11755), 1,
      sym_constructor_declaration,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(20090), 1,
      sym_labeled_tuple_element_type,
    STATE(21252), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10803), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [249072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249243] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9390), 1,
      sym__lowercase_identifier,
    ACTIONS(9392), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9400), 1,
      anon_sym_LBRACK,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9418), 1,
      anon_sym_private,
    ACTIONS(9420), 1,
      anon_sym_DOT_DOT,
    STATE(6147), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(9651), 1,
      sym__simple_type,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11184), 1,
      sym__proper_tuple_type,
    STATE(11755), 1,
      sym_constructor_declaration,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(20090), 1,
      sym_labeled_tuple_element_type,
    STATE(21252), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10815), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [249352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [249639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [249981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250437] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9422), 1,
      anon_sym_DOT,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [250952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [251978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252092] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [252607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [252949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253120] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9424), 1,
      anon_sym_LT_DASH,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253179] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9426), 1,
      anon_sym_LT_DASH,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253238] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9428), 1,
      anon_sym_LT_DASH,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253297] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9430), 1,
      anon_sym_LT_DASH,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [253926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254040] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254154] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [254439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254838] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254952] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255579] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255638] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255752] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [255866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [255980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256265] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [256951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [257065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257236] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257293] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257466] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257694] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257753] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9432), 1,
      anon_sym_LT_DASH,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [257983] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258040] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258213] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [258612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [258954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259068] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259182] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5265), 1,
      anon_sym_DOT,
    ACTIONS(5267), 1,
      anon_sym_POUND,
    ACTIONS(5269), 1,
      sym_hash_operator,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259302] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259416] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259587] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9434), 1,
      anon_sym_COLON,
    STATE(6327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259703] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5265), 1,
      anon_sym_DOT,
    STATE(6329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259933] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9436), 1,
      anon_sym_LT_DASH,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259992] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260391] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [260562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260676] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [260961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261018] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5265), 1,
      anon_sym_DOT,
    ACTIONS(5267), 1,
      anon_sym_POUND,
    ACTIONS(5269), 1,
      sym_hash_operator,
    STATE(6352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261195] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9356), 1,
      anon_sym_DOT,
    ACTIONS(9438), 1,
      anon_sym_POUND,
    ACTIONS(9440), 1,
      sym_hash_operator,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261315] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261600] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9356), 1,
      anon_sym_DOT,
    ACTIONS(9438), 1,
      anon_sym_POUND,
    ACTIONS(9440), 1,
      sym_hash_operator,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8192), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [262404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262575] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9422), 1,
      anon_sym_DOT,
    ACTIONS(9442), 1,
      anon_sym_POUND,
    ACTIONS(9444), 1,
      sym_hash_operator,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262638] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [262695] = 31,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9328), 1,
      sym__lowercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LPAREN,
    ACTIONS(9336), 1,
      anon_sym_PIPE,
    ACTIONS(9338), 1,
      anon_sym_LBRACK,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9446), 1,
      anon_sym_private,
    ACTIONS(9448), 1,
      anon_sym_DOT_DOT,
    STATE(6381), 1,
      sym_attribute,
    STATE(9553), 1,
      sym__simple_type,
    STATE(9608), 1,
      sym__type,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11341), 1,
      sym__proper_tuple_type,
    STATE(11638), 1,
      sym_constructor_declaration,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18760), 1,
      sym_labeled_argument_type,
    STATE(21331), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10975), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [262804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8350), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [262975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8342), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [263032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8050), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [263317] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9422), 1,
      anon_sym_DOT,
    ACTIONS(9442), 1,
      anon_sym_POUND,
    ACTIONS(9444), 1,
      sym_hash_operator,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263437] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263667] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263726] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9450), 1,
      anon_sym_LT_DASH,
    STATE(6398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [263785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [263956] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264125] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264349] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264517] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264575] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264631] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264743] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9452), 1,
      anon_sym_LT_DASH,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264801] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9454), 1,
      anon_sym_LT_DASH,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264859] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9456), 1,
      anon_sym_LT_DASH,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264917] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9458), 1,
      anon_sym_LT_DASH,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265759] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265815] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266377] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5385), 1,
      anon_sym_DOT,
    ACTIONS(5387), 1,
      anon_sym_POUND,
    ACTIONS(5389), 1,
      sym_hash_operator,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266831] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [266999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267111] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5375), 1,
      anon_sym_DOT,
    ACTIONS(5377), 1,
      anon_sym_POUND,
    ACTIONS(5379), 1,
      sym_hash_operator,
    STATE(6458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267229] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9358), 1,
      sym__lowercase_identifier,
    ACTIONS(9360), 1,
      anon_sym_LPAREN,
    ACTIONS(9366), 1,
      anon_sym_PIPE,
    ACTIONS(9368), 1,
      anon_sym_LBRACK,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9460), 1,
      anon_sym_DOT_DOT,
    STATE(6460), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(10057), 1,
      sym__simple_type,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym__proper_tuple_type,
    STATE(12485), 1,
      sym_constructor_declaration,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(18964), 1,
      sym_labeled_argument_type,
    STATE(19394), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11691), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [267335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267391] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5365), 1,
      anon_sym_DOT,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267449] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267505] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267673] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267841] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268009] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268627] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5335), 1,
      anon_sym_DOT,
    ACTIONS(5337), 1,
      anon_sym_POUND,
    ACTIONS(5339), 1,
      sym_hash_operator,
    STATE(6484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268689] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268745] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268801] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5385), 1,
      anon_sym_DOT,
    ACTIONS(5387), 1,
      anon_sym_POUND,
    ACTIONS(5389), 1,
      sym_hash_operator,
    STATE(6487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269031] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269311] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9358), 1,
      sym__lowercase_identifier,
    ACTIONS(9360), 1,
      anon_sym_LPAREN,
    ACTIONS(9366), 1,
      anon_sym_PIPE,
    ACTIONS(9368), 1,
      anon_sym_LBRACK,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9462), 1,
      anon_sym_DOT_DOT,
    STATE(6496), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(10057), 1,
      sym__simple_type,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(12213), 1,
      sym__proper_tuple_type,
    STATE(12485), 1,
      sym_constructor_declaration,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(18964), 1,
      sym_labeled_argument_type,
    STATE(19394), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11706), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [269417] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269585] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269753] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [269977] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270257] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270537] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5365), 1,
      anon_sym_DOT,
    ACTIONS(5367), 1,
      anon_sym_POUND,
    ACTIONS(5369), 1,
      sym_hash_operator,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270599] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271047] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9464), 1,
      anon_sym_LT_DASH,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271161] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5345), 1,
      anon_sym_DOT,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271835] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5375), 1,
      anon_sym_DOT,
    ACTIONS(5377), 1,
      anon_sym_POUND,
    ACTIONS(5379), 1,
      sym_hash_operator,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [271953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272009] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272401] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5365), 1,
      anon_sym_DOT,
    ACTIONS(5367), 1,
      anon_sym_POUND,
    ACTIONS(5369), 1,
      sym_hash_operator,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272519] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272577] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273419] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273531] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [273979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274147] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5345), 1,
      anon_sym_DOT,
    ACTIONS(5347), 1,
      anon_sym_POUND,
    ACTIONS(5349), 1,
      sym_hash_operator,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274377] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274545] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274881] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5355), 1,
      anon_sym_DOT,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274939] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [274995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275107] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275331] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275443] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275891] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [275947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276171] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5345), 1,
      anon_sym_DOT,
    ACTIONS(5347), 1,
      anon_sym_POUND,
    ACTIONS(5349), 1,
      sym_hash_operator,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276401] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276849] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5375), 1,
      anon_sym_DOT,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [276963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277075] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277579] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278251] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278363] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5355), 1,
      anon_sym_DOT,
    ACTIONS(5357), 1,
      anon_sym_POUND,
    ACTIONS(5359), 1,
      sym_hash_operator,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278481] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9466), 1,
      anon_sym_COLON,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278875] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279155] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9292), 1,
      sym__lowercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LPAREN,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9468), 1,
      anon_sym_DOT_DOT,
    STATE(6670), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9964), 1,
      sym__simple_type,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(11946), 1,
      sym__proper_tuple_type,
    STATE(12482), 1,
      sym_constructor_declaration,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(18755), 1,
      sym_labeled_tuple_element_type,
    STATE(18788), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11666), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [279261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279653] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279821] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279933] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280045] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280103] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5355), 1,
      anon_sym_DOT,
    ACTIONS(5357), 1,
      anon_sym_POUND,
    ACTIONS(5359), 1,
      sym_hash_operator,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280613] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5335), 1,
      anon_sym_DOT,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280671] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280783] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281735] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281847] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9390), 1,
      sym__lowercase_identifier,
    ACTIONS(9392), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9400), 1,
      anon_sym_LBRACK,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9470), 1,
      anon_sym_DOT_DOT,
    STATE(6717), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9651), 1,
      sym__simple_type,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11184), 1,
      sym__proper_tuple_type,
    STATE(11755), 1,
      sym_constructor_declaration,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(20090), 1,
      sym_labeled_tuple_element_type,
    STATE(21252), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10810), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [281953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282009] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282401] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9390), 1,
      sym__lowercase_identifier,
    ACTIONS(9392), 1,
      anon_sym_LPAREN,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(9400), 1,
      anon_sym_LBRACK,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9472), 1,
      anon_sym_DOT_DOT,
    STATE(6726), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9651), 1,
      sym__simple_type,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11184), 1,
      sym__proper_tuple_type,
    STATE(11755), 1,
      sym_constructor_declaration,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(20090), 1,
      sym_labeled_tuple_element_type,
    STATE(21252), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10825), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [282507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282731] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283403] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283517] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283909] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283965] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284077] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284301] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284357] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284637] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284693] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284863] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285031] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285257] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285369] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9474), 1,
      anon_sym_LT_DASH,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285819] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285877] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285933] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286157] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286213] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286381] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286605] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9328), 1,
      sym__lowercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LPAREN,
    ACTIONS(9336), 1,
      anon_sym_PIPE,
    ACTIONS(9338), 1,
      anon_sym_LBRACK,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9476), 1,
      anon_sym_DOT_DOT,
    STATE(6800), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9553), 1,
      sym__simple_type,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11341), 1,
      sym__proper_tuple_type,
    STATE(11638), 1,
      sym_constructor_declaration,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18760), 1,
      sym_labeled_argument_type,
    STATE(21331), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10788), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [286711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287103] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287271] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287383] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287663] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287719] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9328), 1,
      sym__lowercase_identifier,
    ACTIONS(9330), 1,
      anon_sym_LPAREN,
    ACTIONS(9336), 1,
      anon_sym_PIPE,
    ACTIONS(9338), 1,
      anon_sym_LBRACK,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9478), 1,
      anon_sym_DOT_DOT,
    STATE(6819), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9553), 1,
      sym__simple_type,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11341), 1,
      sym__proper_tuple_type,
    STATE(11638), 1,
      sym_constructor_declaration,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18760), 1,
      sym_labeled_argument_type,
    STATE(21331), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10762), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [287825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288441] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288723] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      anon_sym_LT_DASH,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(7899), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [288781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288949] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289229] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289623] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9482), 1,
      anon_sym_LT_DASH,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289849] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290075] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290299] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290357] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290413] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5335), 1,
      anon_sym_DOT,
    ACTIONS(5337), 1,
      anon_sym_POUND,
    ACTIONS(5339), 1,
      sym_hash_operator,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290475] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290531] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290643] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290755] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290979] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9484), 1,
      anon_sym_LT_DASH,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291149] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291373] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291653] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291711] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292103] = 30,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9292), 1,
      sym__lowercase_identifier,
    ACTIONS(9294), 1,
      anon_sym_LPAREN,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(9302), 1,
      anon_sym_LBRACK,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9320), 1,
      sym__uppercase_identifier,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(9486), 1,
      anon_sym_DOT_DOT,
    STATE(6896), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9964), 1,
      sym__simple_type,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(11946), 1,
      sym__proper_tuple_type,
    STATE(12482), 1,
      sym_constructor_declaration,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(18755), 1,
      sym_labeled_tuple_element_type,
    STATE(18788), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11651), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [292209] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      anon_sym_LT_DASH,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292323] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9488), 1,
      anon_sym_LT_DASH,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292381] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292773] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292941] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292997] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293893] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5385), 1,
      anon_sym_DOT,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294175] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294679] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [294792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294957] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295507] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295782] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [295894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295949] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296004] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296279] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296664] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      anon_sym_DOT,
    ACTIONS(9492), 1,
      anon_sym_POUND,
    ACTIONS(9494), 1,
      sym_hash_operator,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [296945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297220] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297275] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297550] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297717] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5513), 1,
      anon_sym_DOT,
    ACTIONS(5515), 1,
      anon_sym_POUND,
    ACTIONS(5517), 1,
      sym_hash_operator,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [297943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298108] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      anon_sym_DOT,
    ACTIONS(9492), 1,
      anon_sym_POUND,
    ACTIONS(9494), 1,
      sym_hash_operator,
    STATE(7003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298169] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5513), 1,
      anon_sym_DOT,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298281] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7943), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [298446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298611] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298666] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [298941] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5395), 1,
      anon_sym_DOT,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5399), 1,
      sym_hash_operator,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299277] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299332] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299442] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299552] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [299662] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5543), 1,
      anon_sym_DOT,
    ACTIONS(5545), 1,
      anon_sym_POUND,
    ACTIONS(5547), 1,
      sym_hash_operator,
    STATE(7031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299888] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300218] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300273] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [300438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300548] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300933] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9496), 1,
      anon_sym_LT_DASH,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301100] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301375] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301650] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301705] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [301815] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      anon_sym_DOT,
    ACTIONS(5627), 1,
      anon_sym_POUND,
    ACTIONS(5629), 1,
      sym_hash_operator,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [302206] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302536] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303198] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303638] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303693] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5523), 1,
      anon_sym_DOT,
    ACTIONS(5525), 1,
      anon_sym_POUND,
    ACTIONS(5527), 1,
      sym_hash_operator,
    STATE(7104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303974] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304139] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [304524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304579] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9498), 1,
      anon_sym_LT_DASH,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304801] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304856] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304966] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305078] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305188] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305298] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305408] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305628] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305848] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305958] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [306123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306178] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306343] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306398] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306618] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5395), 1,
      anon_sym_DOT,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306840] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306895] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306950] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307060] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307390] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307500] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307555] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9500), 1,
      anon_sym_COLON,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307667] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307722] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307997] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308107] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308384] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308441] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [308991] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309541] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309596] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [309981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310256] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9490), 1,
      anon_sym_DOT,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310313] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310480] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [310920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311800] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [311965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312020] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312240] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312350] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312460] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312570] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312680] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312735] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [312900] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313230] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313450] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313505] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313560] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9502), 1,
      anon_sym_DOT,
    ACTIONS(9504), 1,
      anon_sym_POUND,
    ACTIONS(9506), 1,
      sym_hash_operator,
    STATE(7283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [313621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313676] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5513), 1,
      anon_sym_DOT,
    ACTIONS(5515), 1,
      anon_sym_POUND,
    ACTIONS(5517), 1,
      sym_hash_operator,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313957] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      anon_sym_DOT,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314014] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314069] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314236] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314401] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [314511] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314676] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314788] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315008] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315173] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9502), 1,
      anon_sym_DOT,
    ACTIONS(9504), 1,
      anon_sym_POUND,
    ACTIONS(9506), 1,
      sym_hash_operator,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [315289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315454] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315509] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315949] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316004] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316169] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316224] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316279] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8244), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [316444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316499] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316609] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316719] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316774] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9508), 1,
      anon_sym_COLON,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [316831] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316941] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317218] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317383] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [317988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318098] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      anon_sym_DOT,
    ACTIONS(5627), 1,
      anon_sym_POUND,
    ACTIONS(5629), 1,
      sym_hash_operator,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318434] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8216), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [318491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [318711] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9510), 1,
      anon_sym_LT_DASH,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318823] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318933] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319098] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5523), 1,
      anon_sym_DOT,
    STATE(7383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319265] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9512), 1,
      anon_sym_LT_DASH,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319377] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319432] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8330), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [319597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319652] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [319984] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320039] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320204] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320426] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320701] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320756] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320866] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5395), 1,
      anon_sym_DOT,
    ACTIONS(5397), 1,
      anon_sym_POUND,
    ACTIONS(5399), 1,
      sym_hash_operator,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [320982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8054), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [321147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321202] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5523), 1,
      anon_sym_DOT,
    ACTIONS(5525), 1,
      anon_sym_POUND,
    ACTIONS(5527), 1,
      sym_hash_operator,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321263] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321373] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5543), 1,
      anon_sym_DOT,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321815] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [321980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322475] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9502), 1,
      anon_sym_DOT,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [322972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [323962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324237] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324677] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324732] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [324952] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5543), 1,
      anon_sym_DOT,
    ACTIONS(5545), 1,
      anon_sym_POUND,
    ACTIONS(5547), 1,
      sym_hash_operator,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325013] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8216), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325070] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325400] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325457] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9514), 1,
      anon_sym_COLON,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8362), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325514] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [325734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8082), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [325844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326009] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326064] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326394] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326449] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326614] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8200), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [326835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8158), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8306), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [326943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8228), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [326997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8104), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8070), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8172), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7927), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7929), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8200), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8336), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8338), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8094), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8226), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8068), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327483] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [327539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8280), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327593] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9516), 1,
      anon_sym_COLON,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8054), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8046), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [327757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8194), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [327919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [327973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8128), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8332), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [328081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8162), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9522), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [328189] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9530), 1,
      anon_sym_COLON,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9526), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [328245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9532), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [328299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8050), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328353] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9536), 1,
      anon_sym_COLON,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7907), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8010), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [328571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8196), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328625] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9538), 1,
      anon_sym_DOT,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8146), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7899), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7909), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7911), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8318), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [328843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7915), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328897] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9538), 1,
      anon_sym_DOT,
    ACTIONS(9544), 1,
      anon_sym_POUND,
    ACTIONS(9546), 1,
      sym_hash_operator,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9540), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [328957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9548), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8230), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7907), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8066), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8190), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329227] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9538), 1,
      anon_sym_DOT,
    ACTIONS(9544), 1,
      anon_sym_POUND,
    ACTIONS(9546), 1,
      sym_hash_operator,
    STATE(7567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9552), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8186), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8248), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8010), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7917), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7919), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [329503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7909), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7911), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7915), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8206), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8320), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8322), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8090), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [329881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8110), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9548), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [329989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8006), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8266), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8048), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8176), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [330313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8280), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8006), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7895), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7933), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8276), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8188), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8208), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8062), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7923), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7925), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8086), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8098), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [330907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8268), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [330961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8252), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8318), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331069] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9556), 1,
      anon_sym_COLON,
    STATE(7601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8332), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8334), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8260), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8310), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8222), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7935), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7937), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331395] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9558), 1,
      anon_sym_COLON,
    STATE(7607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331451] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8216), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [331507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8212), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8184), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8128), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8168), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8264), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8222), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [331885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8228), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [331939] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9538), 1,
      anon_sym_DOT,
    ACTIONS(9544), 1,
      anon_sym_POUND,
    ACTIONS(9546), 1,
      sym_hash_operator,
    STATE(7617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9560), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [331999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8292), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [332161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8002), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332269] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8158), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8330), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8172), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8192), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8234), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8286), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8074), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8296), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8142), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8078), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8108), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [332919] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [332975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8082), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8058), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8302), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [333137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8346), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8180), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8196), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [333299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8244), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8074), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8278), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [333461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8138), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [333569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7899), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [333623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8332), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [333677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8184), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8154), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8272), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8190), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [333893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8138), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [333947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8348), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [334001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8340), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [334055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8116), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [334109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8162), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [334163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8048), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [334217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8260), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8314), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8066), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8204), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [334433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8194), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [334487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7935), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7937), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8302), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8326), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8306), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7927), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7929), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [334757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8278), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [334811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8094), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [334865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8226), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8042), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [334973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8070), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [335135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8316), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [335189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8168), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8248), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8264), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8090), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8320), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8322), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8286), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [335513] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9564), 1,
      anon_sym_COLON,
    STATE(7683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8110), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [335623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9566), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [335677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8040), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [335731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8102), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [335785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8068), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [335839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8234), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [335893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8186), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [335947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8206), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [336001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8266), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [336055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [336109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8250), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [336163] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [336219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7943), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8296), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [336327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9566), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [336381] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9538), 1,
      anon_sym_DOT,
    ACTIONS(9544), 1,
      anon_sym_POUND,
    ACTIONS(9546), 1,
      sym_hash_operator,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9570), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336441] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9538), 1,
      anon_sym_DOT,
    ACTIONS(9544), 1,
      anon_sym_POUND,
    ACTIONS(9546), 1,
      sym_hash_operator,
    STATE(7700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9574), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8142), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [336555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8040), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [336663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8350), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8188), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8208), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8268), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8342), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8252), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [336987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8336), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8338), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337041] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337097] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9578), 1,
      anon_sym_COLON,
    STATE(7712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8332), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8334), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [337207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8046), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8230), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [337315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9522), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [337369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9532), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [337423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8180), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [337477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8624), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [337531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8042), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [337585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7895), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7933), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8078), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8112), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [337801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8204), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [337855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(8102), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [337909] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9580), 1,
      anon_sym_COLON,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9526), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [337965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8326), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8272), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338073] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8058), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [338233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8128), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9222), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338339] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9582), 1,
      anon_sym_COLON,
    STATE(7735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [338394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9584), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9586), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338447] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9588), 1,
      anon_sym_COLON,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [338502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9036), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [338555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9032), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [338608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9590), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [338661] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9594), 1,
      anon_sym_PIPE,
    ACTIONS(9596), 1,
      anon_sym_RBRACK,
    STATE(7741), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16311), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [338762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8276), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [338815] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9598), 1,
      anon_sym_PIPE,
    ACTIONS(9600), 1,
      anon_sym_RBRACK,
    STATE(7743), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15967), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [338916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8272), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [338969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8176), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8138), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8176), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9602), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9526), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8260), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9606), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8062), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8086), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8098), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9610), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [339605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8310), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [339658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8196), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8230), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [339817] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(9618), 1,
      sym_hash_operator,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9570), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [339876] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9620), 1,
      anon_sym_PIPE,
    ACTIONS(9622), 1,
      anon_sym_RBRACK,
    STATE(7762), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16258), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [339977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9626), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9624), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340083] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9628), 1,
      anon_sym_PIPE,
    ACTIONS(9630), 1,
      anon_sym_RBRACK,
    STATE(7765), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16418), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [340184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8062), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8002), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [340290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340343] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9632), 1,
      anon_sym_PIPE,
    ACTIONS(9634), 1,
      anon_sym_RBRACK,
    STATE(7769), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16513), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [340444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9586), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9584), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8314), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7923), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7925), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8086), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [340656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8302), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8326), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [340815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8306), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [340868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340921] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(9618), 1,
      sym_hash_operator,
    STATE(7779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9540), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [340980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8098), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8264), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341086] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8226), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8248), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7923), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7925), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8162), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9638), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9590), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9592), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8330), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9642), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9640), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8090), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [341722] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(9618), 1,
      sym_hash_operator,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9552), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [341781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9646), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9644), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [341834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8244), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [341887] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9648), 1,
      anon_sym_PIPE,
    ACTIONS(9650), 1,
      anon_sym_RBRACK,
    STATE(7797), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16811), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [341988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8336), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8338), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8046), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8010), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7895), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342200] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      anon_sym_DOT,
    ACTIONS(9654), 1,
      anon_sym_POUND,
    ACTIONS(9656), 1,
      sym_hash_operator,
    STATE(7802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9552), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7933), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7935), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7937), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342418] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9658), 1,
      anon_sym_PIPE,
    ACTIONS(9660), 1,
      anon_sym_RBRACK,
    STATE(7806), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18426), 1,
      sym_tag_specification,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20562), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [342519] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9662), 1,
      anon_sym_PIPE,
    ACTIONS(9664), 1,
      anon_sym_RBRACK,
    STATE(7807), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17159), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [342620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9668), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9666), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [342726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [342779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9186), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342832] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9670), 1,
      anon_sym_PIPE,
    ACTIONS(9672), 1,
      anon_sym_RBRACK,
    STATE(7812), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16077), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [342933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8292), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [342986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343039] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9674), 1,
      anon_sym_COLON,
    STATE(7815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8074), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343200] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9676), 1,
      anon_sym_PIPE,
    ACTIONS(9678), 1,
      anon_sym_RBRACK,
    STATE(7818), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15956), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [343301] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(9618), 1,
      sym_hash_operator,
    STATE(7819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9560), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [343360] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9680), 1,
      anon_sym_PIPE,
    ACTIONS(9682), 1,
      anon_sym_RBRACK,
    STATE(7820), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16291), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [343461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8276), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8310), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8314), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8058), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8292), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9090), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [343832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8346), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8188), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [343991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8002), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8192), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8176), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8062), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8086), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8098), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344309] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [344364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8222), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9012), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8002), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8058), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8208), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9684), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9686), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8154), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [344735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7917), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(7919), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [344788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9604), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9688), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9690), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [344894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9692), 1,
      anon_sym_COLON,
    STATE(7848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9084), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9694), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9696), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345055] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9698), 1,
      anon_sym_PIPE,
    ACTIONS(9700), 1,
      anon_sym_RBRACK,
    STATE(7851), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17721), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20249), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [345156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9092), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8042), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8268), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9702), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9704), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [345368] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9706), 1,
      anon_sym_PIPE,
    ACTIONS(9708), 1,
      anon_sym_RBRACK,
    STATE(7856), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15979), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [345469] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9710), 1,
      anon_sym_PIPE,
    ACTIONS(9712), 1,
      anon_sym_RBRACK,
    STATE(7857), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16196), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [345570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8070), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345623] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(7859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9704), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9702), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [345731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8330), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8244), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345837] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(7863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8082), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8078), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [345998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9716), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9720), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9718), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [346104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9686), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9684), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [346157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9696), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9694), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [346210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9716), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9714), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [346316] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9722), 1,
      anon_sym_COLON,
    STATE(7872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346371] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9614), 1,
      anon_sym_DOT,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(9618), 1,
      sym_hash_operator,
    STATE(7873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9574), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [346430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9724), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9726), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7917), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7919), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8292), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [346589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8252), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [346642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9728), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9730), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8124), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9638), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9636), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [346801] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9732), 1,
      anon_sym_COLON,
    STATE(7881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9734), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9736), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [346909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [346962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9214), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [347068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9740), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9738), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [347121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8184), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [347174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8346), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8346), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [347280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9742), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [347333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9748), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9746), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [347386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9752), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9750), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [347439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8158), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [347492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9210), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9608), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9028), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [347651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9218), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9644), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9646), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [347810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8172), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [347863] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9754), 1,
      anon_sym_PIPE,
    ACTIONS(9756), 1,
      anon_sym_RBRACK,
    STATE(7901), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16772), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [347964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9758), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9760), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9764), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9762), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [348070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8120), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [348123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9766), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9768), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348229] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9770), 1,
      anon_sym_PIPE,
    ACTIONS(9772), 1,
      anon_sym_RBRACK,
    STATE(7907), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17035), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348330] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      anon_sym_DOT,
    ACTIONS(9654), 1,
      anon_sym_POUND,
    ACTIONS(9656), 1,
      sym_hash_operator,
    STATE(7908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9560), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [348389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8200), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [348442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9006), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9768), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9766), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [348548] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9738), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9740), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9762), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9764), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [348707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8154), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [348760] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9774), 1,
      anon_sym_PIPE,
    ACTIONS(9776), 1,
      anon_sym_RBRACK,
    STATE(7916), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16184), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348861] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9778), 1,
      anon_sym_PIPE,
    ACTIONS(9780), 1,
      anon_sym_RBRACK,
    STATE(7917), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17442), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20479), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [349015] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9782), 1,
      anon_sym_PIPE,
    ACTIONS(9784), 1,
      anon_sym_RBRACK,
    STATE(7919), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16606), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [349116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9726), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9724), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [349169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7907), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [349222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8350), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8342), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9786), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9788), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8050), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9760), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9758), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [349487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8320), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8322), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [349540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8286), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [349593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8204), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [349646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9790), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9792), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [349805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9528), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [349858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [349911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6783), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(6789), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [349964] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9794), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9796), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [350070] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9798), 1,
      anon_sym_PIPE,
    ACTIONS(9800), 1,
      anon_sym_RBRACK,
    STATE(7938), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16369), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [350224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [350277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8280), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [350330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [350383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [350436] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9802), 1,
      anon_sym_PIPE,
    ACTIONS(9804), 1,
      anon_sym_RBRACK,
    STATE(7944), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16410), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6783), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(6789), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [350590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8276), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [350643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9730), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9728), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [350696] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9806), 1,
      anon_sym_COLON,
    STATE(7948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7927), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7929), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [350857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7909), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7911), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [350910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7915), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [350963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8310), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [351016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8094), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [351069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9788), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9786), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [351122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8006), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [351175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [351228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [351281] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      anon_sym_DOT,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8146), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [351336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7899), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [351389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9792), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9790), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [351442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [351495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9796), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9794), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [351548] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9808), 1,
      anon_sym_PIPE,
    ACTIONS(9810), 1,
      anon_sym_RBRACK,
    STATE(7964), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17723), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20622), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [351649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [351702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9690), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9688), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [351755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9612), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8082), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8168), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [351914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9750), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9752), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351967] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      anon_sym_DOT,
    ACTIONS(9654), 1,
      anon_sym_POUND,
    ACTIONS(9656), 1,
      sym_hash_operator,
    STATE(7971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9570), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [352026] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      anon_sym_DOT,
    ACTIONS(9654), 1,
      anon_sym_POUND,
    ACTIONS(9656), 1,
      sym_hash_operator,
    STATE(7972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9574), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [352085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [352138] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9812), 1,
      anon_sym_PIPE,
    ACTIONS(9814), 1,
      anon_sym_RBRACK,
    STATE(7974), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16537), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352239] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9816), 1,
      anon_sym_PIPE,
    ACTIONS(9818), 1,
      anon_sym_RBRACK,
    STATE(7975), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16201), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8192), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [352393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8350), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [352446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8342), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [352499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8050), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [352552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8314), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [352605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8066), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [352658] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9820), 1,
      anon_sym_PIPE,
    ACTIONS(9822), 1,
      anon_sym_RBRACK,
    STATE(7982), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16453), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8054), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [352812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9718), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9720), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [352865] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9824), 1,
      anon_sym_PIPE,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    STATE(7985), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16417), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [352966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [353019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9642), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9666), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9668), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [353178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [353231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8120), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7943), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9742), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9744), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9746), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9748), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8154), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [353549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8318), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353602] = 29,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9828), 1,
      anon_sym_PIPE,
    ACTIONS(9830), 1,
      anon_sym_RBRACK,
    STATE(7998), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16750), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [353703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8234), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [353809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9624), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9626), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [353862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [353915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8296), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [353968] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      anon_sym_DOT,
    ACTIONS(9654), 1,
      anon_sym_POUND,
    ACTIONS(9656), 1,
      sym_hash_operator,
    STATE(8004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9540), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8142), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8180), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8332), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8334), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [354239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8124), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [354292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [354398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [354451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9736), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9734), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [354504] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9832), 1,
      anon_sym_PIPE,
    STATE(8014), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15463), 1,
      sym__tag_spec,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354602] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354654] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9834), 1,
      anon_sym_COLON,
    STATE(8016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9526), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354708] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9836), 1,
      anon_sym_PIPE,
    STATE(8017), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15779), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354806] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    STATE(8018), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16094), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [354904] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9842), 1,
      anon_sym_COLON,
    STATE(8019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9844), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9840), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [354958] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9846), 1,
      anon_sym_RBRACK,
    STATE(8020), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15989), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355108] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9848), 1,
      anon_sym_PIPE,
    STATE(8022), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18288), 1,
      sym_tag_specification,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20640), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355206] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9850), 1,
      anon_sym_RBRACK,
    STATE(8023), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15995), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355304] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(8024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [355358] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9852), 1,
      anon_sym_PIPE,
    STATE(8025), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17742), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20752), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355456] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9854), 1,
      anon_sym_PIPE,
    STATE(8026), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15622), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355554] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9856), 1,
      anon_sym_PIPE,
    STATE(8027), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15251), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355652] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    STATE(8028), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16314), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355750] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9860), 1,
      anon_sym_PIPE,
    STATE(8029), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15930), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355848] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9862), 1,
      anon_sym_PIPE,
    STATE(8030), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17299), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20345), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [355946] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9864), 1,
      anon_sym_PIPE,
    STATE(8031), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15727), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356096] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9866), 1,
      anon_sym_RBRACK,
    STATE(8033), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16434), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9522), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356246] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9868), 1,
      anon_sym_PIPE,
    STATE(8035), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17862), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20107), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356344] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4815), 1,
      anon_sym_type,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9870), 1,
      sym__lowercase_identifier,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    STATE(8036), 1,
      sym_attribute,
    STATE(13335), 1,
      sym__polymorphic_type,
    STATE(13365), 1,
      sym_polymorphic_type,
    STATE(13641), 1,
      sym_type_variable,
    STATE(13887), 1,
      sym__simple_type,
    STATE(14811), 1,
      sym__proper_tuple_type,
    STATE(15417), 1,
      sym__type,
    STATE(15424), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18147), 1,
      sym_extended_module_path,
    STATE(18746), 1,
      sym__abstract_type,
    STATE(19135), 1,
      sym_labeled_argument_type,
    STATE(20142), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13767), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14001), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [356444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356496] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9886), 1,
      anon_sym_PIPE,
    STATE(8038), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17449), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20704), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356594] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9888), 1,
      anon_sym_PIPE,
    STATE(8039), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(18037), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20800), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356744] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9890), 1,
      anon_sym_PIPE,
    STATE(8041), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15645), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356842] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9892), 1,
      anon_sym_PIPE,
    STATE(8042), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17786), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20509), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [356940] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9894), 1,
      anon_sym_PIPE,
    STATE(8043), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17582), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(19979), 1,
      sym__tag_spec,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357038] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(8044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357092] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9896), 1,
      anon_sym_PIPE,
    STATE(8045), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17333), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20603), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357190] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9898), 1,
      anon_sym_PIPE,
    STATE(8046), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18319), 1,
      sym_tag_specification,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20440), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357392] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(4815), 1,
      anon_sym_type,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    STATE(8049), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13335), 1,
      sym__polymorphic_type,
    STATE(13365), 1,
      sym_polymorphic_type,
    STATE(13641), 1,
      sym_type_variable,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15895), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17151), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21226), 1,
      sym__abstract_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [357492] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9900), 1,
      anon_sym_PIPE,
    STATE(8050), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15262), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357590] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9902), 1,
      anon_sym_PIPE,
    STATE(8051), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15568), 1,
      sym__tag_spec,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357688] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9658), 1,
      anon_sym_PIPE,
    STATE(8052), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18426), 1,
      sym_tag_specification,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20562), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357838] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9778), 1,
      anon_sym_PIPE,
    STATE(8054), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17442), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20479), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [357936] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9904), 1,
      anon_sym_PIPE,
    STATE(8055), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17840), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20768), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358034] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9906), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8056), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8694), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8692), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [358088] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358140] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9909), 1,
      anon_sym_PIPE,
    STATE(8058), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15903), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9566), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358290] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9911), 1,
      anon_sym_PIPE,
    STATE(8060), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15665), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358388] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9913), 1,
      anon_sym_PIPE,
    STATE(8061), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15455), 1,
      sym__tag_spec,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358486] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9894), 1,
      anon_sym_PIPE,
    STATE(8062), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15055), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17582), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(19979), 1,
      sym__tag_spec,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358584] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9915), 1,
      anon_sym_PIPE,
    STATE(8063), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17534), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20720), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358682] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9917), 1,
      anon_sym_PIPE,
    STATE(8064), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15511), 1,
      sym__tag_spec,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358780] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9919), 1,
      anon_sym_PIPE,
    STATE(8065), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17274), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20672), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358878] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(8066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358932] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9921), 1,
      anon_sym_PIPE,
    STATE(8067), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15347), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359030] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(8068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [359084] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9923), 1,
      anon_sym_RBRACK,
    STATE(8069), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16219), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359182] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9925), 1,
      anon_sym_RBRACK,
    STATE(8070), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16615), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359280] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      aux_sym_attribute_id_token1,
    STATE(8056), 1,
      aux_sym_attribute_id_repeat1,
    STATE(8071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8684), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8682), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [359336] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9929), 1,
      anon_sym_RBRACK,
    STATE(8072), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16527), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359434] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9698), 1,
      anon_sym_PIPE,
    STATE(8073), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17721), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20249), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9931), 1,
      anon_sym_COLON,
    STATE(8074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9526), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359586] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9933), 1,
      anon_sym_RBRACK,
    STATE(8075), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17019), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359684] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359736] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9935), 1,
      anon_sym_PIPE,
    STATE(8077), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17523), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20583), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359834] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9894), 1,
      anon_sym_PIPE,
    STATE(8078), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15048), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17582), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(19979), 1,
      sym__tag_spec,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [359932] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9937), 1,
      anon_sym_PIPE,
    STATE(8079), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15234), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360030] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9939), 1,
      anon_sym_RBRACK,
    STATE(8080), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16796), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360128] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9941), 1,
      anon_sym_RBRACK,
    STATE(8081), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17197), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360278] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9943), 1,
      anon_sym_RBRACK,
    STATE(8083), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16629), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360480] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9945), 1,
      anon_sym_RBRACK,
    STATE(8086), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16310), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9566), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360682] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9947), 1,
      anon_sym_PIPE,
    STATE(8089), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15679), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360780] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9949), 1,
      anon_sym_RBRACK,
    STATE(8090), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16430), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [360878] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4815), 1,
      anon_sym_type,
    ACTIONS(9951), 1,
      sym__lowercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    STATE(8091), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(12177), 1,
      sym_type_variable,
    STATE(13335), 1,
      sym__polymorphic_type,
    STATE(13365), 1,
      sym_polymorphic_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13828), 1,
      sym__type,
    STATE(15310), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    STATE(21414), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [360978] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4815), 1,
      anon_sym_type,
    ACTIONS(9971), 1,
      sym__lowercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    STATE(8092), 1,
      sym_attribute,
    STATE(12746), 1,
      sym_type_variable,
    STATE(12749), 1,
      sym__simple_type,
    STATE(13335), 1,
      sym__polymorphic_type,
    STATE(13365), 1,
      sym_polymorphic_type,
    STATE(13828), 1,
      sym__type,
    STATE(13950), 1,
      sym__proper_tuple_type,
    STATE(15404), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17736), 1,
      sym_extended_module_path,
    STATE(18535), 1,
      sym__abstract_type,
    STATE(18777), 1,
      sym_labeled_argument_type,
    STATE(21111), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13423), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [361078] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9991), 1,
      anon_sym_PIPE,
    STATE(8093), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17629), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20736), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361176] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9993), 1,
      anon_sym_PIPE,
    STATE(8094), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17949), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20784), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361274] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9995), 1,
      anon_sym_PIPE,
    STATE(8095), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15700), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361372] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9997), 1,
      anon_sym_PIPE,
    STATE(8096), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15572), 1,
      sym__tag_spec,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9522), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361626] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9999), 1,
      anon_sym_RBRACK,
    STATE(8100), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16229), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361724] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9927), 1,
      aux_sym_attribute_id_token1,
    STATE(8071), 1,
      aux_sym_attribute_id_repeat1,
    STATE(8101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8705), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8703), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [361780] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10001), 1,
      anon_sym_RBRACK,
    STATE(8102), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16405), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361878] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10003), 1,
      anon_sym_RBRACK,
    STATE(8103), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16524), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362028] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10005), 1,
      anon_sym_RBRACK,
    STATE(8105), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15975), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362126] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10007), 1,
      anon_sym_RBRACK,
    STATE(8106), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16782), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362224] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    STATE(8107), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16712), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362322] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    STATE(8108), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16329), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362420] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10013), 1,
      anon_sym_PIPE,
    STATE(8109), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18405), 1,
      sym_tag_specification,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20656), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362518] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10015), 1,
      anon_sym_PIPE,
    STATE(8110), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15294), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362616] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4815), 1,
      anon_sym_type,
    ACTIONS(10017), 1,
      sym__lowercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    STATE(8111), 1,
      sym_attribute,
    STATE(10802), 1,
      sym__simple_type,
    STATE(10917), 1,
      sym_type_variable,
    STATE(13165), 1,
      sym__proper_tuple_type,
    STATE(13234), 1,
      sym__type,
    STATE(13386), 1,
      sym__polymorphic_type,
    STATE(13407), 1,
      sym_polymorphic_type,
    STATE(15220), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(20285), 1,
      sym__abstract_type,
    STATE(20708), 1,
      sym_labeled_argument_type,
    STATE(21223), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11506), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [362716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362768] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(9808), 1,
      anon_sym_PIPE,
    STATE(8113), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17723), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20622), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362918] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10037), 1,
      anon_sym_RBRACK,
    STATE(8115), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16346), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363016] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10039), 1,
      anon_sym_PIPE,
    STATE(8116), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15739), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363166] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10041), 1,
      anon_sym_PIPE,
    STATE(8118), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15610), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363264] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10043), 1,
      anon_sym_PIPE,
    STATE(8119), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15737), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363362] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10045), 1,
      anon_sym_PIPE,
    STATE(8120), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(17360), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20688), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363460] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10047), 1,
      anon_sym_PIPE,
    STATE(8121), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15397), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363558] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10049), 1,
      anon_sym_PIPE,
    STATE(8122), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(18195), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(20536), 1,
      sym__tag_spec,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363656] = 28,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(10051), 1,
      anon_sym_RBRACK,
    STATE(8123), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17139), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [363754] = 29,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(4815), 1,
      anon_sym_type,
    ACTIONS(10053), 1,
      sym__lowercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    STATE(8124), 1,
      sym_attribute,
    STATE(10759), 1,
      sym_type_variable,
    STATE(10795), 1,
      sym__simple_type,
    STATE(12957), 1,
      sym__proper_tuple_type,
    STATE(13234), 1,
      sym__type,
    STATE(13386), 1,
      sym__polymorphic_type,
    STATE(13407), 1,
      sym_polymorphic_type,
    STATE(15360), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(19211), 1,
      sym__abstract_type,
    STATE(19767), 1,
      sym_labeled_tuple_element_type,
    STATE(20253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11501), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [363854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10073), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [363905] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8126), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(16985), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [364000] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10077), 1,
      sym__lowercase_identifier,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8127), 1,
      sym_attribute,
    STATE(11323), 1,
      sym__class_type,
    STATE(14332), 1,
      sym__simple_type,
    STATE(17245), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11429), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(20384), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [364091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8052), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9790), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9792), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9794), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9796), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9624), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9626), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9638), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9728), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9730), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9786), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9788), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9688), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9690), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8230), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8228), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364805] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10077), 1,
      sym__lowercase_identifier,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8142), 1,
      sym_attribute,
    STATE(11089), 1,
      sym__class_type,
    STATE(14332), 1,
      sym__simple_type,
    STATE(17245), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11429), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(20384), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [364896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9590), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9592), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8330), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [364998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8334), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8332), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365049] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10089), 1,
      sym__lowercase_identifier,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8146), 1,
      sym_attribute,
    STATE(11089), 1,
      sym__class_type,
    STATE(14479), 1,
      sym__simple_type,
    STATE(17314), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10577), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(20315), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [365140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8082), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365191] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10089), 1,
      sym__lowercase_identifier,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8148), 1,
      sym_attribute,
    STATE(11323), 1,
      sym__class_type,
    STATE(14479), 1,
      sym__simple_type,
    STATE(17314), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10577), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(20315), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [365282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8276), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9090), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365486] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10095), 1,
      sym__lowercase_identifier,
    ACTIONS(10097), 1,
      anon_sym_let,
    ACTIONS(10099), 1,
      anon_sym_LBRACK,
    STATE(8153), 1,
      sym_attribute,
    STATE(11089), 1,
      sym__class_type,
    STATE(14625), 1,
      sym__simple_type,
    STATE(17380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(14991), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(18576), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [365577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8058), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8124), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8346), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8120), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8154), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [365934] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10101), 1,
      sym__lowercase_identifier,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8161), 1,
      sym_attribute,
    STATE(11323), 1,
      sym__class_type,
    STATE(14641), 1,
      sym__simple_type,
    STATE(17394), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10543), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(18786), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [366025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8176), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8062), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8086), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8098), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8002), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9528), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6783), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(6789), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9740), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9738), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9764), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9762), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366586] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(8173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366792] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8177), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15867), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [366887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9642), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [366989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9666), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9668), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9610), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367346] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(8187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8192), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9724), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9726), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9604), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9608), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9584), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9586), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [367960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9644), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9646), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8350), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8342), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8050), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9702), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9704), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9718), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9720), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9684), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9686), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9694), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9696), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9716), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368419] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10095), 1,
      sym__lowercase_identifier,
    ACTIONS(10097), 1,
      anon_sym_let,
    ACTIONS(10099), 1,
      anon_sym_LBRACK,
    STATE(8208), 1,
      sym_attribute,
    STATE(11323), 1,
      sym__class_type,
    STATE(14625), 1,
      sym__simple_type,
    STATE(17380), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(14991), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(18576), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [368510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9792), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9790), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9796), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9794), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9734), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9736), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9742), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9744), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9746), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9748), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9750), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9752), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9626), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9624), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9766), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9768), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [368918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9638), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9636), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9758), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9760), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [369020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9730), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9728), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9788), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9786), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9690), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9688), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9592), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9590), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8274), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8308), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8312), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8328), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8056), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8122), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8242), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8290), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8344), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8118), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8152), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8080), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8174), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8060), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8084), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8096), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8000), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8694), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(8692), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [370142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9526), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6783), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(6789), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9642), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9640), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9668), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9666), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9726), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9724), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9602), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9606), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9586), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9584), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9646), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9644), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10107), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9704), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9702), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9720), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9718), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9686), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9684), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9696), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9694), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9716), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9714), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3193), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3191), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [370958] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(10115), 1,
      anon_sym_LPAREN,
    ACTIONS(10119), 1,
      anon_sym_LBRACE,
    ACTIONS(10121), 1,
      anon_sym_begin,
    ACTIONS(10123), 1,
      aux_sym_number_token1,
    ACTIONS(10125), 1,
      anon_sym_SQUOTE,
    ACTIONS(10127), 1,
      anon_sym_DQUOTE,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    STATE(8257), 1,
      sym_attribute,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(12805), 1,
      sym_module_path,
    STATE(12919), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13086), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(10111), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(12989), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(10113), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [371037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9736), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9734), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9742), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9748), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9746), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9752), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9750), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9768), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9766), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9760), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9758), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9012), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [371394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [371445] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10135), 1,
      anon_sym_DOT,
    ACTIONS(10137), 1,
      anon_sym_POUND,
    ACTIONS(10139), 1,
      sym_hash_operator,
    STATE(8266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371502] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10101), 1,
      sym__lowercase_identifier,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8267), 1,
      sym_attribute,
    STATE(11089), 1,
      sym__class_type,
    STATE(14641), 1,
      sym__simple_type,
    STATE(17394), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10543), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(18786), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [371593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9210), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [371644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9006), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [371695] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10145), 1,
      anon_sym_RPAREN,
    STATE(8270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10143), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10141), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [371748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9084), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [371799] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10135), 1,
      anon_sym_DOT,
    ACTIONS(10137), 1,
      anon_sym_POUND,
    ACTIONS(10139), 1,
      sym_hash_operator,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8150), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8148), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9214), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [371907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9218), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [371958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9186), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [372009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8190), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8348), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8340), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10149), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10147), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8048), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8196), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8194), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372468] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8285), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16629), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372563] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8286), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15744), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8280), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8278), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372709] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8288), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17085), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [372804] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10163), 1,
      anon_sym_COLON,
    STATE(8289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9844), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9840), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [372857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10167), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10165), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10171), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10169), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [372959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8318), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8112), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8042), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8040), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8104), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8102), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8070), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8068), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8188), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8208), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8206), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8268), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8252), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373469] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8302), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16346), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373564] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8303), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15636), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373659] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8304), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16500), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [373754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10181), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10187), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10185), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10191), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10189), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [373958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10195), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10193), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374009] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8310), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16712), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374104] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8311), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15236), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10199), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10197), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374250] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8313), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16173), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374345] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8314), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16310), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374440] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8315), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15272), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374535] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8316), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16414), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [374681] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8318), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15989), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374776] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8319), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15470), 1,
      sym__tag_spec,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374871] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8320), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16058), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [374966] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8321), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16405), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375061] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8322), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15658), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375156] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8323), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16461), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375251] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10205), 1,
      sym__lowercase_identifier,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8324), 1,
      sym_attribute,
    STATE(11323), 1,
      sym__class_type,
    STATE(14444), 1,
      sym__simple_type,
    STATE(18265), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(21264), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [375342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10213), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10211), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375393] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8326), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16796), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375488] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8327), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15789), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375583] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8328), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16840), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10217), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10215), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10221), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10219), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10223), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10229), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10227), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [375882] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8333), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17197), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375977] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8334), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15923), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376072] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8335), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16085), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376167] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8336), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17019), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376262] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8337), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15266), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376357] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8338), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15957), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7899), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7897), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376503] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8340), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16524), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376598] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8341), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15594), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376693] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8342), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16741), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376839] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8344), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15975), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376934] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8345), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15771), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8128), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8126), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8162), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8160), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377131] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8348), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16010), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8010), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8008), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8212), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8210), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8222), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377379] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8352), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16229), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377474] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8353), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15256), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377569] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8354), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16273), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377664] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8355), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16434), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377759] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8356), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15299), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377854] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8357), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16496), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [377949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8158), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8156), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8172), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8200), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378204] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8363), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16782), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378299] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8364), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15354), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378394] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8365), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16837), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10233), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10231), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [378540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8322), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8320), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8286), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8204), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7929), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7927), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8094), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378795] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10135), 1,
      anon_sym_DOT,
    STATE(8372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378848] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8373), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17139), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [378943] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8374), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15408), 1,
      sym__tag_spec,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379038] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8375), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(17177), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379133] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8376), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15995), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379228] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8377), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15468), 1,
      sym__tag_spec,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8168), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379374] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8379), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16018), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8234), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8232), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8296), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8142), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8180), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8178), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379673] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8384), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16094), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379768] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8385), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15520), 1,
      sym__tag_spec,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379863] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8386), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16121), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8184), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8272), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8270), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8138), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8136), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8260), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8258), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380162] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8391), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16219), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380257] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8392), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15579), 1,
      sym__tag_spec,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380403] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8394), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16244), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8302), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8326), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8306), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8226), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8224), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8248), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8090), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8338), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8336), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380855] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8402), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16329), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380950] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8403), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15631), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8046), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8044), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7895), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7893), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381147] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8406), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16358), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7933), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8074), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8072), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9216), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8078), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8076), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8108), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8116), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381650] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8415), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16430), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381745] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8416), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15670), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381840] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8417), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16450), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [381935] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8418), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16314), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7907), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7905), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7911), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7909), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7915), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7913), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8006), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8004), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382285] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8424), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16527), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382380] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8425), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15705), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382475] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8426), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16550), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382570] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8427), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16615), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382665] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8428), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(15740), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382760] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8429), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16709), 1,
      sym__tag_spec,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [382855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9222), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382906] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5401), 1,
      sym__lowercase_identifier,
    ACTIONS(10115), 1,
      anon_sym_LPAREN,
    ACTIONS(10119), 1,
      anon_sym_LBRACE,
    ACTIONS(10121), 1,
      anon_sym_begin,
    ACTIONS(10123), 1,
      aux_sym_number_token1,
    ACTIONS(10125), 1,
      anon_sym_SQUOTE,
    ACTIONS(10127), 1,
      anon_sym_DQUOTE,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    STATE(8431), 1,
      sym_attribute,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(12805), 1,
      sym_module_path,
    STATE(12919), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10117), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13086), 2,
      sym__constant,
      sym_value_path,
    STATE(12989), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(10111), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(10113), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [382985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8064), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10235), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10241), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10239), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383189] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10243), 1,
      anon_sym_COLON,
    STATE(8436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9844), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9840), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9738), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9740), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9762), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9764), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9092), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7941), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383446] = 27,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(8441), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(15586), 1,
      sym_tag,
    STATE(16879), 1,
      sym_tag_specification,
    STATE(16928), 1,
      sym__tag_spec,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [383541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7917), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7923), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9612), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383694] = 25,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10081), 1,
      anon_sym_LBRACK,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10205), 1,
      sym__lowercase_identifier,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8445), 1,
      sym_attribute,
    STATE(11089), 1,
      sym__class_type,
    STATE(14444), 1,
      sym__simple_type,
    STATE(18265), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11201), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11241), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(21264), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(10317), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13304), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [383785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10235), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383835] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10249), 1,
      anon_sym_PIPE,
    STATE(8447), 1,
      sym_attribute,
    STATE(8449), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383889] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10249), 1,
      anon_sym_PIPE,
    STATE(8448), 1,
      sym_attribute,
    STATE(8449), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383943] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10259), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8449), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [383995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3193), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3191), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10199), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10197), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384145] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10249), 1,
      anon_sym_PIPE,
    STATE(8447), 1,
      aux_sym__match_cases_repeat1,
    STATE(8453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384199] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10249), 1,
      anon_sym_PIPE,
    STATE(8448), 1,
      aux_sym__match_cases_repeat1,
    STATE(8454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8002), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10233), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10231), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10073), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10213), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10211), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10241), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10239), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10217), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10215), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384553] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
    ACTIONS(10266), 1,
      anon_sym_module,
    STATE(8461), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15454), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [384645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10221), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10219), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10223), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10229), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10227), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384845] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10276), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [384899] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [384949] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385053] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10276), 1,
      anon_sym_else,
    STATE(8470), 1,
      sym_attribute,
    STATE(8479), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10288), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [385157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10167), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10165), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385207] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    ACTIONS(10312), 1,
      sym_or_operator,
    ACTIONS(10314), 1,
      sym_assign_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10235), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9036), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385429] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_else,
    STATE(8477), 1,
      sym_attribute,
    STATE(8479), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10171), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10169), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10181), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10195), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10193), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385633] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    ACTIONS(10312), 1,
      sym_or_operator,
    ACTIONS(10314), 1,
      sym_assign_operator,
    ACTIONS(10320), 1,
      anon_sym_SEMI,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10241), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10239), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385757] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
    ACTIONS(10322), 1,
      anon_sym_module,
    STATE(8483), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15901), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [385849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10073), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10213), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10211), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10187), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10185), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10143), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10141), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [386099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10233), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10231), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10257), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10324), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10328), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10145), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10332), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [386349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10334), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [386399] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    ACTIONS(10340), 1,
      anon_sym_SEMI,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    ACTIONS(10354), 1,
      sym_or_operator,
    ACTIONS(10356), 1,
      sym_assign_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10191), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10189), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386523] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(9810), 1,
      anon_sym_RPAREN,
    ACTIONS(10358), 1,
      anon_sym_module,
    STATE(8497), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15738), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [386615] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    ACTIONS(10312), 1,
      sym_or_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386685] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386745] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_pow_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386799] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_pow_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386853] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386915] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386977] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387043] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    ACTIONS(10312), 1,
      sym_or_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387111] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    ACTIONS(10312), 1,
      sym_or_operator,
    ACTIONS(10314), 1,
      sym_assign_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387183] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387239] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    ACTIONS(10312), 1,
      sym_or_operator,
    ACTIONS(10314), 1,
      sym_assign_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387311] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10372), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387365] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    ACTIONS(10312), 1,
      sym_or_operator,
    ACTIONS(10314), 1,
      sym_assign_operator,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387437] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    ACTIONS(10354), 1,
      sym_or_operator,
    ACTIONS(10356), 1,
      sym_assign_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387509] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387561] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10372), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10187), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10185), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10195), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10193), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10257), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10191), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10189), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10229), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10227), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10107), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [387915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9032), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10149), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10147), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10324), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10328), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388165] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    ACTIONS(10354), 1,
      sym_or_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388235] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388295] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10344), 1,
      sym_pow_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388349] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10344), 1,
      sym_pow_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388403] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388465] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388527] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388593] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    ACTIONS(10354), 1,
      sym_or_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388661] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    ACTIONS(10354), 1,
      sym_or_operator,
    ACTIONS(10356), 1,
      sym_assign_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388733] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388789] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    ACTIONS(10354), 1,
      sym_or_operator,
    ACTIONS(10356), 1,
      sym_assign_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388861] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10382), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388915] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    ACTIONS(10354), 1,
      sym_or_operator,
    ACTIONS(10356), 1,
      sym_assign_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388987] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10384), 1,
      anon_sym_PIPE,
    STATE(8538), 1,
      sym_attribute,
    STATE(8540), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389041] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10384), 1,
      anon_sym_PIPE,
    STATE(8539), 1,
      sym_attribute,
    STATE(8540), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8540), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389147] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389199] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10382), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10391), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10389), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [389303] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(8544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8330), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10199), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10197), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10395), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10393), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [389505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10399), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10397), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [389555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10221), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10219), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10107), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3193), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3191), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389755] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10384), 1,
      anon_sym_PIPE,
    STATE(8538), 1,
      aux_sym__match_cases_repeat1,
    STATE(8553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389809] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    ACTIONS(10312), 1,
      sym_or_operator,
    ACTIONS(10314), 1,
      sym_assign_operator,
    ACTIONS(10320), 1,
      anon_sym_SEMI,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389883] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    ACTIONS(10298), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10302), 1,
      sym_pow_operator,
    ACTIONS(10304), 1,
      sym_mult_operator,
    ACTIONS(10306), 1,
      sym_concat_operator,
    ACTIONS(10308), 1,
      sym_rel_operator,
    ACTIONS(10310), 1,
      sym_and_operator,
    ACTIONS(10312), 1,
      sym_or_operator,
    ACTIONS(10314), 1,
      sym_assign_operator,
    ACTIONS(10320), 1,
      anon_sym_SEMI,
    STATE(1976), 1,
      sym_add_operator,
    STATE(8555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [389957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10268), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390007] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10384), 1,
      anon_sym_PIPE,
    STATE(8539), 1,
      aux_sym__match_cases_repeat1,
    STATE(8557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8244), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390161] = 26,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(9700), 1,
      anon_sym_RPAREN,
    ACTIONS(10401), 1,
      anon_sym_module,
    STATE(8560), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15608), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [390253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390303] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(8562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8216), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10405), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10403), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [390405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8082), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10223), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10149), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10147), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10181), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390805] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    ACTIONS(10340), 1,
      anon_sym_SEMI,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    ACTIONS(10354), 1,
      sym_or_operator,
    ACTIONS(10356), 1,
      sym_assign_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390879] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    ACTIONS(10340), 1,
      anon_sym_SEMI,
    ACTIONS(10342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10344), 1,
      sym_pow_operator,
    ACTIONS(10346), 1,
      sym_mult_operator,
    ACTIONS(10348), 1,
      sym_concat_operator,
    ACTIONS(10350), 1,
      sym_rel_operator,
    ACTIONS(10352), 1,
      sym_and_operator,
    ACTIONS(10354), 1,
      sym_or_operator,
    ACTIONS(10356), 1,
      sym_assign_operator,
    STATE(2372), 1,
      sym_add_operator,
    STATE(8573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [390953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10167), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10165), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10171), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10169), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9028), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10217), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10215), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391253] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    ACTIONS(10409), 1,
      anon_sym_SEMI,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    ACTIONS(10423), 1,
      sym_or_operator,
    ACTIONS(10425), 1,
      sym_assign_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391326] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(10429), 1,
      anon_sym_SEMI,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    ACTIONS(10443), 1,
      sym_or_operator,
    ACTIONS(10445), 1,
      sym_assign_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391399] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    ACTIONS(10463), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391539] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391598] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10469), 1,
      sym_pow_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391651] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10469), 1,
      sym_pow_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391704] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391765] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391830] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    ACTIONS(10443), 1,
      sym_or_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391899] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391958] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10433), 1,
      sym_pow_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392011] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10433), 1,
      sym_pow_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392064] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392125] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392186] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392251] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    ACTIONS(10443), 1,
      sym_or_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392318] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    ACTIONS(10443), 1,
      sym_or_operator,
    ACTIONS(10445), 1,
      sym_assign_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392389] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392444] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    ACTIONS(10443), 1,
      sym_or_operator,
    ACTIONS(10445), 1,
      sym_assign_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392515] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10481), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392568] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    ACTIONS(10443), 1,
      sym_or_operator,
    ACTIONS(10445), 1,
      sym_assign_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392639] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392706] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392757] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10481), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392810] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    ACTIONS(10483), 1,
      sym_assign_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392881] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [392936] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    ACTIONS(10483), 1,
      sym_assign_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393007] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    ACTIONS(10409), 1,
      anon_sym_SEMI,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    ACTIONS(10423), 1,
      sym_or_operator,
    ACTIONS(10425), 1,
      sym_assign_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393080] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10485), 1,
      anon_sym_PIPE,
    STATE(8609), 1,
      sym_attribute,
    STATE(8611), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393133] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10485), 1,
      anon_sym_PIPE,
    STATE(8610), 1,
      sym_attribute,
    STATE(8611), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393186] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10487), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8611), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393237] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    ACTIONS(10483), 1,
      sym_assign_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393308] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10485), 1,
      anon_sym_PIPE,
    STATE(8609), 1,
      aux_sym__match_cases_repeat1,
    STATE(8613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393361] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10485), 1,
      anon_sym_PIPE,
    STATE(8610), 1,
      aux_sym__match_cases_repeat1,
    STATE(8614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393414] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      anon_sym_PIPE,
    STATE(8615), 1,
      sym_attribute,
    STATE(8617), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393467] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      anon_sym_PIPE,
    STATE(8616), 1,
      sym_attribute,
    STATE(8617), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10492), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8617), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393571] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(10429), 1,
      anon_sym_SEMI,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    ACTIONS(10443), 1,
      sym_or_operator,
    ACTIONS(10445), 1,
      sym_assign_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393644] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393695] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10495), 1,
      anon_sym_PIPE,
    STATE(8620), 1,
      sym_attribute,
    STATE(8622), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393748] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10495), 1,
      anon_sym_PIPE,
    STATE(8621), 1,
      sym_attribute,
    STATE(8622), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393801] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10497), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8622), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393852] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      anon_sym_PIPE,
    STATE(8615), 1,
      aux_sym__match_cases_repeat1,
    STATE(8623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393905] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10495), 1,
      anon_sym_PIPE,
    STATE(8620), 1,
      aux_sym__match_cases_repeat1,
    STATE(8624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393958] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      anon_sym_PIPE,
    STATE(8616), 1,
      aux_sym__match_cases_repeat1,
    STATE(8625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394011] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10495), 1,
      anon_sym_PIPE,
    STATE(8621), 1,
      aux_sym__match_cases_repeat1,
    STATE(8626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10500), 1,
      anon_sym_COLON,
    STATE(8627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8364), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8362), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [394115] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    ACTIONS(10423), 1,
      sym_or_operator,
    ACTIONS(10425), 1,
      sym_assign_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394186] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    ACTIONS(10483), 1,
      sym_assign_operator,
    ACTIONS(10502), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394259] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    ACTIONS(10483), 1,
      sym_assign_operator,
    ACTIONS(10502), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394332] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    STATE(8631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394383] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10504), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394436] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    ACTIONS(10483), 1,
      sym_assign_operator,
    ACTIONS(10502), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394509] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10504), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394613] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    ACTIONS(10463), 1,
      sym_assign_operator,
    ACTIONS(10506), 1,
      anon_sym_SEMI,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394686] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10508), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394739] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_PIPE,
    STATE(8638), 1,
      sym_attribute,
    STATE(8641), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394792] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    ACTIONS(10443), 1,
      sym_or_operator,
    ACTIONS(10445), 1,
      sym_assign_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394863] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_PIPE,
    STATE(8640), 1,
      sym_attribute,
    STATE(8641), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394916] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8641), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394967] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10508), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395020] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    ACTIONS(10463), 1,
      sym_assign_operator,
    ACTIONS(10506), 1,
      anon_sym_SEMI,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395093] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_PIPE,
    STATE(8638), 1,
      aux_sym__match_cases_repeat1,
    STATE(8644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395146] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_PIPE,
    STATE(8640), 1,
      aux_sym__match_cases_repeat1,
    STATE(8645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395199] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    ACTIONS(10423), 1,
      sym_or_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395268] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395327] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10413), 1,
      sym_pow_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395380] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10413), 1,
      sym_pow_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395433] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395494] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395555] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395620] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    ACTIONS(10423), 1,
      sym_or_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395687] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    ACTIONS(10423), 1,
      sym_or_operator,
    ACTIONS(10425), 1,
      sym_assign_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395758] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395813] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    ACTIONS(10423), 1,
      sym_or_operator,
    ACTIONS(10425), 1,
      sym_assign_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395884] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(8657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8216), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395935] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10515), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [395988] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    ACTIONS(10423), 1,
      sym_or_operator,
    ACTIONS(10425), 1,
      sym_assign_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396059] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396110] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10515), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396163] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396232] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    STATE(8663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396283] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    ACTIONS(10463), 1,
      sym_assign_operator,
    ACTIONS(10506), 1,
      anon_sym_SEMI,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396356] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396415] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10451), 1,
      sym_pow_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396468] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10451), 1,
      sym_pow_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396521] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396582] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396643] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396708] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    ACTIONS(10409), 1,
      anon_sym_SEMI,
    ACTIONS(10411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_pow_operator,
    ACTIONS(10415), 1,
      sym_mult_operator,
    ACTIONS(10417), 1,
      sym_concat_operator,
    ACTIONS(10419), 1,
      sym_rel_operator,
    ACTIONS(10421), 1,
      sym_and_operator,
    ACTIONS(10423), 1,
      sym_or_operator,
    ACTIONS(10425), 1,
      sym_assign_operator,
    STATE(2296), 1,
      sym_add_operator,
    STATE(8671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396781] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(8672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8216), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [396832] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396899] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    ACTIONS(10463), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [396970] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [397025] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    ACTIONS(10463), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [397096] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    ACTIONS(10429), 1,
      anon_sym_SEMI,
    ACTIONS(10431), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_pow_operator,
    ACTIONS(10435), 1,
      sym_mult_operator,
    ACTIONS(10437), 1,
      sym_concat_operator,
    ACTIONS(10439), 1,
      sym_rel_operator,
    ACTIONS(10441), 1,
      sym_and_operator,
    ACTIONS(10443), 1,
      sym_or_operator,
    ACTIONS(10445), 1,
      sym_assign_operator,
    STATE(1849), 1,
      sym_add_operator,
    STATE(8677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [397169] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [397230] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(307), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(369), 1,
      aux_sym_directive_token1,
    ACTIONS(489), 1,
      anon_sym_end,
    ACTIONS(10517), 1,
      anon_sym_let,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(10521), 1,
      anon_sym_type,
    ACTIONS(10523), 1,
      anon_sym_exception,
    ACTIONS(10525), 1,
      anon_sym_module,
    ACTIONS(10527), 1,
      anon_sym_open,
    ACTIONS(10529), 1,
      anon_sym_include,
    ACTIONS(10531), 1,
      anon_sym_class,
    ACTIONS(10533), 1,
      sym_let_operator,
    STATE(101), 1,
      aux_sym__structure_repeat1,
    STATE(8257), 1,
      sym_directive,
    STATE(8679), 1,
      sym_attribute,
    STATE(8764), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [397314] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10535), 1,
      anon_sym_module,
    STATE(8680), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17239), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397400] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10537), 1,
      anon_sym_module,
    STATE(8681), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17309), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397486] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(127), 1,
      aux_sym_directive_token1,
    ACTIONS(707), 1,
      anon_sym_RBRACK,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(10527), 1,
      anon_sym_open,
    ACTIONS(10529), 1,
      anon_sym_include,
    ACTIONS(10539), 1,
      anon_sym_let,
    ACTIONS(10541), 1,
      anon_sym_type,
    ACTIONS(10543), 1,
      anon_sym_exception,
    ACTIONS(10545), 1,
      anon_sym_module,
    ACTIONS(10547), 1,
      anon_sym_class,
    ACTIONS(10549), 1,
      sym_let_operator,
    STATE(105), 1,
      aux_sym__structure_repeat1,
    STATE(8431), 1,
      sym_directive,
    STATE(8682), 1,
      sym_attribute,
    STATE(8697), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [397570] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10551), 1,
      sym__lowercase_identifier,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    ACTIONS(10555), 1,
      anon_sym_private,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10561), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10563), 1,
      anon_sym_LT,
    ACTIONS(10565), 1,
      anon_sym_POUND,
    ACTIONS(10567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10571), 1,
      aux_sym_type_variable_token1,
    STATE(8683), 1,
      sym_attribute,
    STATE(9291), 1,
      sym__simple_type,
    STATE(9608), 1,
      sym__type,
    STATE(10535), 1,
      sym__proper_tuple_type,
    STATE(17771), 1,
      sym_extended_module_path,
    STATE(18551), 1,
      sym_labeled_tuple_element_type,
    STATE(21125), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9412), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [397704] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10322), 1,
      anon_sym_module,
    STATE(8685), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15901), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397790] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [397844] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    ACTIONS(10483), 1,
      sym_assign_operator,
    ACTIONS(10577), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [397916] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    ACTIONS(10591), 1,
      sym_assign_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [397986] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10593), 1,
      anon_sym_module,
    STATE(8689), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15776), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398072] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10595), 1,
      anon_sym_module,
    STATE(8690), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15396), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398158] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(127), 1,
      aux_sym_directive_token1,
    ACTIONS(489), 1,
      anon_sym_RBRACK,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(10527), 1,
      anon_sym_open,
    ACTIONS(10529), 1,
      anon_sym_include,
    ACTIONS(10539), 1,
      anon_sym_let,
    ACTIONS(10541), 1,
      anon_sym_type,
    ACTIONS(10543), 1,
      anon_sym_exception,
    ACTIONS(10545), 1,
      anon_sym_module,
    ACTIONS(10547), 1,
      anon_sym_class,
    ACTIONS(10549), 1,
      sym_let_operator,
    STATE(103), 1,
      aux_sym__structure_repeat1,
    STATE(8431), 1,
      sym_directive,
    STATE(8691), 1,
      sym_attribute,
    STATE(8698), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [398242] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(127), 1,
      aux_sym_directive_token1,
    ACTIONS(705), 1,
      anon_sym_RBRACK,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(10527), 1,
      anon_sym_open,
    ACTIONS(10529), 1,
      anon_sym_include,
    ACTIONS(10539), 1,
      anon_sym_let,
    ACTIONS(10541), 1,
      anon_sym_type,
    ACTIONS(10543), 1,
      anon_sym_exception,
    ACTIONS(10545), 1,
      anon_sym_module,
    ACTIONS(10547), 1,
      anon_sym_class,
    ACTIONS(10549), 1,
      sym_let_operator,
    STATE(104), 1,
      aux_sym__structure_repeat1,
    STATE(8431), 1,
      sym_directive,
    STATE(8682), 1,
      aux_sym__structure_repeat2,
    STATE(8692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [398326] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9358), 1,
      sym__lowercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10599), 1,
      anon_sym_private,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    STATE(8693), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(10057), 1,
      sym__simple_type,
    STATE(12213), 1,
      sym__proper_tuple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(18964), 1,
      sym_labeled_argument_type,
    STATE(19394), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8002), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [398460] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10595), 1,
      anon_sym_module,
    STATE(8695), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17400), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398546] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10603), 1,
      anon_sym_module,
    STATE(8696), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15461), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398632] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10605), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10608), 1,
      anon_sym_let,
    ACTIONS(10611), 1,
      anon_sym_external,
    ACTIONS(10614), 1,
      anon_sym_type,
    ACTIONS(10617), 1,
      anon_sym_RBRACK,
    ACTIONS(10619), 1,
      anon_sym_exception,
    ACTIONS(10622), 1,
      anon_sym_module,
    ACTIONS(10625), 1,
      anon_sym_open,
    ACTIONS(10628), 1,
      anon_sym_include,
    ACTIONS(10631), 1,
      anon_sym_class,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10637), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10643), 1,
      sym_let_operator,
    ACTIONS(10646), 1,
      aux_sym_directive_token1,
    STATE(106), 1,
      aux_sym__structure_repeat1,
    STATE(8431), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8697), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [398714] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(35), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(127), 1,
      aux_sym_directive_token1,
    ACTIONS(705), 1,
      anon_sym_RBRACK,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(10527), 1,
      anon_sym_open,
    ACTIONS(10529), 1,
      anon_sym_include,
    ACTIONS(10539), 1,
      anon_sym_let,
    ACTIONS(10541), 1,
      anon_sym_type,
    ACTIONS(10543), 1,
      anon_sym_exception,
    ACTIONS(10545), 1,
      anon_sym_module,
    ACTIONS(10547), 1,
      anon_sym_class,
    ACTIONS(10549), 1,
      sym_let_operator,
    STATE(104), 1,
      aux_sym__structure_repeat1,
    STATE(8431), 1,
      sym_directive,
    STATE(8697), 1,
      aux_sym__structure_repeat2,
    STATE(8698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [398798] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9390), 1,
      sym__lowercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10651), 1,
      anon_sym_private,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    STATE(8699), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(9651), 1,
      sym__simple_type,
    STATE(11184), 1,
      sym__proper_tuple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(20090), 1,
      sym_labeled_tuple_element_type,
    STATE(21252), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398884] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    ACTIONS(10591), 1,
      sym_assign_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [398954] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10603), 1,
      anon_sym_module,
    STATE(8701), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17485), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399040] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10655), 1,
      sym__lowercase_identifier,
    ACTIONS(10657), 1,
      anon_sym_LPAREN,
    ACTIONS(10659), 1,
      anon_sym_private,
    ACTIONS(10661), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10665), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10667), 1,
      anon_sym_LT,
    ACTIONS(10669), 1,
      anon_sym_POUND,
    ACTIONS(10671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10675), 1,
      aux_sym_type_variable_token1,
    STATE(8702), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__simple_type,
    STATE(9608), 1,
      sym__type,
    STATE(11230), 1,
      sym__proper_tuple_type,
    STATE(17696), 1,
      sym_extended_module_path,
    STATE(19865), 1,
      sym_labeled_argument_type,
    STATE(20691), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9950), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399126] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10677), 1,
      anon_sym_PIPE,
    STATE(8703), 1,
      sym_attribute,
    STATE(8707), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [399178] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10679), 1,
      anon_sym_module,
    STATE(8704), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15510), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399264] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9292), 1,
      sym__lowercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10683), 1,
      anon_sym_private,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    STATE(8705), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(9964), 1,
      sym__simple_type,
    STATE(11946), 1,
      sym__proper_tuple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(18755), 1,
      sym_labeled_tuple_element_type,
    STATE(18788), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399350] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10677), 1,
      anon_sym_PIPE,
    STATE(8706), 1,
      sym_attribute,
    STATE(8707), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [399402] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10687), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8707), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [399452] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10690), 1,
      anon_sym_module,
    STATE(8708), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17513), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399538] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10605), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10611), 1,
      anon_sym_external,
    ACTIONS(10617), 1,
      anon_sym_end,
    ACTIONS(10625), 1,
      anon_sym_open,
    ACTIONS(10628), 1,
      anon_sym_include,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(10637), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10692), 1,
      anon_sym_let,
    ACTIONS(10695), 1,
      anon_sym_type,
    ACTIONS(10698), 1,
      anon_sym_exception,
    ACTIONS(10701), 1,
      anon_sym_module,
    ACTIONS(10704), 1,
      anon_sym_class,
    ACTIONS(10707), 1,
      sym_let_operator,
    ACTIONS(10710), 1,
      aux_sym_directive_token1,
    STATE(109), 1,
      aux_sym__structure_repeat1,
    STATE(8257), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8709), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [399620] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10679), 1,
      anon_sym_module,
    STATE(8710), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17572), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399706] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10713), 1,
      anon_sym_module,
    STATE(8711), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15260), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399792] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10715), 1,
      anon_sym_module,
    STATE(8712), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15558), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399878] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [399946] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10717), 1,
      anon_sym_module,
    STATE(8714), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15570), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400032] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(307), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(369), 1,
      aux_sym_directive_token1,
    ACTIONS(707), 1,
      anon_sym_end,
    ACTIONS(10517), 1,
      anon_sym_let,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(10521), 1,
      anon_sym_type,
    ACTIONS(10523), 1,
      anon_sym_exception,
    ACTIONS(10525), 1,
      anon_sym_module,
    ACTIONS(10527), 1,
      anon_sym_open,
    ACTIONS(10529), 1,
      anon_sym_include,
    ACTIONS(10531), 1,
      anon_sym_class,
    ACTIONS(10533), 1,
      sym_let_operator,
    STATE(97), 1,
      aux_sym__structure_repeat1,
    STATE(8257), 1,
      sym_directive,
    STATE(8709), 1,
      aux_sym__structure_repeat2,
    STATE(8715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [400116] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10713), 1,
      anon_sym_module,
    STATE(8716), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18407), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400202] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10719), 1,
      sym__lowercase_identifier,
    ACTIONS(10721), 1,
      anon_sym_LPAREN,
    ACTIONS(10723), 1,
      anon_sym_private,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10729), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10731), 1,
      anon_sym_LT,
    ACTIONS(10733), 1,
      anon_sym_POUND,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10739), 1,
      aux_sym_type_variable_token1,
    STATE(8717), 1,
      sym_attribute,
    STATE(13521), 1,
      sym__simple_type,
    STATE(14059), 1,
      sym__proper_tuple_type,
    STATE(14178), 1,
      sym__type,
    STATE(17787), 1,
      sym_extended_module_path,
    STATE(18607), 1,
      sym_labeled_tuple_element_type,
    STATE(21388), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13767), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13605), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400288] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10677), 1,
      anon_sym_PIPE,
    STATE(8703), 1,
      aux_sym__match_cases_repeat1,
    STATE(8718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [400340] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    ACTIONS(10591), 1,
      sym_assign_operator,
    ACTIONS(10741), 1,
      anon_sym_SEMI,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [400412] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10717), 1,
      anon_sym_module,
    STATE(8720), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17230), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400498] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10677), 1,
      anon_sym_PIPE,
    STATE(8706), 1,
      aux_sym__match_cases_repeat1,
    STATE(8721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [400550] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    ACTIONS(10463), 1,
      sym_assign_operator,
    ACTIONS(10743), 1,
      anon_sym_SEMI,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [400622] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [400690] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [400748] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10749), 1,
      sym_pow_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [400800] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10749), 1,
      sym_pow_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [400852] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10761), 1,
      anon_sym_module,
    STATE(8727), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15621), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400938] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [400998] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401058] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401122] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401188] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    ACTIONS(10763), 1,
      sym_assign_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401258] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401312] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10761), 1,
      anon_sym_module,
    STATE(8734), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17779), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401398] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    ACTIONS(10763), 1,
      sym_assign_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401468] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    STATE(8736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401518] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    ACTIONS(10763), 1,
      sym_assign_operator,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401588] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(8739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8216), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [401690] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10715), 1,
      anon_sym_module,
    STATE(8740), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17464), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401776] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    STATE(8741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401826] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    ACTIONS(10591), 1,
      sym_assign_operator,
    ACTIONS(10741), 1,
      anon_sym_SEMI,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [401898] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10765), 1,
      anon_sym_module,
    STATE(8743), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15663), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401984] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402034] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10322), 1,
      anon_sym_module,
    STATE(8745), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18300), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402120] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10266), 1,
      anon_sym_module,
    STATE(8746), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15454), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402206] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10765), 1,
      anon_sym_module,
    STATE(8747), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17882), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402292] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10767), 1,
      anon_sym_module,
    STATE(8748), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15666), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402378] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10769), 1,
      anon_sym_PIPE,
    STATE(8749), 1,
      sym_attribute,
    STATE(8754), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402430] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10771), 1,
      sym__lowercase_identifier,
    ACTIONS(10773), 1,
      anon_sym_LPAREN,
    ACTIONS(10775), 1,
      anon_sym_private,
    ACTIONS(10777), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10783), 1,
      anon_sym_LT,
    ACTIONS(10785), 1,
      anon_sym_POUND,
    ACTIONS(10787), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10789), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10791), 1,
      aux_sym_type_variable_token1,
    STATE(8750), 1,
      sym_attribute,
    STATE(9283), 1,
      sym__simple_type,
    STATE(9608), 1,
      sym__type,
    STATE(10646), 1,
      sym__proper_tuple_type,
    STATE(17807), 1,
      sym_extended_module_path,
    STATE(18663), 1,
      sym_labeled_tuple_element_type,
    STATE(21258), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8626), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8624), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [402564] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10769), 1,
      anon_sym_PIPE,
    STATE(8752), 1,
      sym_attribute,
    STATE(8768), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402616] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10793), 1,
      anon_sym_module,
    STATE(8753), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15699), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402702] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10769), 1,
      anon_sym_PIPE,
    STATE(8754), 1,
      sym_attribute,
    STATE(8769), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402754] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10358), 1,
      anon_sym_module,
    STATE(8755), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15738), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402840] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    STATE(8756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402890] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [402942] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10793), 1,
      anon_sym_module,
    STATE(8758), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17987), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403028] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10795), 1,
      anon_sym_module,
    STATE(8759), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15736), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8256), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [403162] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10401), 1,
      anon_sym_module,
    STATE(8761), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15608), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9550), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9548), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [403296] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10795), 1,
      anon_sym_module,
    STATE(8763), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18143), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403382] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(307), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(369), 1,
      aux_sym_directive_token1,
    ACTIONS(705), 1,
      anon_sym_end,
    ACTIONS(10517), 1,
      anon_sym_let,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(10521), 1,
      anon_sym_type,
    ACTIONS(10523), 1,
      anon_sym_exception,
    ACTIONS(10525), 1,
      anon_sym_module,
    ACTIONS(10527), 1,
      anon_sym_open,
    ACTIONS(10529), 1,
      anon_sym_include,
    ACTIONS(10531), 1,
      anon_sym_class,
    ACTIONS(10533), 1,
      sym_let_operator,
    STATE(94), 1,
      aux_sym__structure_repeat1,
    STATE(8257), 1,
      sym_directive,
    STATE(8709), 1,
      aux_sym__structure_repeat2,
    STATE(8764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [403466] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403526] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10358), 1,
      anon_sym_module,
    STATE(8766), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17857), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403612] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10401), 1,
      anon_sym_module,
    STATE(8767), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17952), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403698] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10769), 1,
      anon_sym_PIPE,
    STATE(8768), 1,
      sym_attribute,
    STATE(8769), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403750] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10797), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8769), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [403800] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10800), 1,
      anon_sym_module,
    STATE(8770), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15231), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403886] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10593), 1,
      anon_sym_module,
    STATE(8771), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18262), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403972] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10802), 1,
      anon_sym_module,
    STATE(8772), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15249), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404058] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    ACTIONS(10463), 1,
      sym_assign_operator,
    ACTIONS(10743), 1,
      anon_sym_SEMI,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8330), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [404178] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9328), 1,
      sym__lowercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10806), 1,
      anon_sym_private,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    STATE(8775), 1,
      sym_attribute,
    STATE(9553), 1,
      sym__simple_type,
    STATE(9608), 1,
      sym__type,
    STATE(11341), 1,
      sym__proper_tuple_type,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18760), 1,
      sym_labeled_argument_type,
    STATE(21331), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404264] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404324] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10810), 1,
      anon_sym_module,
    STATE(8777), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15644), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9568), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9566), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [404458] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10812), 1,
      sym__lowercase_identifier,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
    ACTIONS(10816), 1,
      anon_sym_private,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10822), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10824), 1,
      anon_sym_LT,
    ACTIONS(10826), 1,
      anon_sym_POUND,
    ACTIONS(10828), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10830), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10832), 1,
      aux_sym_type_variable_token1,
    STATE(8779), 1,
      sym_attribute,
    STATE(9601), 1,
      sym__simple_type,
    STATE(9608), 1,
      sym__type,
    STATE(11271), 1,
      sym__proper_tuple_type,
    STATE(17756), 1,
      sym_extended_module_path,
    STATE(18484), 1,
      sym_labeled_tuple_element_type,
    STATE(20557), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404544] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10767), 1,
      anon_sym_module,
    STATE(8780), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18427), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404630] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10810), 1,
      anon_sym_module,
    STATE(8781), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17897), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404716] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    ACTIONS(10449), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10451), 1,
      sym_pow_operator,
    ACTIONS(10453), 1,
      sym_mult_operator,
    ACTIONS(10455), 1,
      sym_concat_operator,
    ACTIONS(10457), 1,
      sym_rel_operator,
    ACTIONS(10459), 1,
      sym_and_operator,
    ACTIONS(10461), 1,
      sym_or_operator,
    ACTIONS(10463), 1,
      sym_assign_operator,
    ACTIONS(10743), 1,
      anon_sym_SEMI,
    STATE(2365), 1,
      sym_add_operator,
    STATE(8782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [404836] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    ACTIONS(10763), 1,
      sym_assign_operator,
    ACTIONS(10834), 1,
      anon_sym_SEMI,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404908] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    ACTIONS(10763), 1,
      sym_assign_operator,
    ACTIONS(10834), 1,
      anon_sym_SEMI,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9038), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [404980] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10802), 1,
      anon_sym_module,
    STATE(8786), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18334), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405066] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    STATE(8787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405116] = 24,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10836), 1,
      anon_sym_AMP,
    STATE(8788), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(14708), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405202] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10690), 1,
      anon_sym_module,
    STATE(8789), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15339), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8244), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [405336] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10838), 1,
      anon_sym_module,
    STATE(8791), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15293), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405422] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(307), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(369), 1,
      aux_sym_directive_token1,
    ACTIONS(705), 1,
      anon_sym_end,
    ACTIONS(10517), 1,
      anon_sym_let,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(10521), 1,
      anon_sym_type,
    ACTIONS(10523), 1,
      anon_sym_exception,
    ACTIONS(10525), 1,
      anon_sym_module,
    ACTIONS(10527), 1,
      anon_sym_open,
    ACTIONS(10529), 1,
      anon_sym_include,
    ACTIONS(10531), 1,
      anon_sym_class,
    ACTIONS(10533), 1,
      sym_let_operator,
    STATE(94), 1,
      aux_sym__structure_repeat1,
    STATE(8257), 1,
      sym_directive,
    STATE(8715), 1,
      aux_sym__structure_repeat2,
    STATE(8792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12898), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(12990), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [405506] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    ACTIONS(10483), 1,
      sym_assign_operator,
    ACTIONS(10577), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9030), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405578] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405642] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10838), 1,
      anon_sym_module,
    STATE(8795), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18453), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405728] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405786] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405836] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10535), 1,
      anon_sym_module,
    STATE(8798), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15701), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405922] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [405988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8082), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [406036] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10800), 1,
      anon_sym_module,
    STATE(8801), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18229), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406122] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10537), 1,
      anon_sym_module,
    STATE(8802), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15345), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406208] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10840), 1,
      sym__lowercase_identifier,
    ACTIONS(10842), 1,
      anon_sym_LPAREN,
    ACTIONS(10844), 1,
      anon_sym_private,
    ACTIONS(10846), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10850), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10852), 1,
      anon_sym_LT,
    ACTIONS(10854), 1,
      anon_sym_POUND,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10858), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10860), 1,
      aux_sym_type_variable_token1,
    STATE(8803), 1,
      sym_attribute,
    STATE(9608), 1,
      sym__type,
    STATE(13610), 1,
      sym__simple_type,
    STATE(14336), 1,
      sym__proper_tuple_type,
    STATE(17645), 1,
      sym_extended_module_path,
    STATE(19916), 1,
      sym_labeled_argument_type,
    STATE(20349), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13943), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406294] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    ACTIONS(10591), 1,
      sym_assign_operator,
    ACTIONS(10741), 1,
      anon_sym_SEMI,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406366] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(8805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8216), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [406416] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    ACTIONS(10591), 1,
      sym_assign_operator,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406486] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    ACTIONS(10467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_pow_operator,
    ACTIONS(10471), 1,
      sym_mult_operator,
    ACTIONS(10473), 1,
      sym_concat_operator,
    ACTIONS(10475), 1,
      sym_rel_operator,
    ACTIONS(10477), 1,
      sym_and_operator,
    ACTIONS(10479), 1,
      sym_or_operator,
    ACTIONS(10483), 1,
      sym_assign_operator,
    ACTIONS(10577), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      sym_add_operator,
    STATE(8807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9522), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [406606] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    ACTIONS(10763), 1,
      sym_assign_operator,
    ACTIONS(10834), 1,
      anon_sym_SEMI,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [406678] = 24,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(7629), 1,
      sym__lowercase_identifier,
    ACTIONS(10266), 1,
      anon_sym_module,
    STATE(8810), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17527), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406764] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8811), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18462), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8330), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [406894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8002), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [406941] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8082), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [406988] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(8815), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13879), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407071] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    ACTIONS(10866), 1,
      anon_sym_SEMI,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    ACTIONS(10880), 1,
      sym_or_operator,
    ACTIONS(10882), 1,
      sym_assign_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [407142] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(8817), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13883), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407225] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(8818), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13570), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407308] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    ACTIONS(10866), 1,
      anon_sym_SEMI,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    ACTIONS(10880), 1,
      sym_or_operator,
    ACTIONS(10882), 1,
      sym_assign_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [407379] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8820), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18201), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407462] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8821), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15221), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407545] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8822), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18274), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407628] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(10884), 1,
      sym__lowercase_identifier,
    STATE(8823), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(10057), 1,
      sym__simple_type,
    STATE(12213), 1,
      sym__proper_tuple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(18964), 1,
      sym_labeled_argument_type,
    STATE(19394), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407711] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(10886), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8824), 1,
      sym_attribute,
    STATE(9964), 1,
      sym__simple_type,
    STATE(11946), 1,
      sym__proper_tuple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(18755), 1,
      sym_labeled_tuple_element_type,
    STATE(18788), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407794] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(10884), 1,
      sym__lowercase_identifier,
    STATE(8825), 1,
      sym_attribute,
    STATE(9414), 1,
      sym__type,
    STATE(10057), 1,
      sym__simple_type,
    STATE(12213), 1,
      sym__proper_tuple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(18964), 1,
      sym_labeled_argument_type,
    STATE(19394), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407877] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(10884), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8826), 1,
      sym_attribute,
    STATE(10057), 1,
      sym__simple_type,
    STATE(12213), 1,
      sym__proper_tuple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(18964), 1,
      sym_labeled_argument_type,
    STATE(19394), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407960] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8244), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [408007] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10888), 1,
      sym__lowercase_identifier,
    STATE(8828), 1,
      sym_attribute,
    STATE(13887), 1,
      sym__simple_type,
    STATE(13891), 1,
      sym__type,
    STATE(14811), 1,
      sym__proper_tuple_type,
    STATE(18147), 1,
      sym_extended_module_path,
    STATE(19135), 1,
      sym_labeled_argument_type,
    STATE(20142), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13767), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408090] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10890), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408141] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408190] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10892), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8831), 1,
      sym_attribute,
    STATE(10795), 1,
      sym__simple_type,
    STATE(12957), 1,
      sym__proper_tuple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(19767), 1,
      sym_labeled_tuple_element_type,
    STATE(20253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408273] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10894), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408324] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    ACTIONS(10763), 1,
      sym_assign_operator,
    ACTIONS(10896), 1,
      anon_sym_SEMI,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [408395] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10892), 1,
      sym__lowercase_identifier,
    STATE(8834), 1,
      sym_attribute,
    STATE(10795), 1,
      sym__simple_type,
    STATE(12957), 1,
      sym__proper_tuple_type,
    STATE(13141), 1,
      sym__type,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(19767), 1,
      sym_labeled_tuple_element_type,
    STATE(20253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408478] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10892), 1,
      sym__lowercase_identifier,
    STATE(8835), 1,
      sym_attribute,
    STATE(10795), 1,
      sym__simple_type,
    STATE(12957), 1,
      sym__proper_tuple_type,
    STATE(13219), 1,
      sym__type,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(19767), 1,
      sym_labeled_tuple_element_type,
    STATE(20253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408561] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8836), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15443), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408644] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    ACTIONS(10763), 1,
      sym_assign_operator,
    ACTIONS(10896), 1,
      anon_sym_SEMI,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [408715] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(10898), 1,
      sym__lowercase_identifier,
    STATE(8838), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9651), 1,
      sym__simple_type,
    STATE(11184), 1,
      sym__proper_tuple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(20090), 1,
      sym_labeled_tuple_element_type,
    STATE(21252), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408798] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10900), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [408849] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10888), 1,
      sym__lowercase_identifier,
    STATE(8840), 1,
      sym_attribute,
    STATE(13887), 1,
      sym__simple_type,
    STATE(14811), 1,
      sym__proper_tuple_type,
    STATE(15331), 1,
      sym__type,
    STATE(18147), 1,
      sym_extended_module_path,
    STATE(19135), 1,
      sym_labeled_argument_type,
    STATE(20142), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13767), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408932] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(10898), 1,
      sym__lowercase_identifier,
    STATE(8841), 1,
      sym_attribute,
    STATE(9414), 1,
      sym__type,
    STATE(9651), 1,
      sym__simple_type,
    STATE(11184), 1,
      sym__proper_tuple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(20090), 1,
      sym_labeled_tuple_element_type,
    STATE(21252), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409015] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(10898), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8842), 1,
      sym_attribute,
    STATE(9651), 1,
      sym__simple_type,
    STATE(11184), 1,
      sym__proper_tuple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(20090), 1,
      sym_labeled_tuple_element_type,
    STATE(21252), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409098] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8843), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(16384), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409181] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8844), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(16390), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409264] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8845), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18256), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409347] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8846), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17502), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409430] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10890), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [409481] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8848), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15798), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409564] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      sym__lowercase_identifier,
    STATE(8849), 1,
      sym_attribute,
    STATE(10802), 1,
      sym__simple_type,
    STATE(13141), 1,
      sym__type,
    STATE(13165), 1,
      sym__proper_tuple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(20708), 1,
      sym_labeled_argument_type,
    STATE(21223), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409647] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      sym__lowercase_identifier,
    STATE(8850), 1,
      sym_attribute,
    STATE(10802), 1,
      sym__simple_type,
    STATE(13165), 1,
      sym__proper_tuple_type,
    STATE(13219), 1,
      sym__type,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(20708), 1,
      sym_labeled_argument_type,
    STATE(21223), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409730] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10773), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10783), 1,
      anon_sym_LT,
    ACTIONS(10785), 1,
      anon_sym_POUND,
    ACTIONS(10787), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10789), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10791), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8851), 1,
      sym_attribute,
    STATE(9283), 1,
      sym__simple_type,
    STATE(10646), 1,
      sym__proper_tuple_type,
    STATE(17807), 1,
      sym_extended_module_path,
    STATE(18663), 1,
      sym_labeled_tuple_element_type,
    STATE(21258), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409813] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10906), 1,
      sym__lowercase_identifier,
    STATE(8852), 1,
      sym_attribute,
    STATE(12749), 1,
      sym__simple_type,
    STATE(13879), 1,
      sym__type,
    STATE(13950), 1,
      sym__proper_tuple_type,
    STATE(17736), 1,
      sym_extended_module_path,
    STATE(18777), 1,
      sym_labeled_argument_type,
    STATE(21111), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13423), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409896] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10906), 1,
      sym__lowercase_identifier,
    STATE(8853), 1,
      sym_attribute,
    STATE(12749), 1,
      sym__simple_type,
    STATE(13883), 1,
      sym__type,
    STATE(13950), 1,
      sym__proper_tuple_type,
    STATE(17736), 1,
      sym_extended_module_path,
    STATE(18777), 1,
      sym_labeled_argument_type,
    STATE(21111), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13423), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409979] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10842), 1,
      anon_sym_LPAREN,
    ACTIONS(10846), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10850), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10852), 1,
      anon_sym_LT,
    ACTIONS(10854), 1,
      anon_sym_POUND,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10858), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10860), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10908), 1,
      sym__lowercase_identifier,
    STATE(8854), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(13610), 1,
      sym__simple_type,
    STATE(14336), 1,
      sym__proper_tuple_type,
    STATE(17645), 1,
      sym_extended_module_path,
    STATE(19916), 1,
      sym_labeled_argument_type,
    STATE(20349), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13943), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410062] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10842), 1,
      anon_sym_LPAREN,
    ACTIONS(10846), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10850), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10852), 1,
      anon_sym_LT,
    ACTIONS(10854), 1,
      anon_sym_POUND,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10858), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10860), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10908), 1,
      sym__lowercase_identifier,
    STATE(8855), 1,
      sym_attribute,
    STATE(9414), 1,
      sym__type,
    STATE(13610), 1,
      sym__simple_type,
    STATE(14336), 1,
      sym__proper_tuple_type,
    STATE(17645), 1,
      sym_extended_module_path,
    STATE(19916), 1,
      sym_labeled_argument_type,
    STATE(20349), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13943), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410145] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8856), 1,
      sym_attribute,
    STATE(9282), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10912), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10910), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [410202] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8857), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15441), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410285] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10842), 1,
      anon_sym_LPAREN,
    ACTIONS(10846), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10850), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10852), 1,
      anon_sym_LT,
    ACTIONS(10854), 1,
      anon_sym_POUND,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10858), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10860), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10908), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8858), 1,
      sym_attribute,
    STATE(13610), 1,
      sym__simple_type,
    STATE(14336), 1,
      sym__proper_tuple_type,
    STATE(17645), 1,
      sym_extended_module_path,
    STATE(19916), 1,
      sym_labeled_argument_type,
    STATE(20349), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13943), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410368] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8859), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18202), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410451] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8860), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18306), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    ACTIONS(10934), 1,
      sym_or_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [410601] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [410658] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10924), 1,
      sym_pow_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [410709] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10924), 1,
      sym_pow_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [410760] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [410819] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [410878] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [410941] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    ACTIONS(10934), 1,
      sym_or_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411006] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    ACTIONS(10934), 1,
      sym_or_operator,
    ACTIONS(10936), 1,
      sym_assign_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [411075] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411128] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    ACTIONS(10934), 1,
      sym_or_operator,
    ACTIONS(10936), 1,
      sym_assign_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [411197] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10938), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411248] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    ACTIONS(10934), 1,
      sym_or_operator,
    ACTIONS(10936), 1,
      sym_assign_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [411317] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8874), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17445), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411400] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    ACTIONS(10591), 1,
      sym_assign_operator,
    ACTIONS(10940), 1,
      anon_sym_SEMI,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [411471] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10942), 1,
      anon_sym_PIPE,
    STATE(8876), 1,
      sym_attribute,
    STATE(8878), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411522] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10942), 1,
      anon_sym_PIPE,
    STATE(8877), 1,
      sym_attribute,
    STATE(8878), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411573] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8878), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411622] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(10886), 1,
      sym__lowercase_identifier,
    STATE(8879), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9964), 1,
      sym__simple_type,
    STATE(11946), 1,
      sym__proper_tuple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(18755), 1,
      sym_labeled_tuple_element_type,
    STATE(18788), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411705] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411754] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10938), 1,
      anon_sym_else,
    STATE(8479), 1,
      sym_else_clause,
    STATE(8881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411805] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10942), 1,
      anon_sym_PIPE,
    STATE(8876), 1,
      aux_sym__match_cases_repeat1,
    STATE(8882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411856] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8883), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17492), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411939] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10942), 1,
      anon_sym_PIPE,
    STATE(8877), 1,
      aux_sym__match_cases_repeat1,
    STATE(8884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [411990] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8885), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17660), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412073] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10657), 1,
      anon_sym_LPAREN,
    ACTIONS(10661), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10665), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10667), 1,
      anon_sym_LT,
    ACTIONS(10669), 1,
      anon_sym_POUND,
    ACTIONS(10671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10675), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10947), 1,
      sym__lowercase_identifier,
    STATE(8886), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__simple_type,
    STATE(9438), 1,
      sym__type,
    STATE(11230), 1,
      sym__proper_tuple_type,
    STATE(17696), 1,
      sym_extended_module_path,
    STATE(19865), 1,
      sym_labeled_argument_type,
    STATE(20691), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9950), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412156] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10906), 1,
      sym__lowercase_identifier,
    STATE(8887), 1,
      sym_attribute,
    STATE(12749), 1,
      sym__simple_type,
    STATE(13651), 1,
      sym__type,
    STATE(13950), 1,
      sym__proper_tuple_type,
    STATE(17736), 1,
      sym_extended_module_path,
    STATE(18777), 1,
      sym_labeled_argument_type,
    STATE(21111), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13423), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412239] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10657), 1,
      anon_sym_LPAREN,
    ACTIONS(10661), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10665), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10667), 1,
      anon_sym_LT,
    ACTIONS(10669), 1,
      anon_sym_POUND,
    ACTIONS(10671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10675), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10947), 1,
      sym__lowercase_identifier,
    STATE(8888), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__simple_type,
    STATE(9414), 1,
      sym__type,
    STATE(11230), 1,
      sym__proper_tuple_type,
    STATE(17696), 1,
      sym_extended_module_path,
    STATE(19865), 1,
      sym_labeled_argument_type,
    STATE(20691), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9950), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412322] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8889), 1,
      sym_attribute,
    STATE(10802), 1,
      sym__simple_type,
    STATE(13165), 1,
      sym__proper_tuple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(20708), 1,
      sym_labeled_argument_type,
    STATE(21223), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412405] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    ACTIONS(10934), 1,
      sym_or_operator,
    ACTIONS(10936), 1,
      sym_assign_operator,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [412474] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(8891), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13600), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412557] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(8892), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13596), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412640] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    ACTIONS(10880), 1,
      sym_or_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [412707] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8894), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17270), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412790] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [412847] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8896), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17327), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412930] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      sym_pow_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [412981] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      sym_pow_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413032] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413091] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413150] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413213] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    ACTIONS(10880), 1,
      sym_or_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413278] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    ACTIONS(10880), 1,
      sym_or_operator,
    ACTIONS(10882), 1,
      sym_assign_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [413347] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413400] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    STATE(8905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [413449] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10822), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10824), 1,
      anon_sym_LT,
    ACTIONS(10826), 1,
      anon_sym_POUND,
    ACTIONS(10828), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10830), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10832), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10949), 1,
      sym__lowercase_identifier,
    STATE(8906), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9601), 1,
      sym__simple_type,
    STATE(11271), 1,
      sym__proper_tuple_type,
    STATE(17756), 1,
      sym_extended_module_path,
    STATE(18484), 1,
      sym_labeled_tuple_element_type,
    STATE(20557), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413532] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(10886), 1,
      sym__lowercase_identifier,
    STATE(8907), 1,
      sym_attribute,
    STATE(9414), 1,
      sym__type,
    STATE(9964), 1,
      sym__simple_type,
    STATE(11946), 1,
      sym__proper_tuple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(18755), 1,
      sym_labeled_tuple_element_type,
    STATE(18788), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413615] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    ACTIONS(10880), 1,
      sym_or_operator,
    ACTIONS(10882), 1,
      sym_assign_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [413684] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10822), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10824), 1,
      anon_sym_LT,
    ACTIONS(10826), 1,
      anon_sym_POUND,
    ACTIONS(10828), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10830), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10832), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10949), 1,
      sym__lowercase_identifier,
    STATE(8909), 1,
      sym_attribute,
    STATE(9414), 1,
      sym__type,
    STATE(9601), 1,
      sym__simple_type,
    STATE(11271), 1,
      sym__proper_tuple_type,
    STATE(17756), 1,
      sym_extended_module_path,
    STATE(18484), 1,
      sym_labeled_tuple_element_type,
    STATE(20557), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413767] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8910), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17605), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413850] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8911), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17641), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413933] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10894), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(8912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [413984] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10951), 1,
      anon_sym_PIPE,
    STATE(8913), 1,
      sym_attribute,
    STATE(8915), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [414035] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10951), 1,
      anon_sym_PIPE,
    STATE(8914), 1,
      sym_attribute,
    STATE(8915), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [414086] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10953), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8915), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [414135] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10951), 1,
      anon_sym_PIPE,
    STATE(8913), 1,
      aux_sym__match_cases_repeat1,
    STATE(8916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [414186] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8917), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17979), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10951), 1,
      anon_sym_PIPE,
    STATE(8914), 1,
      aux_sym__match_cases_repeat1,
    STATE(8918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [414320] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8919), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15144), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414403] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8920), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18027), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414486] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10888), 1,
      sym__lowercase_identifier,
    STATE(8921), 1,
      sym_attribute,
    STATE(13887), 1,
      sym__simple_type,
    STATE(14811), 1,
      sym__proper_tuple_type,
    STATE(15638), 1,
      sym__type,
    STATE(18147), 1,
      sym_extended_module_path,
    STATE(19135), 1,
      sym_labeled_argument_type,
    STATE(20142), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13767), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414569] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    ACTIONS(10880), 1,
      sym_or_operator,
    ACTIONS(10882), 1,
      sym_assign_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [414638] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10561), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10563), 1,
      anon_sym_LT,
    ACTIONS(10565), 1,
      anon_sym_POUND,
    ACTIONS(10567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10571), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10956), 1,
      sym__lowercase_identifier,
    STATE(8923), 1,
      sym_attribute,
    STATE(9291), 1,
      sym__simple_type,
    STATE(9438), 1,
      sym__type,
    STATE(10535), 1,
      sym__proper_tuple_type,
    STATE(17771), 1,
      sym_extended_module_path,
    STATE(18551), 1,
      sym_labeled_tuple_element_type,
    STATE(21125), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9412), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414721] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8924), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414804] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10561), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10563), 1,
      anon_sym_LT,
    ACTIONS(10565), 1,
      anon_sym_POUND,
    ACTIONS(10567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10571), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10956), 1,
      sym__lowercase_identifier,
    STATE(8925), 1,
      sym_attribute,
    STATE(9291), 1,
      sym__simple_type,
    STATE(9414), 1,
      sym__type,
    STATE(10535), 1,
      sym__proper_tuple_type,
    STATE(17771), 1,
      sym_extended_module_path,
    STATE(18551), 1,
      sym_labeled_tuple_element_type,
    STATE(21125), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9412), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414887] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10888), 1,
      sym__lowercase_identifier,
    STATE(8926), 1,
      sym_attribute,
    STATE(13887), 1,
      sym__simple_type,
    STATE(14811), 1,
      sym__proper_tuple_type,
    STATE(15643), 1,
      sym__type,
    STATE(18147), 1,
      sym_extended_module_path,
    STATE(19135), 1,
      sym_labeled_argument_type,
    STATE(20142), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13767), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414970] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10906), 1,
      sym__lowercase_identifier,
    STATE(8927), 1,
      sym_attribute,
    STATE(12749), 1,
      sym__simple_type,
    STATE(13631), 1,
      sym__type,
    STATE(13950), 1,
      sym__proper_tuple_type,
    STATE(17736), 1,
      sym_extended_module_path,
    STATE(18777), 1,
      sym_labeled_argument_type,
    STATE(21111), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13423), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415053] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8928), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18314), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415136] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8929), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18346), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415219] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8930), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17450), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415302] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(8931), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13573), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415385] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10721), 1,
      anon_sym_LPAREN,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10729), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10731), 1,
      anon_sym_LT,
    ACTIONS(10733), 1,
      anon_sym_POUND,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10739), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10958), 1,
      sym__lowercase_identifier,
    STATE(8932), 1,
      sym_attribute,
    STATE(13521), 1,
      sym__simple_type,
    STATE(14059), 1,
      sym__proper_tuple_type,
    STATE(14109), 1,
      sym__type,
    STATE(17787), 1,
      sym_extended_module_path,
    STATE(18607), 1,
      sym_labeled_tuple_element_type,
    STATE(21388), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13767), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13605), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415468] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10721), 1,
      anon_sym_LPAREN,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10729), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10731), 1,
      anon_sym_LT,
    ACTIONS(10733), 1,
      anon_sym_POUND,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10739), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10958), 1,
      sym__lowercase_identifier,
    STATE(8933), 1,
      sym_attribute,
    STATE(13521), 1,
      sym__simple_type,
    STATE(14059), 1,
      sym__proper_tuple_type,
    STATE(14081), 1,
      sym__type,
    STATE(17787), 1,
      sym_extended_module_path,
    STATE(18607), 1,
      sym_labeled_tuple_element_type,
    STATE(21388), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13767), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13605), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415551] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8934), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17647), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415634] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8935), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18326), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415717] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8936), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17240), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415800] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8937), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18354), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415883] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10657), 1,
      anon_sym_LPAREN,
    ACTIONS(10661), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10665), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10667), 1,
      anon_sym_LT,
    ACTIONS(10669), 1,
      anon_sym_POUND,
    ACTIONS(10671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10675), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10947), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8938), 1,
      sym_attribute,
    STATE(9390), 1,
      sym__simple_type,
    STATE(11230), 1,
      sym__proper_tuple_type,
    STATE(17696), 1,
      sym_extended_module_path,
    STATE(19865), 1,
      sym_labeled_argument_type,
    STATE(20691), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9950), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415966] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8939), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18406), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416049] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10749), 1,
      sym_pow_operator,
    ACTIONS(10751), 1,
      sym_mult_operator,
    ACTIONS(10753), 1,
      sym_concat_operator,
    ACTIONS(10755), 1,
      sym_rel_operator,
    ACTIONS(10757), 1,
      sym_and_operator,
    ACTIONS(10759), 1,
      sym_or_operator,
    ACTIONS(10763), 1,
      sym_assign_operator,
    ACTIONS(10896), 1,
      anon_sym_SEMI,
    STATE(2324), 1,
      sym_add_operator,
    STATE(8940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [416120] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8941), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17541), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416203] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8942), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17571), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416286] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8943), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17265), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416369] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10773), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10783), 1,
      anon_sym_LT,
    ACTIONS(10785), 1,
      anon_sym_POUND,
    ACTIONS(10787), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10789), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10791), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 1,
      sym__lowercase_identifier,
    STATE(8944), 1,
      sym_attribute,
    STATE(9283), 1,
      sym__simple_type,
    STATE(9438), 1,
      sym__type,
    STATE(10646), 1,
      sym__proper_tuple_type,
    STATE(17807), 1,
      sym_extended_module_path,
    STATE(18663), 1,
      sym_labeled_tuple_element_type,
    STATE(21258), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416452] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10773), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10783), 1,
      anon_sym_LT,
    ACTIONS(10785), 1,
      anon_sym_POUND,
    ACTIONS(10787), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10789), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10791), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10904), 1,
      sym__lowercase_identifier,
    STATE(8945), 1,
      sym_attribute,
    STATE(9283), 1,
      sym__simple_type,
    STATE(9414), 1,
      sym__type,
    STATE(10646), 1,
      sym__proper_tuple_type,
    STATE(17807), 1,
      sym_extended_module_path,
    STATE(18663), 1,
      sym_labeled_tuple_element_type,
    STATE(21258), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416535] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8946), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18113), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416618] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8947), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18157), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416701] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(8948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8216), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [416750] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8949), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18358), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416833] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8950), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18369), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416916] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10960), 1,
      anon_sym_COLON,
    STATE(8951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9526), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416965] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8952), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17246), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417048] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8953), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17258), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417131] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8954), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(14812), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417214] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8955), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17331), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417297] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8956), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17339), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417380] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8957), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17413), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417463] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8958), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17420), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417546] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8959), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17497), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417629] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8960), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17510), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417712] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    ACTIONS(10591), 1,
      sym_assign_operator,
    ACTIONS(10940), 1,
      anon_sym_SEMI,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417783] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(8962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8216), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417832] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10573), 1,
      sym_pow_operator,
    ACTIONS(10575), 1,
      sym_mult_operator,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    ACTIONS(10581), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_concat_operator,
    ACTIONS(10585), 1,
      sym_rel_operator,
    ACTIONS(10587), 1,
      sym_and_operator,
    ACTIONS(10589), 1,
      sym_or_operator,
    ACTIONS(10591), 1,
      sym_assign_operator,
    ACTIONS(10940), 1,
      anon_sym_SEMI,
    STATE(2387), 1,
      sym_add_operator,
    STATE(8963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [417903] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8964), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17589), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417986] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8965), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17599), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418069] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(10962), 1,
      sym__lowercase_identifier,
    STATE(8966), 1,
      sym_attribute,
    STATE(9414), 1,
      sym__type,
    STATE(9553), 1,
      sym__simple_type,
    STATE(11341), 1,
      sym__proper_tuple_type,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18760), 1,
      sym_labeled_argument_type,
    STATE(21331), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418152] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8967), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17689), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418235] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8968), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17700), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418318] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    STATE(8969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [418367] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    ACTIONS(10880), 1,
      sym_or_operator,
    ACTIONS(10882), 1,
      sym_assign_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(8970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [418436] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8971), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17797), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418519] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8972), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17813), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418602] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    ACTIONS(10934), 1,
      sym_or_operator,
    ACTIONS(10936), 1,
      sym_assign_operator,
    ACTIONS(10964), 1,
      anon_sym_SEMI,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [418673] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8974), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17900), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418756] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8975), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17913), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418839] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10721), 1,
      anon_sym_LPAREN,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10729), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10731), 1,
      anon_sym_LT,
    ACTIONS(10733), 1,
      anon_sym_POUND,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10739), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10958), 1,
      sym__lowercase_identifier,
    STATE(8976), 1,
      sym_attribute,
    STATE(13521), 1,
      sym__simple_type,
    STATE(13891), 1,
      sym__type,
    STATE(14059), 1,
      sym__proper_tuple_type,
    STATE(17787), 1,
      sym_extended_module_path,
    STATE(18607), 1,
      sym_labeled_tuple_element_type,
    STATE(21388), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13767), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13605), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418922] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    ACTIONS(10934), 1,
      sym_or_operator,
    ACTIONS(10936), 1,
      sym_assign_operator,
    ACTIONS(10964), 1,
      anon_sym_SEMI,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [418993] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    ACTIONS(10922), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10924), 1,
      sym_pow_operator,
    ACTIONS(10926), 1,
      sym_mult_operator,
    ACTIONS(10928), 1,
      sym_concat_operator,
    ACTIONS(10930), 1,
      sym_rel_operator,
    ACTIONS(10932), 1,
      sym_and_operator,
    ACTIONS(10934), 1,
      sym_or_operator,
    ACTIONS(10936), 1,
      sym_assign_operator,
    ACTIONS(10964), 1,
      anon_sym_SEMI,
    STATE(1903), 1,
      sym_add_operator,
    STATE(8978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [419064] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8979), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18005), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419147] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8980), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18013), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419230] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10906), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8981), 1,
      sym_attribute,
    STATE(12749), 1,
      sym__simple_type,
    STATE(13950), 1,
      sym__proper_tuple_type,
    STATE(17736), 1,
      sym_extended_module_path,
    STATE(18777), 1,
      sym_labeled_argument_type,
    STATE(21111), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13423), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419313] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8982), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18159), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419396] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8983), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18170), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419479] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(8984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8216), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [419528] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8985), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18020), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419611] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8986), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18172), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419694] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(8987), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13651), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419777] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8988), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18207), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419860] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8989), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18213), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419943] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8990), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18244), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420026] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8991), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18253), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420109] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8992), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18297), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420192] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8993), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18305), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420275] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8994), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18356), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420358] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8995), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18364), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420441] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8996), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18396), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420524] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8997), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18417), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420607] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(10962), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(8998), 1,
      sym_attribute,
    STATE(9553), 1,
      sym__simple_type,
    STATE(11341), 1,
      sym__proper_tuple_type,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18760), 1,
      sym_labeled_argument_type,
    STATE(21331), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420690] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8999), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18452), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420773] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9000), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18360), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420856] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9001), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17297), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420939] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(9002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8216), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420988] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9003), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18257), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421071] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9004), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18320), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421154] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9005), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17347), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421237] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9006), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17390), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421320] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9007), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17610), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421403] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9008), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17646), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421486] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9009), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18180), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421569] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9010), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18215), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421652] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9011), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18353), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421735] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9012), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18370), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421818] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9013), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17243), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421901] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9014), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17256), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421984] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9015), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18442), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422067] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9016), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17316), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422150] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9017), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17332), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422233] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9018), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17402), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422316] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9019), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17416), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422399] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10822), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10824), 1,
      anon_sym_LT,
    ACTIONS(10826), 1,
      anon_sym_POUND,
    ACTIONS(10828), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10830), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10832), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10949), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(9020), 1,
      sym_attribute,
    STATE(9601), 1,
      sym__simple_type,
    STATE(11271), 1,
      sym__proper_tuple_type,
    STATE(17756), 1,
      sym_extended_module_path,
    STATE(18484), 1,
      sym_labeled_tuple_element_type,
    STATE(20557), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422482] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9021), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15346), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422565] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9022), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17484), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422648] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9023), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17500), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422731] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(10962), 1,
      sym__lowercase_identifier,
    STATE(9024), 1,
      sym_attribute,
    STATE(9438), 1,
      sym__type,
    STATE(9553), 1,
      sym__simple_type,
    STATE(11341), 1,
      sym__proper_tuple_type,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18760), 1,
      sym_labeled_argument_type,
    STATE(21331), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422814] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9025), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17566), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422897] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9026), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17578), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422980] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9027), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17642), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423063] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9028), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17655), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423146] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9029), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17737), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423229] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9030), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17752), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423312] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(9031), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13575), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423395] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9032), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18217), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423478] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9033), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18235), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423561] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9034), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18251), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423644] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9035), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15242), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423727] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9036), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18276), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423810] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9037), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18279), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423893] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9038), 1,
      sym_attribute,
    STATE(9282), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10968), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10966), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [423950] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9039), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(18291), 1,
      sym__type,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424033] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8471), 1,
      sym__type,
    STATE(9040), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424116] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9041), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17234), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424199] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9042), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17241), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424282] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9043), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15320), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424365] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9044), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17251), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424448] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9045), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17252), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424531] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9046), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17253), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424614] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9047), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17302), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424697] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9048), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17310), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424780] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9049), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15371), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424863] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9050), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17321), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424946] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9051), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17322), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425029] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9052), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17326), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425112] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9053), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17372), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425195] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9054), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17378), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425278] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9055), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15412), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425361] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9056), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17385), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425444] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9057), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17386), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425527] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9058), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17388), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425610] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9059), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17428), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425693] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9060), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(15440), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425776] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9061), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17476), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425859] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9062), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17507), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425942] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9063), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17540), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426025] = 23,
    ACTIONS(7), 1,
      sym__lowercase_identifier,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(9064), 1,
      sym_attribute,
    STATE(12651), 1,
      sym__simple_type,
    STATE(13959), 1,
      sym__proper_tuple_type,
    STATE(17565), 1,
      sym__type,
    STATE(18248), 1,
      sym_extended_module_path,
    STATE(20047), 1,
      sym_labeled_tuple_element_type,
    STATE(21350), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426108] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(9065), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13631), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426191] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10900), 1,
      anon_sym_else,
    STATE(8460), 1,
      sym_else_clause,
    STATE(9066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [426242] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10561), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10563), 1,
      anon_sym_LT,
    ACTIONS(10565), 1,
      anon_sym_POUND,
    ACTIONS(10567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10571), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10956), 1,
      sym__lowercase_identifier,
    STATE(8471), 1,
      sym__type,
    STATE(9067), 1,
      sym_attribute,
    STATE(9291), 1,
      sym__simple_type,
    STATE(10535), 1,
      sym__proper_tuple_type,
    STATE(17771), 1,
      sym_extended_module_path,
    STATE(18551), 1,
      sym_labeled_tuple_element_type,
    STATE(21125), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(9412), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426325] = 23,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10862), 1,
      sym__lowercase_identifier,
    STATE(9068), 1,
      sym_attribute,
    STATE(11468), 1,
      sym__simple_type,
    STATE(13560), 1,
      sym__proper_tuple_type,
    STATE(13585), 1,
      sym__type,
    STATE(17490), 1,
      sym_extended_module_path,
    STATE(18921), 1,
      sym_labeled_tuple_element_type,
    STATE(19253), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8494), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426408] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    ACTIONS(10866), 1,
      anon_sym_SEMI,
    ACTIONS(10868), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_pow_operator,
    ACTIONS(10872), 1,
      sym_mult_operator,
    ACTIONS(10874), 1,
      sym_concat_operator,
    ACTIONS(10876), 1,
      sym_rel_operator,
    ACTIONS(10878), 1,
      sym_and_operator,
    ACTIONS(10880), 1,
      sym_or_operator,
    ACTIONS(10882), 1,
      sym_assign_operator,
    STATE(2398), 1,
      sym_add_operator,
    STATE(9069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9214), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9642), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8176), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426617] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10970), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9073), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [426665] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10975), 1,
      anon_sym_SEMI,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    ACTIONS(10991), 1,
      sym_assign_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426735] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10995), 1,
      anon_sym_SEMI,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    ACTIONS(11011), 1,
      sym_assign_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10316), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [426805] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11013), 1,
      anon_sym_PIPE,
    STATE(9076), 1,
      sym_attribute,
    STATE(9108), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [426855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8062), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8086), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9666), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9668), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8098), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [427039] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11015), 1,
      anon_sym_PIPE,
    STATE(9073), 1,
      aux_sym__match_cases_repeat1,
    STATE(9081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427089] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10995), 1,
      anon_sym_SEMI,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    ACTIONS(11011), 1,
      sym_assign_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427159] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427215] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10999), 1,
      sym_pow_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10999), 1,
      sym_pow_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427315] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8002), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [427419] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427477] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427543] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10975), 1,
      anon_sym_SEMI,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    ACTIONS(10991), 1,
      sym_assign_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [427613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9012), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [427659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8276), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [427705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8192), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [427751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8310), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [427797] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427853] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10979), 1,
      sym_pow_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8314), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [427949] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10979), 1,
      sym_pow_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [427999] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10975), 1,
      anon_sym_SEMI,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    ACTIONS(10991), 1,
      sym_assign_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [428069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8330), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [428115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9092), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [428161] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    ACTIONS(11011), 1,
      sym_assign_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [428229] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8058), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [428333] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8124), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [428441] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428505] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11017), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9108), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428553] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11013), 1,
      anon_sym_PIPE,
    STATE(9109), 1,
      sym_attribute,
    STATE(9156), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428603] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428661] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9084), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [428769] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [428833] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    ACTIONS(10991), 1,
      sym_assign_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [428901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8346), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [428947] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    ACTIONS(11011), 1,
      sym_assign_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10364), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8120), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8154), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429107] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429159] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9624), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9626), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429257] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    ACTIONS(10991), 1,
      sym_assign_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8082), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429371] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11020), 1,
      anon_sym_DOT_DOT,
    STATE(9124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4737), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(4735), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9012), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429465] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    ACTIONS(11011), 1,
      sym_assign_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10368), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [429533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9006), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8350), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429625] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    STATE(9129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8342), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9738), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9740), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9762), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9764), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429811] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11015), 1,
      anon_sym_PIPE,
    STATE(9073), 1,
      aux_sym__match_cases_repeat1,
    STATE(9133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429861] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    STATE(9134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [429909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8050), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [429955] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [430003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9528), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430049] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [430097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9032), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [430143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9724), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9726), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9186), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430235] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    ACTIONS(10991), 1,
      sym_assign_operator,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10374), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [430303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9702), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9704), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9718), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9720), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8002), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9684), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9686), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9694), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9696), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9716), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9604), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9608), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6789), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(6783), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9734), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9736), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430763] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11022), 1,
      anon_sym_COLON,
    STATE(9153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9016), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430811] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11013), 1,
      anon_sym_PIPE,
    STATE(9076), 1,
      aux_sym__match_cases_repeat1,
    STATE(9154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [430861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9742), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9744), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [430907] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11013), 1,
      anon_sym_PIPE,
    STATE(9108), 1,
      aux_sym__match_cases_repeat1,
    STATE(9156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [430957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8244), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9746), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9748), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9638), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8276), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8310), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9036), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [431233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8314), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9750), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9752), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9028), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [431371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8330), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431417] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10161), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10159), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [431483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9612), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8058), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9584), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9586), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9210), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9006), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8124), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9728), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9730), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9644), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9646), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8244), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8292), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8346), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431989] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11015), 1,
      anon_sym_PIPE,
    STATE(9081), 1,
      aux_sym__match_cases_repeat1,
    STATE(9179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [432039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9786), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9788), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9590), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9592), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8120), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8154), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9766), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9768), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9688), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9690), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432315] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11015), 1,
      anon_sym_PIPE,
    STATE(9133), 1,
      aux_sym__match_cases_repeat1,
    STATE(9186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [432365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9790), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9792), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8082), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9794), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9796), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432503] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10995), 1,
      anon_sym_SEMI,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    ACTIONS(11011), 1,
      sym_assign_operator,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9222), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9758), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9760), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9218), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9202), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432756] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    ACTIONS(10991), 1,
      sym_assign_operator,
    ACTIONS(11024), 1,
      anon_sym_SEMI,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432825] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7659), 1,
      anon_sym_COMMA,
    STATE(9196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9136), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9070), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9072), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432917] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11028), 1,
      anon_sym_let,
    STATE(9198), 1,
      sym_attribute,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11280), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11026), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [432978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9112), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8292), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433068] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11030), 1,
      anon_sym_type,
    ACTIONS(11032), 1,
      anon_sym_exception,
    ACTIONS(11034), 1,
      anon_sym_module,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11038), 1,
      anon_sym_include,
    ACTIONS(11040), 1,
      anon_sym_class,
    ACTIONS(11042), 1,
      anon_sym_val,
    ACTIONS(11044), 1,
      anon_sym_end,
    STATE(9201), 1,
      sym_attribute,
    STATE(9281), 1,
      aux_sym__signature_repeat1,
    STATE(9308), 1,
      aux_sym__structure_repeat1,
    STATE(13568), 1,
      sym__signature_item,
    STATE(21335), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [433145] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7659), 1,
      anon_sym_COMMA,
    ACTIONS(7661), 1,
      anon_sym_PIPE,
    ACTIONS(7665), 1,
      anon_sym_COLON_COLON,
    STATE(9202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9152), 17,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9152), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433241] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(9204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8216), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [433288] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11028), 1,
      anon_sym_let,
    STATE(9205), 1,
      sym_attribute,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11281), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11026), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [433349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7665), 1,
      anon_sym_COLON_COLON,
    STATE(9206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9126), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9128), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9142), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9100), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9124), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7943), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9146), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4737), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(4735), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9156), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9190), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9198), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8176), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9074), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9076), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433891] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    ACTIONS(11011), 1,
      sym_assign_operator,
    ACTIONS(11046), 1,
      anon_sym_SEMI,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [433960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9170), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8062), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9136), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9132), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8086), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434185] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11030), 1,
      anon_sym_type,
    ACTIONS(11032), 1,
      anon_sym_exception,
    ACTIONS(11034), 1,
      anon_sym_module,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11038), 1,
      anon_sym_include,
    ACTIONS(11040), 1,
      anon_sym_class,
    ACTIONS(11042), 1,
      anon_sym_val,
    ACTIONS(11048), 1,
      anon_sym_end,
    STATE(9224), 1,
      sym_attribute,
    STATE(9281), 1,
      aux_sym__signature_repeat1,
    STATE(9308), 1,
      aux_sym__structure_repeat1,
    STATE(13568), 1,
      sym__signature_item,
    STATE(21073), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [434262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8098), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9052), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9054), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9040), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9042), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9186), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9108), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434487] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11052), 1,
      anon_sym_let,
    STATE(9230), 1,
      sym_attribute,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11282), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11050), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [434548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9096), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9084), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434638] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    STATE(9233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [434685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9060), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9062), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8192), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9210), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434820] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    ACTIONS(10991), 1,
      sym_assign_operator,
    ACTIONS(11024), 1,
      anon_sym_SEMI,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [434889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8054), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9206), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8350), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8342), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435069] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      anon_sym_let,
    STATE(9242), 1,
      sym_attribute,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11393), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [435130] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      anon_sym_let,
    STATE(9243), 1,
      sym_attribute,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11394), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11054), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [435191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9046), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9048), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9050), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11058), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8298), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [435326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9066), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9068), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9214), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9218), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9222), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435506] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    ACTIONS(11011), 1,
      sym_assign_operator,
    ACTIONS(11046), 1,
      anon_sym_SEMI,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [435575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9104), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435620] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    STATE(9253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [435667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9162), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9166), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435757] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    ACTIONS(10997), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10999), 1,
      sym_pow_operator,
    ACTIONS(11001), 1,
      sym_mult_operator,
    ACTIONS(11003), 1,
      sym_concat_operator,
    ACTIONS(11005), 1,
      sym_rel_operator,
    ACTIONS(11007), 1,
      sym_and_operator,
    ACTIONS(11009), 1,
      sym_or_operator,
    ACTIONS(11011), 1,
      sym_assign_operator,
    ACTIONS(11046), 1,
      anon_sym_SEMI,
    STATE(2326), 1,
      sym_add_operator,
    STATE(9256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [435826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9174), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435871] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(9258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8216), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [435918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9092), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9118), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9120), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9056), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9058), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11060), 28,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436098] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    ACTIONS(10977), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10979), 1,
      sym_pow_operator,
    ACTIONS(10981), 1,
      sym_mult_operator,
    ACTIONS(10983), 1,
      sym_concat_operator,
    ACTIONS(10985), 1,
      sym_rel_operator,
    ACTIONS(10987), 1,
      sym_and_operator,
    ACTIONS(10989), 1,
      sym_or_operator,
    ACTIONS(10991), 1,
      sym_assign_operator,
    ACTIONS(11024), 1,
      anon_sym_SEMI,
    STATE(2123), 1,
      sym_add_operator,
    STATE(9263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8050), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436212] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11068), 1,
      anon_sym_DOT,
    STATE(9265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11066), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11064), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9194), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9088), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436349] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_let,
    STATE(9268), 1,
      sym_attribute,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11359), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11070), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9116), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9182), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436500] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7659), 1,
      anon_sym_COMMA,
    ACTIONS(7665), 1,
      anon_sym_COLON_COLON,
    STATE(9271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9134), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9136), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9080), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11074), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8218), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8244), 27,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11078), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11066), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11064), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11082), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11086), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11084), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8082), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11090), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11088), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [436948] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11030), 1,
      anon_sym_type,
    ACTIONS(11032), 1,
      anon_sym_exception,
    ACTIONS(11034), 1,
      anon_sym_module,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11038), 1,
      anon_sym_include,
    ACTIONS(11040), 1,
      anon_sym_class,
    ACTIONS(11042), 1,
      anon_sym_val,
    ACTIONS(11092), 1,
      anon_sym_end,
    STATE(9281), 1,
      sym_attribute,
    STATE(9289), 1,
      aux_sym__signature_repeat1,
    STATE(9309), 1,
      aux_sym__structure_repeat1,
    STATE(13568), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [437022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11096), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11094), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437066] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11098), 1,
      sym__lowercase_identifier,
    ACTIONS(11100), 1,
      anon_sym_DASH_GT,
    ACTIONS(11102), 1,
      anon_sym_STAR,
    ACTIONS(11104), 1,
      anon_sym_POUND,
    STATE(9283), 1,
      sym_attribute,
    STATE(9505), 1,
      sym_type_constructor_path,
    STATE(17950), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10336), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11108), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11106), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437168] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11098), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_POUND,
    ACTIONS(11114), 1,
      anon_sym_STAR,
    STATE(9285), 1,
      sym_attribute,
    STATE(9505), 1,
      sym_type_constructor_path,
    STATE(17950), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11112), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437224] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11116), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11119), 1,
      anon_sym_external,
    ACTIONS(11122), 1,
      anon_sym_type,
    ACTIONS(11125), 1,
      anon_sym_RBRACK,
    ACTIONS(11127), 1,
      anon_sym_exception,
    ACTIONS(11130), 1,
      anon_sym_module,
    ACTIONS(11133), 1,
      anon_sym_open,
    ACTIONS(11136), 1,
      anon_sym_include,
    ACTIONS(11139), 1,
      anon_sym_class,
    ACTIONS(11142), 1,
      anon_sym_val,
    ACTIONS(11145), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11148), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11151), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(9631), 1,
      aux_sym__structure_repeat1,
    STATE(13568), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9286), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [437296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8330), 26,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437340] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11154), 1,
      sym__lowercase_identifier,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    STATE(9288), 1,
      sym_attribute,
    STATE(9481), 1,
      sym_type_constructor_path,
    STATE(17922), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11158), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437394] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11116), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11119), 1,
      anon_sym_external,
    ACTIONS(11125), 1,
      anon_sym_end,
    ACTIONS(11133), 1,
      anon_sym_open,
    ACTIONS(11145), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11148), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11151), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11162), 1,
      anon_sym_type,
    ACTIONS(11165), 1,
      anon_sym_exception,
    ACTIONS(11168), 1,
      anon_sym_module,
    ACTIONS(11171), 1,
      anon_sym_include,
    ACTIONS(11174), 1,
      anon_sym_class,
    ACTIONS(11177), 1,
      anon_sym_val,
    STATE(9415), 1,
      aux_sym__structure_repeat1,
    STATE(13568), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9289), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [437466] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11098), 1,
      sym__lowercase_identifier,
    ACTIONS(11184), 1,
      anon_sym_POUND,
    STATE(9290), 1,
      sym_attribute,
    STATE(9591), 1,
      sym_type_constructor_path,
    STATE(17950), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11182), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437520] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11154), 1,
      sym__lowercase_identifier,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11186), 1,
      anon_sym_DASH_GT,
    ACTIONS(11188), 1,
      anon_sym_STAR,
    STATE(9291), 1,
      sym_attribute,
    STATE(9481), 1,
      sym_type_constructor_path,
    STATE(17922), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10336), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437578] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11154), 1,
      sym__lowercase_identifier,
    ACTIONS(11190), 1,
      anon_sym_POUND,
    STATE(9292), 1,
      sym_attribute,
    STATE(9649), 1,
      sym_type_constructor_path,
    STATE(17922), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437632] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11098), 1,
      sym__lowercase_identifier,
    ACTIONS(11104), 1,
      anon_sym_POUND,
    STATE(9293), 1,
      sym_attribute,
    STATE(9505), 1,
      sym_type_constructor_path,
    STATE(17950), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11158), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11194), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11192), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437730] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11154), 1,
      sym__lowercase_identifier,
    ACTIONS(11160), 1,
      anon_sym_POUND,
    ACTIONS(11196), 1,
      anon_sym_STAR,
    STATE(9295), 1,
      sym_attribute,
    STATE(9481), 1,
      sym_type_constructor_path,
    STATE(17922), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11112), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [437786] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11092), 1,
      anon_sym_RBRACK,
    ACTIONS(11198), 1,
      anon_sym_type,
    ACTIONS(11200), 1,
      anon_sym_exception,
    ACTIONS(11202), 1,
      anon_sym_module,
    ACTIONS(11204), 1,
      anon_sym_include,
    ACTIONS(11206), 1,
      anon_sym_class,
    ACTIONS(11208), 1,
      anon_sym_val,
    STATE(9286), 1,
      aux_sym__signature_repeat1,
    STATE(9296), 1,
      sym_attribute,
    STATE(9327), 1,
      aux_sym__structure_repeat1,
    STATE(13568), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [437860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11212), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11210), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11216), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11214), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11220), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11218), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [437992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11224), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11222), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [438036] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9301), 1,
      sym_attribute,
    STATE(10135), 1,
      sym__simple_type,
    STATE(10240), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15494), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(19980), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [438113] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9302), 1,
      sym_attribute,
    STATE(10131), 1,
      sym__simple_type,
    STATE(10240), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15492), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(19958), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [438190] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9303), 1,
      sym_attribute,
    STATE(10132), 1,
      sym__simple_type,
    STATE(10240), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15493), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(19960), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [438267] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      anon_sym_let,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(9304), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11726), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11228), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [438326] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(9305), 1,
      sym_attribute,
    STATE(10237), 1,
      sym__simple_type,
    STATE(10751), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15512), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17665), 1,
      sym_extended_module_path,
    STATE(20239), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [438403] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(9306), 1,
      sym_attribute,
    STATE(10250), 1,
      sym__simple_type,
    STATE(10751), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15513), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17665), 1,
      sym_extended_module_path,
    STATE(20245), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [438480] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(9307), 1,
      sym_attribute,
    STATE(10328), 1,
      sym__simple_type,
    STATE(10751), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15516), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17665), 1,
      sym_extended_module_path,
    STATE(20271), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [438557] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11030), 1,
      anon_sym_type,
    ACTIONS(11032), 1,
      anon_sym_exception,
    ACTIONS(11034), 1,
      anon_sym_module,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11038), 1,
      anon_sym_include,
    ACTIONS(11040), 1,
      anon_sym_class,
    ACTIONS(11042), 1,
      anon_sym_val,
    ACTIONS(11092), 1,
      anon_sym_end,
    STATE(9308), 1,
      sym_attribute,
    STATE(13323), 1,
      aux_sym__structure_repeat1,
    STATE(13584), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [438628] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11030), 1,
      anon_sym_type,
    ACTIONS(11032), 1,
      anon_sym_exception,
    ACTIONS(11034), 1,
      anon_sym_module,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11038), 1,
      anon_sym_include,
    ACTIONS(11040), 1,
      anon_sym_class,
    ACTIONS(11042), 1,
      anon_sym_val,
    ACTIONS(11248), 1,
      anon_sym_end,
    STATE(9309), 1,
      sym_attribute,
    STATE(13323), 1,
      aux_sym__structure_repeat1,
    STATE(13584), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [438699] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(9310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8216), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [438744] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(9311), 1,
      sym_attribute,
    STATE(9967), 1,
      sym__simple_type,
    STATE(10292), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15529), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(20542), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [438821] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(9312), 1,
      sym_attribute,
    STATE(9968), 1,
      sym__simple_type,
    STATE(10292), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15530), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(20548), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [438898] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(9313), 1,
      sym_attribute,
    STATE(9986), 1,
      sym__simple_type,
    STATE(10292), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15531), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(20574), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [438975] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9314), 1,
      sym_attribute,
    STATE(10478), 1,
      sym__simple_type,
    STATE(10621), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15542), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17680), 1,
      sym_extended_module_path,
    STATE(20907), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439052] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_COLON2,
    STATE(9315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [439097] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9316), 1,
      sym_attribute,
    STATE(10479), 1,
      sym__simple_type,
    STATE(10621), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15543), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17680), 1,
      sym_extended_module_path,
    STATE(20929), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439174] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9317), 1,
      sym_attribute,
    STATE(10523), 1,
      sym__simple_type,
    STATE(10621), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15545), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17680), 1,
      sym_extended_module_path,
    STATE(20957), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439251] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(9318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8216), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [439296] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9319), 1,
      sym_attribute,
    STATE(9449), 1,
      sym__simple_type,
    STATE(9859), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15410), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18627), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439373] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9320), 1,
      sym_attribute,
    STATE(9452), 1,
      sym__simple_type,
    STATE(9859), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15411), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18639), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439450] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(9321), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(10917), 1,
      sym_type_variable,
    STATE(11014), 1,
      sym__simple_type,
    STATE(15319), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(19478), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439527] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9322), 1,
      sym_attribute,
    STATE(9576), 1,
      sym__simple_type,
    STATE(9878), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15561), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(21401), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439604] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9323), 1,
      sym_attribute,
    STATE(9577), 1,
      sym__simple_type,
    STATE(9878), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15562), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(21405), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439681] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9324), 1,
      sym_attribute,
    STATE(9487), 1,
      sym__simple_type,
    STATE(9859), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15413), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18697), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439758] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9325), 1,
      sym_attribute,
    STATE(9585), 1,
      sym__simple_type,
    STATE(9878), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15564), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(21430), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439835] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(9326), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(14034), 1,
      sym__simple_type,
    STATE(14084), 1,
      sym_type_variable,
    STATE(15239), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17355), 1,
      sym_extended_module_path,
    STATE(20467), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [439912] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11198), 1,
      anon_sym_type,
    ACTIONS(11200), 1,
      anon_sym_exception,
    ACTIONS(11202), 1,
      anon_sym_module,
    ACTIONS(11204), 1,
      anon_sym_include,
    ACTIONS(11206), 1,
      anon_sym_class,
    ACTIONS(11208), 1,
      anon_sym_val,
    ACTIONS(11248), 1,
      anon_sym_RBRACK,
    STATE(9327), 1,
      sym_attribute,
    STATE(13323), 1,
      aux_sym__structure_repeat1,
    STATE(13584), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [439983] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(9328), 1,
      sym_attribute,
    STATE(9829), 1,
      sym__simple_type,
    STATE(9978), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15575), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17714), 1,
      sym_extended_module_path,
    STATE(18527), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [440060] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11314), 1,
      anon_sym_let,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(9329), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11757), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11312), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [440119] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      anon_sym_let,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(9330), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12249), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11316), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [440178] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11322), 1,
      anon_sym_POUND,
    STATE(9331), 1,
      sym_attribute,
    STATE(9831), 1,
      sym_type_constructor_path,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [440231] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(9332), 1,
      sym_attribute,
    STATE(10447), 1,
      sym__simple_type,
    STATE(10601), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15308), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17278), 1,
      sym_extended_module_path,
    STATE(21341), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [440308] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(9333), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(10917), 1,
      sym_type_variable,
    STATE(11013), 1,
      sym__simple_type,
    STATE(15318), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(19323), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [440385] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(9334), 1,
      sym_attribute,
    STATE(10449), 1,
      sym__simple_type,
    STATE(10601), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15324), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17278), 1,
      sym_extended_module_path,
    STATE(21454), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [440462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11062), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [440505] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11346), 1,
      anon_sym_let,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(9336), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11748), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11344), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [440564] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(9337), 1,
      sym_attribute,
    STATE(9836), 1,
      sym__simple_type,
    STATE(9978), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15578), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17714), 1,
      sym_extended_module_path,
    STATE(18537), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [440641] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(9338), 1,
      sym_attribute,
    STATE(10759), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(10963), 1,
      sym__simple_type,
    STATE(15368), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(19583), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [440718] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(9339), 1,
      sym_attribute,
    STATE(9886), 1,
      sym__simple_type,
    STATE(10122), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15438), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17574), 1,
      sym_extended_module_path,
    STATE(19116), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [440795] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11368), 1,
      anon_sym_POUND,
    STATE(9340), 1,
      sym_attribute,
    STATE(9769), 1,
      sym_type_constructor_path,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11182), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [440848] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(9341), 1,
      sym_attribute,
    STATE(9796), 1,
      sym__simple_type,
    STATE(10122), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15439), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17574), 1,
      sym_extended_module_path,
    STATE(19124), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [440925] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(9342), 1,
      sym_attribute,
    STATE(10759), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(10987), 1,
      sym__simple_type,
    STATE(15369), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(19616), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441002] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(10916), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11372), 1,
      anon_sym_let,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(9343), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12319), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11370), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [441061] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(9344), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(14028), 1,
      sym__simple_type,
    STATE(14084), 1,
      sym_type_variable,
    STATE(15240), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17355), 1,
      sym_extended_module_path,
    STATE(20475), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441138] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(9345), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(10917), 1,
      sym_type_variable,
    STATE(10997), 1,
      sym__simple_type,
    STATE(15323), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(18679), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441215] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(9346), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(14045), 1,
      sym__simple_type,
    STATE(14084), 1,
      sym_type_variable,
    STATE(15248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17355), 1,
      sym_extended_module_path,
    STATE(20561), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11062), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441335] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(9348), 1,
      sym_attribute,
    STATE(9724), 1,
      sym__simple_type,
    STATE(10122), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15442), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17574), 1,
      sym_extended_module_path,
    STATE(19161), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441412] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(9349), 1,
      sym_attribute,
    STATE(10759), 1,
      sym_type_variable,
    STATE(10760), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15374), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(19867), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441489] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11092), 1,
      anon_sym_RBRACK,
    ACTIONS(11198), 1,
      anon_sym_type,
    ACTIONS(11200), 1,
      anon_sym_exception,
    ACTIONS(11202), 1,
      anon_sym_module,
    ACTIONS(11204), 1,
      anon_sym_include,
    ACTIONS(11206), 1,
      anon_sym_class,
    ACTIONS(11208), 1,
      anon_sym_val,
    STATE(9350), 1,
      sym_attribute,
    STATE(13323), 1,
      aux_sym__structure_repeat1,
    STATE(13584), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [441560] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(9351), 1,
      sym_attribute,
    STATE(10275), 1,
      sym__simple_type,
    STATE(10719), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15475), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17620), 1,
      sym_extended_module_path,
    STATE(19579), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441637] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(9352), 1,
      sym_attribute,
    STATE(10276), 1,
      sym__simple_type,
    STATE(10719), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15476), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17620), 1,
      sym_extended_module_path,
    STATE(19584), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441714] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(9353), 1,
      sym_attribute,
    STATE(10473), 1,
      sym__simple_type,
    STATE(10601), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15464), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17278), 1,
      sym_extended_module_path,
    STATE(21435), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441791] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(9354), 1,
      sym_attribute,
    STATE(10289), 1,
      sym__simple_type,
    STATE(10719), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15478), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17620), 1,
      sym_extended_module_path,
    STATE(19622), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [441868] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11394), 1,
      anon_sym_COLON2,
    STATE(9355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441913] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_COLON2,
    STATE(9356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [441958] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11396), 1,
      anon_sym_COLON2,
    STATE(9357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442003] = 22,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(9358), 1,
      sym_attribute,
    STATE(9830), 1,
      sym__simple_type,
    STATE(9978), 1,
      sym_type_variable,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(15576), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17714), 1,
      sym_extended_module_path,
    STATE(18529), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [442080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [442122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8108), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8116), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442206] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(9362), 1,
      sym_attribute,
    STATE(10286), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17278), 1,
      sym_extended_module_path,
    STATE(18870), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442278] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7907), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442320] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11404), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11406), 1,
      anon_sym_GT,
    STATE(9364), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442392] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7909), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7911), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442434] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11408), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11410), 1,
      anon_sym_GT,
    STATE(9366), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7943), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442548] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(9368), 1,
      sym_attribute,
    STATE(10530), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8326), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442662] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(9370), 1,
      sym_attribute,
    STATE(10530), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8306), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8124), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7915), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442860] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8006), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442902] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(9375), 1,
      sym_attribute,
    STATE(10530), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442974] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8292), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [443016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11412), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11416), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11420), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443142] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11424), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11426), 1,
      anon_sym_GT,
    STATE(9380), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8048), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443256] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(9382), 1,
      sym_attribute,
    STATE(10403), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17665), 1,
      sym_extended_module_path,
    STATE(20287), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443328] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8128), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [443370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8162), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [443412] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(9385), 1,
      sym_attribute,
    STATE(10407), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17665), 1,
      sym_extended_module_path,
    STATE(20288), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443484] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(9386), 1,
      sym_attribute,
    STATE(10287), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17665), 1,
      sym_extended_module_path,
    STATE(20291), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11428), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443682] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11440), 1,
      sym__lowercase_identifier,
    ACTIONS(11442), 1,
      anon_sym_DASH_GT,
    ACTIONS(11444), 1,
      anon_sym_STAR,
    ACTIONS(11446), 1,
      anon_sym_POUND,
    STATE(9390), 1,
      sym_attribute,
    STATE(9954), 1,
      sym_type_constructor_path,
    STATE(17871), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10336), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [443738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11448), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11452), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11456), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [443864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8192), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [443906] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11460), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11462), 1,
      anon_sym_GT,
    STATE(9395), 1,
      sym_attribute,
    STATE(14244), 1,
      sym__simple_type,
    STATE(16600), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8346), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444020] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8350), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8342), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444146] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11468), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11470), 1,
      anon_sym_GT,
    STATE(9400), 1,
      sym_attribute,
    STATE(14266), 1,
      sym__simple_type,
    STATE(16517), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444218] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11472), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11474), 1,
      anon_sym_GT,
    STATE(9401), 1,
      sym_attribute,
    STATE(14297), 1,
      sym__simple_type,
    STATE(16777), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444290] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11476), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11478), 1,
      anon_sym_GT,
    STATE(9402), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444362] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11480), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11482), 1,
      anon_sym_GT,
    STATE(9403), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444434] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11484), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11486), 1,
      anon_sym_GT,
    STATE(9404), 1,
      sym_attribute,
    STATE(14308), 1,
      sym__simple_type,
    STATE(16277), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444506] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(9405), 1,
      sym_attribute,
    STATE(10463), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8330), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444620] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11488), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11490), 1,
      anon_sym_GT,
    STATE(9407), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444692] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8010), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444734] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(9409), 1,
      sym_attribute,
    STATE(10463), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444806] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11492), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11494), 1,
      anon_sym_GT,
    STATE(9410), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444878] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11440), 1,
      sym__lowercase_identifier,
    ACTIONS(11446), 1,
      anon_sym_POUND,
    ACTIONS(11496), 1,
      anon_sym_STAR,
    STATE(9411), 1,
      sym_attribute,
    STATE(9954), 1,
      sym_type_constructor_path,
    STATE(17871), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [444932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [444974] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11502), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11504), 1,
      anon_sym_GT,
    STATE(9413), 1,
      sym_attribute,
    STATE(14245), 1,
      sym__simple_type,
    STATE(16265), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445046] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    STATE(9414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11508), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11506), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [445090] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11030), 1,
      anon_sym_type,
    ACTIONS(11032), 1,
      anon_sym_exception,
    ACTIONS(11034), 1,
      anon_sym_module,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11038), 1,
      anon_sym_include,
    ACTIONS(11040), 1,
      anon_sym_class,
    ACTIONS(11042), 1,
      anon_sym_val,
    STATE(9415), 1,
      sym_attribute,
    STATE(13323), 1,
      aux_sym__structure_repeat1,
    STATE(13584), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [445158] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(9416), 1,
      sym_attribute,
    STATE(10463), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445230] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11512), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11514), 1,
      anon_sym_GT,
    STATE(9417), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445302] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8230), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445344] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(9419), 1,
      sym_attribute,
    STATE(10007), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(20594), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445416] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(9420), 1,
      sym_attribute,
    STATE(10012), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(20596), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445488] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(9421), 1,
      sym_attribute,
    STATE(10015), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17520), 1,
      sym_extended_module_path,
    STATE(20606), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11516), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445602] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8212), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11062), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [445686] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8154), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445728] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11520), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11522), 1,
      anon_sym_GT,
    STATE(9426), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445800] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8050), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445842] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11524), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11526), 1,
      anon_sym_GT,
    STATE(9428), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445914] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11528), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11530), 1,
      anon_sym_GT,
    STATE(9429), 1,
      sym_attribute,
    STATE(14277), 1,
      sym__simple_type,
    STATE(16610), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8066), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446028] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11532), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11534), 1,
      anon_sym_GT,
    STATE(9431), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446100] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    STATE(9432), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11158), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [446152] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11538), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11540), 1,
      anon_sym_GT,
    STATE(9433), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446224] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11542), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11544), 1,
      anon_sym_GT,
    STATE(9434), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446296] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11440), 1,
      sym__lowercase_identifier,
    ACTIONS(11546), 1,
      anon_sym_POUND,
    STATE(9435), 1,
      sym_attribute,
    STATE(9975), 1,
      sym_type_constructor_path,
    STATE(17871), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [446348] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11548), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11550), 1,
      anon_sym_GT,
    STATE(9436), 1,
      sym_attribute,
    STATE(14256), 1,
      sym__simple_type,
    STATE(16426), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446420] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11552), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11554), 1,
      anon_sym_GT,
    STATE(9437), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446492] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    STATE(9438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11558), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11556), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [446536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [446578] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11560), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11562), 1,
      anon_sym_GT,
    STATE(9440), 1,
      sym_attribute,
    STATE(14279), 1,
      sym__simple_type,
    STATE(16476), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446650] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11564), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11566), 1,
      anon_sym_GT,
    STATE(9441), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446722] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11568), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11570), 1,
      anon_sym_GT,
    STATE(9442), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446794] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9443), 1,
      sym_attribute,
    STATE(10705), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8120), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446908] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9445), 1,
      sym_attribute,
    STATE(10705), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8226), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [447022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11572), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11576), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447106] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9449), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11582), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [447164] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9450), 1,
      sym_attribute,
    STATE(9728), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447278] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9452), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11592), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [447336] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9453), 1,
      sym_attribute,
    STATE(10705), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447408] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9454), 1,
      sym_attribute,
    STATE(10359), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447480] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11596), 1,
      anon_sym_GT,
    STATE(9455), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11576), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9090), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [447636] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9458), 1,
      sym_attribute,
    STATE(10246), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17680), 1,
      sym_extended_module_path,
    STATE(21000), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447708] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(9459), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(14043), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    STATE(20617), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447780] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9460), 1,
      sym_attribute,
    STATE(10248), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17680), 1,
      sym_extended_module_path,
    STATE(21006), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447852] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(9461), 1,
      sym_attribute,
    STATE(10256), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17680), 1,
      sym_extended_module_path,
    STATE(21029), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447924] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9462), 1,
      sym_attribute,
    STATE(10359), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8082), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448038] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9464), 1,
      sym_attribute,
    STATE(9728), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8302), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448152] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11440), 1,
      sym__lowercase_identifier,
    ACTIONS(11446), 1,
      anon_sym_POUND,
    STATE(9466), 1,
      sym_attribute,
    STATE(9954), 1,
      sym_type_constructor_path,
    STATE(17871), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11158), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [448204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11598), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [448246] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11602), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11604), 1,
      anon_sym_GT,
    STATE(9468), 1,
      sym_attribute,
    STATE(14292), 1,
      sym__simple_type,
    STATE(17043), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448318] = 19,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11606), 1,
      sym__lowercase_identifier,
    STATE(9469), 1,
      sym_attribute,
    STATE(14457), 1,
      sym__simple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(19066), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448388] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(9470), 1,
      sym_attribute,
    STATE(10389), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17278), 1,
      sym_extended_module_path,
    STATE(19605), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448460] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11608), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11610), 1,
      anon_sym_GT,
    STATE(9471), 1,
      sym_attribute,
    STATE(14302), 1,
      sym__simple_type,
    STATE(15961), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448532] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(11618), 1,
      anon_sym_DOT,
    STATE(9472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11614), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11612), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [448578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8332), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8334), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [448620] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11620), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11622), 1,
      anon_sym_GT,
    STATE(9474), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448692] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11624), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11626), 1,
      anon_sym_GT,
    STATE(9475), 1,
      sym_attribute,
    STATE(14273), 1,
      sym__simple_type,
    STATE(16297), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448764] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9476), 1,
      sym_attribute,
    STATE(9728), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448836] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11628), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11630), 1,
      anon_sym_GT,
    STATE(9477), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448908] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9478), 1,
      sym_attribute,
    STATE(9698), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11632), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449022] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9480), 1,
      sym_attribute,
    STATE(9698), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11636), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449136] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    ACTIONS(11640), 1,
      anon_sym_STAR,
    STATE(9482), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11112), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [449190] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9483), 1,
      sym_attribute,
    STATE(9698), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449262] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11642), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11644), 1,
      anon_sym_GT,
    STATE(9484), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8248), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449376] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11646), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11648), 1,
      anon_sym_GT,
    STATE(9486), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449448] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9487), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11652), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [449506] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9488), 1,
      sym_attribute,
    STATE(9592), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(21452), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449578] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9489), 1,
      sym_attribute,
    STATE(9593), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(21456), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449650] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9490), 1,
      sym_attribute,
    STATE(9595), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17600), 1,
      sym_extended_module_path,
    STATE(21458), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449722] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11654), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11656), 1,
      anon_sym_GT,
    STATE(9491), 1,
      sym_attribute,
    STATE(14280), 1,
      sym__simple_type,
    STATE(16206), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8222), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8190), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [449878] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11658), 1,
      anon_sym_LBRACE,
    STATE(9494), 1,
      sym_attribute,
    STATE(14121), 1,
      sym__simple_type,
    STATE(17318), 1,
      sym_record_declaration,
    STATE(17355), 1,
      sym_extended_module_path,
    STATE(18329), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449950] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8090), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449992] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11660), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11662), 1,
      anon_sym_GT,
    STATE(9496), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8348), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8158), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450148] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9499), 1,
      sym_attribute,
    STATE(9564), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18729), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450220] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9500), 1,
      sym_attribute,
    STATE(9584), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18732), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11572), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11598), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11632), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11636), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450502] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11664), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11666), 1,
      anon_sym_GT,
    STATE(9506), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450574] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11670), 1,
      anon_sym_GT,
    STATE(9507), 1,
      sym_attribute,
    STATE(14251), 1,
      sym__simple_type,
    STATE(16200), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450646] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9508), 1,
      sym_attribute,
    STATE(9615), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(18431), 1,
      sym_extended_module_path,
    STATE(18736), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8340), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8054), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [450802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8048), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [450844] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11674), 1,
      anon_sym_GT,
    STATE(9512), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450916] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11676), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11678), 1,
      anon_sym_GT,
    STATE(9513), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8336), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8338), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8264), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451072] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11680), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11682), 1,
      anon_sym_GT,
    STATE(9516), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11684), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8172), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11690), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11688), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [451270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8200), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11516), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451354] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11692), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11694), 1,
      anon_sym_GT,
    STATE(9522), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451426] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(9523), 1,
      sym_attribute,
    STATE(10185), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8046), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451540] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(9525), 1,
      sym_attribute,
    STATE(10185), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451612] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11696), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11698), 1,
      anon_sym_GT,
    STATE(9526), 1,
      sym_attribute,
    STATE(14300), 1,
      sym__simple_type,
    STATE(16755), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451684] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7895), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7933), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11700), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [451810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8320), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8322), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451852] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11704), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11706), 1,
      anon_sym_GT,
    STATE(9531), 1,
      sym_attribute,
    STATE(14307), 1,
      sym__simple_type,
    STATE(15969), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451924] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8286), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [451966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8204), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452008] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(9534), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(11422), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452080] = 19,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11606), 1,
      sym__lowercase_identifier,
    STATE(9535), 1,
      sym_attribute,
    STATE(14584), 1,
      sym__simple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20824), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452150] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(9536), 1,
      sym_attribute,
    STATE(10671), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452222] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11708), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11710), 1,
      anon_sym_GT,
    STATE(9537), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452294] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7935), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7937), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8002), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452378] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11712), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11714), 1,
      anon_sym_GT,
    STATE(9540), 1,
      sym_attribute,
    STATE(14259), 1,
      sym__simple_type,
    STATE(15982), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11716), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11062), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [452534] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8260), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452576] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11722), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11724), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11720), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [452620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7927), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7929), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8094), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452704] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11726), 1,
      anon_sym_DOT,
    ACTIONS(11728), 1,
      anon_sym_POUND,
    ACTIONS(11730), 1,
      sym_hash_operator,
    STATE(9547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8256), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452752] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(9548), 1,
      sym_attribute,
    STATE(10671), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452824] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7899), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452866] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(9550), 1,
      sym_attribute,
    STATE(10185), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452938] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11726), 1,
      anon_sym_DOT,
    STATE(9551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8146), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [452982] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11658), 1,
      anon_sym_LBRACE,
    STATE(9552), 1,
      sym_attribute,
    STATE(14121), 1,
      sym__simple_type,
    STATE(17318), 1,
      sym_record_declaration,
    STATE(17355), 1,
      sym_extended_module_path,
    STATE(17431), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453054] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    ACTIONS(11732), 1,
      anon_sym_DASH_GT,
    ACTIONS(11734), 1,
      anon_sym_STAR,
    STATE(9553), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10336), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [453110] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(9554), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(11422), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453182] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9555), 1,
      sym_attribute,
    STATE(10359), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8244), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [453296] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11736), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11738), 1,
      anon_sym_GT,
    STATE(9557), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453368] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11740), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11742), 1,
      anon_sym_GT,
    STATE(9558), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453440] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(9559), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11221), 1,
      sym__simple_type,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8074), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [453554] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11744), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11746), 1,
      anon_sym_GT,
    STATE(9561), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453626] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11748), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11750), 1,
      anon_sym_GT,
    STATE(9562), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453698] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11752), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11754), 1,
      anon_sym_GT,
    STATE(9563), 1,
      sym_attribute,
    STATE(14299), 1,
      sym__simple_type,
    STATE(16420), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453770] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9564), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [453828] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(9565), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(11422), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [453900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8190), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [453942] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11760), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11762), 1,
      anon_sym_GT,
    STATE(9567), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8348), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [454056] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(9569), 1,
      sym_attribute,
    STATE(9840), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17714), 1,
      sym_extended_module_path,
    STATE(18543), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454128] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(9570), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17714), 1,
      sym_extended_module_path,
    STATE(18544), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454200] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(9571), 1,
      sym_attribute,
    STATE(10029), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454272] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9572), 1,
      sym_attribute,
    STATE(10136), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(19998), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454344] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11688), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11766), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11764), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454388] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(9574), 1,
      sym_attribute,
    STATE(10029), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454460] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11768), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11770), 1,
      anon_sym_GT,
    STATE(9575), 1,
      sym_attribute,
    STATE(14291), 1,
      sym__simple_type,
    STATE(16136), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454532] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    STATE(9576), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11582), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454590] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    STATE(9577), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11592), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454648] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(9578), 1,
      sym_attribute,
    STATE(9846), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17714), 1,
      sym_extended_module_path,
    STATE(18545), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454720] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9579), 1,
      sym_attribute,
    STATE(10137), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(19999), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454792] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(9580), 1,
      sym_attribute,
    STATE(10139), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17410), 1,
      sym_extended_module_path,
    STATE(20000), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454864] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    ACTIONS(11772), 1,
      anon_sym_STAR,
    STATE(9581), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11112), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [454918] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(9582), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11221), 1,
      sym__simple_type,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [454990] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8176), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [455032] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9584), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455090] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    STATE(9585), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11652), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455148] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11726), 1,
      anon_sym_DOT,
    ACTIONS(11728), 1,
      anon_sym_POUND,
    ACTIONS(11730), 1,
      sym_hash_operator,
    STATE(9586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8148), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8150), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [455196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11684), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11778), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11700), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11782), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455406] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    STATE(9592), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455464] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    STATE(9593), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455522] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11786), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11788), 1,
      anon_sym_GT,
    STATE(9594), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455594] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    STATE(9595), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [455652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11794), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11798), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455736] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11802), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11804), 1,
      anon_sym_GT,
    STATE(9598), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455808] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11658), 1,
      anon_sym_LBRACE,
    STATE(9599), 1,
      sym_attribute,
    STATE(14121), 1,
      sym__simple_type,
    STATE(17318), 1,
      sym_record_declaration,
    STATE(17355), 1,
      sym_extended_module_path,
    STATE(17926), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [455880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11716), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [455922] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11806), 1,
      sym__lowercase_identifier,
    ACTIONS(11808), 1,
      anon_sym_DASH_GT,
    ACTIONS(11810), 1,
      anon_sym_STAR,
    ACTIONS(11812), 1,
      anon_sym_POUND,
    STATE(9601), 1,
      sym_attribute,
    STATE(10027), 1,
      sym_type_constructor_path,
    STATE(17910), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10336), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [455978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8168), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [456020] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(9603), 1,
      sym_attribute,
    STATE(10029), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456092] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(9604), 1,
      sym_attribute,
    STATE(10499), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17278), 1,
      sym_extended_module_path,
    STATE(18847), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8062), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [456206] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11814), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11816), 1,
      anon_sym_GT,
    STATE(9606), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456278] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(9607), 1,
      sym_attribute,
    STATE(9747), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17574), 1,
      sym_extended_module_path,
    STATE(19188), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456350] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    STATE(9608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11820), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11818), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456394] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(9609), 1,
      sym_attribute,
    STATE(9788), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17574), 1,
      sym_extended_module_path,
    STATE(19191), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456466] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(9610), 1,
      sym_attribute,
    STATE(10806), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(19217), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456538] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(9611), 1,
      sym_attribute,
    STATE(9764), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17574), 1,
      sym_extended_module_path,
    STATE(19206), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456610] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11824), 1,
      anon_sym_GT,
    STATE(9612), 1,
      sym_attribute,
    STATE(14310), 1,
      sym__simple_type,
    STATE(16315), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456682] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11806), 1,
      sym__lowercase_identifier,
    ACTIONS(11812), 1,
      anon_sym_POUND,
    ACTIONS(11826), 1,
      anon_sym_STAR,
    STATE(9613), 1,
      sym_attribute,
    STATE(10027), 1,
      sym_type_constructor_path,
    STATE(17910), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [456736] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11828), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11830), 1,
      anon_sym_GT,
    STATE(9614), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [456808] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9615), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [456866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8196), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [456908] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11806), 1,
      sym__lowercase_identifier,
    ACTIONS(11832), 1,
      anon_sym_POUND,
    STATE(9617), 1,
      sym_attribute,
    STATE(10047), 1,
      sym_type_constructor_path,
    STATE(17910), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [456960] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(9618), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11221), 1,
      sym__simple_type,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457032] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11834), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11836), 1,
      anon_sym_GT,
    STATE(9619), 1,
      sym_attribute,
    STATE(14267), 1,
      sym__simple_type,
    STATE(16415), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457104] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11838), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11840), 1,
      anon_sym_GT,
    STATE(9620), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457176] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11842), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11844), 1,
      anon_sym_GT,
    STATE(9621), 1,
      sym_attribute,
    STATE(14301), 1,
      sym__simple_type,
    STATE(16374), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8340), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [457290] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11846), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11848), 1,
      anon_sym_GT,
    STATE(9623), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7917), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7919), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8234), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457446] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8296), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8142), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8180), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457572] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11850), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11852), 1,
      anon_sym_GT,
    STATE(9629), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8280), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457686] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(105), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(107), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(7631), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(10519), 1,
      anon_sym_external,
    ACTIONS(11036), 1,
      anon_sym_open,
    ACTIONS(11198), 1,
      anon_sym_type,
    ACTIONS(11200), 1,
      anon_sym_exception,
    ACTIONS(11202), 1,
      anon_sym_module,
    ACTIONS(11204), 1,
      anon_sym_include,
    ACTIONS(11206), 1,
      anon_sym_class,
    ACTIONS(11208), 1,
      anon_sym_val,
    STATE(9631), 1,
      sym_attribute,
    STATE(13323), 1,
      aux_sym__structure_repeat1,
    STATE(13584), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13603), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [457754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8184), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457796] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(9633), 1,
      sym_attribute,
    STATE(10851), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(19226), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457868] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(9634), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11036), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    STATE(19332), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [457940] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11854), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11856), 1,
      anon_sym_GT,
    STATE(9635), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458012] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11858), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11860), 1,
      anon_sym_GT,
    STATE(9636), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458084] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(9637), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(10909), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(20030), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458156] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(9638), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(10947), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(20035), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8086), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [458270] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11862), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11864), 1,
      anon_sym_GT,
    STATE(9640), 1,
      sym_attribute,
    STATE(14311), 1,
      sym__simple_type,
    STATE(16082), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [458384] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8276), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [458426] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(9643), 1,
      sym_attribute,
    STATE(10555), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11385), 1,
      sym__constructor_argument,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8310), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [458540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11866), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11724), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [458582] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(9646), 1,
      sym_attribute,
    STATE(10555), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11397), 1,
      sym__constructor_argument,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458654] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(9647), 1,
      sym_attribute,
    STATE(10671), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11778), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [458768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11782), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [458810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8272), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [458852] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    ACTIONS(11868), 1,
      anon_sym_DASH_GT,
    ACTIONS(11870), 1,
      anon_sym_STAR,
    STATE(9651), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(10336), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [458908] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(9652), 1,
      sym_attribute,
    STATE(10555), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(11314), 1,
      sym__constructor_argument,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [458980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11794), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [459022] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11806), 1,
      sym__lowercase_identifier,
    ACTIONS(11812), 1,
      anon_sym_POUND,
    STATE(9654), 1,
      sym_attribute,
    STATE(10027), 1,
      sym_type_constructor_path,
    STATE(17910), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11158), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [459074] = 19,
    ACTIONS(9), 1,
      anon_sym_QMARK,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11606), 1,
      sym__lowercase_identifier,
    STATE(9655), 1,
      sym_attribute,
    STATE(14583), 1,
      sym__simple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(19066), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459144] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8314), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11798), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [459228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8318), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8138), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459312] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(9660), 1,
      sym_attribute,
    STATE(10798), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17548), 1,
      sym_extended_module_path,
    STATE(20063), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459384] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11872), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11874), 1,
      anon_sym_GT,
    STATE(9661), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459456] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(9662), 1,
      sym_attribute,
    STATE(10297), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17620), 1,
      sym_extended_module_path,
    STATE(19638), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [459528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8112), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11412), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [459612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8042), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8104), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8070), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11416), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [459780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8188), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8208), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8268), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11420), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [459948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8252), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [459990] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8098), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [460032] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(9675), 1,
      sym_attribute,
    STATE(10298), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17620), 1,
      sym_extended_module_path,
    STATE(19640), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460104] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(9676), 1,
      sym_attribute,
    STATE(10303), 1,
      sym__simple_type,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(17620), 1,
      sym_extended_module_path,
    STATE(19645), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460176] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(9677), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(14013), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    STATE(20605), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460248] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9306), 1,
      anon_sym_LBRACE,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(9678), 1,
      sym_attribute,
    STATE(10887), 1,
      sym_record_declaration,
    STATE(14015), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    STATE(20607), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460320] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11876), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11878), 1,
      anon_sym_GT,
    STATE(9679), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11428), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [460434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [460476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8078), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [460518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9090), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [460560] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11880), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11882), 1,
      anon_sym_GT,
    STATE(9684), 1,
      sym_attribute,
    STATE(14287), 1,
      sym__simple_type,
    STATE(17165), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [460674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7923), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(7925), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [460716] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9687), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11158), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [460768] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11884), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11886), 1,
      anon_sym_GT,
    STATE(9688), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11890), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11888), 25,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [460882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11448), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [460924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11452), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [460966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8058), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [461008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11456), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [461050] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    ACTIONS(11892), 1,
      anon_sym_DOT_DOT,
    ACTIONS(11894), 1,
      anon_sym_GT,
    STATE(9694), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11794), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [461163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [461204] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10657), 1,
      anon_sym_LPAREN,
    ACTIONS(10661), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10665), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10667), 1,
      anon_sym_LT,
    ACTIONS(10669), 1,
      anon_sym_POUND,
    ACTIONS(10671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10675), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11896), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9411), 1,
      sym__simple_type,
    STATE(9697), 1,
      sym_attribute,
    STATE(10903), 1,
      sym_labeled_tuple_element_type,
    STATE(17696), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9950), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461273] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    ACTIONS(11900), 1,
      anon_sym_STAR,
    STATE(9698), 1,
      sym_attribute,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(11255), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11898), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [461328] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    ACTIONS(11916), 1,
      sym_or_operator,
    ACTIONS(11918), 1,
      sym_assign_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [461391] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11920), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9482), 1,
      sym__simple_type,
    STATE(9700), 1,
      sym_attribute,
    STATE(10993), 1,
      sym_labeled_tuple_element_type,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461460] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11926), 1,
      anon_sym_LPAREN,
    STATE(10319), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9701), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11924), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11922), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461505] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11920), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9482), 1,
      sym__simple_type,
    STATE(9702), 1,
      sym_attribute,
    STATE(10993), 1,
      sym_labeled_tuple_element_type,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461574] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11929), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9703), 1,
      sym_attribute,
    STATE(10197), 1,
      sym__simple_type,
    STATE(11490), 1,
      sym_labeled_tuple_element_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11684), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [461684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [461725] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11929), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9706), 1,
      sym_attribute,
    STATE(10197), 1,
      sym__simple_type,
    STATE(11490), 1,
      sym_labeled_tuple_element_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461794] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11931), 1,
      anon_sym_COLON2,
    STATE(9707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [461837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8176), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [461878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8192), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11448), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [461960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11452), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [462001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11456), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [462042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11700), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [462083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11716), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [462124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8048), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [462165] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10657), 1,
      anon_sym_LPAREN,
    ACTIONS(10661), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10665), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10667), 1,
      anon_sym_LT,
    ACTIONS(10669), 1,
      anon_sym_POUND,
    ACTIONS(10671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10675), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11896), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9411), 1,
      sym__simple_type,
    STATE(9716), 1,
      sym_attribute,
    STATE(10903), 1,
      sym_labeled_tuple_element_type,
    STATE(17696), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9950), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462234] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10657), 1,
      anon_sym_LPAREN,
    ACTIONS(10661), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10665), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10667), 1,
      anon_sym_LT,
    ACTIONS(10669), 1,
      anon_sym_POUND,
    ACTIONS(10671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10675), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11896), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9411), 1,
      sym__simple_type,
    STATE(9717), 1,
      sym_attribute,
    STATE(10903), 1,
      sym_labeled_tuple_element_type,
    STATE(17696), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9950), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462303] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9222), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11935), 1,
      anon_sym_let,
    ACTIONS(11937), 1,
      anon_sym_EQ,
    ACTIONS(11939), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    STATE(9718), 1,
      sym_attribute,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10640), 1,
      sym__type_equation,
    STATE(10797), 1,
      aux_sym_type_binding_repeat1,
    STATE(11079), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11933), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462364] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [462411] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10842), 1,
      anon_sym_LPAREN,
    ACTIONS(10846), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10850), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10852), 1,
      anon_sym_LT,
    ACTIONS(10854), 1,
      anon_sym_POUND,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10858), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10860), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11943), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9720), 1,
      sym_attribute,
    STATE(13675), 1,
      sym__simple_type,
    STATE(14283), 1,
      sym_labeled_tuple_element_type,
    STATE(17645), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [462521] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10842), 1,
      anon_sym_LPAREN,
    ACTIONS(10846), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10850), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10852), 1,
      anon_sym_LT,
    ACTIONS(10854), 1,
      anon_sym_POUND,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10858), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10860), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11943), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9722), 1,
      sym_attribute,
    STATE(13675), 1,
      sym__simple_type,
    STATE(14283), 1,
      sym_labeled_tuple_element_type,
    STATE(17645), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462590] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9723), 1,
      sym_attribute,
    STATE(11635), 1,
      sym__simple_type,
    STATE(13432), 1,
      sym_labeled_tuple_element_type,
    STATE(17490), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462659] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(9724), 1,
      sym_attribute,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11652), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [462716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [462798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [462839] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    ACTIONS(11951), 1,
      anon_sym_STAR,
    STATE(9728), 1,
      sym_attribute,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(11208), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11898), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [462894] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11953), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9729), 1,
      sym_attribute,
    STATE(10850), 1,
      sym__simple_type,
    STATE(12790), 1,
      sym_labeled_tuple_element_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462963] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10822), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10824), 1,
      anon_sym_LT,
    ACTIONS(10826), 1,
      anon_sym_POUND,
    ACTIONS(10828), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10830), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10832), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11955), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9613), 1,
      sym__simple_type,
    STATE(9730), 1,
      sym_attribute,
    STATE(10969), 1,
      sym_labeled_tuple_element_type,
    STATE(17756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463032] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10842), 1,
      anon_sym_LPAREN,
    ACTIONS(10846), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10850), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10852), 1,
      anon_sym_LT,
    ACTIONS(10854), 1,
      anon_sym_POUND,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10858), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10860), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11943), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9731), 1,
      sym_attribute,
    STATE(13675), 1,
      sym__simple_type,
    STATE(14283), 1,
      sym_labeled_tuple_element_type,
    STATE(17645), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11959), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11957), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [463142] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    ACTIONS(11916), 1,
      sym_or_operator,
    ACTIONS(11918), 1,
      sym_assign_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [463205] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10822), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10824), 1,
      anon_sym_LT,
    ACTIONS(10826), 1,
      anon_sym_POUND,
    ACTIONS(10828), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10830), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10832), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11955), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9613), 1,
      sym__simple_type,
    STATE(9734), 1,
      sym_attribute,
    STATE(10969), 1,
      sym_labeled_tuple_element_type,
    STATE(17756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8050), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [463315] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    ACTIONS(11916), 1,
      sym_or_operator,
    ACTIONS(11918), 1,
      sym_assign_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [463378] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [463421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9090), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [463462] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11929), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9739), 1,
      sym_attribute,
    STATE(10197), 1,
      sym__simple_type,
    STATE(11490), 1,
      sym_labeled_tuple_element_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463531] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_COLON2,
    STATE(9740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [463574] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11953), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9741), 1,
      sym_attribute,
    STATE(10850), 1,
      sym__simple_type,
    STATE(12790), 1,
      sym_labeled_tuple_element_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463643] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10721), 1,
      anon_sym_LPAREN,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10729), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10731), 1,
      anon_sym_LT,
    ACTIONS(10733), 1,
      anon_sym_POUND,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10739), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11961), 1,
      sym__lowercase_identifier,
    STATE(9742), 1,
      sym_attribute,
    STATE(13368), 1,
      sym__simple_type,
    STATE(13922), 1,
      sym__tuple_type_rhs,
    STATE(14019), 1,
      sym_labeled_tuple_element_type,
    STATE(17787), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13605), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463712] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(11965), 1,
      anon_sym_POUND,
    STATE(9743), 1,
      sym_attribute,
    STATE(10484), 1,
      sym_type_constructor_path,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [463763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11516), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [463804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11448), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [463845] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11967), 1,
      sym__lowercase_identifier,
    STATE(9746), 1,
      sym_attribute,
    STATE(13814), 1,
      sym__simple_type,
    STATE(13922), 1,
      sym__tuple_type_rhs,
    STATE(14509), 1,
      sym_labeled_tuple_element_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463914] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(9747), 1,
      sym_attribute,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [463971] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10721), 1,
      anon_sym_LPAREN,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10729), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10731), 1,
      anon_sym_LT,
    ACTIONS(10733), 1,
      anon_sym_POUND,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10739), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11961), 1,
      sym__lowercase_identifier,
    STATE(9748), 1,
      sym_attribute,
    STATE(13368), 1,
      sym__simple_type,
    STATE(13824), 1,
      sym__tuple_type_rhs,
    STATE(14019), 1,
      sym_labeled_tuple_element_type,
    STATE(17787), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13605), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5909), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(5907), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464081] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11969), 1,
      anon_sym_COLON2,
    STATE(9750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [464124] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11688), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464167] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11953), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9752), 1,
      sym_attribute,
    STATE(10850), 1,
      sym__simple_type,
    STATE(12790), 1,
      sym_labeled_tuple_element_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8190), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [464277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [464318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11572), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [464359] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(9756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [464404] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11973), 1,
      anon_sym_COLON2,
    STATE(9757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464447] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11977), 1,
      anon_sym_let,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(11983), 1,
      anon_sym_COLON2,
    STATE(9758), 1,
      sym_attribute,
    STATE(9844), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10571), 1,
      sym__module_typed,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11138), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11979), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11975), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464506] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11985), 1,
      anon_sym_COLON2,
    STATE(9759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [464549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11598), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [464590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11632), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [464631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9090), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [464672] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    ACTIONS(11916), 1,
      sym_or_operator,
    ACTIONS(11918), 1,
      sym_assign_operator,
    ACTIONS(11987), 1,
      anon_sym_SEMI,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [464737] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(9764), 1,
      sym_attribute,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [464794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11989), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(9765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [464839] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11967), 1,
      sym__lowercase_identifier,
    STATE(9766), 1,
      sym_attribute,
    STATE(13814), 1,
      sym__simple_type,
    STATE(13824), 1,
      sym__tuple_type_rhs,
    STATE(14509), 1,
      sym_labeled_tuple_element_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11778), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [464949] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(11993), 1,
      anon_sym_POUND,
    STATE(9768), 1,
      sym_attribute,
    STATE(10362), 1,
      sym_type_constructor_path,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [465000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11782), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [465041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11794), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [465082] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9222), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11935), 1,
      anon_sym_let,
    ACTIONS(11995), 1,
      anon_sym_EQ,
    ACTIONS(11997), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(9771), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10666), 1,
      sym__type_equation,
    STATE(11000), 1,
      aux_sym_type_binding_repeat1,
    STATE(11079), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11933), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11798), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [465184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11576), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [465225] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10561), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10563), 1,
      anon_sym_LT,
    ACTIONS(10565), 1,
      anon_sym_POUND,
    ACTIONS(10567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10571), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12001), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9295), 1,
      sym__simple_type,
    STATE(9774), 1,
      sym_attribute,
    STATE(10409), 1,
      sym_labeled_tuple_element_type,
    STATE(17771), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9412), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11576), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [465335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11636), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [465376] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(12003), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9777), 1,
      sym_attribute,
    STATE(10068), 1,
      sym__simple_type,
    STATE(11552), 1,
      sym_labeled_tuple_element_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465445] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10822), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10824), 1,
      anon_sym_LT,
    ACTIONS(10826), 1,
      anon_sym_POUND,
    ACTIONS(10828), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10830), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10832), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11955), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9613), 1,
      sym__simple_type,
    STATE(9778), 1,
      sym_attribute,
    STATE(10969), 1,
      sym_labeled_tuple_element_type,
    STATE(17756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465514] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10561), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10563), 1,
      anon_sym_LT,
    ACTIONS(10565), 1,
      anon_sym_POUND,
    ACTIONS(10567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10571), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12001), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9295), 1,
      sym__simple_type,
    STATE(9779), 1,
      sym_attribute,
    STATE(10409), 1,
      sym_labeled_tuple_element_type,
    STATE(17771), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9412), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465583] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(12005), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9581), 1,
      sym__simple_type,
    STATE(9780), 1,
      sym_attribute,
    STATE(10967), 1,
      sym_labeled_tuple_element_type,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465652] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(12003), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9781), 1,
      sym_attribute,
    STATE(10068), 1,
      sym__simple_type,
    STATE(11552), 1,
      sym_labeled_tuple_element_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465721] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(12007), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12009), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(9782), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11726), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11228), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [465776] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12011), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9783), 1,
      sym_attribute,
    STATE(10951), 1,
      sym__simple_type,
    STATE(12706), 1,
      sym_labeled_tuple_element_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8062), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [465886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8348), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [465927] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(12007), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12009), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(9786), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11748), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11344), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [465982] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12011), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9787), 1,
      sym_attribute,
    STATE(10951), 1,
      sym__simple_type,
    STATE(12706), 1,
      sym_labeled_tuple_element_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466051] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(9788), 1,
      sym_attribute,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [466108] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12011), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9789), 1,
      sym_attribute,
    STATE(10951), 1,
      sym__simple_type,
    STATE(12706), 1,
      sym_labeled_tuple_element_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466177] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9790), 1,
      sym_attribute,
    STATE(11635), 1,
      sym__simple_type,
    STATE(13432), 1,
      sym_labeled_tuple_element_type,
    STATE(17490), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466246] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(12007), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12009), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(9791), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11757), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11312), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [466301] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    ACTIONS(11916), 1,
      sym_or_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 12,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [466362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12015), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12013), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466403] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11920), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9482), 1,
      sym__simple_type,
    STATE(9794), 1,
      sym_attribute,
    STATE(10993), 1,
      sym_labeled_tuple_element_type,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466513] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(9796), 1,
      sym_attribute,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11592), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [466570] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11971), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(9797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [466615] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9222), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11997), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12019), 1,
      anon_sym_let,
    ACTIONS(12021), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(9798), 1,
      sym_attribute,
    STATE(10618), 1,
      sym__type_equation,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11035), 1,
      aux_sym_type_binding_repeat1,
    STATE(11349), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466676] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10773), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10783), 1,
      anon_sym_LT,
    ACTIONS(10785), 1,
      anon_sym_POUND,
    ACTIONS(10787), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10789), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10791), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12023), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9285), 1,
      sym__simple_type,
    STATE(9799), 1,
      sym_attribute,
    STATE(10244), 1,
      sym_labeled_tuple_element_type,
    STATE(17807), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11684), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [466786] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10773), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10783), 1,
      anon_sym_LT,
    ACTIONS(10785), 1,
      anon_sym_POUND,
    ACTIONS(10787), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10789), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10791), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12023), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9285), 1,
      sym__simple_type,
    STATE(9801), 1,
      sym_attribute,
    STATE(10244), 1,
      sym_labeled_tuple_element_type,
    STATE(17807), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [466896] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    ACTIONS(11916), 1,
      sym_or_operator,
    ACTIONS(11918), 1,
      sym_assign_operator,
    ACTIONS(11987), 1,
      anon_sym_SEMI,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [466961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11700), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [467002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11716), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [467043] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [467094] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    ACTIONS(11916), 1,
      sym_or_operator,
    ACTIONS(11918), 1,
      sym_assign_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [467157] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10773), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10783), 1,
      anon_sym_LT,
    ACTIONS(10785), 1,
      anon_sym_POUND,
    ACTIONS(10787), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10789), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10791), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12023), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9285), 1,
      sym__simple_type,
    STATE(9808), 1,
      sym_attribute,
    STATE(10244), 1,
      sym_labeled_tuple_element_type,
    STATE(17807), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467226] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11906), 1,
      sym_pow_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [467271] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11906), 1,
      sym_pow_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [467316] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [467369] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12025), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9812), 1,
      sym_attribute,
    STATE(12574), 1,
      sym__simple_type,
    STATE(13798), 1,
      sym_labeled_tuple_element_type,
    STATE(18248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467438] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12027), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9813), 1,
      sym_attribute,
    STATE(12756), 1,
      sym__simple_type,
    STATE(13749), 1,
      sym_labeled_tuple_element_type,
    STATE(17736), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13423), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12031), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12029), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [467548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12033), 1,
      anon_sym_COLON2,
    STATE(9815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [467591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [467632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12037), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12035), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [467673] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12027), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9818), 1,
      sym_attribute,
    STATE(12756), 1,
      sym__simple_type,
    STATE(13749), 1,
      sym_labeled_tuple_element_type,
    STATE(17736), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13423), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8086), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [467783] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12033), 1,
      anon_sym_COLON2,
    STATE(9820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [467826] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    ACTIONS(11916), 1,
      sym_or_operator,
    ACTIONS(11918), 1,
      sym_assign_operator,
    ACTIONS(11987), 1,
      anon_sym_SEMI,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [467891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8348), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [467932] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11977), 1,
      anon_sym_let,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(12039), 1,
      anon_sym_COLON2,
    STATE(9823), 1,
      sym_attribute,
    STATE(9854), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10571), 1,
      sym__module_typed,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11138), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11979), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11975), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [467991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [468032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11778), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [468073] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11945), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9826), 1,
      sym_attribute,
    STATE(11635), 1,
      sym__simple_type,
    STATE(13432), 1,
      sym_labeled_tuple_element_type,
    STATE(17490), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11452), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [468183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8292), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [468224] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(9829), 1,
      sym_attribute,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11582), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468281] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(9830), 1,
      sym_attribute,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11592), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11782), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [468379] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12025), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9832), 1,
      sym_attribute,
    STATE(12574), 1,
      sym__simple_type,
    STATE(13798), 1,
      sym_labeled_tuple_element_type,
    STATE(18248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11798), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [468489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11572), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [468530] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12027), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9835), 1,
      sym_attribute,
    STATE(12756), 1,
      sym__simple_type,
    STATE(13749), 1,
      sym_labeled_tuple_element_type,
    STATE(17736), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13423), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468599] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(9836), 1,
      sym_attribute,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11652), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468656] = 20,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6909), 1,
      anon_sym_object,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12045), 1,
      sym__lowercase_identifier,
    ACTIONS(12047), 1,
      anon_sym_let,
    ACTIONS(12049), 1,
      anon_sym_LPAREN,
    ACTIONS(12051), 1,
      anon_sym_BANG,
    ACTIONS(12053), 1,
      anon_sym_LBRACK,
    ACTIONS(12055), 1,
      anon_sym_fun,
    STATE(2609), 1,
      sym__simple_class_expression,
    STATE(9837), 1,
      sym_attribute,
    STATE(13608), 1,
      sym__class_expression,
    STATE(19150), 1,
      sym_module_path,
    STATE(20751), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8783), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [468727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11456), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [468768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11598), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [468809] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(9840), 1,
      sym_attribute,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468866] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(9841), 1,
      sym_attribute,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [468923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11516), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [468964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11632), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [469005] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(11983), 1,
      anon_sym_COLON2,
    ACTIONS(12059), 1,
      anon_sym_let,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(9844), 1,
      sym_attribute,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10691), 1,
      sym__module_typed,
    STATE(11410), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12061), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12057), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [469064] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_PIPE,
    STATE(9845), 1,
      sym_attribute,
    STATE(9851), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [469109] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(9846), 1,
      sym_attribute,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [469166] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9222), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(11939), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12019), 1,
      anon_sym_let,
    ACTIONS(12065), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(9847), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10644), 1,
      sym__type_equation,
    STATE(10807), 1,
      aux_sym_type_binding_repeat1,
    STATE(11349), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [469227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_PIPE,
    STATE(9848), 1,
      sym_attribute,
    STATE(9852), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [469272] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(12005), 1,
      sym__lowercase_identifier,
    STATE(8543), 1,
      sym__tuple_type_rhs,
    STATE(9581), 1,
      sym__simple_type,
    STATE(9849), 1,
      sym_attribute,
    STATE(10967), 1,
      sym_labeled_tuple_element_type,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11636), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [469382] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_PIPE,
    STATE(9851), 1,
      sym_attribute,
    STATE(9853), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [469427] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_PIPE,
    STATE(9852), 1,
      sym_attribute,
    STATE(9853), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [469472] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12067), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9853), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [469515] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(12039), 1,
      anon_sym_COLON2,
    ACTIONS(12059), 1,
      anon_sym_let,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(9854), 1,
      sym_attribute,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10691), 1,
      sym__module_typed,
    STATE(11410), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12061), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12057), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [469574] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [469627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8048), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [469668] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(12005), 1,
      sym__lowercase_identifier,
    STATE(8548), 1,
      sym__tuple_type_rhs,
    STATE(9581), 1,
      sym__simple_type,
    STATE(9857), 1,
      sym_attribute,
    STATE(10967), 1,
      sym_labeled_tuple_element_type,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469737] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11967), 1,
      sym__lowercase_identifier,
    STATE(9858), 1,
      sym_attribute,
    STATE(13771), 1,
      sym__tuple_type_rhs,
    STATE(13814), 1,
      sym__simple_type,
    STATE(14509), 1,
      sym_labeled_tuple_element_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469806] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [469849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8340), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [469890] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_COLON2,
    STATE(9861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [469933] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(12003), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9862), 1,
      sym_attribute,
    STATE(10068), 1,
      sym__simple_type,
    STATE(11552), 1,
      sym_labeled_tuple_element_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8340), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11412), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11416), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11420), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11428), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470248] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11989), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(9869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [470293] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10721), 1,
      anon_sym_LPAREN,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10729), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10731), 1,
      anon_sym_LT,
    ACTIONS(10733), 1,
      anon_sym_POUND,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10739), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11961), 1,
      sym__lowercase_identifier,
    STATE(9870), 1,
      sym_attribute,
    STATE(13368), 1,
      sym__simple_type,
    STATE(13771), 1,
      sym__tuple_type_rhs,
    STATE(14019), 1,
      sym_labeled_tuple_element_type,
    STATE(17787), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13605), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470362] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [470419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8190), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470501] = 19,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12025), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9874), 1,
      sym_attribute,
    STATE(12574), 1,
      sym__simple_type,
    STATE(13798), 1,
      sym_labeled_tuple_element_type,
    STATE(18248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470570] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11904), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11906), 1,
      sym_pow_operator,
    ACTIONS(11908), 1,
      sym_mult_operator,
    ACTIONS(11910), 1,
      sym_concat_operator,
    ACTIONS(11912), 1,
      sym_rel_operator,
    ACTIONS(11914), 1,
      sym_and_operator,
    ACTIONS(11916), 1,
      sym_or_operator,
    STATE(1822), 1,
      sym_add_operator,
    STATE(9875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [470629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8098), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [470670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11412), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470711] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11416), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470795] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10561), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10563), 1,
      anon_sym_LT,
    ACTIONS(10565), 1,
      anon_sym_POUND,
    ACTIONS(10567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10571), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12001), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym__tuple_type_rhs,
    STATE(9295), 1,
      sym__simple_type,
    STATE(9880), 1,
      sym_attribute,
    STATE(10409), 1,
      sym_labeled_tuple_element_type,
    STATE(17771), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9412), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11420), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11428), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [470946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11062), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [470987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [471028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11062), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [471069] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(9886), 1,
      sym_attribute,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11582), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [471126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8182), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8184), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8310), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8314), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8192), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471286] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9891), 1,
      sym_attribute,
    STATE(11083), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471354] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9892), 1,
      sym_attribute,
    STATE(11126), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471422] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9893), 1,
      sym_attribute,
    STATE(11128), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471490] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(9814), 1,
      sym__class_expression,
    STATE(9894), 1,
      sym_attribute,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8350), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8342), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8050), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8058), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [471718] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9899), 1,
      sym_attribute,
    STATE(11302), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471786] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9900), 1,
      sym_attribute,
    STATE(11303), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471854] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9901), 1,
      sym_attribute,
    STATE(11328), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471922] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(9793), 1,
      sym__class_expression,
    STATE(9902), 1,
      sym_attribute,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [471990] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(9817), 1,
      sym__class_expression,
    STATE(9903), 1,
      sym_attribute,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472058] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12098), 1,
      anon_sym_DOT,
    ACTIONS(12100), 1,
      anon_sym_POUND,
    ACTIONS(12102), 1,
      sym_hash_operator,
    STATE(9904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9570), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [472104] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12098), 1,
      anon_sym_DOT,
    ACTIONS(12100), 1,
      anon_sym_POUND,
    ACTIONS(12102), 1,
      sym_hash_operator,
    STATE(9905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9576), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9574), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [472150] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9906), 1,
      sym_attribute,
    STATE(11403), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472218] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9907), 1,
      sym_attribute,
    STATE(11415), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472286] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9908), 1,
      sym_attribute,
    STATE(11069), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472354] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9909), 1,
      sym_attribute,
    STATE(11070), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472422] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9910), 1,
      sym_attribute,
    STATE(11073), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472490] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9911), 1,
      sym_attribute,
    STATE(11096), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472558] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9912), 1,
      sym_attribute,
    STATE(11098), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472626] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9913), 1,
      sym_attribute,
    STATE(11099), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472694] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9914), 1,
      sym_attribute,
    STATE(11103), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472762] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12104), 1,
      sym__lowercase_identifier,
    ACTIONS(12106), 1,
      anon_sym_let,
    ACTIONS(12108), 1,
      anon_sym_LPAREN,
    ACTIONS(12110), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_fun,
    STATE(3112), 1,
      sym__simple_class_expression,
    STATE(9915), 1,
      sym_attribute,
    STATE(16815), 1,
      sym__class_expression,
    STATE(21327), 1,
      sym_module_path,
    STATE(21455), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10452), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472830] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9916), 1,
      sym_attribute,
    STATE(11111), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472898] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9917), 1,
      sym_attribute,
    STATE(11113), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [472966] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9918), 1,
      sym_attribute,
    STATE(11117), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [473034] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9919), 1,
      sym_attribute,
    STATE(11123), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [473102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8292), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8346), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8120), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8176), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12116), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12114), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [473302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8062), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12120), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12118), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [473382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8086), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8098), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [473462] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12104), 1,
      sym__lowercase_identifier,
    ACTIONS(12106), 1,
      anon_sym_let,
    ACTIONS(12108), 1,
      anon_sym_LPAREN,
    ACTIONS(12110), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_fun,
    STATE(3112), 1,
      sym__simple_class_expression,
    STATE(9929), 1,
      sym_attribute,
    STATE(16973), 1,
      sym__class_expression,
    STATE(21327), 1,
      sym_module_path,
    STATE(21455), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10452), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [473530] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    ACTIONS(12132), 1,
      sym_rel_operator,
    ACTIONS(12134), 1,
      sym_and_operator,
    ACTIONS(12136), 1,
      sym_or_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [473590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12140), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [473630] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [473680] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12126), 1,
      sym_pow_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [473724] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12126), 1,
      sym_pow_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [473768] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [473820] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [473872] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    ACTIONS(12132), 1,
      sym_rel_operator,
    ACTIONS(12134), 1,
      sym_and_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10364), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [473928] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    ACTIONS(12132), 1,
      sym_rel_operator,
    ACTIONS(12134), 1,
      sym_and_operator,
    ACTIONS(12136), 1,
      sym_or_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [473986] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    ACTIONS(12132), 1,
      sym_rel_operator,
    ACTIONS(12134), 1,
      sym_and_operator,
    ACTIONS(12136), 1,
      sym_or_operator,
    ACTIONS(12142), 1,
      sym_assign_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [474048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11062), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [474088] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [474130] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12144), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(9942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [474174] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [474220] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    ACTIONS(12132), 1,
      sym_rel_operator,
    ACTIONS(12134), 1,
      sym_and_operator,
    ACTIONS(12136), 1,
      sym_or_operator,
    ACTIONS(12142), 1,
      sym_assign_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [474282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8002), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474322] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    ACTIONS(12132), 1,
      sym_rel_operator,
    ACTIONS(12134), 1,
      sym_and_operator,
    ACTIONS(12136), 1,
      sym_or_operator,
    ACTIONS(12142), 1,
      sym_assign_operator,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [474384] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(9947), 1,
      sym_attribute,
    STATE(11403), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [474452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8124), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474492] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12104), 1,
      sym__lowercase_identifier,
    ACTIONS(12106), 1,
      anon_sym_let,
    ACTIONS(12108), 1,
      anon_sym_LPAREN,
    ACTIONS(12110), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_fun,
    STATE(3112), 1,
      sym__simple_class_expression,
    STATE(9949), 1,
      sym_attribute,
    STATE(16757), 1,
      sym__class_expression,
    STATE(21327), 1,
      sym_module_path,
    STATE(21455), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10452), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [474560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11572), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11598), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11632), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11636), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474760] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(9955), 1,
      sym_attribute,
    STATE(11415), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [474828] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12098), 1,
      anon_sym_DOT,
    ACTIONS(12100), 1,
      anon_sym_POUND,
    ACTIONS(12102), 1,
      sym_hash_operator,
    STATE(9956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9540), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474874] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12098), 1,
      anon_sym_DOT,
    ACTIONS(12100), 1,
      anon_sym_POUND,
    ACTIONS(12102), 1,
      sym_hash_operator,
    STATE(9957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9554), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9552), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [474920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11684), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [474960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8154), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [475040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11700), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11716), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475120] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(9814), 1,
      sym__class_expression,
    STATE(9963), 1,
      sym_attribute,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [475188] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12172), 1,
      anon_sym_DASH_GT,
    ACTIONS(12174), 1,
      anon_sym_STAR,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(9964), 1,
      sym_attribute,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10336), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [475242] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12104), 1,
      sym__lowercase_identifier,
    ACTIONS(12106), 1,
      anon_sym_let,
    ACTIONS(12108), 1,
      anon_sym_LPAREN,
    ACTIONS(12110), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_fun,
    STATE(3112), 1,
      sym__simple_class_expression,
    STATE(9965), 1,
      sym_attribute,
    STATE(16181), 1,
      sym__class_expression,
    STATE(21327), 1,
      sym_module_path,
    STATE(21455), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10452), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [475310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11722), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11720), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475350] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(9967), 1,
      sym_attribute,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11582), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [475406] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(9968), 1,
      sym_attribute,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11592), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [475462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11778), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475502] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      anon_sym_PIPE,
    STATE(9970), 1,
      sym_attribute,
    STATE(9972), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [475546] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      anon_sym_PIPE,
    STATE(9971), 1,
      sym_attribute,
    STATE(9973), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [475590] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      anon_sym_PIPE,
    STATE(9972), 1,
      sym_attribute,
    STATE(9974), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [475634] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12180), 1,
      anon_sym_PIPE,
    STATE(9973), 1,
      sym_attribute,
    STATE(9974), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [475678] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12182), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9974), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [475720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11782), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11794), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11798), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [475840] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [475882] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    ACTIONS(12132), 1,
      sym_rel_operator,
    ACTIONS(12134), 1,
      sym_and_operator,
    ACTIONS(12136), 1,
      sym_or_operator,
    ACTIONS(12142), 1,
      sym_assign_operator,
    ACTIONS(12185), 1,
      anon_sym_SEMI,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [475946] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(9793), 1,
      sym__class_expression,
    STATE(9980), 1,
      sym_attribute,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [476014] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(9817), 1,
      sym__class_expression,
    STATE(9981), 1,
      sym_attribute,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [476082] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    ACTIONS(12132), 1,
      sym_rel_operator,
    ACTIONS(12134), 1,
      sym_and_operator,
    ACTIONS(12136), 1,
      sym_or_operator,
    ACTIONS(12142), 1,
      sym_assign_operator,
    ACTIONS(12185), 1,
      anon_sym_SEMI,
    STATE(2208), 1,
      sym_add_operator,
    STATE(9982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [476146] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    STATE(9983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 16,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [476188] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(9984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [476230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8328), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8330), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [476270] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(9986), 1,
      sym_attribute,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11652), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [476326] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(9987), 1,
      sym_attribute,
    STATE(11302), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [476394] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(9988), 1,
      sym_attribute,
    STATE(11303), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [476462] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    ACTIONS(12201), 1,
      sym_or_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 12,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [476522] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [476572] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12191), 1,
      sym_pow_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [476616] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12191), 1,
      sym_pow_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [476660] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [476712] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [476764] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [476820] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    ACTIONS(12201), 1,
      sym_or_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [476878] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    ACTIONS(12201), 1,
      sym_or_operator,
    ACTIONS(12203), 1,
      sym_assign_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [476940] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11402), 1,
      sym__lowercase_identifier,
    STATE(9998), 1,
      sym_attribute,
    STATE(14396), 1,
      sym__simple_type,
    STATE(17404), 1,
      sym_method_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477006] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(9999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [477052] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    ACTIONS(12201), 1,
      sym_or_operator,
    ACTIONS(12203), 1,
      sym_assign_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(10000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [477114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8242), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8244), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [477154] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12144), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(10002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [477198] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    ACTIONS(12201), 1,
      sym_or_operator,
    ACTIONS(12203), 1,
      sym_assign_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(10003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [477260] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(10004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8216), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [477302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8080), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8082), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [477342] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10006), 1,
      sym_attribute,
    STATE(11432), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [477410] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10007), 1,
      sym_attribute,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [477466] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10008), 1,
      sym_attribute,
    STATE(11328), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [477534] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10009), 1,
      sym_attribute,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11158), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [477584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11412), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11416), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477664] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10012), 1,
      sym_attribute,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [477720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11420), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11428), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477800] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10015), 1,
      sym_attribute,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [477856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [477936] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9814), 1,
      sym__class_expression,
    STATE(10018), 1,
      sym_attribute,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [478004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11572), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11598), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11632), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478164] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(12205), 1,
      anon_sym_POUND,
    STATE(10023), 1,
      sym_attribute,
    STATE(10648), 1,
      sym_type_constructor_path,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11182), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [478214] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10024), 1,
      sym_attribute,
    STATE(11069), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [478282] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10025), 1,
      sym_attribute,
    STATE(11070), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [478350] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10026), 1,
      sym_attribute,
    STATE(11073), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [478418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11636), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478458] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9793), 1,
      sym__class_expression,
    STATE(10028), 1,
      sym_attribute,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [478526] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    ACTIONS(12207), 1,
      anon_sym_STAR,
    STATE(10029), 1,
      sym_attribute,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(11549), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11898), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [478580] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(9817), 1,
      sym__class_expression,
    STATE(10030), 1,
      sym_attribute,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [478648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8190), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [478688] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    ACTIONS(12201), 1,
      sym_or_operator,
    ACTIONS(12203), 1,
      sym_assign_operator,
    ACTIONS(12209), 1,
      anon_sym_SEMI,
    STATE(1880), 1,
      sym_add_operator,
    STATE(10032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [478752] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12211), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(10033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [478796] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    ACTIONS(12201), 1,
      sym_or_operator,
    ACTIONS(12203), 1,
      sym_assign_operator,
    STATE(1880), 1,
      sym_add_operator,
    STATE(10034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [478858] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2208), 1,
      sym_add_operator,
    STATE(10035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [478900] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10036), 1,
      sym_attribute,
    STATE(11432), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [478968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8348), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8340), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8048), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11684), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11700), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11716), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12215), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12213), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [479288] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(10045), 1,
      sym_attribute,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12219), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [479338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11778), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11782), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11794), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11798), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8190), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11448), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479578] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6909), 1,
      anon_sym_object,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12045), 1,
      sym__lowercase_identifier,
    ACTIONS(12047), 1,
      anon_sym_let,
    ACTIONS(12049), 1,
      anon_sym_LPAREN,
    ACTIONS(12053), 1,
      anon_sym_LBRACK,
    ACTIONS(12055), 1,
      anon_sym_fun,
    STATE(2609), 1,
      sym__simple_class_expression,
    STATE(9793), 1,
      sym__class_expression,
    STATE(10052), 1,
      sym_attribute,
    STATE(19150), 1,
      sym_module_path,
    STATE(20751), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8783), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [479646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11452), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11456), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479726] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10055), 1,
      sym_attribute,
    STATE(11096), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [479794] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10056), 1,
      sym_attribute,
    STATE(11098), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [479862] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    ACTIONS(12221), 1,
      anon_sym_DASH_GT,
    ACTIONS(12223), 1,
      anon_sym_STAR,
    STATE(10057), 1,
      sym_attribute,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10336), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [479916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8348), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [479956] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10059), 1,
      sym_attribute,
    STATE(11099), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480024] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10060), 1,
      sym_attribute,
    STATE(11083), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480092] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10061), 1,
      sym_attribute,
    STATE(11126), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480160] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10062), 1,
      sym_attribute,
    STATE(11128), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480228] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10063), 1,
      sym_attribute,
    STATE(11103), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8340), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480336] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(9814), 1,
      sym__class_expression,
    STATE(10065), 1,
      sym_attribute,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480404] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6909), 1,
      anon_sym_object,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12045), 1,
      sym__lowercase_identifier,
    ACTIONS(12047), 1,
      anon_sym_let,
    ACTIONS(12049), 1,
      anon_sym_LPAREN,
    ACTIONS(12053), 1,
      anon_sym_LBRACK,
    ACTIONS(12055), 1,
      anon_sym_fun,
    STATE(2609), 1,
      sym__simple_class_expression,
    STATE(9817), 1,
      sym__class_expression,
    STATE(10066), 1,
      sym_attribute,
    STATE(19150), 1,
      sym_module_path,
    STATE(20751), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8783), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8048), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480512] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    ACTIONS(12225), 1,
      anon_sym_STAR,
    STATE(10068), 1,
      sym_attribute,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [480564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11412), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11416), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11420), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11428), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [480724] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10073), 1,
      sym_attribute,
    STATE(11083), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8276), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [480832] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10075), 1,
      sym_attribute,
    STATE(11126), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480900] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10076), 1,
      sym_attribute,
    STATE(11128), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [480968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481008] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12104), 1,
      sym__lowercase_identifier,
    ACTIONS(12106), 1,
      anon_sym_let,
    ACTIONS(12108), 1,
      anon_sym_LPAREN,
    ACTIONS(12110), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_fun,
    STATE(3112), 1,
      sym__simple_class_expression,
    STATE(9814), 1,
      sym__class_expression,
    STATE(10078), 1,
      sym_attribute,
    STATE(21327), 1,
      sym_module_path,
    STATE(21455), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10452), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [481076] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10079), 1,
      sym_attribute,
    STATE(11111), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [481144] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12098), 1,
      anon_sym_DOT,
    ACTIONS(12100), 1,
      anon_sym_POUND,
    ACTIONS(12102), 1,
      sym_hash_operator,
    STATE(10080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9562), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9560), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [481190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7943), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [481230] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10082), 1,
      sym_attribute,
    STATE(11113), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [481298] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10083), 1,
      sym_attribute,
    STATE(11117), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [481366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9090), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(11060), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [481486] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10087), 1,
      sym_attribute,
    STATE(11126), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [481554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11448), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11452), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11456), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [481674] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10091), 1,
      sym_attribute,
    STATE(11123), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [481742] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10092), 1,
      sym_attribute,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11158), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [481792] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10093), 1,
      sym_attribute,
    STATE(11302), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [481860] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10094), 1,
      sym_attribute,
    STATE(11303), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [481928] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10095), 1,
      sym_attribute,
    STATE(11328), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [481996] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12104), 1,
      sym__lowercase_identifier,
    ACTIONS(12106), 1,
      anon_sym_let,
    ACTIONS(12108), 1,
      anon_sym_LPAREN,
    ACTIONS(12110), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_fun,
    STATE(3112), 1,
      sym__simple_class_expression,
    STATE(9793), 1,
      sym__class_expression,
    STATE(10096), 1,
      sym_attribute,
    STATE(21327), 1,
      sym_module_path,
    STATE(21455), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10452), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482104] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12104), 1,
      sym__lowercase_identifier,
    ACTIONS(12106), 1,
      anon_sym_let,
    ACTIONS(12108), 1,
      anon_sym_LPAREN,
    ACTIONS(12110), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_fun,
    STATE(3112), 1,
      sym__simple_class_expression,
    STATE(9817), 1,
      sym__class_expression,
    STATE(10098), 1,
      sym_attribute,
    STATE(21327), 1,
      sym_module_path,
    STATE(21455), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10452), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482172] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10099), 1,
      sym_attribute,
    STATE(11403), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [482280] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10101), 1,
      sym_attribute,
    STATE(11415), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482348] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    ACTIONS(12201), 1,
      sym_or_operator,
    ACTIONS(12203), 1,
      sym_assign_operator,
    ACTIONS(12209), 1,
      anon_sym_SEMI,
    STATE(1880), 1,
      sym_add_operator,
    STATE(10102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [482412] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10103), 1,
      sym_attribute,
    STATE(11069), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482480] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10104), 1,
      sym_attribute,
    STATE(11070), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482548] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10105), 1,
      sym_attribute,
    STATE(11073), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482616] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12191), 1,
      sym_pow_operator,
    ACTIONS(12193), 1,
      sym_mult_operator,
    ACTIONS(12195), 1,
      sym_concat_operator,
    ACTIONS(12197), 1,
      sym_rel_operator,
    ACTIONS(12199), 1,
      sym_and_operator,
    ACTIONS(12201), 1,
      sym_or_operator,
    ACTIONS(12203), 1,
      sym_assign_operator,
    ACTIONS(12209), 1,
      anon_sym_SEMI,
    STATE(1880), 1,
      sym_add_operator,
    STATE(10106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [482680] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10107), 1,
      sym_attribute,
    STATE(11096), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482748] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10108), 1,
      sym_attribute,
    STATE(11098), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11766), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11764), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12227), 1,
      anon_sym_COLON,
    STATE(10110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8362), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8364), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [482898] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10111), 1,
      sym_attribute,
    STATE(11099), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [482966] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10112), 1,
      sym_attribute,
    STATE(11103), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [483034] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10113), 1,
      sym_attribute,
    STATE(11111), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [483102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11516), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483142] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10115), 1,
      sym_attribute,
    STATE(11113), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [483210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11062), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483250] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10117), 1,
      sym_attribute,
    STATE(11117), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [483318] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6455), 1,
      anon_sym_object,
    ACTIONS(8648), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8650), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12162), 1,
      sym__lowercase_identifier,
    ACTIONS(12164), 1,
      anon_sym_let,
    ACTIONS(12166), 1,
      anon_sym_LPAREN,
    ACTIONS(12168), 1,
      anon_sym_LBRACK,
    ACTIONS(12170), 1,
      anon_sym_fun,
    STATE(2586), 1,
      sym__simple_class_expression,
    STATE(10118), 1,
      sym_attribute,
    STATE(11123), 1,
      sym__class_expression,
    STATE(18569), 1,
      sym_value_definition,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8099), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [483386] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10119), 1,
      sym_attribute,
    STATE(11432), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [483454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12231), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12229), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__lowercase_identifier,
  [483494] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_COMMA,
    ACTIONS(12124), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12126), 1,
      sym_pow_operator,
    ACTIONS(12128), 1,
      sym_mult_operator,
    ACTIONS(12130), 1,
      sym_concat_operator,
    ACTIONS(12132), 1,
      sym_rel_operator,
    ACTIONS(12134), 1,
      sym_and_operator,
    ACTIONS(12136), 1,
      sym_or_operator,
    ACTIONS(12142), 1,
      sym_assign_operator,
    ACTIONS(12185), 1,
      anon_sym_SEMI,
    STATE(2208), 1,
      sym_add_operator,
    STATE(10121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [483558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [483600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12235), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12233), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483640] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12104), 1,
      sym__lowercase_identifier,
    ACTIONS(12106), 1,
      anon_sym_let,
    ACTIONS(12108), 1,
      anon_sym_LPAREN,
    ACTIONS(12110), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_fun,
    STATE(3112), 1,
      sym__simple_class_expression,
    STATE(10124), 1,
      sym_attribute,
    STATE(15950), 1,
      sym__class_expression,
    STATE(21327), 1,
      sym_module_path,
    STATE(21455), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10452), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [483708] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6909), 1,
      anon_sym_object,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12045), 1,
      sym__lowercase_identifier,
    ACTIONS(12047), 1,
      anon_sym_let,
    ACTIONS(12049), 1,
      anon_sym_LPAREN,
    ACTIONS(12053), 1,
      anon_sym_LBRACK,
    ACTIONS(12055), 1,
      anon_sym_fun,
    STATE(2609), 1,
      sym__simple_class_expression,
    STATE(10125), 1,
      sym_attribute,
    STATE(13658), 1,
      sym__class_expression,
    STATE(19150), 1,
      sym_module_path,
    STATE(20751), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8783), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [483776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11516), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11062), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12239), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12237), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9090), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [483976] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10131), 1,
      sym_attribute,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11582), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [484032] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10132), 1,
      sym_attribute,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11592), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [484088] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12211), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(10133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [484132] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12245), 1,
      anon_sym_LPAREN,
    ACTIONS(12247), 1,
      anon_sym_LBRACK,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    STATE(10134), 1,
      sym_attribute,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11478), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12249), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12241), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484184] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10135), 1,
      sym_attribute,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11652), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [484240] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10136), 1,
      sym_attribute,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [484296] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10137), 1,
      sym_attribute,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [484352] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12253), 1,
      anon_sym_POUND,
    STATE(10138), 1,
      sym_attribute,
    STATE(10673), 1,
      sym_type_constructor_path,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11182), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [484402] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10139), 1,
      sym_attribute,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [484458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11576), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [484498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7897), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7899), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [484538] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10142), 1,
      sym_attribute,
    STATE(11302), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [484606] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10143), 1,
      sym_attribute,
    STATE(11303), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [484674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8126), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8128), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [484714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8160), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8162), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [484754] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10146), 1,
      sym_attribute,
    STATE(11328), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [484822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8008), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8010), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [484862] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(9793), 1,
      sym__class_expression,
    STATE(10148), 1,
      sym_attribute,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [484930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8210), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8212), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [484970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8220), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8222), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485010] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(9817), 1,
      sym__class_expression,
    STATE(10151), 1,
      sym_attribute,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [485078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8156), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8158), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8170), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8172), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8198), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8200), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8320), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8322), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8284), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8286), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8202), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8204), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7927), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7929), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8092), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8094), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485398] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12098), 1,
      anon_sym_DOT,
    STATE(10160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8144), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8146), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8166), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8168), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485480] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12255), 1,
      anon_sym_LPAREN,
    ACTIONS(12257), 1,
      anon_sym_LBRACK,
    STATE(10162), 1,
      sym_attribute,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11756), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12259), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12241), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8232), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8234), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8294), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8296), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8140), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8142), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8178), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8180), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8270), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8272), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8136), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8138), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8258), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8260), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8300), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8302), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8324), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8326), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8304), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8306), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8224), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8226), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [485972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8246), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8248), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8088), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8090), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8336), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8338), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8044), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8046), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7893), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7895), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7933), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7935), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7937), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8072), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8074), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8076), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8078), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8106), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8108), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8114), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8116), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486412] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    ACTIONS(12261), 1,
      anon_sym_STAR,
    STATE(10185), 1,
      sym_attribute,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(11598), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11898), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [486466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7907), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7909), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7911), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7913), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7915), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8004), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8006), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486626] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10190), 1,
      sym_attribute,
    STATE(11403), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [486694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11576), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [486734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8064), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8066), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486774] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10193), 1,
      sym_attribute,
    STATE(11415), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [486842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7917), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7919), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8262), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8264), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7923), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7925), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [486962] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    ACTIONS(12263), 1,
      anon_sym_STAR,
    STATE(10197), 1,
      sym_attribute,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [487014] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(10198), 1,
      sym_attribute,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12219), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [487064] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10199), 1,
      sym_attribute,
    STATE(11069), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487132] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10200), 1,
      sym_attribute,
    STATE(11070), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8194), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8196), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8228), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8230), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487280] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10203), 1,
      sym_attribute,
    STATE(11073), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8278), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8280), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487388] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10205), 1,
      sym_attribute,
    STATE(11096), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487456] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10206), 1,
      sym_attribute,
    STATE(11098), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8316), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8318), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8332), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8334), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8110), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8112), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8040), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8042), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8102), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8104), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8068), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8070), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8186), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8188), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8206), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8208), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8266), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8268), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8250), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8252), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [487924] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10217), 1,
      sym_attribute,
    STATE(11099), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [487992] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10218), 1,
      sym_attribute,
    STATE(11103), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488060] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12267), 1,
      anon_sym_let,
    ACTIONS(12269), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10219), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(12265), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488104] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10220), 1,
      sym_attribute,
    STATE(11111), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488172] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10221), 1,
      sym_attribute,
    STATE(11113), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488240] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10222), 1,
      sym_attribute,
    STATE(11117), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488308] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6295), 1,
      anon_sym_object,
    ACTIONS(8640), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8642), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12088), 1,
      sym__lowercase_identifier,
    ACTIONS(12090), 1,
      anon_sym_let,
    ACTIONS(12092), 1,
      anon_sym_LPAREN,
    ACTIONS(12094), 1,
      anon_sym_LBRACK,
    ACTIONS(12096), 1,
      anon_sym_fun,
    STATE(2577), 1,
      sym__simple_class_expression,
    STATE(10223), 1,
      sym_attribute,
    STATE(11123), 1,
      sym__class_expression,
    STATE(18630), 1,
      sym_module_path,
    STATE(19371), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8114), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488376] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10224), 1,
      sym_attribute,
    STATE(11128), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488444] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12072), 1,
      sym__lowercase_identifier,
    ACTIONS(12074), 1,
      anon_sym_let,
    ACTIONS(12076), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      anon_sym_LBRACK,
    ACTIONS(12080), 1,
      anon_sym_object,
    ACTIONS(12082), 1,
      anon_sym_fun,
    ACTIONS(12084), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12086), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2551), 1,
      sym__simple_class_expression,
    STATE(10225), 1,
      sym_attribute,
    STATE(11432), 1,
      sym__class_expression,
    STATE(19054), 1,
      sym_value_definition,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7675), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488512] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12146), 1,
      sym__lowercase_identifier,
    ACTIONS(12148), 1,
      anon_sym_let,
    ACTIONS(12150), 1,
      anon_sym_LPAREN,
    ACTIONS(12152), 1,
      anon_sym_LBRACK,
    ACTIONS(12154), 1,
      anon_sym_object,
    ACTIONS(12156), 1,
      anon_sym_fun,
    ACTIONS(12158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2550), 1,
      sym__simple_class_expression,
    STATE(10226), 1,
      sym_attribute,
    STATE(11083), 1,
      sym__class_expression,
    STATE(20355), 1,
      sym_value_definition,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7542), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488580] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(7785), 1,
      anon_sym_object,
    ACTIONS(7797), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7799), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12104), 1,
      sym__lowercase_identifier,
    ACTIONS(12106), 1,
      anon_sym_let,
    ACTIONS(12108), 1,
      anon_sym_LPAREN,
    ACTIONS(12110), 1,
      anon_sym_LBRACK,
    ACTIONS(12112), 1,
      anon_sym_fun,
    STATE(3112), 1,
      sym__simple_class_expression,
    STATE(10227), 1,
      sym_attribute,
    STATE(16222), 1,
      sym__class_expression,
    STATE(21327), 1,
      sym_module_path,
    STATE(21455), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10452), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12231), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12229), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__lowercase_identifier,
  [488688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8054), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [488728] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(425), 1,
      sym_let_operator,
    ACTIONS(6909), 1,
      anon_sym_object,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12045), 1,
      sym__lowercase_identifier,
    ACTIONS(12047), 1,
      anon_sym_let,
    ACTIONS(12049), 1,
      anon_sym_LPAREN,
    ACTIONS(12053), 1,
      anon_sym_LBRACK,
    ACTIONS(12055), 1,
      anon_sym_fun,
    STATE(2609), 1,
      sym__simple_class_expression,
    STATE(9814), 1,
      sym__class_expression,
    STATE(10230), 1,
      sym_attribute,
    STATE(19150), 1,
      sym_module_path,
    STATE(20751), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9749), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8783), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [488796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [488836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11632), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [488875] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(10233), 1,
      sym_attribute,
    STATE(14518), 1,
      sym__simple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488938] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(10234), 1,
      sym_attribute,
    STATE(11985), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489001] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(10235), 1,
      sym_attribute,
    STATE(11275), 1,
      sym__simple_type,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11420), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [489103] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(10237), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11582), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [489158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8048), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [489197] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(10239), 1,
      sym_attribute,
    STATE(10391), 1,
      sym__simple_type,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489260] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [489301] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(10241), 1,
      sym_attribute,
    STATE(10251), 1,
      sym__simple_type,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489364] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(10242), 1,
      sym_attribute,
    STATE(10258), 1,
      sym__simple_type,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489427] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(10243), 1,
      sym_attribute,
    STATE(10264), 1,
      sym__simple_type,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489490] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11114), 1,
      anon_sym_STAR,
    STATE(10244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11112), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11110), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11576), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [489570] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(10246), 1,
      sym_attribute,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [489625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11576), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [489664] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(10248), 1,
      sym_attribute,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [489719] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(10092), 1,
      sym__simple_type,
    STATE(10249), 1,
      sym_attribute,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489782] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(10250), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11592), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [489837] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(10251), 1,
      sym_attribute,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12284), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [489886] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(10252), 1,
      sym_attribute,
    STATE(10916), 1,
      sym__simple_type,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12288), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [489988] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(10254), 1,
      sym_attribute,
    STATE(11130), 1,
      sym__simple_type,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490051] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(10255), 1,
      sym_attribute,
    STATE(11131), 1,
      sym__simple_type,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490114] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(10256), 1,
      sym_attribute,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [490169] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(10257), 1,
      sym_attribute,
    STATE(11132), 1,
      sym__simple_type,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490232] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(10258), 1,
      sym_attribute,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12292), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [490281] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(10259), 1,
      sym_attribute,
    STATE(11133), 1,
      sym__simple_type,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490344] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(10260), 1,
      sym_attribute,
    STATE(11134), 1,
      sym__simple_type,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490407] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(11376), 1,
      anon_sym_LPAREN,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11384), 1,
      anon_sym_LT,
    ACTIONS(11386), 1,
      anon_sym_POUND,
    ACTIONS(11388), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11390), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11392), 1,
      aux_sym_type_variable_token1,
    STATE(10261), 1,
      sym_attribute,
    STATE(11135), 1,
      sym__simple_type,
    STATE(17620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11335), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490470] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(10262), 1,
      sym_attribute,
    STATE(12684), 1,
      sym__simple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490533] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(9432), 1,
      sym__simple_type,
    STATE(10263), 1,
      sym_attribute,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490596] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(10264), 1,
      sym_attribute,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12296), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [490645] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_COMMA,
    STATE(10265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 15,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [490686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11428), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [490725] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(10267), 1,
      sym_attribute,
    STATE(11586), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11448), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [490827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11452), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [490866] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10773), 1,
      anon_sym_LPAREN,
    ACTIONS(10777), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10783), 1,
      anon_sym_LT,
    ACTIONS(10785), 1,
      anon_sym_POUND,
    ACTIONS(10787), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10789), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10791), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12298), 1,
      sym__lowercase_identifier,
    STATE(9293), 1,
      sym__simple_type,
    STATE(10270), 1,
      sym_attribute,
    STATE(17807), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8190), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [490968] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    STATE(10272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 16,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [491009] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(10273), 1,
      sym_attribute,
    STATE(11773), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491072] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(10274), 1,
      sym_attribute,
    STATE(11774), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491135] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(10275), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11582), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491190] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(10276), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11592), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491245] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12304), 1,
      anon_sym_COLON2,
    STATE(10277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [491286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11456), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [491325] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(10279), 1,
      sym_attribute,
    STATE(11875), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [491427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11572), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [491466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11598), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [491505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11632), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [491544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8254), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8256), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491583] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(10285), 1,
      sym_attribute,
    STATE(12070), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491646] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(10286), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491701] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(10287), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [491756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11636), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [491795] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(10289), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11652), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [491850] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(10290), 1,
      sym_attribute,
    STATE(11779), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491913] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(10291), 1,
      sym_attribute,
    STATE(10645), 1,
      sym__simple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491976] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [492017] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(10293), 1,
      sym_attribute,
    STATE(11827), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492080] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(10294), 1,
      sym_attribute,
    STATE(10777), 1,
      sym__simple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492143] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(10198), 1,
      sym__simple_type,
    STATE(10295), 1,
      sym_attribute,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492206] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(10296), 1,
      sym_attribute,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12219), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [492255] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(10297), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [492310] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(10298), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [492365] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(10299), 1,
      sym_attribute,
    STATE(10338), 1,
      sym__simple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9548), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9550), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492467] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(10301), 1,
      sym_attribute,
    STATE(12031), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492530] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(10302), 1,
      sym_attribute,
    STATE(10340), 1,
      sym__simple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492593] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(10303), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [492648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11516), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [492687] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(10305), 1,
      sym_attribute,
    STATE(10346), 1,
      sym__simple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492750] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12310), 1,
      aux_sym_attribute_id_token1,
    STATE(10306), 1,
      sym_attribute,
    STATE(10309), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8703), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8705), 13,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492793] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(10307), 1,
      sym_attribute,
    STATE(10353), 1,
      sym__simple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492856] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(10308), 1,
      sym_attribute,
    STATE(10354), 1,
      sym__simple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492919] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12310), 1,
      aux_sym_attribute_id_token1,
    STATE(10309), 1,
      sym_attribute,
    STATE(10312), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8682), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8684), 13,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492962] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9222), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12312), 1,
      anon_sym_EQ,
    ACTIONS(12314), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10310), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11349), 1,
      aux_sym_expression_item_repeat1,
    STATE(11365), 1,
      sym__type_equation,
    STATE(11649), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [493019] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9408), 1,
      anon_sym_LT,
    ACTIONS(9410), 1,
      anon_sym_POUND,
    ACTIONS(9412), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9414), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9416), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10649), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    STATE(10311), 1,
      sym_attribute,
    STATE(10355), 1,
      sym__simple_type,
    STATE(17600), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9754), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493082] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10312), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8692), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8694), 13,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11684), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [493162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [493201] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12323), 1,
      anon_sym_SEMI,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    ACTIONS(12339), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [493264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11700), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [493303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12343), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12341), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493342] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9220), 1,
      sym__lowercase_identifier,
    ACTIONS(12345), 1,
      anon_sym_COLON2,
    STATE(10318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11518), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11516), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [493387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12349), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12347), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493426] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10019), 1,
      anon_sym_LPAREN,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10027), 1,
      anon_sym_LT,
    ACTIONS(10029), 1,
      anon_sym_POUND,
    ACTIONS(10031), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10033), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10035), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    STATE(10320), 1,
      sym_attribute,
    STATE(10940), 1,
      sym__simple_type,
    STATE(17454), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11506), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12351), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11716), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [493567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8348), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [493606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8340), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [493645] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(10325), 1,
      sym_attribute,
    STATE(11764), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493708] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(10326), 1,
      sym_attribute,
    STATE(12040), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493771] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9524), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [493810] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(10328), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11652), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [493865] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(10329), 1,
      sym_attribute,
    STATE(10636), 1,
      sym__simple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493928] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(10330), 1,
      sym_attribute,
    STATE(10753), 1,
      sym__simple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493991] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(10331), 1,
      sym_attribute,
    STATE(10756), 1,
      sym__simple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494054] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9534), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494093] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(10333), 1,
      sym_attribute,
    STATE(10763), 1,
      sym__simple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [494195] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [494254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [494293] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    ACTIONS(12339), 1,
      sym_assign_operator,
    ACTIONS(12355), 1,
      anon_sym_SEMI,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [494356] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(10338), 1,
      sym_attribute,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [494405] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494454] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(10340), 1,
      sym_attribute,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [494503] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12327), 1,
      sym_pow_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494546] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12327), 1,
      sym_pow_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494589] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [494640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8624), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8626), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494679] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [494730] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(10346), 1,
      sym_attribute,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [494779] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [494834] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [494891] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    ACTIONS(12339), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [494952] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [494997] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    ACTIONS(12339), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [495058] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10561), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10563), 1,
      anon_sym_LT,
    ACTIONS(10565), 1,
      anon_sym_POUND,
    ACTIONS(10567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10571), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12357), 1,
      sym__lowercase_identifier,
    STATE(9288), 1,
      sym__simple_type,
    STATE(10352), 1,
      sym_attribute,
    STATE(17771), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9412), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495121] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(10353), 1,
      sym_attribute,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12284), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495170] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(10354), 1,
      sym_attribute,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12292), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495219] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11536), 1,
      anon_sym_POUND,
    STATE(9776), 1,
      sym_type_constructor_path,
    STATE(10355), 1,
      sym_attribute,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12296), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495268] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(7143), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7145), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9872), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9880), 1,
      anon_sym_LT,
    ACTIONS(9882), 1,
      anon_sym_POUND,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    STATE(10356), 1,
      sym_attribute,
    STATE(13816), 1,
      sym__simple_type,
    STATE(18147), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14001), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495331] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(10357), 1,
      sym_attribute,
    STATE(10769), 1,
      sym__simple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495394] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(10358), 1,
      sym_attribute,
    STATE(10790), 1,
      sym__simple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495457] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    ACTIONS(12361), 1,
      anon_sym_STAR,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(10359), 1,
      sym_attribute,
    STATE(11876), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11898), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [495510] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(10360), 1,
      sym_attribute,
    STATE(12124), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11778), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [495612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11782), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [495651] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COLON,
    STATE(10363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9528), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495692] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    ACTIONS(12339), 1,
      sym_assign_operator,
    ACTIONS(12355), 1,
      anon_sym_SEMI,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [495755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8190), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [495794] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(10366), 1,
      sym_attribute,
    STATE(10770), 1,
      sym__simple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495857] = 17,
    ACTIONS(11), 1,
      anon_sym_LPAREN,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_POUND,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(10367), 1,
      sym_attribute,
    STATE(14680), 1,
      sym__simple_type,
    STATE(18248), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495920] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(10368), 1,
      sym_attribute,
    STATE(10774), 1,
      sym__simple_type,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11794), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [496022] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    ACTIONS(12339), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [496083] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10842), 1,
      anon_sym_LPAREN,
    ACTIONS(10846), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10850), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10852), 1,
      anon_sym_LT,
    ACTIONS(10854), 1,
      anon_sym_POUND,
    ACTIONS(10856), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10858), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10860), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12365), 1,
      sym__lowercase_identifier,
    STATE(10371), 1,
      sym_attribute,
    STATE(13665), 1,
      sym__simple_type,
    STATE(17645), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13943), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496146] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(10372), 1,
      sym_attribute,
    STATE(14268), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496209] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(10373), 1,
      sym_attribute,
    STATE(14519), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11798), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [496311] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(9687), 1,
      sym__simple_type,
    STATE(10375), 1,
      sym_attribute,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496374] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9312), 1,
      anon_sym_LT,
    ACTIONS(9314), 1,
      anon_sym_POUND,
    ACTIONS(9316), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9318), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9322), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10681), 1,
      anon_sym_LPAREN,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    STATE(10009), 1,
      sym__simple_type,
    STATE(10376), 1,
      sym_attribute,
    STATE(17410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10280), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496437] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9222), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12367), 1,
      anon_sym_EQ,
    ACTIONS(12369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10377), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11079), 1,
      aux_sym_expression_item_repeat1,
    STATE(11368), 1,
      sym__type_equation,
    STATE(11685), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11933), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [496494] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9566), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9568), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8214), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496572] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12373), 1,
      anon_sym_LPAREN,
    ACTIONS(12375), 1,
      anon_sym_LBRACK,
    STATE(10380), 1,
      sym_attribute,
    STATE(11218), 1,
      sym__constructor_name,
    STATE(12337), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12377), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12241), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8048), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [496662] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10912), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(12007), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12009), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(10382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10910), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [496711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [496750] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(10384), 1,
      sym_attribute,
    STATE(14542), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8348), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [496852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11572), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [496891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11598), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [496930] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(10388), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__simple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496993] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(10389), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [497048] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(10390), 1,
      sym_attribute,
    STATE(11065), 1,
      sym__simple_type,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497111] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(10391), 1,
      sym_attribute,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [497160] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12379), 1,
      anon_sym_COLON2,
    STATE(10392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11412), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497279] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(10395), 1,
      sym_attribute,
    STATE(10796), 1,
      sym__simple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11636), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497420] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(10398), 1,
      sym_attribute,
    STATE(10799), 1,
      sym__simple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11412), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11416), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497561] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9590), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9592), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11420), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497639] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(10403), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [497694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11428), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [497811] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(10407), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [497866] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9376), 1,
      anon_sym_LT,
    ACTIONS(9378), 1,
      anon_sym_POUND,
    ACTIONS(9380), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9382), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9384), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10597), 1,
      anon_sym_LPAREN,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    STATE(10408), 1,
      sym_attribute,
    STATE(10856), 1,
      sym__simple_type,
    STATE(17520), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10383), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497929] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11196), 1,
      anon_sym_STAR,
    STATE(10409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11112), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11110), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9090), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [498009] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9222), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12369), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    ACTIONS(12381), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10411), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11349), 1,
      aux_sym_expression_item_repeat1,
    STATE(11369), 1,
      sym__type_equation,
    STATE(11688), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12017), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [498066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12383), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12389), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12387), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498144] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(10414), 1,
      sym_attribute,
    STATE(10953), 1,
      sym__simple_type,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498207] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(10296), 1,
      sym__simple_type,
    STATE(10415), 1,
      sym_attribute,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498270] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(10416), 1,
      sym_attribute,
    STATE(14496), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11684), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [498372] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(10418), 1,
      sym_attribute,
    STATE(10680), 1,
      sym__simple_type,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498435] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12391), 1,
      anon_sym_LPAREN,
    ACTIONS(12393), 1,
      anon_sym_LBRACK,
    STATE(10419), 1,
      sym_attribute,
    STATE(11268), 1,
      sym__constructor_name,
    STATE(12343), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12395), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12241), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498486] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12401), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10420), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498529] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(10421), 1,
      sym_attribute,
    STATE(10681), 1,
      sym__simple_type,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8340), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [498631] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(10423), 1,
      sym_attribute,
    STATE(10934), 1,
      sym__simple_type,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498694] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(10424), 1,
      sym_attribute,
    STATE(11306), 1,
      sym__simple_type,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498757] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(10425), 1,
      sym_attribute,
    STATE(11307), 1,
      sym__simple_type,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [498859] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(10427), 1,
      sym_attribute,
    STATE(10700), 1,
      sym__simple_type,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498922] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12404), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10428), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12409), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12407), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499004] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(10430), 1,
      sym_attribute,
    STATE(10704), 1,
      sym__simple_type,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499067] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(10431), 1,
      sym_attribute,
    STATE(10707), 1,
      sym__simple_type,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11448), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [499169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11452), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [499208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11456), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [499247] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10103), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10105), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(11352), 1,
      anon_sym_LPAREN,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11360), 1,
      anon_sym_LT,
    ACTIONS(11362), 1,
      anon_sym_POUND,
    ACTIONS(11364), 1,
      aux_sym_type_variable_token1,
    STATE(10435), 1,
      sym_attribute,
    STATE(10710), 1,
      sym__simple_type,
    STATE(17574), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10576), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499310] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    ACTIONS(12339), 1,
      sym_assign_operator,
    ACTIONS(12355), 1,
      anon_sym_SEMI,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [499373] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [499414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9090), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [499453] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(10439), 1,
      sym_attribute,
    STATE(11312), 1,
      sym__simple_type,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499516] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9953), 1,
      anon_sym_LPAREN,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9961), 1,
      anon_sym_LT,
    ACTIONS(9963), 1,
      anon_sym_POUND,
    ACTIONS(9965), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9967), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9969), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12411), 1,
      sym__lowercase_identifier,
    STATE(10440), 1,
      sym_attribute,
    STATE(11742), 1,
      sym__simple_type,
    STATE(17490), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12389), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499579] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(10441), 1,
      sym_attribute,
    STATE(10961), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499642] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12033), 1,
      anon_sym_COLON2,
    STATE(10442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [499683] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(10443), 1,
      sym_attribute,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [499732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11700), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [499771] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11366), 1,
      sym__lowercase_identifier,
    ACTIONS(11588), 1,
      anon_sym_POUND,
    STATE(9850), 1,
      sym_type_constructor_path,
    STATE(10445), 1,
      sym_attribute,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [499820] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(10446), 1,
      sym_attribute,
    STATE(10504), 1,
      sym__simple_type,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499883] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(10447), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11582), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [499938] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(10448), 1,
      sym_attribute,
    STATE(10693), 1,
      sym__simple_type,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500001] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(10449), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11592), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [500056] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(10450), 1,
      sym_attribute,
    STATE(11316), 1,
      sym__simple_type,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [500158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9520), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500197] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(10453), 1,
      sym_attribute,
    STATE(10694), 1,
      sym__simple_type,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11716), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [500299] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12323), 1,
      anon_sym_SEMI,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    ACTIONS(12339), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [500362] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(10456), 1,
      sym_attribute,
    STATE(11317), 1,
      sym__simple_type,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500425] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10085), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10087), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(11254), 1,
      anon_sym_LPAREN,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11262), 1,
      anon_sym_LT,
    ACTIONS(11264), 1,
      anon_sym_POUND,
    ACTIONS(11266), 1,
      aux_sym_type_variable_token1,
    STATE(10457), 1,
      sym_attribute,
    STATE(11318), 1,
      sym__simple_type,
    STATE(17680), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11198), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8192), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [500527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8350), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [500566] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(10460), 1,
      sym_attribute,
    STATE(14561), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500629] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(10461), 1,
      sym_attribute,
    STATE(14568), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8342), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [500731] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    ACTIONS(12413), 1,
      anon_sym_STAR,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(10463), 1,
      sym_attribute,
    STATE(11925), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11898), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [500784] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(10464), 1,
      sym_attribute,
    STATE(10699), 1,
      sym__simple_type,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500847] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10814), 1,
      anon_sym_LPAREN,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10822), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10824), 1,
      anon_sym_LT,
    ACTIONS(10826), 1,
      anon_sym_POUND,
    ACTIONS(10828), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10830), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10832), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12415), 1,
      sym__lowercase_identifier,
    STATE(9654), 1,
      sym__simple_type,
    STATE(10465), 1,
      sym_attribute,
    STATE(17756), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [500910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11416), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [500949] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9973), 1,
      anon_sym_LPAREN,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9981), 1,
      anon_sym_LT,
    ACTIONS(9983), 1,
      anon_sym_POUND,
    ACTIONS(9985), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9987), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9989), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12417), 1,
      sym__lowercase_identifier,
    STATE(10467), 1,
      sym_attribute,
    STATE(12786), 1,
      sym__simple_type,
    STATE(17736), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13423), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501012] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(11278), 1,
      anon_sym_LPAREN,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11286), 1,
      anon_sym_LT,
    ACTIONS(11288), 1,
      anon_sym_POUND,
    ACTIONS(11290), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      aux_sym_type_variable_token1,
    STATE(10468), 1,
      sym_attribute,
    STATE(14579), 1,
      sym__simple_type,
    STATE(17355), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14560), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501075] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(10469), 1,
      sym_attribute,
    STATE(10709), 1,
      sym__simple_type,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [501177] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(10471), 1,
      sym_attribute,
    STATE(10755), 1,
      sym__simple_type,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8050), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [501279] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(10473), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11652), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [501334] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(10474), 1,
      sym_attribute,
    STATE(11091), 1,
      sym__simple_type,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501397] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(10475), 1,
      sym_attribute,
    STATE(11189), 1,
      sym__simple_type,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501460] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(10476), 1,
      sym_attribute,
    STATE(11274), 1,
      sym__simple_type,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501523] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(10477), 1,
      sym_attribute,
    STATE(11388), 1,
      sym__simple_type,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501586] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(10478), 1,
      sym_attribute,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11582), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501641] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(10479), 1,
      sym_attribute,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11592), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [501696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12421), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12419), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501735] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(10481), 1,
      sym_attribute,
    STATE(10712), 1,
      sym__simple_type,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [501798] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12033), 1,
      anon_sym_COLON2,
    STATE(10482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [501839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11778), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [501878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11782), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [501917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11794), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [501956] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10091), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10093), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(11298), 1,
      anon_sym_LPAREN,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11306), 1,
      anon_sym_LT,
    ACTIONS(11308), 1,
      anon_sym_POUND,
    ACTIONS(11310), 1,
      aux_sym_type_variable_token1,
    STATE(10486), 1,
      sym_attribute,
    STATE(10715), 1,
      sym__simple_type,
    STATE(17714), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10581), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11798), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [502058] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(10488), 1,
      sym_attribute,
    STATE(11190), 1,
      sym__simple_type,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502121] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(10489), 1,
      sym_attribute,
    STATE(11626), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502184] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10721), 1,
      anon_sym_LPAREN,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10729), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10731), 1,
      anon_sym_LT,
    ACTIONS(10733), 1,
      anon_sym_POUND,
    ACTIONS(10735), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10737), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10739), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12423), 1,
      sym__lowercase_identifier,
    STATE(10490), 1,
      sym_attribute,
    STATE(13494), 1,
      sym__simple_type,
    STATE(17787), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13605), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502247] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(10491), 1,
      sym_attribute,
    STATE(11193), 1,
      sym__simple_type,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11516), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [502349] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(10493), 1,
      sym_attribute,
    STATE(11194), 1,
      sym__simple_type,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502412] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(10494), 1,
      sym_attribute,
    STATE(11195), 1,
      sym__simple_type,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502475] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10207), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10209), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(11234), 1,
      anon_sym_LPAREN,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11242), 1,
      anon_sym_LT,
    ACTIONS(11244), 1,
      anon_sym_POUND,
    ACTIONS(11246), 1,
      aux_sym_type_variable_token1,
    STATE(10495), 1,
      sym_attribute,
    STATE(11197), 1,
      sym__simple_type,
    STATE(17665), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11186), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12427), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12425), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502577] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10055), 1,
      anon_sym_LPAREN,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10063), 1,
      anon_sym_LT,
    ACTIONS(10065), 1,
      anon_sym_POUND,
    ACTIONS(10067), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10069), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10071), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    STATE(10497), 1,
      sym_attribute,
    STATE(11924), 1,
      sym__simple_type,
    STATE(17548), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11501), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502640] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10657), 1,
      anon_sym_LPAREN,
    ACTIONS(10661), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10665), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10667), 1,
      anon_sym_LT,
    ACTIONS(10669), 1,
      anon_sym_POUND,
    ACTIONS(10671), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10673), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10675), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12429), 1,
      sym__lowercase_identifier,
    STATE(9466), 1,
      sym__simple_type,
    STATE(10498), 1,
      sym_attribute,
    STATE(17696), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9950), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502703] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(10499), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [502758] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    ACTIONS(12323), 1,
      anon_sym_SEMI,
    ACTIONS(12325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12327), 1,
      sym_pow_operator,
    ACTIONS(12329), 1,
      sym_mult_operator,
    ACTIONS(12331), 1,
      sym_concat_operator,
    ACTIONS(12333), 1,
      sym_rel_operator,
    ACTIONS(12335), 1,
      sym_and_operator,
    ACTIONS(12337), 1,
      sym_or_operator,
    ACTIONS(12339), 1,
      sym_assign_operator,
    STATE(2309), 1,
      sym_add_operator,
    STATE(10500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [502821] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9222), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(12314), 1,
      anon_sym_COLON_EQ,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    ACTIONS(12431), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10501), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11079), 1,
      aux_sym_expression_item_repeat1,
    STATE(11362), 1,
      sym__type_equation,
    STATE(11646), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11933), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [502878] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(10045), 1,
      sym__simple_type,
    STATE(10502), 1,
      sym_attribute,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [502941] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(10443), 1,
      sym__simple_type,
    STATE(10503), 1,
      sym_attribute,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503004] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(10504), 1,
      sym_attribute,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12219), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [503053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8190), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [503092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8348), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [503131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8340), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [503170] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(9346), 1,
      anon_sym_LT,
    ACTIONS(9348), 1,
      anon_sym_POUND,
    ACTIONS(9350), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9352), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9354), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10804), 1,
      anon_sym_LPAREN,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    STATE(10445), 1,
      sym__simple_type,
    STATE(10508), 1,
      sym_attribute,
    STATE(18431), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9824), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [503233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8048), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [503272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12433), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12439), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12437), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503350] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9220), 1,
      sym__lowercase_identifier,
    ACTIONS(12345), 1,
      anon_sym_COLON2,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11518), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11516), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [503395] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12445), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10513), 1,
      sym_attribute,
    STATE(10515), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12443), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12441), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503440] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12445), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10514), 1,
      sym_attribute,
    STATE(10516), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12449), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12447), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503485] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12445), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10420), 1,
      aux_sym_type_binding_repeat1,
    STATE(10515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12453), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12451), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503530] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12445), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10420), 1,
      aux_sym_type_binding_repeat1,
    STATE(10516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12455), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503575] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10517), 1,
      sym_attribute,
    STATE(10519), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12443), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12441), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503620] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10518), 1,
      sym_attribute,
    STATE(10520), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12449), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12447), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503665] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10428), 1,
      aux_sym_type_binding_repeat1,
    STATE(10519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12453), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12451), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503710] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10428), 1,
      aux_sym_type_binding_repeat1,
    STATE(10520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12455), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503755] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(12461), 1,
      anon_sym_COLON2,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10521), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10691), 1,
      sym__module_typed,
    STATE(11410), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12061), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12057), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [503810] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(12463), 1,
      anon_sym_COLON2,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10522), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10691), 1,
      sym__module_typed,
    STATE(11410), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12061), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12057), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [503865] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(10523), 1,
      sym_attribute,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11652), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [503920] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(12461), 1,
      anon_sym_COLON2,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10521), 1,
      aux_sym_module_binding_repeat1,
    STATE(10524), 1,
      sym_attribute,
    STATE(10571), 1,
      sym__module_typed,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11138), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11979), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11975), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [503975] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(12463), 1,
      anon_sym_COLON2,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10522), 1,
      aux_sym_module_binding_repeat1,
    STATE(10525), 1,
      sym_attribute,
    STATE(10571), 1,
      sym__module_typed,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11138), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11979), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(11975), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [504030] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(11326), 1,
      anon_sym_LPAREN,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11334), 1,
      anon_sym_LT,
    ACTIONS(11336), 1,
      anon_sym_POUND,
    ACTIONS(11338), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11340), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11342), 1,
      aux_sym_type_variable_token1,
    STATE(10526), 1,
      sym_attribute,
    STATE(11066), 1,
      sym__simple_type,
    STATE(17278), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11141), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8058), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504131] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10528), 1,
      sym_attribute,
    STATE(11246), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16794), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [504197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8350), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504235] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    ACTIONS(12481), 1,
      anon_sym_STAR,
    STATE(10530), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(12455), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11898), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [504287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9766), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9768), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8342), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9762), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9764), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11062), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [504439] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_DASH_GT,
    STATE(10535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10334), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504517] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9214), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9644), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9646), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504593] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10539), 1,
      sym_attribute,
    STATE(11315), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16525), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [504659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9786), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9788), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504735] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12483), 1,
      anon_sym_POUND,
    STATE(10542), 1,
      sym_attribute,
    STATE(11178), 1,
      sym_type_constructor_path,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [504783] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      sym__lowercase_identifier,
    STATE(10543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12341), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12343), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [504825] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10544), 1,
      sym_attribute,
    STATE(11320), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16613), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [504891] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9218), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11516), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504967] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9624), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9626), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8050), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505043] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9084), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505081] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9688), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9690), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505119] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12485), 1,
      anon_sym_POUND,
    STATE(10551), 1,
      sym_attribute,
    STATE(11311), 1,
      sym_type_constructor_path,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [505167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9790), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9792), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505205] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8124), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9794), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9796), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505281] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    ACTIONS(12487), 1,
      anon_sym_STAR,
    STATE(10555), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(12443), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11898), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [505333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 5,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8192), 18,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym__uppercase_identifier,
  [505371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9758), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9760), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 5,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8050), 18,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym__uppercase_identifier,
  [505447] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12489), 1,
      anon_sym_RPAREN,
    ACTIONS(12491), 1,
      anon_sym__,
    ACTIONS(12493), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10559), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16388), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [505513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9718), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9720), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505551] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10561), 1,
      sym_attribute,
    STATE(11251), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17187), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [505617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11578), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505655] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12497), 1,
      anon_sym_let,
    ACTIONS(12499), 1,
      anon_sym_DQUOTE,
    STATE(10563), 1,
      sym_attribute,
    STATE(11228), 1,
      aux_sym_external_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11555), 1,
      aux_sym_expression_item_repeat1,
    STATE(12298), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12495), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9090), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [505743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11576), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [505781] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    ACTIONS(12503), 1,
      anon_sym_SEMI,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    ACTIONS(12517), 1,
      sym_or_operator,
    ACTIONS(12519), 1,
      sym_assign_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10316), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [505843] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9684), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9686), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505881] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    ACTIONS(12503), 1,
      anon_sym_SEMI,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    ACTIONS(12517), 1,
      sym_or_operator,
    ACTIONS(12519), 1,
      sym_assign_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [505943] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8174), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8176), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11576), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506019] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12523), 1,
      anon_sym_let,
    ACTIONS(12525), 1,
      anon_sym_EQ,
    ACTIONS(12527), 1,
      anon_sym_COLON_EQ,
    STATE(10571), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11408), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12521), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9528), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506105] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6789), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(6783), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8692), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(8694), 14,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [506181] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10575), 1,
      sym_attribute,
    STATE(11254), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16982), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [506247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506285] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      sym__lowercase_identifier,
    STATE(10577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12341), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12343), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [506327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11572), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11598), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506403] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    ACTIONS(12503), 1,
      anon_sym_SEMI,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    ACTIONS(12517), 1,
      sym_or_operator,
    ACTIONS(12519), 1,
      sym_assign_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [506465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11572), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11598), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11632), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9694), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9696), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506655] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    ACTIONS(12517), 1,
      sym_or_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [506713] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10587), 1,
      sym_attribute,
    STATE(11227), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(15986), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [506779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11632), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506817] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9012), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11636), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506893] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    STATE(10591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 15,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [506933] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [506981] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10593), 1,
      sym_attribute,
    STATE(11257), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16522), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [507047] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9714), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9716), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507085] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12507), 1,
      sym_pow_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [507127] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10596), 1,
      sym_attribute,
    STATE(11210), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16586), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [507193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11684), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507307] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9734), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9736), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507345] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507385] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12507), 1,
      sym_pow_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [507427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11700), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11716), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507503] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [507553] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [507603] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9610), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9612), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507641] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10608), 1,
      sym_attribute,
    STATE(11265), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(15972), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [507707] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12529), 1,
      anon_sym_POUND,
    STATE(10609), 1,
      sym_attribute,
    STATE(11354), 1,
      sym_type_constructor_path,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11182), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [507755] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [507809] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9642), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507847] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    ACTIONS(12517), 1,
      sym_or_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10364), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [507903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9666), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9668), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11636), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9742), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9744), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [508055] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10617), 1,
      sym_attribute,
    STATE(11127), 1,
      sym__attribute,
    STATE(12520), 1,
      sym__module_type,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [508121] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12543), 1,
      anon_sym_let,
    ACTIONS(12545), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10618), 1,
      sym_attribute,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10960), 1,
      aux_sym_type_binding_repeat1,
    STATE(11214), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12541), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12549), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12547), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508211] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    ACTIONS(12517), 1,
      sym_or_operator,
    ACTIONS(12519), 1,
      sym_assign_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10364), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [508271] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [508311] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [508355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11684), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508393] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    ACTIONS(12517), 1,
      sym_or_operator,
    ACTIONS(12519), 1,
      sym_assign_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10368), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [508453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9210), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8290), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8292), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11700), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508605] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12551), 1,
      aux_sym_attribute_id_token1,
    STATE(10629), 1,
      sym_attribute,
    STATE(10685), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8703), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8705), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11716), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508685] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9746), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9748), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9750), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9752), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9006), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508799] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    ACTIONS(12517), 1,
      sym_or_operator,
    ACTIONS(12519), 1,
      sym_assign_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10374), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [508859] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9090), 1,
      sym__lowercase_identifier,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11578), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11576), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [508901] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(10636), 1,
      sym_attribute,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12219), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [508949] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12553), 1,
      anon_sym_LPAREN,
    ACTIONS(12555), 1,
      anon_sym_LBRACK,
    STATE(10637), 1,
      sym_attribute,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(12483), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12557), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12241), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [508999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8060), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8062), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509037] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10639), 1,
      sym_attribute,
    STATE(11273), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16223), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509103] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12561), 1,
      anon_sym_let,
    ACTIONS(12563), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10640), 1,
      sym_attribute,
    STATE(10805), 1,
      aux_sym_type_binding_repeat1,
    STATE(11342), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509155] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [509195] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12565), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [509237] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10643), 1,
      sym_attribute,
    STATE(11199), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16342), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509303] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12543), 1,
      anon_sym_let,
    ACTIONS(12567), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10644), 1,
      sym_attribute,
    STATE(10816), 1,
      aux_sym_type_binding_repeat1,
    STATE(11214), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12541), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509355] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(10645), 1,
      sym_attribute,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12219), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [509403] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11100), 1,
      anon_sym_DASH_GT,
    STATE(10646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10334), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11778), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11782), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11794), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8346), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509595] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10651), 1,
      sym_attribute,
    STATE(11308), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16427), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509661] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12569), 1,
      anon_sym_LPAREN,
    ACTIONS(12571), 1,
      anon_sym_LBRACK,
    STATE(10652), 1,
      sym_attribute,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(12486), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12573), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12241), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [509711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11798), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509787] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10655), 1,
      sym_attribute,
    STATE(11277), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16432), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [509853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9186), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509967] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12575), 1,
      anon_sym_COLON,
    STATE(10659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9844), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9840), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [510007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11516), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(11060), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [510083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9636), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9638), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11778), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9090), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510197] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10665), 1,
      sym_attribute,
    STATE(11279), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16774), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [510263] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12561), 1,
      anon_sym_let,
    ACTIONS(12577), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10666), 1,
      sym_attribute,
    STATE(10999), 1,
      aux_sym_type_binding_repeat1,
    STATE(11342), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510315] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8276), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8310), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510391] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8314), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510429] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12565), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(10670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [510471] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    ACTIONS(12579), 1,
      anon_sym_STAR,
    STATE(10671), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(12481), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11898), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [510523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8084), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8086), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11782), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510599] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9222), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11794), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 5,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8350), 18,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym__uppercase_identifier,
  [510713] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10677), 1,
      sym_attribute,
    STATE(11285), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17078), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [510779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12583), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12581), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11798), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510855] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(10680), 1,
      sym_attribute,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [510903] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(10681), 1,
      sym_attribute,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [510951] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10682), 1,
      sym_attribute,
    STATE(11334), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16158), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511017] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10683), 1,
      sym_attribute,
    STATE(11236), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16400), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511083] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10684), 1,
      sym_attribute,
    STATE(11287), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(15993), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511149] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12551), 1,
      aux_sym_attribute_id_token1,
    STATE(10685), 1,
      sym_attribute,
    STATE(10737), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8682), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8684), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511191] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9738), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9740), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511229] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12585), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(10687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [511271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11412), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11416), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8120), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511385] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12589), 1,
      anon_sym_let,
    ACTIONS(12591), 1,
      anon_sym_EQ,
    ACTIONS(12593), 1,
      anon_sym_COLON_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10691), 1,
      sym_attribute,
    STATE(11431), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12587), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11420), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511471] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(10693), 1,
      sym_attribute,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511519] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(10694), 1,
      sym_attribute,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11428), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12597), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12595), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511719] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(10699), 1,
      sym_attribute,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511767] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(10700), 1,
      sym_attribute,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511815] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9090), 1,
      sym__lowercase_identifier,
    STATE(10701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11578), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11576), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511857] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10702), 1,
      sym_attribute,
    STATE(11296), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16092), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [511923] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8096), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8098), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511961] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(10704), 1,
      sym_attribute,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12284), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512009] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    ACTIONS(12599), 1,
      anon_sym_STAR,
    STATE(10705), 1,
      sym_attribute,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(12491), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11898), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [512061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9724), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9726), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [512099] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(10707), 1,
      sym_attribute,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12292), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9604), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [512185] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(10709), 1,
      sym_attribute,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12284), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512233] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11947), 1,
      sym__lowercase_identifier,
    ACTIONS(11949), 1,
      anon_sym_POUND,
    STATE(10590), 1,
      sym_type_constructor_path,
    STATE(10710), 1,
      sym_attribute,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12296), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512281] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9606), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9608), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [512319] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(10712), 1,
      sym_attribute,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12292), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11448), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512405] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10714), 1,
      sym_attribute,
    STATE(11216), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16304), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [512471] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      sym__lowercase_identifier,
    ACTIONS(12043), 1,
      anon_sym_POUND,
    STATE(10614), 1,
      sym_type_constructor_path,
    STATE(10715), 1,
      sym_attribute,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12296), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512519] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_PIPE,
    STATE(10716), 1,
      sym_attribute,
    STATE(10722), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [512561] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_PIPE,
    STATE(10717), 1,
      sym_attribute,
    STATE(10723), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [512603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11062), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512641] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11448), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512719] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10721), 1,
      sym_attribute,
    STATE(11301), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16216), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [512785] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_PIPE,
    STATE(10722), 1,
      sym_attribute,
    STATE(10726), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [512827] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12601), 1,
      anon_sym_PIPE,
    STATE(10723), 1,
      sym_attribute,
    STATE(10726), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [512869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11452), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11456), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12603), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10726), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [512985] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12606), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10727), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(12267), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12265), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [513027] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10728), 1,
      sym_attribute,
    STATE(11174), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16605), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11452), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11456), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513169] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12609), 1,
      anon_sym_POUND,
    STATE(10731), 1,
      sym_attribute,
    STATE(11405), 1,
      sym_type_constructor_path,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11182), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [513217] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9092), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513255] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12489), 1,
      anon_sym_RPAREN,
    ACTIONS(12491), 1,
      anon_sym__,
    ACTIONS(12493), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10733), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17055), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8154), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513359] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12499), 1,
      anon_sym_DQUOTE,
    ACTIONS(12613), 1,
      anon_sym_let,
    STATE(10735), 1,
      sym_attribute,
    STATE(11228), 1,
      aux_sym_external_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11725), 1,
      aux_sym_expression_item_repeat1,
    STATE(12298), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513409] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9584), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9586), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513447] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12615), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10737), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8692), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8694), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513487] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    ACTIONS(12505), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12507), 1,
      sym_pow_operator,
    ACTIONS(12509), 1,
      sym_mult_operator,
    ACTIONS(12511), 1,
      sym_concat_operator,
    ACTIONS(12513), 1,
      sym_rel_operator,
    ACTIONS(12515), 1,
      sym_and_operator,
    ACTIONS(12517), 1,
      sym_or_operator,
    ACTIONS(12519), 1,
      sym_assign_operator,
    STATE(1945), 1,
      sym_add_operator,
    STATE(10738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [513547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 5,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(8342), 18,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
      sym__uppercase_identifier,
  [513585] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10740), 1,
      sym_attribute,
    STATE(11304), 1,
      sym__attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16327), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8192), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11412), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513727] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12585), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(10743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [513769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11416), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513807] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9702), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9704), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11420), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513921] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(10748), 1,
      sym_attribute,
    STATE(11443), 1,
      sym__attribute,
    STATE(12492), 1,
      sym__module_type,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [513987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9728), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9730), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [514025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11428), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514063] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514103] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12624), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10752), 1,
      sym_attribute,
    STATE(11377), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514152] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(10753), 1,
      sym_attribute,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [514199] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12626), 1,
      anon_sym_LPAREN,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12632), 1,
      anon_sym_end,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    STATE(10754), 1,
      sym_attribute,
    STATE(11470), 1,
      sym__attribute,
    STATE(12155), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [514262] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(10755), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12219), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [514309] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(10756), 1,
      sym_attribute,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [514356] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(12652), 1,
      anon_sym_of,
    ACTIONS(12654), 1,
      anon_sym_COLON2,
    STATE(10757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12648), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12646), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514399] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12656), 1,
      anon_sym_LPAREN,
    ACTIONS(12658), 1,
      anon_sym_end,
    STATE(10758), 1,
      sym_attribute,
    STATE(11610), 1,
      sym__attribute,
    STATE(11989), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [514462] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [514501] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(10760), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11652), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [514554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10324), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [514591] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12666), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10762), 1,
      sym_attribute,
    STATE(10998), 1,
      aux_sym_type_binding_repeat1,
    STATE(11229), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12664), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514640] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(10763), 1,
      sym_attribute,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [514687] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10764), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12670), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12668), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [514730] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12672), 1,
      anon_sym_LPAREN,
    ACTIONS(12674), 1,
      anon_sym_end,
    STATE(10765), 1,
      sym_attribute,
    STATE(11625), 1,
      sym__attribute,
    STATE(12045), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [514793] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10766), 1,
      sym_attribute,
    STATE(10938), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12678), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12676), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [514836] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12680), 1,
      anon_sym_LPAREN,
    ACTIONS(12682), 1,
      anon_sym_end,
    STATE(10767), 1,
      sym_attribute,
    STATE(11471), 1,
      sym__attribute,
    STATE(12232), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [514899] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12624), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10768), 1,
      sym_attribute,
    STATE(11379), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514948] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(10769), 1,
      sym_attribute,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12284), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [514995] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(10770), 1,
      sym_attribute,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12292), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [515042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3193), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3191), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [515079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10109), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10107), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [515116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10328), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [515153] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11991), 1,
      sym__lowercase_identifier,
    ACTIONS(12176), 1,
      anon_sym_POUND,
    STATE(10288), 1,
      sym_type_constructor_path,
    STATE(10774), 1,
      sym_attribute,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12296), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [515200] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(10775), 1,
      sym_attribute,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [515247] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12686), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10776), 1,
      sym_attribute,
    STATE(10781), 1,
      aux_sym_type_binding_repeat1,
    STATE(11373), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515296] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(10777), 1,
      sym_attribute,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [515343] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [515386] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    ACTIONS(12694), 1,
      anon_sym_SEMI,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    ACTIONS(12708), 1,
      sym_or_operator,
    ACTIONS(12710), 1,
      sym_assign_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(10779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [515447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12714), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12712), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515484] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10781), 1,
      sym_attribute,
    STATE(11055), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515533] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    ACTIONS(12726), 1,
      sym_rel_operator,
    ACTIONS(12728), 1,
      sym_and_operator,
    ACTIONS(12730), 1,
      sym_or_operator,
    ACTIONS(12732), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10376), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10374), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [515592] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12734), 1,
      anon_sym_LPAREN,
    ACTIONS(12736), 1,
      anon_sym_end,
    STATE(10783), 1,
      sym_attribute,
    STATE(11627), 1,
      sym__attribute,
    STATE(12077), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [515655] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12738), 1,
      aux_sym_attribute_id_token1,
    STATE(10784), 1,
      sym_attribute,
    STATE(10809), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8703), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8705), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9036), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [515733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9528), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [515770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10199), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10197), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [515807] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12742), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10788), 1,
      sym_attribute,
    STATE(10859), 1,
      aux_sym_type_binding_repeat1,
    STATE(11380), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12740), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515856] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    ACTIONS(12726), 1,
      sym_rel_operator,
    ACTIONS(12728), 1,
      sym_and_operator,
    ACTIONS(12730), 1,
      sym_or_operator,
    ACTIONS(12732), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10370), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10368), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [515915] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(10790), 1,
      sym_attribute,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [515962] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    ACTIONS(12694), 1,
      anon_sym_SEMI,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    ACTIONS(12708), 1,
      sym_or_operator,
    ACTIONS(12710), 1,
      sym_assign_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(10791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [516023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11062), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [516060] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10793), 1,
      sym_attribute,
    STATE(11056), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516109] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12744), 1,
      anon_sym_LPAREN,
    ACTIONS(12746), 1,
      anon_sym_end,
    STATE(10794), 1,
      sym_attribute,
    STATE(11473), 1,
      sym__attribute,
    STATE(11781), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [516172] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    ACTIONS(12748), 1,
      anon_sym_DASH_GT,
    ACTIONS(12750), 1,
      anon_sym_STAR,
    STATE(10795), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10336), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [516223] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(10796), 1,
      sym_attribute,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12284), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [516270] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12754), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10797), 1,
      sym_attribute,
    STATE(11348), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12752), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516319] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(10798), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [516372] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(10799), 1,
      sym_attribute,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12292), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [516419] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12758), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10800), 1,
      sym_attribute,
    STATE(11381), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12756), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516468] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10801), 1,
      sym_attribute,
    STATE(11057), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516517] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12762), 1,
      anon_sym_DASH_GT,
    ACTIONS(12764), 1,
      anon_sym_STAR,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(10802), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10336), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [516568] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12770), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10803), 1,
      sym_attribute,
    STATE(10811), 1,
      aux_sym_type_binding_repeat1,
    STATE(11146), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12768), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516617] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12772), 1,
      anon_sym_LPAREN,
    ACTIONS(12774), 1,
      anon_sym_LBRACK,
    STATE(10804), 1,
      sym_attribute,
    STATE(11916), 1,
      sym__constructor_name,
    STATE(12877), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12776), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12241), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [516666] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12780), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10805), 1,
      sym_attribute,
    STATE(11213), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12778), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516715] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(10806), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [516768] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12784), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10807), 1,
      sym_attribute,
    STATE(11233), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12782), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516817] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12790), 1,
      anon_sym_and,
    STATE(10808), 1,
      sym_attribute,
    STATE(10817), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12788), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12786), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516858] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12738), 1,
      aux_sym_attribute_id_token1,
    STATE(10809), 1,
      sym_attribute,
    STATE(10926), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8682), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8684), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516899] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12666), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10810), 1,
      sym_attribute,
    STATE(10818), 1,
      aux_sym_type_binding_repeat1,
    STATE(11229), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12664), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516948] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12794), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10811), 1,
      sym_attribute,
    STATE(11231), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12792), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516997] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12798), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10812), 1,
      sym_attribute,
    STATE(10822), 1,
      aux_sym_type_binding_repeat1,
    STATE(11244), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517046] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12798), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10752), 1,
      aux_sym_type_binding_repeat1,
    STATE(10813), 1,
      sym_attribute,
    STATE(11247), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517095] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12798), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10814), 1,
      sym_attribute,
    STATE(10824), 1,
      aux_sym_type_binding_repeat1,
    STATE(11249), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517144] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12802), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10815), 1,
      sym_attribute,
    STATE(10826), 1,
      aux_sym_type_binding_repeat1,
    STATE(11250), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12800), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517193] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12806), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10816), 1,
      sym_attribute,
    STATE(11259), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12804), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517242] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12808), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12235), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10817), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(12233), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517281] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12813), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10818), 1,
      sym_attribute,
    STATE(11372), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517330] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12686), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10819), 1,
      sym_attribute,
    STATE(10830), 1,
      aux_sym_type_binding_repeat1,
    STATE(11373), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517379] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12686), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10820), 1,
      sym_attribute,
    STATE(10831), 1,
      aux_sym_type_binding_repeat1,
    STATE(11374), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517428] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12686), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10821), 1,
      sym_attribute,
    STATE(10832), 1,
      aux_sym_type_binding_repeat1,
    STATE(11375), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517477] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12624), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10822), 1,
      sym_attribute,
    STATE(11376), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10241), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10239), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [517563] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12624), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10824), 1,
      sym_attribute,
    STATE(11379), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517612] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12742), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10825), 1,
      sym_attribute,
    STATE(10833), 1,
      aux_sym_type_binding_repeat1,
    STATE(11380), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12740), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517661] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12758), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10826), 1,
      sym_attribute,
    STATE(11381), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12756), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517710] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12817), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10827), 1,
      sym_attribute,
    STATE(10837), 1,
      aux_sym_type_binding_repeat1,
    STATE(11382), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517759] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12817), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10828), 1,
      sym_attribute,
    STATE(10838), 1,
      aux_sym_type_binding_repeat1,
    STATE(11383), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517808] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12817), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10829), 1,
      sym_attribute,
    STATE(10839), 1,
      aux_sym_type_binding_repeat1,
    STATE(11384), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517857] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10830), 1,
      sym_attribute,
    STATE(11055), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517906] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10831), 1,
      sym_attribute,
    STATE(11056), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517955] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10832), 1,
      sym_attribute,
    STATE(11057), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518004] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12821), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10833), 1,
      sym_attribute,
    STATE(11058), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518053] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12825), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10834), 1,
      sym_attribute,
    STATE(10840), 1,
      aux_sym_type_binding_repeat1,
    STATE(11059), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518102] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12825), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10835), 1,
      sym_attribute,
    STATE(10841), 1,
      aux_sym_type_binding_repeat1,
    STATE(11060), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518151] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12825), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10836), 1,
      sym_attribute,
    STATE(10842), 1,
      aux_sym_type_binding_repeat1,
    STATE(11061), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518200] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10837), 1,
      sym_attribute,
    STATE(11062), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518249] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10838), 1,
      sym_attribute,
    STATE(11063), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518298] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10839), 1,
      sym_attribute,
    STATE(11064), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518347] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10840), 1,
      sym_attribute,
    STATE(11087), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518396] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10841), 1,
      sym_attribute,
    STATE(11088), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518445] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11941), 1,
      anon_sym_constraint,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10842), 1,
      sym_attribute,
    STATE(11090), 1,
      aux_sym_expression_item_repeat1,
    STATE(11724), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518494] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12835), 1,
      anon_sym_LPAREN,
    ACTIONS(12837), 1,
      anon_sym_end,
    STATE(10843), 1,
      sym_attribute,
    STATE(11640), 1,
      sym__attribute,
    STATE(12150), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [518557] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12798), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10844), 1,
      sym_attribute,
    STATE(11020), 1,
      aux_sym_type_binding_repeat1,
    STATE(11247), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518606] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12839), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(10845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [518647] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10846), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12841), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [518690] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12845), 1,
      anon_sym_LPAREN,
    ACTIONS(12847), 1,
      anon_sym_end,
    STATE(10847), 1,
      sym_attribute,
    STATE(11561), 1,
      sym__attribute,
    STATE(11860), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [518753] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12849), 1,
      anon_sym_LPAREN,
    ACTIONS(12851), 1,
      anon_sym_end,
    STATE(10848), 1,
      sym_attribute,
    STATE(11524), 1,
      sym__attribute,
    STATE(11782), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [518816] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12853), 1,
      anon_sym_PIPE,
    STATE(10849), 1,
      sym_attribute,
    STATE(10935), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [518857] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    ACTIONS(12855), 1,
      anon_sym_STAR,
    STATE(10850), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [518906] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(10851), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [518959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8190), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [518996] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12857), 1,
      anon_sym_and,
    STATE(10853), 1,
      sym_attribute,
    STATE(10855), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12788), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12786), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519037] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12853), 1,
      anon_sym_PIPE,
    STATE(10849), 1,
      aux_sym__match_cases_repeat1,
    STATE(10854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [519078] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12859), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12235), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10855), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(12233), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519117] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11963), 1,
      sym__lowercase_identifier,
    ACTIONS(12178), 1,
      anon_sym_POUND,
    STATE(10396), 1,
      sym_type_constructor_path,
    STATE(10856), 1,
      sym_attribute,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12296), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [519164] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12862), 1,
      anon_sym_LPAREN,
    ACTIONS(12864), 1,
      anon_sym_end,
    STATE(10857), 1,
      sym_attribute,
    STATE(11624), 1,
      sym__attribute,
    STATE(12038), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [519227] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12853), 1,
      anon_sym_PIPE,
    STATE(10858), 1,
      sym_attribute,
    STATE(10935), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [519268] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12821), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10859), 1,
      sym_attribute,
    STATE(11058), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519317] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12866), 1,
      anon_sym_LPAREN,
    ACTIONS(12868), 1,
      anon_sym_end,
    STATE(10860), 1,
      sym_attribute,
    STATE(11684), 1,
      sym__attribute,
    STATE(12203), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [519380] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12825), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10861), 1,
      sym_attribute,
    STATE(10925), 1,
      aux_sym_type_binding_repeat1,
    STATE(11059), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519429] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10862), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12872), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12870), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [519472] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12874), 1,
      anon_sym_LPAREN,
    ACTIONS(12876), 1,
      anon_sym_end,
    STATE(10863), 1,
      sym_attribute,
    STATE(11476), 1,
      sym__attribute,
    STATE(11806), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [519535] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12825), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10864), 1,
      sym_attribute,
    STATE(10928), 1,
      aux_sym_type_binding_repeat1,
    STATE(11060), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519584] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12878), 1,
      anon_sym_LPAREN,
    ACTIONS(12880), 1,
      anon_sym_end,
    STATE(10865), 1,
      sym_attribute,
    STATE(11754), 1,
      sym__attribute,
    STATE(12356), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [519647] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12882), 1,
      anon_sym_LPAREN,
    ACTIONS(12884), 1,
      anon_sym_LBRACK,
    STATE(10866), 1,
      sym_attribute,
    STATE(11942), 1,
      sym__constructor_name,
    STATE(12880), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(12241), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [519696] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12399), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12888), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10867), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [519737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10075), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10073), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [519774] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12825), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10869), 1,
      sym_attribute,
    STATE(10937), 1,
      aux_sym_type_binding_repeat1,
    STATE(11061), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10268), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [519860] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12891), 1,
      anon_sym_LPAREN,
    ACTIONS(12893), 1,
      anon_sym_end,
    STATE(10871), 1,
      sym_attribute,
    STATE(11607), 1,
      sym__attribute,
    STATE(11980), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [519923] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10764), 1,
      aux_sym_expression_item_repeat1,
    STATE(10872), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12897), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12895), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [519966] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12798), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10873), 1,
      sym_attribute,
    STATE(10956), 1,
      aux_sym_type_binding_repeat1,
    STATE(11244), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520015] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12399), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12899), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10874), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [520056] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12902), 1,
      anon_sym_LPAREN,
    ACTIONS(12904), 1,
      anon_sym_end,
    STATE(10875), 1,
      sym_attribute,
    STATE(11630), 1,
      sym__attribute,
    STATE(12092), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [520119] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12839), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(10876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [520160] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [520209] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    ACTIONS(12708), 1,
      sym_or_operator,
    ACTIONS(12710), 1,
      sym_assign_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(10878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [520268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10203), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10201), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [520305] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12853), 1,
      anon_sym_PIPE,
    STATE(10858), 1,
      aux_sym__match_cases_repeat1,
    STATE(10880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [520346] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    ACTIONS(12726), 1,
      sym_rel_operator,
    ACTIONS(12728), 1,
      sym_and_operator,
    ACTIONS(12730), 1,
      sym_or_operator,
    ACTIONS(12732), 1,
      sym_assign_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10364), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [520405] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9220), 1,
      sym__lowercase_identifier,
    ACTIONS(12345), 1,
      anon_sym_COLON2,
    STATE(10882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11518), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11516), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [520448] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12686), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10801), 1,
      aux_sym_type_binding_repeat1,
    STATE(10883), 1,
      sym_attribute,
    STATE(11375), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520497] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10884), 1,
      sym_attribute,
    STATE(11062), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520546] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12906), 1,
      anon_sym_POUND,
    STATE(10885), 1,
      sym_attribute,
    STATE(11522), 1,
      sym_type_constructor_path,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [520593] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10886), 1,
      sym_attribute,
    STATE(11063), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11898), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11584), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520679] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12908), 1,
      anon_sym_LPAREN,
    ACTIONS(12910), 1,
      anon_sym_end,
    STATE(10888), 1,
      sym_attribute,
    STATE(11593), 1,
      sym__attribute,
    STATE(11938), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [520742] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10889), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12914), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12912), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [520785] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10890), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12918), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12916), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [520828] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10891), 1,
      sym_attribute,
    STATE(11048), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12922), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12920), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [520871] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [520920] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12924), 1,
      anon_sym_LPAREN,
    ACTIONS(12926), 1,
      anon_sym_end,
    STATE(10893), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__attribute,
    STATE(12263), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [520983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10179), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10177), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [521020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8340), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [521057] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10896), 1,
      sym_attribute,
    STATE(11064), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10167), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10165), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [521143] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    ACTIONS(12726), 1,
      sym_rel_operator,
    ACTIONS(12728), 1,
      sym_and_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [521196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12930), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12928), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521233] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12932), 1,
      anon_sym_LPAREN,
    ACTIONS(12934), 1,
      anon_sym_end,
    STATE(10900), 1,
      sym_attribute,
    STATE(11510), 1,
      sym__attribute,
    STATE(12262), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [521296] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12798), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10768), 1,
      aux_sym_type_binding_repeat1,
    STATE(10901), 1,
      sym_attribute,
    STATE(11249), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10229), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10227), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [521382] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11496), 1,
      anon_sym_STAR,
    STATE(10903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [521421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10149), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10147), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [521458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10225), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10223), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [521495] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10906), 1,
      sym_attribute,
    STATE(10941), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12938), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12936), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [521538] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12940), 1,
      anon_sym_LPAREN,
    ACTIONS(12942), 1,
      anon_sym_end,
    STATE(10907), 1,
      sym_attribute,
    STATE(11727), 1,
      sym__attribute,
    STATE(12260), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [521601] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12944), 1,
      anon_sym_LPAREN,
    ACTIONS(12946), 1,
      anon_sym_end,
    STATE(10908), 1,
      sym_attribute,
    STATE(11736), 1,
      sym__attribute,
    STATE(12267), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [521664] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(10909), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [521717] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12948), 1,
      anon_sym_LPAREN,
    ACTIONS(12950), 1,
      anon_sym_end,
    STATE(10910), 1,
      sym_attribute,
    STATE(11746), 1,
      sym__attribute,
    STATE(12303), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [521780] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12952), 1,
      anon_sym_LPAREN,
    ACTIONS(12954), 1,
      anon_sym_end,
    STATE(10911), 1,
      sym_attribute,
    STATE(11690), 1,
      sym__attribute,
    STATE(12233), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [521843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10171), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10169), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [521880] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12802), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10800), 1,
      aux_sym_type_binding_repeat1,
    STATE(10913), 1,
      sym_attribute,
    STATE(11250), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12800), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [521966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10175), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10173), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [522003] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(10916), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12219), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522050] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [522089] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12956), 1,
      anon_sym_LPAREN,
    ACTIONS(12958), 1,
      anon_sym_end,
    STATE(10918), 1,
      sym_attribute,
    STATE(11500), 1,
      sym__attribute,
    STATE(12231), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [522152] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12817), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10896), 1,
      aux_sym_type_binding_repeat1,
    STATE(10919), 1,
      sym_attribute,
    STATE(11384), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522201] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12960), 1,
      anon_sym_LPAREN,
    ACTIONS(12962), 1,
      anon_sym_end,
    STATE(10920), 1,
      sym_attribute,
    STATE(11472), 1,
      sym__attribute,
    STATE(12261), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [522264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7941), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(7943), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522301] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    ACTIONS(12726), 1,
      sym_rel_operator,
    ACTIONS(12728), 1,
      sym_and_operator,
    ACTIONS(12730), 1,
      sym_or_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [522358] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    ACTIONS(12726), 1,
      sym_rel_operator,
    ACTIONS(12728), 1,
      sym_and_operator,
    ACTIONS(12730), 1,
      sym_or_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10364), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [522413] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    STATE(10924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [522452] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10925), 1,
      sym_attribute,
    STATE(11087), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522501] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12964), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10926), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8692), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8694), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522540] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12967), 1,
      anon_sym_LPAREN,
    ACTIONS(12969), 1,
      anon_sym_end,
    STATE(10927), 1,
      sym_attribute,
    STATE(11477), 1,
      sym__attribute,
    STATE(11850), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [522603] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10928), 1,
      sym_attribute,
    STATE(11088), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12973), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12971), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522689] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [522736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9028), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [522773] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12975), 1,
      anon_sym_LPAREN,
    ACTIONS(12977), 1,
      anon_sym_end,
    STATE(10932), 1,
      sym_attribute,
    STATE(11603), 1,
      sym__attribute,
    STATE(11973), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [522836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8192), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [522873] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(10934), 1,
      sym_attribute,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12219), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [522920] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12979), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10935), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [522959] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12686), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10793), 1,
      aux_sym_type_binding_repeat1,
    STATE(10936), 1,
      sym_attribute,
    STATE(11374), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523008] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10937), 1,
      sym_attribute,
    STATE(11090), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523057] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10938), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12984), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12982), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [523100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8052), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(8054), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523137] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(10940), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11158), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [523184] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10941), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12988), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(12986), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [523227] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12990), 1,
      anon_sym_LPAREN,
    ACTIONS(12992), 1,
      anon_sym_end,
    STATE(10942), 1,
      sym_attribute,
    STATE(11494), 1,
      sym__attribute,
    STATE(12157), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [523290] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12994), 1,
      anon_sym_LPAREN,
    ACTIONS(12996), 1,
      anon_sym_end,
    STATE(10943), 1,
      sym_attribute,
    STATE(11481), 1,
      sym__attribute,
    STATE(11873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [523353] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(12998), 1,
      anon_sym_LPAREN,
    ACTIONS(13000), 1,
      anon_sym_end,
    STATE(10944), 1,
      sym_attribute,
    STATE(11739), 1,
      sym__attribute,
    STATE(12288), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [523416] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10846), 1,
      aux_sym_expression_item_repeat1,
    STATE(10945), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13004), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13002), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [523459] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(13012), 1,
      anon_sym_of,
    ACTIONS(13014), 1,
      anon_sym_COLON2,
    STATE(10946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13008), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13006), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523502] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(10947), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [523555] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(13022), 1,
      anon_sym_of,
    ACTIONS(13024), 1,
      anon_sym_COLON2,
    STATE(10948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13018), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523598] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13026), 1,
      anon_sym_LPAREN,
    ACTIONS(13028), 1,
      anon_sym_end,
    STATE(10949), 1,
      sym_attribute,
    STATE(11758), 1,
      sym__attribute,
    STATE(12352), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [523661] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12794), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10950), 1,
      sym_attribute,
    STATE(11231), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12792), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523710] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    ACTIONS(13030), 1,
      anon_sym_STAR,
    STATE(10951), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [523759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10153), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10151), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [523796] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(10953), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12219), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [523843] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10889), 1,
      aux_sym_expression_item_repeat1,
    STATE(10954), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13034), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13032), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [523886] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(13036), 1,
      anon_sym_of,
    ACTIONS(13038), 1,
      anon_sym_COLON2,
    STATE(10955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12648), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12646), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523929] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12624), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10956), 1,
      sym_attribute,
    STATE(11376), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523978] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10862), 1,
      aux_sym_expression_item_repeat1,
    STATE(10957), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13042), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13040), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [524021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8350), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [524058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8342), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [524095] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12806), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10960), 1,
      sym_attribute,
    STATE(11259), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12804), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524144] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(10961), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11158), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [524191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10133), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10131), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [524228] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(10963), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11582), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [524281] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13044), 1,
      anon_sym_LPAREN,
    ACTIONS(13046), 1,
      anon_sym_end,
    STATE(10964), 1,
      sym_attribute,
    STATE(11609), 1,
      sym__attribute,
    STATE(11984), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524344] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13048), 1,
      anon_sym_LPAREN,
    ACTIONS(13050), 1,
      anon_sym_end,
    STATE(10965), 1,
      sym_attribute,
    STATE(11761), 1,
      sym__attribute,
    STATE(12366), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524407] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13052), 1,
      anon_sym_LPAREN,
    ACTIONS(13054), 1,
      anon_sym_end,
    STATE(10966), 1,
      sym_attribute,
    STATE(11634), 1,
      sym__attribute,
    STATE(12119), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524470] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11772), 1,
      anon_sym_STAR,
    STATE(10967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11112), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11110), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524509] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10890), 1,
      aux_sym_expression_item_repeat1,
    STATE(10968), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13058), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13056), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [524552] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11826), 1,
      anon_sym_STAR,
    STATE(10969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [524591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10233), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10231), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [524628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8048), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11062), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524702] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(13060), 1,
      anon_sym_of,
    ACTIONS(13062), 1,
      anon_sym_COLON2,
    STATE(10973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13008), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13006), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524745] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(13064), 1,
      anon_sym_of,
    ACTIONS(13066), 1,
      anon_sym_COLON2,
    STATE(10974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13018), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524788] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12770), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10950), 1,
      aux_sym_type_binding_repeat1,
    STATE(10975), 1,
      sym_attribute,
    STATE(11146), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12768), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10237), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10235), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [524874] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13068), 1,
      anon_sym_LPAREN,
    ACTIONS(13070), 1,
      anon_sym_end,
    STATE(10977), 1,
      sym_attribute,
    STATE(11747), 1,
      sym__attribute,
    STATE(12304), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [524937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10280), 13,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [524974] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13072), 1,
      anon_sym_LPAREN,
    ACTIONS(13074), 1,
      anon_sym_end,
    STATE(10979), 1,
      sym_attribute,
    STATE(11582), 1,
      sym__attribute,
    STATE(11894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525037] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13076), 1,
      anon_sym_LPAREN,
    ACTIONS(13078), 1,
      anon_sym_end,
    STATE(10980), 1,
      sym_attribute,
    STATE(11628), 1,
      sym__attribute,
    STATE(12149), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525100] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13080), 1,
      anon_sym_LPAREN,
    ACTIONS(13082), 1,
      anon_sym_end,
    STATE(10981), 1,
      sym_attribute,
    STATE(11589), 1,
      sym__attribute,
    STATE(11939), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525163] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10366), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [525204] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    ACTIONS(12726), 1,
      sym_rel_operator,
    ACTIONS(12728), 1,
      sym_and_operator,
    ACTIONS(12730), 1,
      sym_or_operator,
    ACTIONS(12732), 1,
      sym_assign_operator,
    ACTIONS(13084), 1,
      anon_sym_SEMI,
    STATE(2191), 1,
      sym_add_operator,
    STATE(10983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10318), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10316), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [525265] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13086), 1,
      anon_sym_LPAREN,
    ACTIONS(13088), 1,
      anon_sym_end,
    STATE(10984), 1,
      sym_attribute,
    STATE(11499), 1,
      sym__attribute,
    STATE(12197), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525328] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13090), 1,
      anon_sym_LPAREN,
    ACTIONS(13092), 1,
      anon_sym_end,
    STATE(10985), 1,
      sym_attribute,
    STATE(11588), 1,
      sym__attribute,
    STATE(11928), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525391] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13094), 1,
      anon_sym_LPAREN,
    ACTIONS(13096), 1,
      anon_sym_end,
    STATE(10986), 1,
      sym_attribute,
    STATE(11614), 1,
      sym__attribute,
    STATE(12013), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525454] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(10987), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11592), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [525507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10157), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10155), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [525544] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2129), 1,
      sym_add_operator,
    STATE(10989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [525583] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(10990), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13100), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13098), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [525626] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13102), 1,
      anon_sym_LPAREN,
    ACTIONS(13104), 1,
      anon_sym_end,
    STATE(10991), 1,
      sym_attribute,
    STATE(11469), 1,
      sym__attribute,
    STATE(11872), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [525689] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    ACTIONS(12708), 1,
      sym_or_operator,
    ACTIONS(12710), 1,
      sym_assign_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(10992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [525748] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_STAR,
    STATE(10993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11112), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11110), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8692), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8694), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [525824] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13106), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(10995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [525865] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(13108), 1,
      anon_sym_POUND,
    STATE(10996), 1,
      sym_attribute,
    STATE(11487), 1,
      sym_type_constructor_path,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [525912] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(10997), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11652), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [525965] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12813), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10998), 1,
      sym_attribute,
    STATE(11372), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526014] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12780), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10999), 1,
      sym_attribute,
    STATE(11213), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12778), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526063] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12754), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11000), 1,
      sym_attribute,
    STATE(11348), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12752), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10213), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10211), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [526149] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    ACTIONS(12708), 1,
      sym_or_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [526206] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [526253] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12698), 1,
      sym_pow_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [526294] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12698), 1,
      sym_pow_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [526335] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [526384] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [526433] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [526486] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    ACTIONS(12708), 1,
      sym_or_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [526541] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    ACTIONS(12708), 1,
      sym_or_operator,
    ACTIONS(12710), 1,
      sym_assign_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [526600] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [526643] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    ACTIONS(12708), 1,
      sym_or_operator,
    ACTIONS(12710), 1,
      sym_assign_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [526702] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11013), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11582), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [526755] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11014), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11592), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [526808] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12817), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10884), 1,
      aux_sym_type_binding_repeat1,
    STATE(11015), 1,
      sym_attribute,
    STATE(11382), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526857] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9220), 1,
      sym__lowercase_identifier,
    ACTIONS(12345), 1,
      anon_sym_COLON2,
    STATE(11016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11518), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11516), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [526900] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    ACTIONS(12694), 1,
      anon_sym_SEMI,
    ACTIONS(12696), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12698), 1,
      sym_pow_operator,
    ACTIONS(12700), 1,
      sym_mult_operator,
    ACTIONS(12702), 1,
      sym_concat_operator,
    ACTIONS(12704), 1,
      sym_rel_operator,
    ACTIONS(12706), 1,
      sym_and_operator,
    ACTIONS(12708), 1,
      sym_or_operator,
    ACTIONS(12710), 1,
      sym_assign_operator,
    STATE(2129), 1,
      sym_add_operator,
    STATE(11017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [526961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10183), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10181), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [526998] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13110), 1,
      anon_sym_LPAREN,
    ACTIONS(13112), 1,
      anon_sym_end,
    STATE(11019), 1,
      sym_attribute,
    STATE(11492), 1,
      sym__attribute,
    STATE(12152), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527061] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12624), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11020), 1,
      sym_attribute,
    STATE(11377), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10187), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10185), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [527147] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13114), 1,
      anon_sym_LPAREN,
    ACTIONS(13116), 1,
      anon_sym_end,
    STATE(11022), 1,
      sym_attribute,
    STATE(11573), 1,
      sym__attribute,
    STATE(11874), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [527210] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13118), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(11023), 1,
      sym_attribute,
    STATE(11025), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12441), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527253] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12449), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13118), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(11024), 1,
      sym_attribute,
    STATE(11026), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12447), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527296] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12453), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13118), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10867), 1,
      aux_sym_type_binding_repeat1,
    STATE(11025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12451), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527339] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12457), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13118), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10867), 1,
      aux_sym_type_binding_repeat1,
    STATE(11026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8348), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [527419] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12443), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13120), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(11028), 1,
      sym_attribute,
    STATE(11030), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12441), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527462] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12449), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13120), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(11029), 1,
      sym_attribute,
    STATE(11031), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12447), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527505] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12453), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13120), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10874), 1,
      aux_sym_type_binding_repeat1,
    STATE(11030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12451), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527548] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12457), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13120), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10874), 1,
      aux_sym_type_binding_repeat1,
    STATE(11031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [527591] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12817), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(10886), 1,
      aux_sym_type_binding_repeat1,
    STATE(11032), 1,
      sym_attribute,
    STATE(11383), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527640] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12790), 1,
      anon_sym_and,
    STATE(10808), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13124), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13122), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527681] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13106), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(11034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [527722] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11999), 1,
      anon_sym_constraint,
    ACTIONS(12784), 1,
      anon_sym_let,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11035), 1,
      sym_attribute,
    STATE(11233), 1,
      aux_sym_expression_item_repeat1,
    STATE(11639), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12782), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527771] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11036), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [527824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9034), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9032), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [527861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8050), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [527898] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12857), 1,
      anon_sym_and,
    STATE(10853), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13124), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13122), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527939] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12644), 1,
      anon_sym_PERCENT,
    ACTIONS(13126), 1,
      anon_sym_LPAREN,
    ACTIONS(13128), 1,
      anon_sym_end,
    STATE(11040), 1,
      sym_attribute,
    STATE(11750), 1,
      sym__attribute,
    STATE(12323), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [528002] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2191), 1,
      sym_add_operator,
    STATE(11041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [528041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10217), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10215), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10191), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10189), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10195), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10193), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10257), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528189] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    STATE(2191), 1,
      sym_add_operator,
    STATE(11046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10366), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [528230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10221), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10219), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528267] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11048), 1,
      sym_attribute,
    STATE(11329), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13132), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13130), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [528310] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    ACTIONS(12726), 1,
      sym_rel_operator,
    ACTIONS(12728), 1,
      sym_and_operator,
    ACTIONS(12730), 1,
      sym_or_operator,
    ACTIONS(12732), 1,
      sym_assign_operator,
    ACTIONS(13084), 1,
      anon_sym_SEMI,
    STATE(2191), 1,
      sym_add_operator,
    STATE(11049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [528371] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12688), 1,
      sym_pow_operator,
    ACTIONS(12690), 1,
      sym_mult_operator,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12724), 1,
      sym_concat_operator,
    ACTIONS(12726), 1,
      sym_rel_operator,
    ACTIONS(12728), 1,
      sym_and_operator,
    ACTIONS(12730), 1,
      sym_or_operator,
    ACTIONS(12732), 1,
      sym_assign_operator,
    ACTIONS(13084), 1,
      anon_sym_SEMI,
    STATE(2191), 1,
      sym_add_operator,
    STATE(11050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [528432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11416), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [528468] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13134), 1,
      anon_sym_DASH_GT,
    ACTIONS(13136), 1,
      anon_sym_functor,
    STATE(10044), 1,
      sym__module_type,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11052), 1,
      sym_attribute,
    STATE(15925), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [528528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9090), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528600] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13140), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528642] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13140), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528684] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13140), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528726] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13144), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528768] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528810] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528852] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12833), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528894] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13148), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528936] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13148), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528978] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13148), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529020] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(11065), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12284), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [529066] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(11066), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12292), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [529112] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13152), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11067), 1,
      sym_attribute,
    STATE(11092), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13150), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529154] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13156), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529196] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13160), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11069), 1,
      sym_attribute,
    STATE(11094), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13158), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529238] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13164), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11070), 1,
      sym_attribute,
    STATE(11095), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529280] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13168), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11071), 1,
      sym_attribute,
    STATE(11294), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13166), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529322] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13172), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13170), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529364] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13176), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11073), 1,
      sym_attribute,
    STATE(11097), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529406] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13180), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529484] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11076), 1,
      sym_attribute,
    STATE(15151), 1,
      sym__module_type,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [529544] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13184), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13182), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529586] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6799), 1,
      anon_sym_let,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6797), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529628] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12754), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12752), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529670] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13188), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13186), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9090), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9090), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [529784] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13192), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11083), 1,
      sym_attribute,
    STATE(11300), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13190), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11448), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529862] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13196), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13194), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11452), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529940] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13200), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529982] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13200), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13202), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530060] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13200), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530102] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(11091), 1,
      sym_attribute,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12296), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530148] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13208), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530190] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13212), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11093), 1,
      sym_attribute,
    STATE(11106), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13210), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530232] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13216), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13214), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530274] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13220), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530316] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13224), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11096), 1,
      sym_attribute,
    STATE(11108), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13222), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530358] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13228), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530400] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13232), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11098), 1,
      sym_attribute,
    STATE(11109), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13230), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530442] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11099), 1,
      sym_attribute,
    STATE(11110), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530484] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13238), 1,
      sym__lowercase_identifier,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_DASH_GT,
    ACTIONS(13244), 1,
      anon_sym_module,
    ACTIONS(13246), 1,
      anon_sym_sig,
    ACTIONS(13248), 1,
      anon_sym_functor,
    ACTIONS(13250), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11100), 1,
      sym_attribute,
    STATE(14464), 1,
      sym__module_type,
    STATE(15742), 1,
      aux_sym_module_binding_repeat1,
    STATE(18163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14565), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [530544] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13254), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11456), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [530622] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13258), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11103), 1,
      sym_attribute,
    STATE(11112), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13256), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530664] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13262), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13260), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530706] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13266), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530748] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13270), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13268), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530790] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13274), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11107), 1,
      sym_attribute,
    STATE(11119), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13272), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530832] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13278), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13276), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530874] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13282), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13280), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530916] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13286), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13284), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530958] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13290), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11111), 1,
      sym_attribute,
    STATE(11120), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13288), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531000] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13294), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531042] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13298), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11113), 1,
      sym_attribute,
    STATE(11121), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13296), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531084] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13302), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531126] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13306), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13304), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531168] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11116), 1,
      sym_attribute,
    STATE(15160), 1,
      sym__module_type,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [531228] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13310), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11117), 1,
      sym_attribute,
    STATE(11122), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13308), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531270] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13314), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13312), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531312] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13318), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13316), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531354] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13322), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13320), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531396] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13326), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13324), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531438] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13330), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13328), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531480] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13334), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11123), 1,
      sym_attribute,
    STATE(11124), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13332), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531522] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13338), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13336), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11516), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531600] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13342), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11126), 1,
      sym_attribute,
    STATE(11326), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13340), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531642] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11127), 1,
      sym_attribute,
    STATE(12402), 1,
      sym__module_type,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [531702] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13346), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11128), 1,
      sym_attribute,
    STATE(11327), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13344), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531744] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13350), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13348), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531786] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(11130), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [531832] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(11131), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [531878] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(11132), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [531924] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(11133), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12284), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [531970] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(11134), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12292), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [532016] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12300), 1,
      sym__lowercase_identifier,
    ACTIONS(12302), 1,
      anon_sym_POUND,
    STATE(11135), 1,
      sym_attribute,
    STATE(11339), 1,
      sym_type_constructor_path,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12296), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [532062] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12033), 1,
      anon_sym_COLON2,
    STATE(11136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532100] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13352), 1,
      anon_sym_DASH_GT,
    ACTIONS(13354), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11137), 1,
      sym_attribute,
    STATE(11404), 1,
      sym__module_type,
    STATE(15918), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [532160] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12059), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12057), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532202] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13356), 1,
      anon_sym_COLON2,
    STATE(11139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532240] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6889), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6887), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532354] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [532392] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13238), 1,
      sym__lowercase_identifier,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_DASH_GT,
    ACTIONS(13244), 1,
      anon_sym_module,
    ACTIONS(13246), 1,
      anon_sym_sig,
    ACTIONS(13248), 1,
      anon_sym_functor,
    ACTIONS(13250), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11144), 1,
      sym_attribute,
    STATE(14486), 1,
      sym__module_type,
    STATE(15742), 1,
      aux_sym_module_binding_repeat1,
    STATE(18163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14565), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [532452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10280), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532488] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12794), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12792), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532530] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12033), 1,
      anon_sym_COLON2,
    STATE(11147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532568] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13238), 1,
      sym__lowercase_identifier,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_DASH_GT,
    ACTIONS(13244), 1,
      anon_sym_module,
    ACTIONS(13246), 1,
      anon_sym_sig,
    ACTIONS(13248), 1,
      anon_sym_functor,
    ACTIONS(13250), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11148), 1,
      sym_attribute,
    STATE(14487), 1,
      sym__module_type,
    STATE(15742), 1,
      aux_sym_module_binding_repeat1,
    STATE(18163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14565), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [532628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11572), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11598), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11516), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11576), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532772] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13238), 1,
      sym__lowercase_identifier,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_DASH_GT,
    ACTIONS(13244), 1,
      anon_sym_module,
    ACTIONS(13246), 1,
      anon_sym_sig,
    ACTIONS(13248), 1,
      anon_sym_functor,
    ACTIONS(13250), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11153), 1,
      sym_attribute,
    STATE(14378), 1,
      sym__module_type,
    STATE(15742), 1,
      aux_sym_module_binding_repeat1,
    STATE(18163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14565), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [532832] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13358), 1,
      anon_sym_COLON2,
    STATE(11154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13362), 1,
      anon_sym_let,
    STATE(11155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13360), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8692), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8694), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [532942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11632), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532978] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [533034] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [533080] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13368), 1,
      sym_pow_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [533120] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13368), 1,
      sym_pow_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [533160] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [533208] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [533256] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [533308] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [533362] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [533420] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [533462] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [533520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11778), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533556] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13238), 1,
      sym__lowercase_identifier,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_DASH_GT,
    ACTIONS(13244), 1,
      anon_sym_module,
    ACTIONS(13246), 1,
      anon_sym_sig,
    ACTIONS(13248), 1,
      anon_sym_functor,
    ACTIONS(13250), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11170), 1,
      sym_attribute,
    STATE(14382), 1,
      sym__module_type,
    STATE(15742), 1,
      aux_sym_module_binding_repeat1,
    STATE(18163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14565), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [533616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11412), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [533652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11416), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [533688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11420), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [533724] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11174), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17082), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [533784] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(13382), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [533844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11428), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [533880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [533916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11782), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11636), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [533988] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11180), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16013), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [534048] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11181), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16073), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [534108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8050), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [534144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11794), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534180] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11868), 1,
      anon_sym_DASH_GT,
    STATE(11184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10334), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [534254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11572), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11798), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534362] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(11189), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534408] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(11190), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11598), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12597), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12595), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [534526] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(11193), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534572] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(11194), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12284), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534618] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(11195), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12292), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11632), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534700] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    ACTIONS(12276), 1,
      anon_sym_POUND,
    STATE(11197), 1,
      sym_attribute,
    STATE(11207), 1,
      sym_type_constructor_path,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12296), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534782] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11199), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16497), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [534842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11572), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      sym__lowercase_identifier,
    STATE(11201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12341), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12343), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [534918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11598), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11516), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534990] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9590), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9592), 12,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [535026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11632), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11636), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11636), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535134] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11951), 1,
      anon_sym_STAR,
    STATE(11208), 1,
      sym_attribute,
    STATE(11209), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535174] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13388), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12219), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11209), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535212] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11210), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16161), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [535272] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13393), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13391), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535314] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9090), 1,
      sym__lowercase_identifier,
    STATE(11212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11578), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11576), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [535354] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13397), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13395), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535396] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12806), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12804), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535438] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11215), 1,
      sym_attribute,
    STATE(15136), 1,
      sym__module_type,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [535498] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11216), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16401), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [535558] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(13399), 1,
      anon_sym_of,
    ACTIONS(13401), 1,
      anon_sym_COLON2,
    STATE(11217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13008), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13006), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535600] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(13403), 1,
      anon_sym_of,
    ACTIONS(13405), 1,
      anon_sym_COLON2,
    STATE(11218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13018), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13016), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11684), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [535678] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(13407), 1,
      anon_sym_of,
    ACTIONS(13409), 1,
      anon_sym_COLON2,
    STATE(11220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12648), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12646), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535720] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    ACTIONS(13411), 1,
      anon_sym_STAR,
    STATE(11221), 1,
      sym_attribute,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(13231), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11898), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [535770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [535806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8192), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [535842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11684), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535914] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    STATE(11226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(10161), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [535952] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11227), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16055), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [536012] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13417), 1,
      anon_sym_DQUOTE,
    STATE(12298), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13415), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11228), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(13413), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536052] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12813), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536094] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11442), 1,
      anon_sym_DASH_GT,
    STATE(11230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [536132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13422), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13420), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536174] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13426), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13424), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536216] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13430), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13428), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13432), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536294] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13438), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11235), 1,
      sym_attribute,
    STATE(11261), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13436), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536336] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11236), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16458), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [536396] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13442), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11237), 1,
      sym_attribute,
    STATE(11263), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13440), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536438] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13446), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13444), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11700), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11716), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13450), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11684), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536624] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [536682] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12624), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536760] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11246), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16836), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [536820] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12624), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9090), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536898] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12624), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536940] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12758), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12756), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536982] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11251), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16745), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [537042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11700), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11716), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537114] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11254), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(15947), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [537174] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11900), 1,
      anon_sym_STAR,
    STATE(11255), 1,
      sym_attribute,
    STATE(11256), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537214] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13452), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12219), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11256), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537252] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11257), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16736), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [537312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11700), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [537348] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13457), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13455), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537390] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13461), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11260), 1,
      sym_attribute,
    STATE(11386), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13459), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537432] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13465), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13463), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11716), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [537510] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13469), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13467), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11448), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [537588] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11265), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16006), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [537648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11452), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [537684] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(13471), 1,
      anon_sym_of,
    ACTIONS(13473), 1,
      anon_sym_COLON2,
    STATE(11267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13008), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13006), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537726] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(13475), 1,
      anon_sym_of,
    ACTIONS(13477), 1,
      anon_sym_COLON2,
    STATE(11268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13018), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13016), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11456), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [537804] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(13479), 1,
      anon_sym_of,
    ACTIONS(13481), 1,
      anon_sym_COLON2,
    STATE(11270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12648), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12646), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537846] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11808), 1,
      anon_sym_DASH_GT,
    STATE(11271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [537884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11412), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537920] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11273), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16267), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [537980] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(11274), 1,
      sym_attribute,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11758), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [538026] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(11275), 1,
      sym_attribute,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11776), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [538072] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9090), 1,
      sym__lowercase_identifier,
    STATE(11276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(11578), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11576), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [538112] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11277), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16493), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [538172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8190), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538208] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11279), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16830), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [538268] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13485), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13483), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538310] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13485), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13483), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538352] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13489), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13487), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8348), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538430] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(13382), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [538490] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11285), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17173), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [538550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11416), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538586] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11287), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16016), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [538646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11420), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11428), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13493), 1,
      anon_sym_let,
    STATE(11291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13491), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538790] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11292), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16588), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [538850] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13497), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11293), 1,
      sym_attribute,
    STATE(11398), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13495), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538892] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13501), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13499), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538934] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7023), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7021), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538976] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11296), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16119), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [539036] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13238), 1,
      sym__lowercase_identifier,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_DASH_GT,
    ACTIONS(13244), 1,
      anon_sym_module,
    ACTIONS(13246), 1,
      anon_sym_sig,
    ACTIONS(13248), 1,
      anon_sym_functor,
    ACTIONS(13250), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11297), 1,
      sym_attribute,
    STATE(14554), 1,
      sym__module_type,
    STATE(15742), 1,
      aux_sym_module_binding_repeat1,
    STATE(18163), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14565), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [539096] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(13382), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [539156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539192] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13505), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539234] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11301), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16242), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [539294] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13509), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11302), 1,
      sym_attribute,
    STATE(11413), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13507), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539336] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13513), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11303), 1,
      sym_attribute,
    STATE(11414), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13511), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539378] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11304), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16355), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [539438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8190), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [539474] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(11306), 1,
      sym_attribute,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [539520] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(11307), 1,
      sym_attribute,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [539566] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11308), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16448), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [539626] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13517), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13515), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11778), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11782), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539740] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(11312), 1,
      sym_attribute,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [539786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11794), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11652), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11650), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539858] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11315), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16548), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [539918] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(11316), 1,
      sym_attribute,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12284), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [539964] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(11317), 1,
      sym_attribute,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12292), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [540010] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12278), 1,
      sym__lowercase_identifier,
    ACTIONS(12280), 1,
      anon_sym_POUND,
    STATE(11206), 1,
      sym_type_constructor_path,
    STATE(11318), 1,
      sym_attribute,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12296), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [540056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11798), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [540092] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11320), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16706), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [540152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11576), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [540188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8340), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13521), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13519), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8348), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8340), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540332] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13525), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13523), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540374] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13529), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540416] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13533), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11328), 1,
      sym_attribute,
    STATE(11419), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13531), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12549), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12547), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [540494] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11330), 1,
      sym_attribute,
    STATE(15078), 1,
      sym__module_type,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [540554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12583), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12581), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [540590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8048), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540662] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11334), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(16723), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [540722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11498), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11572), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11598), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11632), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11636), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [540938] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_DASH_GT,
    STATE(11341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10334), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540976] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12780), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12778), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11684), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11412), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [541090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11398), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11700), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11716), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541198] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13537), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13535), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541240] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12784), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12782), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541282] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13541), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11238), 1,
      aux_sym_expression_item_repeat1,
    STATE(11350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13539), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541324] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13352), 1,
      anon_sym_DASH_GT,
    ACTIONS(13354), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11351), 1,
      sym_attribute,
    STATE(11613), 1,
      sym__module_type,
    STATE(15918), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [541384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11416), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [541420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11778), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11782), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11794), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11798), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11420), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [541600] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11358), 1,
      sym_attribute,
    STATE(12334), 1,
      sym__module_type,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [541660] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13545), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13543), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541702] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11360), 1,
      sym_attribute,
    STATE(12165), 1,
      sym__module_type,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [541762] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11361), 1,
      sym_attribute,
    STATE(12167), 1,
      sym__module_type,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [541822] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    ACTIONS(13547), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11342), 1,
      aux_sym_expression_item_repeat1,
    STATE(11362), 1,
      sym_attribute,
    STATE(11648), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [541870] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11363), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(15761), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [541930] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11364), 1,
      sym_attribute,
    STATE(12172), 1,
      sym__module_type,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [541990] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    ACTIONS(13549), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11214), 1,
      aux_sym_expression_item_repeat1,
    STATE(11365), 1,
      sym_attribute,
    STATE(11657), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12541), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [542038] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10044), 1,
      sym__module_type,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11366), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [542098] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10044), 1,
      sym__module_type,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11367), 1,
      sym_attribute,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [542158] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    ACTIONS(13551), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11342), 1,
      aux_sym_expression_item_repeat1,
    STATE(11368), 1,
      sym_attribute,
    STATE(11687), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [542206] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    ACTIONS(13553), 1,
      anon_sym_EQ,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11214), 1,
      aux_sym_expression_item_repeat1,
    STATE(11369), 1,
      sym_attribute,
    STATE(11697), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12541), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [542254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11428), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [542290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [542326] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13557), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13555), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542368] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542410] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542452] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12718), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542494] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13561), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13559), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542536] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13561), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13559), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9220), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [542614] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13561), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13559), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542656] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12821), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542698] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13565), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13563), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542740] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542782] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542824] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12829), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11582), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11580), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542902] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13569), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13567), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11412), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [542980] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12306), 1,
      sym__lowercase_identifier,
    ACTIONS(12308), 1,
      anon_sym_POUND,
    STATE(11179), 1,
      sym_type_constructor_path,
    STATE(11388), 1,
      sym_attribute,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11792), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [543026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [543062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11420), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11428), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11432), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543170] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13573), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13571), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543212] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13573), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13571), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11436), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11778), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11592), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11590), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543362] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13577), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13575), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11448), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11452), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11456), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543512] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13352), 1,
      anon_sym_DASH_GT,
    ACTIONS(13354), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11402), 1,
      sym_attribute,
    STATE(11637), 1,
      sym__module_type,
    STATE(15918), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [543572] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13581), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11068), 1,
      aux_sym_expression_item_repeat1,
    STATE(11403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13579), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543614] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13587), 1,
      anon_sym_DASH_GT,
    ACTIONS(13589), 1,
      anon_sym_with,
    STATE(11404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13585), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13583), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11782), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543690] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13593), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13591), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543768] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13597), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13595), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543810] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13601), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13599), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543852] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13605), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13603), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11794), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543930] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7015), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7013), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543972] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13609), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13607), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544014] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13613), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13611), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544056] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13617), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11080), 1,
      aux_sym_expression_item_repeat1,
    STATE(11415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13615), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11798), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11516), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11576), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544206] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13621), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13619), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8350), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [544284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11576), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544320] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    ACTIONS(13623), 1,
      anon_sym_STAR,
    STATE(11422), 1,
      sym_attribute,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(12998), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11898), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [544370] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    STATE(11423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [544408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 2,
      anon_sym_PIPE,
      anon_sym_POUND,
    ACTIONS(8342), 19,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [544444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(8048), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11448), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [544516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11452), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [544552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11456), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [544588] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11498), 1,
      sym__lowercase_identifier,
    STATE(11429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12341), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12343), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [544628] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6843), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6841), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544670] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13627), 1,
      anon_sym_let,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13625), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544712] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13631), 1,
      anon_sym_let,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11115), 1,
      aux_sym_expression_item_repeat1,
    STATE(11432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13629), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544754] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12469), 1,
      anon_sym_DASH_GT,
    ACTIONS(12471), 1,
      anon_sym_module,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12475), 1,
      anon_sym_functor,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11433), 1,
      sym_attribute,
    STATE(15557), 1,
      aux_sym_module_binding_repeat1,
    STATE(17222), 1,
      sym__module_type,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [544814] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13587), 1,
      anon_sym_DASH_GT,
    ACTIONS(13589), 1,
      anon_sym_with,
    STATE(11434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13635), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13633), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544854] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13587), 1,
      anon_sym_DASH_GT,
    ACTIONS(13589), 1,
      anon_sym_with,
    STATE(11435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13639), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13637), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544894] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13587), 1,
      anon_sym_DASH_GT,
    ACTIONS(13589), 1,
      anon_sym_with,
    STATE(11436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13643), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13641), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544934] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13587), 1,
      anon_sym_DASH_GT,
    ACTIONS(13589), 1,
      anon_sym_with,
    STATE(11437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13647), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13645), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [544974] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13649), 1,
      anon_sym_DASH_GT,
    ACTIONS(13651), 1,
      anon_sym_with,
    STATE(11438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13585), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13583), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545014] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13649), 1,
      anon_sym_DASH_GT,
    ACTIONS(13651), 1,
      anon_sym_with,
    STATE(11439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13635), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13633), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545054] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13649), 1,
      anon_sym_DASH_GT,
    ACTIONS(13651), 1,
      anon_sym_with,
    STATE(11440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13639), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13637), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545094] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13649), 1,
      anon_sym_DASH_GT,
    ACTIONS(13651), 1,
      anon_sym_with,
    STATE(11441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13643), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13641), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545134] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13649), 1,
      anon_sym_DASH_GT,
    ACTIONS(13651), 1,
      anon_sym_with,
    STATE(11442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13647), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13645), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545174] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11443), 1,
      sym_attribute,
    STATE(12493), 1,
      sym__module_type,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545234] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11444), 1,
      sym_attribute,
    STATE(12344), 1,
      sym__module_type,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545294] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11445), 1,
      sym_attribute,
    STATE(12495), 1,
      sym__module_type,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545354] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_DASH_GT,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12535), 1,
      anon_sym_functor,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11446), 1,
      sym_attribute,
    STATE(12496), 1,
      sym__module_type,
    STATE(15887), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545414] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11447), 1,
      sym_attribute,
    STATE(12348), 1,
      sym__module_type,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545474] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11448), 1,
      sym_attribute,
    STATE(12345), 1,
      sym__module_type,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545534] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11449), 1,
      sym_attribute,
    STATE(12346), 1,
      sym__module_type,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545594] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11450), 1,
      sym_attribute,
    STATE(12347), 1,
      sym__module_type,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545654] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10044), 1,
      sym__module_type,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11451), 1,
      sym_attribute,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545714] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11452), 1,
      sym_attribute,
    STATE(12349), 1,
      sym__module_type,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545774] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11453), 1,
      sym_attribute,
    STATE(12502), 1,
      sym__module_type,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545834] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12618), 1,
      anon_sym_DASH_GT,
    ACTIONS(12620), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11454), 1,
      sym_attribute,
    STATE(12503), 1,
      sym__module_type,
    STATE(15912), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545894] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13352), 1,
      anon_sym_DASH_GT,
    ACTIONS(13354), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11437), 1,
      sym__module_type,
    STATE(11455), 1,
      sym_attribute,
    STATE(15918), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [545954] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13352), 1,
      anon_sym_DASH_GT,
    ACTIONS(13354), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11434), 1,
      sym__module_type,
    STATE(11456), 1,
      sym_attribute,
    STATE(15918), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546014] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13352), 1,
      anon_sym_DASH_GT,
    ACTIONS(13354), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11435), 1,
      sym__module_type,
    STATE(11457), 1,
      sym_attribute,
    STATE(15918), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546074] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13352), 1,
      anon_sym_DASH_GT,
    ACTIONS(13354), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11436), 1,
      sym__module_type,
    STATE(11458), 1,
      sym_attribute,
    STATE(15918), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546134] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13352), 1,
      anon_sym_DASH_GT,
    ACTIONS(13354), 1,
      anon_sym_functor,
    STATE(10044), 1,
      sym__module_type,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11459), 1,
      sym_attribute,
    STATE(15918), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546194] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13134), 1,
      anon_sym_DASH_GT,
    ACTIONS(13136), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11438), 1,
      sym__module_type,
    STATE(11460), 1,
      sym_attribute,
    STATE(15925), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546254] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13134), 1,
      anon_sym_DASH_GT,
    ACTIONS(13136), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11461), 1,
      sym_attribute,
    STATE(11759), 1,
      sym__module_type,
    STATE(15925), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546314] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13134), 1,
      anon_sym_DASH_GT,
    ACTIONS(13136), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11462), 1,
      sym_attribute,
    STATE(11760), 1,
      sym__module_type,
    STATE(15925), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546374] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13134), 1,
      anon_sym_DASH_GT,
    ACTIONS(13136), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11442), 1,
      sym__module_type,
    STATE(11463), 1,
      sym_attribute,
    STATE(15925), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546434] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13134), 1,
      anon_sym_DASH_GT,
    ACTIONS(13136), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11439), 1,
      sym__module_type,
    STATE(11464), 1,
      sym_attribute,
    STATE(15925), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546494] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13134), 1,
      anon_sym_DASH_GT,
    ACTIONS(13136), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11440), 1,
      sym__module_type,
    STATE(11465), 1,
      sym_attribute,
    STATE(15925), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546554] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12465), 1,
      sym__lowercase_identifier,
    ACTIONS(12467), 1,
      anon_sym_LPAREN,
    ACTIONS(12473), 1,
      anon_sym_sig,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_module,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13134), 1,
      anon_sym_DASH_GT,
    ACTIONS(13136), 1,
      anon_sym_functor,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(11441), 1,
      sym__module_type,
    STATE(11466), 1,
      sym_attribute,
    STATE(15925), 1,
      aux_sym_module_binding_repeat1,
    STATE(17607), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10128), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [546614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(11464), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [546650] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13653), 1,
      sym__lowercase_identifier,
    ACTIONS(13655), 1,
      anon_sym_DASH_GT,
    ACTIONS(13657), 1,
      anon_sym_STAR,
    ACTIONS(13659), 1,
      anon_sym_POUND,
    STATE(11468), 1,
      sym_attribute,
    STATE(12388), 1,
      sym_type_constructor_path,
    STATE(17739), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10336), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [546699] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13661), 1,
      anon_sym_LPAREN,
    ACTIONS(13663), 1,
      anon_sym_end,
    STATE(11469), 1,
      sym_attribute,
    STATE(11944), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546756] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13665), 1,
      anon_sym_LPAREN,
    ACTIONS(13667), 1,
      anon_sym_end,
    STATE(11470), 1,
      sym_attribute,
    STATE(12160), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546813] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13669), 1,
      anon_sym_LPAREN,
    ACTIONS(13671), 1,
      anon_sym_end,
    STATE(11471), 1,
      sym_attribute,
    STATE(12247), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546870] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13673), 1,
      anon_sym_LPAREN,
    ACTIONS(13675), 1,
      anon_sym_end,
    STATE(11472), 1,
      sym_attribute,
    STATE(11804), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546927] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13677), 1,
      anon_sym_LPAREN,
    ACTIONS(13679), 1,
      anon_sym_end,
    STATE(11473), 1,
      sym_attribute,
    STATE(11786), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [546984] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13683), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11474), 1,
      sym_attribute,
    STATE(11616), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13681), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547025] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13687), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11475), 1,
      sym_attribute,
    STATE(11619), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13685), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547066] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13689), 1,
      anon_sym_LPAREN,
    ACTIONS(13691), 1,
      anon_sym_end,
    STATE(11476), 1,
      sym_attribute,
    STATE(11807), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547123] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13693), 1,
      anon_sym_LPAREN,
    ACTIONS(13695), 1,
      anon_sym_end,
    STATE(11477), 1,
      sym_attribute,
    STATE(11851), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547180] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_PIPE,
    STATE(11478), 1,
      sym_attribute,
    STATE(11572), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13699), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13697), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547219] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    STATE(11479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [547256] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    ACTIONS(13705), 1,
      anon_sym_SEMI,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    ACTIONS(13719), 1,
      sym_or_operator,
    ACTIONS(13721), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [547315] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13723), 1,
      anon_sym_LPAREN,
    ACTIONS(13725), 1,
      anon_sym_end,
    STATE(11481), 1,
      sym_attribute,
    STATE(11881), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547372] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    ACTIONS(13705), 1,
      anon_sym_SEMI,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    ACTIONS(13719), 1,
      sym_or_operator,
    ACTIONS(13721), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [547431] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13729), 1,
      anon_sym_let,
    ACTIONS(13731), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11129), 1,
      aux_sym_expression_item_repeat1,
    STATE(11483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13727), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547474] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_PIPE,
    STATE(11484), 1,
      sym_attribute,
    STATE(11575), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13699), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13697), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10280), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [547548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11778), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11782), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11794), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11798), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547688] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12263), 1,
      anon_sym_STAR,
    STATE(11490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [547725] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13735), 1,
      anon_sym_let,
    ACTIONS(13737), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11309), 1,
      aux_sym_expression_item_repeat1,
    STATE(11491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13733), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547768] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13739), 1,
      anon_sym_LPAREN,
    ACTIONS(13741), 1,
      anon_sym_end,
    STATE(11492), 1,
      sym_attribute,
    STATE(12176), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547825] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13745), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13743), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547866] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13747), 1,
      anon_sym_LPAREN,
    ACTIONS(13749), 1,
      anon_sym_end,
    STATE(11494), 1,
      sym_attribute,
    STATE(12218), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [547923] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13753), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11495), 1,
      sym_attribute,
    STATE(11645), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13751), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547964] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13753), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13751), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548005] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13757), 1,
      anon_sym_let,
    ACTIONS(13759), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11118), 1,
      aux_sym_expression_item_repeat1,
    STATE(11497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13755), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548048] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13761), 1,
      anon_sym_else,
    STATE(11042), 1,
      sym_else_clause,
    STATE(11498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [548087] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13763), 1,
      anon_sym_LPAREN,
    ACTIONS(13765), 1,
      anon_sym_end,
    STATE(11499), 1,
      sym_attribute,
    STATE(12202), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548144] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13767), 1,
      anon_sym_LPAREN,
    ACTIONS(13769), 1,
      anon_sym_end,
    STATE(11500), 1,
      sym_attribute,
    STATE(11885), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11572), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11598), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11632), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11636), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11572), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11598), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548516] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13771), 1,
      anon_sym_LPAREN,
    ACTIONS(13773), 1,
      anon_sym_end,
    STATE(11510), 1,
      sym_attribute,
    STATE(12328), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [548573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11684), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11700), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11716), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11632), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548748] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    ACTIONS(13719), 1,
      sym_or_operator,
    ACTIONS(13721), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [548805] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13777), 1,
      anon_sym_let,
    ACTIONS(13779), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11101), 1,
      aux_sym_expression_item_repeat1,
    STATE(11517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13775), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11636), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548883] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [548920] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13781), 1,
      anon_sym_else,
    STATE(11018), 1,
      sym_else_clause,
    STATE(11520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [548959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11778), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11782), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [549029] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13785), 1,
      anon_sym_let,
    ACTIONS(13787), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11232), 1,
      aux_sym_expression_item_repeat1,
    STATE(11523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13783), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549072] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13789), 1,
      anon_sym_LPAREN,
    ACTIONS(13791), 1,
      anon_sym_end,
    STATE(11524), 1,
      sym_attribute,
    STATE(11798), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [549129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11794), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [549164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11798), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [549199] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13795), 1,
      anon_sym_let,
    ACTIONS(13797), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11085), 1,
      aux_sym_expression_item_repeat1,
    STATE(11527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13793), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549242] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13729), 1,
      anon_sym_let,
    ACTIONS(13799), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11129), 1,
      aux_sym_expression_item_repeat1,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13727), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549285] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13735), 1,
      anon_sym_let,
    ACTIONS(13801), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11309), 1,
      aux_sym_expression_item_repeat1,
    STATE(11529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13733), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549328] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13805), 1,
      anon_sym_let,
    ACTIONS(13807), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11406), 1,
      aux_sym_expression_item_repeat1,
    STATE(11530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13803), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549371] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13811), 1,
      anon_sym_let,
    ACTIONS(13813), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11072), 1,
      aux_sym_expression_item_repeat1,
    STATE(11531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13809), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549414] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13817), 1,
      anon_sym_let,
    ACTIONS(13819), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11074), 1,
      aux_sym_expression_item_repeat1,
    STATE(11532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549457] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13777), 1,
      anon_sym_let,
    ACTIONS(13821), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11101), 1,
      aux_sym_expression_item_repeat1,
    STATE(11533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13775), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549500] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13825), 1,
      anon_sym_let,
    ACTIONS(13827), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11104), 1,
      aux_sym_expression_item_repeat1,
    STATE(11534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13823), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549543] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13757), 1,
      anon_sym_let,
    ACTIONS(13829), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11118), 1,
      aux_sym_expression_item_repeat1,
    STATE(11535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13755), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549586] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    ACTIONS(13719), 1,
      sym_or_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 6,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [549641] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [549686] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13709), 1,
      sym_pow_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [549725] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13709), 1,
      sym_pow_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [549764] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [549811] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [549858] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [549909] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    ACTIONS(13719), 1,
      sym_or_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [549962] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    ACTIONS(13719), 1,
      sym_or_operator,
    ACTIONS(13721), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [550019] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550060] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    ACTIONS(13719), 1,
      sym_or_operator,
    ACTIONS(13721), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [550117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13781), 1,
      anon_sym_else,
    STATE(11042), 1,
      sym_else_clause,
    STATE(11547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550156] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    ACTIONS(13719), 1,
      sym_or_operator,
    ACTIONS(13721), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [550213] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12207), 1,
      anon_sym_STAR,
    STATE(11549), 1,
      sym_attribute,
    STATE(11550), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550252] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13831), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12219), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11550), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550289] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13825), 1,
      anon_sym_let,
    ACTIONS(13834), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11104), 1,
      aux_sym_expression_item_repeat1,
    STATE(11551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13823), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550332] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12225), 1,
      anon_sym_STAR,
    STATE(11552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11412), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11416), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550439] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13838), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13836), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11412), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11416), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11420), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11428), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550655] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13840), 1,
      anon_sym_LPAREN,
    ACTIONS(13842), 1,
      anon_sym_end,
    STATE(11561), 1,
      sym_attribute,
    STATE(11866), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [550712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11420), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11428), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550852] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13844), 1,
      anon_sym_PIPE,
    STATE(11566), 1,
      sym_attribute,
    STATE(11568), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550891] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13844), 1,
      anon_sym_PIPE,
    STATE(11567), 1,
      sym_attribute,
    STATE(11569), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550930] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13844), 1,
      anon_sym_PIPE,
    STATE(11568), 1,
      sym_attribute,
    STATE(11570), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550969] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13844), 1,
      anon_sym_PIPE,
    STATE(11569), 1,
      sym_attribute,
    STATE(11570), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [551008] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13846), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11570), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [551045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8348), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551080] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_PIPE,
    STATE(11572), 1,
      sym_attribute,
    STATE(11575), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13851), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13849), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551119] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13853), 1,
      anon_sym_LPAREN,
    ACTIONS(13855), 1,
      anon_sym_end,
    STATE(11573), 1,
      sym_attribute,
    STATE(11879), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551211] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13857), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11575), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13432), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11448), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11452), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11456), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551353] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(13860), 1,
      anon_sym_of,
    ACTIONS(13862), 1,
      anon_sym_COLON2,
    STATE(11579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13006), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551394] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13018), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(13864), 1,
      anon_sym_of,
    ACTIONS(13866), 1,
      anon_sym_COLON2,
    STATE(11580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13016), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551435] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12648), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(13868), 1,
      anon_sym_of,
    ACTIONS(13870), 1,
      anon_sym_COLON2,
    STATE(11581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12646), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551476] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13872), 1,
      anon_sym_LPAREN,
    ACTIONS(13874), 1,
      anon_sym_end,
    STATE(11582), 1,
      sym_attribute,
    STATE(11950), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8048), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8340), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551638] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(11586), 1,
      sym_attribute,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12219), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [551683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9090), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551718] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13876), 1,
      anon_sym_LPAREN,
    ACTIONS(13878), 1,
      anon_sym_end,
    STATE(11588), 1,
      sym_attribute,
    STATE(11936), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551775] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13880), 1,
      anon_sym_LPAREN,
    ACTIONS(13882), 1,
      anon_sym_end,
    STATE(11589), 1,
      sym_attribute,
    STATE(12016), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [551832] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(13884), 1,
      anon_sym_of,
    ACTIONS(13886), 1,
      anon_sym_COLON2,
    STATE(11590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13006), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551873] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13018), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(13888), 1,
      anon_sym_of,
    ACTIONS(13890), 1,
      anon_sym_COLON2,
    STATE(11591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13016), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551914] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12648), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(13892), 1,
      anon_sym_of,
    ACTIONS(13894), 1,
      anon_sym_COLON2,
    STATE(11592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12646), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [551955] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13896), 1,
      anon_sym_LPAREN,
    ACTIONS(13898), 1,
      anon_sym_end,
    STATE(11593), 1,
      sym_attribute,
    STATE(11953), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11516), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8190), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552117] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    ACTIONS(13705), 1,
      anon_sym_SEMI,
    ACTIONS(13707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13709), 1,
      sym_pow_operator,
    ACTIONS(13711), 1,
      sym_mult_operator,
    ACTIONS(13713), 1,
      sym_concat_operator,
    ACTIONS(13715), 1,
      sym_rel_operator,
    ACTIONS(13717), 1,
      sym_and_operator,
    ACTIONS(13719), 1,
      sym_or_operator,
    ACTIONS(13721), 1,
      sym_assign_operator,
    STATE(2086), 1,
      sym_add_operator,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [552176] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12261), 1,
      anon_sym_STAR,
    STATE(11598), 1,
      sym_attribute,
    STATE(11599), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552215] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13900), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12219), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11599), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11448), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11452), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11456), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552357] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13903), 1,
      anon_sym_LPAREN,
    ACTIONS(13905), 1,
      anon_sym_end,
    STATE(11603), 1,
      sym_attribute,
    STATE(11975), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8190), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8348), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8340), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552519] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13907), 1,
      anon_sym_LPAREN,
    ACTIONS(13909), 1,
      anon_sym_end,
    STATE(11607), 1,
      sym_attribute,
    STATE(12019), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11576), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552611] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13911), 1,
      anon_sym_LPAREN,
    ACTIONS(13913), 1,
      anon_sym_end,
    STATE(11609), 1,
      sym_attribute,
    STATE(11992), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552668] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13915), 1,
      anon_sym_LPAREN,
    ACTIONS(13917), 1,
      anon_sym_end,
    STATE(11610), 1,
      sym_attribute,
    STATE(12377), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8048), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552760] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13921), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13919), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552801] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13587), 1,
      anon_sym_DASH_GT,
    ACTIONS(13589), 1,
      anon_sym_with,
    ACTIONS(13925), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11613), 1,
      sym_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13923), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552846] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13927), 1,
      anon_sym_LPAREN,
    ACTIONS(13929), 1,
      anon_sym_end,
    STATE(11614), 1,
      sym_attribute,
    STATE(12017), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [552903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552938] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13933), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13931), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [552979] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13933), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11617), 1,
      sym_attribute,
    STATE(11738), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13931), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553020] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13805), 1,
      anon_sym_let,
    ACTIONS(13935), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11406), 1,
      aux_sym_expression_item_repeat1,
    STATE(11618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13803), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13939), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13937), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553104] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13939), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11493), 1,
      aux_sym_expression_item_repeat1,
    STATE(11620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13937), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11684), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553180] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13943), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11496), 1,
      aux_sym_expression_item_repeat1,
    STATE(11622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13941), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(9092), 16,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [553256] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13945), 1,
      anon_sym_LPAREN,
    ACTIONS(13947), 1,
      anon_sym_end,
    STATE(11624), 1,
      sym_attribute,
    STATE(12041), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553313] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13949), 1,
      anon_sym_LPAREN,
    ACTIONS(13951), 1,
      anon_sym_end,
    STATE(11625), 1,
      sym_attribute,
    STATE(12048), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553370] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(11626), 1,
      sym_attribute,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12219), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [553415] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13953), 1,
      anon_sym_LPAREN,
    ACTIONS(13955), 1,
      anon_sym_end,
    STATE(11627), 1,
      sym_attribute,
    STATE(12084), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553472] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13957), 1,
      anon_sym_LPAREN,
    ACTIONS(13959), 1,
      anon_sym_end,
    STATE(11628), 1,
      sym_attribute,
    STATE(12226), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9090), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553564] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13961), 1,
      anon_sym_LPAREN,
    ACTIONS(13963), 1,
      anon_sym_end,
    STATE(11630), 1,
      sym_attribute,
    STATE(12095), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553621] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13967), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11631), 1,
      sym_attribute,
    STATE(11644), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13969), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13965), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13761), 1,
      anon_sym_else,
    STATE(11018), 1,
      sym_else_clause,
    STATE(11632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [553703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11516), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553738] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13971), 1,
      anon_sym_LPAREN,
    ACTIONS(13973), 1,
      anon_sym_end,
    STATE(11634), 1,
      sym_attribute,
    STATE(12123), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [553795] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13653), 1,
      sym__lowercase_identifier,
    ACTIONS(13659), 1,
      anon_sym_POUND,
    ACTIONS(13975), 1,
      anon_sym_STAR,
    STATE(11635), 1,
      sym_attribute,
    STATE(12388), 1,
      sym_type_constructor_path,
    STATE(17739), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 6,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [553842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11060), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [553877] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13587), 1,
      anon_sym_DASH_GT,
    ACTIONS(13589), 1,
      anon_sym_with,
    ACTIONS(13979), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11612), 1,
      aux_sym_expression_item_repeat1,
    STATE(11637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13977), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553922] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_PIPE,
    STATE(11484), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12241), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553961] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13981), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11639), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554000] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LPAREN,
    ACTIONS(13986), 1,
      anon_sym_end,
    STATE(11640), 1,
      sym_attribute,
    STATE(12151), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [554057] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13653), 1,
      sym__lowercase_identifier,
    ACTIONS(13988), 1,
      anon_sym_POUND,
    STATE(11641), 1,
      sym_attribute,
    STATE(12535), 1,
      sym_type_constructor_path,
    STATE(17739), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [554102] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13992), 1,
      anon_sym_BANG,
    ACTIONS(13994), 1,
      anon_sym_functor,
    ACTIONS(13996), 1,
      anon_sym_struct,
    STATE(9265), 1,
      sym_module_path,
    STATE(9782), 1,
      sym__module_expression,
    STATE(11642), 1,
      sym_attribute,
    STATE(12814), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [554159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [554194] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14000), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13998), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554235] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14004), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14002), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554276] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11348), 1,
      aux_sym_expression_item_repeat1,
    STATE(11646), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12752), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554321] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11146), 1,
      aux_sym_expression_item_repeat1,
    STATE(11647), 1,
      sym_attribute,
    STATE(11652), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12768), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554366] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11213), 1,
      aux_sym_expression_item_repeat1,
    STATE(11648), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12778), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554411] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11233), 1,
      aux_sym_expression_item_repeat1,
    STATE(11649), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12782), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554456] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12788), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14006), 1,
      anon_sym_and,
    STATE(11650), 1,
      sym_attribute,
    STATE(11658), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554495] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11229), 1,
      aux_sym_expression_item_repeat1,
    STATE(11651), 1,
      sym_attribute,
    STATE(11659), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12664), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554540] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11231), 1,
      aux_sym_expression_item_repeat1,
    STATE(11652), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12792), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554585] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11244), 1,
      aux_sym_expression_item_repeat1,
    STATE(11653), 1,
      sym_attribute,
    STATE(11663), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554630] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11247), 1,
      aux_sym_expression_item_repeat1,
    STATE(11654), 1,
      sym_attribute,
    STATE(11664), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554675] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11249), 1,
      aux_sym_expression_item_repeat1,
    STATE(11655), 1,
      sym_attribute,
    STATE(11665), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554720] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11250), 1,
      aux_sym_expression_item_repeat1,
    STATE(11656), 1,
      sym_attribute,
    STATE(11667), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12800), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554765] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11259), 1,
      aux_sym_expression_item_repeat1,
    STATE(11657), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12804), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554810] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12235), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14008), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11658), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(12233), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554847] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11372), 1,
      aux_sym_expression_item_repeat1,
    STATE(11659), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554892] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11373), 1,
      aux_sym_expression_item_repeat1,
    STATE(11660), 1,
      sym_attribute,
    STATE(11671), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554937] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11374), 1,
      aux_sym_expression_item_repeat1,
    STATE(11661), 1,
      sym_attribute,
    STATE(11672), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [554982] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11375), 1,
      aux_sym_expression_item_repeat1,
    STATE(11662), 1,
      sym_attribute,
    STATE(11673), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555027] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11376), 1,
      aux_sym_expression_item_repeat1,
    STATE(11663), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555072] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11377), 1,
      aux_sym_expression_item_repeat1,
    STATE(11664), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555117] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11379), 1,
      aux_sym_expression_item_repeat1,
    STATE(11665), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555162] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11380), 1,
      aux_sym_expression_item_repeat1,
    STATE(11666), 1,
      sym_attribute,
    STATE(11674), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12740), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555207] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11381), 1,
      aux_sym_expression_item_repeat1,
    STATE(11667), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555252] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11382), 1,
      aux_sym_expression_item_repeat1,
    STATE(11668), 1,
      sym_attribute,
    STATE(11678), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555297] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11383), 1,
      aux_sym_expression_item_repeat1,
    STATE(11669), 1,
      sym_attribute,
    STATE(11679), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555342] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11384), 1,
      aux_sym_expression_item_repeat1,
    STATE(11670), 1,
      sym_attribute,
    STATE(11680), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555387] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11055), 1,
      aux_sym_expression_item_repeat1,
    STATE(11671), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555432] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11056), 1,
      aux_sym_expression_item_repeat1,
    STATE(11672), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555477] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11057), 1,
      aux_sym_expression_item_repeat1,
    STATE(11673), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555522] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11058), 1,
      aux_sym_expression_item_repeat1,
    STATE(11674), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555567] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11059), 1,
      aux_sym_expression_item_repeat1,
    STATE(11675), 1,
      sym_attribute,
    STATE(11681), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555612] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11060), 1,
      aux_sym_expression_item_repeat1,
    STATE(11676), 1,
      sym_attribute,
    STATE(11682), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555657] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11061), 1,
      aux_sym_expression_item_repeat1,
    STATE(11677), 1,
      sym_attribute,
    STATE(11683), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555702] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11062), 1,
      aux_sym_expression_item_repeat1,
    STATE(11678), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555747] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11063), 1,
      aux_sym_expression_item_repeat1,
    STATE(11679), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555792] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11064), 1,
      aux_sym_expression_item_repeat1,
    STATE(11680), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555837] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11087), 1,
      aux_sym_expression_item_repeat1,
    STATE(11681), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555882] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11088), 1,
      aux_sym_expression_item_repeat1,
    STATE(11682), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555927] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12316), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11090), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555972] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14011), 1,
      anon_sym_LPAREN,
    ACTIONS(14013), 1,
      anon_sym_end,
    STATE(11684), 1,
      sym_attribute,
    STATE(12234), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556029] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11348), 1,
      aux_sym_expression_item_repeat1,
    STATE(11685), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12752), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556074] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11146), 1,
      aux_sym_expression_item_repeat1,
    STATE(11686), 1,
      sym_attribute,
    STATE(11692), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12768), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556119] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11213), 1,
      aux_sym_expression_item_repeat1,
    STATE(11687), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12778), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556164] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11233), 1,
      aux_sym_expression_item_repeat1,
    STATE(11688), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12782), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556209] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12788), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14015), 1,
      anon_sym_and,
    STATE(11689), 1,
      sym_attribute,
    STATE(11698), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556248] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14017), 1,
      anon_sym_LPAREN,
    ACTIONS(14019), 1,
      anon_sym_end,
    STATE(11690), 1,
      sym_attribute,
    STATE(12235), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [556305] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11229), 1,
      aux_sym_expression_item_repeat1,
    STATE(11691), 1,
      sym_attribute,
    STATE(11699), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12664), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556350] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11231), 1,
      aux_sym_expression_item_repeat1,
    STATE(11692), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12792), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556395] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11244), 1,
      aux_sym_expression_item_repeat1,
    STATE(11693), 1,
      sym_attribute,
    STATE(11703), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556440] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11247), 1,
      aux_sym_expression_item_repeat1,
    STATE(11694), 1,
      sym_attribute,
    STATE(11704), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556485] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11249), 1,
      aux_sym_expression_item_repeat1,
    STATE(11695), 1,
      sym_attribute,
    STATE(11705), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12796), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556530] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11250), 1,
      aux_sym_expression_item_repeat1,
    STATE(11696), 1,
      sym_attribute,
    STATE(11707), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12800), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556575] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11259), 1,
      aux_sym_expression_item_repeat1,
    STATE(11697), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12804), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556620] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12235), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14021), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11698), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(12233), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556657] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11372), 1,
      aux_sym_expression_item_repeat1,
    STATE(11699), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556702] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11373), 1,
      aux_sym_expression_item_repeat1,
    STATE(11700), 1,
      sym_attribute,
    STATE(11711), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556747] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11374), 1,
      aux_sym_expression_item_repeat1,
    STATE(11701), 1,
      sym_attribute,
    STATE(11712), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556792] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11375), 1,
      aux_sym_expression_item_repeat1,
    STATE(11702), 1,
      sym_attribute,
    STATE(11713), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556837] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11376), 1,
      aux_sym_expression_item_repeat1,
    STATE(11703), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556882] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11377), 1,
      aux_sym_expression_item_repeat1,
    STATE(11704), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556927] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11379), 1,
      aux_sym_expression_item_repeat1,
    STATE(11705), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12622), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556972] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11380), 1,
      aux_sym_expression_item_repeat1,
    STATE(11706), 1,
      sym_attribute,
    STATE(11714), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12740), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557017] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11381), 1,
      aux_sym_expression_item_repeat1,
    STATE(11707), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557062] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11382), 1,
      aux_sym_expression_item_repeat1,
    STATE(11708), 1,
      sym_attribute,
    STATE(11718), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557107] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11383), 1,
      aux_sym_expression_item_repeat1,
    STATE(11709), 1,
      sym_attribute,
    STATE(11719), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557152] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11384), 1,
      aux_sym_expression_item_repeat1,
    STATE(11710), 1,
      sym_attribute,
    STATE(11720), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557197] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11055), 1,
      aux_sym_expression_item_repeat1,
    STATE(11711), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557242] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11056), 1,
      aux_sym_expression_item_repeat1,
    STATE(11712), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557287] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11057), 1,
      aux_sym_expression_item_repeat1,
    STATE(11713), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12716), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557332] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11058), 1,
      aux_sym_expression_item_repeat1,
    STATE(11714), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557377] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11059), 1,
      aux_sym_expression_item_repeat1,
    STATE(11715), 1,
      sym_attribute,
    STATE(11721), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557422] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11060), 1,
      aux_sym_expression_item_repeat1,
    STATE(11716), 1,
      sym_attribute,
    STATE(11722), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557467] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11061), 1,
      aux_sym_expression_item_repeat1,
    STATE(11717), 1,
      sym_attribute,
    STATE(11723), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557512] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11062), 1,
      aux_sym_expression_item_repeat1,
    STATE(11718), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557557] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11063), 1,
      aux_sym_expression_item_repeat1,
    STATE(11719), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557602] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11064), 1,
      aux_sym_expression_item_repeat1,
    STATE(11720), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557647] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11087), 1,
      aux_sym_expression_item_repeat1,
    STATE(11721), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557692] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11088), 1,
      aux_sym_expression_item_repeat1,
    STATE(11722), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557737] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12371), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11090), 1,
      aux_sym_expression_item_repeat1,
    STATE(11723), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557782] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14024), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11724), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557821] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14029), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14027), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557862] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14033), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14031), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557903] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14035), 1,
      anon_sym_LPAREN,
    ACTIONS(14037), 1,
      anon_sym_end,
    STATE(11727), 1,
      sym_attribute,
    STATE(12204), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [557960] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13785), 1,
      anon_sym_let,
    ACTIONS(14039), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11232), 1,
      aux_sym_expression_item_repeat1,
    STATE(11728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13783), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558003] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14041), 1,
      anon_sym_BANG,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(9304), 1,
      sym__module_expression,
    STATE(11729), 1,
      sym_attribute,
    STATE(12848), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [558060] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14045), 1,
      anon_sym_LPAREN,
    ACTIONS(14047), 1,
      anon_sym_end,
    STATE(11730), 1,
      sym_attribute,
    STATE(12268), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558117] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14051), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14049), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11576), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558193] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14053), 1,
      anon_sym_PIPE,
    STATE(11733), 1,
      sym_attribute,
    STATE(11735), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13699), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13697), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558232] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14053), 1,
      anon_sym_PIPE,
    STATE(11734), 1,
      sym_attribute,
    STATE(11735), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13851), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13849), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558271] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14055), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11735), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13432), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558308] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14058), 1,
      anon_sym_LPAREN,
    ACTIONS(14060), 1,
      anon_sym_end,
    STATE(11736), 1,
      sym_attribute,
    STATE(12272), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11700), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558400] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14064), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14062), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558441] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14066), 1,
      anon_sym_LPAREN,
    ACTIONS(14068), 1,
      anon_sym_end,
    STATE(11739), 1,
      sym_attribute,
    STATE(12326), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558498] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14072), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14070), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558539] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13967), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11644), 1,
      aux_sym_expression_item_repeat1,
    STATE(11741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14074), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13965), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558582] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(13653), 1,
      sym__lowercase_identifier,
    ACTIONS(13659), 1,
      anon_sym_POUND,
    STATE(11742), 1,
      sym_attribute,
    STATE(12388), 1,
      sym_type_constructor_path,
    STATE(17739), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11158), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [558627] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13811), 1,
      anon_sym_let,
    ACTIONS(14076), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11072), 1,
      aux_sym_expression_item_repeat1,
    STATE(11743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13809), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558670] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13817), 1,
      anon_sym_let,
    ACTIONS(14078), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11074), 1,
      aux_sym_expression_item_repeat1,
    STATE(11744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13815), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11716), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558748] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14080), 1,
      anon_sym_LPAREN,
    ACTIONS(14082), 1,
      anon_sym_end,
    STATE(11746), 1,
      sym_attribute,
    STATE(12305), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558805] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14084), 1,
      anon_sym_LPAREN,
    ACTIONS(14086), 1,
      anon_sym_end,
    STATE(11747), 1,
      sym_attribute,
    STATE(12306), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [558862] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14090), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14088), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558903] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14094), 1,
      anon_sym_BANG,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(11749), 1,
      sym_attribute,
    STATE(12630), 1,
      sym__attribute,
    STATE(13628), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [558960] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14102), 1,
      anon_sym_LPAREN,
    ACTIONS(14104), 1,
      anon_sym_end,
    STATE(11750), 1,
      sym_attribute,
    STATE(12339), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559017] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13795), 1,
      anon_sym_let,
    ACTIONS(14106), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11085), 1,
      aux_sym_expression_item_repeat1,
    STATE(11751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13793), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559060] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14006), 1,
      anon_sym_and,
    STATE(11650), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13124), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14015), 1,
      anon_sym_and,
    STATE(11689), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13122), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559138] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14108), 1,
      anon_sym_LPAREN,
    ACTIONS(14110), 1,
      anon_sym_end,
    STATE(11754), 1,
      sym_attribute,
    STATE(12036), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559195] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14053), 1,
      anon_sym_PIPE,
    STATE(11733), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12241), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559234] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14053), 1,
      anon_sym_PIPE,
    STATE(11734), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(11756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13699), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13697), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559273] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14114), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14112), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559314] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14116), 1,
      anon_sym_LPAREN,
    ACTIONS(14118), 1,
      anon_sym_end,
    STATE(11758), 1,
      sym_attribute,
    STATE(12353), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559371] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13649), 1,
      anon_sym_DASH_GT,
    ACTIONS(13651), 1,
      anon_sym_with,
    ACTIONS(13979), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11612), 1,
      aux_sym_expression_item_repeat1,
    STATE(11759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13977), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559416] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13649), 1,
      anon_sym_DASH_GT,
    ACTIONS(13651), 1,
      anon_sym_with,
    ACTIONS(13925), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    STATE(11760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13923), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559461] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14120), 1,
      anon_sym_LPAREN,
    ACTIONS(14122), 1,
      anon_sym_end,
    STATE(11761), 1,
      sym_attribute,
    STATE(12367), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559518] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14126), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11740), 1,
      aux_sym_expression_item_repeat1,
    STATE(11762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14128), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14124), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559561] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14126), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11740), 1,
      aux_sym_expression_item_repeat1,
    STATE(11763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14130), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14124), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559604] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(11764), 1,
      sym_attribute,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12284), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [559648] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_and,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    ACTIONS(14146), 1,
      sym_or_operator,
    ACTIONS(14148), 1,
      sym_assign_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(11765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [559704] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14150), 1,
      anon_sym_else,
    STATE(11042), 1,
      sym_else_clause,
    STATE(11766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [559742] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_and,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    ACTIONS(14146), 1,
      sym_or_operator,
    ACTIONS(14148), 1,
      sym_assign_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(11767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [559798] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14152), 1,
      anon_sym_end,
    STATE(11768), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559852] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14154), 1,
      anon_sym_end,
    STATE(11769), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559906] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14156), 1,
      anon_sym_end,
    STATE(11770), 1,
      sym_attribute,
    STATE(11921), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [559960] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14158), 1,
      anon_sym_end,
    STATE(11771), 1,
      sym_attribute,
    STATE(11772), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560014] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14160), 1,
      anon_sym_end,
    STATE(11772), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560068] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(11773), 1,
      sym_attribute,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [560112] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(11774), 1,
      sym_attribute,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [560156] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14162), 1,
      anon_sym_end,
    STATE(11775), 1,
      sym_attribute,
    STATE(11825), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560210] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11776), 1,
      sym_attribute,
    STATE(12620), 1,
      sym__attribute,
    STATE(13804), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [560264] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14166), 1,
      anon_sym_end,
    STATE(11777), 1,
      sym_attribute,
    STATE(11785), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560318] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_COLON2,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14168), 1,
      anon_sym_SEMI,
    ACTIONS(14170), 1,
      sym_rel_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [560376] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(11779), 1,
      sym_attribute,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12282), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12284), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [560420] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14172), 1,
      anon_sym_end,
    STATE(11780), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560474] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13679), 1,
      anon_sym_end,
    STATE(11781), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560528] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13791), 1,
      anon_sym_end,
    STATE(11782), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560582] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14174), 1,
      anon_sym_end,
    STATE(11783), 1,
      sym_attribute,
    STATE(11805), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560636] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14176), 1,
      anon_sym_end,
    STATE(11784), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560690] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14178), 1,
      anon_sym_end,
    STATE(11785), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560744] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14180), 1,
      anon_sym_end,
    STATE(11786), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560798] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14182), 1,
      anon_sym_end,
    STATE(11787), 1,
      sym_attribute,
    STATE(11849), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560852] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(14184), 1,
      anon_sym_of,
    ACTIONS(14186), 1,
      anon_sym_COLON2,
    STATE(11788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13018), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13016), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [560892] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14188), 1,
      anon_sym_end,
    STATE(11789), 1,
      sym_attribute,
    STATE(11792), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [560946] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14190), 1,
      anon_sym_COMMA,
    ACTIONS(14192), 1,
      anon_sym_SEMI,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    ACTIONS(14202), 1,
      sym_rel_operator,
    ACTIONS(14204), 1,
      sym_and_operator,
    ACTIONS(14206), 1,
      sym_or_operator,
    ACTIONS(14208), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(11790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9030), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(9028), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [561004] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14190), 1,
      anon_sym_COMMA,
    ACTIONS(14192), 1,
      anon_sym_SEMI,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    ACTIONS(14202), 1,
      sym_rel_operator,
    ACTIONS(14204), 1,
      sym_and_operator,
    ACTIONS(14206), 1,
      sym_or_operator,
    ACTIONS(14208), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(11791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9038), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(9036), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [561062] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14210), 1,
      anon_sym_end,
    STATE(11792), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561116] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14212), 1,
      anon_sym_end,
    STATE(11793), 1,
      sym_attribute,
    STATE(11799), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561170] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14214), 1,
      anon_sym_end,
    STATE(11794), 1,
      sym_attribute,
    STATE(11801), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561224] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_and,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    ACTIONS(14146), 1,
      sym_or_operator,
    ACTIONS(14148), 1,
      sym_assign_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(11795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [561280] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14216), 1,
      anon_sym_end,
    STATE(11796), 1,
      sym_attribute,
    STATE(11878), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561334] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14218), 1,
      anon_sym_end,
    STATE(11797), 1,
      sym_attribute,
    STATE(11819), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561388] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14220), 1,
      anon_sym_end,
    STATE(11798), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561442] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14222), 1,
      anon_sym_end,
    STATE(11799), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561496] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    STATE(11800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 10,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [561532] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14224), 1,
      anon_sym_end,
    STATE(11801), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561586] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14226), 1,
      anon_sym_end,
    STATE(11802), 1,
      sym_attribute,
    STATE(11803), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561640] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14228), 1,
      anon_sym_end,
    STATE(11803), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561694] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14230), 1,
      anon_sym_end,
    STATE(11804), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561748] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14232), 1,
      anon_sym_end,
    STATE(11805), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561802] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13691), 1,
      anon_sym_end,
    STATE(11806), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561856] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14234), 1,
      anon_sym_end,
    STATE(11807), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561910] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14236), 1,
      anon_sym_end,
    STATE(11808), 1,
      sym_attribute,
    STATE(11809), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [561964] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14238), 1,
      anon_sym_end,
    STATE(11809), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562018] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14240), 1,
      anon_sym_end,
    STATE(11810), 1,
      sym_attribute,
    STATE(11812), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562072] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14242), 1,
      anon_sym_end,
    STATE(11811), 1,
      sym_attribute,
    STATE(11814), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562126] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14244), 1,
      anon_sym_end,
    STATE(11812), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562180] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14246), 1,
      anon_sym_end,
    STATE(11813), 1,
      sym_attribute,
    STATE(11822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562234] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14248), 1,
      anon_sym_end,
    STATE(11814), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562288] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14250), 1,
      anon_sym_end,
    STATE(11815), 1,
      sym_attribute,
    STATE(11832), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562342] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(1918), 1,
      sym_add_operator,
    STATE(11816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562378] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14150), 1,
      anon_sym_else,
    STATE(11018), 1,
      sym_else_clause,
    STATE(11817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562416] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14252), 1,
      anon_sym_end,
    STATE(11818), 1,
      sym_attribute,
    STATE(12047), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14254), 1,
      anon_sym_end,
    STATE(11819), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14256), 1,
      anon_sym_end,
    STATE(11820), 1,
      sym_attribute,
    STATE(11829), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562578] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11821), 1,
      sym_attribute,
    STATE(12647), 1,
      sym__attribute,
    STATE(13820), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [562632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14258), 1,
      anon_sym_end,
    STATE(11822), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14260), 1,
      anon_sym_end,
    STATE(11823), 1,
      sym_attribute,
    STATE(11824), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14262), 1,
      anon_sym_end,
    STATE(11824), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_end,
    STATE(11825), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562848] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14266), 1,
      anon_sym_end,
    STATE(11826), 1,
      sym_attribute,
    STATE(11845), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [562902] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(11827), 1,
      sym_attribute,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12292), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [562946] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14268), 1,
      anon_sym_end,
    STATE(11828), 1,
      sym_attribute,
    STATE(11846), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563000] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14270), 1,
      anon_sym_end,
    STATE(11829), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563054] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14272), 1,
      anon_sym_end,
    STATE(11830), 1,
      sym_attribute,
    STATE(11833), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563108] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14274), 1,
      anon_sym_end,
    STATE(11831), 1,
      sym_attribute,
    STATE(11834), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563162] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14276), 1,
      anon_sym_end,
    STATE(11832), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563216] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14278), 1,
      anon_sym_end,
    STATE(11833), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563270] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14280), 1,
      anon_sym_end,
    STATE(11834), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563324] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14282), 1,
      anon_sym_end,
    STATE(11835), 1,
      sym_attribute,
    STATE(11836), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563378] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_end,
    STATE(11836), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14286), 1,
      anon_sym_PIPE,
    STATE(11837), 1,
      sym_attribute,
    STATE(11839), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563470] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14286), 1,
      anon_sym_PIPE,
    STATE(11838), 1,
      sym_attribute,
    STATE(11840), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563508] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14286), 1,
      anon_sym_PIPE,
    STATE(11839), 1,
      sym_attribute,
    STATE(11841), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563546] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14286), 1,
      anon_sym_PIPE,
    STATE(11840), 1,
      sym_attribute,
    STATE(11841), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563584] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14288), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11841), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563620] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14291), 1,
      anon_sym_end,
    STATE(11842), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563674] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14293), 1,
      anon_sym_end,
    STATE(11843), 1,
      sym_attribute,
    STATE(11888), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563728] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14190), 1,
      anon_sym_COMMA,
    ACTIONS(14192), 1,
      anon_sym_SEMI,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    ACTIONS(14202), 1,
      sym_rel_operator,
    ACTIONS(14204), 1,
      sym_and_operator,
    ACTIONS(14206), 1,
      sym_or_operator,
    ACTIONS(14208), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(11844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [563786] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14295), 1,
      anon_sym_end,
    STATE(11845), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563840] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14297), 1,
      anon_sym_end,
    STATE(11846), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563894] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14299), 1,
      anon_sym_end,
    STATE(11847), 1,
      sym_attribute,
    STATE(11863), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [563948] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(9336), 1,
      sym__module_expression,
    STATE(11848), 1,
      sym_attribute,
    STATE(12631), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [564002] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14301), 1,
      anon_sym_end,
    STATE(11849), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564056] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13695), 1,
      anon_sym_end,
    STATE(11850), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14303), 1,
      anon_sym_end,
    STATE(11851), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564164] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14305), 1,
      anon_sym_end,
    STATE(11852), 1,
      sym_attribute,
    STATE(11883), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564218] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14307), 1,
      anon_sym_end,
    STATE(11853), 1,
      sym_attribute,
    STATE(11969), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564272] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14309), 1,
      anon_sym_end,
    STATE(11854), 1,
      sym_attribute,
    STATE(11862), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564326] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14311), 1,
      anon_sym_end,
    STATE(11855), 1,
      sym_attribute,
    STATE(11871), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564380] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11856), 1,
      sym_attribute,
    STATE(12664), 1,
      sym__attribute,
    STATE(13724), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [564434] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(14313), 1,
      anon_sym_of,
    ACTIONS(14315), 1,
      anon_sym_COLON2,
    STATE(11857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13008), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13006), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564474] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(14317), 1,
      anon_sym_of,
    ACTIONS(14319), 1,
      anon_sym_COLON2,
    STATE(11858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13018), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13016), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564514] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14321), 1,
      anon_sym_end,
    STATE(11859), 1,
      sym_attribute,
    STATE(11889), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564568] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13842), 1,
      anon_sym_end,
    STATE(11860), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564622] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(14323), 1,
      anon_sym_of,
    ACTIONS(14325), 1,
      anon_sym_COLON2,
    STATE(11861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12648), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564662] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14327), 1,
      anon_sym_end,
    STATE(11862), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564716] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14329), 1,
      anon_sym_end,
    STATE(11863), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564770] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14331), 1,
      anon_sym_end,
    STATE(11864), 1,
      sym_attribute,
    STATE(11867), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564824] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14333), 1,
      anon_sym_end,
    STATE(11865), 1,
      sym_attribute,
    STATE(11868), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564878] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14335), 1,
      anon_sym_end,
    STATE(11866), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14337), 1,
      anon_sym_end,
    STATE(11867), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [564986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14339), 1,
      anon_sym_end,
    STATE(11868), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14341), 1,
      anon_sym_end,
    STATE(11869), 1,
      sym_attribute,
    STATE(11870), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565094] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14343), 1,
      anon_sym_end,
    STATE(11870), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565148] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14345), 1,
      anon_sym_end,
    STATE(11871), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565202] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13663), 1,
      anon_sym_end,
    STATE(11872), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565256] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13725), 1,
      anon_sym_end,
    STATE(11873), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565310] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13855), 1,
      anon_sym_end,
    STATE(11874), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565364] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(11875), 1,
      sym_attribute,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [565408] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12361), 1,
      anon_sym_STAR,
    ACTIONS(13386), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11876), 1,
      sym_attribute,
    STATE(11877), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565446] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14347), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11877), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565482] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14350), 1,
      anon_sym_end,
    STATE(11878), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565536] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14352), 1,
      anon_sym_end,
    STATE(11879), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565590] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_COLON2,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14168), 1,
      anon_sym_SEMI,
    ACTIONS(14170), 1,
      sym_rel_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [565648] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14354), 1,
      anon_sym_end,
    STATE(11881), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565702] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14356), 1,
      anon_sym_end,
    STATE(11882), 1,
      sym_attribute,
    STATE(11913), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565756] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14358), 1,
      anon_sym_end,
    STATE(11883), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565810] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14360), 1,
      anon_sym_end,
    STATE(11884), 1,
      sym_attribute,
    STATE(11891), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565864] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14362), 1,
      anon_sym_end,
    STATE(11885), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565918] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14364), 1,
      anon_sym_end,
    STATE(11886), 1,
      sym_attribute,
    STATE(11904), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [565972] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11887), 1,
      sym_attribute,
    STATE(12674), 1,
      sym__attribute,
    STATE(13752), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [566026] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14366), 1,
      anon_sym_end,
    STATE(11888), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566080] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14368), 1,
      anon_sym_end,
    STATE(11889), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566134] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14370), 1,
      anon_sym_end,
    STATE(11890), 1,
      sym_attribute,
    STATE(11896), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566188] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14372), 1,
      anon_sym_end,
    STATE(11891), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566242] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14374), 1,
      anon_sym_end,
    STATE(11892), 1,
      sym_attribute,
    STATE(11918), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566296] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14376), 1,
      anon_sym_end,
    STATE(11893), 1,
      sym_attribute,
    STATE(11903), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566350] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13874), 1,
      anon_sym_end,
    STATE(11894), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566404] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14378), 1,
      anon_sym_end,
    STATE(11895), 1,
      sym_attribute,
    STATE(11909), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566458] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14380), 1,
      anon_sym_end,
    STATE(11896), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566512] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14382), 1,
      anon_sym_end,
    STATE(11897), 1,
      sym_attribute,
    STATE(11899), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566566] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14384), 1,
      anon_sym_end,
    STATE(11898), 1,
      sym_attribute,
    STATE(11900), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566620] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14386), 1,
      anon_sym_end,
    STATE(11899), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566674] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14388), 1,
      anon_sym_end,
    STATE(11900), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566728] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14390), 1,
      anon_sym_end,
    STATE(11901), 1,
      sym_attribute,
    STATE(11902), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566782] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14392), 1,
      anon_sym_end,
    STATE(11902), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566836] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14394), 1,
      anon_sym_end,
    STATE(11903), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566890] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14396), 1,
      anon_sym_end,
    STATE(11904), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [566944] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_and,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    ACTIONS(14146), 1,
      sym_or_operator,
    ACTIONS(14148), 1,
      sym_assign_operator,
    ACTIONS(14398), 1,
      anon_sym_SEMI,
    STATE(1918), 1,
      sym_add_operator,
    STATE(11905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [567002] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14400), 1,
      anon_sym_end,
    STATE(11906), 1,
      sym_attribute,
    STATE(11908), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567056] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14402), 1,
      anon_sym_end,
    STATE(11907), 1,
      sym_attribute,
    STATE(11910), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567110] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14404), 1,
      anon_sym_end,
    STATE(11908), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567164] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14406), 1,
      anon_sym_end,
    STATE(11909), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567218] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14408), 1,
      anon_sym_end,
    STATE(11910), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567272] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14410), 1,
      anon_sym_end,
    STATE(11911), 1,
      sym_attribute,
    STATE(11912), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567326] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14412), 1,
      anon_sym_end,
    STATE(11912), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567380] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14414), 1,
      anon_sym_end,
    STATE(11913), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567434] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11914), 1,
      sym_attribute,
    STATE(12678), 1,
      sym__attribute,
    STATE(13873), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [567488] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(14416), 1,
      anon_sym_of,
    ACTIONS(14418), 1,
      anon_sym_COLON2,
    STATE(11915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13006), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567528] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13018), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(14420), 1,
      anon_sym_of,
    ACTIONS(14422), 1,
      anon_sym_COLON2,
    STATE(11916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13016), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567568] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14426), 1,
      anon_sym_let,
    ACTIONS(14428), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11917), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(14424), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567604] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14431), 1,
      anon_sym_end,
    STATE(11918), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567658] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12648), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(14433), 1,
      anon_sym_of,
    ACTIONS(14435), 1,
      anon_sym_COLON2,
    STATE(11919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12646), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567698] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14437), 1,
      anon_sym_end,
    STATE(11920), 1,
      sym_attribute,
    STATE(11935), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567752] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14439), 1,
      anon_sym_end,
    STATE(11921), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567806] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14441), 1,
      anon_sym_end,
    STATE(11922), 1,
      sym_attribute,
    STATE(11923), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567860] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14443), 1,
      anon_sym_end,
    STATE(11923), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [567914] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(11924), 1,
      sym_attribute,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11756), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11758), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [567958] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12413), 1,
      anon_sym_STAR,
    ACTIONS(13386), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11925), 1,
      sym_attribute,
    STATE(11926), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [567996] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14445), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11926), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568032] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14448), 1,
      anon_sym_end,
    STATE(11927), 1,
      sym_attribute,
    STATE(11932), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568086] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13878), 1,
      anon_sym_end,
    STATE(11928), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568140] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14454), 1,
      anon_sym_and,
    ACTIONS(14456), 1,
      sym_let_and_operator,
    STATE(11929), 1,
      sym_attribute,
    STATE(11991), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14452), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568180] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14458), 1,
      anon_sym_end,
    STATE(11930), 1,
      sym_attribute,
    STATE(11933), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568234] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11931), 1,
      sym_attribute,
    STATE(12685), 1,
      sym__attribute,
    STATE(13782), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568288] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14460), 1,
      anon_sym_end,
    STATE(11932), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568342] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14462), 1,
      anon_sym_end,
    STATE(11933), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568396] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14464), 1,
      anon_sym_end,
    STATE(11934), 1,
      sym_attribute,
    STATE(11937), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568450] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14466), 1,
      anon_sym_end,
    STATE(11935), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568504] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14468), 1,
      anon_sym_end,
    STATE(11936), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568558] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14470), 1,
      anon_sym_end,
    STATE(11937), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568612] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13898), 1,
      anon_sym_end,
    STATE(11938), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568666] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13882), 1,
      anon_sym_end,
    STATE(11939), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568720] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11940), 1,
      sym_attribute,
    STATE(12691), 1,
      sym__attribute,
    STATE(13810), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [568774] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(14472), 1,
      anon_sym_of,
    ACTIONS(14474), 1,
      anon_sym_COLON2,
    STATE(11941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13006), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568814] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13018), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13020), 1,
      anon_sym_EQ,
    ACTIONS(14476), 1,
      anon_sym_of,
    ACTIONS(14478), 1,
      anon_sym_COLON2,
    STATE(11942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13016), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568854] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14480), 1,
      anon_sym_end,
    STATE(11943), 1,
      sym_attribute,
    STATE(11947), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568908] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14482), 1,
      anon_sym_end,
    STATE(11944), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [568962] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12648), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(14484), 1,
      anon_sym_of,
    ACTIONS(14486), 1,
      anon_sym_COLON2,
    STATE(11945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12646), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569002] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12172), 1,
      anon_sym_DASH_GT,
    STATE(11946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569038] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14488), 1,
      anon_sym_end,
    STATE(11947), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569092] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14490), 1,
      anon_sym_end,
    STATE(11948), 1,
      sym_attribute,
    STATE(11951), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569146] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14492), 1,
      anon_sym_end,
    STATE(11949), 1,
      sym_attribute,
    STATE(11952), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569200] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14494), 1,
      anon_sym_end,
    STATE(11950), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569254] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14496), 1,
      anon_sym_end,
    STATE(11951), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569308] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14498), 1,
      anon_sym_end,
    STATE(11952), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569362] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14500), 1,
      anon_sym_end,
    STATE(11953), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569416] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14502), 1,
      anon_sym_end,
    STATE(11954), 1,
      sym_attribute,
    STATE(11956), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569470] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11955), 1,
      sym_attribute,
    STATE(12700), 1,
      sym__attribute,
    STATE(13791), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [569524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14504), 1,
      anon_sym_end,
    STATE(11956), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569578] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14506), 1,
      anon_sym_end,
    STATE(11957), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14508), 1,
      anon_sym_end,
    STATE(11958), 1,
      sym_attribute,
    STATE(11959), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14510), 1,
      anon_sym_end,
    STATE(11959), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14512), 1,
      anon_sym_end,
    STATE(11960), 1,
      sym_attribute,
    STATE(11962), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14514), 1,
      anon_sym_end,
    STATE(11961), 1,
      sym_attribute,
    STATE(11963), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569848] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14516), 1,
      anon_sym_end,
    STATE(11962), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569902] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14518), 1,
      anon_sym_end,
    STATE(11963), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [569956] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14520), 1,
      anon_sym_end,
    STATE(11964), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570010] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14522), 1,
      anon_sym_end,
    STATE(11965), 1,
      sym_attribute,
    STATE(11966), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570064] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14524), 1,
      anon_sym_end,
    STATE(11966), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570118] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11967), 1,
      sym_attribute,
    STATE(12708), 1,
      sym__attribute,
    STATE(13751), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570172] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14526), 1,
      anon_sym_end,
    STATE(11968), 1,
      sym_attribute,
    STATE(12039), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570226] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14528), 1,
      anon_sym_end,
    STATE(11969), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570280] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14530), 1,
      anon_sym_end,
    STATE(11970), 1,
      sym_attribute,
    STATE(11977), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570334] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14532), 1,
      anon_sym_end,
    STATE(11971), 1,
      sym_attribute,
    STATE(11978), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570388] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14534), 1,
      anon_sym_end,
    STATE(11972), 1,
      sym_attribute,
    STATE(12075), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570442] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13905), 1,
      anon_sym_end,
    STATE(11973), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570496] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14536), 1,
      anon_sym_end,
    STATE(11974), 1,
      sym_attribute,
    STATE(12118), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570550] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14538), 1,
      anon_sym_end,
    STATE(11975), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570604] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11976), 1,
      sym_attribute,
    STATE(12711), 1,
      sym__attribute,
    STATE(13919), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [570658] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14540), 1,
      anon_sym_end,
    STATE(11977), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570712] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14542), 1,
      anon_sym_end,
    STATE(11978), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570766] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14544), 1,
      anon_sym_end,
    STATE(11979), 1,
      sym_attribute,
    STATE(11988), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570820] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13909), 1,
      anon_sym_end,
    STATE(11980), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570874] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_COLON2,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14168), 1,
      anon_sym_SEMI,
    ACTIONS(14170), 1,
      sym_rel_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(11981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [570932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14546), 1,
      anon_sym_end,
    STATE(11982), 1,
      sym_attribute,
    STATE(12174), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14548), 1,
      anon_sym_end,
    STATE(11983), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13913), 1,
      anon_sym_end,
    STATE(11984), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571094] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(11985), 1,
      sym_attribute,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11774), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11776), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [571138] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14550), 1,
      anon_sym_end,
    STATE(11986), 1,
      sym_attribute,
    STATE(11993), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571192] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11987), 1,
      sym_attribute,
    STATE(12713), 1,
      sym__attribute,
    STATE(13838), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571246] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14552), 1,
      anon_sym_end,
    STATE(11988), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571300] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13917), 1,
      anon_sym_end,
    STATE(11989), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14556), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14554), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [571388] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14558), 1,
      anon_sym_and,
    ACTIONS(14561), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14556), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(11991), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14554), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571426] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14564), 1,
      anon_sym_end,
    STATE(11992), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571480] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14566), 1,
      anon_sym_end,
    STATE(11993), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14568), 1,
      anon_sym_end,
    STATE(11994), 1,
      sym_attribute,
    STATE(11997), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571588] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14570), 1,
      anon_sym_end,
    STATE(11995), 1,
      sym_attribute,
    STATE(11999), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571642] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(11996), 1,
      sym_attribute,
    STATE(12714), 1,
      sym__attribute,
    STATE(13811), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [571696] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14572), 1,
      anon_sym_end,
    STATE(11997), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14574), 1,
      anon_sym_end,
    STATE(11998), 1,
      sym_attribute,
    STATE(12000), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571804] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14576), 1,
      anon_sym_end,
    STATE(11999), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571858] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14578), 1,
      anon_sym_end,
    STATE(12000), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571912] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14580), 1,
      anon_sym_end,
    STATE(12001), 1,
      sym_attribute,
    STATE(12006), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571966] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14582), 1,
      anon_sym_end,
    STATE(12002), 1,
      sym_attribute,
    STATE(12003), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572020] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14584), 1,
      anon_sym_end,
    STATE(12003), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572074] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12650), 1,
      anon_sym_EQ,
    ACTIONS(14586), 1,
      anon_sym_of,
    ACTIONS(14588), 1,
      anon_sym_COLON2,
    STATE(12004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12648), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572114] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12005), 1,
      sym_attribute,
    STATE(12716), 1,
      sym__attribute,
    STATE(13702), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572168] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14590), 1,
      anon_sym_end,
    STATE(12006), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572222] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14592), 1,
      anon_sym_end,
    STATE(12007), 1,
      sym_attribute,
    STATE(12009), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14594), 1,
      anon_sym_end,
    STATE(12008), 1,
      sym_attribute,
    STATE(12010), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14596), 1,
      anon_sym_end,
    STATE(12009), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572384] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14598), 1,
      anon_sym_end,
    STATE(12010), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572438] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14600), 1,
      anon_sym_end,
    STATE(12011), 1,
      sym_attribute,
    STATE(12014), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14602), 1,
      anon_sym_end,
    STATE(12012), 1,
      sym_attribute,
    STATE(12035), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572546] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13929), 1,
      anon_sym_end,
    STATE(12013), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14604), 1,
      anon_sym_end,
    STATE(12014), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572654] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12015), 1,
      sym_attribute,
    STATE(12719), 1,
      sym__attribute,
    STATE(13761), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572708] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14606), 1,
      anon_sym_end,
    STATE(12016), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14608), 1,
      anon_sym_end,
    STATE(12017), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572816] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12018), 1,
      sym_attribute,
    STATE(12869), 1,
      sym__attribute,
    STATE(13868), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [572870] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14610), 1,
      anon_sym_end,
    STATE(12019), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8124), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [572958] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14612), 1,
      anon_sym_end,
    STATE(12021), 1,
      sym_attribute,
    STATE(12022), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573012] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14614), 1,
      anon_sym_end,
    STATE(12022), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573066] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14616), 1,
      anon_sym_end,
    STATE(12023), 1,
      sym_attribute,
    STATE(12026), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573120] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12024), 1,
      sym_attribute,
    STATE(12724), 1,
      sym__attribute,
    STATE(13815), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573174] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14618), 1,
      anon_sym_end,
    STATE(12025), 1,
      sym_attribute,
    STATE(12028), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573228] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14620), 1,
      anon_sym_end,
    STATE(12026), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573282] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14622), 1,
      anon_sym_end,
    STATE(12027), 1,
      sym_attribute,
    STATE(12081), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573336] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14624), 1,
      anon_sym_end,
    STATE(12028), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573390] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14626), 1,
      anon_sym_end,
    STATE(12029), 1,
      sym_attribute,
    STATE(12030), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573444] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14628), 1,
      anon_sym_end,
    STATE(12030), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573498] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(12031), 1,
      sym_attribute,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12296), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [573542] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12032), 1,
      sym_attribute,
    STATE(12735), 1,
      sym__attribute,
    STATE(13730), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573596] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14630), 1,
      anon_sym_end,
    STATE(12033), 1,
      sym_attribute,
    STATE(12153), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573650] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14632), 1,
      anon_sym_end,
    STATE(12034), 1,
      sym_attribute,
    STATE(12333), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573704] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14634), 1,
      anon_sym_end,
    STATE(12035), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573758] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14636), 1,
      anon_sym_end,
    STATE(12036), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573812] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12037), 1,
      sym_attribute,
    STATE(12737), 1,
      sym__attribute,
    STATE(13861), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [573866] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13947), 1,
      anon_sym_end,
    STATE(12038), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573920] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14638), 1,
      anon_sym_end,
    STATE(12039), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573974] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(12040), 1,
      sym_attribute,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12290), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12292), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [574018] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14640), 1,
      anon_sym_end,
    STATE(12041), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574072] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14642), 1,
      anon_sym_end,
    STATE(12042), 1,
      sym_attribute,
    STATE(12072), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574126] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14644), 1,
      anon_sym_end,
    STATE(12043), 1,
      sym_attribute,
    STATE(12071), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574180] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12044), 1,
      sym_attribute,
    STATE(12741), 1,
      sym__attribute,
    STATE(13862), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574234] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13951), 1,
      anon_sym_end,
    STATE(12045), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574288] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14454), 1,
      anon_sym_and,
    ACTIONS(14456), 1,
      sym_let_and_operator,
    STATE(11929), 1,
      aux_sym_value_definition_repeat1,
    STATE(12046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14648), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574328] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14650), 1,
      anon_sym_end,
    STATE(12047), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574382] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14652), 1,
      anon_sym_end,
    STATE(12048), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574436] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14654), 1,
      anon_sym_end,
    STATE(12049), 1,
      sym_attribute,
    STATE(12055), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [574524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14656), 1,
      anon_sym_end,
    STATE(12051), 1,
      sym_attribute,
    STATE(12079), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574578] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14658), 1,
      anon_sym_end,
    STATE(12052), 1,
      sym_attribute,
    STATE(12053), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14660), 1,
      anon_sym_end,
    STATE(12053), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574686] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12054), 1,
      sym_attribute,
    STATE(12748), 1,
      sym__attribute,
    STATE(13888), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [574740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14662), 1,
      anon_sym_end,
    STATE(12055), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14664), 1,
      anon_sym_end,
    STATE(12056), 1,
      sym_attribute,
    STATE(12060), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574848] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14666), 1,
      anon_sym_end,
    STATE(12057), 1,
      sym_attribute,
    STATE(12061), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574902] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14668), 1,
      anon_sym_end,
    STATE(12058), 1,
      sym_attribute,
    STATE(12062), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [574956] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14670), 1,
      anon_sym_end,
    STATE(12059), 1,
      sym_attribute,
    STATE(12063), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575010] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14672), 1,
      anon_sym_end,
    STATE(12060), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575064] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14674), 1,
      anon_sym_end,
    STATE(12061), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575118] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14676), 1,
      anon_sym_end,
    STATE(12062), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575172] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14678), 1,
      anon_sym_end,
    STATE(12063), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575226] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14680), 1,
      anon_sym_end,
    STATE(12064), 1,
      sym_attribute,
    STATE(12065), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575280] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14682), 1,
      anon_sym_end,
    STATE(12065), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575334] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14684), 1,
      anon_sym_end,
    STATE(12066), 1,
      sym_attribute,
    STATE(12067), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575388] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14686), 1,
      anon_sym_end,
    STATE(12067), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575442] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12068), 1,
      sym_attribute,
    STATE(12753), 1,
      sym__attribute,
    STATE(13763), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575496] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14688), 1,
      anon_sym_end,
    STATE(12069), 1,
      sym_attribute,
    STATE(12073), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575550] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12760), 1,
      sym__lowercase_identifier,
    ACTIONS(12766), 1,
      anon_sym_POUND,
    STATE(11518), 1,
      sym_type_constructor_path,
    STATE(12070), 1,
      sym_attribute,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11790), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11792), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [575594] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14690), 1,
      anon_sym_end,
    STATE(12071), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575648] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14692), 1,
      anon_sym_end,
    STATE(12072), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575702] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14694), 1,
      anon_sym_end,
    STATE(12073), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575756] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12074), 1,
      sym_attribute,
    STATE(12755), 1,
      sym__attribute,
    STATE(13806), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [575810] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14696), 1,
      anon_sym_end,
    STATE(12075), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575864] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14698), 1,
      anon_sym_end,
    STATE(12076), 1,
      sym_attribute,
    STATE(12087), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575918] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13955), 1,
      anon_sym_end,
    STATE(12077), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575972] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14700), 1,
      anon_sym_end,
    STATE(12078), 1,
      sym_attribute,
    STATE(12088), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576026] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14702), 1,
      anon_sym_end,
    STATE(12079), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576080] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14704), 1,
      anon_sym_end,
    STATE(12080), 1,
      sym_attribute,
    STATE(12089), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576134] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14706), 1,
      anon_sym_end,
    STATE(12081), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576188] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12082), 1,
      sym_attribute,
    STATE(12757), 1,
      sym__attribute,
    STATE(13773), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576242] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14454), 1,
      anon_sym_and,
    ACTIONS(14456), 1,
      sym_let_and_operator,
    STATE(12083), 1,
      sym_attribute,
    STATE(12289), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14452), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576282] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14708), 1,
      anon_sym_end,
    STATE(12084), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576336] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12085), 1,
      sym_attribute,
    STATE(12760), 1,
      sym__attribute,
    STATE(13858), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576390] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14712), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14710), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576430] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14714), 1,
      anon_sym_end,
    STATE(12087), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576484] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14716), 1,
      anon_sym_end,
    STATE(12088), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576538] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14718), 1,
      anon_sym_end,
    STATE(12089), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576592] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14720), 1,
      anon_sym_end,
    STATE(12090), 1,
      sym_attribute,
    STATE(12093), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576646] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12091), 1,
      sym_attribute,
    STATE(12763), 1,
      sym__attribute,
    STATE(13700), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576700] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13963), 1,
      anon_sym_end,
    STATE(12092), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576754] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14722), 1,
      anon_sym_end,
    STATE(12093), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576808] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12094), 1,
      sym_attribute,
    STATE(12766), 1,
      sym__attribute,
    STATE(13799), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14724), 1,
      anon_sym_end,
    STATE(12095), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576916] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12096), 1,
      sym_attribute,
    STATE(12768), 1,
      sym__attribute,
    STATE(13792), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [576970] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14726), 1,
      anon_sym_end,
    STATE(12097), 1,
      sym_attribute,
    STATE(12101), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577024] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12098), 1,
      sym_attribute,
    STATE(12772), 1,
      sym__attribute,
    STATE(13790), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577078] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_COLON2,
    STATE(12099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9222), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [577114] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12100), 1,
      sym_attribute,
    STATE(12783), 1,
      sym__attribute,
    STATE(13701), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577168] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14728), 1,
      anon_sym_end,
    STATE(12101), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577222] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14730), 1,
      anon_sym_end,
    STATE(12102), 1,
      sym_attribute,
    STATE(12104), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14732), 1,
      anon_sym_end,
    STATE(12103), 1,
      sym_attribute,
    STATE(12105), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14734), 1,
      anon_sym_end,
    STATE(12104), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577384] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14736), 1,
      anon_sym_end,
    STATE(12105), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577438] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14738), 1,
      anon_sym_end,
    STATE(12106), 1,
      sym_attribute,
    STATE(12107), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14740), 1,
      anon_sym_end,
    STATE(12107), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577546] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12108), 1,
      sym_attribute,
    STATE(12788), 1,
      sym__attribute,
    STATE(13748), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577600] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(9330), 1,
      sym__module_expression,
    STATE(12109), 1,
      sym_attribute,
    STATE(12591), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577654] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12110), 1,
      sym_attribute,
    STATE(12791), 1,
      sym__attribute,
    STATE(13863), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577708] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [577744] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(9222), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [577778] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12113), 1,
      sym_attribute,
    STATE(12794), 1,
      sym__attribute,
    STATE(13746), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577832] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14742), 1,
      anon_sym_RPAREN,
    ACTIONS(14744), 1,
      anon_sym_DOT,
    STATE(12114), 1,
      sym_attribute,
    STATE(18939), 1,
      sym__infix_operator,
    STATE(19215), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1415), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1417), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1413), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(14746), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [577878] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12115), 1,
      sym_attribute,
    STATE(12796), 1,
      sym__attribute,
    STATE(13821), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577932] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12116), 1,
      sym_attribute,
    STATE(12799), 1,
      sym__attribute,
    STATE(13733), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [577986] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12117), 1,
      sym_attribute,
    STATE(12802), 1,
      sym__attribute,
    STATE(13842), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14748), 1,
      anon_sym_end,
    STATE(12118), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578094] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13973), 1,
      anon_sym_end,
    STATE(12119), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578148] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14750), 1,
      anon_sym_COLON2,
    STATE(12120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9222), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [578184] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12121), 1,
      sym_attribute,
    STATE(12804), 1,
      sym__attribute,
    STATE(13776), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578238] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14752), 1,
      anon_sym_end,
    STATE(12122), 1,
      sym_attribute,
    STATE(12125), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578292] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14754), 1,
      anon_sym_end,
    STATE(12123), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578346] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12660), 1,
      sym__lowercase_identifier,
    ACTIONS(12662), 1,
      anon_sym_POUND,
    STATE(11505), 1,
      sym_type_constructor_path,
    STATE(12124), 1,
      sym_attribute,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12294), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12296), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [578390] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14756), 1,
      anon_sym_end,
    STATE(12125), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578444] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12126), 1,
      sym_attribute,
    STATE(12806), 1,
      sym__attribute,
    STATE(13712), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578498] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14758), 1,
      anon_sym_end,
    STATE(12127), 1,
      sym_attribute,
    STATE(12131), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578552] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8000), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(8002), 17,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
      aux_sym_tag_token1,
  [578586] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14760), 1,
      anon_sym_end,
    STATE(12129), 1,
      sym_attribute,
    STATE(12134), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578640] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14762), 1,
      anon_sym_end,
    STATE(12130), 1,
      sym_attribute,
    STATE(12142), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578694] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14764), 1,
      anon_sym_end,
    STATE(12131), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578748] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12132), 1,
      sym_attribute,
    STATE(12808), 1,
      sym__attribute,
    STATE(13837), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [578802] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14766), 1,
      anon_sym_end,
    STATE(12133), 1,
      sym_attribute,
    STATE(12137), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578856] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14768), 1,
      anon_sym_end,
    STATE(12134), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578910] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14770), 1,
      anon_sym_end,
    STATE(12135), 1,
      sym_attribute,
    STATE(12136), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578964] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14772), 1,
      anon_sym_end,
    STATE(12136), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579018] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14774), 1,
      anon_sym_end,
    STATE(12137), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579072] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14776), 1,
      anon_sym_end,
    STATE(12138), 1,
      sym_attribute,
    STATE(12140), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579126] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14778), 1,
      anon_sym_end,
    STATE(12139), 1,
      sym_attribute,
    STATE(12143), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579180] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14780), 1,
      anon_sym_end,
    STATE(12140), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579234] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12141), 1,
      sym_attribute,
    STATE(12809), 1,
      sym__attribute,
    STATE(13924), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579288] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14782), 1,
      anon_sym_end,
    STATE(12142), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579342] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14784), 1,
      anon_sym_end,
    STATE(12143), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579396] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14786), 1,
      anon_sym_end,
    STATE(12144), 1,
      sym_attribute,
    STATE(12145), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579450] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14788), 1,
      anon_sym_end,
    STATE(12145), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579504] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14790), 1,
      anon_sym_end,
    STATE(12146), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579558] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12147), 1,
      sym_attribute,
    STATE(12812), 1,
      sym__attribute,
    STATE(13833), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [579612] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14792), 1,
      anon_sym_end,
    STATE(12148), 1,
      sym_attribute,
    STATE(12258), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579666] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13959), 1,
      anon_sym_end,
    STATE(12149), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579720] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_end,
    STATE(12150), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579774] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14794), 1,
      anon_sym_end,
    STATE(12151), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579828] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13741), 1,
      anon_sym_end,
    STATE(12152), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579882] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14796), 1,
      anon_sym_end,
    STATE(12153), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579936] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14798), 1,
      anon_sym_end,
    STATE(12146), 1,
      aux_sym_object_expression_repeat1,
    STATE(12154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579990] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13667), 1,
      anon_sym_end,
    STATE(12155), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580044] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14800), 1,
      anon_sym_end,
    STATE(11784), 1,
      aux_sym_object_expression_repeat1,
    STATE(12156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580098] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13749), 1,
      anon_sym_end,
    STATE(12157), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580152] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14802), 1,
      anon_sym_end,
    STATE(12158), 1,
      sym_attribute,
    STATE(12161), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580206] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13994), 1,
      anon_sym_functor,
    ACTIONS(13996), 1,
      anon_sym_struct,
    STATE(9265), 1,
      sym_module_path,
    STATE(9786), 1,
      sym__module_expression,
    STATE(12159), 1,
      sym_attribute,
    STATE(12815), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [580260] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14804), 1,
      anon_sym_end,
    STATE(12160), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580314] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14806), 1,
      anon_sym_end,
    STATE(12161), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580368] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14808), 1,
      anon_sym_end,
    STATE(12162), 1,
      sym_attribute,
    STATE(12166), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580422] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_and,
    ACTIONS(14812), 1,
      sym_let_and_operator,
    STATE(12163), 1,
      sym_attribute,
    STATE(12169), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14648), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580462] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14814), 1,
      anon_sym_end,
    STATE(12164), 1,
      sym_attribute,
    STATE(12170), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580516] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13635), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_DASH_GT,
    ACTIONS(14818), 1,
      anon_sym_with,
    STATE(12165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13633), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580554] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14820), 1,
      anon_sym_end,
    STATE(12166), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580608] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13639), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_DASH_GT,
    ACTIONS(14818), 1,
      anon_sym_with,
    STATE(12167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13637), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580646] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_and,
    ACTIONS(14812), 1,
      sym_let_and_operator,
    STATE(12168), 1,
      sym_attribute,
    STATE(12169), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14452), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580686] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14822), 1,
      anon_sym_and,
    ACTIONS(14825), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14556), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(12169), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14554), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14828), 1,
      anon_sym_end,
    STATE(12170), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_and,
    ACTIONS(14812), 1,
      sym_let_and_operator,
    STATE(12171), 1,
      sym_attribute,
    STATE(12173), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14452), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580818] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13643), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_DASH_GT,
    ACTIONS(14818), 1,
      anon_sym_with,
    STATE(12172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13641), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580856] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_and,
    ACTIONS(14812), 1,
      sym_let_and_operator,
    STATE(12169), 1,
      aux_sym_value_definition_repeat1,
    STATE(12173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14832), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14830), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580896] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14834), 1,
      anon_sym_end,
    STATE(12174), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580950] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14836), 1,
      anon_sym_PIPE,
    STATE(12175), 1,
      sym_attribute,
    STATE(12184), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13699), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13697), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580988] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14838), 1,
      anon_sym_end,
    STATE(12176), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581042] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [581078] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14840), 1,
      anon_sym_end,
    STATE(12178), 1,
      sym_attribute,
    STATE(12199), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581132] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14190), 1,
      anon_sym_COMMA,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    ACTIONS(14202), 1,
      sym_rel_operator,
    ACTIONS(14204), 1,
      sym_and_operator,
    ACTIONS(14206), 1,
      sym_or_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [581186] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14842), 1,
      anon_sym_end,
    STATE(12180), 1,
      sym_attribute,
    STATE(12196), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581240] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581284] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14196), 1,
      sym_pow_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581322] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14836), 1,
      anon_sym_PIPE,
    STATE(12183), 1,
      sym_attribute,
    STATE(12184), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13851), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13849), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14844), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12184), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13432), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14196), 1,
      sym_pow_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581434] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581480] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581526] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    ACTIONS(14202), 1,
      sym_rel_operator,
    ACTIONS(14204), 1,
      sym_and_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [581576] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    ACTIONS(14202), 1,
      sym_rel_operator,
    ACTIONS(14204), 1,
      sym_and_operator,
    ACTIONS(14206), 1,
      sym_or_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [581628] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14190), 1,
      anon_sym_COMMA,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    ACTIONS(14202), 1,
      sym_rel_operator,
    ACTIONS(14204), 1,
      sym_and_operator,
    ACTIONS(14206), 1,
      sym_or_operator,
    ACTIONS(14208), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [581684] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581724] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14190), 1,
      anon_sym_COMMA,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    ACTIONS(14202), 1,
      sym_rel_operator,
    ACTIONS(14204), 1,
      sym_and_operator,
    ACTIONS(14206), 1,
      sym_or_operator,
    ACTIONS(14208), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [581780] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14847), 1,
      anon_sym_end,
    STATE(12193), 1,
      sym_attribute,
    STATE(12195), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581834] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14190), 1,
      anon_sym_COMMA,
    ACTIONS(14194), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14196), 1,
      sym_pow_operator,
    ACTIONS(14198), 1,
      sym_mult_operator,
    ACTIONS(14200), 1,
      sym_concat_operator,
    ACTIONS(14202), 1,
      sym_rel_operator,
    ACTIONS(14204), 1,
      sym_and_operator,
    ACTIONS(14206), 1,
      sym_or_operator,
    ACTIONS(14208), 1,
      sym_assign_operator,
    STATE(2057), 1,
      sym_add_operator,
    STATE(12194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [581890] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14849), 1,
      anon_sym_end,
    STATE(12195), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581944] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14851), 1,
      anon_sym_end,
    STATE(12196), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581998] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13765), 1,
      anon_sym_end,
    STATE(12197), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582052] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    ACTIONS(14853), 1,
      anon_sym_RPAREN,
    ACTIONS(14855), 1,
      anon_sym_val,
    STATE(9265), 1,
      sym_module_path,
    STATE(12198), 1,
      sym_attribute,
    STATE(13713), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [582106] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14857), 1,
      anon_sym_end,
    STATE(12199), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582160] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14859), 1,
      anon_sym_end,
    STATE(12200), 1,
      sym_attribute,
    STATE(12205), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582214] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14861), 1,
      anon_sym_end,
    STATE(12201), 1,
      sym_attribute,
    STATE(12208), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582268] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14863), 1,
      anon_sym_end,
    STATE(12202), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582322] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14013), 1,
      anon_sym_end,
    STATE(12203), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582376] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14865), 1,
      anon_sym_end,
    STATE(12204), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582430] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14867), 1,
      anon_sym_end,
    STATE(12205), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582484] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_and,
    ACTIONS(14812), 1,
      sym_let_and_operator,
    STATE(12163), 1,
      aux_sym_value_definition_repeat1,
    STATE(12206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14871), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14869), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582524] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_and,
    ACTIONS(14812), 1,
      sym_let_and_operator,
    STATE(12168), 1,
      aux_sym_value_definition_repeat1,
    STATE(12207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14648), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582564] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14873), 1,
      anon_sym_end,
    STATE(12208), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582618] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14875), 1,
      anon_sym_end,
    STATE(12209), 1,
      sym_attribute,
    STATE(12210), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582672] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14877), 1,
      anon_sym_end,
    STATE(12210), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582726] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14879), 1,
      anon_sym_else,
    STATE(11018), 1,
      sym_else_clause,
    STATE(12211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [582764] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14881), 1,
      anon_sym_end,
    STATE(12212), 1,
      sym_attribute,
    STATE(12220), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582818] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12221), 1,
      anon_sym_DASH_GT,
    STATE(12213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [582854] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14883), 1,
      anon_sym_end,
    STATE(12214), 1,
      sym_attribute,
    STATE(12216), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582908] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14885), 1,
      anon_sym_end,
    STATE(12215), 1,
      sym_attribute,
    STATE(12217), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582962] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14887), 1,
      anon_sym_end,
    STATE(12216), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583016] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14889), 1,
      anon_sym_end,
    STATE(12217), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583070] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14891), 1,
      anon_sym_end,
    STATE(12218), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583124] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14893), 1,
      anon_sym_end,
    STATE(12219), 1,
      sym_attribute,
    STATE(12221), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583178] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14895), 1,
      anon_sym_end,
    STATE(12220), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583232] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14897), 1,
      anon_sym_end,
    STATE(12221), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583286] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14899), 1,
      anon_sym_end,
    STATE(12222), 1,
      sym_attribute,
    STATE(12227), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583340] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14901), 1,
      anon_sym_end,
    STATE(12223), 1,
      sym_attribute,
    STATE(12228), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583394] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13010), 1,
      anon_sym_EQ,
    ACTIONS(14903), 1,
      anon_sym_of,
    ACTIONS(14905), 1,
      anon_sym_COLON2,
    STATE(12224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13008), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13006), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583434] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14907), 1,
      anon_sym_end,
    STATE(11842), 1,
      aux_sym_object_expression_repeat1,
    STATE(12225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583488] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14909), 1,
      anon_sym_end,
    STATE(12226), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583542] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14911), 1,
      anon_sym_end,
    STATE(12227), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583596] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14913), 1,
      anon_sym_end,
    STATE(12228), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583650] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14915), 1,
      anon_sym_end,
    STATE(12229), 1,
      sym_attribute,
    STATE(12236), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583704] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12230), 1,
      sym_attribute,
    STATE(12589), 1,
      sym__attribute,
    STATE(13729), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [583758] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13769), 1,
      anon_sym_end,
    STATE(12231), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583812] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13671), 1,
      anon_sym_end,
    STATE(12232), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583866] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14019), 1,
      anon_sym_end,
    STATE(12233), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583920] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14917), 1,
      anon_sym_end,
    STATE(12234), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583974] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14919), 1,
      anon_sym_end,
    STATE(12235), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584028] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14921), 1,
      anon_sym_end,
    STATE(12236), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584082] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    ACTIONS(14923), 1,
      anon_sym_RPAREN,
    ACTIONS(14925), 1,
      anon_sym_val,
    STATE(9265), 1,
      sym_module_path,
    STATE(12237), 1,
      sym_attribute,
    STATE(13917), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [584136] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14927), 1,
      anon_sym_end,
    STATE(12238), 1,
      sym_attribute,
    STATE(12240), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584190] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14929), 1,
      anon_sym_end,
    STATE(11780), 1,
      aux_sym_object_expression_repeat1,
    STATE(12239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584244] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14931), 1,
      anon_sym_end,
    STATE(12240), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584298] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14933), 1,
      anon_sym_end,
    STATE(12241), 1,
      sym_attribute,
    STATE(12243), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584352] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14935), 1,
      anon_sym_end,
    STATE(12242), 1,
      sym_attribute,
    STATE(12244), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584406] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14937), 1,
      anon_sym_end,
    STATE(12243), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584460] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14939), 1,
      anon_sym_end,
    STATE(12244), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584514] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14941), 1,
      anon_sym_end,
    STATE(12245), 1,
      sym_attribute,
    STATE(12246), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584568] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14943), 1,
      anon_sym_end,
    STATE(12246), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584622] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14945), 1,
      anon_sym_end,
    STATE(12247), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584676] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14947), 1,
      anon_sym_end,
    STATE(12248), 1,
      sym_attribute,
    STATE(12250), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584730] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14951), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14949), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584770] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14953), 1,
      anon_sym_end,
    STATE(12250), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584824] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14955), 1,
      anon_sym_end,
    STATE(12251), 1,
      sym_attribute,
    STATE(12253), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584878] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14957), 1,
      anon_sym_end,
    STATE(12252), 1,
      sym_attribute,
    STATE(12254), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14959), 1,
      anon_sym_end,
    STATE(12253), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14961), 1,
      anon_sym_end,
    STATE(12254), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585040] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14963), 1,
      anon_sym_end,
    STATE(12255), 1,
      sym_attribute,
    STATE(12256), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585094] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14965), 1,
      anon_sym_end,
    STATE(12256), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585148] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14969), 1,
      anon_sym_let,
    ACTIONS(14971), 1,
      anon_sym_and,
    STATE(12257), 1,
      sym_attribute,
    STATE(12320), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14967), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585186] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14973), 1,
      anon_sym_end,
    STATE(12258), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585240] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14975), 1,
      anon_sym_end,
    STATE(12259), 1,
      sym_attribute,
    STATE(12295), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585294] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14037), 1,
      anon_sym_end,
    STATE(12260), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585348] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13675), 1,
      anon_sym_end,
    STATE(12261), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585402] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13773), 1,
      anon_sym_end,
    STATE(12262), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585456] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14047), 1,
      anon_sym_end,
    STATE(12263), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585510] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14977), 1,
      anon_sym_end,
    STATE(12264), 1,
      sym_attribute,
    STATE(12265), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585564] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14979), 1,
      anon_sym_end,
    STATE(12265), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585618] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14981), 1,
      anon_sym_end,
    STATE(11768), 1,
      aux_sym_object_expression_repeat1,
    STATE(12266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585672] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14060), 1,
      anon_sym_end,
    STATE(12267), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585726] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14983), 1,
      anon_sym_end,
    STATE(12268), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585780] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_PIPE,
    STATE(12269), 1,
      sym_attribute,
    STATE(12271), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13699), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13697), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585818] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_PIPE,
    STATE(12270), 1,
      sym_attribute,
    STATE(12271), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13851), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13849), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585856] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14987), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13434), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12271), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13432), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585892] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14990), 1,
      anon_sym_end,
    STATE(12272), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585946] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14992), 1,
      anon_sym_end,
    STATE(12273), 1,
      sym_attribute,
    STATE(12274), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586000] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14994), 1,
      anon_sym_end,
    STATE(12274), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586054] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14996), 1,
      anon_sym_end,
    STATE(12275), 1,
      sym_attribute,
    STATE(12277), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586108] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14998), 1,
      anon_sym_end,
    STATE(12276), 1,
      sym_attribute,
    STATE(12278), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586162] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15000), 1,
      anon_sym_end,
    STATE(12277), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586216] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15002), 1,
      anon_sym_end,
    STATE(12278), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586270] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15004), 1,
      anon_sym_end,
    STATE(12279), 1,
      sym_attribute,
    STATE(12280), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586324] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15006), 1,
      anon_sym_end,
    STATE(12280), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586378] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15008), 1,
      anon_sym_end,
    STATE(12281), 1,
      sym_attribute,
    STATE(12296), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14879), 1,
      anon_sym_else,
    STATE(11042), 1,
      sym_else_clause,
    STATE(12282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [586470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15010), 1,
      anon_sym_end,
    STATE(11983), 1,
      aux_sym_object_expression_repeat1,
    STATE(12283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15012), 1,
      anon_sym_end,
    STATE(12284), 1,
      sym_attribute,
    STATE(12285), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586578] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15014), 1,
      anon_sym_end,
    STATE(12285), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15016), 1,
      anon_sym_end,
    STATE(12286), 1,
      sym_attribute,
    STATE(12290), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15018), 1,
      anon_sym_end,
    STATE(12287), 1,
      sym_attribute,
    STATE(12291), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14068), 1,
      anon_sym_end,
    STATE(12288), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586794] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14454), 1,
      anon_sym_and,
    ACTIONS(14456), 1,
      sym_let_and_operator,
    STATE(11991), 1,
      aux_sym_value_definition_repeat1,
    STATE(12289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14832), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14830), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586834] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15020), 1,
      anon_sym_end,
    STATE(12290), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586888] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15022), 1,
      anon_sym_end,
    STATE(12291), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586942] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15024), 1,
      anon_sym_end,
    STATE(12292), 1,
      sym_attribute,
    STATE(12293), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586996] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15026), 1,
      anon_sym_end,
    STATE(12293), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587050] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12294), 1,
      sym_attribute,
    STATE(12866), 1,
      sym__attribute,
    STATE(13801), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [587104] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15028), 1,
      anon_sym_end,
    STATE(12295), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587158] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15030), 1,
      anon_sym_end,
    STATE(12296), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587212] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15032), 1,
      anon_sym_end,
    STATE(12297), 1,
      sym_attribute,
    STATE(12299), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15036), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15034), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [587300] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15038), 1,
      anon_sym_end,
    STATE(12299), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587354] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14971), 1,
      anon_sym_and,
    ACTIONS(15042), 1,
      anon_sym_let,
    STATE(11917), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15040), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587392] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_and,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    ACTIONS(14146), 1,
      sym_or_operator,
    ACTIONS(14148), 1,
      sym_assign_operator,
    ACTIONS(14398), 1,
      anon_sym_SEMI,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9028), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [587450] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_and,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    ACTIONS(14146), 1,
      sym_or_operator,
    ACTIONS(14148), 1,
      sym_assign_operator,
    ACTIONS(14398), 1,
      anon_sym_SEMI,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(9036), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [587508] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14082), 1,
      anon_sym_end,
    STATE(12303), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587562] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14086), 1,
      anon_sym_end,
    STATE(12304), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587616] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15044), 1,
      anon_sym_end,
    STATE(12305), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587670] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15046), 1,
      anon_sym_end,
    STATE(12306), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15048), 1,
      anon_sym_end,
    STATE(11769), 1,
      aux_sym_object_expression_repeat1,
    STATE(12307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15050), 1,
      anon_sym_end,
    STATE(11964), 1,
      aux_sym_object_expression_repeat1,
    STATE(12308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587832] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15052), 1,
      anon_sym_end,
    STATE(11957), 1,
      aux_sym_object_expression_repeat1,
    STATE(12309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587886] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15054), 1,
      anon_sym_end,
    STATE(12310), 1,
      sym_attribute,
    STATE(12311), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587940] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15056), 1,
      anon_sym_end,
    STATE(12311), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [587994] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15058), 1,
      anon_sym_end,
    STATE(12312), 1,
      sym_attribute,
    STATE(12314), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588048] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15060), 1,
      anon_sym_end,
    STATE(12313), 1,
      sym_attribute,
    STATE(12315), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588102] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15062), 1,
      anon_sym_end,
    STATE(12314), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588156] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15064), 1,
      anon_sym_end,
    STATE(12315), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588210] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15066), 1,
      anon_sym_end,
    STATE(12316), 1,
      sym_attribute,
    STATE(12317), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588264] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15068), 1,
      anon_sym_end,
    STATE(12317), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588318] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15070), 1,
      anon_sym_end,
    STATE(12318), 1,
      sym_attribute,
    STATE(12324), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588372] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15074), 1,
      anon_sym_let,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15072), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588412] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14971), 1,
      anon_sym_and,
    ACTIONS(15078), 1,
      anon_sym_let,
    STATE(11917), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15076), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588450] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14971), 1,
      anon_sym_and,
    ACTIONS(15078), 1,
      anon_sym_let,
    STATE(12300), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15076), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588488] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14454), 1,
      anon_sym_and,
    ACTIONS(14456), 1,
      sym_let_and_operator,
    STATE(11991), 1,
      aux_sym_value_definition_repeat1,
    STATE(12322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14648), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588528] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14104), 1,
      anon_sym_end,
    STATE(12323), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588582] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15080), 1,
      anon_sym_end,
    STATE(12324), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588636] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15082), 1,
      anon_sym_end,
    STATE(12325), 1,
      sym_attribute,
    STATE(12329), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588690] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15084), 1,
      anon_sym_end,
    STATE(12326), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588744] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15086), 1,
      anon_sym_end,
    STATE(12327), 1,
      sym_attribute,
    STATE(12330), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588798] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15088), 1,
      anon_sym_end,
    STATE(12328), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588852] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15090), 1,
      anon_sym_end,
    STATE(12329), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588906] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15092), 1,
      anon_sym_end,
    STATE(12330), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [588960] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15094), 1,
      anon_sym_end,
    STATE(12331), 1,
      sym_attribute,
    STATE(12332), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589014] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15096), 1,
      anon_sym_end,
    STATE(12332), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589068] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15098), 1,
      anon_sym_end,
    STATE(12333), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589122] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13647), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_DASH_GT,
    ACTIONS(14818), 1,
      anon_sym_with,
    STATE(12334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13645), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589160] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14454), 1,
      anon_sym_and,
    ACTIONS(14456), 1,
      sym_let_and_operator,
    STATE(12322), 1,
      aux_sym_value_definition_repeat1,
    STATE(12335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14871), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(14869), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589200] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14836), 1,
      anon_sym_PIPE,
    STATE(12175), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12241), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589238] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14836), 1,
      anon_sym_PIPE,
    STATE(12183), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13699), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13697), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_and,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    ACTIONS(14146), 1,
      sym_or_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 6,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [589330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15100), 1,
      anon_sym_end,
    STATE(12339), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589384] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589428] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14136), 1,
      sym_pow_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589466] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_PIPE,
    STATE(12269), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12243), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12241), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589504] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14985), 1,
      anon_sym_PIPE,
    STATE(12270), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13699), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13697), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589542] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_DASH_GT,
    ACTIONS(14818), 1,
      anon_sym_with,
    STATE(12344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13583), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589580] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13635), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15102), 1,
      anon_sym_DASH_GT,
    ACTIONS(15104), 1,
      anon_sym_with,
    STATE(12345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13633), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589618] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13639), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15102), 1,
      anon_sym_DASH_GT,
    ACTIONS(15104), 1,
      anon_sym_with,
    STATE(12346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13637), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589656] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13643), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15102), 1,
      anon_sym_DASH_GT,
    ACTIONS(15104), 1,
      anon_sym_with,
    STATE(12347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13641), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589694] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13647), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15102), 1,
      anon_sym_DASH_GT,
    ACTIONS(15104), 1,
      anon_sym_with,
    STATE(12348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13645), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589732] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15102), 1,
      anon_sym_DASH_GT,
    ACTIONS(15104), 1,
      anon_sym_with,
    STATE(12349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13583), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [589770] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14136), 1,
      sym_pow_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589808] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [589854] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14118), 1,
      anon_sym_end,
    STATE(12352), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589908] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15106), 1,
      anon_sym_end,
    STATE(12353), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [589962] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [590008] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [590058] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14110), 1,
      anon_sym_end,
    STATE(12356), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590112] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15108), 1,
      anon_sym_end,
    STATE(12357), 1,
      sym_attribute,
    STATE(12358), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590166] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15110), 1,
      anon_sym_end,
    STATE(12358), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590220] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15112), 1,
      anon_sym_end,
    STATE(12359), 1,
      sym_attribute,
    STATE(12361), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590274] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15114), 1,
      anon_sym_end,
    STATE(12360), 1,
      sym_attribute,
    STATE(12362), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590328] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15116), 1,
      anon_sym_end,
    STATE(12361), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590382] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15118), 1,
      anon_sym_end,
    STATE(12362), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590436] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15120), 1,
      anon_sym_end,
    STATE(12363), 1,
      sym_attribute,
    STATE(12364), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590490] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15122), 1,
      anon_sym_end,
    STATE(12364), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590544] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_and,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    ACTIONS(14146), 1,
      sym_or_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [590596] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14122), 1,
      anon_sym_end,
    STATE(12366), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590650] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15124), 1,
      anon_sym_end,
    STATE(12367), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590704] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15128), 1,
      anon_sym_let,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12086), 1,
      aux_sym_expression_item_repeat1,
    STATE(12368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15126), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590744] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15130), 1,
      anon_sym_end,
    STATE(12369), 1,
      sym_attribute,
    STATE(12370), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590798] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15132), 1,
      anon_sym_end,
    STATE(12370), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590852] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15134), 1,
      anon_sym_end,
    STATE(12371), 1,
      sym_attribute,
    STATE(12373), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590906] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15136), 1,
      anon_sym_end,
    STATE(12372), 1,
      sym_attribute,
    STATE(12374), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [590960] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15138), 1,
      anon_sym_end,
    STATE(12373), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591014] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15140), 1,
      anon_sym_end,
    STATE(12374), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591068] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15142), 1,
      anon_sym_end,
    STATE(12375), 1,
      sym_attribute,
    STATE(12376), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591122] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15144), 1,
      anon_sym_end,
    STATE(12376), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591176] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12628), 1,
      anon_sym_constraint,
    ACTIONS(12630), 1,
      anon_sym_val,
    ACTIONS(12634), 1,
      anon_sym_inherit,
    ACTIONS(12636), 1,
      anon_sym_method,
    ACTIONS(12638), 1,
      anon_sym_initializer,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15146), 1,
      anon_sym_end,
    STATE(12377), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591230] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15148), 1,
      anon_sym_constraint,
    ACTIONS(15151), 1,
      anon_sym_val,
    ACTIONS(15154), 1,
      anon_sym_end,
    ACTIONS(15156), 1,
      anon_sym_inherit,
    ACTIONS(15159), 1,
      anon_sym_method,
    ACTIONS(15162), 1,
      anon_sym_initializer,
    ACTIONS(15165), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(15168), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(15171), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12378), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(14105), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14103), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [591282] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_and,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    ACTIONS(14134), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    ACTIONS(14140), 1,
      sym_concat_operator,
    ACTIONS(14142), 1,
      sym_rel_operator,
    ACTIONS(14144), 1,
      sym_and_operator,
    ACTIONS(14146), 1,
      sym_or_operator,
    ACTIONS(14148), 1,
      sym_assign_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [591338] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14136), 1,
      sym_pow_operator,
    ACTIONS(14138), 1,
      sym_mult_operator,
    STATE(1918), 1,
      sym_add_operator,
    STATE(12380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [591378] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12381), 1,
      sym_attribute,
    STATE(12785), 1,
      sym__attribute,
    STATE(13620), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [591432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15176), 1,
      anon_sym_let,
    STATE(12382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591465] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15178), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11129), 1,
      aux_sym_expression_item_repeat1,
    STATE(12383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13727), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591504] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15180), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11309), 1,
      aux_sym_expression_item_repeat1,
    STATE(12384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13733), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591543] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14648), 1,
      anon_sym_let,
    ACTIONS(15182), 1,
      anon_sym_and,
    ACTIONS(15184), 1,
      sym_let_and_operator,
    STATE(12385), 1,
      sym_attribute,
    STATE(12432), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591582] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4841), 1,
      aux_sym_number_token1,
    ACTIONS(4845), 1,
      anon_sym_SQUOTE,
    ACTIONS(4847), 1,
      anon_sym_DQUOTE,
    ACTIONS(7147), 1,
      aux_sym_signed_number_token1,
    ACTIONS(15186), 1,
      anon_sym_LPAREN,
    ACTIONS(15190), 1,
      anon_sym_LBRACE,
    ACTIONS(15192), 1,
      anon_sym_begin,
    STATE(12386), 1,
      sym_attribute,
    STATE(13900), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15188), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13646), 2,
      sym__constant,
      sym_signed_number,
    STATE(12787), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [591633] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15194), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12219), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12387), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11636), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11638), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [591701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11498), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11500), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [591734] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14832), 1,
      anon_sym_let,
    ACTIONS(15197), 1,
      anon_sym_and,
    ACTIONS(15199), 1,
      sym_let_and_operator,
    STATE(12390), 1,
      sym_attribute,
    STATE(12453), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14830), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591773] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7235), 1,
      aux_sym_number_token1,
    ACTIONS(7237), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7239), 1,
      anon_sym_SQUOTE,
    ACTIONS(7241), 1,
      anon_sym_DQUOTE,
    ACTIONS(15201), 1,
      anon_sym_LPAREN,
    ACTIONS(15205), 1,
      anon_sym_LBRACE,
    ACTIONS(15207), 1,
      anon_sym_begin,
    STATE(12391), 1,
      sym_attribute,
    STATE(14829), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15203), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14391), 2,
      sym__constant,
      sym_signed_number,
    STATE(14495), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [591824] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15209), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11406), 1,
      aux_sym_expression_item_repeat1,
    STATE(12392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13803), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [591863] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    ACTIONS(15225), 1,
      sym_or_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 5,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [591916] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591959] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15215), 1,
      sym_pow_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [591996] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15215), 1,
      sym_pow_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592033] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [592078] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [592123] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15227), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11406), 1,
      aux_sym_expression_item_repeat1,
    STATE(12399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13803), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592162] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15229), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11072), 1,
      aux_sym_expression_item_repeat1,
    STATE(12400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13809), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592201] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14648), 1,
      anon_sym_let,
    ACTIONS(15197), 1,
      anon_sym_and,
    ACTIONS(15199), 1,
      sym_let_and_operator,
    STATE(12401), 1,
      sym_attribute,
    STATE(12453), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592240] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_DASH_GT,
    ACTIONS(14818), 1,
      anon_sym_with,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12402), 1,
      sym_attribute,
    STATE(12692), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15231), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592281] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [592330] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    ACTIONS(15225), 1,
      sym_or_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [592381] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [592434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8192), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [592467] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    ACTIONS(15225), 1,
      sym_or_operator,
    ACTIONS(15249), 1,
      sym_assign_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [592522] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15251), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11074), 1,
      aux_sym_expression_item_repeat1,
    STATE(12408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592561] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592600] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12399), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15253), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12410), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8350), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [592670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8342), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [592703] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    ACTIONS(14925), 1,
      anon_sym_val,
    STATE(9265), 1,
      sym_module_path,
    STATE(12413), 1,
      sym_attribute,
    STATE(13917), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [592754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15256), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11101), 1,
      aux_sym_expression_item_repeat1,
    STATE(12414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13775), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592793] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    ACTIONS(15225), 1,
      sym_or_operator,
    ACTIONS(15249), 1,
      sym_assign_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [592848] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15258), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11104), 1,
      aux_sym_expression_item_repeat1,
    STATE(12416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [592887] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    ACTIONS(15225), 1,
      sym_or_operator,
    ACTIONS(15249), 1,
      sym_assign_operator,
    ACTIONS(15260), 1,
      anon_sym_SEMI,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [592944] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_else,
    STATE(11042), 1,
      sym_else_clause,
    STATE(12418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [592981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(8050), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [593014] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    ACTIONS(15264), 1,
      sym_assign_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [593069] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    ACTIONS(15225), 1,
      sym_or_operator,
    ACTIONS(15249), 1,
      sym_assign_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [593124] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    ACTIONS(15225), 1,
      sym_or_operator,
    ACTIONS(15249), 1,
      sym_assign_operator,
    ACTIONS(15260), 1,
      anon_sym_SEMI,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11452), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11454), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [593214] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15266), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11118), 1,
      aux_sym_expression_item_repeat1,
    STATE(12424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13755), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593253] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5411), 1,
      anon_sym_DOT,
    STATE(12425), 1,
      sym_attribute,
    STATE(19215), 1,
      sym_add_operator,
    STATE(20710), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1415), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1417), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1413), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(5423), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [593296] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13699), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15268), 1,
      anon_sym_PIPE,
    STATE(12426), 1,
      sym_attribute,
    STATE(12441), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13697), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11466), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [593366] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15270), 1,
      anon_sym_else,
    STATE(11018), 1,
      sym_else_clause,
    STATE(12428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15274), 1,
      anon_sym_let,
    STATE(12429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15272), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593436] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14648), 1,
      anon_sym_let,
    ACTIONS(15182), 1,
      anon_sym_and,
    ACTIONS(15184), 1,
      sym_let_and_operator,
    STATE(12430), 1,
      sym_attribute,
    STATE(12434), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593475] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593510] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14452), 1,
      anon_sym_let,
    ACTIONS(15182), 1,
      anon_sym_and,
    ACTIONS(15184), 1,
      sym_let_and_operator,
    STATE(12432), 1,
      sym_attribute,
    STATE(12434), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593549] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_else,
    STATE(11018), 1,
      sym_else_clause,
    STATE(12433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [593586] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14556), 1,
      anon_sym_let,
    ACTIONS(15276), 1,
      anon_sym_and,
    ACTIONS(15279), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12434), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14554), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15284), 1,
      anon_sym_let,
    STATE(12435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15282), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593656] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    ACTIONS(15264), 1,
      sym_assign_operator,
    ACTIONS(15286), 1,
      anon_sym_SEMI,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [593713] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4981), 1,
      aux_sym_number_token1,
    ACTIONS(4983), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4985), 1,
      anon_sym_SQUOTE,
    ACTIONS(4987), 1,
      anon_sym_DQUOTE,
    ACTIONS(15288), 1,
      anon_sym_LPAREN,
    ACTIONS(15292), 1,
      anon_sym_LBRACE,
    ACTIONS(15294), 1,
      anon_sym_begin,
    STATE(5916), 1,
      sym__signed_constant,
    STATE(12437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15290), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5636), 2,
      sym__constant,
      sym_signed_number,
    STATE(5626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [593764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11572), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11574), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [593797] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13851), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15268), 1,
      anon_sym_PIPE,
    STATE(12439), 1,
      sym_attribute,
    STATE(12441), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13849), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593834] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14452), 1,
      anon_sym_let,
    ACTIONS(15182), 1,
      anon_sym_and,
    ACTIONS(15184), 1,
      sym_let_and_operator,
    STATE(12440), 1,
      sym_attribute,
    STATE(12444), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593873] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13434), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15296), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12441), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13432), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [593908] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [593943] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_STAR,
    STATE(12443), 1,
      sym_attribute,
    STATE(12447), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593980] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14832), 1,
      anon_sym_let,
    ACTIONS(15182), 1,
      anon_sym_and,
    ACTIONS(15184), 1,
      sym_let_and_operator,
    STATE(12434), 1,
      aux_sym_value_definition_repeat1,
    STATE(12444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14830), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594019] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    ACTIONS(15264), 1,
      sym_assign_operator,
    ACTIONS(15286), 1,
      anon_sym_SEMI,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594076] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4761), 1,
      aux_sym_number_token1,
    ACTIONS(4763), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4765), 1,
      anon_sym_SQUOTE,
    ACTIONS(4767), 1,
      anon_sym_DQUOTE,
    ACTIONS(15299), 1,
      anon_sym_LPAREN,
    ACTIONS(15303), 1,
      anon_sym_LBRACE,
    ACTIONS(15305), 1,
      anon_sym_begin,
    STATE(5729), 1,
      sym__signed_constant,
    STATE(12446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15301), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5518), 2,
      sym__constant,
      sym_signed_number,
    STATE(5550), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [594127] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15307), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12219), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12447), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14426), 1,
      anon_sym_let,
    STATE(12448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14424), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594195] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5431), 1,
      anon_sym_DOT,
    STATE(12449), 1,
      sym_attribute,
    STATE(19215), 1,
      sym_add_operator,
    STATE(20417), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1415), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1417), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1413), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(5437), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [594238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11684), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11686), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [594271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11400), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [594304] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14452), 1,
      anon_sym_let,
    ACTIONS(15197), 1,
      anon_sym_and,
    ACTIONS(15199), 1,
      sym_let_and_operator,
    STATE(12452), 1,
      sym_attribute,
    STATE(12453), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594343] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14556), 1,
      anon_sym_let,
    ACTIONS(15310), 1,
      anon_sym_and,
    ACTIONS(15313), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12453), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14554), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594380] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15316), 1,
      anon_sym_PIPE,
    STATE(12454), 1,
      sym_attribute,
    STATE(12477), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594417] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12481), 1,
      anon_sym_STAR,
    ACTIONS(13386), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12455), 1,
      sym_attribute,
    STATE(12456), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [594454] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15318), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12456), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [594489] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    ACTIONS(15264), 1,
      sym_assign_operator,
    ACTIONS(15321), 1,
      anon_sym_SEMI,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [594546] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    ACTIONS(15264), 1,
      sym_assign_operator,
    ACTIONS(15321), 1,
      anon_sym_SEMI,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [594603] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14452), 1,
      anon_sym_let,
    ACTIONS(15197), 1,
      anon_sym_and,
    ACTIONS(15199), 1,
      sym_let_and_operator,
    STATE(12390), 1,
      aux_sym_value_definition_repeat1,
    STATE(12459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14450), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594642] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    ACTIONS(14855), 1,
      anon_sym_val,
    STATE(9265), 1,
      sym_module_path,
    STATE(12460), 1,
      sym_attribute,
    STATE(13713), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [594693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9222), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [594726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11702), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [594759] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15323), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11232), 1,
      aux_sym_expression_item_repeat1,
    STATE(12463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13783), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [594798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11716), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11718), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [594831] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15316), 1,
      anon_sym_PIPE,
    STATE(12465), 1,
      sym_attribute,
    STATE(12501), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594868] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15270), 1,
      anon_sym_else,
    STATE(11042), 1,
      sym_else_clause,
    STATE(12466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [594905] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14744), 1,
      anon_sym_DOT,
    STATE(12467), 1,
      sym_attribute,
    STATE(18939), 1,
      sym__infix_operator,
    STATE(19215), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1415), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1417), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1413), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(14746), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [594948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11598), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11600), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [594981] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15325), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11129), 1,
      aux_sym_expression_item_repeat1,
    STATE(12469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13727), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595020] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4941), 1,
      anon_sym_DOT,
    STATE(12470), 1,
      sym_attribute,
    STATE(19006), 1,
      sym__infix_operator,
    STATE(19215), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1415), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1417), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1413), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(4947), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [595063] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15237), 1,
      sym_pow_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [595100] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15237), 1,
      sym_pow_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [595137] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5601), 1,
      anon_sym_DOT,
    STATE(12473), 1,
      sym_attribute,
    STATE(19215), 1,
      sym_add_operator,
    STATE(19235), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1415), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1417), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1413), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(5607), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [595180] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    ACTIONS(15225), 1,
      sym_or_operator,
    ACTIONS(15249), 1,
      sym_assign_operator,
    ACTIONS(15260), 1,
      anon_sym_SEMI,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [595237] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [595282] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [595327] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15316), 1,
      anon_sym_PIPE,
    STATE(12477), 1,
      sym_attribute,
    STATE(12522), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [595364] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4795), 1,
      aux_sym_number_token1,
    ACTIONS(4797), 1,
      aux_sym_signed_number_token1,
    ACTIONS(4799), 1,
      anon_sym_SQUOTE,
    ACTIONS(4801), 1,
      anon_sym_DQUOTE,
    ACTIONS(15327), 1,
      anon_sym_LPAREN,
    ACTIONS(15331), 1,
      anon_sym_LBRACE,
    ACTIONS(15333), 1,
      anon_sym_begin,
    STATE(5659), 1,
      sym__signed_constant,
    STATE(12478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5483), 2,
      sym__constant,
      sym_signed_number,
    STATE(5539), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [595415] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14871), 1,
      anon_sym_let,
    ACTIONS(15182), 1,
      anon_sym_and,
    ACTIONS(15184), 1,
      sym_let_and_operator,
    STATE(12430), 1,
      aux_sym_value_definition_repeat1,
    STATE(12479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14869), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595454] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15335), 1,
      anon_sym_LPAREN,
    ACTIONS(15337), 1,
      anon_sym_constraint,
    ACTIONS(15339), 1,
      anon_sym_val,
    ACTIONS(15341), 1,
      anon_sym_end,
    ACTIONS(15343), 1,
      anon_sym_inherit,
    ACTIONS(15345), 1,
      anon_sym_method,
    STATE(12480), 1,
      sym_attribute,
    STATE(12759), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14270), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14254), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [595507] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12579), 1,
      anon_sym_STAR,
    STATE(12387), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(12481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595544] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15268), 1,
      anon_sym_PIPE,
    STATE(12426), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12241), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595581] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13699), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15268), 1,
      anon_sym_PIPE,
    STATE(12439), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13697), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595618] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12399), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15347), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12484), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595655] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15350), 1,
      anon_sym_PIPE,
    STATE(12485), 1,
      sym_attribute,
    STATE(12525), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12241), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595692] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13699), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15350), 1,
      anon_sym_PIPE,
    STATE(12486), 1,
      sym_attribute,
    STATE(12526), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13697), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595729] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    STATE(12487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 10,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [595764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15352), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11072), 1,
      aux_sym_expression_item_repeat1,
    STATE(12488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13809), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11458), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [595836] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15354), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11074), 1,
      aux_sym_expression_item_repeat1,
    STATE(12490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13815), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595875] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12599), 1,
      anon_sym_STAR,
    ACTIONS(13386), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12491), 1,
      sym_attribute,
    STATE(12499), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595912] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15102), 1,
      anon_sym_DASH_GT,
    ACTIONS(15104), 1,
      anon_sym_with,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12492), 1,
      sym_attribute,
    STATE(12820), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15356), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595953] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15102), 1,
      anon_sym_DASH_GT,
    ACTIONS(15104), 1,
      anon_sym_with,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12493), 1,
      sym_attribute,
    STATE(12692), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15231), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595994] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    ACTIONS(15213), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15215), 1,
      sym_pow_operator,
    ACTIONS(15217), 1,
      sym_mult_operator,
    ACTIONS(15219), 1,
      sym_concat_operator,
    ACTIONS(15221), 1,
      sym_rel_operator,
    ACTIONS(15223), 1,
      sym_and_operator,
    ACTIONS(15225), 1,
      sym_or_operator,
    ACTIONS(15249), 1,
      sym_assign_operator,
    STATE(1895), 1,
      sym_add_operator,
    STATE(12494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [596049] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_DASH_GT,
    ACTIONS(14818), 1,
      anon_sym_with,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11612), 1,
      aux_sym_expression_item_repeat1,
    STATE(12495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13977), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596090] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_DASH_GT,
    ACTIONS(14818), 1,
      anon_sym_with,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    STATE(12496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13923), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11578), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [596164] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14648), 1,
      anon_sym_let,
    ACTIONS(15197), 1,
      anon_sym_and,
    ACTIONS(15199), 1,
      sym_let_and_operator,
    STATE(12452), 1,
      aux_sym_value_definition_repeat1,
    STATE(12498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596203] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15358), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12499), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596238] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15361), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11101), 1,
      aux_sym_expression_item_repeat1,
    STATE(12500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13775), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596277] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15316), 1,
      anon_sym_PIPE,
    STATE(12501), 1,
      sym_attribute,
    STATE(12522), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [596314] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15102), 1,
      anon_sym_DASH_GT,
    ACTIONS(15104), 1,
      anon_sym_with,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11612), 1,
      aux_sym_expression_item_repeat1,
    STATE(12502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13977), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596355] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15102), 1,
      anon_sym_DASH_GT,
    ACTIONS(15104), 1,
      anon_sym_with,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    STATE(12503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13923), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11632), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11634), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [596429] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14190), 1,
      anon_sym_COMMA,
    STATE(12505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 9,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [596464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9092), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [596497] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15363), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11104), 1,
      aux_sym_expression_item_repeat1,
    STATE(12507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13823), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11412), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11414), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [596569] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [596618] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15365), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11309), 1,
      aux_sym_expression_item_repeat1,
    STATE(12510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13733), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11418), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [596690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11422), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [596723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11428), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11430), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [596756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11434), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [596789] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_and,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [596840] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    ACTIONS(15264), 1,
      sym_assign_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [596895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11438), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [596928] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [596967] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    ACTIONS(15264), 1,
      sym_assign_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [597022] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14816), 1,
      anon_sym_DASH_GT,
    ACTIONS(14818), 1,
      anon_sym_with,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12520), 1,
      sym_attribute,
    STATE(12820), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15356), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15367), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11118), 1,
      aux_sym_expression_item_repeat1,
    STATE(12521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13755), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15369), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12522), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [597137] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15372), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11085), 1,
      aux_sym_expression_item_repeat1,
    STATE(12523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13793), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597176] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15374), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11232), 1,
      aux_sym_expression_item_repeat1,
    STATE(12524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13783), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597215] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13699), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15350), 1,
      anon_sym_PIPE,
    STATE(12525), 1,
      sym_attribute,
    STATE(12527), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13697), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597252] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13851), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15350), 1,
      anon_sym_PIPE,
    STATE(12526), 1,
      sym_attribute,
    STATE(12527), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13849), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597289] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13434), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15376), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12527), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13432), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597324] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5501), 1,
      anon_sym_DOT,
    STATE(12528), 1,
      sym_attribute,
    STATE(19215), 1,
      sym_add_operator,
    STATE(20429), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1415), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1417), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1413), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(5507), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [597367] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7187), 1,
      aux_sym_number_token1,
    ACTIONS(7189), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7191), 1,
      anon_sym_SQUOTE,
    ACTIONS(7193), 1,
      anon_sym_DQUOTE,
    ACTIONS(15379), 1,
      anon_sym_LPAREN,
    ACTIONS(15383), 1,
      anon_sym_LBRACE,
    ACTIONS(15385), 1,
      anon_sym_begin,
    STATE(9219), 1,
      sym__signed_constant,
    STATE(12529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15381), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9091), 2,
      sym__constant,
      sym_signed_number,
    STATE(9097), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [597418] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2057), 1,
      anon_sym_DOT,
    STATE(12530), 1,
      sym_attribute,
    STATE(19177), 1,
      sym__infix_operator,
    STATE(19215), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1415), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1417), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1413), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(2065), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [597461] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    ACTIONS(15264), 1,
      sym_assign_operator,
    ACTIONS(15321), 1,
      anon_sym_SEMI,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [597518] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5531), 1,
      anon_sym_DOT,
    STATE(12532), 1,
      sym_attribute,
    STATE(19215), 1,
      sym_add_operator,
    STATE(20534), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1415), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1417), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1413), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(5537), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [597561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11778), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11780), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [597594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11518), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [597627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11782), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11784), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [597660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11794), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11796), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [597693] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_and,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    ACTIONS(15241), 1,
      sym_concat_operator,
    ACTIONS(15243), 1,
      sym_rel_operator,
    ACTIONS(15245), 1,
      sym_and_operator,
    ACTIONS(15247), 1,
      sym_or_operator,
    ACTIONS(15264), 1,
      sym_assign_operator,
    ACTIONS(15286), 1,
      anon_sym_SEMI,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10316), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [597750] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5039), 1,
      aux_sym_number_token1,
    ACTIONS(5041), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5043), 1,
      anon_sym_SQUOTE,
    ACTIONS(5045), 1,
      anon_sym_DQUOTE,
    ACTIONS(15387), 1,
      anon_sym_LPAREN,
    ACTIONS(15391), 1,
      anon_sym_LBRACE,
    ACTIONS(15393), 1,
      anon_sym_begin,
    STATE(5930), 1,
      sym__signed_constant,
    STATE(12538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15389), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5619), 2,
      sym__constant,
      sym_signed_number,
    STATE(5744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [597801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14871), 1,
      anon_sym_let,
    ACTIONS(15197), 1,
      anon_sym_and,
    ACTIONS(15199), 1,
      sym_let_and_operator,
    STATE(12401), 1,
      aux_sym_value_definition_repeat1,
    STATE(12539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14869), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11448), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11450), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [597873] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11740), 1,
      aux_sym_expression_item_repeat1,
    STATE(12541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15395), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14124), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597912] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11644), 1,
      aux_sym_expression_item_repeat1,
    STATE(12542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15397), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13965), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597951] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11740), 1,
      aux_sym_expression_item_repeat1,
    STATE(12543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15399), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14124), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [597990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(11644), 1,
      aux_sym_expression_item_repeat1,
    STATE(12544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15401), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13965), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11798), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11800), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [598062] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15403), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(11085), 1,
      aux_sym_expression_item_repeat1,
    STATE(12546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13793), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598101] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15237), 1,
      sym_pow_operator,
    ACTIONS(15239), 1,
      sym_mult_operator,
    STATE(2266), 1,
      sym_add_operator,
    STATE(12547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [598144] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_PIPE,
    STATE(12548), 1,
      sym_attribute,
    STATE(12697), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598180] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15407), 1,
      anon_sym_PIPE,
    STATE(12549), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598216] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15407), 1,
      anon_sym_PIPE,
    STATE(12550), 1,
      sym_attribute,
    STATE(12553), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598252] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    ACTIONS(15423), 1,
      sym_or_operator,
    ACTIONS(15425), 1,
      sym_assign_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [598306] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15407), 1,
      anon_sym_PIPE,
    STATE(12552), 1,
      sym_attribute,
    STATE(12553), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598342] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15427), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12553), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598376] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15430), 1,
      anon_sym_PIPE,
    STATE(12554), 1,
      sym_attribute,
    STATE(12556), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598412] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15430), 1,
      anon_sym_PIPE,
    STATE(12555), 1,
      sym_attribute,
    STATE(12557), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598448] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15430), 1,
      anon_sym_PIPE,
    STATE(12556), 1,
      sym_attribute,
    STATE(12558), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598484] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15430), 1,
      anon_sym_PIPE,
    STATE(12557), 1,
      sym_attribute,
    STATE(12558), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15432), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12558), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598554] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    ACTIONS(15449), 1,
      sym_or_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [598606] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598648] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15439), 1,
      sym_pow_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598684] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15439), 1,
      sym_pow_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598720] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [598764] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [598808] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [598856] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    ACTIONS(15449), 1,
      sym_or_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [598906] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    ACTIONS(15449), 1,
      sym_or_operator,
    ACTIONS(15451), 1,
      sym_assign_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [598960] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [598998] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    ACTIONS(15449), 1,
      sym_or_operator,
    ACTIONS(15451), 1,
      sym_assign_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [599052] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15453), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(12570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599088] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    ACTIONS(15449), 1,
      sym_or_operator,
    ACTIONS(15451), 1,
      sym_assign_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [599142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    STATE(12572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 9,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599176] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15457), 1,
      anon_sym_let,
    ACTIONS(15459), 1,
      anon_sym_and,
    STATE(12573), 1,
      sym_attribute,
    STATE(12853), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15455), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599212] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11112), 1,
      anon_sym_as,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15463), 1,
      anon_sym_STAR,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    STATE(12574), 1,
      sym_attribute,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 10,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_AMP,
  [599256] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    ACTIONS(15449), 1,
      sym_or_operator,
    ACTIONS(15451), 1,
      sym_assign_operator,
    ACTIONS(15467), 1,
      anon_sym_SEMI,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599312] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    ACTIONS(15449), 1,
      sym_or_operator,
    ACTIONS(15451), 1,
      sym_assign_operator,
    ACTIONS(15467), 1,
      anon_sym_SEMI,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599368] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12577), 1,
      sym_attribute,
    STATE(13577), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599416] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15469), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(12578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599452] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599486] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15453), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(12580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599522] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12581), 1,
      sym_attribute,
    STATE(13589), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599570] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    ACTIONS(15449), 1,
      sym_or_operator,
    ACTIONS(15451), 1,
      sym_assign_operator,
    ACTIONS(15467), 1,
      anon_sym_SEMI,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599626] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15473), 1,
      anon_sym_SEMI,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    ACTIONS(15489), 1,
      sym_assign_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [599682] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12584), 1,
      sym_attribute,
    STATE(13574), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599730] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12585), 1,
      sym_attribute,
    STATE(13037), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15491), 1,
      anon_sym_EQ,
    ACTIONS(15493), 1,
      anon_sym_of,
    ACTIONS(15495), 1,
      anon_sym_COLON2,
    STATE(12586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13006), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599816] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13018), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15497), 1,
      anon_sym_EQ,
    ACTIONS(15499), 1,
      anon_sym_of,
    ACTIONS(15501), 1,
      anon_sym_COLON2,
    STATE(12587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13016), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599854] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15503), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(12588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [599890] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12589), 1,
      sym_attribute,
    STATE(13699), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [599938] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12648), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15505), 1,
      anon_sym_EQ,
    ACTIONS(15507), 1,
      anon_sym_of,
    ACTIONS(15509), 1,
      anon_sym_COLON2,
    STATE(12590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12646), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599976] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(9343), 1,
      sym__module_expression,
    STATE(12591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [600024] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15513), 1,
      anon_sym_let,
    ACTIONS(15515), 1,
      anon_sym_and,
    STATE(12592), 1,
      sym_attribute,
    STATE(12668), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15511), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600060] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600094] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15469), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(12594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600130] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(9268), 1,
      sym__module_expression,
    STATE(12595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [600178] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15513), 1,
      anon_sym_let,
    ACTIONS(15515), 1,
      anon_sym_and,
    STATE(12596), 1,
      sym_attribute,
    STATE(12669), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15511), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600214] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    ACTIONS(15531), 1,
      sym_or_operator,
    ACTIONS(15533), 1,
      sym_assign_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [600268] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15535), 1,
      anon_sym_PIPE,
    STATE(12598), 1,
      sym_attribute,
    STATE(12600), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600304] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15535), 1,
      anon_sym_PIPE,
    STATE(12599), 1,
      sym_attribute,
    STATE(12601), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600340] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15535), 1,
      anon_sym_PIPE,
    STATE(12600), 1,
      sym_attribute,
    STATE(12602), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600376] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15535), 1,
      anon_sym_PIPE,
    STATE(12601), 1,
      sym_attribute,
    STATE(12602), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15537), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12602), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600446] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15457), 1,
      anon_sym_let,
    ACTIONS(15459), 1,
      anon_sym_and,
    STATE(12603), 1,
      sym_attribute,
    STATE(12859), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15455), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600482] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    ACTIONS(15423), 1,
      sym_or_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [600534] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600576] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15413), 1,
      sym_pow_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600612] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15413), 1,
      sym_pow_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600648] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [600692] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [600736] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [600784] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    ACTIONS(15423), 1,
      sym_or_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [600834] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    ACTIONS(15423), 1,
      sym_or_operator,
    ACTIONS(15425), 1,
      sym_assign_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [600888] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [600926] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    ACTIONS(15423), 1,
      sym_or_operator,
    ACTIONS(15425), 1,
      sym_assign_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [600980] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    ACTIONS(15423), 1,
      sym_or_operator,
    ACTIONS(15425), 1,
      sym_assign_operator,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [601034] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(12616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601070] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15544), 1,
      anon_sym_let,
    ACTIONS(15546), 1,
      anon_sym_and,
    STATE(12617), 1,
      sym_attribute,
    STATE(12665), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15542), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601106] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(15548), 1,
      anon_sym_COLON_GT,
    ACTIONS(15550), 1,
      anon_sym_RPAREN,
    ACTIONS(15552), 1,
      anon_sym_COLON2,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12618), 1,
      sym_attribute,
    STATE(17588), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601164] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(15554), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12619), 1,
      sym_attribute,
    STATE(13597), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [601212] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12620), 1,
      sym_attribute,
    STATE(13904), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [601260] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15558), 1,
      anon_sym_let,
    ACTIONS(15560), 1,
      anon_sym_and,
    STATE(12621), 1,
      sym_attribute,
    STATE(12623), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15556), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601296] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15560), 1,
      anon_sym_and,
    ACTIONS(15564), 1,
      anon_sym_let,
    STATE(12622), 1,
      sym_attribute,
    STATE(12623), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15562), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601332] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15274), 1,
      anon_sym_let,
    ACTIONS(15566), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12623), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15272), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601366] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15560), 1,
      anon_sym_and,
    ACTIONS(15564), 1,
      anon_sym_let,
    STATE(12624), 1,
      sym_attribute,
    STATE(12625), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15562), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15560), 1,
      anon_sym_and,
    ACTIONS(15571), 1,
      anon_sym_let,
    STATE(12623), 1,
      aux_sym_type_definition_repeat1,
    STATE(12625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15569), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(11060), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [601470] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601504] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(12628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601540] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    ACTIONS(15587), 1,
      sym_or_operator,
    ACTIONS(15589), 1,
      sym_assign_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [601594] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12630), 1,
      sym_attribute,
    STATE(13620), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [601642] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(9329), 1,
      sym__module_expression,
    STATE(12631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [601690] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15176), 1,
      anon_sym_let,
    ACTIONS(15591), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12632), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15174), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601724] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    ACTIONS(15531), 1,
      sym_or_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [601776] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601818] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15521), 1,
      sym_pow_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601854] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15521), 1,
      sym_pow_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [601890] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [601934] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [601978] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [602026] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    ACTIONS(15531), 1,
      sym_or_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [602076] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    ACTIONS(15531), 1,
      sym_or_operator,
    ACTIONS(15533), 1,
      sym_assign_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [602130] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602168] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    ACTIONS(15531), 1,
      sym_or_operator,
    ACTIONS(15533), 1,
      sym_assign_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [602222] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    ACTIONS(15531), 1,
      sym_or_operator,
    ACTIONS(15533), 1,
      sym_assign_operator,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [602276] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15594), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(12645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602312] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15546), 1,
      anon_sym_and,
    ACTIONS(15598), 1,
      anon_sym_let,
    STATE(12632), 1,
      aux_sym_class_definition_repeat1,
    STATE(12646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15596), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602348] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12647), 1,
      sym_attribute,
    STATE(13850), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [602396] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    ACTIONS(15602), 1,
      anon_sym_SEMI,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    ACTIONS(15616), 1,
      sym_or_operator,
    ACTIONS(15618), 1,
      sym_assign_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [602452] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602486] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15594), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(12650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602522] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10336), 1,
      anon_sym_as,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(15620), 1,
      anon_sym_DASH_GT,
    ACTIONS(15622), 1,
      anon_sym_STAR,
    STATE(12651), 1,
      sym_attribute,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 9,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [602568] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    ACTIONS(15587), 1,
      sym_or_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [602620] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602662] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15577), 1,
      sym_pow_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602698] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15577), 1,
      sym_pow_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [602734] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [602778] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [602822] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [602870] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    ACTIONS(15587), 1,
      sym_or_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [602920] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    ACTIONS(15587), 1,
      sym_or_operator,
    ACTIONS(15589), 1,
      sym_assign_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [602974] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603012] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    ACTIONS(15587), 1,
      sym_or_operator,
    ACTIONS(15589), 1,
      sym_assign_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [603066] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    ACTIONS(15587), 1,
      sym_or_operator,
    ACTIONS(15589), 1,
      sym_assign_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [603120] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12664), 1,
      sym_attribute,
    STATE(13795), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603168] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15513), 1,
      anon_sym_let,
    ACTIONS(15546), 1,
      anon_sym_and,
    STATE(12632), 1,
      aux_sym_class_definition_repeat1,
    STATE(12665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15511), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603204] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15503), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(12666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603240] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15513), 1,
      anon_sym_let,
    ACTIONS(15546), 1,
      anon_sym_and,
    STATE(12646), 1,
      aux_sym_class_definition_repeat1,
    STATE(12667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15511), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603276] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15176), 1,
      anon_sym_let,
    ACTIONS(15624), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12668), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15174), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603310] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15515), 1,
      anon_sym_and,
    ACTIONS(15598), 1,
      anon_sym_let,
    STATE(12668), 1,
      aux_sym_class_definition_repeat1,
    STATE(12669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15596), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603346] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15627), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(12670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603382] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12671), 1,
      sym_attribute,
    STATE(13567), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603430] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12672), 1,
      sym_attribute,
    STATE(13569), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603478] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603512] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12674), 1,
      sym_attribute,
    STATE(13685), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15571), 1,
      anon_sym_let,
    ACTIONS(15629), 1,
      anon_sym_and,
    STATE(12675), 1,
      sym_attribute,
    STATE(12810), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15569), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603596] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    ACTIONS(15616), 1,
      sym_or_operator,
    ACTIONS(15618), 1,
      sym_assign_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [603650] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15631), 1,
      anon_sym_else,
    STATE(11018), 1,
      sym_else_clause,
    STATE(12677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603686] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12678), 1,
      sym_attribute,
    STATE(13758), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [603734] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15633), 1,
      anon_sym_PIPE,
    STATE(12679), 1,
      sym_attribute,
    STATE(12681), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603770] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15633), 1,
      anon_sym_PIPE,
    STATE(12680), 1,
      sym_attribute,
    STATE(12682), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603806] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15633), 1,
      anon_sym_PIPE,
    STATE(12681), 1,
      sym_attribute,
    STATE(12683), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603842] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15633), 1,
      anon_sym_PIPE,
    STATE(12682), 1,
      sym_attribute,
    STATE(12683), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603878] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15635), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12683), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [603912] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      anon_sym_as,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    STATE(12684), 1,
      sym_attribute,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 11,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
  [603954] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12685), 1,
      sym_attribute,
    STATE(13803), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604002] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15638), 1,
      anon_sym_PIPE,
    STATE(12686), 1,
      sym_attribute,
    STATE(12688), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604038] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15638), 1,
      anon_sym_PIPE,
    STATE(12687), 1,
      sym_attribute,
    STATE(12689), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604074] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15638), 1,
      anon_sym_PIPE,
    STATE(12688), 1,
      sym_attribute,
    STATE(12690), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604110] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15638), 1,
      anon_sym_PIPE,
    STATE(12689), 1,
      sym_attribute,
    STATE(12690), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15640), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12690), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604180] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12691), 1,
      sym_attribute,
    STATE(13683), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604228] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15643), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604264] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12693), 1,
      sym_attribute,
    STATE(12707), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15645), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604300] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_PIPE,
    STATE(12548), 1,
      aux_sym__match_cases_repeat1,
    STATE(12694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604336] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_PIPE,
    STATE(12695), 1,
      sym_attribute,
    STATE(12696), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604372] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_PIPE,
    STATE(12696), 1,
      sym_attribute,
    STATE(12697), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604408] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15647), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12697), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604442] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15337), 1,
      anon_sym_constraint,
    ACTIONS(15339), 1,
      anon_sym_val,
    ACTIONS(15343), 1,
      anon_sym_inherit,
    ACTIONS(15345), 1,
      anon_sym_method,
    ACTIONS(15650), 1,
      anon_sym_end,
    STATE(12698), 1,
      sym_attribute,
    STATE(12754), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14270), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14254), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [604492] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15652), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604528] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12700), 1,
      sym_attribute,
    STATE(13830), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604576] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15654), 1,
      anon_sym_PIPE,
    STATE(12701), 1,
      sym_attribute,
    STATE(12703), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604612] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15654), 1,
      anon_sym_PIPE,
    STATE(12702), 1,
      sym_attribute,
    STATE(12704), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604648] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15654), 1,
      anon_sym_PIPE,
    STATE(12703), 1,
      sym_attribute,
    STATE(12705), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604684] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15654), 1,
      anon_sym_PIPE,
    STATE(12704), 1,
      sym_attribute,
    STATE(12705), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15656), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12705), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [604754] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13030), 1,
      anon_sym_STAR,
    STATE(12706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604788] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15659), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604824] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12708), 1,
      sym_attribute,
    STATE(13764), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [604872] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15661), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15665), 1,
      anon_sym_nonrec,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    STATE(12709), 1,
      sym_attribute,
    STATE(12721), 1,
      sym_type_binding,
    STATE(13527), 1,
      sym__attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15238), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(20453), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [604932] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15515), 1,
      anon_sym_and,
    ACTIONS(15544), 1,
      anon_sym_let,
    STATE(12592), 1,
      aux_sym_class_definition_repeat1,
    STATE(12710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15542), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604968] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12711), 1,
      sym_attribute,
    STATE(13690), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605016] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    ACTIONS(15689), 1,
      sym_or_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [605068] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12713), 1,
      sym_attribute,
    STATE(13785), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605116] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12714), 1,
      sym_attribute,
    STATE(13831), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605164] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605206] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12716), 1,
      sym_attribute,
    STATE(13710), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605254] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15679), 1,
      sym_pow_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605290] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15679), 1,
      sym_pow_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605326] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12719), 1,
      sym_attribute,
    STATE(13769), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605374] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    ACTIONS(15616), 1,
      sym_or_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [605426] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15629), 1,
      anon_sym_and,
    ACTIONS(15693), 1,
      anon_sym_let,
    STATE(12721), 1,
      sym_attribute,
    STATE(12840), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15691), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11060), 15,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [605494] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605536] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12724), 1,
      sym_attribute,
    STATE(13826), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [605584] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15606), 1,
      sym_pow_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605620] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15606), 1,
      sym_pow_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605656] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15695), 1,
      anon_sym_else,
    STATE(11042), 1,
      sym_else_clause,
    STATE(12727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605692] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [605736] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [605780] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [605828] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    ACTIONS(15616), 1,
      sym_or_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [605878] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    ACTIONS(15616), 1,
      sym_or_operator,
    ACTIONS(15618), 1,
      sym_assign_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [605932] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [605970] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    ACTIONS(15616), 1,
      sym_or_operator,
    ACTIONS(15618), 1,
      sym_assign_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [606024] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12735), 1,
      sym_attribute,
    STATE(13908), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606072] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15457), 1,
      anon_sym_let,
    ACTIONS(15697), 1,
      anon_sym_and,
    STATE(12736), 1,
      sym_attribute,
    STATE(12885), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15455), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606108] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12737), 1,
      sym_attribute,
    STATE(13731), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606156] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [606200] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [606244] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [606292] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12741), 1,
      sym_attribute,
    STATE(13707), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606340] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    ACTIONS(15689), 1,
      sym_or_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [606390] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    ACTIONS(15689), 1,
      sym_or_operator,
    ACTIONS(15699), 1,
      sym_assign_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606444] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    ACTIONS(15689), 1,
      sym_or_operator,
    ACTIONS(15699), 1,
      sym_assign_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [606498] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15701), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(12745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606534] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [606568] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15631), 1,
      anon_sym_else,
    STATE(11042), 1,
      sym_else_clause,
    STATE(12747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606604] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12748), 1,
      sym_attribute,
    STATE(13754), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606652] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15703), 1,
      sym__lowercase_identifier,
    ACTIONS(15705), 1,
      anon_sym_DASH_GT,
    ACTIONS(15707), 1,
      anon_sym_STAR,
    ACTIONS(15709), 1,
      anon_sym_POUND,
    STATE(12749), 1,
      sym_attribute,
    STATE(13429), 1,
      sym_type_constructor_path,
    STATE(17896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 3,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(10336), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [606698] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [606736] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    ACTIONS(15423), 1,
      sym_or_operator,
    ACTIONS(15425), 1,
      sym_assign_operator,
    ACTIONS(15711), 1,
      anon_sym_SEMI,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [606792] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    ACTIONS(15689), 1,
      sym_or_operator,
    ACTIONS(15699), 1,
      sym_assign_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [606846] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12753), 1,
      sym_attribute,
    STATE(13797), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606894] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15713), 1,
      anon_sym_constraint,
    ACTIONS(15716), 1,
      anon_sym_val,
    ACTIONS(15719), 1,
      anon_sym_end,
    ACTIONS(15721), 1,
      anon_sym_inherit,
    ACTIONS(15724), 1,
      anon_sym_method,
    ACTIONS(15727), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(15730), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(15733), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12754), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(14270), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14254), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [606942] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12755), 1,
      sym_attribute,
    STATE(13689), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606990] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15703), 1,
      sym__lowercase_identifier,
    ACTIONS(15709), 1,
      anon_sym_POUND,
    ACTIONS(15736), 1,
      anon_sym_STAR,
    STATE(12756), 1,
      sym_attribute,
    STATE(13429), 1,
      sym_type_constructor_path,
    STATE(17896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 4,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11112), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [607034] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12757), 1,
      sym_attribute,
    STATE(13905), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607082] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    ACTIONS(15587), 1,
      sym_or_operator,
    ACTIONS(15589), 1,
      sym_assign_operator,
    ACTIONS(15738), 1,
      anon_sym_SEMI,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [607138] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15337), 1,
      anon_sym_constraint,
    ACTIONS(15339), 1,
      anon_sym_val,
    ACTIONS(15343), 1,
      anon_sym_inherit,
    ACTIONS(15345), 1,
      anon_sym_method,
    ACTIONS(15740), 1,
      anon_sym_end,
    STATE(12754), 1,
      aux_sym_class_body_type_repeat1,
    STATE(12759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14270), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14254), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [607188] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12760), 1,
      sym_attribute,
    STATE(13916), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607236] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(12761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607306] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12763), 1,
      sym_attribute,
    STATE(13719), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607354] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12764), 1,
      sym_attribute,
    STATE(13572), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607402] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15744), 1,
      aux_sym_attribute_id_token1,
    STATE(12765), 1,
      sym_attribute,
    STATE(12767), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8705), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8703), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [607438] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12766), 1,
      sym_attribute,
    STATE(13872), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607486] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15744), 1,
      aux_sym_attribute_id_token1,
    STATE(12767), 1,
      sym_attribute,
    STATE(12793), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8684), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8682), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [607522] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12768), 1,
      sym_attribute,
    STATE(13884), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607570] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8274), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8276), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [607602] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8308), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8310), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [607634] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [607686] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12772), 1,
      sym_attribute,
    STATE(13794), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607734] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607776] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15477), 1,
      sym_pow_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607812] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15477), 1,
      sym_pow_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [607848] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [607892] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [607936] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [607984] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [608034] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    ACTIONS(15489), 1,
      sym_assign_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [608088] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608126] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    ACTIONS(15489), 1,
      sym_assign_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [608180] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12783), 1,
      sym_attribute,
    STATE(13895), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608228] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    ACTIONS(15689), 1,
      sym_or_operator,
    ACTIONS(15699), 1,
      sym_assign_operator,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [608282] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12785), 1,
      sym_attribute,
    STATE(13638), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608330] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15703), 1,
      sym__lowercase_identifier,
    ACTIONS(15709), 1,
      anon_sym_POUND,
    STATE(12786), 1,
      sym_attribute,
    STATE(13429), 1,
      sym_type_constructor_path,
    STATE(17896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11158), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [608372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8312), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8314), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [608404] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12788), 1,
      sym_attribute,
    STATE(13704), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608452] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15473), 1,
      anon_sym_SEMI,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    ACTIONS(15489), 1,
      sym_assign_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [608508] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12855), 1,
      anon_sym_STAR,
    STATE(12790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608542] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12791), 1,
      sym_attribute,
    STATE(13897), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608590] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15746), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(12792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608626] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15748), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12793), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8694), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8692), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [608660] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12794), 1,
      sym_attribute,
    STATE(13910), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608708] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    ACTIONS(15489), 1,
      sym_assign_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [608762] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12796), 1,
      sym_attribute,
    STATE(13911), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608810] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15627), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(12797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [608846] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    ACTIONS(15616), 1,
      sym_or_operator,
    ACTIONS(15618), 1,
      sym_assign_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [608900] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12799), 1,
      sym_attribute,
    STATE(13747), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [608948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8056), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8058), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [608980] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11182), 1,
      anon_sym_as,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15751), 1,
      anon_sym_POUND,
    STATE(12801), 1,
      sym_attribute,
    STATE(13351), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 11,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
  [609022] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12802), 1,
      sym_attribute,
    STATE(13894), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609070] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15564), 1,
      anon_sym_let,
    ACTIONS(15629), 1,
      anon_sym_and,
    STATE(12803), 1,
      sym_attribute,
    STATE(12810), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15562), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609106] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12804), 1,
      sym_attribute,
    STATE(13805), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609154] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15755), 1,
      anon_sym_let,
    ACTIONS(15757), 1,
      anon_sym_DOT,
    STATE(12805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15753), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609188] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12806), 1,
      sym_attribute,
    STATE(13697), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609236] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8122), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8124), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [609268] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12808), 1,
      sym_attribute,
    STATE(13845), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609316] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12809), 1,
      sym_attribute,
    STATE(13822), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609364] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15274), 1,
      anon_sym_let,
    ACTIONS(15759), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12810), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15272), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609398] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15564), 1,
      anon_sym_let,
    ACTIONS(15629), 1,
      anon_sym_and,
    STATE(12675), 1,
      aux_sym_type_definition_repeat1,
    STATE(12811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15562), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609434] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12812), 1,
      sym_attribute,
    STATE(13907), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609482] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(15762), 1,
      sym__lowercase_identifier,
    ACTIONS(15764), 1,
      anon_sym_nonrec,
    STATE(12813), 1,
      sym_attribute,
    STATE(13380), 1,
      sym_type_binding,
    STATE(13473), 1,
      sym__attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15902), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21208), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [609542] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13994), 1,
      anon_sym_functor,
    ACTIONS(13996), 1,
      anon_sym_struct,
    STATE(9265), 1,
      sym_module_path,
    STATE(9786), 1,
      sym__module_expression,
    STATE(12814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609590] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13994), 1,
      anon_sym_functor,
    ACTIONS(13996), 1,
      anon_sym_struct,
    STATE(9265), 1,
      sym_module_path,
    STATE(9791), 1,
      sym__module_expression,
    STATE(12815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609638] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9038), 1,
      sym__module_expression,
    STATE(9265), 1,
      sym_module_path,
    STATE(12816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609686] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8384), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8386), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13994), 1,
      anon_sym_functor,
    ACTIONS(13996), 1,
      anon_sym_struct,
    STATE(9265), 1,
      sym_module_path,
    STATE(10382), 1,
      sym__module_expression,
    STATE(12817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [609734] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    ACTIONS(15689), 1,
      sym_or_operator,
    ACTIONS(15699), 1,
      sym_assign_operator,
    ACTIONS(15766), 1,
      anon_sym_SEMI,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609790] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    ACTIONS(15689), 1,
      sym_or_operator,
    ACTIONS(15699), 1,
      sym_assign_operator,
    ACTIONS(15766), 1,
      anon_sym_SEMI,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609846] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10727), 1,
      aux_sym_expression_item_repeat1,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15768), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609882] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15770), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(12821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [609918] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    ACTIONS(15437), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15439), 1,
      sym_pow_operator,
    ACTIONS(15441), 1,
      sym_mult_operator,
    ACTIONS(15443), 1,
      sym_concat_operator,
    ACTIONS(15445), 1,
      sym_rel_operator,
    ACTIONS(15447), 1,
      sym_and_operator,
    ACTIONS(15449), 1,
      sym_or_operator,
    ACTIONS(15451), 1,
      sym_assign_operator,
    STATE(2071), 1,
      sym_add_operator,
    STATE(12822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [609972] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    ACTIONS(15423), 1,
      sym_or_operator,
    ACTIONS(15425), 1,
      sym_assign_operator,
    ACTIONS(15711), 1,
      anon_sym_SEMI,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610028] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11329), 1,
      sym_item_attribute,
    STATE(12699), 1,
      aux_sym_expression_item_repeat1,
    STATE(12824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15772), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610064] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(15776), 1,
      anon_sym_nonrec,
    STATE(12825), 1,
      sym_attribute,
    STATE(13403), 1,
      sym_type_binding,
    STATE(13467), 1,
      sym__attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15305), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21228), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610124] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    ACTIONS(15411), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15413), 1,
      sym_pow_operator,
    ACTIONS(15415), 1,
      sym_mult_operator,
    ACTIONS(15417), 1,
      sym_concat_operator,
    ACTIONS(15419), 1,
      sym_rel_operator,
    ACTIONS(15421), 1,
      sym_and_operator,
    ACTIONS(15423), 1,
      sym_or_operator,
    ACTIONS(15425), 1,
      sym_assign_operator,
    ACTIONS(15711), 1,
      anon_sym_SEMI,
    STATE(1970), 1,
      sym_add_operator,
    STATE(12826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610180] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(15554), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12827), 1,
      sym_attribute,
    STATE(13571), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610228] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    ACTIONS(15531), 1,
      sym_or_operator,
    ACTIONS(15533), 1,
      sym_assign_operator,
    ACTIONS(15778), 1,
      anon_sym_SEMI,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610284] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    ACTIONS(15531), 1,
      sym_or_operator,
    ACTIONS(15533), 1,
      sym_assign_operator,
    ACTIONS(15778), 1,
      anon_sym_SEMI,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610340] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    ACTIONS(15587), 1,
      sym_or_operator,
    ACTIONS(15589), 1,
      sym_assign_operator,
    ACTIONS(15738), 1,
      anon_sym_SEMI,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610396] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    ACTIONS(15575), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15577), 1,
      sym_pow_operator,
    ACTIONS(15579), 1,
      sym_mult_operator,
    ACTIONS(15581), 1,
      sym_concat_operator,
    ACTIONS(15583), 1,
      sym_rel_operator,
    ACTIONS(15585), 1,
      sym_and_operator,
    ACTIONS(15587), 1,
      sym_or_operator,
    ACTIONS(15589), 1,
      sym_assign_operator,
    ACTIONS(15738), 1,
      anon_sym_SEMI,
    STATE(2131), 1,
      sym_add_operator,
    STATE(12831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610452] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      anon_sym_and,
    ACTIONS(15782), 1,
      anon_sym_let,
    STATE(12603), 1,
      aux_sym_module_definition_repeat1,
    STATE(12832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15780), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610488] = 19,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(15784), 1,
      sym__lowercase_identifier,
    ACTIONS(15786), 1,
      anon_sym_nonrec,
    STATE(12833), 1,
      sym_attribute,
    STATE(12835), 1,
      sym_type_binding,
    STATE(13529), 1,
      sym__attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15356), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21242), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [610548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    STATE(12834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 9,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [610582] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15560), 1,
      anon_sym_and,
    ACTIONS(15693), 1,
      anon_sym_let,
    STATE(12621), 1,
      aux_sym_type_definition_repeat1,
    STATE(12835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15691), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610618] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15558), 1,
      anon_sym_let,
    ACTIONS(15560), 1,
      anon_sym_and,
    STATE(12622), 1,
      aux_sym_type_definition_repeat1,
    STATE(12836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15556), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610654] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13699), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15788), 1,
      anon_sym_PIPE,
    STATE(12837), 1,
      sym_attribute,
    STATE(12839), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13697), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610690] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13851), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15788), 1,
      anon_sym_PIPE,
    STATE(12838), 1,
      sym_attribute,
    STATE(12839), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13849), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610726] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13434), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15790), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12839), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13432), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610760] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15558), 1,
      anon_sym_let,
    ACTIONS(15629), 1,
      anon_sym_and,
    STATE(12810), 1,
      aux_sym_type_definition_repeat1,
    STATE(12840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15556), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610796] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13699), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15793), 1,
      anon_sym_PIPE,
    STATE(12841), 1,
      sym_attribute,
    STATE(12843), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13697), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610832] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13851), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15793), 1,
      anon_sym_PIPE,
    STATE(12842), 1,
      sym_attribute,
    STATE(12843), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13849), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610868] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13434), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15795), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(13432), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610902] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    ACTIONS(15602), 1,
      anon_sym_SEMI,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    ACTIONS(15616), 1,
      sym_or_operator,
    ACTIONS(15618), 1,
      sym_assign_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [610958] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15746), 1,
      anon_sym_else,
    STATE(8579), 1,
      sym_else_clause,
    STATE(12845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [610994] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    ACTIONS(15602), 1,
      anon_sym_SEMI,
    ACTIONS(15604), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15606), 1,
      sym_pow_operator,
    ACTIONS(15608), 1,
      sym_mult_operator,
    ACTIONS(15610), 1,
      sym_concat_operator,
    ACTIONS(15612), 1,
      sym_rel_operator,
    ACTIONS(15614), 1,
      sym_and_operator,
    ACTIONS(15616), 1,
      sym_or_operator,
    ACTIONS(15618), 1,
      sym_assign_operator,
    STATE(1871), 1,
      sym_add_operator,
    STATE(12846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [611050] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(15703), 1,
      sym__lowercase_identifier,
    ACTIONS(15798), 1,
      anon_sym_POUND,
    STATE(12847), 1,
      sym_attribute,
    STATE(13530), 1,
      sym_type_constructor_path,
    STATE(17896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11182), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [611092] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(9336), 1,
      sym__module_expression,
    STATE(12848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611140] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15695), 1,
      anon_sym_else,
    STATE(11018), 1,
      sym_else_clause,
    STATE(12849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [611176] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    ACTIONS(15677), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15679), 1,
      sym_pow_operator,
    ACTIONS(15681), 1,
      sym_mult_operator,
    ACTIONS(15683), 1,
      sym_concat_operator,
    ACTIONS(15685), 1,
      sym_rel_operator,
    ACTIONS(15687), 1,
      sym_and_operator,
    ACTIONS(15689), 1,
      sym_or_operator,
    ACTIONS(15699), 1,
      sym_assign_operator,
    ACTIONS(15766), 1,
      anon_sym_SEMI,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [611232] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14096), 1,
      anon_sym_functor,
    ACTIONS(14098), 1,
      anon_sym_struct,
    ACTIONS(14100), 1,
      sym__uppercase_identifier,
    STATE(12851), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__module_expression,
    STATE(13957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13988), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8344), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8346), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [611312] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      anon_sym_and,
    ACTIONS(15802), 1,
      anon_sym_let,
    STATE(12853), 1,
      sym_attribute,
    STATE(12859), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15800), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611348] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9198), 1,
      sym__module_expression,
    STATE(9265), 1,
      sym_module_path,
    STATE(12854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611396] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9205), 1,
      sym__module_expression,
    STATE(9265), 1,
      sym_module_path,
    STATE(12855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611444] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9230), 1,
      sym__module_expression,
    STATE(9265), 1,
      sym_module_path,
    STATE(12856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611492] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8118), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8120), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [611524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8152), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(8154), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [611556] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15284), 1,
      anon_sym_let,
    ACTIONS(15804), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12859), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15282), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611590] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      anon_sym_and,
    ACTIONS(15802), 1,
      anon_sym_let,
    STATE(12860), 1,
      sym_attribute,
    STATE(12875), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15800), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611626] = 18,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(15552), 1,
      anon_sym_COLON2,
    ACTIONS(15807), 1,
      anon_sym_COLON_GT,
    ACTIONS(15809), 1,
      anon_sym_RPAREN,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12861), 1,
      sym_attribute,
    STATE(17521), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [611684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2260), 1,
      sym_add_operator,
    STATE(12862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [611718] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13008), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15491), 1,
      anon_sym_EQ,
    ACTIONS(15811), 1,
      anon_sym_of,
    ACTIONS(15813), 1,
      anon_sym_COLON2,
    STATE(12863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13006), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611756] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13018), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15497), 1,
      anon_sym_EQ,
    ACTIONS(15815), 1,
      anon_sym_of,
    ACTIONS(15817), 1,
      anon_sym_COLON2,
    STATE(12864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13016), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611794] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(99), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12640), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12642), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15337), 1,
      anon_sym_constraint,
    ACTIONS(15339), 1,
      anon_sym_val,
    ACTIONS(15343), 1,
      anon_sym_inherit,
    ACTIONS(15345), 1,
      anon_sym_method,
    ACTIONS(15819), 1,
      anon_sym_end,
    STATE(12698), 1,
      aux_sym_class_body_type_repeat1,
    STATE(12865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14270), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14254), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [611844] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12866), 1,
      sym_attribute,
    STATE(13788), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611892] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(8856), 1,
      sym__module_expression,
    STATE(9265), 1,
      sym_module_path,
    STATE(12867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611940] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15742), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(12868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [611976] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12869), 1,
      sym_attribute,
    STATE(13723), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612024] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12648), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15505), 1,
      anon_sym_EQ,
    ACTIONS(15821), 1,
      anon_sym_of,
    ACTIONS(15823), 1,
      anon_sym_COLON2,
    STATE(12870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12646), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612062] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    ACTIONS(15519), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15521), 1,
      sym_pow_operator,
    ACTIONS(15523), 1,
      sym_mult_operator,
    ACTIONS(15525), 1,
      sym_concat_operator,
    ACTIONS(15527), 1,
      sym_rel_operator,
    ACTIONS(15529), 1,
      sym_and_operator,
    ACTIONS(15531), 1,
      sym_or_operator,
    ACTIONS(15533), 1,
      sym_assign_operator,
    ACTIONS(15778), 1,
      anon_sym_SEMI,
    STATE(2001), 1,
      sym_add_operator,
    STATE(12871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612118] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9242), 1,
      sym__module_expression,
    STATE(9265), 1,
      sym_module_path,
    STATE(12872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612166] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14043), 1,
      anon_sym_functor,
    STATE(9243), 1,
      sym__module_expression,
    STATE(9265), 1,
      sym_module_path,
    STATE(12873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612214] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(13990), 1,
      anon_sym_LPAREN,
    ACTIONS(13996), 1,
      anon_sym_struct,
    ACTIONS(14164), 1,
      anon_sym_functor,
    STATE(9265), 1,
      sym_module_path,
    STATE(12874), 1,
      sym_attribute,
    STATE(13953), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9276), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612262] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      anon_sym_and,
    ACTIONS(15827), 1,
      anon_sym_let,
    STATE(12859), 1,
      aux_sym_module_definition_repeat1,
    STATE(12875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15825), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612298] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15788), 1,
      anon_sym_PIPE,
    STATE(12837), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12241), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612334] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13699), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15788), 1,
      anon_sym_PIPE,
    STATE(12838), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13697), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612370] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15558), 1,
      anon_sym_let,
    ACTIONS(15629), 1,
      anon_sym_and,
    STATE(12803), 1,
      aux_sym_type_definition_repeat1,
    STATE(12878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15556), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12243), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15793), 1,
      anon_sym_PIPE,
    STATE(12841), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12241), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612442] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13699), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15793), 1,
      anon_sym_PIPE,
    STATE(12842), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13697), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612478] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15473), 1,
      anon_sym_SEMI,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    ACTIONS(15489), 1,
      sym_assign_operator,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612534] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15407), 1,
      anon_sym_PIPE,
    STATE(12550), 1,
      aux_sym__match_cases_repeat1,
    STATE(12882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612570] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15770), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(12883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612606] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15457), 1,
      anon_sym_let,
    ACTIONS(15697), 1,
      anon_sym_and,
    STATE(12884), 1,
      sym_attribute,
    STATE(12886), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15455), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612642] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15697), 1,
      anon_sym_and,
    ACTIONS(15802), 1,
      anon_sym_let,
    STATE(12885), 1,
      sym_attribute,
    STATE(12886), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15800), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612678] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15284), 1,
      anon_sym_let,
    ACTIONS(15829), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12886), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15282), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612712] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15697), 1,
      anon_sym_and,
    ACTIONS(15802), 1,
      anon_sym_let,
    STATE(12887), 1,
      sym_attribute,
    STATE(12888), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15800), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612748] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15697), 1,
      anon_sym_and,
    ACTIONS(15827), 1,
      anon_sym_let,
    STATE(12886), 1,
      aux_sym_module_definition_repeat1,
    STATE(12888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15825), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612784] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15697), 1,
      anon_sym_and,
    ACTIONS(15782), 1,
      anon_sym_let,
    STATE(12884), 1,
      aux_sym_module_definition_repeat1,
    STATE(12889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15780), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612820] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15701), 1,
      anon_sym_else,
    STATE(8571), 1,
      sym_else_clause,
    STATE(12890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [612856] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [612903] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(15844), 1,
      anon_sym_RBRACK,
    ACTIONS(15846), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12892), 1,
      sym_attribute,
    STATE(17176), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [612958] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15850), 1,
      anon_sym_SEMI,
    ACTIONS(15852), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12893), 1,
      sym_attribute,
    STATE(16370), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613013] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613064] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    ACTIONS(15882), 1,
      sym_rel_operator,
    ACTIONS(15884), 1,
      sym_and_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(12895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [613111] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [613152] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15862), 1,
      sym_pow_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [613187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15888), 1,
      anon_sym_let,
    STATE(12898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15886), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613218] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15890), 1,
      anon_sym_DQUOTE,
    STATE(12899), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18728), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [613259] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15862), 1,
      sym_pow_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [613294] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [613337] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [613380] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    ACTIONS(15912), 1,
      sym_or_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(12903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [613429] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [613476] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [613525] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    ACTIONS(15914), 1,
      sym_assign_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613578] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [613615] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    ACTIONS(15914), 1,
      sym_assign_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613668] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15916), 1,
      anon_sym_DQUOTE,
    STATE(12909), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19003), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [613709] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(15918), 1,
      anon_sym_RBRACK,
    ACTIONS(15920), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12910), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613764] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(15922), 1,
      anon_sym_RBRACK,
    ACTIONS(15924), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12911), 1,
      sym_attribute,
    STATE(16734), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613819] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [613852] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(15926), 1,
      anon_sym_SEMI,
    ACTIONS(15928), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12913), 1,
      sym_attribute,
    STATE(16360), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [613907] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    ACTIONS(15912), 1,
      sym_or_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [613954] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    STATE(12915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [613987] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    ACTIONS(15912), 1,
      sym_or_operator,
    ACTIONS(15930), 1,
      sym_assign_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(12916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [614038] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(12917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614075] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(15932), 1,
      anon_sym_RBRACK,
    ACTIONS(15934), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12918), 1,
      sym_attribute,
    STATE(16714), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8064), 1,
      anon_sym_let,
    STATE(12919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8066), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614161] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15936), 1,
      anon_sym_PIPE,
    STATE(12920), 1,
      sym_attribute,
    STATE(12922), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614196] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15936), 1,
      anon_sym_PIPE,
    STATE(12921), 1,
      sym_attribute,
    STATE(12923), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614231] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15936), 1,
      anon_sym_PIPE,
    STATE(12922), 1,
      sym_attribute,
    STATE(12924), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614266] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15936), 1,
      anon_sym_PIPE,
    STATE(12923), 1,
      sym_attribute,
    STATE(12924), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614301] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15938), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12924), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614334] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(15941), 1,
      anon_sym_SEMI,
    ACTIONS(15943), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12925), 1,
      sym_attribute,
    STATE(16883), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614389] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(15945), 1,
      anon_sym_SEMI,
    ACTIONS(15947), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12926), 1,
      sym_attribute,
    STATE(17186), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614444] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15949), 1,
      anon_sym_COLON_GT,
    ACTIONS(15951), 1,
      anon_sym_EQ,
    ACTIONS(15953), 1,
      anon_sym_COLON2,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(12927), 1,
      sym_attribute,
    STATE(13593), 1,
      sym__typed,
    STATE(13745), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15955), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15959), 1,
      anon_sym_let,
    ACTIONS(15961), 1,
      anon_sym_in,
    STATE(12928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15957), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614520] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_do,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15963), 1,
      anon_sym_COMMA,
    ACTIONS(15965), 1,
      anon_sym_SEMI,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    ACTIONS(15975), 1,
      sym_rel_operator,
    ACTIONS(15977), 1,
      sym_and_operator,
    ACTIONS(15979), 1,
      sym_or_operator,
    ACTIONS(15981), 1,
      sym_assign_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(12929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614575] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    ACTIONS(15985), 1,
      anon_sym_SEMI,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    ACTIONS(15999), 1,
      sym_or_operator,
    ACTIONS(16001), 1,
      sym_assign_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(12930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614628] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    ACTIONS(15912), 1,
      sym_or_operator,
    ACTIONS(15930), 1,
      sym_assign_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(12931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [614679] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2239), 1,
      sym_add_operator,
    STATE(12932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614712] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16003), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(12933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614747] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2188), 1,
      sym_add_operator,
    STATE(12934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614780] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16005), 1,
      anon_sym_DQUOTE,
    STATE(12935), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20761), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [614821] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(16007), 1,
      anon_sym_COMMA,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    ACTIONS(16017), 1,
      sym_rel_operator,
    ACTIONS(16019), 1,
      sym_and_operator,
    ACTIONS(16021), 1,
      sym_or_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614872] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    ACTIONS(15914), 1,
      sym_assign_operator,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [614925] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [614966] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16011), 1,
      sym_pow_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [615001] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16023), 1,
      anon_sym_RBRACK,
    ACTIONS(16025), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12940), 1,
      sym_attribute,
    STATE(16279), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615056] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16011), 1,
      sym_pow_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [615091] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16027), 1,
      anon_sym_SEMI,
    ACTIONS(16029), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12942), 1,
      sym_attribute,
    STATE(16287), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615146] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16031), 1,
      anon_sym_DQUOTE,
    STATE(12943), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20267), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615187] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [615230] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [615273] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    ACTIONS(16017), 1,
      sym_rel_operator,
    ACTIONS(16019), 1,
      sym_and_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [615320] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    ACTIONS(16017), 1,
      sym_rel_operator,
    ACTIONS(16019), 1,
      sym_and_operator,
    ACTIONS(16021), 1,
      sym_or_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [615369] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(16007), 1,
      anon_sym_COMMA,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    ACTIONS(16017), 1,
      sym_rel_operator,
    ACTIONS(16019), 1,
      sym_and_operator,
    ACTIONS(16021), 1,
      sym_or_operator,
    ACTIONS(16033), 1,
      sym_assign_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8290), 1,
      anon_sym_let,
    STATE(12949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615453] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    ACTIONS(15882), 1,
      sym_rel_operator,
    ACTIONS(15884), 1,
      sym_and_operator,
    ACTIONS(16035), 1,
      sym_or_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(12950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [615502] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615539] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(16007), 1,
      anon_sym_COMMA,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    ACTIONS(16017), 1,
      sym_rel_operator,
    ACTIONS(16019), 1,
      sym_and_operator,
    ACTIONS(16021), 1,
      sym_or_operator,
    ACTIONS(16033), 1,
      sym_assign_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615592] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16037), 1,
      anon_sym_RBRACK,
    ACTIONS(16039), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12953), 1,
      sym_attribute,
    STATE(16628), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615647] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16041), 1,
      anon_sym_SEMI,
    ACTIONS(16043), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12954), 1,
      sym_attribute,
    STATE(16749), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615702] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    ACTIONS(15489), 1,
      sym_assign_operator,
    ACTIONS(16045), 1,
      anon_sym_SEMI,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615755] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16047), 1,
      anon_sym_DQUOTE,
    STATE(12956), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18595), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [615796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12748), 1,
      anon_sym_DASH_GT,
    STATE(12957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615829] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15953), 1,
      anon_sym_COLON2,
    ACTIONS(16049), 1,
      anon_sym_COLON_GT,
    ACTIONS(16051), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(12958), 1,
      sym_attribute,
    STATE(13602), 1,
      sym__typed,
    STATE(13857), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16053), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [615872] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16055), 1,
      anon_sym_RBRACK,
    ACTIONS(16057), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12959), 1,
      sym_attribute,
    STATE(16939), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [615927] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    STATE(12960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615960] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    STATE(12961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [615993] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16059), 1,
      anon_sym_RBRACK,
    ACTIONS(16061), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12962), 1,
      sym_attribute,
    STATE(16558), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616048] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16063), 1,
      anon_sym_DQUOTE,
    STATE(12963), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20009), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [616089] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16065), 1,
      anon_sym_RBRACK,
    ACTIONS(16067), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12964), 1,
      sym_attribute,
    STATE(16857), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616144] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_done,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    ACTIONS(15914), 1,
      sym_assign_operator,
    ACTIONS(16069), 1,
      anon_sym_SEMI,
    STATE(2432), 1,
      sym_add_operator,
    STATE(12965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616199] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16073), 1,
      anon_sym_SEMI,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(12966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616252] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16091), 1,
      anon_sym_SEMI,
    ACTIONS(16093), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12967), 1,
      sym_attribute,
    STATE(16572), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616307] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12033), 1,
      anon_sym_COLON2,
    STATE(12968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [616340] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16095), 1,
      anon_sym_RBRACK,
    ACTIONS(16097), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(12969), 1,
      sym_attribute,
    STATE(17160), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616395] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(16007), 1,
      anon_sym_COMMA,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    ACTIONS(16017), 1,
      sym_rel_operator,
    ACTIONS(16019), 1,
      sym_and_operator,
    ACTIONS(16021), 1,
      sym_or_operator,
    ACTIONS(16033), 1,
      sym_assign_operator,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616448] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    ACTIONS(15489), 1,
      sym_assign_operator,
    ACTIONS(16045), 1,
      anon_sym_SEMI,
    STATE(2407), 1,
      sym_add_operator,
    STATE(12971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8056), 1,
      anon_sym_let,
    STATE(12972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616532] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    ACTIONS(15882), 1,
      sym_rel_operator,
    ACTIONS(15884), 1,
      sym_and_operator,
    ACTIONS(16035), 1,
      sym_or_operator,
    ACTIONS(16099), 1,
      anon_sym_COMMA,
    ACTIONS(16101), 1,
      sym_assign_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(12973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616585] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16103), 1,
      anon_sym_SEMI,
    ACTIONS(16105), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12974), 1,
      sym_attribute,
    STATE(16187), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616640] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    ACTIONS(15985), 1,
      anon_sym_SEMI,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    ACTIONS(15999), 1,
      sym_or_operator,
    ACTIONS(16001), 1,
      sym_assign_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(12975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616693] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_then,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(16007), 1,
      anon_sym_COMMA,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    ACTIONS(16017), 1,
      sym_rel_operator,
    ACTIONS(16019), 1,
      sym_and_operator,
    ACTIONS(16021), 1,
      sym_or_operator,
    ACTIONS(16033), 1,
      sym_assign_operator,
    ACTIONS(16107), 1,
      anon_sym_SEMI,
    STATE(2125), 1,
      sym_add_operator,
    STATE(12976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      anon_sym_let,
    STATE(12977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616779] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16109), 1,
      anon_sym_SEMI,
    ACTIONS(16111), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12978), 1,
      sym_attribute,
    STATE(16872), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616834] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16073), 1,
      anon_sym_SEMI,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(12979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8308), 1,
      anon_sym_let,
    STATE(12980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616918] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16113), 1,
      anon_sym_SEMI,
    ACTIONS(16115), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12981), 1,
      sym_attribute,
    STATE(17057), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [616973] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16117), 1,
      anon_sym_PIPE,
    STATE(12982), 1,
      sym_attribute,
    STATE(13268), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617008] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10328), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617039] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16119), 1,
      anon_sym_COLON2,
    STATE(12984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [617072] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(12985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10268), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617144] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16121), 1,
      anon_sym_COLON2,
    STATE(12987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617177] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16123), 1,
      anon_sym_SEMI,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8312), 1,
      anon_sym_let,
    STATE(12989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15959), 1,
      anon_sym_let,
    STATE(12990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15957), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617294] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16003), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(12991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617329] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(12992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617366] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16125), 1,
      anon_sym_SEMI,
    ACTIONS(16127), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(12993), 1,
      sym_attribute,
    STATE(16720), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8152), 1,
      anon_sym_let,
    STATE(12994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617452] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16129), 1,
      anon_sym_DQUOTE,
    STATE(12995), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20265), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [617493] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_with,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(16131), 1,
      anon_sym_COMMA,
    ACTIONS(16133), 1,
      anon_sym_SEMI,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    ACTIONS(16143), 1,
      sym_rel_operator,
    ACTIONS(16145), 1,
      sym_and_operator,
    ACTIONS(16147), 1,
      sym_or_operator,
    ACTIONS(16149), 1,
      sym_assign_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(12996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617548] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16151), 1,
      anon_sym_DQUOTE,
    STATE(12997), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19398), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [617589] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13386), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13623), 1,
      anon_sym_STAR,
    STATE(12998), 1,
      sym_attribute,
    STATE(13069), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617624] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16153), 1,
      anon_sym_DQUOTE,
    STATE(12999), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(21375), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [617665] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16155), 1,
      anon_sym_RBRACK,
    ACTIONS(16157), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13000), 1,
      sym_attribute,
    STATE(16511), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617720] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16159), 1,
      anon_sym_DQUOTE,
    STATE(13001), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19280), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [617761] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    STATE(13002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [617794] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16161), 1,
      anon_sym_RBRACK,
    ACTIONS(16163), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13003), 1,
      sym_attribute,
    STATE(16753), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617849] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15953), 1,
      anon_sym_COLON2,
    ACTIONS(16165), 1,
      anon_sym_COLON_GT,
    ACTIONS(16167), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13004), 1,
      sym_attribute,
    STATE(13563), 1,
      sym__typed,
    STATE(13847), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16169), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [617892] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16171), 1,
      anon_sym_SEMI,
    ACTIONS(16173), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13005), 1,
      sym_attribute,
    STATE(16538), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [617947] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16175), 1,
      anon_sym_DQUOTE,
    STATE(13006), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19275), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [617988] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16177), 1,
      anon_sym_SEMI,
    ACTIONS(16179), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13007), 1,
      sym_attribute,
    STATE(16767), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618043] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15963), 1,
      anon_sym_COMMA,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    ACTIONS(15975), 1,
      sym_rel_operator,
    ACTIONS(15977), 1,
      sym_and_operator,
    ACTIONS(15979), 1,
      sym_or_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618094] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618147] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16181), 1,
      anon_sym_DQUOTE,
    STATE(13010), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20181), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [618188] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16183), 1,
      anon_sym_RBRACK,
    ACTIONS(16185), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13011), 1,
      sym_attribute,
    STATE(15998), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618243] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618284] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16187), 1,
      anon_sym_RBRACK,
    ACTIONS(16189), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13013), 1,
      sym_attribute,
    STATE(16773), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618339] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16191), 1,
      anon_sym_SEMI,
    ACTIONS(16193), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13014), 1,
      sym_attribute,
    STATE(16039), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618394] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15969), 1,
      sym_pow_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [618429] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15969), 1,
      sym_pow_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [618464] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16195), 1,
      anon_sym_DQUOTE,
    STATE(13017), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18946), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [618505] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16197), 1,
      anon_sym_RBRACK,
    ACTIONS(16199), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13018), 1,
      sym_attribute,
    STATE(16457), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618560] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [618603] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    STATE(13020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618636] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16201), 1,
      anon_sym_SEMI,
    ACTIONS(16203), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13021), 1,
      sym_attribute,
    STATE(16778), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618691] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    ACTIONS(15912), 1,
      sym_or_operator,
    ACTIONS(15930), 1,
      sym_assign_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [618742] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16205), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(13023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [618777] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_COLON2,
    STATE(13024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [618810] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16207), 1,
      anon_sym_RBRACK,
    ACTIONS(16209), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13025), 1,
      sym_attribute,
    STATE(17056), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618865] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    ACTIONS(15912), 1,
      sym_or_operator,
    ACTIONS(15930), 1,
      sym_assign_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618916] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_done,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    ACTIONS(15914), 1,
      sym_assign_operator,
    ACTIONS(16069), 1,
      anon_sym_SEMI,
    STATE(2432), 1,
      sym_add_operator,
    STATE(13027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [618971] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619004] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16211), 1,
      anon_sym_SEMI,
    ACTIONS(16213), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13029), 1,
      sym_attribute,
    STATE(16816), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619059] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16215), 1,
      anon_sym_DQUOTE,
    STATE(13030), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18780), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [619100] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619141] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_done,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    ACTIONS(15914), 1,
      sym_assign_operator,
    ACTIONS(16069), 1,
      anon_sym_SEMI,
    STATE(2432), 1,
      sym_add_operator,
    STATE(13032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619196] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16217), 1,
      anon_sym_DQUOTE,
    STATE(13033), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19634), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [619237] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    ACTIONS(15985), 1,
      anon_sym_SEMI,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    ACTIONS(15999), 1,
      sym_or_operator,
    ACTIONS(16001), 1,
      sym_assign_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619290] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [619333] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_with,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(16131), 1,
      anon_sym_COMMA,
    ACTIONS(16133), 1,
      anon_sym_SEMI,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    ACTIONS(16143), 1,
      sym_rel_operator,
    ACTIONS(16145), 1,
      sym_and_operator,
    ACTIONS(16147), 1,
      sym_or_operator,
    ACTIONS(16149), 1,
      sym_assign_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619388] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    STATE(13037), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10910), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [619427] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16221), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(13038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619462] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    ACTIONS(15882), 1,
      sym_rel_operator,
    ACTIONS(15884), 1,
      sym_and_operator,
    ACTIONS(16035), 1,
      sym_or_operator,
    ACTIONS(16099), 1,
      anon_sym_COMMA,
    ACTIONS(16101), 1,
      sym_assign_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619515] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16223), 1,
      anon_sym_RBRACK,
    ACTIONS(16225), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13040), 1,
      sym_attribute,
    STATE(17184), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619570] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    ACTIONS(15975), 1,
      sym_rel_operator,
    ACTIONS(15977), 1,
      sym_and_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [619617] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    ACTIONS(15975), 1,
      sym_rel_operator,
    ACTIONS(15977), 1,
      sym_and_operator,
    ACTIONS(15979), 1,
      sym_or_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [619666] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    ACTIONS(16241), 1,
      sym_or_operator,
    ACTIONS(16243), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619717] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15963), 1,
      anon_sym_COMMA,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    ACTIONS(15975), 1,
      sym_rel_operator,
    ACTIONS(15977), 1,
      sym_and_operator,
    ACTIONS(15979), 1,
      sym_or_operator,
    ACTIONS(15981), 1,
      sym_assign_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619770] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619803] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619836] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16245), 1,
      anon_sym_RBRACK,
    ACTIONS(16247), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13047), 1,
      sym_attribute,
    STATE(17074), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619891] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [619928] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16249), 1,
      anon_sym_SEMI,
    ACTIONS(16251), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13049), 1,
      sym_attribute,
    STATE(17224), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [619983] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16253), 1,
      anon_sym_SEMI,
    ACTIONS(16255), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13050), 1,
      sym_attribute,
    STATE(16110), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620038] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15963), 1,
      anon_sym_COMMA,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    ACTIONS(15975), 1,
      sym_rel_operator,
    ACTIONS(15977), 1,
      sym_and_operator,
    ACTIONS(15979), 1,
      sym_or_operator,
    ACTIONS(15981), 1,
      sym_assign_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8694), 6,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_attribute_id_token1,
    ACTIONS(8692), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [620122] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_end,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    ACTIONS(15882), 1,
      sym_rel_operator,
    ACTIONS(15884), 1,
      sym_and_operator,
    ACTIONS(16035), 1,
      sym_or_operator,
    ACTIONS(16099), 1,
      anon_sym_COMMA,
    ACTIONS(16101), 1,
      sym_assign_operator,
    ACTIONS(16257), 1,
      anon_sym_SEMI,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620177] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16259), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(13054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620212] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_then,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(16007), 1,
      anon_sym_COMMA,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    ACTIONS(16017), 1,
      sym_rel_operator,
    ACTIONS(16019), 1,
      sym_and_operator,
    ACTIONS(16021), 1,
      sym_or_operator,
    ACTIONS(16033), 1,
      sym_assign_operator,
    ACTIONS(16107), 1,
      anon_sym_SEMI,
    STATE(2125), 1,
      sym_add_operator,
    STATE(13055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620267] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    ACTIONS(15999), 1,
      sym_or_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [620316] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620349] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16261), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(13058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620384] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16263), 1,
      anon_sym_DQUOTE,
    STATE(13059), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20560), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [620425] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_then,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(16007), 1,
      anon_sym_COMMA,
    ACTIONS(16009), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16011), 1,
      sym_pow_operator,
    ACTIONS(16013), 1,
      sym_mult_operator,
    ACTIONS(16015), 1,
      sym_concat_operator,
    ACTIONS(16017), 1,
      sym_rel_operator,
    ACTIONS(16019), 1,
      sym_and_operator,
    ACTIONS(16021), 1,
      sym_or_operator,
    ACTIONS(16033), 1,
      sym_assign_operator,
    ACTIONS(16107), 1,
      anon_sym_SEMI,
    STATE(2125), 1,
      sym_add_operator,
    STATE(13060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620480] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16265), 1,
      anon_sym_PIPE,
    STATE(13061), 1,
      sym_attribute,
    STATE(13102), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620515] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620556] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15963), 1,
      anon_sym_COMMA,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    ACTIONS(15975), 1,
      sym_rel_operator,
    ACTIONS(15977), 1,
      sym_and_operator,
    ACTIONS(15979), 1,
      sym_or_operator,
    ACTIONS(15981), 1,
      sym_assign_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620609] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16205), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(13064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620644] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15989), 1,
      sym_pow_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620679] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15989), 1,
      sym_pow_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [620714] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16267), 1,
      anon_sym_RBRACK,
    ACTIONS(16269), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13067), 1,
      sym_attribute,
    STATE(16086), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620769] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16271), 1,
      anon_sym_DQUOTE,
    STATE(13068), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19317), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [620810] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16273), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13069), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [620843] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [620886] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16276), 1,
      anon_sym_SEMI,
    ACTIONS(16278), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13071), 1,
      sym_attribute,
    STATE(16463), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620941] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [620984] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym_or_operator,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [621031] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16117), 1,
      anon_sym_PIPE,
    STATE(13074), 1,
      sym_attribute,
    STATE(13079), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621066] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    ACTIONS(15999), 1,
      sym_or_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [621113] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    ACTIONS(15999), 1,
      sym_or_operator,
    ACTIONS(16001), 1,
      sym_assign_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [621164] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16280), 1,
      anon_sym_RBRACK,
    ACTIONS(16282), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13077), 1,
      sym_attribute,
    STATE(16863), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621219] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16284), 1,
      anon_sym_RBRACK,
    ACTIONS(16286), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13078), 1,
      sym_attribute,
    STATE(16874), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621274] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16288), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13079), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621307] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16291), 1,
      anon_sym_SEMI,
    ACTIONS(16293), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13080), 1,
      sym_attribute,
    STATE(16888), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621362] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621399] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16123), 1,
      anon_sym_SEMI,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621454] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    ACTIONS(15999), 1,
      sym_or_operator,
    ACTIONS(16001), 1,
      sym_assign_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [621505] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_end,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    ACTIONS(15882), 1,
      sym_rel_operator,
    ACTIONS(15884), 1,
      sym_and_operator,
    ACTIONS(16035), 1,
      sym_or_operator,
    ACTIONS(16099), 1,
      anon_sym_COMMA,
    ACTIONS(16101), 1,
      sym_assign_operator,
    ACTIONS(16257), 1,
      anon_sym_SEMI,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621560] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16295), 1,
      anon_sym_DQUOTE,
    STATE(13085), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20309), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [621601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15755), 1,
      anon_sym_let,
    STATE(13086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15753), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621632] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16265), 1,
      anon_sym_PIPE,
    STATE(13087), 1,
      sym_attribute,
    STATE(13223), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621667] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16297), 1,
      anon_sym_RBRACK,
    ACTIONS(16299), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13088), 1,
      sym_attribute,
    STATE(16366), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621722] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16301), 1,
      anon_sym_RBRACK,
    ACTIONS(16303), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13089), 1,
      sym_attribute,
    STATE(16958), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10257), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [621808] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16305), 1,
      anon_sym_SEMI,
    ACTIONS(16307), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13091), 1,
      sym_attribute,
    STATE(16881), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621863] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16309), 1,
      anon_sym_DQUOTE,
    STATE(13092), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20441), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [621904] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16311), 1,
      anon_sym_SEMI,
    ACTIONS(16313), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13093), 1,
      sym_attribute,
    STATE(16983), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [621959] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16315), 1,
      anon_sym_RBRACK,
    ACTIONS(16317), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13094), 1,
      sym_attribute,
    STATE(16492), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622014] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622065] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16319), 1,
      anon_sym_SEMI,
    ACTIONS(16321), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13096), 1,
      sym_attribute,
    STATE(16498), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622120] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    STATE(13097), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(10966), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [622159] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    ACTIONS(15882), 1,
      sym_rel_operator,
    ACTIONS(15884), 1,
      sym_and_operator,
    ACTIONS(16035), 1,
      sym_or_operator,
    ACTIONS(16099), 1,
      anon_sym_COMMA,
    ACTIONS(16101), 1,
      sym_assign_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622212] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    ACTIONS(15912), 1,
      sym_or_operator,
    ACTIONS(15930), 1,
      sym_assign_operator,
    ACTIONS(16323), 1,
      anon_sym_SEMI,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622265] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_end,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    ACTIONS(15882), 1,
      sym_rel_operator,
    ACTIONS(15884), 1,
      sym_and_operator,
    ACTIONS(16035), 1,
      sym_or_operator,
    ACTIONS(16099), 1,
      anon_sym_COMMA,
    ACTIONS(16101), 1,
      sym_assign_operator,
    ACTIONS(16257), 1,
      anon_sym_SEMI,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622320] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15902), 1,
      sym_pow_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622355] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16325), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13102), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622388] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    ACTIONS(16241), 1,
      sym_or_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [622437] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16328), 1,
      anon_sym_SEMI,
    ACTIONS(16330), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13104), 1,
      sym_attribute,
    STATE(16104), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622492] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622533] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16332), 1,
      anon_sym_DQUOTE,
    STATE(13106), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(21406), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [622574] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16334), 1,
      anon_sym_DQUOTE,
    STATE(13107), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18605), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [622615] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16336), 1,
      anon_sym_RBRACK,
    ACTIONS(16338), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13108), 1,
      sym_attribute,
    STATE(17144), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622670] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16231), 1,
      sym_pow_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622705] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10159), 4,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [622754] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16231), 1,
      sym_pow_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622789] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16340), 1,
      anon_sym_SEMI,
    ACTIONS(16342), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13112), 1,
      sym_attribute,
    STATE(17157), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622844] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10360), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [622885] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [622928] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16344), 1,
      anon_sym_SEMI,
    ACTIONS(16346), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13115), 1,
      sym_attribute,
    STATE(16633), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [622983] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16348), 1,
      anon_sym_DQUOTE,
    STATE(13116), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19315), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [623024] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [623067] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16350), 1,
      anon_sym_DQUOTE,
    STATE(13118), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18776), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [623108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16352), 1,
      anon_sym_let,
    STATE(13119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10617), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623139] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16354), 1,
      anon_sym_RBRACK,
    ACTIONS(16356), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13120), 1,
      sym_attribute,
    STATE(15953), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623194] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym_or_operator,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [623241] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    ACTIONS(16241), 1,
      sym_or_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [623288] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    ACTIONS(16241), 1,
      sym_or_operator,
    ACTIONS(16243), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [623339] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16077), 1,
      sym_pow_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623374] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16358), 1,
      anon_sym_SEMI,
    ACTIONS(16360), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13125), 1,
      sym_attribute,
    STATE(15958), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623429] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16077), 1,
      sym_pow_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623464] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15902), 1,
      sym_pow_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [623499] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16362), 1,
      anon_sym_RBRACK,
    ACTIONS(16364), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13128), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623554] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16366), 1,
      anon_sym_DQUOTE,
    STATE(13129), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20674), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [623595] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [623638] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16368), 1,
      anon_sym_DQUOTE,
    STATE(13131), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18801), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [623679] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [623722] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym_or_operator,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [623769] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [623816] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [623867] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16370), 1,
      anon_sym_RBRACK,
    ACTIONS(16372), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13136), 1,
      sym_attribute,
    STATE(17182), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623922] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16374), 1,
      anon_sym_SEMI,
    ACTIONS(16376), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13137), 1,
      sym_attribute,
    STATE(16838), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [623977] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16378), 1,
      anon_sym_RBRACK,
    ACTIONS(16380), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13138), 1,
      sym_attribute,
    STATE(16075), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624032] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    ACTIONS(15912), 1,
      sym_or_operator,
    ACTIONS(15930), 1,
      sym_assign_operator,
    ACTIONS(16323), 1,
      anon_sym_SEMI,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624085] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(16384), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16382), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624155] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    ACTIONS(16241), 1,
      sym_or_operator,
    ACTIONS(16243), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [624206] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_do,
    ACTIONS(9038), 1,
      anon_sym_PIPE,
    ACTIONS(15963), 1,
      anon_sym_COMMA,
    ACTIONS(15965), 1,
      anon_sym_SEMI,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    ACTIONS(15975), 1,
      sym_rel_operator,
    ACTIONS(15977), 1,
      sym_and_operator,
    ACTIONS(15979), 1,
      sym_or_operator,
    ACTIONS(15981), 1,
      sym_assign_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624261] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16386), 1,
      anon_sym_DQUOTE,
    STATE(13144), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20805), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [624302] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16388), 1,
      anon_sym_PIPE,
    STATE(13145), 1,
      sym_attribute,
    STATE(13193), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624337] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16390), 1,
      anon_sym_PIPE,
    STATE(13146), 1,
      sym_attribute,
    STATE(13152), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624372] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16392), 1,
      anon_sym_DQUOTE,
    STATE(13147), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18974), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [624413] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16394), 1,
      anon_sym_RBRACK,
    ACTIONS(16396), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13148), 1,
      sym_attribute,
    STATE(16971), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624468] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    ACTIONS(15912), 1,
      sym_or_operator,
    ACTIONS(15930), 1,
      sym_assign_operator,
    ACTIONS(16323), 1,
      anon_sym_SEMI,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624521] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16398), 1,
      anon_sym_SEMI,
    ACTIONS(16400), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13150), 1,
      sym_attribute,
    STATE(16978), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624576] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16390), 1,
      anon_sym_PIPE,
    STATE(13151), 1,
      sym_attribute,
    STATE(13153), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624611] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16390), 1,
      anon_sym_PIPE,
    STATE(13152), 1,
      sym_attribute,
    STATE(13188), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624646] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16390), 1,
      anon_sym_PIPE,
    STATE(13153), 1,
      sym_attribute,
    STATE(13188), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624681] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624718] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16402), 1,
      anon_sym_SEMI,
    ACTIONS(16404), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13155), 1,
      sym_attribute,
    STATE(16084), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624773] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16406), 1,
      anon_sym_SEMI,
    ACTIONS(16408), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13156), 1,
      sym_attribute,
    STATE(17190), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624828] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10368), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [624879] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(16131), 1,
      anon_sym_COMMA,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    ACTIONS(16143), 1,
      sym_rel_operator,
    ACTIONS(16145), 1,
      sym_and_operator,
    ACTIONS(16147), 1,
      sym_or_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [624930] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16410), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(13159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [624965] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [625016] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16261), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(13161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625051] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    ACTIONS(16241), 1,
      sym_or_operator,
    ACTIONS(16243), 1,
      sym_assign_operator,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [625102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8262), 1,
      anon_sym_let,
    STATE(13163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8264), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625133] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_DQUOTE,
    STATE(13164), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19119), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625174] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12762), 1,
      anon_sym_DASH_GT,
    STATE(13165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625207] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    ACTIONS(16241), 1,
      sym_or_operator,
    ACTIONS(16243), 1,
      sym_assign_operator,
    ACTIONS(16414), 1,
      anon_sym_SEMI,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625260] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625301] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16137), 1,
      sym_pow_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [625336] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16137), 1,
      sym_pow_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [625371] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [625414] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [625457] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16416), 1,
      anon_sym_DQUOTE,
    STATE(13172), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19613), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625498] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16418), 1,
      anon_sym_DQUOTE,
    STATE(13173), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19255), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625539] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    ACTIONS(16143), 1,
      sym_rel_operator,
    ACTIONS(16145), 1,
      sym_and_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [625586] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16420), 1,
      anon_sym_DQUOTE,
    STATE(13175), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(21097), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625627] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    ACTIONS(16143), 1,
      sym_rel_operator,
    ACTIONS(16145), 1,
      sym_and_operator,
    ACTIONS(16147), 1,
      sym_or_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [625676] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16422), 1,
      anon_sym_DQUOTE,
    STATE(13177), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19311), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625717] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16424), 1,
      anon_sym_RBRACK,
    ACTIONS(16426), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13178), 1,
      sym_attribute,
    STATE(16559), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625772] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(16131), 1,
      anon_sym_COMMA,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    ACTIONS(16143), 1,
      sym_rel_operator,
    ACTIONS(16145), 1,
      sym_and_operator,
    ACTIONS(16147), 1,
      sym_or_operator,
    ACTIONS(16149), 1,
      sym_assign_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625825] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16428), 1,
      anon_sym_DQUOTE,
    STATE(13180), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19353), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625866] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16430), 1,
      anon_sym_DQUOTE,
    STATE(13181), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19406), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [625907] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [625944] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(16131), 1,
      anon_sym_COMMA,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    ACTIONS(16143), 1,
      sym_rel_operator,
    ACTIONS(16145), 1,
      sym_and_operator,
    ACTIONS(16147), 1,
      sym_or_operator,
    ACTIONS(16149), 1,
      sym_assign_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [625997] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16432), 1,
      anon_sym_DQUOTE,
    STATE(13184), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19471), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626038] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16434), 1,
      anon_sym_DQUOTE,
    STATE(13185), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19516), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10324), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626110] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16436), 1,
      anon_sym_DQUOTE,
    STATE(13187), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20069), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626151] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16438), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13188), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626184] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16441), 1,
      anon_sym_DQUOTE,
    STATE(13189), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19554), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626225] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16443), 1,
      anon_sym_DQUOTE,
    STATE(13190), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19666), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626266] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16388), 1,
      anon_sym_PIPE,
    STATE(13191), 1,
      sym_attribute,
    STATE(13204), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626301] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16445), 1,
      anon_sym_DQUOTE,
    STATE(13192), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19608), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626342] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16388), 1,
      anon_sym_PIPE,
    STATE(13193), 1,
      sym_attribute,
    STATE(13208), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626377] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16447), 1,
      anon_sym_DQUOTE,
    STATE(13194), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19658), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626418] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16449), 1,
      anon_sym_DQUOTE,
    STATE(13195), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19711), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626459] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16451), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(13196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626494] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16453), 1,
      anon_sym_DQUOTE,
    STATE(13197), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19785), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626535] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16455), 1,
      anon_sym_RBRACK,
    ACTIONS(16457), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13198), 1,
      sym_attribute,
    STATE(16022), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626590] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16459), 1,
      anon_sym_DQUOTE,
    STATE(13199), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19816), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626631] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16461), 1,
      anon_sym_SEMI,
    ACTIONS(16463), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13200), 1,
      sym_attribute,
    STATE(16024), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626686] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16465), 1,
      anon_sym_DQUOTE,
    STATE(13201), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19861), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626727] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2432), 1,
      sym_add_operator,
    STATE(13202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8084), 1,
      anon_sym_let,
    STATE(13203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626791] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16388), 1,
      anon_sym_PIPE,
    STATE(13204), 1,
      sym_attribute,
    STATE(13208), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [626826] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10376), 1,
      anon_sym_PIPE,
    ACTIONS(16131), 1,
      anon_sym_COMMA,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    ACTIONS(16143), 1,
      sym_rel_operator,
    ACTIONS(16145), 1,
      sym_and_operator,
    ACTIONS(16147), 1,
      sym_or_operator,
    ACTIONS(16149), 1,
      sym_assign_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626879] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16467), 1,
      anon_sym_DQUOTE,
    STATE(13206), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18626), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [626920] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16469), 1,
      anon_sym_RBRACK,
    ACTIONS(16471), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13207), 1,
      sym_attribute,
    STATE(16115), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [626975] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16473), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13208), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627008] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16476), 1,
      anon_sym_DQUOTE,
    STATE(13209), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(21034), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627049] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    ACTIONS(16073), 1,
      anon_sym_SEMI,
    ACTIONS(16075), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16077), 1,
      sym_pow_operator,
    ACTIONS(16079), 1,
      sym_mult_operator,
    ACTIONS(16081), 1,
      sym_concat_operator,
    ACTIONS(16083), 1,
      sym_rel_operator,
    ACTIONS(16085), 1,
      sym_and_operator,
    ACTIONS(16087), 1,
      sym_or_operator,
    ACTIONS(16089), 1,
      sym_assign_operator,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627102] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16478), 1,
      anon_sym_SEMI,
    ACTIONS(16480), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13211), 1,
      sym_attribute,
    STATE(16151), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8344), 1,
      anon_sym_let,
    STATE(13212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627188] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [627231] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2343), 1,
      sym_add_operator,
    STATE(13214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627264] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16482), 1,
      anon_sym_RBRACK,
    ACTIONS(16484), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13215), 1,
      sym_attribute,
    STATE(16486), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627319] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16117), 1,
      anon_sym_PIPE,
    STATE(13074), 1,
      aux_sym__match_cases_repeat1,
    STATE(13216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627354] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16486), 1,
      anon_sym_RBRACK,
    ACTIONS(16488), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13217), 1,
      sym_attribute,
    STATE(17063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627409] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16490), 1,
      anon_sym_SEMI,
    ACTIONS(16492), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13218), 1,
      sym_attribute,
    STATE(16555), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627464] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(16496), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16494), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627497] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16498), 1,
      anon_sym_SEMI,
    ACTIONS(16500), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13220), 1,
      sym_attribute,
    STATE(16563), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627552] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16502), 1,
      anon_sym_SEMI,
    ACTIONS(16504), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13221), 1,
      sym_attribute,
    STATE(17069), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [627607] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16265), 1,
      anon_sym_PIPE,
    STATE(13061), 1,
      aux_sym__match_cases_repeat1,
    STATE(13222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627642] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16265), 1,
      anon_sym_PIPE,
    STATE(13102), 1,
      aux_sym__match_cases_repeat1,
    STATE(13223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627677] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16410), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(13224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [627712] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16506), 1,
      anon_sym_DQUOTE,
    STATE(13225), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(21141), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627753] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16508), 1,
      anon_sym_DQUOTE,
    STATE(13226), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20401), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627794] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [627837] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [627880] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym_or_operator,
    ACTIONS(15900), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15902), 1,
      sym_pow_operator,
    ACTIONS(15904), 1,
      sym_mult_operator,
    ACTIONS(15906), 1,
      sym_concat_operator,
    ACTIONS(15908), 1,
      sym_rel_operator,
    ACTIONS(15910), 1,
      sym_and_operator,
    STATE(2239), 1,
      sym_add_operator,
    STATE(13229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [627927] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16510), 1,
      anon_sym_DQUOTE,
    STATE(13230), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20026), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [627968] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13386), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13411), 1,
      anon_sym_STAR,
    STATE(13231), 1,
      sym_attribute,
    STATE(13238), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628003] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16221), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(13232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628038] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16512), 1,
      anon_sym_DQUOTE,
    STATE(13233), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20572), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [628079] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(16516), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16514), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628112] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    STATE(13235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628145] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16518), 1,
      anon_sym_RBRACK,
    ACTIONS(16520), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13236), 1,
      sym_attribute,
    STATE(16126), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628200] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16522), 1,
      anon_sym_SEMI,
    ACTIONS(16524), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13237), 1,
      sym_attribute,
    STATE(16132), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628255] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12219), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16526), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13238), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(12217), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628288] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16529), 1,
      anon_sym_DQUOTE,
    STATE(13239), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(21380), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [628329] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16531), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(13240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8174), 1,
      anon_sym_let,
    STATE(13241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8122), 1,
      anon_sym_let,
    STATE(13242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8060), 1,
      anon_sym_let,
    STATE(13243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628457] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16451), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(13244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628492] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16259), 1,
      anon_sym_else,
    STATE(8329), 1,
      sym_else_clause,
    STATE(13245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10272), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [628527] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16533), 1,
      anon_sym_DQUOTE,
    STATE(13246), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19444), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [628568] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16535), 1,
      anon_sym_DQUOTE,
    STATE(13247), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(20972), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [628609] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16537), 1,
      anon_sym_RBRACK,
    ACTIONS(16539), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13248), 1,
      sym_attribute,
    STATE(16178), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628664] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16541), 1,
      anon_sym_RBRACK,
    ACTIONS(16543), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13249), 1,
      sym_attribute,
    STATE(16301), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628719] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16545), 1,
      anon_sym_DQUOTE,
    STATE(13250), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(21355), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [628760] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_do,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15963), 1,
      anon_sym_COMMA,
    ACTIONS(15965), 1,
      anon_sym_SEMI,
    ACTIONS(15967), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15969), 1,
      sym_pow_operator,
    ACTIONS(15971), 1,
      sym_mult_operator,
    ACTIONS(15973), 1,
      sym_concat_operator,
    ACTIONS(15975), 1,
      sym_rel_operator,
    ACTIONS(15977), 1,
      sym_and_operator,
    ACTIONS(15979), 1,
      sym_or_operator,
    ACTIONS(15981), 1,
      sym_assign_operator,
    STATE(2147), 1,
      sym_add_operator,
    STATE(13251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8096), 1,
      anon_sym_let,
    STATE(13252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [628846] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    ACTIONS(15882), 1,
      sym_rel_operator,
    ACTIONS(15884), 1,
      sym_and_operator,
    ACTIONS(16035), 1,
      sym_or_operator,
    ACTIONS(16099), 1,
      anon_sym_COMMA,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628897] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16547), 1,
      anon_sym_SEMI,
    ACTIONS(16549), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13254), 1,
      sym_attribute,
    STATE(16186), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [628952] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15876), 1,
      sym_pow_operator,
    ACTIONS(15878), 1,
      sym_mult_operator,
    ACTIONS(15880), 1,
      sym_concat_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [628995] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16551), 1,
      anon_sym_DQUOTE,
    STATE(13256), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(19158), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629036] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16553), 1,
      anon_sym_DQUOTE,
    STATE(13257), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_string_content_repeat1,
    STATE(13613), 1,
      sym_escape_sequence,
    STATE(18618), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [629077] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16555), 1,
      anon_sym_RBRACK,
    ACTIONS(16557), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13258), 1,
      sym_attribute,
    STATE(16250), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629132] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    ACTIONS(15999), 1,
      sym_or_operator,
    ACTIONS(16001), 1,
      sym_assign_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629183] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16559), 1,
      anon_sym_RBRACK,
    ACTIONS(16561), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13260), 1,
      sym_attribute,
    STATE(16817), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629238] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15876), 1,
      sym_pow_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [629273] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    ACTIONS(16241), 1,
      sym_or_operator,
    ACTIONS(16243), 1,
      sym_assign_operator,
    ACTIONS(16414), 1,
      anon_sym_SEMI,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9028), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629326] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16563), 1,
      anon_sym_RBRACK,
    ACTIONS(16565), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13263), 1,
      sym_attribute,
    STATE(16020), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629381] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16567), 1,
      anon_sym_PIPE,
    STATE(13264), 1,
      sym_attribute,
    STATE(13273), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10262), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629416] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15959), 1,
      anon_sym_let,
    ACTIONS(16569), 1,
      anon_sym_in,
    STATE(13265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15957), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629449] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16571), 1,
      anon_sym_RBRACK,
    ACTIONS(16573), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13266), 1,
      sym_attribute,
    STATE(16589), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629504] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15876), 1,
      sym_pow_operator,
    STATE(2188), 1,
      sym_add_operator,
    STATE(13267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [629539] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16117), 1,
      anon_sym_PIPE,
    STATE(13079), 1,
      aux_sym__match_cases_repeat1,
    STATE(13268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629574] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    ACTIONS(16229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16231), 1,
      sym_pow_operator,
    ACTIONS(16233), 1,
      sym_mult_operator,
    ACTIONS(16235), 1,
      sym_concat_operator,
    ACTIONS(16237), 1,
      sym_rel_operator,
    ACTIONS(16239), 1,
      sym_and_operator,
    ACTIONS(16241), 1,
      sym_or_operator,
    ACTIONS(16243), 1,
      sym_assign_operator,
    ACTIONS(16414), 1,
      anon_sym_SEMI,
    STATE(2311), 1,
      sym_add_operator,
    STATE(13269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9036), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629627] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629660] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16575), 1,
      anon_sym_SEMI,
    ACTIONS(16577), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13271), 1,
      sym_attribute,
    STATE(16253), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629715] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16567), 1,
      anon_sym_PIPE,
    STATE(13272), 1,
      sym_attribute,
    STATE(13286), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629750] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16567), 1,
      anon_sym_PIPE,
    STATE(13273), 1,
      sym_attribute,
    STATE(13289), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10247), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10245), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629785] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10161), 1,
      anon_sym_PIPE,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [629836] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10362), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [629877] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15834), 1,
      sym_pow_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [629912] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15834), 1,
      sym_pow_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [629947] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [629990] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10366), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [630033] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16123), 1,
      anon_sym_SEMI,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630088] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15854), 1,
      sym_or_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [630137] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630190] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630227] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    STATE(13285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630313] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16567), 1,
      anon_sym_PIPE,
    STATE(13286), 1,
      sym_attribute,
    STATE(13289), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10253), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10251), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630348] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16579), 1,
      anon_sym_SEMI,
    ACTIONS(16581), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13287), 1,
      sym_attribute,
    STATE(16354), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630403] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_with,
    ACTIONS(9030), 1,
      anon_sym_PIPE,
    ACTIONS(16131), 1,
      anon_sym_COMMA,
    ACTIONS(16133), 1,
      anon_sym_SEMI,
    ACTIONS(16135), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16137), 1,
      sym_pow_operator,
    ACTIONS(16139), 1,
      sym_mult_operator,
    ACTIONS(16141), 1,
      sym_concat_operator,
    ACTIONS(16143), 1,
      sym_rel_operator,
    ACTIONS(16145), 1,
      sym_and_operator,
    ACTIONS(16147), 1,
      sym_or_operator,
    ACTIONS(16149), 1,
      sym_assign_operator,
    STATE(2167), 1,
      sym_add_operator,
    STATE(13288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630458] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16583), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13289), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(10257), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10255), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630491] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16586), 1,
      anon_sym_SEMI,
    ACTIONS(16588), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13290), 1,
      sym_attribute,
    STATE(16032), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630546] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16531), 1,
      anon_sym_else,
    STATE(8306), 1,
      sym_else_clause,
    STATE(13291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10284), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630581] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    ACTIONS(15475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15477), 1,
      sym_pow_operator,
    ACTIONS(15479), 1,
      sym_mult_operator,
    ACTIONS(15481), 1,
      sym_concat_operator,
    ACTIONS(15483), 1,
      sym_rel_operator,
    ACTIONS(15485), 1,
      sym_and_operator,
    ACTIONS(15487), 1,
      sym_or_operator,
    ACTIONS(15489), 1,
      sym_assign_operator,
    ACTIONS(16045), 1,
      anon_sym_SEMI,
    STATE(2407), 1,
      sym_add_operator,
    STATE(13292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630634] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    ACTIONS(15987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15989), 1,
      sym_pow_operator,
    ACTIONS(15991), 1,
      sym_mult_operator,
    ACTIONS(15993), 1,
      sym_concat_operator,
    ACTIONS(15995), 1,
      sym_rel_operator,
    ACTIONS(15997), 1,
      sym_and_operator,
    ACTIONS(15999), 1,
      sym_or_operator,
    ACTIONS(16001), 1,
      sym_assign_operator,
    STATE(2243), 1,
      sym_add_operator,
    STATE(13293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10374), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [630685] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    ACTIONS(16590), 1,
      anon_sym_SEMI,
    ACTIONS(16592), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13294), 1,
      sym_attribute,
    STATE(16821), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8118), 1,
      anon_sym_let,
    STATE(13295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [630771] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [630805] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_do,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16598), 1,
      anon_sym_SEMI,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16612), 1,
      sym_assign_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630857] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(315), 1,
      anon_sym_LBRACK,
    ACTIONS(333), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(345), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16614), 1,
      sym__lowercase_identifier,
    ACTIONS(16616), 1,
      anon_sym_LPAREN,
    ACTIONS(16618), 1,
      anon_sym_LBRACE,
    ACTIONS(16620), 1,
      sym__uppercase_identifier,
    STATE(4508), 1,
      sym__constructor_name,
    STATE(4741), 1,
      sym__value_name,
    STATE(4766), 1,
      sym_parenthesized_operator,
    STATE(13298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4658), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [630905] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16622), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [630955] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16624), 1,
      sym__lowercase_identifier,
    ACTIONS(16626), 1,
      anon_sym_LBRACK,
    STATE(10412), 1,
      sym__simple_class_type,
    STATE(13300), 1,
      sym_attribute,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10317), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [631001] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [631033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8350), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8348), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631063] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_and,
    STATE(13303), 1,
      sym_attribute,
    STATE(13326), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15556), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11498), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11500), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [631125] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1681), 1,
      anon_sym_LBRACK,
    ACTIONS(1691), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1703), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16630), 1,
      sym__lowercase_identifier,
    ACTIONS(16632), 1,
      anon_sym_LPAREN,
    ACTIONS(16634), 1,
      anon_sym_LBRACE,
    ACTIONS(16636), 1,
      sym__uppercase_identifier,
    STATE(6079), 1,
      sym__value_name,
    STATE(6301), 1,
      sym__constructor_name,
    STATE(6363), 1,
      sym_parenthesized_operator,
    STATE(13305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6331), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [631173] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16638), 1,
      sym__lowercase_identifier,
    ACTIONS(16640), 1,
      anon_sym_LPAREN,
    ACTIONS(16642), 1,
      anon_sym_LBRACE,
    ACTIONS(16644), 1,
      sym__uppercase_identifier,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7504), 1,
      sym__constructor_name,
    STATE(7679), 1,
      sym__value_name,
    STATE(13306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7677), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [631221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8342), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8340), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631251] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_end,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16648), 1,
      anon_sym_SEMI,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    ACTIONS(16664), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631303] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8446), 1,
      anon_sym_LBRACK,
    ACTIONS(8454), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8458), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16666), 1,
      sym__lowercase_identifier,
    ACTIONS(16668), 1,
      anon_sym_LPAREN,
    ACTIONS(16670), 1,
      anon_sym_LBRACE,
    ACTIONS(16672), 1,
      sym__uppercase_identifier,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10195), 1,
      sym__value_name,
    STATE(10229), 1,
      sym_parenthesized_operator,
    STATE(13309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10161), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [631351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8050), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8048), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631381] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11428), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11430), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [631411] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11572), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11574), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [631441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11780), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11778), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11516), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11414), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11412), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11418), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11416), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11422), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11420), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11458), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11456), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631621] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11716), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11718), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [631651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11466), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [631681] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_and,
    STATE(13321), 1,
      sym_attribute,
    STATE(13326), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15562), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631713] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_done,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    ACTIONS(15914), 1,
      sym_assign_operator,
    ACTIONS(16674), 1,
      anon_sym_SEMI,
    STATE(2432), 1,
      sym_add_operator,
    STATE(13322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [631765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16676), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13323), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(8973), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631795] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(439), 1,
      anon_sym_LBRACK,
    ACTIONS(449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(461), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16679), 1,
      sym__lowercase_identifier,
    ACTIONS(16681), 1,
      anon_sym_LPAREN,
    ACTIONS(16683), 1,
      anon_sym_LBRACE,
    ACTIONS(16685), 1,
      sym__uppercase_identifier,
    STATE(3274), 1,
      sym__constructor_name,
    STATE(3378), 1,
      sym_parenthesized_operator,
    STATE(3429), 1,
      sym__value_name,
    STATE(13324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3454), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [631843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11578), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11576), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16687), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13326), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15272), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631903] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(49), 1,
      anon_sym_LBRACK,
    ACTIONS(73), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(93), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16690), 1,
      sym__lowercase_identifier,
    ACTIONS(16692), 1,
      anon_sym_LPAREN,
    ACTIONS(16694), 1,
      anon_sym_LBRACE,
    ACTIONS(16696), 1,
      sym__uppercase_identifier,
    STATE(4631), 1,
      sym__value_name,
    STATE(4642), 1,
      sym__constructor_name,
    STATE(4661), 1,
      sym_parenthesized_operator,
    STATE(13327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4630), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [631951] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_with,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16700), 1,
      anon_sym_SEMI,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    ACTIONS(16716), 1,
      sym_assign_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632003] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_and,
    STATE(13329), 1,
      sym_attribute,
    STATE(13338), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15562), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [632035] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(873), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(895), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16718), 1,
      sym__lowercase_identifier,
    ACTIONS(16720), 1,
      anon_sym_LPAREN,
    ACTIONS(16722), 1,
      anon_sym_LBRACE,
    ACTIONS(16724), 1,
      sym__uppercase_identifier,
    STATE(4263), 1,
      sym__value_name,
    STATE(4297), 1,
      sym_parenthesized_operator,
    STATE(4338), 1,
      sym__constructor_name,
    STATE(13330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4235), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11448), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11450), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [632113] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16624), 1,
      sym__lowercase_identifier,
    ACTIONS(16626), 1,
      anon_sym_LBRACK,
    STATE(11293), 1,
      sym__simple_class_type,
    STATE(13332), 1,
      sym_attribute,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10317), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [632159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11452), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11454), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [632189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11434), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [632219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16728), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16726), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [632249] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15963), 1,
      anon_sym_COMMA,
    STATE(13336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [632281] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11458), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [632311] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_and,
    STATE(13326), 1,
      aux_sym_type_definition_repeat1,
    STATE(13338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15569), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [632343] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_end,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    ACTIONS(16664), 1,
      sym_assign_operator,
    ACTIONS(16730), 1,
      anon_sym_SEMI,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11778), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11780), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [632425] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_with,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    ACTIONS(16716), 1,
      sym_assign_operator,
    ACTIONS(16732), 1,
      anon_sym_SEMI,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632477] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1285), 1,
      anon_sym_LBRACK,
    ACTIONS(1295), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16734), 1,
      sym__lowercase_identifier,
    ACTIONS(16736), 1,
      anon_sym_LPAREN,
    ACTIONS(16738), 1,
      anon_sym_LBRACE,
    ACTIONS(16740), 1,
      sym__uppercase_identifier,
    STATE(5749), 1,
      sym__value_name,
    STATE(5872), 1,
      sym__constructor_name,
    STATE(5938), 1,
      sym_parenthesized_operator,
    STATE(13342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5955), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632525] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_done,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    ACTIONS(15914), 1,
      sym_assign_operator,
    ACTIONS(16674), 1,
      anon_sym_SEMI,
    STATE(2432), 1,
      sym_add_operator,
    STATE(13343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632577] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [632609] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632657] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_then,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16744), 1,
      anon_sym_SEMI,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    ACTIONS(16760), 1,
      sym_assign_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632709] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7779), 1,
      anon_sym_LBRACK,
    ACTIONS(7787), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16762), 1,
      sym__lowercase_identifier,
    ACTIONS(16764), 1,
      anon_sym_LPAREN,
    ACTIONS(16766), 1,
      anon_sym_LBRACE,
    ACTIONS(16768), 1,
      sym__uppercase_identifier,
    STATE(8565), 1,
      sym__constructor_name,
    STATE(9510), 1,
      sym_parenthesized_operator,
    STATE(9515), 1,
      sym__value_name,
    STATE(13347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9602), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [632757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9090), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [632787] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16770), 1,
      sym__lowercase_identifier,
    ACTIONS(16772), 1,
      anon_sym_POUND,
    STATE(13349), 1,
      sym_attribute,
    STATE(13645), 1,
      sym_type_constructor_path,
    STATE(17936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11182), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [632827] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_do,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16598), 1,
      anon_sym_SEMI,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16612), 1,
      sym_assign_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [632879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11782), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11784), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [632909] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11518), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [632939] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    STATE(13353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [632971] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(929), 1,
      anon_sym_LBRACK,
    ACTIONS(939), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(959), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16774), 1,
      sym__lowercase_identifier,
    ACTIONS(16776), 1,
      anon_sym_LPAREN,
    ACTIONS(16778), 1,
      anon_sym_LBRACE,
    ACTIONS(16780), 1,
      sym__uppercase_identifier,
    STATE(4923), 1,
      sym__constructor_name,
    STATE(4983), 1,
      sym__value_name,
    STATE(4997), 1,
      sym_parenthesized_operator,
    STATE(13354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4947), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633019] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_then,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16744), 1,
      anon_sym_SEMI,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    ACTIONS(16760), 1,
      sym_assign_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633071] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [633113] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    STATE(13357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [633145] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_with,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16700), 1,
      anon_sym_SEMI,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    ACTIONS(16716), 1,
      sym_assign_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11438), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [633227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11450), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11448), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [633257] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1011), 1,
      anon_sym_LBRACK,
    ACTIONS(1021), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1033), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16782), 1,
      sym__lowercase_identifier,
    ACTIONS(16784), 1,
      anon_sym_LPAREN,
    ACTIONS(16786), 1,
      anon_sym_LBRACE,
    ACTIONS(16788), 1,
      sym__uppercase_identifier,
    STATE(5033), 1,
      sym__constructor_name,
    STATE(5117), 1,
      sym__value_name,
    STATE(5127), 1,
      sym_parenthesized_operator,
    STATE(13361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5080), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633305] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11702), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [633335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11430), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11428), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [633365] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16790), 1,
      anon_sym_and,
    STATE(13364), 1,
      sym_attribute,
    STATE(13470), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15511), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16516), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16514), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16790), 1,
      anon_sym_and,
    STATE(13366), 1,
      sym_attribute,
    STATE(13519), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15511), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633459] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2843), 1,
      anon_sym_LBRACK,
    ACTIONS(2853), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2865), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16792), 1,
      sym__lowercase_identifier,
    ACTIONS(16794), 1,
      anon_sym_LPAREN,
    ACTIONS(16796), 1,
      anon_sym_LBRACE,
    ACTIONS(16798), 1,
      sym__uppercase_identifier,
    STATE(6990), 1,
      sym__value_name,
    STATE(7227), 1,
      sym__constructor_name,
    STATE(7319), 1,
      sym_parenthesized_operator,
    STATE(13367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7173), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633507] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16770), 1,
      sym__lowercase_identifier,
    ACTIONS(16800), 1,
      anon_sym_STAR,
    ACTIONS(16802), 1,
      anon_sym_POUND,
    STATE(13368), 1,
      sym_attribute,
    STATE(13673), 1,
      sym_type_constructor_path,
    STATE(17936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 4,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11112), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [633549] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5701), 1,
      anon_sym_LBRACK,
    ACTIONS(5709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5713), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16804), 1,
      sym__lowercase_identifier,
    ACTIONS(16806), 1,
      anon_sym_LPAREN,
    ACTIONS(16808), 1,
      anon_sym_LBRACE,
    ACTIONS(16810), 1,
      sym__uppercase_identifier,
    STATE(6113), 1,
      sym_parenthesized_operator,
    STATE(6270), 1,
      sym__constructor_name,
    STATE(6395), 1,
      sym__value_name,
    STATE(13369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6137), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633597] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [633629] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [633671] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8404), 1,
      anon_sym_LBRACK,
    ACTIONS(8412), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8416), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16812), 1,
      sym__lowercase_identifier,
    ACTIONS(16814), 1,
      anon_sym_LPAREN,
    ACTIONS(16816), 1,
      anon_sym_LBRACE,
    ACTIONS(16818), 1,
      sym__uppercase_identifier,
    STATE(7538), 1,
      sym_parenthesized_operator,
    STATE(7614), 1,
      sym__value_name,
    STATE(7636), 1,
      sym__constructor_name,
    STATE(13372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7613), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633719] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1099), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16820), 1,
      sym__lowercase_identifier,
    ACTIONS(16822), 1,
      anon_sym_LPAREN,
    ACTIONS(16824), 1,
      anon_sym_LBRACE,
    ACTIONS(16826), 1,
      sym__uppercase_identifier,
    STATE(5299), 1,
      sym__value_name,
    STATE(5379), 1,
      sym__constructor_name,
    STATE(5395), 1,
      sym_parenthesized_operator,
    STATE(13373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5352), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633767] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2291), 1,
      anon_sym_LBRACK,
    ACTIONS(2301), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2313), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16828), 1,
      sym__lowercase_identifier,
    ACTIONS(16830), 1,
      anon_sym_LPAREN,
    ACTIONS(16832), 1,
      anon_sym_LBRACE,
    ACTIONS(16834), 1,
      sym__uppercase_identifier,
    STATE(6504), 1,
      sym__constructor_name,
    STATE(6671), 1,
      sym__value_name,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(13374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6595), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7945), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16836), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633845] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2801), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16838), 1,
      sym__lowercase_identifier,
    ACTIONS(16840), 1,
      anon_sym_LPAREN,
    ACTIONS(16842), 1,
      anon_sym_LBRACE,
    ACTIONS(16844), 1,
      sym__uppercase_identifier,
    STATE(6966), 1,
      sym_parenthesized_operator,
    STATE(7294), 1,
      sym__value_name,
    STATE(7394), 1,
      sym__constructor_name,
    STATE(13376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7293), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633893] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2725), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2747), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16846), 1,
      sym__lowercase_identifier,
    ACTIONS(16848), 1,
      anon_sym_LPAREN,
    ACTIONS(16850), 1,
      anon_sym_LBRACE,
    ACTIONS(16852), 1,
      sym__uppercase_identifier,
    STATE(7071), 1,
      sym__value_name,
    STATE(7298), 1,
      sym__constructor_name,
    STATE(7390), 1,
      sym_parenthesized_operator,
    STATE(13377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7505), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [633941] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16854), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [633991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11466), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11464), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [634021] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16856), 1,
      anon_sym_and,
    STATE(13380), 1,
      sym_attribute,
    STATE(13497), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15691), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634053] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11684), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11686), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [634083] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16856), 1,
      anon_sym_and,
    STATE(13382), 1,
      sym_attribute,
    STATE(13506), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15556), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634115] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11598), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11600), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [634145] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11636), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11638), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [634175] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16790), 1,
      anon_sym_and,
    STATE(13364), 1,
      aux_sym_class_definition_repeat1,
    STATE(13385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15542), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16728), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16726), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634237] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    STATE(13387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634269] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(605), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16858), 1,
      sym__lowercase_identifier,
    ACTIONS(16860), 1,
      anon_sym_LPAREN,
    ACTIONS(16862), 1,
      anon_sym_LBRACE,
    ACTIONS(16864), 1,
      sym__uppercase_identifier,
    STATE(3548), 1,
      sym__value_name,
    STATE(3630), 1,
      sym_parenthesized_operator,
    STATE(3648), 1,
      sym__constructor_name,
    STATE(13388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3524), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [634317] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15832), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15834), 1,
      sym_pow_operator,
    ACTIONS(15836), 1,
      sym_mult_operator,
    ACTIONS(15838), 1,
      sym_concat_operator,
    ACTIONS(15840), 1,
      sym_rel_operator,
    ACTIONS(15842), 1,
      sym_and_operator,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    ACTIONS(15854), 1,
      sym_or_operator,
    ACTIONS(15856), 1,
      sym_assign_operator,
    STATE(2040), 1,
      sym_add_operator,
    STATE(13389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16854), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634367] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634407] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_do,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16598), 1,
      anon_sym_SEMI,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16612), 1,
      sym_assign_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634459] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym_or_operator,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [634505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11434), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11432), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [634535] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [634581] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(8422), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8424), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(16624), 1,
      sym__lowercase_identifier,
    ACTIONS(16626), 1,
      anon_sym_LBRACK,
    ACTIONS(16866), 1,
      anon_sym_let,
    STATE(10412), 1,
      sym__simple_class_type,
    STATE(13395), 1,
      sym_attribute,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10317), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [634627] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16868), 1,
      anon_sym_DQUOTE,
    STATE(13613), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16873), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(13396), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(16876), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16870), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [634663] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(8422), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8424), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(16624), 1,
      sym__lowercase_identifier,
    ACTIONS(16626), 1,
      anon_sym_LBRACK,
    ACTIONS(16866), 1,
      anon_sym_let,
    STATE(13397), 1,
      sym_attribute,
    STATE(13949), 1,
      sym__simple_class_type,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10317), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [634709] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16612), 1,
      sym_assign_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634759] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_then,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    ACTIONS(16760), 1,
      sym_assign_operator,
    ACTIONS(16879), 1,
      anon_sym_SEMI,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634811] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_end,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    ACTIONS(16664), 1,
      sym_assign_operator,
    ACTIONS(16730), 1,
      anon_sym_SEMI,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634863] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10378), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [634895] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16881), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [634945] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_and,
    STATE(13303), 1,
      aux_sym_type_definition_repeat1,
    STATE(13403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15691), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634977] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_and,
    STATE(13321), 1,
      aux_sym_type_definition_repeat1,
    STATE(13404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15556), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635009] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(383), 1,
      anon_sym_LBRACK,
    ACTIONS(393), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(405), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16883), 1,
      sym__lowercase_identifier,
    ACTIONS(16885), 1,
      anon_sym_LPAREN,
    ACTIONS(16887), 1,
      anon_sym_LBRACE,
    ACTIONS(16889), 1,
      sym__uppercase_identifier,
    STATE(3264), 1,
      sym_parenthesized_operator,
    STATE(3374), 1,
      sym__value_name,
    STATE(3477), 1,
      sym__constructor_name,
    STATE(13405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3321), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11794), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11796), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [635087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16516), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16514), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635117] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [635151] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16602), 1,
      sym_mult_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [635187] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16638), 1,
      sym__lowercase_identifier,
    ACTIONS(16642), 1,
      anon_sym_LBRACE,
    ACTIONS(16644), 1,
      sym__uppercase_identifier,
    ACTIONS(16891), 1,
      anon_sym_LPAREN,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7504), 1,
      sym__constructor_name,
    STATE(7679), 1,
      sym__value_name,
    STATE(13410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7677), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11438), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11436), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [635265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11800), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11798), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [635295] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16612), 1,
      sym_assign_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635345] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(659), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(681), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16893), 1,
      sym__lowercase_identifier,
    ACTIONS(16895), 1,
      anon_sym_LPAREN,
    ACTIONS(16897), 1,
      anon_sym_LBRACE,
    ACTIONS(16899), 1,
      sym__uppercase_identifier,
    STATE(3600), 1,
      sym__value_name,
    STATE(3635), 1,
      sym_parenthesized_operator,
    STATE(3667), 1,
      sym__constructor_name,
    STATE(13414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3567), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635393] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_with,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    ACTIONS(16716), 1,
      sym_assign_operator,
    ACTIONS(16732), 1,
      anon_sym_SEMI,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635445] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16624), 1,
      sym__lowercase_identifier,
    ACTIONS(16626), 1,
      anon_sym_LBRACK,
    STATE(11107), 1,
      sym__simple_class_type,
    STATE(13416), 1,
      sym_attribute,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10317), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [635491] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_do,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16612), 1,
      sym_assign_operator,
    ACTIONS(16901), 1,
      anon_sym_SEMI,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635543] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(717), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(739), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16903), 1,
      sym__lowercase_identifier,
    ACTIONS(16905), 1,
      anon_sym_LPAREN,
    ACTIONS(16907), 1,
      anon_sym_LBRACE,
    ACTIONS(16909), 1,
      sym__uppercase_identifier,
    STATE(3860), 1,
      sym__constructor_name,
    STATE(4044), 1,
      sym__value_name,
    STATE(4120), 1,
      sym_parenthesized_operator,
    STATE(13418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4012), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635591] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(821), 1,
      anon_sym_LBRACK,
    ACTIONS(831), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(843), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16911), 1,
      sym__lowercase_identifier,
    ACTIONS(16913), 1,
      anon_sym_LPAREN,
    ACTIONS(16915), 1,
      anon_sym_LBRACE,
    ACTIONS(16917), 1,
      sym__uppercase_identifier,
    STATE(4260), 1,
      sym_parenthesized_operator,
    STATE(4314), 1,
      sym__constructor_name,
    STATE(4394), 1,
      sym__value_name,
    STATE(13419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4370), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635639] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1233), 1,
      anon_sym_LBRACK,
    ACTIONS(1243), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1255), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16919), 1,
      sym__lowercase_identifier,
    ACTIONS(16921), 1,
      anon_sym_LPAREN,
    ACTIONS(16923), 1,
      anon_sym_LBRACE,
    ACTIONS(16925), 1,
      sym__uppercase_identifier,
    STATE(5314), 1,
      sym_parenthesized_operator,
    STATE(5431), 1,
      sym__constructor_name,
    STATE(5445), 1,
      sym__value_name,
    STATE(13420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5381), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635687] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2523), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2535), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16927), 1,
      sym__lowercase_identifier,
    ACTIONS(16929), 1,
      anon_sym_LPAREN,
    ACTIONS(16931), 1,
      anon_sym_LBRACE,
    ACTIONS(16933), 1,
      sym__uppercase_identifier,
    STATE(6423), 1,
      sym__value_name,
    STATE(6774), 1,
      sym__constructor_name,
    STATE(6878), 1,
      sym_parenthesized_operator,
    STATE(13421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6716), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [635735] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16131), 1,
      anon_sym_COMMA,
    STATE(13422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [635767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11498), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [635797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11574), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11572), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [635827] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9030), 1,
      anon_sym_DASH_GT,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16935), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11600), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11598), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [635909] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_do,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16612), 1,
      sym_assign_operator,
    ACTIONS(16901), 1,
      anon_sym_SEMI,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [635961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11634), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11632), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [635991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11638), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11636), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [636021] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16937), 1,
      sym__lowercase_identifier,
    ACTIONS(16939), 1,
      anon_sym_LPAREN,
    ACTIONS(16941), 1,
      anon_sym_LBRACE,
    ACTIONS(16943), 1,
      sym__uppercase_identifier,
    STATE(3875), 1,
      sym__constructor_name,
    STATE(3991), 1,
      sym__value_name,
    STATE(4040), 1,
      sym_parenthesized_operator,
    STATE(13430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3859), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [636069] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11400), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [636099] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13975), 1,
      anon_sym_STAR,
    STATE(13432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11632), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11634), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [636161] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(10097), 1,
      anon_sym_let,
    ACTIONS(16945), 1,
      sym__lowercase_identifier,
    ACTIONS(16947), 1,
      anon_sym_LBRACK,
    STATE(10412), 1,
      sym__simple_class_type,
    STATE(13434), 1,
      sym_attribute,
    STATE(18283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10317), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [636207] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_then,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16744), 1,
      anon_sym_SEMI,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    ACTIONS(16760), 1,
      sym_assign_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636259] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8016), 1,
      anon_sym_LBRACK,
    ACTIONS(8022), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8026), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16640), 1,
      anon_sym_LPAREN,
    ACTIONS(16642), 1,
      anon_sym_LBRACE,
    ACTIONS(16644), 1,
      sym__uppercase_identifier,
    ACTIONS(16949), 1,
      sym__lowercase_identifier,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(7504), 1,
      sym__constructor_name,
    STATE(7679), 1,
      sym__value_name,
    STATE(13436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7677), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [636307] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16612), 1,
      sym_assign_operator,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636357] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(553), 1,
      anon_sym_LBRACK,
    ACTIONS(563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16951), 1,
      sym__lowercase_identifier,
    ACTIONS(16953), 1,
      anon_sym_LPAREN,
    ACTIONS(16955), 1,
      anon_sym_LBRACE,
    ACTIONS(16957), 1,
      sym__uppercase_identifier,
    STATE(3728), 1,
      sym__value_name,
    STATE(3738), 1,
      sym_parenthesized_operator,
    STATE(3745), 1,
      sym__constructor_name,
    STATE(13438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3702), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [636405] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636453] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_with,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    ACTIONS(16716), 1,
      sym_assign_operator,
    ACTIONS(16732), 1,
      anon_sym_SEMI,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636505] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2607), 1,
      anon_sym_LBRACK,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2629), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16959), 1,
      sym__lowercase_identifier,
    ACTIONS(16961), 1,
      anon_sym_LPAREN,
    ACTIONS(16963), 1,
      anon_sym_LBRACE,
    ACTIONS(16965), 1,
      sym__uppercase_identifier,
    STATE(7089), 1,
      sym__constructor_name,
    STATE(7128), 1,
      sym_parenthesized_operator,
    STATE(7503), 1,
      sym__value_name,
    STATE(13441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7491), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [636553] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636601] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1353), 1,
      anon_sym_LBRACK,
    ACTIONS(1363), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1375), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16967), 1,
      sym__lowercase_identifier,
    ACTIONS(16969), 1,
      anon_sym_LPAREN,
    ACTIONS(16971), 1,
      anon_sym_LBRACE,
    ACTIONS(16973), 1,
      sym__uppercase_identifier,
    STATE(5979), 1,
      sym__value_name,
    STATE(6026), 1,
      sym__constructor_name,
    STATE(6027), 1,
      sym_parenthesized_operator,
    STATE(13443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5962), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [636649] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2343), 1,
      anon_sym_LBRACK,
    ACTIONS(2353), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2365), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16975), 1,
      sym__lowercase_identifier,
    ACTIONS(16977), 1,
      anon_sym_LPAREN,
    ACTIONS(16979), 1,
      anon_sym_LBRACE,
    ACTIONS(16981), 1,
      sym__uppercase_identifier,
    STATE(6562), 1,
      sym__constructor_name,
    STATE(6596), 1,
      sym__value_name,
    STATE(6814), 1,
      sym_parenthesized_operator,
    STATE(13444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6529), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [636697] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_end,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16648), 1,
      anon_sym_SEMI,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    ACTIONS(16664), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [636749] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636789] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16652), 1,
      sym_pow_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636823] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16652), 1,
      sym_pow_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [636857] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [636899] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [636941] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym_or_operator,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [636987] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [637033] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    ACTIONS(16664), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637083] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    ACTIONS(16760), 1,
      sym_assign_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637133] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [637169] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    ACTIONS(16664), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637219] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    STATE(13457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [637251] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16624), 1,
      sym__lowercase_identifier,
    ACTIONS(16626), 1,
      anon_sym_LBRACK,
    STATE(11067), 1,
      sym__simple_class_type,
    STATE(13458), 1,
      sym_attribute,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10317), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [637297] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_do,
    ACTIONS(16594), 1,
      sym_pow_operator,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    ACTIONS(16600), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16602), 1,
      sym_mult_operator,
    ACTIONS(16604), 1,
      sym_concat_operator,
    ACTIONS(16606), 1,
      sym_rel_operator,
    ACTIONS(16608), 1,
      sym_and_operator,
    ACTIONS(16610), 1,
      sym_or_operator,
    ACTIONS(16612), 1,
      sym_assign_operator,
    ACTIONS(16901), 1,
      anon_sym_SEMI,
    STATE(1930), 1,
      sym_add_operator,
    STATE(13459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [637349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16983), 1,
      anon_sym_and,
    STATE(13460), 1,
      sym_attribute,
    STATE(13508), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15511), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637381] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16983), 1,
      anon_sym_and,
    STATE(13461), 1,
      sym_attribute,
    STATE(13509), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15511), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11686), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11684), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [637443] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16624), 1,
      sym__lowercase_identifier,
    ACTIONS(16626), 1,
      anon_sym_LBRACK,
    STATE(11093), 1,
      sym__simple_class_type,
    STATE(13463), 1,
      sym_attribute,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10317), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [637489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11400), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11398), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [637519] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(501), 1,
      anon_sym_LBRACK,
    ACTIONS(511), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(523), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16985), 1,
      sym__lowercase_identifier,
    ACTIONS(16987), 1,
      anon_sym_LPAREN,
    ACTIONS(16989), 1,
      anon_sym_LBRACE,
    ACTIONS(16991), 1,
      sym__uppercase_identifier,
    STATE(3615), 1,
      sym__constructor_name,
    STATE(3696), 1,
      sym_parenthesized_operator,
    STATE(3816), 1,
      sym__value_name,
    STATE(13465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3791), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [637567] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6289), 1,
      anon_sym_LBRACK,
    ACTIONS(6297), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6301), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(16993), 1,
      sym__lowercase_identifier,
    ACTIONS(16995), 1,
      anon_sym_LPAREN,
    ACTIONS(16997), 1,
      anon_sym_LBRACE,
    ACTIONS(16999), 1,
      sym__uppercase_identifier,
    STATE(7299), 1,
      sym__value_name,
    STATE(7478), 1,
      sym_parenthesized_operator,
    STATE(7501), 1,
      sym__constructor_name,
    STATE(13466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7225), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [637615] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    ACTIONS(17001), 1,
      anon_sym_nonrec,
    STATE(13404), 1,
      sym_type_binding,
    STATE(13467), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15305), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21228), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637669] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    STATE(13468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [637701] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8486), 1,
      anon_sym_LBRACK,
    ACTIONS(8494), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8498), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17003), 1,
      sym__lowercase_identifier,
    ACTIONS(17005), 1,
      anon_sym_LPAREN,
    ACTIONS(17007), 1,
      anon_sym_LBRACE,
    ACTIONS(17009), 1,
      sym__uppercase_identifier,
    STATE(7781), 1,
      sym__value_name,
    STATE(7864), 1,
      sym__constructor_name,
    STATE(7983), 1,
      sym_parenthesized_operator,
    STATE(13469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7969), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [637749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17011), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13470), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15174), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9220), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [637809] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2659), 1,
      anon_sym_LBRACK,
    ACTIONS(2669), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2681), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17014), 1,
      sym__lowercase_identifier,
    ACTIONS(17016), 1,
      anon_sym_LPAREN,
    ACTIONS(17018), 1,
      anon_sym_LBRACE,
    ACTIONS(17020), 1,
      sym__uppercase_identifier,
    STATE(7013), 1,
      sym__value_name,
    STATE(7137), 1,
      sym_parenthesized_operator,
    STATE(7306), 1,
      sym__constructor_name,
    STATE(13472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7012), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [637857] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15762), 1,
      sym__lowercase_identifier,
    ACTIONS(17022), 1,
      anon_sym_nonrec,
    STATE(13382), 1,
      sym_type_binding,
    STATE(13473), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15902), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21208), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [637911] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [637951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11578), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [637981] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 3,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638029] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16704), 1,
      sym_pow_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11702), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11700), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [638093] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16704), 1,
      sym_pow_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11716), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [638157] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17024), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638207] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_then,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    ACTIONS(16760), 1,
      sym_assign_operator,
    ACTIONS(16879), 1,
      anon_sym_SEMI,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638259] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1129), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1151), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17026), 1,
      sym__lowercase_identifier,
    ACTIONS(17028), 1,
      anon_sym_LPAREN,
    ACTIONS(17030), 1,
      anon_sym_LBRACE,
    ACTIONS(17032), 1,
      sym__uppercase_identifier,
    STATE(5152), 1,
      sym__value_name,
    STATE(5181), 1,
      sym_parenthesized_operator,
    STATE(5277), 1,
      sym__constructor_name,
    STATE(13483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5230), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [638307] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10360), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638347] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16748), 1,
      sym_pow_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638381] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16748), 1,
      sym_pow_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638415] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [638457] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [638499] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym_or_operator,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [638545] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [638591] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    ACTIONS(16760), 1,
      sym_assign_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638641] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [638677] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    ACTIONS(16760), 1,
      sym_assign_operator,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638727] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16770), 1,
      sym__lowercase_identifier,
    ACTIONS(16802), 1,
      anon_sym_POUND,
    STATE(13494), 1,
      sym_attribute,
    STATE(13673), 1,
      sym_type_constructor_path,
    STATE(17936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11158), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [638767] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [638809] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [638851] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16856), 1,
      anon_sym_and,
    STATE(13497), 1,
      sym_attribute,
    STATE(13510), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15556), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638883] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_end,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    ACTIONS(16664), 1,
      sym_assign_operator,
    ACTIONS(16730), 1,
      anon_sym_SEMI,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638935] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    ACTIONS(16716), 1,
      sym_assign_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [638985] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2239), 1,
      anon_sym_LBRACK,
    ACTIONS(2249), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2261), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17034), 1,
      sym__lowercase_identifier,
    ACTIONS(17036), 1,
      anon_sym_LPAREN,
    ACTIONS(17038), 1,
      anon_sym_LBRACE,
    ACTIONS(17040), 1,
      sym__uppercase_identifier,
    STATE(6708), 1,
      sym__constructor_name,
    STATE(6790), 1,
      sym_parenthesized_operator,
    STATE(6833), 1,
      sym__value_name,
    STATE(13500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6630), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [639033] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10079), 1,
      anon_sym_let,
    ACTIONS(10083), 1,
      anon_sym_object,
    ACTIONS(12537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16624), 1,
      sym__lowercase_identifier,
    ACTIONS(16626), 1,
      anon_sym_LBRACK,
    STATE(11071), 1,
      sym__simple_class_type,
    STATE(13501), 1,
      sym_attribute,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10317), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [639079] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym_or_operator,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [639125] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_done,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    ACTIONS(15860), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15862), 1,
      sym_pow_operator,
    ACTIONS(15864), 1,
      sym_mult_operator,
    ACTIONS(15866), 1,
      sym_concat_operator,
    ACTIONS(15868), 1,
      sym_rel_operator,
    ACTIONS(15870), 1,
      sym_and_operator,
    ACTIONS(15872), 1,
      sym_or_operator,
    ACTIONS(15914), 1,
      sym_assign_operator,
    ACTIONS(16674), 1,
      anon_sym_SEMI,
    STATE(2432), 1,
      sym_add_operator,
    STATE(13503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639177] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_end,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16648), 1,
      anon_sym_SEMI,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    ACTIONS(16664), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639229] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_with,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16700), 1,
      anon_sym_SEMI,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    ACTIONS(16716), 1,
      sym_assign_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639281] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16856), 1,
      anon_sym_and,
    STATE(13506), 1,
      sym_attribute,
    STATE(13510), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15562), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639313] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6461), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17042), 1,
      sym__lowercase_identifier,
    ACTIONS(17044), 1,
      anon_sym_LPAREN,
    ACTIONS(17046), 1,
      anon_sym_LBRACE,
    ACTIONS(17048), 1,
      sym__uppercase_identifier,
    STATE(7005), 1,
      sym__constructor_name,
    STATE(7311), 1,
      sym_parenthesized_operator,
    STATE(7495), 1,
      sym__value_name,
    STATE(13507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7446), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [639361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17050), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13508), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15174), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639391] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16983), 1,
      anon_sym_and,
    STATE(13508), 1,
      aux_sym_class_definition_repeat1,
    STATE(13509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15596), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17053), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13510), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15272), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639453] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16856), 1,
      anon_sym_and,
    STATE(13511), 1,
      sym_attribute,
    STATE(13520), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15562), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639485] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17056), 1,
      anon_sym_DQUOTE,
    STATE(13396), 1,
      aux_sym_string_content_repeat1,
    STATE(13512), 1,
      sym_attribute,
    STATE(13613), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15894), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(15896), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(15892), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [639523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10278), 10,
      anon_sym_rec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [639553] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2447), 1,
      anon_sym_LBRACK,
    ACTIONS(2457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17058), 1,
      sym__lowercase_identifier,
    ACTIONS(17060), 1,
      anon_sym_LPAREN,
    ACTIONS(17062), 1,
      anon_sym_LBRACE,
    ACTIONS(17064), 1,
      sym__uppercase_identifier,
    STATE(6466), 1,
      sym__value_name,
    STATE(6706), 1,
      sym_parenthesized_operator,
    STATE(6835), 1,
      sym__constructor_name,
    STATE(13514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6928), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [639601] = 13,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10364), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [639647] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16099), 1,
      anon_sym_COMMA,
    STATE(13516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [639679] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    ACTIONS(16716), 1,
      sym_assign_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11454), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11452), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [639759] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16790), 1,
      anon_sym_and,
    STATE(13470), 1,
      aux_sym_class_definition_repeat1,
    STATE(13519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15596), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639791] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16856), 1,
      anon_sym_and,
    STATE(13510), 1,
      aux_sym_type_definition_repeat1,
    STATE(13520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15569), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639823] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(16770), 1,
      sym__lowercase_identifier,
    ACTIONS(16802), 1,
      anon_sym_POUND,
    ACTIONS(17066), 1,
      anon_sym_DASH_GT,
    ACTIONS(17068), 1,
      anon_sym_STAR,
    STATE(13521), 1,
      sym_attribute,
    STATE(13673), 1,
      sym_type_constructor_path,
    STATE(17936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 3,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10336), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [639867] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10364), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [639903] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    ACTIONS(16702), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16704), 1,
      sym_pow_operator,
    ACTIONS(16706), 1,
      sym_mult_operator,
    ACTIONS(16708), 1,
      sym_concat_operator,
    ACTIONS(16710), 1,
      sym_rel_operator,
    ACTIONS(16712), 1,
      sym_and_operator,
    ACTIONS(16714), 1,
      sym_or_operator,
    ACTIONS(16716), 1,
      sym_assign_operator,
    STATE(1994), 1,
      sym_add_operator,
    STATE(13523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [639953] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_DASH_GT,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16935), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [640005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11796), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11794), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [640035] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16983), 1,
      anon_sym_and,
    STATE(13460), 1,
      aux_sym_class_definition_repeat1,
    STATE(13526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15542), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640067] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15661), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(17070), 1,
      anon_sym_nonrec,
    STATE(12878), 1,
      sym_type_binding,
    STATE(13527), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15238), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(20453), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11412), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11414), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [640151] = 17,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15784), 1,
      sym__lowercase_identifier,
    ACTIONS(17072), 1,
      anon_sym_nonrec,
    STATE(12836), 1,
      sym_type_binding,
    STATE(13529), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15356), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21242), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [640205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11784), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(11782), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [640235] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    STATE(13531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [640267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11798), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11800), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [640297] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_then,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    ACTIONS(16746), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16748), 1,
      sym_pow_operator,
    ACTIONS(16750), 1,
      sym_mult_operator,
    ACTIONS(16752), 1,
      sym_concat_operator,
    ACTIONS(16754), 1,
      sym_rel_operator,
    ACTIONS(16756), 1,
      sym_and_operator,
    ACTIONS(16758), 1,
      sym_or_operator,
    ACTIONS(16760), 1,
      sym_assign_operator,
    ACTIONS(16879), 1,
      anon_sym_SEMI,
    STATE(1853), 1,
      sym_add_operator,
    STATE(13533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [640349] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11418), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [640379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11422), 13,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [640409] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16007), 1,
      anon_sym_COMMA,
    STATE(13536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(10161), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [640441] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    ACTIONS(16650), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16652), 1,
      sym_pow_operator,
    ACTIONS(16654), 1,
      sym_mult_operator,
    ACTIONS(16656), 1,
      sym_concat_operator,
    ACTIONS(16658), 1,
      sym_rel_operator,
    ACTIONS(16660), 1,
      sym_and_operator,
    ACTIONS(16662), 1,
      sym_or_operator,
    ACTIONS(16664), 1,
      sym_assign_operator,
    STATE(2021), 1,
      sym_add_operator,
    STATE(13537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [640491] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17074), 1,
      anon_sym_and,
    STATE(13538), 1,
      sym_attribute,
    STATE(13540), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15455), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640523] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17074), 1,
      anon_sym_and,
    STATE(13539), 1,
      sym_attribute,
    STATE(13540), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15800), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17076), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13540), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15282), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640585] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17074), 1,
      anon_sym_and,
    STATE(13541), 1,
      sym_attribute,
    STATE(13542), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15800), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640617] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17074), 1,
      anon_sym_and,
    STATE(13540), 1,
      aux_sym_module_definition_repeat1,
    STATE(13542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15825), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640649] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_and,
    STATE(13543), 1,
      sym_attribute,
    STATE(13546), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15455), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640681] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_and,
    STATE(13544), 1,
      sym_attribute,
    STATE(13546), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15800), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640713] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5873), 1,
      anon_sym_LBRACK,
    ACTIONS(5881), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5885), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17081), 1,
      sym__lowercase_identifier,
    ACTIONS(17083), 1,
      anon_sym_LPAREN,
    ACTIONS(17085), 1,
      anon_sym_LBRACE,
    ACTIONS(17087), 1,
      sym__uppercase_identifier,
    STATE(6198), 1,
      sym__value_name,
    STATE(6247), 1,
      sym_parenthesized_operator,
    STATE(6400), 1,
      sym__constructor_name,
    STATE(13545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6168), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [640761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17089), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13546), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15282), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640791] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_and,
    STATE(13547), 1,
      sym_attribute,
    STATE(13548), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15800), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640823] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_and,
    STATE(13546), 1,
      aux_sym_module_definition_repeat1,
    STATE(13548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15825), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640855] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(1181), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1203), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17092), 1,
      sym__lowercase_identifier,
    ACTIONS(17094), 1,
      anon_sym_LPAREN,
    ACTIONS(17096), 1,
      anon_sym_LBRACE,
    ACTIONS(17098), 1,
      sym__uppercase_identifier,
    STATE(5499), 1,
      sym_parenthesized_operator,
    STATE(5509), 1,
      sym__constructor_name,
    STATE(5528), 1,
      sym__value_name,
    STATE(13549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5491), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [640903] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2395), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17100), 1,
      sym__lowercase_identifier,
    ACTIONS(17102), 1,
      anon_sym_LPAREN,
    ACTIONS(17104), 1,
      anon_sym_LBRACE,
    ACTIONS(17106), 1,
      sym__uppercase_identifier,
    STATE(6427), 1,
      sym__constructor_name,
    STATE(6530), 1,
      sym__value_name,
    STATE(6746), 1,
      sym_parenthesized_operator,
    STATE(13550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6464), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [640951] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6903), 1,
      anon_sym_LBRACK,
    ACTIONS(6911), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6915), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17108), 1,
      sym__lowercase_identifier,
    ACTIONS(17110), 1,
      anon_sym_LPAREN,
    ACTIONS(17112), 1,
      anon_sym_LBRACE,
    ACTIONS(17114), 1,
      sym__uppercase_identifier,
    STATE(8128), 1,
      sym_parenthesized_operator,
    STATE(8188), 1,
      sym__constructor_name,
    STATE(8435), 1,
      sym__value_name,
    STATE(13551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8378), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [640999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8192), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(8190), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [641029] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17074), 1,
      anon_sym_and,
    STATE(13538), 1,
      aux_sym_module_definition_repeat1,
    STATE(13553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15780), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641061] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17074), 1,
      anon_sym_and,
    STATE(13539), 1,
      aux_sym_module_definition_repeat1,
    STATE(13554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15455), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641093] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_and,
    STATE(13543), 1,
      aux_sym_module_definition_repeat1,
    STATE(13555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15780), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641125] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_and,
    STATE(13544), 1,
      aux_sym_module_definition_repeat1,
    STATE(13556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15455), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641157] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9038), 1,
      anon_sym_DASH_GT,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(14170), 1,
      sym_rel_operator,
    ACTIONS(16935), 1,
      anon_sym_SEMI,
    STATE(1875), 1,
      sym_add_operator,
    STATE(13557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [641209] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15661), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    STATE(12878), 1,
      sym_type_binding,
    STATE(13558), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15238), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(20453), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [641260] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    STATE(13329), 1,
      sym_type_binding,
    STATE(13559), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15305), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21228), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [641311] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13655), 1,
      anon_sym_DASH_GT,
    STATE(13560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641342] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15661), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    STATE(12429), 1,
      sym_type_binding,
    STATE(13561), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15238), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(20453), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [641393] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_COLON2,
    STATE(13562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [641424] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17116), 1,
      anon_sym_COLON_GT,
    ACTIONS(17118), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13563), 1,
      sym_attribute,
    STATE(13787), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17120), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8192), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [641490] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    STATE(13565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [641521] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641548] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13567), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    STATE(15080), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11054), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641591] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17124), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641618] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13569), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    STATE(15081), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11054), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641661] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(17126), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13570), 1,
      sym_attribute,
    STATE(13784), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17128), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641698] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10910), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641735] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13572), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    STATE(15058), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11070), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641778] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(17130), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13573), 1,
      sym_attribute,
    STATE(13755), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17132), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641815] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13574), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    STATE(15075), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11050), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641858] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(17134), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13575), 1,
      sym_attribute,
    STATE(13817), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17136), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641895] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17138), 1,
      anon_sym_COLON2,
    STATE(13576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [641926] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13577), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    STATE(15073), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11026), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8050), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [641998] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15762), 1,
      sym__lowercase_identifier,
    STATE(12429), 1,
      sym_type_binding,
    STATE(13579), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15902), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21208), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [642049] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15762), 1,
      sym__lowercase_identifier,
    STATE(13382), 1,
      sym_type_binding,
    STATE(13580), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15902), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21208), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [642100] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15762), 1,
      sym__lowercase_identifier,
    STATE(13511), 1,
      sym_type_binding,
    STATE(13581), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15902), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21208), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [642151] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15661), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    STATE(12811), 1,
      sym_type_binding,
    STATE(13582), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15238), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(20453), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [642202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8350), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [642231] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11125), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642258] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(17140), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13585), 1,
      sym_attribute,
    STATE(13886), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17142), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [642324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    STATE(13587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8342), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [642384] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13589), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    STATE(15074), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11026), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642427] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    STATE(12429), 1,
      sym_type_binding,
    STATE(13590), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15305), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21228), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [642478] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    STATE(13591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642509] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15784), 1,
      sym__lowercase_identifier,
    STATE(12836), 1,
      sym_type_binding,
    STATE(13592), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15356), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21242), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [642560] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17144), 1,
      anon_sym_COLON_GT,
    ACTIONS(17146), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13593), 1,
      sym_attribute,
    STATE(13848), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17148), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642597] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15784), 1,
      sym__lowercase_identifier,
    STATE(12624), 1,
      sym_type_binding,
    STATE(13594), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15356), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21242), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [642648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    STATE(13595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10161), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10159), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642679] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(17150), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13596), 1,
      sym_attribute,
    STATE(13851), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17152), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642716] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10966), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642753] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15774), 1,
      sym__lowercase_identifier,
    STATE(13404), 1,
      sym_type_binding,
    STATE(13598), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15305), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21228), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [642804] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9092), 12,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [642833] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(17154), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13600), 1,
      sym_attribute,
    STATE(13827), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17156), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642870] = 16,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    ACTIONS(15784), 1,
      sym__lowercase_identifier,
    STATE(12429), 1,
      sym_type_binding,
    STATE(13601), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15356), 1,
      sym__type_params,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    STATE(21242), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [642921] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17158), 1,
      anon_sym_COLON_GT,
    ACTIONS(17160), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13602), 1,
      sym_attribute,
    STATE(13783), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17162), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642958] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17164), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11578), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11498), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11500), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643041] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12553), 1,
      anon_sym_LPAREN,
    ACTIONS(12555), 1,
      anon_sym_LBRACK,
    ACTIONS(17166), 1,
      anon_sym_private,
    ACTIONS(17168), 1,
      anon_sym_DOT_DOT,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(11669), 1,
      sym_variant_declaration,
    STATE(11670), 1,
      sym_record_declaration,
    STATE(12482), 1,
      sym_constructor_declaration,
    STATE(13606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12557), 2,
      anon_sym_true,
      anon_sym_false,
  [643089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11572), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11574), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643117] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17174), 1,
      anon_sym_as,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13608), 1,
      sym_attribute,
    STATE(13906), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17172), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643151] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17176), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13609), 1,
      sym_attribute,
    STATE(13839), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17178), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643185] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(17180), 1,
      sym__lowercase_identifier,
    ACTIONS(17182), 1,
      anon_sym_DASH_GT,
    ACTIONS(17184), 1,
      anon_sym_STAR,
    ACTIONS(17186), 1,
      anon_sym_POUND,
    STATE(13610), 1,
      sym_attribute,
    STATE(13948), 1,
      sym_type_constructor_path,
    STATE(17835), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
    ACTIONS(10336), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [643227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11684), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11686), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11400), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17190), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17188), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [643311] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    STATE(13614), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15781), 1,
      sym__type_params,
    STATE(16580), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [643359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11702), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643387] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9366), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12569), 1,
      anon_sym_LPAREN,
    ACTIONS(12571), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17192), 1,
      anon_sym_private,
    ACTIONS(17194), 1,
      anon_sym_DOT_DOT,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(11694), 1,
      sym_variant_declaration,
    STATE(11695), 1,
      sym_record_declaration,
    STATE(12485), 1,
      sym_constructor_declaration,
    STATE(13616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12573), 2,
      anon_sym_true,
      anon_sym_false,
  [643435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11716), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11718), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17198), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17196), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [643491] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9366), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12569), 1,
      anon_sym_LPAREN,
    ACTIONS(12571), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17200), 1,
      anon_sym_private,
    ACTIONS(17202), 1,
      anon_sym_DOT_DOT,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(11709), 1,
      sym_variant_declaration,
    STATE(11710), 1,
      sym_record_declaration,
    STATE(12485), 1,
      sym_constructor_declaration,
    STATE(13619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12573), 2,
      anon_sym_true,
      anon_sym_false,
  [643539] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11344), 1,
      anon_sym_in,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13620), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    STATE(15655), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11412), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11414), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11418), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11422), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11428), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11430), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11434), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11438), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [643749] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9336), 1,
      anon_sym_PIPE,
    ACTIONS(12245), 1,
      anon_sym_LPAREN,
    ACTIONS(12247), 1,
      anon_sym_LBRACK,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17204), 1,
      anon_sym_private,
    ACTIONS(17206), 1,
      anon_sym_DOT_DOT,
    STATE(10919), 1,
      sym_record_declaration,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11032), 1,
      sym_variant_declaration,
    STATE(11638), 1,
      sym_constructor_declaration,
    STATE(13627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12249), 2,
      anon_sym_true,
      anon_sym_false,
  [643797] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_in,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13628), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    STATE(15581), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643839] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    STATE(13629), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15797), 1,
      sym__type_params,
    STATE(16880), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [643887] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12255), 1,
      anon_sym_LPAREN,
    ACTIONS(12257), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17208), 1,
      anon_sym_private,
    ACTIONS(17210), 1,
      anon_sym_DOT_DOT,
    STATE(10813), 1,
      sym_variant_declaration,
    STATE(10814), 1,
      sym_record_declaration,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11755), 1,
      sym_constructor_declaration,
    STATE(13630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12259), 2,
      anon_sym_true,
      anon_sym_false,
  [643935] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(17214), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17212), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643965] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12255), 1,
      anon_sym_LPAREN,
    ACTIONS(12257), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17216), 1,
      anon_sym_private,
    ACTIONS(17218), 1,
      anon_sym_DOT_DOT,
    STATE(10828), 1,
      sym_variant_declaration,
    STATE(10829), 1,
      sym_record_declaration,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11755), 1,
      sym_constructor_declaration,
    STATE(13632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12259), 2,
      anon_sym_true,
      anon_sym_false,
  [644013] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17220), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13633), 1,
      sym_attribute,
    STATE(13717), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17222), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11448), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11450), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11452), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11454), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11458), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644131] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    STATE(13637), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15806), 1,
      sym__type_params,
    STATE(17152), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [644179] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7231), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(7233), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11312), 1,
      anon_sym_in,
    ACTIONS(16219), 1,
      anon_sym_LPAREN,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13638), 1,
      sym_attribute,
    STATE(13990), 1,
      sym__simple_module_expression,
    STATE(15910), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14038), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644221] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6789), 1,
      anon_sym_COLON2,
    ACTIONS(17224), 1,
      anon_sym_DOT_DOT,
    STATE(13639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6783), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [644251] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      aux_sym_attribute_id_token1,
    STATE(13640), 1,
      sym_attribute,
    STATE(13648), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8703), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8705), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [644283] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11498), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [644313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      anon_sym_COLON2,
    STATE(13642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [644341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11778), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11780), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644369] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12553), 1,
      anon_sym_LPAREN,
    ACTIONS(12555), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17228), 1,
      anon_sym_private,
    ACTIONS(17230), 1,
      anon_sym_DOT_DOT,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(11654), 1,
      sym_variant_declaration,
    STATE(11655), 1,
      sym_record_declaration,
    STATE(12482), 1,
      sym_constructor_declaration,
    STATE(13644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12557), 2,
      anon_sym_true,
      anon_sym_false,
  [644417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11782), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11784), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644445] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9010), 1,
      anon_sym_COLON2,
    STATE(13646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [644473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644501] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17226), 1,
      aux_sym_attribute_id_token1,
    STATE(13648), 1,
      sym_attribute,
    STATE(13671), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8682), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8684), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [644533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11794), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11796), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9092), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644589] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11510), 1,
      anon_sym_as,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13651), 1,
      sym_attribute,
    STATE(13703), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17232), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11798), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11800), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644651] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17234), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13653), 1,
      sym_attribute,
    STATE(13899), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17236), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9092), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11598), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11600), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644741] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(17180), 1,
      sym__lowercase_identifier,
    ACTIONS(17238), 1,
      anon_sym_POUND,
    STATE(13656), 1,
      sym_attribute,
    STATE(13972), 1,
      sym_type_constructor_path,
    STATE(17835), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(11182), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [644779] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9336), 1,
      anon_sym_PIPE,
    ACTIONS(12245), 1,
      anon_sym_LPAREN,
    ACTIONS(12247), 1,
      anon_sym_LBRACK,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17240), 1,
      anon_sym_private,
    ACTIONS(17242), 1,
      anon_sym_DOT_DOT,
    STATE(10844), 1,
      sym_variant_declaration,
    STATE(10901), 1,
      sym_record_declaration,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11638), 1,
      sym_constructor_declaration,
    STATE(13657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12249), 2,
      anon_sym_true,
      anon_sym_false,
  [644827] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17246), 1,
      anon_sym_as,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13658), 1,
      sym_attribute,
    STATE(13835), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17244), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8192), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644889] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    STATE(13660), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15245), 1,
      sym__type_params,
    STATE(16340), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [644937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8350), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8342), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [644993] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17248), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13663), 1,
      sym_attribute,
    STATE(13869), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17250), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645027] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17252), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13664), 1,
      sym_attribute,
    STATE(13725), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17254), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645061] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(17180), 1,
      sym__lowercase_identifier,
    ACTIONS(17186), 1,
      anon_sym_POUND,
    STATE(13665), 1,
      sym_attribute,
    STATE(13948), 1,
      sym_type_constructor_path,
    STATE(17835), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(11158), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [645099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11518), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [645127] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17256), 1,
      anon_sym_EQ,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13667), 1,
      sym_attribute,
    STATE(13874), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17258), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11060), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [645189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11632), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11634), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [645217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8050), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [645245] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17260), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13671), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8692), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8694), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [645275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [645303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11636), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11638), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [645331] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    STATE(13674), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15599), 1,
      sym__type_params,
    STATE(16290), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [645379] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(17180), 1,
      sym__lowercase_identifier,
    ACTIONS(17186), 1,
      anon_sym_POUND,
    ACTIONS(17263), 1,
      anon_sym_STAR,
    STATE(13675), 1,
      sym_attribute,
    STATE(13948), 1,
      sym_type_constructor_path,
    STATE(17835), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 3,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
    ACTIONS(11112), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [645419] = 15,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15461), 1,
      sym__lowercase_identifier,
    ACTIONS(15663), 1,
      anon_sym_LPAREN,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(15671), 1,
      anon_sym__,
    STATE(13676), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(15763), 1,
      sym__type_params,
    STATE(16179), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18246), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [645467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11466), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [645495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9746), 1,
      anon_sym_COLON2,
    STATE(13678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9748), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [645522] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13679), 1,
      sym_attribute,
    STATE(13735), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17265), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645553] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14002), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645584] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12553), 1,
      anon_sym_LPAREN,
    ACTIONS(12555), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17267), 1,
      anon_sym_DOT_DOT,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(11676), 1,
      sym_variant_declaration,
    STATE(11677), 1,
      sym_record_declaration,
    STATE(12482), 1,
      sym_constructor_declaration,
    STATE(13681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12557), 2,
      anon_sym_true,
      anon_sym_false,
  [645629] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17269), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645660] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17271), 1,
      anon_sym_RPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13683), 1,
      sym_attribute,
    STATE(21130), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645699] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17275), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645730] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17277), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13685), 1,
      sym_attribute,
    STATE(19778), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645769] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9366), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12569), 1,
      anon_sym_LPAREN,
    ACTIONS(12571), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17279), 1,
      anon_sym_DOT_DOT,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(11716), 1,
      sym_variant_declaration,
    STATE(11717), 1,
      sym_record_declaration,
    STATE(12485), 1,
      sym_constructor_declaration,
    STATE(13686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12573), 2,
      anon_sym_true,
      anon_sym_false,
  [645814] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17281), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645845] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17283), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645876] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17285), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13689), 1,
      sym_attribute,
    STATE(20322), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645915] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17287), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13690), 1,
      sym_attribute,
    STATE(20935), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      anon_sym_COLON2,
    STATE(13691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9696), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [645981] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9734), 1,
      anon_sym_COLON2,
    STATE(13692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9736), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646008] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17291), 1,
      anon_sym_LPAREN,
    ACTIONS(17293), 1,
      anon_sym_COLON2,
    STATE(13693), 1,
      sym_attribute,
    STATE(13893), 1,
      aux_sym_module_binding_repeat1,
    STATE(14516), 1,
      sym_module_parameter,
    STATE(14642), 1,
      sym__module_typed,
    STATE(15127), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11975), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(17289), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [646051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9684), 1,
      anon_sym_COLON2,
    STATE(13694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9686), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646078] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13695), 1,
      sym_attribute,
    STATE(13889), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17295), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646109] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13696), 1,
      sym_attribute,
    STATE(13829), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17297), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646140] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17299), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13697), 1,
      sym_attribute,
    STATE(19878), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646179] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17303), 1,
      anon_sym_COLON2,
    STATE(13698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17301), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646206] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17305), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13699), 1,
      sym_attribute,
    STATE(20626), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646245] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17307), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13700), 1,
      sym_attribute,
    STATE(20865), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646284] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17309), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13701), 1,
      sym_attribute,
    STATE(20336), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646323] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17311), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13702), 1,
      sym_attribute,
    STATE(18928), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646362] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17313), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646393] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17315), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13704), 1,
      sym_attribute,
    STATE(18756), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13705), 1,
      sym_attribute,
    STATE(13756), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17317), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9742), 1,
      anon_sym_COLON2,
    STATE(13706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646490] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17319), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13707), 1,
      sym_attribute,
    STATE(19397), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646529] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17321), 1,
      aux_sym_attribute_id_token1,
    STATE(13708), 1,
      sym_attribute,
    STATE(13742), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8705), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646558] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12255), 1,
      anon_sym_LPAREN,
    ACTIONS(12257), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17323), 1,
      anon_sym_DOT_DOT,
    STATE(10820), 1,
      sym_variant_declaration,
    STATE(10821), 1,
      sym_record_declaration,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11755), 1,
      sym_constructor_declaration,
    STATE(13709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12259), 2,
      anon_sym_true,
      anon_sym_false,
  [646603] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17325), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13710), 1,
      sym_attribute,
    STATE(19030), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9766), 1,
      anon_sym_COLON2,
    STATE(13711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9768), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [646669] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17327), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13712), 1,
      sym_attribute,
    STATE(19678), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646708] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17329), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13713), 1,
      sym_attribute,
    STATE(20886), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646747] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13714), 1,
      sym_attribute,
    STATE(13832), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17331), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646778] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13715), 1,
      sym_attribute,
    STATE(13760), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17333), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646809] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9300), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12553), 1,
      anon_sym_LPAREN,
    ACTIONS(12555), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17335), 1,
      anon_sym_DOT_DOT,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(11661), 1,
      sym_variant_declaration,
    STATE(11662), 1,
      sym_record_declaration,
    STATE(12482), 1,
      sym_constructor_declaration,
    STATE(13716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12557), 2,
      anon_sym_true,
      anon_sym_false,
  [646854] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17337), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646885] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12255), 1,
      anon_sym_LPAREN,
    ACTIONS(12257), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17339), 1,
      anon_sym_DOT_DOT,
    STATE(10835), 1,
      sym_variant_declaration,
    STATE(10836), 1,
      sym_record_declaration,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11755), 1,
      sym_constructor_declaration,
    STATE(13718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12259), 2,
      anon_sym_true,
      anon_sym_false,
  [646930] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17341), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13719), 1,
      sym_attribute,
    STATE(20906), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11060), 10,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [646996] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13721), 1,
      sym_attribute,
    STATE(13774), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17343), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647027] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9336), 1,
      anon_sym_PIPE,
    ACTIONS(12245), 1,
      anon_sym_LPAREN,
    ACTIONS(12247), 1,
      anon_sym_LBRACK,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17345), 1,
      anon_sym_DOT_DOT,
    STATE(10883), 1,
      sym_record_declaration,
    STATE(10936), 1,
      sym_variant_declaration,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11638), 1,
      sym_constructor_declaration,
    STATE(13722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12249), 2,
      anon_sym_true,
      anon_sym_false,
  [647072] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17347), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13723), 1,
      sym_attribute,
    STATE(19914), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647111] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17349), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13724), 1,
      sym_attribute,
    STATE(21212), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647150] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17351), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647181] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13726), 1,
      sym_attribute,
    STATE(13818), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17353), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647212] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17355), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17359), 1,
      anon_sym_COLON2,
    STATE(13728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17357), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647270] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17361), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13729), 1,
      sym_attribute,
    STATE(20282), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647309] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17363), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13730), 1,
      sym_attribute,
    STATE(18695), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647348] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17365), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13731), 1,
      sym_attribute,
    STATE(19057), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9714), 1,
      anon_sym_COLON2,
    STATE(13732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9716), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647414] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17367), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13733), 1,
      sym_attribute,
    STATE(20944), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647453] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17369), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647484] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17371), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647515] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13736), 1,
      sym_attribute,
    STATE(13786), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17373), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17377), 1,
      anon_sym_COLON2,
    STATE(13737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17375), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9758), 1,
      anon_sym_COLON2,
    STATE(13738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9760), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17381), 1,
      anon_sym_COLON2,
    STATE(13739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17379), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9750), 1,
      anon_sym_COLON2,
    STATE(13740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9752), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17385), 1,
      anon_sym_COLON2,
    STATE(13741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17383), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647681] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17321), 1,
      aux_sym_attribute_id_token1,
    STATE(13742), 1,
      sym_attribute,
    STATE(13823), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8684), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647710] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13743), 1,
      sym_attribute,
    STATE(13808), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17387), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9208), 1,
      anon_sym_COLON2,
    STATE(13744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [647768] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17389), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647799] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17391), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13746), 1,
      sym_attribute,
    STATE(20193), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647838] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17393), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13747), 1,
      sym_attribute,
    STATE(19440), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647877] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17395), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13748), 1,
      sym_attribute,
    STATE(20738), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647916] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11112), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15736), 1,
      anon_sym_STAR,
    STATE(13749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11268), 1,
      anon_sym_COLON2,
    STATE(13750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [647974] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17397), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13751), 1,
      sym_attribute,
    STATE(20015), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648013] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17399), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13752), 1,
      sym_attribute,
    STATE(19601), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17403), 1,
      anon_sym_COLON2,
    STATE(13753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17401), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [648079] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17405), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13754), 1,
      sym_attribute,
    STATE(19736), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648118] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17407), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648149] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17409), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17413), 1,
      anon_sym_COLON2,
    STATE(13757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17411), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [648207] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17415), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13758), 1,
      sym_attribute,
    STATE(20833), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648246] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9702), 1,
      anon_sym_COLON2,
    STATE(13759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9704), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [648273] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17417), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648304] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17419), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13761), 1,
      sym_attribute,
    STATE(19848), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648343] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17421), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648374] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17423), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13763), 1,
      sym_attribute,
    STATE(20164), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648413] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17425), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13764), 1,
      sym_attribute,
    STATE(20161), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648452] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13937), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648483] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17429), 1,
      anon_sym_COLON2,
    STATE(13766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17427), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [648510] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [648535] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13743), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648566] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17431), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13769), 1,
      sym_attribute,
    STATE(19977), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648605] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13770), 1,
      sym_attribute,
    STATE(13852), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17433), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648636] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10397), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [648661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9082), 1,
      anon_sym_COLON2,
    STATE(13772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [648688] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17435), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13773), 1,
      sym_attribute,
    STATE(20430), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648727] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17437), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648758] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13768), 1,
      aux_sym_expression_item_repeat1,
    STATE(13775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13937), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648789] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17439), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13776), 1,
      sym_attribute,
    STATE(18841), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9724), 1,
      anon_sym_COLON2,
    STATE(13777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9726), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [648855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9644), 1,
      anon_sym_COLON2,
    STATE(13778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9646), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [648882] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17443), 1,
      anon_sym_COLON2,
    STATE(13779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17441), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [648909] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13780), 1,
      sym_attribute,
    STATE(13853), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17445), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648940] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13680), 1,
      aux_sym_expression_item_repeat1,
    STATE(13781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13751), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648971] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17447), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13782), 1,
      sym_attribute,
    STATE(18504), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649010] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17449), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649041] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17451), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649072] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17453), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13785), 1,
      sym_attribute,
    STATE(19488), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649111] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17455), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649142] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17457), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649173] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17459), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13788), 1,
      sym_attribute,
    STATE(21361), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649212] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13789), 1,
      sym_attribute,
    STATE(13807), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13941), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649243] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17461), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13790), 1,
      sym_attribute,
    STATE(20776), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649282] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17463), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13791), 1,
      sym_attribute,
    STATE(20187), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649321] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17465), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13792), 1,
      sym_attribute,
    STATE(21399), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649360] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10393), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [649385] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17467), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13794), 1,
      sym_attribute,
    STATE(19432), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649424] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17469), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13795), 1,
      sym_attribute,
    STATE(18532), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9212), 1,
      anon_sym_COLON2,
    STATE(13796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [649490] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17471), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13797), 1,
      sym_attribute,
    STATE(20188), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15463), 1,
      anon_sym_STAR,
    STATE(13798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 11,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [649556] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17473), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13799), 1,
      sym_attribute,
    STATE(21091), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649595] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17477), 1,
      anon_sym_COLON2,
    STATE(13800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17475), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [649622] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17479), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13801), 1,
      sym_attribute,
    STATE(20259), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649661] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17481), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649692] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17483), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13803), 1,
      sym_attribute,
    STATE(20588), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649731] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17485), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13804), 1,
      sym_attribute,
    STATE(19746), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649770] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17487), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13805), 1,
      sym_attribute,
    STATE(18983), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649809] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17489), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13806), 1,
      sym_attribute,
    STATE(20303), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649848] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13751), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649879] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17491), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649910] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13688), 1,
      aux_sym_expression_item_repeat1,
    STATE(13809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17493), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649941] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17495), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13810), 1,
      sym_attribute,
    STATE(20846), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649980] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17497), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13811), 1,
      sym_attribute,
    STATE(20129), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_COLON2,
    STATE(13812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [650046] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13765), 1,
      aux_sym_expression_item_repeat1,
    STATE(13813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13685), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650077] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11112), 1,
      anon_sym_as,
    ACTIONS(17499), 1,
      sym__lowercase_identifier,
    ACTIONS(17501), 1,
      anon_sym_STAR,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    STATE(13814), 1,
      sym_attribute,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 5,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [650116] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17505), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13815), 1,
      sym_attribute,
    STATE(20852), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650155] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      anon_sym_as,
    ACTIONS(17499), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    STATE(13816), 1,
      sym_attribute,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11156), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [650192] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17507), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650223] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17509), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650254] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17511), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650285] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17513), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13820), 1,
      sym_attribute,
    STATE(20875), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650324] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17515), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13821), 1,
      sym_attribute,
    STATE(20850), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650363] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17517), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13822), 1,
      sym_attribute,
    STATE(18578), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17519), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13823), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(8694), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650429] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10403), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [650454] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13825), 1,
      sym_attribute,
    STATE(13854), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17522), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650485] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17524), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13826), 1,
      sym_attribute,
    STATE(21077), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650524] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17526), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650555] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(16516), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16514), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650584] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17528), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650615] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17530), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13830), 1,
      sym_attribute,
    STATE(20645), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650654] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17532), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13831), 1,
      sym_attribute,
    STATE(20344), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650693] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17534), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650724] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17536), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13833), 1,
      sym_attribute,
    STATE(18828), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650763] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13834), 1,
      sym_attribute,
    STATE(13855), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17538), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17540), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650825] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13819), 1,
      aux_sym_expression_item_repeat1,
    STATE(13836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17542), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650856] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17544), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13837), 1,
      sym_attribute,
    STATE(20515), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650895] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17546), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13838), 1,
      sym_attribute,
    STATE(20109), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650934] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17548), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650965] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13840), 1,
      sym_attribute,
    STATE(13896), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17550), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650996] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17552), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651027] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17554), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13842), 1,
      sym_attribute,
    STATE(19679), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8242), 1,
      anon_sym_COLON2,
    STATE(13843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 11,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [651093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8692), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(8694), 7,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
  [651120] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17556), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13845), 1,
      sym_attribute,
    STATE(20729), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651159] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11182), 1,
      anon_sym_as,
    ACTIONS(17499), 1,
      sym__lowercase_identifier,
    ACTIONS(17558), 1,
      anon_sym_POUND,
    STATE(13846), 1,
      sym_attribute,
    STATE(14008), 1,
      sym_type_constructor_path,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [651196] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16053), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651227] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17560), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651258] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13849), 1,
      sym_attribute,
    STATE(13915), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17562), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651289] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17564), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13850), 1,
      sym_attribute,
    STATE(20036), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651328] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17566), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651359] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17568), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651390] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17570), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651421] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17572), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651452] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17574), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651483] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7605), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651514] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15955), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651545] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17576), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13858), 1,
      sym_attribute,
    STATE(20623), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651584] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9336), 1,
      anon_sym_PIPE,
    ACTIONS(12245), 1,
      anon_sym_LPAREN,
    ACTIONS(12247), 1,
      anon_sym_LBRACK,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17578), 1,
      anon_sym_DOT_DOT,
    STATE(10864), 1,
      sym_variant_declaration,
    STATE(10869), 1,
      sym_record_declaration,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11638), 1,
      sym_constructor_declaration,
    STATE(13859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12249), 2,
      anon_sym_true,
      anon_sym_false,
  [651629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9602), 1,
      anon_sym_COLON2,
    STATE(13860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [651656] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17580), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13861), 1,
      sym_attribute,
    STATE(19019), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651695] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17582), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13862), 1,
      sym_attribute,
    STATE(19357), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651734] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17584), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13863), 1,
      sym_attribute,
    STATE(21357), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651773] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13684), 1,
      aux_sym_expression_item_repeat1,
    STATE(13864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17586), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651804] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13687), 1,
      aux_sym_expression_item_repeat1,
    STATE(13865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17588), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651835] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17592), 1,
      anon_sym_COLON2,
    STATE(13866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17590), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [651862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17596), 1,
      anon_sym_COLON2,
    STATE(13867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17594), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [651889] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17598), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13868), 1,
      sym_attribute,
    STATE(20338), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651928] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17600), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651959] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13682), 1,
      aux_sym_expression_item_repeat1,
    STATE(13870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17602), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651990] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17604), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652021] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17606), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13872), 1,
      sym_attribute,
    STATE(21218), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652060] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17608), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13873), 1,
      sym_attribute,
    STATE(20697), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652099] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17610), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9640), 1,
      anon_sym_COLON2,
    STATE(13875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9642), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [652157] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_COLON2,
    STATE(13876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [652184] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7593), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9718), 1,
      anon_sym_COLON2,
    STATE(13878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9720), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [652242] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(16384), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16382), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652271] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17612), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652302] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17614), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652333] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13802), 1,
      aux_sym_expression_item_repeat1,
    STATE(13882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17616), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652364] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11510), 1,
      anon_sym_as,
    ACTIONS(16496), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16494), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652393] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17618), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13884), 1,
      sym_attribute,
    STATE(21429), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7623), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652463] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17620), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652494] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(10336), 1,
      anon_sym_as,
    ACTIONS(17499), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(17622), 1,
      anon_sym_DASH_GT,
    ACTIONS(17624), 1,
      anon_sym_STAR,
    STATE(13887), 1,
      sym_attribute,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 4,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [652535] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17626), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13888), 1,
      sym_attribute,
    STATE(19697), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17628), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652605] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13881), 1,
      aux_sym_expression_item_repeat1,
    STATE(13890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17630), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652636] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [652661] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13892), 1,
      sym_attribute,
    STATE(13898), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17632), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652692] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17291), 1,
      anon_sym_LPAREN,
    ACTIONS(17293), 1,
      anon_sym_COLON2,
    STATE(13893), 1,
      sym_attribute,
    STATE(14231), 1,
      aux_sym_module_binding_repeat1,
    STATE(14516), 1,
      sym_module_parameter,
    STATE(14593), 1,
      sym__module_typed,
    STATE(15020), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12057), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(17634), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [652735] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17636), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13894), 1,
      sym_attribute,
    STATE(20145), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652774] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17638), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13895), 1,
      sym_attribute,
    STATE(20667), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652813] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17640), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652844] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17642), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13897), 1,
      sym_attribute,
    STATE(18549), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652883] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17644), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652914] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17646), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_COLON2,
    STATE(13900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [652972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17650), 1,
      anon_sym_COLON2,
    STATE(13901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17648), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [652999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9666), 1,
      anon_sym_COLON2,
    STATE(13902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9668), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [653026] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17652), 1,
      anon_sym_COLON2,
    STATE(13903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [653055] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13904), 1,
      sym_attribute,
    STATE(18584), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653094] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17656), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13905), 1,
      sym_attribute,
    STATE(20455), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653133] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17658), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653164] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17660), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13907), 1,
      sym_attribute,
    STATE(18864), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653203] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17662), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13908), 1,
      sym_attribute,
    STATE(18731), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17666), 1,
      anon_sym_COLON2,
    STATE(13909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17664), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [653269] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17668), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13910), 1,
      sym_attribute,
    STATE(20324), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653308] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17670), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13911), 1,
      sym_attribute,
    STATE(20943), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653347] = 14,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9366), 1,
      anon_sym_PIPE,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12569), 1,
      anon_sym_LPAREN,
    ACTIONS(12571), 1,
      anon_sym_LBRACK,
    ACTIONS(17170), 1,
      anon_sym_LBRACE,
    ACTIONS(17672), 1,
      anon_sym_DOT_DOT,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(11701), 1,
      sym_variant_declaration,
    STATE(11702), 1,
      sym_record_declaration,
    STATE(12485), 1,
      sym_constructor_declaration,
    STATE(13912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12573), 2,
      anon_sym_true,
      anon_sym_false,
  [653392] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13762), 1,
      aux_sym_expression_item_repeat1,
    STATE(13913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17674), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6789), 1,
      anon_sym_COLON2,
    STATE(13914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6783), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [653450] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17676), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653481] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17678), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13916), 1,
      sym_attribute,
    STATE(20661), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653520] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17680), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13917), 1,
      sym_attribute,
    STATE(19787), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653559] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13734), 1,
      aux_sym_expression_item_repeat1,
    STATE(13918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17682), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653590] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17684), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13919), 1,
      sym_attribute,
    STATE(20868), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653629] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17688), 1,
      anon_sym_COLON2,
    STATE(13920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17686), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [653656] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9606), 1,
      anon_sym_COLON2,
    STATE(13921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [653683] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10389), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [653708] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13727), 1,
      aux_sym_expression_item_repeat1,
    STATE(13923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17690), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653739] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(17692), 1,
      anon_sym_RPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13924), 1,
      sym_attribute,
    STATE(18528), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_COLON2,
    STATE(13925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9586), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [653805] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12033), 1,
      anon_sym_COLON2,
    STATE(13926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [653833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11578), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [653859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11412), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11414), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [653885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11060), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [653911] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11418), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [653937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11422), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [653963] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11428), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11430), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [653989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11434), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11438), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11448), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11450), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8050), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654093] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17694), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654123] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8298), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [654147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11452), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11454), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654173] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13940), 1,
      sym_attribute,
    STATE(13975), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17696), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654203] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17698), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8342), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11498), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11500), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654285] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11572), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11574), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654311] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11598), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11600), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11632), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11634), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654363] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13947), 1,
      sym_attribute,
    STATE(13962), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17700), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11636), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11638), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654419] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13941), 1,
      aux_sym_expression_item_repeat1,
    STATE(13949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17702), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654449] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10336), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15705), 1,
      anon_sym_DASH_GT,
    STATE(13950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654477] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 5,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_virtual,
      sym__lowercase_identifier,
    ACTIONS(10280), 6,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [654503] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9092), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654529] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(27), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_LPAREN,
    STATE(9282), 1,
      sym__simple_module_expression,
    STATE(13953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10910), 2,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    STATE(9277), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654563] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8694), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [654587] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11684), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11686), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654613] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11400), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17704), 1,
      anon_sym_DOT,
    STATE(13957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11064), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [654665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11702), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15620), 1,
      anon_sym_DASH_GT,
    STATE(13959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 10,
      ts_builtin_sym_end,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [654717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11716), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11718), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654743] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8218), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [654767] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17706), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11518), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654823] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17708), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8192), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654879] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17710), 1,
      anon_sym_COLON2,
    STATE(13966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11466), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654933] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17714), 1,
      anon_sym_COLON,
    ACTIONS(17716), 1,
      anon_sym_COLON2,
    STATE(13968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17712), 9,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [654961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(8350), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [654987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9222), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655013] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11778), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11780), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655039] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11782), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11784), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655065] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11794), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11796), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655091] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11798), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11800), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10219), 1,
      aux_sym_expression_item_repeat1,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17718), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655147] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13937), 1,
      aux_sym_expression_item_repeat1,
    STATE(13976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17720), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655177] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6821), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10619), 1,
      sym_item_attribute,
    STATE(13964), 1,
      aux_sym_expression_item_repeat1,
    STATE(13977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17722), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11458), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655233] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17730), 1,
      anon_sym_COLON2,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(13979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17724), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [655266] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17359), 1,
      anon_sym_COLON2,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(13980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17357), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [655295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11400), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11684), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11686), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655345] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17738), 1,
      anon_sym_COLON2,
    STATE(13983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17736), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [655378] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4737), 1,
      anon_sym_COLON2,
    ACTIONS(17224), 1,
      anon_sym_DOT_DOT,
    STATE(13984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4735), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [655405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11448), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11450), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655430] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12373), 1,
      anon_sym_LPAREN,
    ACTIONS(12375), 1,
      anon_sym_LBRACK,
    ACTIONS(17740), 1,
      anon_sym_private,
    ACTIONS(17742), 1,
      anon_sym_PIPE,
    STATE(11218), 1,
      sym__constructor_name,
    STATE(11235), 1,
      sym_variant_declaration,
    STATE(12336), 1,
      sym_constructor_declaration,
    STATE(13986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12377), 2,
      anon_sym_true,
      anon_sym_false,
  [655469] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11214), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [655492] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11064), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [655515] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17744), 1,
      anon_sym_constraint,
    STATE(13989), 1,
      sym_attribute,
    STATE(14020), 1,
      aux_sym_type_binding_repeat1,
    STATE(14253), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12451), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [655544] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11094), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [655567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11702), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655592] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12391), 1,
      anon_sym_LPAREN,
    ACTIONS(12393), 1,
      anon_sym_LBRACK,
    ACTIONS(17746), 1,
      anon_sym_private,
    ACTIONS(17748), 1,
      anon_sym_PIPE,
    STATE(11268), 1,
      sym__constructor_name,
    STATE(11350), 1,
      sym_variant_declaration,
    STATE(12342), 1,
      sym_constructor_declaration,
    STATE(13992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12395), 2,
      anon_sym_true,
      anon_sym_false,
  [655631] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11412), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11414), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655656] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11438), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655681] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11458), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655706] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12373), 1,
      anon_sym_LPAREN,
    ACTIONS(12375), 1,
      anon_sym_LBRACK,
    ACTIONS(17742), 1,
      anon_sym_PIPE,
    ACTIONS(17750), 1,
      anon_sym_private,
    STATE(11218), 1,
      sym__constructor_name,
    STATE(11350), 1,
      sym_variant_declaration,
    STATE(12336), 1,
      sym_constructor_declaration,
    STATE(13996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12377), 2,
      anon_sym_true,
      anon_sym_false,
  [655745] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17744), 1,
      anon_sym_constraint,
    STATE(13997), 1,
      sym_attribute,
    STATE(14014), 1,
      aux_sym_type_binding_repeat1,
    STATE(14253), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12447), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [655774] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11106), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [655797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11716), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11718), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655822] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11192), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [655845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11498), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11500), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655870] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11418), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(14003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [655920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11572), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11574), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11598), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11600), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11798), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11800), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655995] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17744), 1,
      anon_sym_constraint,
    STATE(13989), 1,
      aux_sym_type_binding_repeat1,
    STATE(14007), 1,
      sym_attribute,
    STATE(14253), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12441), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [656024] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11782), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11784), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11632), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11634), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656074] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11778), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11780), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656099] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11218), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [656122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11434), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656147] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11756), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11758), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14013), 1,
      sym_attribute,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656188] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17744), 1,
      anon_sym_constraint,
    STATE(14014), 1,
      sym_attribute,
    STATE(14020), 1,
      aux_sym_type_binding_repeat1,
    STATE(14253), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [656217] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11774), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11776), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14015), 1,
      sym_attribute,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656258] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11076), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [656281] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11222), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [656304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11452), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11454), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16800), 1,
      anon_sym_STAR,
    STATE(14019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [656354] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17756), 1,
      anon_sym_constraint,
    STATE(14253), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14020), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [656381] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11422), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656406] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17403), 1,
      anon_sym_COLON2,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(14022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17401), 6,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [656437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11794), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11796), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11428), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11430), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656487] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17761), 1,
      anon_sym_COLON2,
    STATE(14025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17759), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [656514] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12772), 1,
      anon_sym_LPAREN,
    ACTIONS(12774), 1,
      anon_sym_LBRACK,
    ACTIONS(17763), 1,
      anon_sym_private,
    ACTIONS(17765), 1,
      anon_sym_PIPE,
    STATE(11350), 1,
      sym_variant_declaration,
    STATE(11916), 1,
      sym__constructor_name,
    STATE(12876), 1,
      sym_constructor_declaration,
    STATE(14026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12776), 2,
      anon_sym_true,
      anon_sym_false,
  [656553] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11578), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656578] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11590), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11592), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14028), 1,
      sym_attribute,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656619] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11084), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [656642] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [656665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(14031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [656690] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12882), 1,
      anon_sym_LPAREN,
    ACTIONS(12884), 1,
      anon_sym_LBRACK,
    ACTIONS(17767), 1,
      anon_sym_private,
    ACTIONS(17769), 1,
      anon_sym_PIPE,
    STATE(11350), 1,
      sym_variant_declaration,
    STATE(11942), 1,
      sym__constructor_name,
    STATE(12879), 1,
      sym_constructor_declaration,
    STATE(14032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_true,
      anon_sym_false,
  [656729] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12391), 1,
      anon_sym_LPAREN,
    ACTIONS(12393), 1,
      anon_sym_LBRACK,
    ACTIONS(17748), 1,
      anon_sym_PIPE,
    ACTIONS(17771), 1,
      anon_sym_private,
    STATE(11235), 1,
      sym_variant_declaration,
    STATE(11268), 1,
      sym__constructor_name,
    STATE(12342), 1,
      sym_constructor_declaration,
    STATE(14033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12395), 2,
      anon_sym_true,
      anon_sym_false,
  [656768] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11580), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11582), 1,
      anon_sym_in,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14034), 1,
      sym_attribute,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [656809] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12882), 1,
      anon_sym_LPAREN,
    ACTIONS(12884), 1,
      anon_sym_LBRACK,
    ACTIONS(17769), 1,
      anon_sym_PIPE,
    ACTIONS(17773), 1,
      anon_sym_private,
    STATE(11235), 1,
      sym_variant_declaration,
    STATE(11942), 1,
      sym__constructor_name,
    STATE(12879), 1,
      sym_constructor_declaration,
    STATE(14035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_true,
      anon_sym_false,
  [656848] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11088), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [656871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11466), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656896] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11080), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [656919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11636), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11638), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656944] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17359), 1,
      anon_sym_COLON2,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    STATE(14040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17357), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [656971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(11518), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [656996] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [657019] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11790), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11792), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14043), 1,
      sym_attribute,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657060] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12772), 1,
      anon_sym_LPAREN,
    ACTIONS(12774), 1,
      anon_sym_LBRACK,
    ACTIONS(17765), 1,
      anon_sym_PIPE,
    ACTIONS(17775), 1,
      anon_sym_private,
    STATE(11235), 1,
      sym_variant_declaration,
    STATE(11916), 1,
      sym__constructor_name,
    STATE(12876), 1,
      sym_constructor_declaration,
    STATE(14044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12776), 2,
      anon_sym_true,
      anon_sym_false,
  [657099] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_DASH_GT,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(11650), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11652), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14045), 1,
      sym_attribute,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(16037), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657140] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5567), 1,
      anon_sym_LBRACK,
    ACTIONS(5581), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17777), 1,
      anon_sym_LPAREN,
    ACTIONS(17779), 1,
      anon_sym_LBRACE,
    ACTIONS(17781), 1,
      sym__uppercase_identifier,
    STATE(8814), 1,
      sym__constructor_name,
    STATE(14046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10538), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [657174] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14047), 1,
      sym_attribute,
    STATE(18612), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11062), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11060), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [657228] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14049), 1,
      sym_attribute,
    STATE(20260), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9044), 1,
      anon_sym_COLON2,
    STATE(14050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [657282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_COLON2,
    STATE(14051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [657306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9098), 1,
      anon_sym_COLON2,
    STATE(14052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [657330] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11182), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17789), 1,
      anon_sym_POUND,
    STATE(14053), 1,
      sym_attribute,
    STATE(14430), 1,
      sym_type_constructor_path,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11180), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [657364] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14054), 1,
      sym_attribute,
    STATE(19489), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657394] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17795), 1,
      sym__right_quoted_string_delimiter,
    STATE(14055), 1,
      sym_attribute,
    STATE(14241), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(19270), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17793), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17791), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [657424] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14056), 1,
      sym_attribute,
    STATE(19309), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657454] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14057), 1,
      sym_attribute,
    STATE(20673), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657484] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16768), 1,
      sym__uppercase_identifier,
    ACTIONS(17797), 1,
      anon_sym_LPAREN,
    ACTIONS(17799), 1,
      anon_sym_LBRACE,
    STATE(8565), 1,
      sym__constructor_name,
    STATE(14058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14830), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [657518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17066), 1,
      anon_sym_DASH_GT,
    STATE(14059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [657542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      anon_sym_COLON2,
    STATE(14060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [657566] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14061), 1,
      sym_attribute,
    STATE(21262), 1,
      sym_escape_sequence,
    STATE(21373), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657596] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14062), 1,
      sym_attribute,
    STATE(19438), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657626] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17801), 1,
      sym__lowercase_identifier,
    ACTIONS(17803), 1,
      anon_sym_LPAREN,
    ACTIONS(17805), 1,
      anon_sym_LBRACK,
    ACTIONS(17807), 1,
      anon_sym_LBRACE,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    STATE(3326), 1,
      sym_field_path,
    STATE(14063), 1,
      sym_attribute,
    STATE(17006), 1,
      sym_indexing_operator_path,
    STATE(19372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9144), 1,
      anon_sym_COLON2,
    STATE(14064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [657688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14065), 1,
      sym_attribute,
    STATE(18976), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657718] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(17811), 1,
      anon_sym_LPAREN,
    ACTIONS(17813), 1,
      anon_sym_LBRACK,
    ACTIONS(17817), 1,
      sym__uppercase_identifier,
    STATE(14066), 1,
      sym_attribute,
    STATE(14413), 1,
      sym__attribute,
    STATE(15100), 1,
      sym__constructor_name,
    STATE(15394), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17815), 2,
      anon_sym_true,
      anon_sym_false,
  [657754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14067), 1,
      sym_attribute,
    STATE(21042), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657784] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17819), 1,
      sym__lowercase_identifier,
    ACTIONS(17821), 1,
      anon_sym_LPAREN,
    ACTIONS(17823), 1,
      anon_sym_LBRACK,
    ACTIONS(17825), 1,
      anon_sym_LBRACE,
    STATE(6439), 1,
      sym_field_path,
    STATE(14068), 1,
      sym_attribute,
    STATE(16911), 1,
      sym_indexing_operator_path,
    STATE(18642), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657822] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14069), 1,
      sym_attribute,
    STATE(18591), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657852] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17827), 1,
      sym__lowercase_identifier,
    ACTIONS(17829), 1,
      anon_sym_LPAREN,
    ACTIONS(17831), 1,
      anon_sym_LBRACK,
    ACTIONS(17833), 1,
      anon_sym_LBRACE,
    STATE(7442), 1,
      sym_field_path,
    STATE(14070), 1,
      sym_attribute,
    STATE(17020), 1,
      sym_indexing_operator_path,
    STATE(19495), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657890] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17835), 1,
      sym__lowercase_identifier,
    ACTIONS(17837), 1,
      anon_sym_LPAREN,
    ACTIONS(17839), 1,
      anon_sym_LBRACK,
    ACTIONS(17841), 1,
      anon_sym_LBRACE,
    STATE(5147), 1,
      sym_field_path,
    STATE(14071), 1,
      sym_attribute,
    STATE(16728), 1,
      sym_indexing_operator_path,
    STATE(20391), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [657928] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14072), 1,
      sym_attribute,
    STATE(19390), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657958] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14073), 1,
      sym_attribute,
    STATE(19143), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [657988] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14074), 1,
      sym_attribute,
    STATE(20054), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658018] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14075), 1,
      sym_attribute,
    STATE(20302), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658048] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17843), 1,
      sym__lowercase_identifier,
    ACTIONS(17845), 1,
      anon_sym_LPAREN,
    ACTIONS(17847), 1,
      anon_sym_LBRACK,
    ACTIONS(17849), 1,
      anon_sym_LBRACE,
    STATE(5151), 1,
      sym_field_path,
    STATE(14076), 1,
      sym_attribute,
    STATE(17060), 1,
      sym_indexing_operator_path,
    STATE(19770), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658086] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17851), 1,
      sym__lowercase_identifier,
    ACTIONS(17853), 1,
      anon_sym_LPAREN,
    ACTIONS(17855), 1,
      anon_sym_LBRACK,
    ACTIONS(17857), 1,
      anon_sym_LBRACE,
    STATE(6251), 1,
      sym_field_path,
    STATE(14077), 1,
      sym_attribute,
    STATE(16980), 1,
      sym_indexing_operator_path,
    STATE(19208), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658124] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14078), 1,
      sym_attribute,
    STATE(21262), 1,
      sym_escape_sequence,
    STATE(21402), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658154] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17859), 1,
      sym__lowercase_identifier,
    ACTIONS(17861), 1,
      anon_sym_LPAREN,
    ACTIONS(17863), 1,
      anon_sym_LBRACK,
    ACTIONS(17865), 1,
      anon_sym_LBRACE,
    STATE(7668), 1,
      sym_field_path,
    STATE(14079), 1,
      sym_attribute,
    STATE(16776), 1,
      sym_indexing_operator_path,
    STATE(19542), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658192] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17867), 1,
      sym__lowercase_identifier,
    ACTIONS(17869), 1,
      anon_sym_LPAREN,
    ACTIONS(17871), 1,
      anon_sym_LBRACK,
    ACTIONS(17873), 1,
      anon_sym_LBRACE,
    STATE(6219), 1,
      sym_field_path,
    STATE(14080), 1,
      sym_attribute,
    STATE(16962), 1,
      sym_indexing_operator_path,
    STATE(19083), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17875), 1,
      anon_sym_as,
    STATE(14081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11506), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [658254] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14082), 1,
      sym_attribute,
    STATE(18773), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658284] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12373), 1,
      anon_sym_LPAREN,
    ACTIONS(12375), 1,
      anon_sym_LBRACK,
    ACTIONS(17742), 1,
      anon_sym_PIPE,
    STATE(11218), 1,
      sym__constructor_name,
    STATE(11237), 1,
      sym_variant_declaration,
    STATE(12336), 1,
      sym_constructor_declaration,
    STATE(14083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12377), 2,
      anon_sym_true,
      anon_sym_false,
  [658320] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11498), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(11500), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [658346] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14085), 1,
      sym_attribute,
    STATE(18972), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658376] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14086), 1,
      sym_attribute,
    STATE(20760), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658406] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11888), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [658428] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14088), 1,
      sym_attribute,
    STATE(19112), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658458] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14089), 1,
      sym_attribute,
    STATE(19247), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658488] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14090), 1,
      sym_attribute,
    STATE(20045), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658518] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17861), 1,
      anon_sym_LPAREN,
    ACTIONS(17863), 1,
      anon_sym_LBRACK,
    ACTIONS(17865), 1,
      anon_sym_LBRACE,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(7668), 1,
      sym_field_path,
    STATE(14091), 1,
      sym_attribute,
    STATE(16776), 1,
      sym_indexing_operator_path,
    STATE(18645), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [658556] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14092), 1,
      sym_attribute,
    STATE(19310), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658586] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14093), 1,
      sym_attribute,
    STATE(19352), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658616] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14094), 1,
      sym_attribute,
    STATE(19405), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658646] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14095), 1,
      sym_attribute,
    STATE(19470), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658676] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14096), 1,
      sym_attribute,
    STATE(19512), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658706] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14097), 1,
      sym_attribute,
    STATE(19553), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658736] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14098), 1,
      sym_attribute,
    STATE(19607), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658766] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14099), 1,
      sym_attribute,
    STATE(19653), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658796] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14100), 1,
      sym_attribute,
    STATE(19710), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658826] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14101), 1,
      sym_attribute,
    STATE(19776), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658856] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14102), 1,
      sym_attribute,
    STATE(19815), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [658886] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17879), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658908] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(17881), 1,
      anon_sym_LPAREN,
    ACTIONS(17883), 1,
      anon_sym_LBRACK,
    STATE(11474), 1,
      sym_constructor_declaration,
    STATE(12864), 1,
      sym__constructor_name,
    STATE(14104), 1,
      sym_attribute,
    STATE(14526), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17885), 2,
      anon_sym_true,
      anon_sym_false,
  [658944] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17887), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658966] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17889), 1,
      sym__lowercase_identifier,
    ACTIONS(17891), 1,
      anon_sym_LPAREN,
    ACTIONS(17893), 1,
      anon_sym_LBRACK,
    ACTIONS(17895), 1,
      anon_sym_LBRACE,
    STATE(3500), 1,
      sym_field_path,
    STATE(14106), 1,
      sym_attribute,
    STATE(17033), 1,
      sym_indexing_operator_path,
    STATE(19615), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659004] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16644), 1,
      sym__uppercase_identifier,
    ACTIONS(17897), 1,
      anon_sym_LPAREN,
    ACTIONS(17899), 1,
      anon_sym_LBRACE,
    STATE(7504), 1,
      sym__constructor_name,
    STATE(14107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14157), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [659038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_COLON2,
    STATE(14108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [659062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17875), 1,
      anon_sym_as,
    STATE(14109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11556), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [659086] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [659108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_COLON2,
    STATE(14111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [659132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14112), 1,
      sym_attribute,
    STATE(21262), 1,
      sym_escape_sequence,
    STATE(21372), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [659162] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17901), 1,
      sym__lowercase_identifier,
    ACTIONS(17903), 1,
      anon_sym_LPAREN,
    ACTIONS(17905), 1,
      anon_sym_LBRACK,
    ACTIONS(17907), 1,
      anon_sym_LBRACE,
    STATE(3405), 1,
      sym_field_path,
    STATE(14113), 1,
      sym_attribute,
    STATE(17067), 1,
      sym_indexing_operator_path,
    STATE(19808), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659200] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9164), 1,
      anon_sym_COLON2,
    STATE(14114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [659224] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17909), 1,
      sym__lowercase_identifier,
    ACTIONS(17911), 1,
      anon_sym_LPAREN,
    ACTIONS(17913), 1,
      anon_sym_LBRACK,
    ACTIONS(17915), 1,
      anon_sym_LBRACE,
    STATE(3359), 1,
      sym_field_path,
    STATE(14115), 1,
      sym_attribute,
    STATE(16892), 1,
      sym_indexing_operator_path,
    STATE(21376), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659262] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12772), 1,
      anon_sym_LPAREN,
    ACTIONS(12774), 1,
      anon_sym_LBRACK,
    ACTIONS(17765), 1,
      anon_sym_PIPE,
    STATE(11237), 1,
      sym_variant_declaration,
    STATE(11916), 1,
      sym__constructor_name,
    STATE(12876), 1,
      sym_constructor_declaration,
    STATE(14116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12776), 2,
      anon_sym_true,
      anon_sym_false,
  [659298] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9172), 1,
      anon_sym_COLON2,
    STATE(14117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [659322] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7095), 1,
      anon_sym_LBRACK,
    ACTIONS(7105), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17917), 1,
      anon_sym_LPAREN,
    ACTIONS(17919), 1,
      anon_sym_LBRACE,
    ACTIONS(17921), 1,
      sym__uppercase_identifier,
    STATE(8234), 1,
      sym__constructor_name,
    STATE(14118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8249), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [659356] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17923), 1,
      anon_sym_LPAREN,
    ACTIONS(17925), 1,
      anon_sym_LBRACE,
    ACTIONS(17927), 1,
      sym__uppercase_identifier,
    STATE(14119), 1,
      sym_attribute,
    STATE(14888), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14844), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [659390] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12772), 1,
      anon_sym_LPAREN,
    ACTIONS(12774), 1,
      anon_sym_LBRACK,
    ACTIONS(17765), 1,
      anon_sym_PIPE,
    STATE(11260), 1,
      sym_variant_declaration,
    STATE(11916), 1,
      sym__constructor_name,
    STATE(12876), 1,
      sym_constructor_declaration,
    STATE(14120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12776), 2,
      anon_sym_true,
      anon_sym_false,
  [659426] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11584), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11898), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    ACTIONS(17929), 1,
      anon_sym_STAR,
    STATE(14121), 1,
      sym_attribute,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(15717), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659464] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17931), 1,
      sym__lowercase_identifier,
    ACTIONS(17933), 1,
      anon_sym_LPAREN,
    ACTIONS(17935), 1,
      anon_sym_LBRACK,
    ACTIONS(17937), 1,
      anon_sym_LBRACE,
    STATE(6811), 1,
      sym_field_path,
    STATE(14122), 1,
      sym_attribute,
    STATE(16807), 1,
      sym_indexing_operator_path,
    STATE(19446), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659502] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17939), 1,
      sym__lowercase_identifier,
    ACTIONS(17941), 1,
      anon_sym_LPAREN,
    ACTIONS(17943), 1,
      anon_sym_LBRACK,
    ACTIONS(17945), 1,
      anon_sym_LBRACE,
    STATE(7529), 1,
      sym_field_path,
    STATE(14123), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_indexing_operator_path,
    STATE(20214), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659540] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14124), 1,
      sym_attribute,
    STATE(19300), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [659570] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17947), 1,
      sym__lowercase_identifier,
    ACTIONS(17949), 1,
      anon_sym_LPAREN,
    ACTIONS(17951), 1,
      anon_sym_LBRACK,
    ACTIONS(17953), 1,
      anon_sym_LBRACE,
    STATE(6238), 1,
      sym_field_path,
    STATE(14125), 1,
      sym_attribute,
    STATE(16974), 1,
      sym_indexing_operator_path,
    STATE(19167), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659608] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17955), 1,
      sym__lowercase_identifier,
    ACTIONS(17957), 1,
      anon_sym_LPAREN,
    ACTIONS(17959), 1,
      anon_sym_LBRACK,
    ACTIONS(17961), 1,
      anon_sym_LBRACE,
    STATE(6771), 1,
      sym_field_path,
    STATE(14126), 1,
      sym_attribute,
    STATE(16849), 1,
      sym_indexing_operator_path,
    STATE(19085), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4737), 1,
      anon_sym_COLON2,
    STATE(14127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4735), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [659670] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(17963), 1,
      anon_sym_LPAREN,
    ACTIONS(17965), 1,
      anon_sym_LBRACK,
    STATE(11474), 1,
      sym_constructor_declaration,
    STATE(12587), 1,
      sym__constructor_name,
    STATE(14128), 1,
      sym_attribute,
    STATE(14411), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17967), 2,
      anon_sym_true,
      anon_sym_false,
  [659706] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7169), 1,
      anon_sym_LBRACK,
    ACTIONS(7177), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17969), 1,
      anon_sym_LPAREN,
    ACTIONS(17971), 1,
      anon_sym_LBRACE,
    ACTIONS(17973), 1,
      sym__uppercase_identifier,
    STATE(9123), 1,
      sym__constructor_name,
    STATE(14129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9227), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [659740] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17975), 1,
      sym__lowercase_identifier,
    ACTIONS(17977), 1,
      anon_sym_LPAREN,
    ACTIONS(17979), 1,
      anon_sym_LBRACK,
    ACTIONS(17981), 1,
      anon_sym_LBRACE,
    STATE(4189), 1,
      sym_field_path,
    STATE(14130), 1,
      sym_attribute,
    STATE(16875), 1,
      sym_indexing_operator_path,
    STATE(20506), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659778] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(17983), 1,
      sym__lowercase_identifier,
    ACTIONS(17985), 1,
      anon_sym_LPAREN,
    ACTIONS(17987), 1,
      anon_sym_LBRACK,
    ACTIONS(17989), 1,
      anon_sym_LBRACE,
    STATE(3156), 1,
      sym_field_path,
    STATE(14131), 1,
      sym_attribute,
    STATE(17072), 1,
      sym_indexing_operator_path,
    STATE(19846), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [659816] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14132), 1,
      sym_attribute,
    STATE(18799), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [659846] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17899), 1,
      anon_sym_LBRACE,
    ACTIONS(17991), 1,
      anon_sym_LPAREN,
    ACTIONS(17993), 1,
      sym__uppercase_identifier,
    STATE(14133), 1,
      sym_attribute,
    STATE(14201), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14157), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [659880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9122), 1,
      anon_sym_COLON2,
    STATE(14134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [659904] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6807), 1,
      anon_sym_LBRACK,
    ACTIONS(6817), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17995), 1,
      anon_sym_LPAREN,
    ACTIONS(17997), 1,
      anon_sym_LBRACE,
    ACTIONS(17999), 1,
      sym__uppercase_identifier,
    STATE(7973), 1,
      sym__constructor_name,
    STATE(14135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7795), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [659938] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12882), 1,
      anon_sym_LPAREN,
    ACTIONS(12884), 1,
      anon_sym_LBRACK,
    ACTIONS(17769), 1,
      anon_sym_PIPE,
    STATE(11237), 1,
      sym_variant_declaration,
    STATE(11942), 1,
      sym__constructor_name,
    STATE(12879), 1,
      sym_constructor_declaration,
    STATE(14136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_true,
      anon_sym_false,
  [659974] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17899), 1,
      anon_sym_LBRACE,
    ACTIONS(18001), 1,
      anon_sym_LPAREN,
    ACTIONS(18003), 1,
      sym__uppercase_identifier,
    STATE(9279), 1,
      sym__constructor_name,
    STATE(14137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14157), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [660008] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12882), 1,
      anon_sym_LPAREN,
    ACTIONS(12884), 1,
      anon_sym_LBRACK,
    ACTIONS(17769), 1,
      anon_sym_PIPE,
    STATE(11260), 1,
      sym_variant_declaration,
    STATE(11942), 1,
      sym__constructor_name,
    STATE(12879), 1,
      sym_constructor_declaration,
    STATE(14138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_true,
      anon_sym_false,
  [660044] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6851), 1,
      anon_sym_LBRACK,
    ACTIONS(6861), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18005), 1,
      anon_sym_LPAREN,
    ACTIONS(18007), 1,
      anon_sym_LBRACE,
    ACTIONS(18009), 1,
      sym__uppercase_identifier,
    STATE(7968), 1,
      sym__constructor_name,
    STATE(14139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7899), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [660078] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14140), 1,
      sym_attribute,
    STATE(19661), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [660108] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18011), 1,
      sym__lowercase_identifier,
    ACTIONS(18013), 1,
      anon_sym_LPAREN,
    ACTIONS(18015), 1,
      anon_sym_LBRACK,
    ACTIONS(18017), 1,
      anon_sym_LBRACE,
    STATE(10158), 1,
      sym_field_path,
    STATE(14141), 1,
      sym_attribute,
    STATE(16967), 1,
      sym_indexing_operator_path,
    STATE(19126), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660146] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12373), 1,
      anon_sym_LPAREN,
    ACTIONS(12375), 1,
      anon_sym_LBRACK,
    ACTIONS(17742), 1,
      anon_sym_PIPE,
    STATE(11218), 1,
      sym__constructor_name,
    STATE(11260), 1,
      sym_variant_declaration,
    STATE(12336), 1,
      sym_constructor_declaration,
    STATE(14142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12377), 2,
      anon_sym_true,
      anon_sym_false,
  [660182] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18019), 1,
      sym__lowercase_identifier,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18023), 1,
      anon_sym_LBRACK,
    ACTIONS(18025), 1,
      anon_sym_LBRACE,
    STATE(3353), 1,
      sym_field_path,
    STATE(14143), 1,
      sym_attribute,
    STATE(17080), 1,
      sym_indexing_operator_path,
    STATE(19876), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660220] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7213), 1,
      anon_sym_LBRACK,
    ACTIONS(7223), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17925), 1,
      anon_sym_LBRACE,
    ACTIONS(18027), 1,
      anon_sym_LPAREN,
    ACTIONS(18029), 1,
      sym__uppercase_identifier,
    STATE(9463), 1,
      sym__constructor_name,
    STATE(14144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14844), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [660254] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(18031), 1,
      anon_sym_LPAREN,
    ACTIONS(18033), 1,
      anon_sym_LBRACK,
    STATE(11474), 1,
      sym_constructor_declaration,
    STATE(11858), 1,
      sym__constructor_name,
    STATE(14145), 1,
      sym_attribute,
    STATE(14414), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18035), 2,
      anon_sym_true,
      anon_sym_false,
  [660290] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18037), 1,
      sym__lowercase_identifier,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18041), 1,
      anon_sym_LBRACK,
    ACTIONS(18043), 1,
      anon_sym_LBRACE,
    STATE(3767), 1,
      sym_field_path,
    STATE(14146), 1,
      sym_attribute,
    STATE(16988), 1,
      sym_indexing_operator_path,
    STATE(19249), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660328] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18045), 1,
      sym__lowercase_identifier,
    ACTIONS(18047), 1,
      anon_sym_LPAREN,
    ACTIONS(18049), 1,
      anon_sym_LBRACK,
    ACTIONS(18051), 1,
      anon_sym_LBRACE,
    STATE(6135), 1,
      sym_field_path,
    STATE(14147), 1,
      sym_attribute,
    STATE(17040), 1,
      sym_indexing_operator_path,
    STATE(19654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660366] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18053), 1,
      sym__lowercase_identifier,
    ACTIONS(18055), 1,
      anon_sym_LPAREN,
    ACTIONS(18057), 1,
      anon_sym_LBRACK,
    ACTIONS(18059), 1,
      anon_sym_LBRACE,
    STATE(6101), 1,
      sym_field_path,
    STATE(14148), 1,
      sym_attribute,
    STATE(16918), 1,
      sym_indexing_operator_path,
    STATE(18698), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660404] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14149), 1,
      sym_attribute,
    STATE(19268), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [660434] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14150), 1,
      sym_attribute,
    STATE(20571), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [660464] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9150), 1,
      anon_sym_COLON2,
    STATE(14151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9192), 1,
      anon_sym_COLON2,
    STATE(14152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660512] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12391), 1,
      anon_sym_LPAREN,
    ACTIONS(12393), 1,
      anon_sym_LBRACK,
    ACTIONS(17748), 1,
      anon_sym_PIPE,
    STATE(11237), 1,
      sym_variant_declaration,
    STATE(11268), 1,
      sym__constructor_name,
    STATE(12342), 1,
      sym_constructor_declaration,
    STATE(14153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12395), 2,
      anon_sym_true,
      anon_sym_false,
  [660548] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_COLON2,
    STATE(14154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660572] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18061), 1,
      anon_sym_LPAREN,
    ACTIONS(18063), 1,
      anon_sym_DOT,
    STATE(14155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11612), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [660598] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12391), 1,
      anon_sym_LPAREN,
    ACTIONS(12393), 1,
      anon_sym_LBRACK,
    ACTIONS(17748), 1,
      anon_sym_PIPE,
    STATE(11260), 1,
      sym_variant_declaration,
    STATE(11268), 1,
      sym__constructor_name,
    STATE(12342), 1,
      sym_constructor_declaration,
    STATE(14156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12395), 2,
      anon_sym_true,
      anon_sym_false,
  [660634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_COLON2,
    STATE(14157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660658] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18003), 1,
      sym__uppercase_identifier,
    ACTIONS(18065), 1,
      anon_sym_LPAREN,
    ACTIONS(18067), 1,
      anon_sym_LBRACE,
    STATE(9279), 1,
      sym__constructor_name,
    STATE(14158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13778), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [660692] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(4751), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18069), 1,
      anon_sym_LPAREN,
    ACTIONS(18071), 1,
      anon_sym_LBRACE,
    ACTIONS(18073), 1,
      sym__uppercase_identifier,
    STATE(5566), 1,
      sym__constructor_name,
    STATE(14159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5584), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [660726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9154), 1,
      anon_sym_COLON2,
    STATE(14160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660750] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7555), 1,
      anon_sym_LBRACK,
    ACTIONS(7567), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18075), 1,
      anon_sym_LPAREN,
    ACTIONS(18077), 1,
      anon_sym_LBRACE,
    ACTIONS(18079), 1,
      sym__uppercase_identifier,
    STATE(9188), 1,
      sym__constructor_name,
    STATE(14161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9175), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [660784] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14162), 1,
      sym_attribute,
    STATE(18617), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [660814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9074), 1,
      anon_sym_COLON2,
    STATE(14163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660838] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9188), 1,
      anon_sym_COLON2,
    STATE(14164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660862] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18081), 1,
      sym__lowercase_identifier,
    ACTIONS(18083), 1,
      anon_sym_LPAREN,
    ACTIONS(18085), 1,
      anon_sym_LBRACK,
    ACTIONS(18087), 1,
      anon_sym_LBRACE,
    STATE(3231), 1,
      sym_field_path,
    STATE(14165), 1,
      sym_attribute,
    STATE(17024), 1,
      sym_indexing_operator_path,
    STATE(19536), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [660900] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9196), 1,
      anon_sym_COLON2,
    STATE(14166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660924] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9052), 1,
      anon_sym_COLON2,
    STATE(14167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [660948] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14168), 1,
      sym_attribute,
    STATE(18942), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [660978] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18089), 1,
      sym__lowercase_identifier,
    ACTIONS(18091), 1,
      anon_sym_LPAREN,
    ACTIONS(18093), 1,
      anon_sym_LBRACK,
    ACTIONS(18095), 1,
      anon_sym_LBRACE,
    STATE(6165), 1,
      sym_field_path,
    STATE(14169), 1,
      sym_attribute,
    STATE(16944), 1,
      sym_indexing_operator_path,
    STATE(18918), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661016] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18097), 1,
      sym__lowercase_identifier,
    ACTIONS(18099), 1,
      anon_sym_LPAREN,
    ACTIONS(18101), 1,
      anon_sym_LBRACK,
    ACTIONS(18103), 1,
      anon_sym_LBRACE,
    STATE(8370), 1,
      sym_field_path,
    STATE(14170), 1,
      sym_attribute,
    STATE(16899), 1,
      sym_indexing_operator_path,
    STATE(18520), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661054] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18105), 1,
      sym__lowercase_identifier,
    ACTIONS(18107), 1,
      anon_sym_LPAREN,
    ACTIONS(18109), 1,
      anon_sym_LBRACK,
    ACTIONS(18111), 1,
      anon_sym_LBRACE,
    STATE(5874), 1,
      sym_field_path,
    STATE(14171), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_indexing_operator_path,
    STATE(18753), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661092] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5409), 1,
      anon_sym_LBRACK,
    ACTIONS(5419), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17781), 1,
      sym__uppercase_identifier,
    ACTIONS(17899), 1,
      anon_sym_LBRACE,
    ACTIONS(18113), 1,
      anon_sym_LPAREN,
    STATE(8814), 1,
      sym__constructor_name,
    STATE(14172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14157), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [661126] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18115), 1,
      sym__lowercase_identifier,
    ACTIONS(18117), 1,
      anon_sym_LPAREN,
    ACTIONS(18119), 1,
      anon_sym_LBRACK,
    ACTIONS(18121), 1,
      anon_sym_LBRACE,
    STATE(4864), 1,
      sym_field_path,
    STATE(14173), 1,
      sym_attribute,
    STATE(17015), 1,
      sym_indexing_operator_path,
    STATE(19454), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661164] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18123), 1,
      sym__lowercase_identifier,
    ACTIONS(18125), 1,
      anon_sym_LPAREN,
    ACTIONS(18127), 1,
      anon_sym_LBRACK,
    ACTIONS(18129), 1,
      anon_sym_LBRACE,
    STATE(7221), 1,
      sym_field_path,
    STATE(14174), 1,
      sym_attribute,
    STATE(17000), 1,
      sym_indexing_operator_path,
    STATE(19331), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661202] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [661224] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14176), 1,
      sym_attribute,
    STATE(19274), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9102), 1,
      anon_sym_COLON2,
    STATE(14177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17875), 1,
      anon_sym_as,
    STATE(14178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11818), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661302] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14179), 1,
      sym_attribute,
    STATE(20438), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11724), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11720), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661356] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14181), 1,
      sym_attribute,
    STATE(19612), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9060), 1,
      anon_sym_COLON2,
    STATE(14182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661410] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18131), 1,
      sym__lowercase_identifier,
    ACTIONS(18133), 1,
      anon_sym_LPAREN,
    ACTIONS(18135), 1,
      anon_sym_LBRACK,
    ACTIONS(18137), 1,
      anon_sym_LBRACE,
    STATE(9545), 1,
      sym_field_path,
    STATE(14183), 1,
      sym_attribute,
    STATE(16949), 1,
      sym_indexing_operator_path,
    STATE(18973), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661448] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14184), 1,
      sym_attribute,
    STATE(20959), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661478] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18139), 1,
      sym__lowercase_identifier,
    ACTIONS(18141), 1,
      anon_sym_LPAREN,
    ACTIONS(18143), 1,
      anon_sym_LBRACK,
    ACTIONS(18145), 1,
      anon_sym_LBRACE,
    STATE(6889), 1,
      sym_field_path,
    STATE(14185), 1,
      sym_attribute,
    STATE(16835), 1,
      sym_indexing_operator_path,
    STATE(18594), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11688), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11764), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661540] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18147), 1,
      sym__lowercase_identifier,
    ACTIONS(18149), 1,
      anon_sym_LPAREN,
    ACTIONS(18151), 1,
      anon_sym_LBRACK,
    ACTIONS(18153), 1,
      anon_sym_LBRACE,
    STATE(7950), 1,
      sym_field_path,
    STATE(14187), 1,
      sym_attribute,
    STATE(16994), 1,
      sym_indexing_operator_path,
    STATE(19290), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661578] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18155), 1,
      sym__lowercase_identifier,
    ACTIONS(18157), 1,
      anon_sym_LPAREN,
    ACTIONS(18159), 1,
      anon_sym_LBRACK,
    ACTIONS(18161), 1,
      anon_sym_LBRACE,
    STATE(6031), 1,
      sym_field_path,
    STATE(14188), 1,
      sym_attribute,
    STATE(17047), 1,
      sym_indexing_operator_path,
    STATE(19693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9118), 1,
      anon_sym_COLON2,
    STATE(14189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661640] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18163), 1,
      sym__lowercase_identifier,
    ACTIONS(18165), 1,
      anon_sym_LPAREN,
    ACTIONS(18167), 1,
      anon_sym_LBRACK,
    ACTIONS(18169), 1,
      anon_sym_LBRACE,
    STATE(6725), 1,
      sym_field_path,
    STATE(14190), 1,
      sym_attribute,
    STATE(16855), 1,
      sym_indexing_operator_path,
    STATE(19946), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9140), 1,
      anon_sym_COLON2,
    STATE(14191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661702] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14192), 1,
      sym_attribute,
    STATE(20016), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661732] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4963), 1,
      anon_sym_LBRACK,
    ACTIONS(4971), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18171), 1,
      anon_sym_LPAREN,
    ACTIONS(18173), 1,
      anon_sym_LBRACE,
    ACTIONS(18175), 1,
      sym__uppercase_identifier,
    STATE(5646), 1,
      sym__constructor_name,
    STATE(14193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5920), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [661766] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9094), 1,
      anon_sym_COLON2,
    STATE(14194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661790] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11724), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661812] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18177), 1,
      sym__lowercase_identifier,
    ACTIONS(18179), 1,
      anon_sym_LPAREN,
    ACTIONS(18181), 1,
      anon_sym_LBRACK,
    ACTIONS(18183), 1,
      anon_sym_LBRACE,
    STATE(5059), 1,
      sym_field_path,
    STATE(14196), 1,
      sym_attribute,
    STATE(16931), 1,
      sym_indexing_operator_path,
    STATE(18808), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [661850] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7057), 1,
      anon_sym_LBRACK,
    ACTIONS(7067), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18185), 1,
      anon_sym_LPAREN,
    ACTIONS(18187), 1,
      anon_sym_LBRACE,
    ACTIONS(18189), 1,
      sym__uppercase_identifier,
    STATE(8147), 1,
      sym__constructor_name,
    STATE(14197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8199), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [661884] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14198), 1,
      sym_attribute,
    STATE(20264), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [661914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9056), 1,
      anon_sym_COLON2,
    STATE(14199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [661938] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4777), 1,
      anon_sym_LBRACK,
    ACTIONS(4785), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18191), 1,
      anon_sym_LPAREN,
    ACTIONS(18193), 1,
      anon_sym_LBRACE,
    ACTIONS(18195), 1,
      sym__uppercase_identifier,
    STATE(5466), 1,
      sym__constructor_name,
    STATE(14200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5615), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [661972] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [661994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9180), 1,
      anon_sym_COLON2,
    STATE(14202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [662018] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14203), 1,
      sym_attribute,
    STATE(20400), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662048] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5029), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18197), 1,
      anon_sym_LPAREN,
    ACTIONS(18199), 1,
      anon_sym_LBRACE,
    ACTIONS(18201), 1,
      sym__uppercase_identifier,
    STATE(5721), 1,
      sym__constructor_name,
    STATE(14204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5931), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [662082] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9106), 1,
      anon_sym_COLON2,
    STATE(14205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [662106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9078), 1,
      anon_sym_COLON2,
    STATE(14206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [662130] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14207), 1,
      sym_attribute,
    STATE(20559), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_COLON2,
    STATE(14208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [662184] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14209), 1,
      sym_attribute,
    STATE(21092), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662214] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18203), 1,
      sym__lowercase_identifier,
    ACTIONS(18205), 1,
      anon_sym_LPAREN,
    ACTIONS(18207), 1,
      anon_sym_LBRACK,
    ACTIONS(18209), 1,
      anon_sym_LBRACE,
    STATE(4169), 1,
      sym_field_path,
    STATE(14210), 1,
      sym_attribute,
    STATE(16067), 1,
      sym_indexing_operator_path,
    STATE(21459), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9086), 1,
      anon_sym_COLON2,
    STATE(14211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [662276] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14212), 1,
      sym_attribute,
    STATE(20803), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662306] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18211), 1,
      sym__lowercase_identifier,
    ACTIONS(18213), 1,
      anon_sym_LPAREN,
    ACTIONS(18215), 1,
      anon_sym_LBRACK,
    ACTIONS(18217), 1,
      anon_sym_LBRACE,
    STATE(6203), 1,
      sym_field_path,
    STATE(14213), 1,
      sym_attribute,
    STATE(16955), 1,
      sym_indexing_operator_path,
    STATE(19028), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7917), 1,
      anon_sym_POUND,
    STATE(14214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [662368] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14215), 1,
      sym_attribute,
    STATE(18534), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662398] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7923), 1,
      anon_sym_POUND,
    STATE(14216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7925), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [662422] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14217), 1,
      sym_attribute,
    STATE(21032), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662452] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18219), 1,
      sym__lowercase_identifier,
    ACTIONS(18221), 1,
      anon_sym_LPAREN,
    ACTIONS(18223), 1,
      anon_sym_LBRACK,
    ACTIONS(18225), 1,
      anon_sym_LBRACE,
    STATE(3895), 1,
      sym_field_path,
    STATE(14218), 1,
      sym_attribute,
    STATE(16905), 1,
      sym_indexing_operator_path,
    STATE(18586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662490] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11688), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [662512] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18227), 1,
      sym__lowercase_identifier,
    ACTIONS(18229), 1,
      anon_sym_LPAREN,
    ACTIONS(18231), 1,
      anon_sym_LBRACK,
    ACTIONS(18233), 1,
      anon_sym_LBRACE,
    STATE(4991), 1,
      sym_field_path,
    STATE(14220), 1,
      sym_attribute,
    STATE(16884), 1,
      sym_indexing_operator_path,
    STATE(20871), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662550] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7683), 1,
      anon_sym_LBRACK,
    ACTIONS(7687), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17799), 1,
      anon_sym_LBRACE,
    ACTIONS(17927), 1,
      sym__uppercase_identifier,
    ACTIONS(18235), 1,
      anon_sym_LPAREN,
    STATE(14221), 1,
      sym_attribute,
    STATE(14888), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14830), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [662584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14222), 1,
      sym_attribute,
    STATE(21262), 1,
      sym_escape_sequence,
    STATE(21354), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662614] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17993), 1,
      sym__uppercase_identifier,
    ACTIONS(18067), 1,
      anon_sym_LBRACE,
    ACTIONS(18237), 1,
      anon_sym_LPAREN,
    STATE(14201), 1,
      sym__constructor_name,
    STATE(14223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13778), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [662648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9114), 1,
      anon_sym_COLON2,
    STATE(14224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [662672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_COLON2,
    STATE(14225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [662696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_COLON2,
    STATE(14226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [662720] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18239), 1,
      sym__lowercase_identifier,
    ACTIONS(18241), 1,
      anon_sym_LPAREN,
    ACTIONS(18243), 1,
      anon_sym_LBRACK,
    ACTIONS(18245), 1,
      anon_sym_LBRACE,
    STATE(4097), 1,
      sym_field_path,
    STATE(14227), 1,
      sym_attribute,
    STATE(17011), 1,
      sym_indexing_operator_path,
    STATE(19413), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662758] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(16644), 1,
      sym__uppercase_identifier,
    ACTIONS(18067), 1,
      anon_sym_LBRACE,
    ACTIONS(18247), 1,
      anon_sym_LPAREN,
    STATE(7504), 1,
      sym__constructor_name,
    STATE(14228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13778), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [662792] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18249), 1,
      sym__lowercase_identifier,
    ACTIONS(18251), 1,
      anon_sym_LPAREN,
    ACTIONS(18253), 1,
      anon_sym_LBRACK,
    ACTIONS(18255), 1,
      anon_sym_LBRACE,
    STATE(5675), 1,
      sym_field_path,
    STATE(14229), 1,
      sym_attribute,
    STATE(17053), 1,
      sym_indexing_operator_path,
    STATE(19732), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662830] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14230), 1,
      sym_attribute,
    STATE(19521), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662860] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11924), 1,
      anon_sym_COLON2,
    ACTIONS(18257), 1,
      anon_sym_LPAREN,
    STATE(14516), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14231), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(11922), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [662888] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18260), 1,
      sym__lowercase_identifier,
    ACTIONS(18262), 1,
      anon_sym_LPAREN,
    ACTIONS(18264), 1,
      anon_sym_LBRACK,
    ACTIONS(18266), 1,
      anon_sym_LBRACE,
    STATE(6097), 1,
      sym_field_path,
    STATE(14232), 1,
      sym_attribute,
    STATE(17029), 1,
      sym_indexing_operator_path,
    STATE(19576), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [662926] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9204), 1,
      anon_sym_COLON2,
    STATE(14233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [662950] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14234), 1,
      sym_attribute,
    STATE(18724), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [662980] = 12,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17809), 1,
      sym_indexing_operator,
    ACTIONS(18268), 1,
      sym__lowercase_identifier,
    ACTIONS(18270), 1,
      anon_sym_LPAREN,
    ACTIONS(18272), 1,
      anon_sym_LBRACK,
    ACTIONS(18274), 1,
      anon_sym_LBRACE,
    STATE(5319), 1,
      sym_field_path,
    STATE(14235), 1,
      sym_attribute,
    STATE(16940), 1,
      sym_indexing_operator_path,
    STATE(18863), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663018] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      aux_sym_character_content_token2,
    STATE(14236), 1,
      sym_attribute,
    STATE(20156), 1,
      sym_character_content,
    STATE(21262), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17783), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(17787), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [663048] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(18276), 1,
      anon_sym_LPAREN,
    ACTIONS(18278), 1,
      anon_sym_LBRACK,
    STATE(11474), 1,
      sym_constructor_declaration,
    STATE(11788), 1,
      sym__constructor_name,
    STATE(14237), 1,
      sym_attribute,
    STATE(14331), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18280), 2,
      anon_sym_true,
      anon_sym_false,
  [663084] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(4833), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18067), 1,
      anon_sym_LBRACE,
    ACTIONS(18282), 1,
      anon_sym_LPAREN,
    ACTIONS(18284), 1,
      sym__uppercase_identifier,
    STATE(8800), 1,
      sym__constructor_name,
    STATE(14238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13778), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [663118] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18286), 1,
      sym__lowercase_identifier,
    ACTIONS(18288), 1,
      anon_sym_LPAREN,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    STATE(14239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13319), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663151] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11300), 1,
      anon_sym_LBRACK,
    ACTIONS(11302), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11304), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18292), 1,
      sym__lowercase_identifier,
    ACTIONS(18294), 1,
      anon_sym_LPAREN,
    STATE(14240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10630), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663184] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18296), 1,
      sym__right_quoted_string_delimiter,
    STATE(14241), 1,
      sym_attribute,
    STATE(14284), 1,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17793), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17791), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663211] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11256), 1,
      anon_sym_LBRACK,
    ACTIONS(11258), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18298), 1,
      sym__lowercase_identifier,
    ACTIONS(18300), 1,
      anon_sym_LPAREN,
    STATE(14242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11240), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663244] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18302), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(14243), 1,
      sym_attribute,
    STATE(14257), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12451), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [663271] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18304), 1,
      anon_sym_SEMI,
    ACTIONS(18306), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14244), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663306] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18308), 1,
      anon_sym_SEMI,
    ACTIONS(18310), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14245), 1,
      sym_attribute,
    STATE(16326), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663341] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11280), 1,
      anon_sym_LBRACK,
    ACTIONS(11282), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11284), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18312), 1,
      sym__lowercase_identifier,
    ACTIONS(18314), 1,
      anon_sym_LPAREN,
    STATE(14246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14477), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663374] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18316), 1,
      anon_sym_EQ,
    ACTIONS(18318), 1,
      anon_sym_RPAREN,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    STATE(14247), 1,
      sym_attribute,
    STATE(17250), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663409] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18322), 1,
      anon_sym_EQ,
    ACTIONS(18324), 1,
      anon_sym_RPAREN,
    STATE(14248), 1,
      sym_attribute,
    STATE(18181), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663444] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18288), 1,
      anon_sym_LPAREN,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18326), 1,
      sym__lowercase_identifier,
    STATE(14249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13319), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663477] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18328), 1,
      anon_sym_and,
    STATE(14250), 1,
      sym_attribute,
    STATE(14290), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [663502] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18330), 1,
      anon_sym_SEMI,
    ACTIONS(18332), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14251), 1,
      sym_attribute,
    STATE(16238), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663537] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10021), 1,
      anon_sym_LBRACK,
    ACTIONS(10023), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10025), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18334), 1,
      sym__lowercase_identifier,
    ACTIONS(18336), 1,
      anon_sym_LPAREN,
    STATE(14252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11745), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663570] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11957), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [663591] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18338), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [663612] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11378), 1,
      anon_sym_LBRACK,
    ACTIONS(11380), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11382), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18340), 1,
      sym__lowercase_identifier,
    ACTIONS(18342), 1,
      anon_sym_LPAREN,
    STATE(14255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11347), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663645] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18344), 1,
      anon_sym_SEMI,
    ACTIONS(18346), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14256), 1,
      sym_attribute,
    STATE(16562), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18348), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14257), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(12397), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [663705] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18288), 1,
      anon_sym_LPAREN,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18351), 1,
      sym__lowercase_identifier,
    STATE(14258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13319), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663738] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18353), 1,
      anon_sym_SEMI,
    ACTIONS(18355), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14259), 1,
      sym_attribute,
    STATE(16001), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663773] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11354), 1,
      anon_sym_LBRACK,
    ACTIONS(11356), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11358), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18357), 1,
      sym__lowercase_identifier,
    ACTIONS(18359), 1,
      anon_sym_LPAREN,
    STATE(14260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10604), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663806] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11236), 1,
      anon_sym_LBRACK,
    ACTIONS(11238), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11240), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18361), 1,
      sym__lowercase_identifier,
    ACTIONS(18363), 1,
      anon_sym_LPAREN,
    STATE(14261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11253), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663839] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10661), 1,
      anon_sym_LBRACK,
    ACTIONS(10663), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10665), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18365), 1,
      sym__lowercase_identifier,
    ACTIONS(18367), 1,
      anon_sym_LPAREN,
    STATE(14262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9962), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663872] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9372), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9374), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10601), 1,
      anon_sym_LBRACK,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18369), 1,
      sym__lowercase_identifier,
    ACTIONS(18371), 1,
      anon_sym_LPAREN,
    STATE(14263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10454), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663905] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18288), 1,
      anon_sym_LPAREN,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18373), 1,
      sym__lowercase_identifier,
    STATE(14264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13319), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [663938] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18375), 1,
      anon_sym_COLON,
    STATE(14265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [663961] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18377), 1,
      anon_sym_SEMI,
    ACTIONS(18379), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14266), 1,
      sym_attribute,
    STATE(16533), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [663996] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18381), 1,
      anon_sym_SEMI,
    ACTIONS(18383), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14267), 1,
      sym_attribute,
    STATE(16451), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664031] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12219), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14268), 1,
      sym_attribute,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [664064] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10846), 1,
      anon_sym_LBRACK,
    ACTIONS(10848), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10850), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18385), 1,
      sym__lowercase_identifier,
    ACTIONS(18387), 1,
      anon_sym_LPAREN,
    STATE(14269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13960), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664097] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18389), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [664118] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10057), 1,
      anon_sym_LBRACK,
    ACTIONS(10059), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10061), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18391), 1,
      sym__lowercase_identifier,
    ACTIONS(18393), 1,
      anon_sym_LPAREN,
    STATE(14271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11514), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664151] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18395), 1,
      anon_sym_EQ,
    ACTIONS(18397), 1,
      anon_sym_RPAREN,
    STATE(14272), 1,
      sym_attribute,
    STATE(17957), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664186] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18399), 1,
      anon_sym_SEMI,
    ACTIONS(18401), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14273), 1,
      sym_attribute,
    STATE(16368), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664221] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10725), 1,
      anon_sym_LBRACK,
    ACTIONS(10727), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10729), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18403), 1,
      sym__lowercase_identifier,
    ACTIONS(18405), 1,
      anon_sym_LPAREN,
    STATE(14274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13617), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664254] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18302), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(14243), 1,
      aux_sym_type_binding_repeat1,
    STATE(14275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12441), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [664281] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18288), 1,
      anon_sym_LPAREN,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18407), 1,
      sym__lowercase_identifier,
    STATE(14276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13319), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664314] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18409), 1,
      anon_sym_SEMI,
    ACTIONS(18411), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14277), 1,
      sym_attribute,
    STATE(16622), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664349] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11328), 1,
      anon_sym_LBRACK,
    ACTIONS(11330), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11332), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18413), 1,
      sym__lowercase_identifier,
    ACTIONS(18415), 1,
      anon_sym_LPAREN,
    STATE(14278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11262), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664382] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18417), 1,
      anon_sym_SEMI,
    ACTIONS(18419), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14279), 1,
      sym_attribute,
    STATE(16719), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664417] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18421), 1,
      anon_sym_SEMI,
    ACTIONS(18423), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14280), 1,
      sym_attribute,
    STATE(16225), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664452] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9975), 1,
      anon_sym_LBRACK,
    ACTIONS(9977), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9979), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18425), 1,
      sym__lowercase_identifier,
    ACTIONS(18427), 1,
      anon_sym_LPAREN,
    STATE(14281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13480), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664485] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9308), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9310), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10685), 1,
      anon_sym_LBRACK,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18429), 1,
      sym__lowercase_identifier,
    ACTIONS(18431), 1,
      anon_sym_LPAREN,
    STATE(14282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10322), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17263), 1,
      anon_sym_STAR,
    STATE(14283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [664541] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18439), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18436), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(14284), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(18433), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664566] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10818), 1,
      anon_sym_LBRACK,
    ACTIONS(10820), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10822), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18441), 1,
      sym__lowercase_identifier,
    ACTIONS(18443), 1,
      anon_sym_LPAREN,
    STATE(14285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10043), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664599] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9874), 1,
      anon_sym_LBRACK,
    ACTIONS(9876), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9878), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18445), 1,
      sym__lowercase_identifier,
    ACTIONS(18447), 1,
      anon_sym_LPAREN,
    STATE(14286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13999), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664632] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18449), 1,
      anon_sym_SEMI,
    ACTIONS(18451), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14287), 1,
      sym_attribute,
    STATE(17211), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664667] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18328), 1,
      anon_sym_and,
    STATE(14250), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(14288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13122), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [664692] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9342), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9344), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10808), 1,
      anon_sym_LBRACK,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18453), 1,
      sym__lowercase_identifier,
    ACTIONS(18455), 1,
      anon_sym_LPAREN,
    STATE(14289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9714), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18457), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14290), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(12233), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [664748] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18460), 1,
      anon_sym_SEMI,
    ACTIONS(18462), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14291), 1,
      sym_attribute,
    STATE(16283), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664783] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18464), 1,
      anon_sym_SEMI,
    ACTIONS(18466), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14292), 1,
      sym_attribute,
    STATE(17150), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664818] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10777), 1,
      anon_sym_LBRACK,
    ACTIONS(10779), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10781), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18468), 1,
      sym__lowercase_identifier,
    ACTIONS(18470), 1,
      anon_sym_LPAREN,
    STATE(14293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9541), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [664851] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18302), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(14294), 1,
      sym_attribute,
    STATE(14313), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12447), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [664878] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7941), 1,
      anon_sym_POUND,
    STATE(14295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7925), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [664903] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7941), 1,
      anon_sym_POUND,
    STATE(14296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(7919), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [664928] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18472), 1,
      anon_sym_SEMI,
    ACTIONS(18474), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14297), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664963] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18476), 1,
      anon_sym_EQ,
    ACTIONS(18478), 1,
      anon_sym_RPAREN,
    STATE(14298), 1,
      sym_attribute,
    STATE(18399), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [664998] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18480), 1,
      anon_sym_SEMI,
    ACTIONS(18482), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14299), 1,
      sym_attribute,
    STATE(16435), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665033] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18484), 1,
      anon_sym_SEMI,
    ACTIONS(18486), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14300), 1,
      sym_attribute,
    STATE(16791), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665068] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18488), 1,
      anon_sym_SEMI,
    ACTIONS(18490), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14301), 1,
      sym_attribute,
    STATE(16409), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665103] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18492), 1,
      anon_sym_SEMI,
    ACTIONS(18494), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14302), 1,
      sym_attribute,
    STATE(15980), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665138] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18496), 1,
      anon_sym_EQ,
    ACTIONS(18498), 1,
      anon_sym_RPAREN,
    STATE(14303), 1,
      sym_attribute,
    STATE(17353), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665173] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18500), 1,
      anon_sym_COLON,
    STATE(14304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17712), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [665196] = 10,
    ACTIONS(13), 1,
      anon_sym_LBRACK,
    ACTIONS(15), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(17), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18288), 1,
      anon_sym_LPAREN,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18502), 1,
      sym__lowercase_identifier,
    STATE(14305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13319), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [665229] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9955), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9959), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18504), 1,
      sym__lowercase_identifier,
    ACTIONS(18506), 1,
      anon_sym_LPAREN,
    STATE(14306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12464), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [665262] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18508), 1,
      anon_sym_SEMI,
    ACTIONS(18510), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14307), 1,
      sym_attribute,
    STATE(16005), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665297] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18512), 1,
      anon_sym_SEMI,
    ACTIONS(18514), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14308), 1,
      sym_attribute,
    STATE(16813), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665332] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9404), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(9406), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10653), 1,
      anon_sym_LBRACK,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18516), 1,
      sym__lowercase_identifier,
    ACTIONS(18518), 1,
      anon_sym_LPAREN,
    STATE(14309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9805), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [665365] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18520), 1,
      anon_sym_SEMI,
    ACTIONS(18522), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14310), 1,
      sym_attribute,
    STATE(16336), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665400] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    ACTIONS(18524), 1,
      anon_sym_SEMI,
    ACTIONS(18526), 1,
      anon_sym_GT,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14311), 1,
      sym_attribute,
    STATE(16099), 1,
      aux_sym_object_type_repeat1,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665435] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10557), 1,
      anon_sym_LBRACK,
    ACTIONS(10559), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10561), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18528), 1,
      sym__lowercase_identifier,
    ACTIONS(18530), 1,
      anon_sym_LPAREN,
    STATE(14312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9600), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [665468] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18302), 1,
      anon_sym_constraint,
    STATE(9732), 1,
      sym_type_constraint,
    STATE(14257), 1,
      aux_sym_type_binding_repeat1,
    STATE(14313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12455), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [665495] = 11,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18532), 1,
      anon_sym_EQ,
    ACTIONS(18534), 1,
      anon_sym_RPAREN,
    STATE(14314), 1,
      sym_attribute,
    STATE(17713), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665530] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4737), 1,
      anon_sym_PIPE,
    ACTIONS(18536), 1,
      anon_sym_DOT_DOT,
    STATE(14315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4735), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [665554] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18538), 1,
      anon_sym_RPAREN,
    STATE(14316), 1,
      sym_attribute,
    STATE(20938), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665586] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18540), 1,
      anon_sym_DASH_GT,
    ACTIONS(18542), 1,
      anon_sym_when,
    STATE(14317), 1,
      sym_attribute,
    STATE(20496), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665618] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18548), 1,
      anon_sym_SEMI,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18554), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14318), 1,
      sym_attribute,
    STATE(16544), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665650] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18556), 1,
      anon_sym_RPAREN,
    STATE(14319), 1,
      sym_attribute,
    STATE(19620), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11416), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11418), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [665704] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18558), 1,
      anon_sym_DASH_GT,
    STATE(14321), 1,
      sym_attribute,
    STATE(19798), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11420), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11422), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [665758] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18560), 1,
      anon_sym_RPAREN,
    STATE(14323), 1,
      sym_attribute,
    STATE(19626), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665790] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18562), 1,
      anon_sym_RPAREN,
    STATE(14324), 1,
      sym_attribute,
    STATE(19459), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665822] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18564), 1,
      anon_sym_RPAREN,
    STATE(14325), 1,
      sym_attribute,
    STATE(18899), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665854] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18566), 1,
      anon_sym_DASH_GT,
    STATE(14326), 1,
      sym_attribute,
    STATE(19416), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665886] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18568), 1,
      anon_sym_DASH_GT,
    STATE(14327), 1,
      sym_attribute,
    STATE(20226), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665918] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18570), 1,
      anon_sym_RPAREN,
    STATE(14328), 1,
      sym_attribute,
    STATE(18592), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665950] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18572), 1,
      anon_sym_RPAREN,
    STATE(14329), 1,
      sym_attribute,
    STATE(20965), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [665982] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12373), 1,
      anon_sym_LPAREN,
    ACTIONS(12375), 1,
      anon_sym_LBRACK,
    STATE(11218), 1,
      sym__constructor_name,
    STATE(11234), 1,
      sym_constructor_declaration,
    STATE(14330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12377), 2,
      anon_sym_true,
      anon_sym_false,
  [666012] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(18276), 1,
      anon_sym_LPAREN,
    ACTIONS(18278), 1,
      anon_sym_LBRACK,
    STATE(11617), 1,
      sym_constructor_declaration,
    STATE(11788), 1,
      sym__constructor_name,
    STATE(14331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18280), 2,
      anon_sym_true,
      anon_sym_false,
  [666042] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(15622), 1,
      anon_sym_STAR,
    ACTIONS(18574), 1,
      anon_sym_DASH_GT,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14332), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666074] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18576), 1,
      anon_sym_RPAREN,
    STATE(14333), 1,
      sym_attribute,
    STATE(18598), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666106] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18578), 1,
      anon_sym_RPAREN,
    STATE(14334), 1,
      sym_attribute,
    STATE(19465), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666138] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18580), 1,
      anon_sym_RPAREN,
    STATE(14335), 1,
      sym_attribute,
    STATE(19506), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17182), 1,
      anon_sym_DASH_GT,
    STATE(14336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [666192] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14337), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(16122), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [666222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8344), 1,
      anon_sym_PIPE,
    STATE(14338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8346), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [666244] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18584), 1,
      anon_sym_DASH_GT,
    STATE(14339), 1,
      sym_attribute,
    STATE(20149), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11636), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11638), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [666298] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18586), 1,
      anon_sym_RPAREN,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    STATE(14341), 1,
      sym_attribute,
    STATE(18706), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666330] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14342), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(16364), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [666360] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18596), 1,
      anon_sym_DASH_GT,
    STATE(14343), 1,
      sym_attribute,
    STATE(20422), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11428), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11430), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [666414] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18598), 1,
      anon_sym_RPAREN,
    STATE(14345), 1,
      sym_attribute,
    STATE(19659), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11432), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11434), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [666468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18602), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18600), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [666490] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18604), 1,
      anon_sym_RPAREN,
    STATE(14348), 1,
      sym_attribute,
    STATE(18648), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8118), 1,
      anon_sym_PIPE,
    STATE(14349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8120), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [666544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8152), 1,
      anon_sym_PIPE,
    STATE(14350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8154), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [666566] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      anon_sym_PIPE,
    STATE(14351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [666588] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18606), 1,
      anon_sym_RPAREN,
    STATE(14352), 1,
      sym_attribute,
    STATE(18654), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666620] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18612), 1,
      anon_sym_RBRACK,
    ACTIONS(18614), 1,
      anon_sym_SEMI,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    STATE(14353), 1,
      sym_attribute,
    STATE(16598), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666652] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_PIPE,
    ACTIONS(18624), 1,
      anon_sym_SEMI,
    ACTIONS(18626), 1,
      anon_sym_as,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18630), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14354), 1,
      sym_attribute,
    STATE(16711), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666684] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18632), 1,
      anon_sym_RPAREN,
    STATE(14355), 1,
      sym_attribute,
    STATE(20185), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666716] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14356), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(16535), 1,
      sym_field_binding_pattern,
    STATE(19050), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666748] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18634), 1,
      anon_sym_DASH_GT,
    STATE(14357), 1,
      sym_attribute,
    STATE(20591), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666780] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18638), 1,
      anon_sym__,
    ACTIONS(18640), 1,
      anon_sym_RBRACE,
    STATE(14358), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666812] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18642), 1,
      anon_sym_RPAREN,
    STATE(14359), 1,
      sym_attribute,
    STATE(19665), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666844] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18644), 1,
      anon_sym_DASH_GT,
    STATE(14360), 1,
      sym_attribute,
    STATE(20664), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666876] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14361), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(16545), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [666906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11436), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11438), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [666928] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18646), 1,
      anon_sym_DASH_GT,
    STATE(14363), 1,
      sym_attribute,
    STATE(19001), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666960] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18648), 1,
      anon_sym_RPAREN,
    STATE(14364), 1,
      sym_attribute,
    STATE(20578), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [666992] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14365), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16561), 1,
      sym_field_pattern,
    STATE(19050), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12409), 1,
      anon_sym_COLON2,
    STATE(14366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12407), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [667046] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14367), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(16570), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [667076] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18650), 1,
      anon_sym_DASH_GT,
    STATE(14368), 1,
      sym_attribute,
    STATE(20060), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667108] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18324), 1,
      anon_sym_RPAREN,
    STATE(14369), 1,
      sym_attribute,
    STATE(19358), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667140] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18656), 1,
      anon_sym_RBRACK,
    ACTIONS(18658), 1,
      anon_sym_SEMI,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    STATE(14370), 1,
      sym_attribute,
    STATE(16762), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667172] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18662), 1,
      anon_sym_RPAREN,
    STATE(14371), 1,
      sym_attribute,
    STATE(19949), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667204] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18664), 1,
      anon_sym_SEMI,
    ACTIONS(18666), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14372), 1,
      sym_attribute,
    STATE(16799), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11798), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11800), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [667258] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    STATE(14374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17736), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [667286] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18668), 1,
      anon_sym_RPAREN,
    STATE(14375), 1,
      sym_attribute,
    STATE(18704), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667318] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18670), 1,
      anon_sym__,
    ACTIONS(18672), 1,
      anon_sym_RBRACE,
    STATE(14376), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667350] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18674), 1,
      anon_sym_DASH_GT,
    STATE(14377), 1,
      sym_attribute,
    STATE(20292), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667382] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18676), 1,
      anon_sym_DASH_GT,
    ACTIONS(18678), 1,
      anon_sym_with,
    STATE(14378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13583), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [667406] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18680), 1,
      anon_sym__,
    ACTIONS(18682), 1,
      anon_sym_RBRACE,
    STATE(14379), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667438] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14380), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(16212), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    STATE(20724), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667470] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18684), 1,
      anon_sym_RPAREN,
    STATE(14381), 1,
      sym_attribute,
    STATE(18710), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667502] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18676), 1,
      anon_sym_DASH_GT,
    ACTIONS(18678), 1,
      anon_sym_with,
    STATE(14382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13641), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [667526] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12553), 1,
      anon_sym_LPAREN,
    ACTIONS(12555), 1,
      anon_sym_LBRACK,
    STATE(11234), 1,
      sym_constructor_declaration,
    STATE(11580), 1,
      sym__constructor_name,
    STATE(14383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12557), 2,
      anon_sym_true,
      anon_sym_false,
  [667556] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18686), 1,
      anon_sym_RBRACK,
    ACTIONS(18688), 1,
      anon_sym_SEMI,
    STATE(14384), 1,
      sym_attribute,
    STATE(16759), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667588] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18690), 1,
      anon_sym__,
    ACTIONS(18692), 1,
      anon_sym_RBRACE,
    STATE(14385), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8056), 1,
      anon_sym_PIPE,
    STATE(14386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8058), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [667642] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18694), 1,
      anon_sym_RPAREN,
    STATE(14387), 1,
      sym_attribute,
    STATE(19698), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667674] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18696), 1,
      anon_sym_SEMI,
    ACTIONS(18698), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14388), 1,
      sym_attribute,
    STATE(16765), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11684), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11686), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [667728] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18700), 1,
      anon_sym_DASH_GT,
    STATE(14390), 1,
      sym_attribute,
    STATE(20289), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9010), 1,
      anon_sym_PIPE,
    STATE(14391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9012), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [667782] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14392), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(17156), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [667812] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14393), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(16090), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    STATE(20546), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11398), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11400), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [667866] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18702), 1,
      anon_sym__,
    ACTIONS(18704), 1,
      anon_sym_RBRACE,
    STATE(14395), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667898] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(17503), 1,
      anon_sym_POUND,
    STATE(14039), 1,
      sym_type_constructor_path,
    STATE(14396), 1,
      sym_attribute,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18706), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [667928] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_PIPE,
    ACTIONS(18626), 1,
      anon_sym_as,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18708), 1,
      anon_sym_SEMI,
    ACTIONS(18710), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14397), 1,
      sym_attribute,
    STATE(16363), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667960] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18712), 1,
      anon_sym_RPAREN,
    STATE(14398), 1,
      sym_attribute,
    STATE(19704), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [667992] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14399), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16248), 1,
      sym_field_pattern,
    STATE(18764), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668024] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18714), 1,
      anon_sym_RPAREN,
    STATE(14400), 1,
      sym_attribute,
    STATE(18759), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668056] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18716), 1,
      anon_sym_RPAREN,
    STATE(14401), 1,
      sym_attribute,
    STATE(18765), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668088] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18718), 1,
      anon_sym_DASH_GT,
    STATE(14402), 1,
      sym_attribute,
    STATE(20848), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668120] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18720), 1,
      anon_sym_RPAREN,
    STATE(14403), 1,
      sym_attribute,
    STATE(18844), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668152] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14404), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(16829), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [668182] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18722), 1,
      anon_sym_RPAREN,
    STATE(14405), 1,
      sym_attribute,
    STATE(20767), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668214] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18724), 1,
      anon_sym__,
    ACTIONS(18726), 1,
      anon_sym_RBRACE,
    STATE(14406), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668246] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18728), 1,
      anon_sym_DASH_GT,
    STATE(14407), 1,
      sym_attribute,
    STATE(18871), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668278] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    STATE(14408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17401), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [668304] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14409), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(16858), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [668334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8274), 1,
      anon_sym_PIPE,
    STATE(14410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8276), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [668356] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(17963), 1,
      anon_sym_LPAREN,
    ACTIONS(17965), 1,
      anon_sym_LBRACK,
    STATE(11617), 1,
      sym_constructor_declaration,
    STATE(12587), 1,
      sym__constructor_name,
    STATE(14411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17967), 2,
      anon_sym_true,
      anon_sym_false,
  [668386] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18730), 1,
      anon_sym_RBRACK,
    ACTIONS(18732), 1,
      anon_sym_SEMI,
    STATE(14412), 1,
      sym_attribute,
    STATE(16135), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668418] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17811), 1,
      anon_sym_LPAREN,
    ACTIONS(17813), 1,
      anon_sym_LBRACK,
    ACTIONS(17817), 1,
      sym__uppercase_identifier,
    STATE(14413), 1,
      sym_attribute,
    STATE(15100), 1,
      sym__constructor_name,
    STATE(15560), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17815), 2,
      anon_sym_true,
      anon_sym_false,
  [668448] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(18031), 1,
      anon_sym_LPAREN,
    ACTIONS(18033), 1,
      anon_sym_LBRACK,
    STATE(11617), 1,
      sym_constructor_declaration,
    STATE(11858), 1,
      sym__constructor_name,
    STATE(14414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18035), 2,
      anon_sym_true,
      anon_sym_false,
  [668478] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18734), 1,
      anon_sym_RPAREN,
    STATE(14415), 1,
      sym_attribute,
    STATE(19737), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668510] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14416), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(16473), 1,
      sym_field_binding_pattern,
    STATE(20105), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668542] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14417), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16485), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    STATE(20775), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11576), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11578), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [668596] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12772), 1,
      anon_sym_LPAREN,
    ACTIONS(12774), 1,
      anon_sym_LBRACK,
    STATE(11234), 1,
      sym_constructor_declaration,
    STATE(11916), 1,
      sym__constructor_name,
    STATE(14419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12776), 2,
      anon_sym_true,
      anon_sym_false,
  [668626] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18736), 1,
      anon_sym__,
    ACTIONS(18738), 1,
      anon_sym_RBRACE,
    STATE(14420), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668658] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18740), 1,
      anon_sym_RPAREN,
    STATE(14421), 1,
      sym_attribute,
    STATE(18814), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668690] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_PIPE,
    ACTIONS(18626), 1,
      anon_sym_as,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18742), 1,
      anon_sym_SEMI,
    ACTIONS(18744), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14422), 1,
      sym_attribute,
    STATE(16145), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668722] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18746), 1,
      anon_sym_DASH_GT,
    STATE(14423), 1,
      sym_attribute,
    STATE(20604), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668754] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18748), 1,
      anon_sym_RPAREN,
    STATE(14424), 1,
      sym_attribute,
    STATE(19742), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668786] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18750), 1,
      anon_sym_RPAREN,
    STATE(14425), 1,
      sym_attribute,
    STATE(18820), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11700), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11702), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [668840] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18752), 1,
      anon_sym__,
    ACTIONS(18754), 1,
      anon_sym_RBRACE,
    STATE(14427), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668872] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17716), 1,
      anon_sym_PIPE,
    ACTIONS(18756), 1,
      anon_sym_COLON,
    STATE(14428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17712), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [668896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11448), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11450), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [668918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11782), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11784), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [668940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11464), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11466), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [668962] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18397), 1,
      anon_sym_RPAREN,
    STATE(14432), 1,
      sym_attribute,
    STATE(21041), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [668994] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18758), 1,
      anon_sym__,
    ACTIONS(18760), 1,
      anon_sym_RBRACE,
    STATE(14433), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669026] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18762), 1,
      anon_sym__,
    ACTIONS(18764), 1,
      anon_sym_RBRACE,
    STATE(14434), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669058] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8122), 1,
      anon_sym_PIPE,
    STATE(14435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8124), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [669080] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18766), 1,
      anon_sym_RBRACK,
    ACTIONS(18768), 1,
      anon_sym_SEMI,
    STATE(14436), 1,
      sym_attribute,
    STATE(16156), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669112] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18770), 1,
      anon_sym_RPAREN,
    STATE(14437), 1,
      sym_attribute,
    STATE(19600), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669144] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18772), 1,
      anon_sym__,
    ACTIONS(18774), 1,
      anon_sym_RBRACE,
    STATE(14438), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11452), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11454), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [669198] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18776), 1,
      anon_sym_SEMI,
    ACTIONS(18778), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14440), 1,
      sym_attribute,
    STATE(16163), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    STATE(14441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17357), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [669254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11456), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11458), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [669276] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18780), 1,
      anon_sym_RPAREN,
    STATE(14443), 1,
      sym_attribute,
    STATE(20728), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669308] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(15622), 1,
      anon_sym_STAR,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14444), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669340] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18784), 1,
      anon_sym_RPAREN,
    STATE(14445), 1,
      sym_attribute,
    STATE(19625), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669372] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18786), 1,
      anon_sym__,
    ACTIONS(18788), 1,
      anon_sym_RBRACE,
    STATE(14446), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669404] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18790), 1,
      anon_sym_RPAREN,
    STATE(14447), 1,
      sym_attribute,
    STATE(18869), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669436] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18792), 1,
      anon_sym_DASH_GT,
    STATE(14448), 1,
      sym_attribute,
    STATE(20913), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669468] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14449), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(16064), 1,
      sym_field_binding_pattern,
    STATE(19248), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669500] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9014), 1,
      anon_sym_PIPE,
    ACTIONS(18794), 1,
      anon_sym_COLON,
    STATE(14450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [669524] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12569), 1,
      anon_sym_LPAREN,
    ACTIONS(12571), 1,
      anon_sym_LBRACK,
    STATE(11234), 1,
      sym_constructor_declaration,
    STATE(11591), 1,
      sym__constructor_name,
    STATE(14451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12573), 2,
      anon_sym_true,
      anon_sym_false,
  [669554] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18796), 1,
      anon_sym_RPAREN,
    STATE(14452), 1,
      sym_attribute,
    STATE(18875), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669586] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12245), 1,
      anon_sym_LPAREN,
    ACTIONS(12247), 1,
      anon_sym_LBRACK,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    STATE(10974), 1,
      sym__constructor_name,
    STATE(11234), 1,
      sym_constructor_declaration,
    STATE(14453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12249), 2,
      anon_sym_true,
      anon_sym_false,
  [669616] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18798), 1,
      anon_sym__,
    ACTIONS(18800), 1,
      anon_sym_RBRACE,
    STATE(14454), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669648] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18802), 1,
      anon_sym_RPAREN,
    STATE(14455), 1,
      sym_attribute,
    STATE(21412), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669680] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18804), 1,
      anon_sym_RPAREN,
    STATE(14456), 1,
      sym_attribute,
    STATE(19775), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669712] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(18806), 1,
      anon_sym_DASH_GT,
    ACTIONS(18808), 1,
      anon_sym_STAR,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14457), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669744] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12882), 1,
      anon_sym_LPAREN,
    ACTIONS(12884), 1,
      anon_sym_LBRACK,
    STATE(11234), 1,
      sym_constructor_declaration,
    STATE(11942), 1,
      sym__constructor_name,
    STATE(14458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12886), 2,
      anon_sym_true,
      anon_sym_false,
  [669774] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18811), 1,
      anon_sym__,
    ACTIONS(18813), 1,
      anon_sym_RBRACE,
    STATE(14459), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669806] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18815), 1,
      anon_sym_RPAREN,
    STATE(14460), 1,
      sym_attribute,
    STATE(19780), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12421), 1,
      anon_sym_COLON2,
    STATE(14461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12419), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [669860] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18817), 1,
      anon_sym__,
    ACTIONS(18819), 1,
      anon_sym_RBRACE,
    STATE(14462), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669892] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18821), 1,
      anon_sym_DASH_GT,
    STATE(14463), 1,
      sym_attribute,
    STATE(21384), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669924] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18676), 1,
      anon_sym_DASH_GT,
    ACTIONS(18678), 1,
      anon_sym_with,
    STATE(14464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13645), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [669948] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18823), 1,
      anon_sym_DASH_GT,
    STATE(14465), 1,
      sym_attribute,
    STATE(20845), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [669980] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12255), 1,
      anon_sym_LPAREN,
    ACTIONS(12257), 1,
      anon_sym_LBRACK,
    STATE(10948), 1,
      sym__constructor_name,
    STATE(11234), 1,
      sym_constructor_declaration,
    STATE(14466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12259), 2,
      anon_sym_true,
      anon_sym_false,
  [670010] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18825), 1,
      anon_sym_RPAREN,
    STATE(14467), 1,
      sym_attribute,
    STATE(18924), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670042] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14468), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16071), 1,
      sym_field_pattern,
    STATE(19924), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11778), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11780), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [670096] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18827), 1,
      anon_sym__,
    ACTIONS(18829), 1,
      anon_sym_RBRACE,
    STATE(14470), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670128] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12114), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [670148] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18831), 1,
      anon_sym_RPAREN,
    STATE(14472), 1,
      sym_attribute,
    STATE(18930), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670180] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18833), 1,
      anon_sym_DASH_GT,
    STATE(14473), 1,
      sym_attribute,
    STATE(19773), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670212] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18835), 1,
      anon_sym_DASH_GT,
    STATE(14474), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670244] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18837), 1,
      anon_sym_RPAREN,
    STATE(14475), 1,
      sym_attribute,
    STATE(18824), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670276] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(12391), 1,
      anon_sym_LPAREN,
    ACTIONS(12393), 1,
      anon_sym_LBRACK,
    STATE(11234), 1,
      sym_constructor_declaration,
    STATE(11268), 1,
      sym__constructor_name,
    STATE(14476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12395), 2,
      anon_sym_true,
      anon_sym_false,
  [670306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11716), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11718), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [670328] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18839), 1,
      anon_sym_RPAREN,
    STATE(14478), 1,
      sym_attribute,
    STATE(19541), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670360] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(15622), 1,
      anon_sym_STAR,
    ACTIONS(18841), 1,
      anon_sym_DASH_GT,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14479), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670392] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18843), 1,
      anon_sym_DASH_GT,
    STATE(14480), 1,
      sym_attribute,
    STATE(19474), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670424] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18845), 1,
      anon_sym_RPAREN,
    STATE(14481), 1,
      sym_attribute,
    STATE(21436), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670456] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18847), 1,
      anon_sym_RPAREN,
    STATE(14482), 1,
      sym_attribute,
    STATE(18979), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670488] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12118), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [670508] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18849), 1,
      anon_sym_RPAREN,
    STATE(14484), 1,
      sym_attribute,
    STATE(18985), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670540] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12138), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [670560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18676), 1,
      anon_sym_DASH_GT,
    ACTIONS(18678), 1,
      anon_sym_with,
    STATE(14486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13633), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [670584] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18676), 1,
      anon_sym_DASH_GT,
    ACTIONS(18678), 1,
      anon_sym_with,
    STATE(14487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13637), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [670608] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18851), 1,
      anon_sym_DASH_GT,
    STATE(14488), 1,
      sym_attribute,
    STATE(19335), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670640] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18853), 1,
      anon_sym__,
    ACTIONS(18855), 1,
      anon_sym_RBRACE,
    STATE(14489), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670672] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18857), 1,
      anon_sym_RPAREN,
    STATE(14490), 1,
      sym_attribute,
    STATE(19813), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8190), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8192), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [670726] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18859), 1,
      anon_sym__,
    ACTIONS(18861), 1,
      anon_sym_RBRACE,
    STATE(14492), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670758] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18863), 1,
      anon_sym__,
    ACTIONS(18865), 1,
      anon_sym_RBRACE,
    STATE(14493), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670790] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11720), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [670810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8312), 1,
      anon_sym_PIPE,
    STATE(14495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8314), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670832] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11790), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11792), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(14496), 1,
      sym_attribute,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670864] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11764), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [670884] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18867), 1,
      anon_sym_RPAREN,
    STATE(14498), 1,
      sym_attribute,
    STATE(19818), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670916] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18869), 1,
      anon_sym__,
    ACTIONS(18871), 1,
      anon_sym_RBRACE,
    STATE(14499), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [670948] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8214), 1,
      anon_sym_PIPE,
    ACTIONS(8298), 1,
      anon_sym_DOT,
    STATE(14500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [670972] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14501), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16848), 1,
      sym_field_pattern,
    STATE(18486), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671004] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18873), 1,
      anon_sym_DASH_GT,
    STATE(14502), 1,
      sym_attribute,
    STATE(18884), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671036] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    STATE(14503), 1,
      sym_attribute,
    STATE(18830), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11688), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(11764), 3,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [671062] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18875), 1,
      anon_sym_RBRACK,
    ACTIONS(18877), 1,
      anon_sym_SEMI,
    STATE(14504), 1,
      sym_attribute,
    STATE(16317), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671094] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(18879), 1,
      sym__lowercase_identifier,
    ACTIONS(18881), 1,
      anon_sym_type,
    ACTIONS(18883), 1,
      anon_sym_LBRACK,
    ACTIONS(18885), 1,
      anon_sym_virtual,
    STATE(13526), 1,
      sym_class_binding,
    STATE(14505), 1,
      sym_attribute,
    STATE(15427), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671126] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18887), 1,
      anon_sym_DASH_GT,
    STATE(14506), 1,
      sym_attribute,
    STATE(21075), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671158] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18889), 1,
      anon_sym__,
    ACTIONS(18891), 1,
      anon_sym_RBRACE,
    STATE(14507), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671190] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18893), 1,
      anon_sym_RPAREN,
    STATE(14508), 1,
      sym_attribute,
    STATE(19034), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671222] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17501), 1,
      anon_sym_STAR,
    STATE(14509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [671244] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18895), 1,
      anon_sym_RPAREN,
    STATE(14510), 1,
      sym_attribute,
    STATE(19547), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671276] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14511), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17170), 1,
      sym_field_binding_pattern,
    STATE(19240), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671308] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18897), 1,
      anon_sym_RPAREN,
    STATE(14512), 1,
      sym_attribute,
    STATE(19515), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671340] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18899), 1,
      anon_sym_RPAREN,
    STATE(14513), 1,
      sym_attribute,
    STATE(19040), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671372] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14514), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16270), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    STATE(21055), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671404] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14515), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16597), 1,
      sym_field_pattern,
    STATE(19240), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12349), 1,
      anon_sym_COLON2,
    STATE(14516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12347), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [671458] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [671478] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14518), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [671508] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11756), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11758), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(14519), 1,
      sym_attribute,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671540] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18901), 1,
      anon_sym_RPAREN,
    STATE(14520), 1,
      sym_attribute,
    STATE(19851), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671572] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18903), 1,
      anon_sym__,
    ACTIONS(18905), 1,
      anon_sym_RBRACE,
    STATE(14521), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671604] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18907), 1,
      anon_sym_RPAREN,
    STATE(14522), 1,
      sym_attribute,
    STATE(19948), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671636] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18909), 1,
      anon_sym_RBRACK,
    ACTIONS(18911), 1,
      anon_sym_SEMI,
    STATE(14523), 1,
      sym_attribute,
    STATE(16645), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671668] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_PIPE,
    ACTIONS(18626), 1,
      anon_sym_as,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18913), 1,
      anon_sym_SEMI,
    ACTIONS(18915), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14524), 1,
      sym_attribute,
    STATE(16721), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671700] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18917), 1,
      anon_sym_RPAREN,
    STATE(14525), 1,
      sym_attribute,
    STATE(19968), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671732] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12251), 1,
      sym__uppercase_identifier,
    ACTIONS(17881), 1,
      anon_sym_LPAREN,
    ACTIONS(17883), 1,
      anon_sym_LBRACK,
    STATE(11617), 1,
      sym_constructor_declaration,
    STATE(12864), 1,
      sym__constructor_name,
    STATE(14526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17885), 2,
      anon_sym_true,
      anon_sym_false,
  [671762] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18478), 1,
      anon_sym_RPAREN,
    STATE(14527), 1,
      sym_attribute,
    STATE(20517), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671794] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18919), 1,
      anon_sym_DASH_GT,
    STATE(14528), 1,
      sym_attribute,
    STATE(19674), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671826] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18921), 1,
      anon_sym_RPAREN,
    STATE(14529), 1,
      sym_attribute,
    STATE(19856), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671858] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(18923), 1,
      anon_sym_DASH_GT,
    STATE(14530), 1,
      sym_attribute,
    STATE(20789), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671890] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18925), 1,
      anon_sym_RPAREN,
    STATE(14531), 1,
      sym_attribute,
    STATE(19089), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671922] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18927), 1,
      anon_sym_RBRACK,
    ACTIONS(18929), 1,
      anon_sym_SEMI,
    STATE(14532), 1,
      sym_attribute,
    STATE(16766), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671954] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18931), 1,
      anon_sym_RBRACK,
    ACTIONS(18933), 1,
      anon_sym_SEMI,
    STATE(14533), 1,
      sym_attribute,
    STATE(16730), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [671986] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18935), 1,
      anon_sym_RPAREN,
    STATE(14534), 1,
      sym_attribute,
    STATE(19988), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672018] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [672038] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18937), 1,
      anon_sym_RPAREN,
    STATE(14536), 1,
      sym_attribute,
    STATE(19095), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18939), 1,
      anon_sym_COLON2,
    STATE(14537), 1,
      sym_attribute,
    STATE(17617), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [672094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8348), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8350), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [672116] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18941), 1,
      anon_sym_SEMI,
    ACTIONS(18943), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14539), 1,
      sym_attribute,
    STATE(16733), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8340), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8342), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [672170] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(18881), 1,
      anon_sym_type,
    ACTIONS(18945), 1,
      sym__lowercase_identifier,
    ACTIONS(18947), 1,
      anon_sym_LBRACK,
    ACTIONS(18949), 1,
      anon_sym_virtual,
    STATE(12617), 1,
      sym_class_binding,
    STATE(14541), 1,
      sym_attribute,
    STATE(15527), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672202] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11774), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11776), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(14542), 1,
      sym_attribute,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672234] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18951), 1,
      anon_sym_RPAREN,
    STATE(14543), 1,
      sym_attribute,
    STATE(19131), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672266] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18318), 1,
      anon_sym_RPAREN,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    STATE(14544), 1,
      sym_attribute,
    STATE(20758), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672298] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18953), 1,
      anon_sym_RPAREN,
    STATE(14545), 1,
      sym_attribute,
    STATE(19128), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672330] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18955), 1,
      anon_sym_RPAREN,
    STATE(14546), 1,
      sym_attribute,
    STATE(19137), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11794), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11796), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [672384] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18957), 1,
      anon_sym_RPAREN,
    STATE(14548), 1,
      sym_attribute,
    STATE(19880), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672416] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18959), 1,
      anon_sym_RPAREN,
    STATE(14549), 1,
      sym_attribute,
    STATE(19882), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672448] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(18881), 1,
      anon_sym_type,
    ACTIONS(18961), 1,
      sym__lowercase_identifier,
    ACTIONS(18963), 1,
      anon_sym_LBRACK,
    ACTIONS(18965), 1,
      anon_sym_virtual,
    STATE(12710), 1,
      sym_class_binding,
    STATE(14550), 1,
      sym_attribute,
    STATE(15250), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672480] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9014), 1,
      anon_sym_COLON2,
    ACTIONS(18967), 1,
      anon_sym_COLON,
    STATE(14551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [672504] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18969), 1,
      anon_sym_RPAREN,
    STATE(14552), 1,
      sym_attribute,
    STATE(19172), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672536] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18971), 1,
      anon_sym_RBRACK,
    ACTIONS(18973), 1,
      anon_sym_SEMI,
    STATE(14553), 1,
      sym_attribute,
    STATE(16859), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672568] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12213), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [672588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    STATE(14555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [672612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    STATE(14556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 6,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [672634] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    STATE(14557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [672660] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18975), 1,
      anon_sym_RPAREN,
    STATE(14558), 1,
      sym_attribute,
    STATE(19178), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672692] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    STATE(14559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [672714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11498), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11500), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [672736] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12282), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12284), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(14561), 1,
      sym_attribute,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672768] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18977), 1,
      anon_sym_RPAREN,
    STATE(14562), 1,
      sym_attribute,
    STATE(19903), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672800] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14563), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(17046), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [672830] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18979), 1,
      anon_sym_RPAREN,
    STATE(14564), 1,
      sym_attribute,
    STATE(19905), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672862] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12237), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [672882] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18981), 1,
      anon_sym_RPAREN,
    STATE(14566), 1,
      sym_attribute,
    STATE(20500), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    STATE(14567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17759), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [672936] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12290), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12292), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(14568), 1,
      sym_attribute,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [672968] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    STATE(14569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17724), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [672996] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18534), 1,
      anon_sym_RPAREN,
    STATE(14570), 1,
      sym_attribute,
    STATE(20643), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673028] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18983), 1,
      anon_sym_SEMI,
    ACTIONS(18985), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14571), 1,
      sym_attribute,
    STATE(17178), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673060] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(18987), 1,
      anon_sym__,
    ACTIONS(18989), 1,
      anon_sym_RBRACE,
    STATE(14572), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673092] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18991), 1,
      anon_sym_RPAREN,
    STATE(14573), 1,
      sym_attribute,
    STATE(19213), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673124] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18993), 1,
      anon_sym_RBRACK,
    ACTIONS(18995), 1,
      anon_sym_SEMI,
    STATE(14574), 1,
      sym_attribute,
    STATE(16913), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673156] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8214), 1,
      anon_sym_PIPE,
    ACTIONS(8218), 1,
      anon_sym_DOT,
    STATE(14575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [673180] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18997), 1,
      anon_sym_RPAREN,
    STATE(14576), 1,
      sym_attribute,
    STATE(19219), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11518), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [673234] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14578), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(16424), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    STATE(20474), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673266] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12296), 1,
      anon_sym_in,
    ACTIONS(17752), 1,
      sym__lowercase_identifier,
    ACTIONS(17754), 1,
      anon_sym_POUND,
    STATE(14340), 1,
      sym_type_constructor_path,
    STATE(14579), 1,
      sym_attribute,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673298] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18999), 1,
      anon_sym_RPAREN,
    STATE(14580), 1,
      sym_attribute,
    STATE(20551), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673330] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(14581), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16456), 1,
      sym_field_pattern,
    STATE(18923), 1,
      sym__quoted_string,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673362] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(19001), 1,
      anon_sym_DASH_GT,
    STATE(14582), 1,
      sym_attribute,
    STATE(18882), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673394] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(15622), 1,
      anon_sym_STAR,
    ACTIONS(18806), 1,
      anon_sym_DASH_GT,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14583), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673426] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(15622), 1,
      anon_sym_STAR,
    ACTIONS(19003), 1,
      anon_sym_DASH_GT,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14584), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673458] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19005), 1,
      anon_sym_RPAREN,
    STATE(14585), 1,
      sym_attribute,
    STATE(19254), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11572), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11574), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [673512] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19007), 1,
      anon_sym_RBRACK,
    ACTIONS(19009), 1,
      anon_sym_SEMI,
    STATE(14587), 1,
      sym_attribute,
    STATE(16748), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673544] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(19011), 1,
      anon_sym_rec,
    ACTIONS(19013), 1,
      anon_sym_type,
    STATE(12832), 1,
      sym_module_binding,
    STATE(14588), 1,
      sym_attribute,
    STATE(15426), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19015), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [673574] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19017), 1,
      anon_sym_RPAREN,
    STATE(14589), 1,
      sym_attribute,
    STATE(19581), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673606] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19019), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_attribute,
    STATE(19260), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673638] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19021), 1,
      anon_sym_SEMI,
    ACTIONS(19023), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14591), 1,
      sym_attribute,
    STATE(16920), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11598), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11600), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [673692] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19025), 1,
      anon_sym_EQ,
    ACTIONS(19027), 1,
      anon_sym_COLON_EQ,
    STATE(14593), 1,
      sym_attribute,
    STATE(15059), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12587), 2,
      anon_sym_and,
      anon_sym_in,
  [673722] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19029), 1,
      anon_sym_RPAREN,
    STATE(14594), 1,
      sym_attribute,
    STATE(20585), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673754] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(19031), 1,
      anon_sym_DASH_GT,
    STATE(14595), 1,
      sym_attribute,
    STATE(20051), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673786] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19033), 1,
      anon_sym_RPAREN,
    STATE(14596), 1,
      sym_attribute,
    STATE(19587), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673818] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14597), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(16952), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [673848] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_PIPE,
    ACTIONS(18626), 1,
      anon_sym_as,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19035), 1,
      anon_sym_SEMI,
    ACTIONS(19037), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14598), 1,
      sym_attribute,
    STATE(16752), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11632), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11634), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [673902] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(19039), 1,
      anon_sym_DASH_GT,
    STATE(14600), 1,
      sym_attribute,
    STATE(20676), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673934] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19041), 1,
      anon_sym_RPAREN,
    STATE(14601), 1,
      sym_attribute,
    STATE(19295), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673966] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(19043), 1,
      anon_sym_DASH_GT,
    STATE(14602), 1,
      sym_attribute,
    STATE(20138), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [673998] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(19045), 1,
      anon_sym__,
    ACTIONS(19047), 1,
      anon_sym_RBRACE,
    STATE(14603), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674030] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12233), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [674050] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19049), 1,
      anon_sym_RPAREN,
    STATE(14605), 1,
      sym_attribute,
    STATE(19301), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674082] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19051), 1,
      anon_sym_RBRACK,
    ACTIONS(19053), 1,
      anon_sym_SEMI,
    STATE(14606), 1,
      sym_attribute,
    STATE(16518), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674114] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_PIPE,
    ACTIONS(18626), 1,
      anon_sym_as,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19055), 1,
      anon_sym_SEMI,
    ACTIONS(19057), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14607), 1,
      sym_attribute,
    STATE(16142), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    STATE(14608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17357), 6,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [674168] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(19059), 1,
      anon_sym_DASH_GT,
    STATE(14609), 1,
      sym_attribute,
    STATE(20246), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674200] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19061), 1,
      anon_sym_RPAREN,
    STATE(14610), 1,
      sym_attribute,
    STATE(19762), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674232] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_PIPE,
    ACTIONS(18626), 1,
      anon_sym_as,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19063), 1,
      anon_sym_SEMI,
    ACTIONS(19065), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14611), 1,
      sym_attribute,
    STATE(16520), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674264] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19067), 1,
      anon_sym_RPAREN,
    STATE(14612), 1,
      sym_attribute,
    STATE(20250), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674296] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19069), 1,
      anon_sym_RPAREN,
    STATE(14613), 1,
      sym_attribute,
    STATE(18531), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674328] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19071), 1,
      anon_sym_RBRACK,
    ACTIONS(19073), 1,
      anon_sym_when,
    STATE(14614), 1,
      sym_attribute,
    STATE(19212), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674360] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19075), 1,
      anon_sym_RPAREN,
    STATE(14615), 1,
      sym_attribute,
    STATE(18646), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674392] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19077), 1,
      anon_sym_RPAREN,
    STATE(14616), 1,
      sym_attribute,
    STATE(19336), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674424] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(19079), 1,
      anon_sym__,
    ACTIONS(19081), 1,
      anon_sym_RBRACE,
    STATE(14617), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674456] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(18881), 1,
      anon_sym_type,
    ACTIONS(19083), 1,
      sym__lowercase_identifier,
    ACTIONS(19085), 1,
      anon_sym_LBRACK,
    ACTIONS(19087), 1,
      anon_sym_virtual,
    STATE(13385), 1,
      sym_class_binding,
    STATE(14618), 1,
      sym_attribute,
    STATE(15415), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8308), 1,
      anon_sym_PIPE,
    STATE(14619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8310), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [674510] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19089), 1,
      anon_sym_RPAREN,
    STATE(14620), 1,
      sym_attribute,
    STATE(20277), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8048), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(8050), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [674564] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19091), 1,
      anon_sym_RPAREN,
    STATE(14622), 1,
      sym_attribute,
    STATE(19342), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674596] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(19093), 1,
      anon_sym__,
    ACTIONS(19095), 1,
      anon_sym_RBRACE,
    STATE(14623), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674628] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19097), 1,
      anon_sym_RBRACK,
    ACTIONS(19099), 1,
      anon_sym_SEMI,
    STATE(14624), 1,
      sym_attribute,
    STATE(16175), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674660] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(15622), 1,
      anon_sym_STAR,
    ACTIONS(19101), 1,
      anon_sym_DASH_GT,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14625), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674692] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14626), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(16123), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [674722] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19103), 1,
      anon_sym_SEMI,
    ACTIONS(19105), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14627), 1,
      sym_attribute,
    STATE(17153), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674754] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19107), 1,
      anon_sym_RPAREN,
    STATE(14628), 1,
      sym_attribute,
    STATE(18702), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674786] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19109), 1,
      anon_sym_RPAREN,
    STATE(14629), 1,
      sym_attribute,
    STATE(19169), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674818] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19111), 1,
      anon_sym_RPAREN,
    STATE(14630), 1,
      sym_attribute,
    STATE(18539), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674850] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19113), 1,
      anon_sym_RPAREN,
    STATE(14631), 1,
      sym_attribute,
    STATE(19377), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674882] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14632), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(17002), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [674912] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18542), 1,
      anon_sym_when,
    ACTIONS(19115), 1,
      anon_sym_DASH_GT,
    STATE(14633), 1,
      sym_attribute,
    STATE(18674), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674944] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19117), 1,
      anon_sym_RPAREN,
    STATE(14634), 1,
      sym_attribute,
    STATE(19383), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [674976] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(19119), 1,
      anon_sym__,
    ACTIONS(19121), 1,
      anon_sym_RBRACE,
    STATE(14635), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675008] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18498), 1,
      anon_sym_RPAREN,
    STATE(14636), 1,
      sym_attribute,
    STATE(19555), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675040] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19123), 1,
      anon_sym_RPAREN,
    STATE(14637), 1,
      sym_attribute,
    STATE(20206), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675072] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19125), 1,
      anon_sym_RPAREN,
    STATE(14638), 1,
      sym_attribute,
    STATE(19718), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675104] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(19127), 1,
      anon_sym__,
    ACTIONS(19129), 1,
      anon_sym_RBRACE,
    STATE(14639), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675136] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6789), 1,
      anon_sym_PIPE,
    ACTIONS(18536), 1,
      anon_sym_DOT_DOT,
    STATE(14640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6783), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675160] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(15622), 1,
      anon_sym_STAR,
    ACTIONS(19131), 1,
      anon_sym_DASH_GT,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14641), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675192] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19133), 1,
      anon_sym_EQ,
    ACTIONS(19135), 1,
      anon_sym_COLON_EQ,
    STATE(14642), 1,
      sym_attribute,
    STATE(15019), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12521), 2,
      anon_sym_and,
      anon_sym_in,
  [675222] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11518), 1,
      anon_sym_RPAREN,
    ACTIONS(12345), 1,
      anon_sym_COLON2,
    STATE(14643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [675246] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19137), 1,
      anon_sym_RPAREN,
    STATE(14644), 1,
      sym_attribute,
    STATE(19500), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675278] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19139), 1,
      anon_sym_RPAREN,
    STATE(14645), 1,
      sym_attribute,
    STATE(19418), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675310] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19141), 1,
      anon_sym_RBRACK,
    ACTIONS(19143), 1,
      anon_sym_SEMI,
    STATE(14646), 1,
      sym_attribute,
    STATE(16536), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675342] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19145), 1,
      anon_sym_RPAREN,
    STATE(14647), 1,
      sym_attribute,
    STATE(19424), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675374] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19147), 1,
      anon_sym_RPAREN,
    STATE(14648), 1,
      sym_attribute,
    STATE(20225), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675406] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(19149), 1,
      anon_sym__,
    ACTIONS(19151), 1,
      anon_sym_RBRACE,
    STATE(14649), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675438] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(18636), 1,
      sym__lowercase_identifier,
    ACTIONS(19153), 1,
      anon_sym__,
    ACTIONS(19155), 1,
      anon_sym_RBRACE,
    STATE(14650), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675470] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(19157), 1,
      anon_sym_rec,
    ACTIONS(19159), 1,
      anon_sym_type,
    STATE(13553), 1,
      sym_module_binding,
    STATE(14651), 1,
      sym_attribute,
    STATE(15929), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19161), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [675500] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(19163), 1,
      anon_sym_rec,
    ACTIONS(19165), 1,
      anon_sym_type,
    STATE(13555), 1,
      sym_module_binding,
    STATE(14652), 1,
      sym_attribute,
    STATE(15932), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19167), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [675530] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15669), 1,
      anon_sym_BANG,
    ACTIONS(18582), 1,
      anon_sym__,
    STATE(14653), 1,
      sym_attribute,
    STATE(15069), 1,
      sym_type_variable,
    STATE(16170), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15667), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [675560] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(19169), 1,
      anon_sym_rec,
    ACTIONS(19171), 1,
      anon_sym_type,
    STATE(12889), 1,
      sym_module_binding,
    STATE(14654), 1,
      sym_attribute,
    STATE(15933), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19173), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [675590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11412), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(11414), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [675612] = 10,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(19175), 1,
      anon_sym_RPAREN,
    STATE(14656), 1,
      sym_attribute,
    STATE(18811), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675644] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19177), 1,
      sym__lowercase_identifier,
    STATE(7317), 1,
      sym_class_path,
    STATE(14657), 1,
      sym_attribute,
    STATE(15304), 1,
      sym__attribute,
    STATE(19497), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675673] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19179), 1,
      sym__lowercase_identifier,
    STATE(3340), 1,
      sym_class_path,
    STATE(14658), 1,
      sym_attribute,
    STATE(15534), 1,
      sym__attribute,
    STATE(19565), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675702] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19181), 1,
      anon_sym_RBRACE,
    STATE(14659), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675731] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19183), 1,
      sym__lowercase_identifier,
    ACTIONS(19185), 1,
      anon_sym_BANG,
    STATE(13004), 1,
      sym__instance_variable_name,
    STATE(14660), 1,
      sym_attribute,
    STATE(15086), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19187), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [675758] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19189), 1,
      sym__lowercase_identifier,
    STATE(6392), 1,
      sym_class_path,
    STATE(14661), 1,
      sym_attribute,
    STATE(15342), 1,
      sym__attribute,
    STATE(19604), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9718), 1,
      anon_sym_PIPE,
    STATE(14662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9720), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675808] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19191), 1,
      anon_sym_RBRACE,
    STATE(14663), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675837] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19193), 1,
      anon_sym_RBRACE,
    STATE(14664), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19195), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14665), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(12233), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [675887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8060), 1,
      anon_sym_PIPE,
    STATE(14666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8062), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9118), 1,
      anon_sym_PIPE,
    STATE(14667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [675929] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19198), 1,
      anon_sym_RBRACE,
    STATE(14668), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [675958] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_PIPE,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    STATE(14669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [675983] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12843), 1,
      anon_sym_and,
    STATE(14670), 1,
      sym_attribute,
    STATE(14787), 1,
      aux_sym_expression_item_repeat1,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12841), 2,
      anon_sym_in,
      sym_let_and_operator,
  [676010] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19200), 1,
      sym__lowercase_identifier,
    STATE(9408), 1,
      sym_class_path,
    STATE(14671), 1,
      sym_attribute,
    STATE(15447), 1,
      sym__attribute,
    STATE(21327), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676039] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19202), 1,
      anon_sym_RBRACE,
    STATE(14672), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676068] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19204), 1,
      anon_sym_RBRACE,
    STATE(14673), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676097] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19206), 1,
      anon_sym_RBRACE,
    STATE(14674), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676126] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19208), 1,
      anon_sym_RBRACE,
    STATE(14675), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676155] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13100), 1,
      anon_sym_and,
    STATE(14676), 1,
      sym_attribute,
    STATE(14787), 1,
      aux_sym_expression_item_repeat1,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13098), 2,
      anon_sym_in,
      sym_let_and_operator,
  [676182] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19210), 1,
      anon_sym_RBRACE,
    STATE(14677), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676211] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19212), 1,
      sym__lowercase_identifier,
    STATE(6514), 1,
      sym_class_path,
    STATE(14678), 1,
      sym_attribute,
    STATE(15657), 1,
      sym__attribute,
    STATE(19279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676240] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9208), 1,
      anon_sym_PIPE,
    STATE(14679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676261] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(15465), 1,
      anon_sym_POUND,
    ACTIONS(19214), 1,
      anon_sym_DASH_GT,
    STATE(13384), 1,
      sym_type_constructor_path,
    STATE(14680), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676290] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    STATE(14681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19216), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [676317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9640), 1,
      anon_sym_PIPE,
    STATE(14682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9642), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676338] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19218), 1,
      anon_sym_RBRACE,
    STATE(14683), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676367] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19220), 1,
      anon_sym_RBRACE,
    STATE(14684), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676396] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19222), 1,
      anon_sym_RBRACE,
    STATE(14685), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676425] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19224), 1,
      anon_sym_RBRACE,
    STATE(14686), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676454] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19226), 1,
      anon_sym_RBRACE,
    STATE(14687), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676483] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19228), 1,
      sym__lowercase_identifier,
    STATE(6500), 1,
      sym_class_path,
    STATE(14688), 1,
      sym_attribute,
    STATE(15896), 1,
      sym__attribute,
    STATE(19682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(6789), 1,
      anon_sym_PIPE,
    STATE(14689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6783), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676533] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19230), 1,
      anon_sym_RBRACE,
    STATE(14690), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8084), 1,
      anon_sym_PIPE,
    STATE(14691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8086), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676583] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19232), 1,
      anon_sym_RBRACE,
    STATE(14692), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676612] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19234), 1,
      anon_sym_RBRACE,
    STATE(14693), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676641] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19236), 1,
      anon_sym_RBRACE,
    STATE(14694), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676670] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19238), 1,
      sym__lowercase_identifier,
    STATE(6578), 1,
      sym_class_path,
    STATE(14695), 1,
      sym_attribute,
    STATE(15691), 1,
      sym__attribute,
    STATE(19320), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17650), 1,
      anon_sym_PIPE,
    STATE(14696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17648), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676720] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12872), 1,
      anon_sym_and,
    STATE(14697), 1,
      sym_attribute,
    STATE(14787), 1,
      aux_sym_expression_item_repeat1,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12870), 2,
      anon_sym_in,
      sym_let_and_operator,
  [676747] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12678), 1,
      anon_sym_and,
    STATE(14698), 1,
      sym_attribute,
    STATE(14863), 1,
      aux_sym_expression_item_repeat1,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12676), 2,
      anon_sym_in,
      sym_let_and_operator,
  [676774] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19240), 1,
      anon_sym_RBRACE,
    STATE(14699), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676803] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19242), 1,
      anon_sym_RBRACE,
    STATE(14700), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4737), 1,
      anon_sym_PIPE,
    STATE(14701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(4735), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676853] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19244), 1,
      sym__lowercase_identifier,
    STATE(6582), 1,
      sym_class_path,
    STATE(14702), 1,
      sym_attribute,
    STATE(15704), 1,
      sym__attribute,
    STATE(18796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676882] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17381), 1,
      anon_sym_PIPE,
    STATE(14703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17379), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [676903] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19246), 1,
      sym__lowercase_identifier,
    STATE(3554), 1,
      sym_class_path,
    STATE(14704), 1,
      sym_attribute,
    STATE(15624), 1,
      sym__attribute,
    STATE(19896), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676932] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(14705), 1,
      sym_attribute,
    STATE(15708), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(19651), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [676959] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19252), 1,
      anon_sym_RBRACE,
    STATE(14706), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [676988] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19254), 1,
      anon_sym_RBRACE,
    STATE(14707), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677017] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19260), 1,
      anon_sym_AMP,
    STATE(14708), 1,
      sym_attribute,
    STATE(15189), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19256), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [677042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8096), 1,
      anon_sym_PIPE,
    STATE(14709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8098), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [677063] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19262), 1,
      anon_sym_RBRACE,
    STATE(14710), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677092] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19264), 1,
      anon_sym_RBRACE,
    STATE(14711), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677121] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9154), 1,
      anon_sym_PIPE,
    STATE(14712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [677142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_PIPE,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    STATE(14713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 4,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [677165] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19266), 1,
      anon_sym_RBRACE,
    STATE(14714), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677194] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19268), 1,
      anon_sym_RBRACE,
    STATE(14715), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677223] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19270), 1,
      anon_sym_RBRACE,
    STATE(14716), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677252] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19272), 1,
      anon_sym_RBRACE,
    STATE(14717), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677281] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19274), 1,
      anon_sym_RBRACE,
    STATE(14718), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677310] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19276), 1,
      anon_sym_RBRACE,
    STATE(14719), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677339] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19278), 1,
      anon_sym_RBRACE,
    STATE(14720), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677368] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19280), 1,
      anon_sym_RBRACE,
    STATE(14721), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677397] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19282), 1,
      anon_sym_RBRACE,
    STATE(14722), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677426] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_PIPE,
    ACTIONS(18626), 1,
      anon_sym_as,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    STATE(14723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19216), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [677453] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19284), 1,
      anon_sym_RBRACE,
    STATE(14724), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677482] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19286), 1,
      anon_sym_RBRACE,
    STATE(14725), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677511] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19288), 1,
      anon_sym_RBRACE,
    STATE(14726), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677540] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19290), 1,
      sym__lowercase_identifier,
    STATE(7428), 1,
      sym_class_path,
    STATE(14727), 1,
      sym_attribute,
    STATE(15898), 1,
      sym__attribute,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677569] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19292), 1,
      anon_sym_RBRACE,
    STATE(14728), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677598] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19294), 1,
      anon_sym_RBRACE,
    STATE(14729), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677627] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19296), 1,
      anon_sym_RBRACE,
    STATE(14730), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677656] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19298), 1,
      anon_sym_RBRACE,
    STATE(14731), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677685] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19300), 1,
      sym__lowercase_identifier,
    STATE(5462), 1,
      sym_class_path,
    STATE(14732), 1,
      sym_attribute,
    STATE(15332), 1,
      sym__attribute,
    STATE(19016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677714] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19302), 1,
      anon_sym_RBRACE,
    STATE(14733), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17477), 1,
      anon_sym_PIPE,
    STATE(14734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17475), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [677764] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19304), 1,
      anon_sym_and,
    STATE(14735), 1,
      sym_attribute,
    STATE(14905), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13122), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [677787] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19306), 1,
      sym__lowercase_identifier,
    STATE(4602), 1,
      sym_class_path,
    STATE(14736), 1,
      sym_attribute,
    STATE(15614), 1,
      sym__attribute,
    STATE(20454), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9766), 1,
      anon_sym_PIPE,
    STATE(14737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9768), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [677837] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(16638), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(14738), 1,
      sym_attribute,
    STATE(15692), 1,
      sym__attribute,
    STATE(17631), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677866] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19308), 1,
      anon_sym_RBRACE,
    STATE(14739), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677895] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19310), 1,
      anon_sym_RBRACE,
    STATE(14740), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677924] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17403), 1,
      anon_sym_PIPE,
    STATE(14741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [677945] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19312), 1,
      sym__lowercase_identifier,
    STATE(5345), 1,
      sym_class_path,
    STATE(14742), 1,
      sym_attribute,
    STATE(15425), 1,
      sym__attribute,
    STATE(20273), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [677974] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    ACTIONS(19314), 1,
      anon_sym_rec,
    STATE(14743), 1,
      sym_attribute,
    STATE(15401), 1,
      sym__attribute,
    STATE(17050), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [678001] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19318), 1,
      sym__lowercase_identifier,
    STATE(3999), 1,
      sym_class_path,
    STATE(14744), 1,
      sym_attribute,
    STATE(15729), 1,
      sym__attribute,
    STATE(19361), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11578), 1,
      anon_sym_RPAREN,
    STATE(14745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [678051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      anon_sym_PIPE,
    STATE(14746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678072] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19320), 1,
      anon_sym_RBRACE,
    STATE(14747), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678101] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19322), 1,
      anon_sym_RBRACE,
    STATE(14748), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678130] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19324), 1,
      sym__lowercase_identifier,
    STATE(7570), 1,
      sym_class_path,
    STATE(14749), 1,
      sym_attribute,
    STATE(15414), 1,
      sym__attribute,
    STATE(20173), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17413), 1,
      anon_sym_PIPE,
    STATE(14750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17411), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678180] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19326), 1,
      anon_sym_RBRACE,
    STATE(14751), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9172), 1,
      anon_sym_PIPE,
    STATE(14752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678230] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19328), 1,
      sym__lowercase_identifier,
    STATE(3779), 1,
      sym_class_path,
    STATE(14753), 1,
      sym_attribute,
    STATE(15811), 1,
      sym__attribute,
    STATE(19443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9048), 1,
      anon_sym_PIPE,
    STATE(14754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9050), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678280] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19330), 1,
      anon_sym_RBRACE,
    STATE(14755), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678309] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9188), 1,
      anon_sym_PIPE,
    STATE(14756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7941), 1,
      anon_sym_PIPE,
    STATE(14757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9714), 1,
      anon_sym_PIPE,
    STATE(14758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9716), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678372] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    STATE(14759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19332), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [678399] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19334), 1,
      anon_sym_RBRACE,
    STATE(14760), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678428] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19336), 1,
      anon_sym_RBRACE,
    STATE(14761), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678457] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19338), 1,
      anon_sym_RBRACE,
    STATE(14762), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9106), 1,
      anon_sym_PIPE,
    STATE(14763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678507] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19340), 1,
      anon_sym_RBRACE,
    STATE(14764), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678536] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    STATE(14765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17724), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [678563] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    ACTIONS(18610), 1,
      anon_sym_PIPE,
    ACTIONS(18616), 1,
      anon_sym_as,
    ACTIONS(18618), 1,
      anon_sym_COLON_COLON,
    STATE(14766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19342), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [678590] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    ACTIONS(18622), 1,
      anon_sym_PIPE,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    STATE(14767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [678615] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19344), 1,
      anon_sym_RBRACE,
    STATE(14768), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678644] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19346), 1,
      anon_sym_RBRACE,
    STATE(14769), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678673] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19348), 1,
      anon_sym_RBRACE,
    STATE(14770), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678702] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12897), 1,
      anon_sym_and,
    STATE(14771), 1,
      sym_attribute,
    STATE(14986), 1,
      aux_sym_expression_item_repeat1,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12895), 2,
      anon_sym_in,
      sym_let_and_operator,
  [678729] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19350), 1,
      anon_sym_RBRACE,
    STATE(14772), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678758] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19352), 1,
      anon_sym_RBRACE,
    STATE(14773), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678787] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19354), 1,
      sym__lowercase_identifier,
    STATE(4932), 1,
      sym_class_path,
    STATE(14774), 1,
      sym_attribute,
    STATE(15862), 1,
      sym__attribute,
    STATE(19525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9056), 1,
      anon_sym_PIPE,
    STATE(14775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9058), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678837] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19356), 1,
      anon_sym_RBRACE,
    STATE(14776), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [678866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9102), 1,
      anon_sym_PIPE,
    STATE(14777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17592), 1,
      anon_sym_PIPE,
    STATE(14778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17590), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8290), 1,
      anon_sym_PIPE,
    STATE(14779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8292), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678929] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9196), 1,
      anon_sym_PIPE,
    STATE(14780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678950] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8052), 1,
      anon_sym_PIPE,
    STATE(14781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8054), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [678971] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19358), 1,
      sym__lowercase_identifier,
    STATE(4580), 1,
      sym_class_path,
    STATE(14782), 1,
      sym_attribute,
    STATE(15495), 1,
      sym__attribute,
    STATE(20135), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679000] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19360), 1,
      sym__lowercase_identifier,
    STATE(6438), 1,
      sym_class_path,
    STATE(14783), 1,
      sym_attribute,
    STATE(15551), 1,
      sym__attribute,
    STATE(19197), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679029] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19362), 1,
      anon_sym_RBRACE,
    STATE(14784), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679058] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19364), 1,
      anon_sym_RBRACE,
    STATE(14785), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679087] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17303), 1,
      anon_sym_PIPE,
    STATE(14786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17301), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679108] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12267), 1,
      anon_sym_and,
    ACTIONS(19366), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12265), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(14787), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [679133] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19369), 1,
      anon_sym_RBRACE,
    STATE(14788), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679162] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17429), 1,
      anon_sym_PIPE,
    STATE(14789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17427), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679183] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19371), 1,
      anon_sym_RBRACE,
    STATE(14790), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679212] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19373), 1,
      sym__lowercase_identifier,
    STATE(8349), 1,
      sym_class_path,
    STATE(14791), 1,
      sym_attribute,
    STATE(15769), 1,
      sym__attribute,
    STATE(19150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679241] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19375), 1,
      anon_sym_RBRACE,
    STATE(14792), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9052), 1,
      anon_sym_PIPE,
    STATE(14793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9054), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679291] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19377), 1,
      anon_sym_RBRACE,
    STATE(14794), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8000), 1,
      anon_sym_PIPE,
    STATE(14795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8002), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679341] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19379), 1,
      anon_sym_RBRACE,
    STATE(14796), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679370] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19381), 1,
      anon_sym_RBRACE,
    STATE(14797), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679399] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19383), 1,
      anon_sym_RBRACE,
    STATE(14798), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679428] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17377), 1,
      anon_sym_PIPE,
    STATE(14799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17375), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679449] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12988), 1,
      anon_sym_and,
    STATE(14787), 1,
      aux_sym_expression_item_repeat1,
    STATE(14800), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12986), 2,
      anon_sym_in,
      sym_let_and_operator,
  [679476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9144), 1,
      anon_sym_PIPE,
    STATE(14801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679497] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19385), 1,
      anon_sym_RBRACE,
    STATE(14802), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679526] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9078), 1,
      anon_sym_PIPE,
    STATE(14803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9086), 1,
      anon_sym_PIPE,
    STATE(14804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9114), 1,
      anon_sym_PIPE,
    STATE(14805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9116), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9110), 1,
      anon_sym_PIPE,
    STATE(14806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9130), 1,
      anon_sym_PIPE,
    STATE(14807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679631] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19387), 1,
      anon_sym_RBRACE,
    STATE(14808), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679660] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19389), 1,
      anon_sym_RBRACE,
    STATE(14809), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679689] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13004), 1,
      anon_sym_and,
    STATE(14670), 1,
      aux_sym_expression_item_repeat1,
    STATE(14810), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13002), 2,
      anon_sym_in,
      sym_let_and_operator,
  [679716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_DASH_GT,
    STATE(14811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 5,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [679737] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19260), 1,
      anon_sym_AMP,
    STATE(14812), 1,
      sym_attribute,
    STATE(15143), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19391), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [679762] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19393), 1,
      anon_sym_RBRACE,
    STATE(14813), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_PIPE,
    STATE(14814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679812] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19395), 1,
      anon_sym_RBRACE,
    STATE(14815), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679841] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9150), 1,
      anon_sym_PIPE,
    STATE(14816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [679862] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19397), 1,
      sym__lowercase_identifier,
    STATE(3690), 1,
      sym_class_path,
    STATE(14817), 1,
      sym_attribute,
    STATE(15873), 1,
      sym__attribute,
    STATE(18574), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679891] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19399), 1,
      sym__lowercase_identifier,
    STATE(5051), 1,
      sym_class_path,
    STATE(14818), 1,
      sym_attribute,
    STATE(15756), 1,
      sym__attribute,
    STATE(18507), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679920] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12914), 1,
      anon_sym_and,
    STATE(14787), 1,
      aux_sym_expression_item_repeat1,
    STATE(14819), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12912), 2,
      anon_sym_in,
      sym_let_and_operator,
  [679947] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19401), 1,
      sym__lowercase_identifier,
    STATE(7554), 1,
      sym_class_path,
    STATE(14820), 1,
      sym_attribute,
    STATE(15432), 1,
      sym__attribute,
    STATE(21409), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [679976] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12918), 1,
      anon_sym_and,
    STATE(14787), 1,
      aux_sym_expression_item_repeat1,
    STATE(14821), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12916), 2,
      anon_sym_in,
      sym_let_and_operator,
  [680003] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12922), 1,
      anon_sym_and,
    STATE(14822), 1,
      sym_attribute,
    STATE(14868), 1,
      aux_sym_expression_item_repeat1,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12920), 2,
      anon_sym_in,
      sym_let_and_operator,
  [680030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9122), 1,
      anon_sym_PIPE,
    STATE(14823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9124), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680051] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19403), 1,
      anon_sym_RBRACE,
    STATE(14824), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680080] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19405), 1,
      anon_sym_RBRACE,
    STATE(14825), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680109] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19407), 1,
      anon_sym_RBRACE,
    STATE(14826), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9666), 1,
      anon_sym_PIPE,
    STATE(14827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9668), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680159] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13042), 1,
      anon_sym_and,
    STATE(14697), 1,
      aux_sym_expression_item_repeat1,
    STATE(14828), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13040), 2,
      anon_sym_in,
      sym_let_and_operator,
  [680186] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9168), 1,
      anon_sym_PIPE,
    STATE(14829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680207] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_PIPE,
    STATE(14830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9094), 1,
      anon_sym_PIPE,
    STATE(14831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      anon_sym_PIPE,
    STATE(14832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9072), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680270] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19409), 1,
      anon_sym_RBRACE,
    STATE(14833), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9724), 1,
      anon_sym_PIPE,
    STATE(14834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9726), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9602), 1,
      anon_sym_PIPE,
    STATE(14835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680341] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9606), 1,
      anon_sym_PIPE,
    STATE(14836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9608), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680362] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    STATE(14837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17736), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [680389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9584), 1,
      anon_sym_PIPE,
    STATE(14838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9586), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680410] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19411), 1,
      sym__lowercase_identifier,
    STATE(7129), 1,
      sym_class_path,
    STATE(14839), 1,
      sym_attribute,
    STATE(15277), 1,
      sym__attribute,
    STATE(19027), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680439] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17359), 1,
      anon_sym_PIPE,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    STATE(14840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17357), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [680464] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17359), 1,
      anon_sym_PIPE,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    STATE(14841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17357), 4,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680487] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    STATE(14842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17401), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [680512] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17761), 1,
      anon_sym_PIPE,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    STATE(14843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17759), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [680535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9644), 1,
      anon_sym_PIPE,
    STATE(14844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9646), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680556] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19413), 1,
      anon_sym_RBRACE,
    STATE(14845), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680585] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19415), 1,
      anon_sym_RBRACE,
    STATE(14846), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680614] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19417), 1,
      sym__lowercase_identifier,
    STATE(6317), 1,
      sym_class_path,
    STATE(14847), 1,
      sym_attribute,
    STATE(15268), 1,
      sym__attribute,
    STATE(19721), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680643] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19419), 1,
      anon_sym_RBRACE,
    STATE(14848), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680672] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19421), 1,
      anon_sym_RBRACE,
    STATE(14849), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680701] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19423), 1,
      anon_sym_RBRACE,
    STATE(14850), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680730] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19425), 1,
      anon_sym_RBRACE,
    STATE(14851), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680759] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_PIPE,
    ACTIONS(18550), 1,
      anon_sym_as,
    ACTIONS(18552), 1,
      anon_sym_COLON_COLON,
    STATE(14852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19427), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [680786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9164), 1,
      anon_sym_PIPE,
    STATE(14853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680807] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19429), 1,
      anon_sym_RBRACE,
    STATE(14854), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680836] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19431), 1,
      sym__lowercase_identifier,
    STATE(7800), 1,
      sym_class_path,
    STATE(14855), 1,
      sym_attribute,
    STATE(15767), 1,
      sym__attribute,
    STATE(19402), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680865] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19433), 1,
      sym__lowercase_identifier,
    STATE(10147), 1,
      sym_class_path,
    STATE(14856), 1,
      sym_attribute,
    STATE(15604), 1,
      sym__attribute,
    STATE(19238), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680894] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9216), 1,
      anon_sym_PIPE,
    STATE(14857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [680915] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19435), 1,
      sym__lowercase_identifier,
    STATE(4223), 1,
      sym_class_path,
    STATE(14858), 1,
      sym_attribute,
    STATE(15726), 1,
      sym__attribute,
    STATE(18686), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680944] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19437), 1,
      anon_sym_RBRACE,
    STATE(14859), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [680973] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19439), 1,
      sym__lowercase_identifier,
    STATE(3975), 1,
      sym_class_path,
    STATE(14860), 1,
      sym_attribute,
    STATE(15938), 1,
      sym__attribute,
    STATE(19643), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9060), 1,
      anon_sym_PIPE,
    STATE(14861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9062), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681023] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19441), 1,
      anon_sym_RBRACE,
    STATE(14862), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681052] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12984), 1,
      anon_sym_and,
    STATE(14787), 1,
      aux_sym_expression_item_repeat1,
    STATE(14863), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12982), 2,
      anon_sym_in,
      sym_let_and_operator,
  [681079] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13034), 1,
      anon_sym_and,
    STATE(14819), 1,
      aux_sym_expression_item_repeat1,
    STATE(14864), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13032), 2,
      anon_sym_in,
      sym_let_and_operator,
  [681106] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19443), 1,
      sym__lowercase_identifier,
    STATE(5390), 1,
      sym_class_path,
    STATE(14865), 1,
      sym_attribute,
    STATE(15402), 1,
      sym__attribute,
    STATE(19797), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681135] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19445), 1,
      anon_sym_RBRACE,
    STATE(14866), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681164] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19447), 1,
      sym__lowercase_identifier,
    STATE(7167), 1,
      sym_class_path,
    STATE(14867), 1,
      sym_attribute,
    STATE(15905), 1,
      sym__attribute,
    STATE(19900), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681193] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13132), 1,
      anon_sym_and,
    STATE(14787), 1,
      aux_sym_expression_item_repeat1,
    STATE(14868), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13130), 2,
      anon_sym_in,
      sym_let_and_operator,
  [681220] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19449), 1,
      anon_sym_RBRACE,
    STATE(14869), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681249] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19451), 1,
      sym__lowercase_identifier,
    ACTIONS(19453), 1,
      anon_sym_LBRACK,
    ACTIONS(19455), 1,
      anon_sym_virtual,
    STATE(12257), 1,
      sym_class_type_binding,
    STATE(14870), 1,
      sym_attribute,
    STATE(15280), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681278] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19457), 1,
      anon_sym_RBRACE,
    STATE(14871), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681307] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19459), 1,
      sym__lowercase_identifier,
    STATE(6034), 1,
      sym_class_path,
    STATE(14872), 1,
      sym_attribute,
    STATE(15229), 1,
      sym__attribute,
    STATE(18906), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681336] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19461), 1,
      anon_sym_RBRACE,
    STATE(14873), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681365] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9082), 1,
      anon_sym_PIPE,
    STATE(14874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9140), 1,
      anon_sym_PIPE,
    STATE(14875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681407] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19463), 1,
      sym__lowercase_identifier,
    STATE(7080), 1,
      sym_class_path,
    STATE(14876), 1,
      sym_attribute,
    STATE(15473), 1,
      sym__attribute,
    STATE(18741), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681436] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19465), 1,
      anon_sym_RBRACE,
    STATE(14877), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8242), 1,
      anon_sym_PIPE,
    STATE(14878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8244), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681486] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    STATE(14879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19467), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [681513] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19469), 1,
      anon_sym_RBRACE,
    STATE(14880), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681542] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19471), 1,
      anon_sym_RBRACE,
    STATE(14881), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681571] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19473), 1,
      anon_sym_RBRACE,
    STATE(14882), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681600] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19475), 1,
      anon_sym_RBRACE,
    STATE(14883), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681629] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19477), 1,
      sym__lowercase_identifier,
    STATE(5158), 1,
      sym_class_path,
    STATE(14884), 1,
      sym_attribute,
    STATE(15283), 1,
      sym__attribute,
    STATE(18961), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12345), 1,
      anon_sym_COLON2,
    STATE(14885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [681679] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19479), 1,
      anon_sym_RBRACE,
    STATE(14886), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681708] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19481), 1,
      anon_sym_RBRACE,
    STATE(14887), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8080), 1,
      anon_sym_PIPE,
    STATE(14888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8082), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681758] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19483), 1,
      anon_sym_RBRACE,
    STATE(14889), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681787] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13058), 1,
      anon_sym_and,
    STATE(14821), 1,
      aux_sym_expression_item_repeat1,
    STATE(14890), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13056), 2,
      anon_sym_in,
      sym_let_and_operator,
  [681814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17596), 1,
      anon_sym_PIPE,
    STATE(14891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17594), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681835] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19485), 1,
      anon_sym_RBRACE,
    STATE(14892), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681864] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19487), 1,
      anon_sym_RBRACE,
    STATE(14893), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681893] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19489), 1,
      anon_sym_RBRACE,
    STATE(14894), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8328), 1,
      anon_sym_PIPE,
    STATE(14895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8330), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [681943] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19491), 1,
      sym__lowercase_identifier,
    STATE(3512), 1,
      sym_class_path,
    STATE(14896), 1,
      sym_attribute,
    STATE(15489), 1,
      sym__attribute,
    STATE(19835), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [681972] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19493), 1,
      anon_sym_RBRACE,
    STATE(14897), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682001] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9684), 1,
      anon_sym_PIPE,
    STATE(14898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9686), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682022] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9098), 1,
      anon_sym_PIPE,
    STATE(14899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682043] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19495), 1,
      anon_sym_RBRACE,
    STATE(14900), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682072] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19497), 1,
      anon_sym_RBRACE,
    STATE(14901), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682101] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19499), 1,
      anon_sym_RBRACE,
    STATE(14902), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682130] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19501), 1,
      anon_sym_RBRACE,
    STATE(14903), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682159] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19503), 1,
      anon_sym_RBRACE,
    STATE(14904), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682188] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19304), 1,
      anon_sym_and,
    STATE(14665), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(14905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12786), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [682211] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    STATE(14906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19505), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [682238] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19507), 1,
      anon_sym_RBRACE,
    STATE(14907), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682267] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19509), 1,
      sym__lowercase_identifier,
    STATE(6156), 1,
      sym_class_path,
    STATE(14908), 1,
      sym_attribute,
    STATE(15384), 1,
      sym__attribute,
    STATE(19115), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682296] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19511), 1,
      anon_sym_RBRACE,
    STATE(14909), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682325] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19513), 1,
      anon_sym_RBRACE,
    STATE(14910), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682354] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19515), 1,
      anon_sym_RBRACE,
    STATE(14911), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682383] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19517), 1,
      anon_sym_RBRACE,
    STATE(14912), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      anon_sym_PIPE,
    STATE(14913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9696), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682433] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19519), 1,
      anon_sym_RBRACE,
    STATE(14914), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682462] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19521), 1,
      anon_sym_RBRACE,
    STATE(14915), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682491] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19523), 1,
      anon_sym_RBRACE,
    STATE(14916), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682520] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19525), 1,
      anon_sym_RBRACE,
    STATE(14917), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682549] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19527), 1,
      anon_sym_RBRACE,
    STATE(14918), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682578] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19529), 1,
      anon_sym_RBRACE,
    STATE(14919), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682607] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19531), 1,
      anon_sym_RBRACE,
    STATE(14920), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17688), 1,
      anon_sym_PIPE,
    STATE(14921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17686), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682657] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19533), 1,
      anon_sym_RBRACE,
    STATE(14922), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682686] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19535), 1,
      anon_sym_RBRACE,
    STATE(14923), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9212), 1,
      anon_sym_PIPE,
    STATE(14924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682736] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19537), 1,
      anon_sym_RBRACE,
    STATE(14925), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682765] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19539), 1,
      anon_sym_RBRACE,
    STATE(14926), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9074), 1,
      anon_sym_PIPE,
    STATE(14927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682815] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19541), 1,
      anon_sym_RBRACE,
    STATE(14928), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682844] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9150), 1,
      anon_sym_COLON2,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    STATE(14929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 2,
      anon_sym_RPAREN,
      anon_sym_as,
  [682871] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17359), 1,
      anon_sym_PIPE,
    STATE(14930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17357), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682892] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8174), 1,
      anon_sym_PIPE,
    STATE(14931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8176), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9750), 1,
      anon_sym_PIPE,
    STATE(14932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9752), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17385), 1,
      anon_sym_PIPE,
    STATE(14933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17383), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [682955] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19543), 1,
      anon_sym_RBRACE,
    STATE(14934), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [682984] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    ACTIONS(18654), 1,
      anon_sym_PIPE,
    ACTIONS(18660), 1,
      anon_sym_COLON_COLON,
    STATE(14935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19427), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [683011] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19545), 1,
      anon_sym_RBRACE,
    STATE(14936), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683040] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19547), 1,
      anon_sym_RBRACE,
    STATE(14937), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683069] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19549), 1,
      anon_sym_RBRACE,
    STATE(14938), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683098] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19551), 1,
      anon_sym_RBRACE,
    STATE(14939), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683127] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19553), 1,
      anon_sym_RBRACE,
    STATE(14940), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683156] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(16638), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(14941), 1,
      sym_attribute,
    STATE(15751), 1,
      sym__attribute,
    STATE(18214), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683185] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19555), 1,
      anon_sym_RBRACE,
    STATE(14942), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683214] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19557), 1,
      anon_sym_RBRACE,
    STATE(14943), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683243] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19559), 1,
      anon_sym_RBRACE,
    STATE(14944), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683272] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19561), 1,
      anon_sym_RBRACE,
    STATE(14945), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683301] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19563), 1,
      sym__lowercase_identifier,
    STATE(3255), 1,
      sym_class_path,
    STATE(14946), 1,
      sym_attribute,
    STATE(15574), 1,
      sym__attribute,
    STATE(19872), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683330] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(16638), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(14947), 1,
      sym_attribute,
    STATE(15731), 1,
      sym__attribute,
    STATE(17755), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683359] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(14948), 1,
      sym_attribute,
    STATE(15908), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21322), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [683386] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19565), 1,
      anon_sym_RBRACE,
    STATE(14949), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683415] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19567), 1,
      anon_sym_RBRACE,
    STATE(14950), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17443), 1,
      anon_sym_PIPE,
    STATE(14951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17441), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [683465] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19569), 1,
      anon_sym_RBRACE,
    STATE(14952), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683494] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19571), 1,
      anon_sym_RBRACE,
    STATE(14953), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683523] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9126), 1,
      anon_sym_COLON2,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    STATE(14954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [683546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_PIPE,
    STATE(14955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [683567] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19573), 1,
      anon_sym_RBRACE,
    STATE(14956), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683596] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19575), 1,
      anon_sym_RBRACE,
    STATE(14957), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683625] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19577), 1,
      anon_sym_RBRACE,
    STATE(14958), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683654] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12938), 1,
      anon_sym_and,
    STATE(14800), 1,
      aux_sym_expression_item_repeat1,
    STATE(14959), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12936), 2,
      anon_sym_in,
      sym_let_and_operator,
  [683681] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(14960), 1,
      sym_attribute,
    STATE(15915), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21336), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [683708] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_COLON2,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    STATE(14961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [683733] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19579), 1,
      anon_sym_RBRACE,
    STATE(14962), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683762] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9134), 1,
      anon_sym_COLON2,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    STATE(14963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9136), 4,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [683785] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9126), 1,
      anon_sym_PIPE,
    ACTIONS(18628), 1,
      anon_sym_COLON_COLON,
    STATE(14964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9128), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [683808] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19581), 1,
      anon_sym_RBRACE,
    STATE(14965), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9204), 1,
      anon_sym_PIPE,
    STATE(14966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [683858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9192), 1,
      anon_sym_PIPE,
    STATE(14967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [683879] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19583), 1,
      anon_sym_RBRACE,
    STATE(14968), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683908] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19585), 1,
      anon_sym_RBRACE,
    STATE(14969), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [683937] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(14970), 1,
      sym_attribute,
    STATE(15921), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21345), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [683964] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9044), 1,
      anon_sym_PIPE,
    STATE(14971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9046), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [683985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9200), 1,
      anon_sym_PIPE,
    STATE(14972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684006] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19587), 1,
      anon_sym_RBRACE,
    STATE(14973), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684035] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9066), 1,
      anon_sym_PIPE,
    STATE(14974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9068), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17666), 1,
      anon_sym_PIPE,
    STATE(14975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17664), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684077] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19589), 1,
      anon_sym_RBRACE,
    STATE(14976), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684106] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19591), 1,
      anon_sym_RBRACE,
    STATE(14977), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684135] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19593), 1,
      anon_sym_RBRACE,
    STATE(14978), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9758), 1,
      anon_sym_PIPE,
    STATE(14979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9760), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684185] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19595), 1,
      anon_sym_RBRACE,
    STATE(14980), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684214] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19597), 1,
      anon_sym_RBRACE,
    STATE(14981), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684243] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9702), 1,
      anon_sym_PIPE,
    STATE(14982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9704), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684264] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9734), 1,
      anon_sym_PIPE,
    STATE(14983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9736), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684285] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19599), 1,
      anon_sym_RBRACE,
    STATE(14984), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684314] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19601), 1,
      sym__lowercase_identifier,
    STATE(4359), 1,
      sym_class_path,
    STATE(14985), 1,
      sym_attribute,
    STATE(15834), 1,
      sym__attribute,
    STATE(19484), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684343] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7667), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12670), 1,
      anon_sym_and,
    STATE(14787), 1,
      aux_sym_expression_item_repeat1,
    STATE(14986), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12668), 2,
      anon_sym_in,
      sym_let_and_operator,
  [684370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9746), 1,
      anon_sym_PIPE,
    STATE(14987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9748), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684391] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19603), 1,
      anon_sym_RBRACE,
    STATE(14988), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684420] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19605), 1,
      anon_sym_RBRACE,
    STATE(14989), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684449] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19607), 1,
      anon_sym_RBRACE,
    STATE(14990), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12341), 1,
      anon_sym_RPAREN,
    STATE(14991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11500), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [684499] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19609), 1,
      anon_sym_RBRACE,
    STATE(14992), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9180), 1,
      anon_sym_PIPE,
    STATE(14993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684549] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19611), 1,
      sym__lowercase_identifier,
    STATE(7204), 1,
      sym_class_path,
    STATE(14994), 1,
      sym_attribute,
    STATE(15790), 1,
      sym__attribute,
    STATE(18630), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684578] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19613), 1,
      anon_sym_RBRACE,
    STATE(14995), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684607] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19615), 1,
      anon_sym_RBRACE,
    STATE(14996), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684636] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19617), 1,
      anon_sym_RBRACE,
    STATE(14997), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684665] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19619), 1,
      anon_sym_RBRACE,
    STATE(14998), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684694] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19621), 1,
      anon_sym_RBRACE,
    STATE(14999), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684723] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19623), 1,
      anon_sym_RBRACE,
    STATE(15000), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684752] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19625), 1,
      anon_sym_RBRACE,
    STATE(15001), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684781] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19627), 1,
      anon_sym_RBRACE,
    STATE(15002), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684810] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19629), 1,
      anon_sym_RBRACE,
    STATE(15003), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684839] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19631), 1,
      anon_sym_RBRACE,
    STATE(15004), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_PIPE,
    STATE(15005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684889] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19633), 1,
      anon_sym_RBRACE,
    STATE(15006), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684918] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19635), 1,
      anon_sym_RBRACE,
    STATE(15007), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684947] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19637), 1,
      sym__lowercase_identifier,
    STATE(7484), 1,
      sym_class_path,
    STATE(15008), 1,
      sym_attribute,
    STATE(15254), 1,
      sym__attribute,
    STATE(18525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [684976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9742), 1,
      anon_sym_PIPE,
    STATE(15009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [684997] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19639), 1,
      sym__lowercase_identifier,
    STATE(6907), 1,
      sym_class_path,
    STATE(15010), 1,
      sym_attribute,
    STATE(15496), 1,
      sym__attribute,
    STATE(19156), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685026] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    ACTIONS(19641), 1,
      sym__lowercase_identifier,
    STATE(5793), 1,
      sym_class_path,
    STATE(15011), 1,
      sym_attribute,
    STATE(15330), 1,
      sym__attribute,
    STATE(19759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685055] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19643), 1,
      anon_sym_RBRACE,
    STATE(15012), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685084] = 9,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    ACTIONS(19645), 1,
      anon_sym_RBRACE,
    STATE(15013), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685113] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19647), 1,
      anon_sym_RPAREN,
    STATE(15014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685139] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19651), 1,
      anon_sym_SEMI,
    ACTIONS(19653), 1,
      anon_sym_GT_RBRACE,
    STATE(15015), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16399), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685165] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9238), 1,
      sym__uppercase_identifier,
    ACTIONS(19655), 1,
      anon_sym_LPAREN,
    STATE(14110), 1,
      sym__constructor_name,
    STATE(15016), 1,
      sym_attribute,
    STATE(18329), 1,
      sym_constructor_path,
    STATE(20466), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685191] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9238), 1,
      sym__uppercase_identifier,
    ACTIONS(19655), 1,
      anon_sym_LPAREN,
    STATE(14110), 1,
      sym__constructor_name,
    STATE(15017), 1,
      sym_attribute,
    STATE(17431), 1,
      sym_constructor_path,
    STATE(20466), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685217] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19657), 1,
      anon_sym_SEMI,
    ACTIONS(19659), 1,
      anon_sym_GT_RBRACE,
    STATE(15018), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16503), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685243] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15019), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13595), 2,
      anon_sym_and,
      anon_sym_in,
  [685267] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15020), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13603), 2,
      anon_sym_and,
      anon_sym_in,
  [685291] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19661), 1,
      anon_sym_SEMI,
    ACTIONS(19663), 1,
      anon_sym_GT_RBRACE,
    STATE(15021), 1,
      sym_attribute,
    STATE(16088), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685317] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11350), 1,
      sym__lowercase_identifier,
    ACTIONS(19665), 1,
      anon_sym_POUND,
    STATE(10692), 1,
      sym_type_constructor_path,
    STATE(15022), 1,
      sym_attribute,
    STATE(17791), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685343] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19667), 1,
      anon_sym_SEMI,
    ACTIONS(19669), 1,
      anon_sym_GT_RBRACE,
    STATE(15023), 1,
      sym_attribute,
    STATE(16114), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685369] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15024), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17170), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685395] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19671), 1,
      anon_sym_SEMI,
    ACTIONS(19673), 1,
      anon_sym_GT_RBRACE,
    STATE(15025), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16577), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685421] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19675), 1,
      anon_sym_SEMI,
    ACTIONS(19677), 1,
      anon_sym_GT_RBRACE,
    STATE(15026), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17201), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685447] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19679), 1,
      anon_sym_SEMI,
    ACTIONS(19681), 1,
      anon_sym_GT_RBRACE,
    STATE(15027), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17180), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685473] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15028), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16270), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685499] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19683), 1,
      anon_sym_SEMI,
    ACTIONS(19685), 1,
      anon_sym_GT_RBRACE,
    STATE(15029), 1,
      sym_attribute,
    STATE(16053), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19687), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19689), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [685561] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9238), 1,
      sym__uppercase_identifier,
    ACTIONS(19655), 1,
      anon_sym_LPAREN,
    STATE(14110), 1,
      sym__constructor_name,
    STATE(15032), 1,
      sym_attribute,
    STATE(17926), 1,
      sym_constructor_path,
    STATE(20466), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685587] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15033), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(18382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685613] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19691), 1,
      anon_sym_SEMI,
    ACTIONS(19693), 1,
      anon_sym_GT_RBRACE,
    STATE(15034), 1,
      sym_attribute,
    STATE(16174), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685639] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11274), 1,
      sym__lowercase_identifier,
    ACTIONS(19695), 1,
      anon_sym_POUND,
    STATE(9881), 1,
      sym_type_constructor_path,
    STATE(15035), 1,
      sym_attribute,
    STATE(17811), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685665] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15036), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(16090), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685691] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19697), 1,
      anon_sym_SEMI,
    ACTIONS(19699), 1,
      anon_sym_GT_RBRACE,
    STATE(15037), 1,
      sym_attribute,
    STATE(16333), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685717] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19701), 1,
      anon_sym_type,
    ACTIONS(19703), 1,
      anon_sym_module,
    STATE(15038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14604), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [685739] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19705), 1,
      anon_sym_SEMI,
    ACTIONS(19707), 1,
      anon_sym_GT_RBRACE,
    STATE(15039), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16532), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685765] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19709), 1,
      anon_sym_SEMI,
    ACTIONS(19711), 1,
      anon_sym_GT_RBRACE,
    STATE(15040), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16725), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685791] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19713), 1,
      anon_sym_RPAREN,
    STATE(15041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685817] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15042), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(16212), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685843] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19715), 1,
      anon_sym_SEMI,
    ACTIONS(19717), 1,
      anon_sym_GT_RBRACE,
    STATE(15043), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16742), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685869] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19719), 1,
      anon_sym_RPAREN,
    STATE(15044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685895] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15045), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16248), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685921] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19721), 1,
      anon_sym_SEMI,
    ACTIONS(19723), 1,
      anon_sym_GT_RBRACE,
    STATE(15046), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16946), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685947] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19725), 1,
      anon_sym_SEMI,
    ACTIONS(19727), 1,
      anon_sym_GT_RBRACE,
    STATE(15047), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17077), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685973] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    ACTIONS(19733), 1,
      anon_sym_RBRACK,
    STATE(15048), 1,
      sym_attribute,
    STATE(16027), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [685999] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19735), 1,
      anon_sym_RPAREN,
    STATE(15049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686025] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11374), 1,
      sym__lowercase_identifier,
    ACTIONS(19737), 1,
      anon_sym_POUND,
    STATE(11390), 1,
      sym_type_constructor_path,
    STATE(15050), 1,
      sym_attribute,
    STATE(17824), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686051] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19739), 1,
      anon_sym_RPAREN,
    STATE(15051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686077] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15052), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(16341), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686103] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19741), 1,
      anon_sym_SEMI,
    ACTIONS(19743), 1,
      anon_sym_GT_RBRACE,
    STATE(15053), 1,
      sym_attribute,
    STATE(15949), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686129] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19745), 1,
      anon_sym_SEMI,
    ACTIONS(19747), 1,
      anon_sym_GT_RBRACE,
    STATE(15054), 1,
      sym_attribute,
    STATE(16004), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686155] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    ACTIONS(19749), 1,
      anon_sym_RBRACK,
    STATE(15055), 1,
      sym_attribute,
    STATE(15973), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686181] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15056), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16597), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686207] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19183), 1,
      sym__lowercase_identifier,
    STATE(15057), 1,
      sym_attribute,
    STATE(15110), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(17451), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19187), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [686231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15058), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13543), 2,
      anon_sym_and,
      anon_sym_in,
  [686255] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15059), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13625), 2,
      anon_sym_and,
      anon_sym_in,
  [686279] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11226), 1,
      sym__lowercase_identifier,
    ACTIONS(19751), 1,
      anon_sym_POUND,
    STATE(10402), 1,
      sym_type_constructor_path,
    STATE(15060), 1,
      sym_attribute,
    STATE(17667), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686305] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9258), 1,
      sym__uppercase_identifier,
    ACTIONS(19753), 1,
      anon_sym_LPAREN,
    STATE(9287), 1,
      sym__constructor_name,
    STATE(11385), 1,
      sym_constructor_path,
    STATE(15061), 1,
      sym_attribute,
    STATE(21181), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686331] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19757), 1,
      anon_sym__,
    STATE(15031), 1,
      sym_type_variable,
    STATE(15062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19755), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [686355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19759), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686373] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12365), 1,
      sym__lowercase_identifier,
    ACTIONS(19761), 1,
      anon_sym_POUND,
    STATE(13931), 1,
      sym_type_constructor_path,
    STATE(15064), 1,
      sym_attribute,
    STATE(17835), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686399] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15065), 1,
      sym_attribute,
    STATE(15082), 1,
      sym_field_path,
    STATE(16052), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19763), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19765), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686461] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9258), 1,
      sym__uppercase_identifier,
    ACTIONS(19753), 1,
      anon_sym_LPAREN,
    STATE(9287), 1,
      sym__constructor_name,
    STATE(11397), 1,
      sym_constructor_path,
    STATE(15068), 1,
      sym_attribute,
    STATE(21181), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19767), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [686505] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11324), 1,
      sym__lowercase_identifier,
    ACTIONS(19769), 1,
      anon_sym_POUND,
    STATE(11173), 1,
      sym_type_constructor_path,
    STATE(15070), 1,
      sym_attribute,
    STATE(17576), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686531] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19771), 1,
      anon_sym_SEMI,
    ACTIONS(19773), 1,
      anon_sym_GT_RBRACE,
    STATE(15071), 1,
      sym_attribute,
    STATE(16262), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686557] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19775), 1,
      anon_sym_SEMI,
    ACTIONS(19777), 1,
      anon_sym_GT_RBRACE,
    STATE(15072), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16394), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686583] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15073), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13483), 2,
      anon_sym_and,
      anon_sym_in,
  [686607] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15074), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13483), 2,
      anon_sym_and,
      anon_sym_in,
  [686631] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15075), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13487), 2,
      anon_sym_and,
      anon_sym_in,
  [686655] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11232), 1,
      sym__lowercase_identifier,
    ACTIONS(19779), 1,
      anon_sym_POUND,
    STATE(11288), 1,
      sym_type_constructor_path,
    STATE(15076), 1,
      sym_attribute,
    STATE(17847), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686681] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9258), 1,
      sym__uppercase_identifier,
    ACTIONS(19753), 1,
      anon_sym_LPAREN,
    STATE(9287), 1,
      sym__constructor_name,
    STATE(11314), 1,
      sym_constructor_path,
    STATE(15077), 1,
      sym_attribute,
    STATE(21181), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686707] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    STATE(15078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13645), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [686729] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19785), 1,
      anon_sym_SEMI,
    ACTIONS(19787), 1,
      anon_sym_GT_RBRACE,
    STATE(15079), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16479), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686755] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15080), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13571), 2,
      anon_sym_and,
      anon_sym_in,
  [686779] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15081), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13571), 2,
      anon_sym_and,
      anon_sym_in,
  [686803] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19789), 1,
      anon_sym_EQ,
    ACTIONS(19791), 1,
      anon_sym_COLON2,
    STATE(15082), 1,
      sym_attribute,
    STATE(16068), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19793), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [686827] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15083), 1,
      sym_attribute,
    STATE(16785), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686853] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15084), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(17954), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686879] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19183), 1,
      sym__lowercase_identifier,
    STATE(12958), 1,
      sym__instance_variable_name,
    STATE(15085), 1,
      sym_attribute,
    STATE(15104), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19187), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [686903] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19183), 1,
      sym__lowercase_identifier,
    STATE(12958), 1,
      sym__instance_variable_name,
    STATE(15086), 1,
      sym_attribute,
    STATE(15437), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19187), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [686927] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11252), 1,
      sym__lowercase_identifier,
    ACTIONS(19795), 1,
      anon_sym_POUND,
    STATE(11357), 1,
      sym_type_constructor_path,
    STATE(15087), 1,
      sym_attribute,
    STATE(17859), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [686953] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19797), 1,
      anon_sym_type,
    ACTIONS(19799), 1,
      anon_sym_module,
    STATE(15088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14735), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [686975] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15089), 1,
      sym_attribute,
    STATE(15117), 1,
      sym_field_path,
    STATE(16424), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687001] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15090), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16456), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687027] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15091), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(18318), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687053] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19801), 1,
      anon_sym_SEMI,
    ACTIONS(19803), 1,
      anon_sym_GT_RBRACE,
    STATE(15092), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16822), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687079] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15093), 1,
      sym_attribute,
    STATE(16844), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687105] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19805), 1,
      anon_sym_RPAREN,
    STATE(15094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687131] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    ACTIONS(19807), 1,
      anon_sym_POUND,
    STATE(13535), 1,
      sym_type_constructor_path,
    STATE(15095), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687157] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19809), 1,
      anon_sym_RPAREN,
    STATE(15096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687183] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12429), 1,
      sym__lowercase_identifier,
    ACTIONS(19811), 1,
      anon_sym_POUND,
    STATE(10013), 1,
      sym_type_constructor_path,
    STATE(15097), 1,
      sym_attribute,
    STATE(17871), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687209] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19813), 1,
      anon_sym_EQ,
    ACTIONS(19815), 1,
      anon_sym_of,
    ACTIONS(19817), 1,
      anon_sym_COLON2,
    STATE(15098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13006), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [687233] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8216), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [687251] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19819), 1,
      anon_sym_EQ,
    ACTIONS(19821), 1,
      anon_sym_of,
    ACTIONS(19823), 1,
      anon_sym_COLON2,
    STATE(15100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13016), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [687275] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19825), 1,
      anon_sym_SEMI,
    ACTIONS(19827), 1,
      anon_sym_GT_RBRACE,
    STATE(15101), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17169), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687301] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11272), 1,
      sym__lowercase_identifier,
    ACTIONS(19829), 1,
      anon_sym_POUND,
    STATE(11563), 1,
      sym_type_constructor_path,
    STATE(15102), 1,
      sym_attribute,
    STATE(17682), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687327] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15103), 1,
      sym_attribute,
    STATE(16738), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687353] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19183), 1,
      sym__lowercase_identifier,
    STATE(12927), 1,
      sym__instance_variable_name,
    STATE(15104), 1,
      sym_attribute,
    STATE(15437), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19187), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [687377] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15105), 1,
      sym_attribute,
    STATE(16169), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687403] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11296), 1,
      sym__lowercase_identifier,
    ACTIONS(19831), 1,
      anon_sym_POUND,
    STATE(10747), 1,
      sym_type_constructor_path,
    STATE(15106), 1,
      sym_attribute,
    STATE(17883), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687429] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11270), 1,
      sym__lowercase_identifier,
    ACTIONS(19833), 1,
      anon_sym_POUND,
    STATE(9866), 1,
      sym_type_constructor_path,
    STATE(15107), 1,
      sym_attribute,
    STATE(17526), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687455] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19835), 1,
      anon_sym_SEMI,
    ACTIONS(19837), 1,
      anon_sym_GT_RBRACE,
    STATE(15108), 1,
      sym_attribute,
    STATE(16049), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687481] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    ACTIONS(19839), 1,
      anon_sym_POUND,
    STATE(14021), 1,
      sym_type_constructor_path,
    STATE(15109), 1,
      sym_attribute,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687507] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19183), 1,
      sym__lowercase_identifier,
    STATE(15110), 1,
      sym_attribute,
    STATE(15437), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(18323), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19187), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [687531] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19841), 1,
      anon_sym_SEMI,
    ACTIONS(19843), 1,
      anon_sym_GT_RBRACE,
    STATE(15111), 1,
      sym_attribute,
    STATE(16014), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687557] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15112), 1,
      sym_attribute,
    STATE(16556), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687583] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15113), 1,
      sym_attribute,
    STATE(16933), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687609] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12417), 1,
      sym__lowercase_identifier,
    ACTIONS(19845), 1,
      anon_sym_POUND,
    STATE(13317), 1,
      sym_type_constructor_path,
    STATE(15114), 1,
      sym_attribute,
    STATE(17896), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687635] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15115), 1,
      sym_attribute,
    STATE(16553), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687661] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19847), 1,
      anon_sym_SEMI,
    ACTIONS(19849), 1,
      anon_sym_GT_RBRACE,
    STATE(15116), 1,
      sym_attribute,
    STATE(16116), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687687] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19791), 1,
      anon_sym_COLON2,
    ACTIONS(19851), 1,
      anon_sym_EQ,
    STATE(15117), 1,
      sym_attribute,
    STATE(17049), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19853), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [687711] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15118), 1,
      sym_attribute,
    STATE(16107), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687737] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19855), 1,
      anon_sym_SEMI,
    ACTIONS(19857), 1,
      anon_sym_GT_RBRACE,
    STATE(15119), 1,
      sym_attribute,
    STATE(16321), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687763] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15120), 1,
      sym_attribute,
    STATE(16936), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687789] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15117), 1,
      sym_field_path,
    STATE(15121), 1,
      sym_attribute,
    STATE(16064), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687815] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19859), 1,
      sym__lowercase_identifier,
    ACTIONS(19863), 1,
      anon_sym_BANG,
    STATE(15122), 1,
      sym_attribute,
    STATE(15372), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19861), 2,
      anon_sym_private,
      anon_sym_virtual,
  [687839] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15123), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16071), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687865] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12415), 1,
      sym__lowercase_identifier,
    ACTIONS(19865), 1,
      anon_sym_POUND,
    STATE(10071), 1,
      sym_type_constructor_path,
    STATE(15124), 1,
      sym_attribute,
    STATE(17910), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687891] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15125), 1,
      sym_attribute,
    STATE(16050), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687917] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    ACTIONS(19867), 1,
      anon_sym_POUND,
    STATE(14322), 1,
      sym_type_constructor_path,
    STATE(15126), 1,
      sym_attribute,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [687943] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15127), 1,
      sym_attribute,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12057), 2,
      anon_sym_and,
      anon_sym_in,
  [687967] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8144), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    STATE(15128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8146), 3,
      anon_sym_COMMA,
      anon_sym_with,
      sym_hash_operator,
  [687989] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19871), 1,
      anon_sym_RPAREN,
    STATE(15129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688015] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15130), 1,
      sym_attribute,
    STATE(16305), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688041] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19873), 1,
      anon_sym_SEMI,
    ACTIONS(19875), 1,
      anon_sym_GT_RBRACE,
    STATE(15131), 1,
      sym_attribute,
    STATE(16240), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688067] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15132), 1,
      sym_attribute,
    STATE(16579), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688093] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15133), 1,
      sym_attribute,
    STATE(16934), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688119] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19877), 1,
      sym__lowercase_identifier,
    ACTIONS(19879), 1,
      anon_sym_LPAREN,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(13163), 1,
      sym__value_name,
    STATE(15134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688145] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15135), 1,
      sym_attribute,
    STATE(17206), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688171] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    STATE(15136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13641), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [688193] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15137), 1,
      sym_attribute,
    STATE(16033), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688219] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12357), 1,
      sym__lowercase_identifier,
    ACTIONS(19883), 1,
      anon_sym_POUND,
    STATE(9379), 1,
      sym_type_constructor_path,
    STATE(15138), 1,
      sym_attribute,
    STATE(17922), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688245] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12411), 1,
      sym__lowercase_identifier,
    ACTIONS(19885), 1,
      anon_sym_POUND,
    STATE(12512), 1,
      sym_type_constructor_path,
    STATE(15139), 1,
      sym_attribute,
    STATE(17739), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688271] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15140), 1,
      sym_attribute,
    STATE(16147), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688297] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19797), 1,
      anon_sym_type,
    ACTIONS(19799), 1,
      anon_sym_module,
    STATE(15141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10123), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [688319] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15142), 1,
      sym_attribute,
    STATE(16264), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688345] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19260), 1,
      anon_sym_AMP,
    STATE(15143), 1,
      sym_attribute,
    STATE(15146), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19887), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [688367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    STATE(15144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19889), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [688387] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19891), 1,
      anon_sym_SEMI,
    ACTIONS(19893), 1,
      anon_sym_GT_RBRACE,
    STATE(15145), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16489), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19895), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15146), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(19889), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [688433] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19898), 1,
      anon_sym_SEMI,
    ACTIONS(19900), 1,
      anon_sym_GT_RBRACE,
    STATE(15147), 1,
      sym_attribute,
    STATE(16352), 1,
      sym_instance_variable_expression,
    STATE(16362), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688459] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15148), 1,
      sym_attribute,
    STATE(16382), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688485] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15149), 1,
      sym_attribute,
    STATE(16474), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688511] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15150), 1,
      sym_attribute,
    STATE(16574), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688537] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    STATE(15151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13633), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [688559] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19902), 1,
      anon_sym_SEMI,
    ACTIONS(19904), 1,
      anon_sym_GT_RBRACE,
    STATE(15152), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16443), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688585] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15153), 1,
      sym_attribute,
    STATE(16732), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688611] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12423), 1,
      sym__lowercase_identifier,
    ACTIONS(19906), 1,
      anon_sym_POUND,
    STATE(13623), 1,
      sym_type_constructor_path,
    STATE(15154), 1,
      sym_attribute,
    STATE(17936), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688637] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15155), 1,
      sym_attribute,
    STATE(16784), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688663] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15156), 1,
      sym_attribute,
    STATE(16826), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688689] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19908), 1,
      anon_sym_SEMI,
    ACTIONS(19910), 1,
      anon_sym_GT_RBRACE,
    STATE(15157), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16446), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688715] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15158), 1,
      sym_attribute,
    STATE(16895), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688741] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15159), 1,
      sym_attribute,
    STATE(16996), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688767] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    STATE(15160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13637), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [688789] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15161), 1,
      sym_attribute,
    STATE(17083), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688815] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15162), 1,
      sym_attribute,
    STATE(17207), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688841] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15163), 1,
      sym_attribute,
    STATE(16442), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688867] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19912), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12265), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15164), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [688889] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15165), 1,
      sym_attribute,
    STATE(17158), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688915] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12298), 1,
      sym__lowercase_identifier,
    ACTIONS(19915), 1,
      anon_sym_POUND,
    STATE(9672), 1,
      sym_type_constructor_path,
    STATE(15166), 1,
      sym_attribute,
    STATE(17950), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688941] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15167), 1,
      sym_attribute,
    STATE(16276), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688967] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15168), 1,
      sym_attribute,
    STATE(16850), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [688993] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15169), 1,
      sym_attribute,
    STATE(15943), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689019] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19917), 1,
      anon_sym_SEMI,
    ACTIONS(19919), 1,
      anon_sym_GT_RBRACE,
    STATE(15170), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16546), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689045] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15117), 1,
      sym_field_path,
    STATE(15171), 1,
      sym_attribute,
    STATE(16473), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689071] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15172), 1,
      sym_attribute,
    STATE(16102), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689097] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15173), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16485), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689123] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15174), 1,
      sym_attribute,
    STATE(16198), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689149] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15175), 1,
      sym_attribute,
    STATE(16396), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689175] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19921), 1,
      anon_sym_SEMI,
    ACTIONS(19923), 1,
      anon_sym_GT_RBRACE,
    STATE(15176), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16997), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689201] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15177), 1,
      sym_attribute,
    STATE(16591), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689227] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15178), 1,
      sym_attribute,
    STATE(16803), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689253] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19925), 1,
      anon_sym_RPAREN,
    STATE(15179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689279] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15180), 1,
      sym_attribute,
    STATE(17013), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689305] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19927), 1,
      anon_sym_RPAREN,
    STATE(15181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689331] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(19929), 1,
      anon_sym_LPAREN,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(11385), 1,
      sym_constructor_path,
    STATE(15182), 1,
      sym_attribute,
    STATE(19252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689357] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(19929), 1,
      anon_sym_LPAREN,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(11397), 1,
      sym_constructor_path,
    STATE(15183), 1,
      sym_attribute,
    STATE(19252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689383] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15184), 1,
      sym_attribute,
    STATE(17172), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689409] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19931), 1,
      anon_sym_SEMI,
    ACTIONS(19933), 1,
      anon_sym_GT_RBRACE,
    STATE(15185), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16650), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689435] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15082), 1,
      sym_field_path,
    STATE(15186), 1,
      sym_attribute,
    STATE(15962), 1,
      sym_field_expression,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689461] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11250), 1,
      sym__lowercase_identifier,
    ACTIONS(19935), 1,
      anon_sym_POUND,
    STATE(10236), 1,
      sym_type_constructor_path,
    STATE(15187), 1,
      sym_attribute,
    STATE(17758), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689487] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19937), 1,
      anon_sym_type,
    ACTIONS(19939), 1,
      anon_sym_module,
    STATE(15188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10123), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [689509] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19260), 1,
      anon_sym_AMP,
    STATE(15146), 1,
      aux_sym_tag_specification_repeat1,
    STATE(15189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19391), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [689531] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15117), 1,
      sym_field_path,
    STATE(15190), 1,
      sym_attribute,
    STATE(16535), 1,
      sym_field_binding_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689557] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19941), 1,
      anon_sym_SEMI,
    ACTIONS(19943), 1,
      anon_sym_GT_RBRACE,
    STATE(15191), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16769), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689583] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15192), 1,
      sym_attribute,
    STATE(15198), 1,
      sym_field_path,
    STATE(16561), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689609] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19945), 1,
      anon_sym_type,
    ACTIONS(19947), 1,
      anon_sym_module,
    STATE(15193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10123), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [689631] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19949), 1,
      anon_sym_RPAREN,
    STATE(15194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689657] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8034), 1,
      sym__uppercase_identifier,
    ACTIONS(19929), 1,
      anon_sym_LPAREN,
    STATE(7391), 1,
      sym__constructor_name,
    STATE(11314), 1,
      sym_constructor_path,
    STATE(15195), 1,
      sym_attribute,
    STATE(19252), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689683] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19951), 1,
      anon_sym_SEMI,
    ACTIONS(19953), 1,
      anon_sym_GT_RBRACE,
    STATE(15196), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16827), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689709] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19955), 1,
      anon_sym_SEMI,
    ACTIONS(19957), 1,
      anon_sym_GT_RBRACE,
    STATE(15197), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16814), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689735] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19791), 1,
      anon_sym_COLON2,
    ACTIONS(19959), 1,
      anon_sym_EQ,
    STATE(15198), 1,
      sym_attribute,
    STATE(16948), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19961), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [689759] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19963), 1,
      anon_sym_type,
    ACTIONS(19965), 1,
      anon_sym_module,
    STATE(15199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10123), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [689781] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19967), 1,
      anon_sym_type,
    ACTIONS(19969), 1,
      anon_sym_module,
    STATE(15200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10123), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [689803] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19971), 1,
      anon_sym_SEMI,
    ACTIONS(19973), 1,
      anon_sym_GT_RBRACE,
    STATE(15201), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16869), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689829] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_PIPE,
    ACTIONS(18592), 1,
      anon_sym_as,
    ACTIONS(18594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19975), 1,
      anon_sym_RPAREN,
    STATE(15202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689855] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19977), 1,
      anon_sym_RPAREN,
    STATE(15203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689881] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(17877), 1,
      sym__lowercase_identifier,
    STATE(15198), 1,
      sym_field_path,
    STATE(15204), 1,
      sym_attribute,
    STATE(16848), 1,
      sym_field_pattern,
    STATE(20428), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689907] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19979), 1,
      anon_sym_SEMI,
    ACTIONS(19981), 1,
      anon_sym_GT_RBRACE,
    STATE(15205), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16964), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689933] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19983), 1,
      anon_sym_RPAREN,
    STATE(15206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689959] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19985), 1,
      anon_sym_SEMI,
    ACTIONS(19987), 1,
      anon_sym_GT_RBRACE,
    STATE(15207), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17051), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [689985] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11348), 1,
      sym__lowercase_identifier,
    ACTIONS(19989), 1,
      anon_sym_POUND,
    STATE(11558), 1,
      sym_type_constructor_path,
    STATE(15208), 1,
      sym_attribute,
    STATE(17773), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690011] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19701), 1,
      anon_sym_type,
    ACTIONS(19703), 1,
      anon_sym_module,
    STATE(15209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14288), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [690033] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19937), 1,
      anon_sym_type,
    ACTIONS(19939), 1,
      anon_sym_module,
    STATE(15210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11752), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [690055] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19945), 1,
      anon_sym_type,
    ACTIONS(19947), 1,
      anon_sym_module,
    STATE(15211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11753), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [690077] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19963), 1,
      anon_sym_type,
    ACTIONS(19965), 1,
      anon_sym_module,
    STATE(15212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11033), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [690099] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19967), 1,
      anon_sym_type,
    ACTIONS(19969), 1,
      anon_sym_module,
    STATE(15213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11039), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [690121] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19991), 1,
      anon_sym_SEMI,
    ACTIONS(19993), 1,
      anon_sym_GT_RBRACE,
    STATE(15214), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17171), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690147] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19995), 1,
      anon_sym_RPAREN,
    STATE(15215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690173] = 8,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(19997), 1,
      anon_sym_SEMI,
    ACTIONS(19999), 1,
      anon_sym_GT_RBRACE,
    STATE(15216), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16393), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690199] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20001), 1,
      anon_sym_EQ,
    ACTIONS(20003), 1,
      anon_sym_of,
    ACTIONS(20005), 1,
      anon_sym_COLON2,
    STATE(15217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12646), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [690223] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20007), 1,
      anon_sym_RBRACK,
    STATE(15218), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690246] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20009), 1,
      sym__lowercase_identifier,
    STATE(11554), 1,
      sym_class_type_path,
    STATE(15219), 1,
      sym_attribute,
    STATE(17491), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690269] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20011), 1,
      anon_sym_DOT,
    STATE(15220), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    STATE(15221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17212), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [690311] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15222), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20013), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [690332] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20009), 1,
      sym__lowercase_identifier,
    STATE(11600), 1,
      sym_class_type_path,
    STATE(15223), 1,
      sym_attribute,
    STATE(17491), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690355] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20015), 1,
      sym__lowercase_identifier,
    STATE(11504), 1,
      sym_class_type_path,
    STATE(15224), 1,
      sym_attribute,
    STATE(17575), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690378] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20017), 1,
      sym__lowercase_identifier,
    STATE(12462), 1,
      sym_class_type_path,
    STATE(15225), 1,
      sym_attribute,
    STATE(17524), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690401] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20019), 1,
      anon_sym_COLON_GT,
    ACTIONS(20021), 1,
      anon_sym_RPAREN,
    STATE(15226), 1,
      sym_attribute,
    STATE(17555), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690424] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20017), 1,
      sym__lowercase_identifier,
    STATE(12511), 1,
      sym_class_type_path,
    STATE(15227), 1,
      sym_attribute,
    STATE(17524), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690447] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20017), 1,
      sym__lowercase_identifier,
    STATE(12540), 1,
      sym_class_type_path,
    STATE(15228), 1,
      sym_attribute,
    STATE(17524), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690470] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19459), 1,
      sym__lowercase_identifier,
    STATE(6047), 1,
      sym_class_path,
    STATE(15229), 1,
      sym_attribute,
    STATE(18906), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690493] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20023), 1,
      sym__lowercase_identifier,
    STATE(11239), 1,
      sym_class_type_path,
    STATE(15230), 1,
      sym_attribute,
    STATE(17697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690516] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20025), 1,
      anon_sym_RPAREN,
    STATE(15231), 1,
      sym_attribute,
    STATE(17008), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690539] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20023), 1,
      sym__lowercase_identifier,
    STATE(11352), 1,
      sym_class_type_path,
    STATE(15232), 1,
      sym_attribute,
    STATE(17697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690562] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20023), 1,
      sym__lowercase_identifier,
    STATE(11426), 1,
      sym_class_type_path,
    STATE(15233), 1,
      sym_attribute,
    STATE(17697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690585] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9933), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20029), 1,
      anon_sym_GT,
    STATE(15234), 1,
      sym_attribute,
    STATE(15267), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690608] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    ACTIONS(20031), 1,
      sym__lowercase_identifier,
    STATE(14134), 1,
      sym__value_name,
    STATE(14535), 1,
      sym_parenthesized_operator,
    STATE(15235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690631] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20033), 1,
      anon_sym_RBRACK,
    ACTIONS(20035), 1,
      anon_sym_GT,
    STATE(15236), 1,
      sym_attribute,
    STATE(15436), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690654] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20033), 1,
      anon_sym_RBRACK,
    ACTIONS(20035), 1,
      anon_sym_GT,
    STATE(15237), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690677] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20037), 1,
      sym__lowercase_identifier,
    STATE(15238), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(18501), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690700] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20039), 1,
      anon_sym_DOT,
    STATE(15239), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690723] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20041), 1,
      anon_sym_DOT,
    STATE(15240), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690746] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(15241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13780), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [690767] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20043), 1,
      anon_sym_RBRACK,
    STATE(15242), 1,
      sym_attribute,
    STATE(16189), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690790] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20045), 1,
      anon_sym_GT_RBRACE,
    STATE(15243), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690813] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19373), 1,
      sym__lowercase_identifier,
    STATE(8684), 1,
      sym_class_path,
    STATE(15244), 1,
      sym_attribute,
    STATE(19150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690836] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(15245), 1,
      sym_attribute,
    STATE(15940), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690859] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(20047), 1,
      sym__lowercase_identifier,
    STATE(15246), 1,
      sym_attribute,
    STATE(17607), 1,
      sym_extended_module_path,
    STATE(17695), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690882] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20049), 1,
      sym__lowercase_identifier,
    STATE(11338), 1,
      sym_class_type_path,
    STATE(15247), 1,
      sym_attribute,
    STATE(17649), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690905] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20051), 1,
      anon_sym_DOT,
    STATE(15248), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690928] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20053), 1,
      anon_sym_RPAREN,
    STATE(15249), 1,
      sym_attribute,
    STATE(16228), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690951] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18961), 1,
      sym__lowercase_identifier,
    ACTIONS(18963), 1,
      anon_sym_LBRACK,
    ACTIONS(18965), 1,
      anon_sym_virtual,
    STATE(12596), 1,
      sym_class_binding,
    STATE(15250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690974] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9999), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20055), 1,
      anon_sym_GT,
    STATE(15251), 1,
      sym_attribute,
    STATE(15257), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [690997] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20057), 1,
      anon_sym_GT_RBRACE,
    STATE(15252), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691020] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20059), 1,
      anon_sym_GT_RBRACE,
    STATE(15253), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691043] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19637), 1,
      sym__lowercase_identifier,
    STATE(7316), 1,
      sym_class_path,
    STATE(15254), 1,
      sym_attribute,
    STATE(18525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691066] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(20061), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691089] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20063), 1,
      anon_sym_RBRACK,
    ACTIONS(20065), 1,
      anon_sym_GT,
    STATE(15256), 1,
      sym_attribute,
    STATE(15263), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691112] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20063), 1,
      anon_sym_RBRACK,
    ACTIONS(20065), 1,
      anon_sym_GT,
    STATE(15257), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691135] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20067), 1,
      sym__lowercase_identifier,
    STATE(14599), 1,
      sym_class_type_path,
    STATE(15258), 1,
      sym_attribute,
    STATE(17411), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691158] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20069), 1,
      sym__lowercase_identifier,
    STATE(5802), 1,
      sym_type_constructor_path,
    STATE(15259), 1,
      sym_attribute,
    STATE(17716), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691181] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20071), 1,
      anon_sym_RPAREN,
    STATE(15260), 1,
      sym_attribute,
    STATE(16308), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691204] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20073), 1,
      anon_sym_COLON_GT,
    ACTIONS(20075), 1,
      anon_sym_RPAREN,
    STATE(15261), 1,
      sym_attribute,
    STATE(18336), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691227] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9945), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20077), 1,
      anon_sym_GT,
    STATE(15262), 1,
      sym_attribute,
    STATE(15273), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691250] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20079), 1,
      anon_sym_RBRACK,
    ACTIONS(20081), 1,
      anon_sym_GT,
    STATE(15263), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691273] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20079), 1,
      anon_sym_RBRACK,
    STATE(15264), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691296] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20083), 1,
      anon_sym_with,
    ACTIONS(20085), 1,
      sym_hash_operator,
    STATE(15265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691319] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20087), 1,
      anon_sym_RBRACK,
    ACTIONS(20089), 1,
      anon_sym_GT,
    STATE(15266), 1,
      sym_attribute,
    STATE(15309), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691342] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20087), 1,
      anon_sym_RBRACK,
    ACTIONS(20089), 1,
      anon_sym_GT,
    STATE(15267), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691365] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19417), 1,
      sym__lowercase_identifier,
    STATE(6325), 1,
      sym_class_path,
    STATE(15268), 1,
      sym_attribute,
    STATE(19721), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691388] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20091), 1,
      sym__lowercase_identifier,
    STATE(9171), 1,
      sym_type_constructor_path,
    STATE(15269), 1,
      sym_attribute,
    STATE(17623), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691411] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20093), 1,
      anon_sym_GT_RBRACE,
    STATE(15270), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691434] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20095), 1,
      anon_sym_RBRACK,
    STATE(15271), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691457] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20097), 1,
      anon_sym_RBRACK,
    ACTIONS(20099), 1,
      anon_sym_GT,
    STATE(15272), 1,
      sym_attribute,
    STATE(15295), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691480] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20097), 1,
      anon_sym_RBRACK,
    ACTIONS(20099), 1,
      anon_sym_GT,
    STATE(15273), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12549), 1,
      anon_sym_and,
    STATE(15274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12547), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [691522] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20101), 1,
      anon_sym_GT_RBRACE,
    STATE(15275), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691545] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20103), 1,
      anon_sym_RBRACK,
    STATE(15276), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691568] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19411), 1,
      sym__lowercase_identifier,
    STATE(7363), 1,
      sym_class_path,
    STATE(15277), 1,
      sym_attribute,
    STATE(19027), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691591] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20105), 1,
      sym__lowercase_identifier,
    STATE(9236), 1,
      sym_type_constructor_path,
    STATE(15278), 1,
      sym_attribute,
    STATE(17412), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691614] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20107), 1,
      sym__lowercase_identifier,
    STATE(11172), 1,
      sym_class_type_path,
    STATE(15279), 1,
      sym_attribute,
    STATE(17279), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691637] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19451), 1,
      sym__lowercase_identifier,
    ACTIONS(19453), 1,
      anon_sym_LBRACK,
    ACTIONS(19455), 1,
      anon_sym_virtual,
    STATE(12321), 1,
      sym_class_type_binding,
    STATE(15280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691660] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20109), 1,
      sym__lowercase_identifier,
    STATE(10413), 1,
      sym_class_type_path,
    STATE(15281), 1,
      sym_attribute,
    STATE(18283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20113), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20111), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(15282), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [691702] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19477), 1,
      sym__lowercase_identifier,
    STATE(5196), 1,
      sym_class_path,
    STATE(15283), 1,
      sym_attribute,
    STATE(18961), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691725] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20116), 1,
      sym__lowercase_identifier,
    STATE(9961), 1,
      sym_class_type_path,
    STATE(15284), 1,
      sym_attribute,
    STATE(17715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691748] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20116), 1,
      sym__lowercase_identifier,
    STATE(10011), 1,
      sym_class_type_path,
    STATE(15285), 1,
      sym_attribute,
    STATE(17715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691771] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20116), 1,
      sym__lowercase_identifier,
    STATE(10051), 1,
      sym_class_type_path,
    STATE(15286), 1,
      sym_attribute,
    STATE(17715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691794] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20118), 1,
      anon_sym_COLON_GT,
    ACTIONS(20120), 1,
      anon_sym_RPAREN,
    STATE(15287), 1,
      sym_attribute,
    STATE(18436), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691817] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20122), 1,
      aux_sym_attribute_id_token1,
    STATE(15288), 1,
      sym_attribute,
    STATE(15297), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8705), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [691838] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(11276), 1,
      sym__lowercase_identifier,
    STATE(14679), 1,
      sym_type_constructor_path,
    STATE(15289), 1,
      sym_attribute,
    STATE(17358), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691861] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20124), 1,
      anon_sym_COLON_GT,
    ACTIONS(20126), 1,
      anon_sym_RPAREN,
    STATE(15290), 1,
      sym_attribute,
    STATE(18066), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691884] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20128), 1,
      sym__lowercase_identifier,
    STATE(13991), 1,
      sym_class_type_path,
    STATE(15291), 1,
      sym_attribute,
    STATE(18151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691907] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20130), 1,
      sym__lowercase_identifier,
    STATE(13946), 1,
      sym_class_type_path,
    STATE(15292), 1,
      sym_attribute,
    STATE(17666), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691930] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20132), 1,
      anon_sym_RPAREN,
    STATE(15293), 1,
      sym_attribute,
    STATE(16433), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691953] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9866), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20134), 1,
      anon_sym_GT,
    STATE(15294), 1,
      sym_attribute,
    STATE(15300), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691976] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20136), 1,
      anon_sym_RBRACK,
    ACTIONS(20138), 1,
      anon_sym_GT,
    STATE(15295), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [691999] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20136), 1,
      anon_sym_RBRACK,
    STATE(15296), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692022] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20122), 1,
      aux_sym_attribute_id_token1,
    STATE(15297), 1,
      sym_attribute,
    STATE(15350), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8684), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [692043] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20140), 1,
      anon_sym_COLON_GT,
    ACTIONS(20142), 1,
      anon_sym_RPAREN,
    STATE(15298), 1,
      sym_attribute,
    STATE(18249), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692066] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20144), 1,
      anon_sym_RBRACK,
    ACTIONS(20146), 1,
      anon_sym_GT,
    STATE(15299), 1,
      sym_attribute,
    STATE(15306), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692089] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20144), 1,
      anon_sym_RBRACK,
    ACTIONS(20146), 1,
      anon_sym_GT,
    STATE(15300), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692112] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20148), 1,
      anon_sym_COLON_GT,
    ACTIONS(20150), 1,
      anon_sym_RPAREN,
    STATE(15301), 1,
      sym_attribute,
    STATE(18455), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692135] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18945), 1,
      sym__lowercase_identifier,
    ACTIONS(18947), 1,
      anon_sym_LBRACK,
    ACTIONS(18949), 1,
      anon_sym_virtual,
    STATE(12382), 1,
      sym_class_binding,
    STATE(15302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692158] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20152), 1,
      anon_sym_GT_RBRACE,
    STATE(15303), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692181] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19177), 1,
      sym__lowercase_identifier,
    STATE(6986), 1,
      sym_class_path,
    STATE(15304), 1,
      sym_attribute,
    STATE(19497), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692204] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20154), 1,
      sym__lowercase_identifier,
    STATE(15305), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(21230), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692227] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20156), 1,
      anon_sym_RBRACK,
    ACTIONS(20158), 1,
      anon_sym_GT,
    STATE(15306), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692250] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20156), 1,
      anon_sym_RBRACK,
    STATE(15307), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692273] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20160), 1,
      anon_sym_DOT,
    STATE(15308), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692296] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20162), 1,
      anon_sym_RBRACK,
    ACTIONS(20164), 1,
      anon_sym_GT,
    STATE(15309), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692319] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20166), 1,
      anon_sym_DOT,
    STATE(15310), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692342] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15311), 1,
      sym_attribute,
    STATE(17233), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20168), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [692363] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18961), 1,
      sym__lowercase_identifier,
    ACTIONS(18963), 1,
      anon_sym_LBRACK,
    ACTIONS(18965), 1,
      anon_sym_virtual,
    STATE(12382), 1,
      sym_class_binding,
    STATE(15312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692386] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20109), 1,
      sym__lowercase_identifier,
    STATE(10510), 1,
      sym_class_type_path,
    STATE(15313), 1,
      sym_attribute,
    STATE(18283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692409] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(20170), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692432] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20172), 1,
      anon_sym_GT_RBRACE,
    STATE(15315), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692455] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20174), 1,
      anon_sym_GT_RBRACE,
    STATE(15316), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692478] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20176), 1,
      anon_sym_RBRACK,
    STATE(15317), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692501] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20178), 1,
      anon_sym_DOT,
    STATE(15318), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692524] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20180), 1,
      anon_sym_DOT,
    STATE(15319), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692547] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20182), 1,
      anon_sym_RBRACK,
    STATE(15320), 1,
      sym_attribute,
    STATE(16590), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692570] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20184), 1,
      sym__lowercase_identifier,
    STATE(10316), 1,
      sym_class_type_path,
    STATE(15321), 1,
      sym_attribute,
    STATE(17455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692593] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20162), 1,
      anon_sym_RBRACK,
    STATE(15322), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692616] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20186), 1,
      anon_sym_DOT,
    STATE(15323), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692639] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20188), 1,
      anon_sym_DOT,
    STATE(15324), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692662] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20190), 1,
      anon_sym_GT_RBRACE,
    STATE(15325), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692685] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20192), 1,
      anon_sym_RBRACK,
    STATE(15326), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692708] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20194), 1,
      anon_sym_GT_RBRACE,
    STATE(15327), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692731] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20067), 1,
      sym__lowercase_identifier,
    STATE(14429), 1,
      sym_class_type_path,
    STATE(15328), 1,
      sym_attribute,
    STATE(17411), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692754] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20196), 1,
      anon_sym_RBRACK,
    STATE(15329), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692777] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19641), 1,
      sym__lowercase_identifier,
    STATE(5799), 1,
      sym_class_path,
    STATE(15330), 1,
      sym_attribute,
    STATE(19759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692800] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20198), 1,
      anon_sym_as,
    STATE(15331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17212), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [692819] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19300), 1,
      sym__lowercase_identifier,
    STATE(5477), 1,
      sym_class_path,
    STATE(15332), 1,
      sym_attribute,
    STATE(19016), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692842] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20200), 1,
      sym__lowercase_identifier,
    STATE(10628), 1,
      sym_class_type_path,
    STATE(15333), 1,
      sym_attribute,
    STATE(17738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692865] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20200), 1,
      sym__lowercase_identifier,
    STATE(10744), 1,
      sym_class_type_path,
    STATE(15334), 1,
      sym_attribute,
    STATE(17738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692888] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20200), 1,
      sym__lowercase_identifier,
    STATE(10713), 1,
      sym_class_type_path,
    STATE(15335), 1,
      sym_attribute,
    STATE(17738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692911] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20202), 1,
      anon_sym_COLON_GT,
    ACTIONS(20204), 1,
      anon_sym_RPAREN,
    STATE(15336), 1,
      sym_attribute,
    STATE(17269), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692934] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14062), 1,
      anon_sym_in,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15337), 1,
      sym_attribute,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692957] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20184), 1,
      sym__lowercase_identifier,
    STATE(10400), 1,
      sym_class_type_path,
    STATE(15338), 1,
      sym_attribute,
    STATE(17455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [692980] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20206), 1,
      anon_sym_RPAREN,
    STATE(15339), 1,
      sym_attribute,
    STATE(16307), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20208), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12217), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(15340), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [693022] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20109), 1,
      sym__lowercase_identifier,
    STATE(13534), 1,
      sym_class_type_path,
    STATE(15341), 1,
      sym_attribute,
    STATE(18283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693045] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19189), 1,
      sym__lowercase_identifier,
    STATE(6092), 1,
      sym_class_path,
    STATE(15342), 1,
      sym_attribute,
    STATE(19604), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693068] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20109), 1,
      sym__lowercase_identifier,
    STATE(13433), 1,
      sym_class_type_path,
    STATE(15343), 1,
      sym_attribute,
    STATE(18283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693091] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20211), 1,
      sym__lowercase_identifier,
    STATE(11196), 1,
      sym_class_type_path,
    STATE(15344), 1,
      sym_attribute,
    STATE(17681), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693114] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20213), 1,
      anon_sym_RPAREN,
    STATE(15345), 1,
      sym_attribute,
    STATE(16780), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693137] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    STATE(15346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20215), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [693156] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10007), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20217), 1,
      anon_sym_GT,
    STATE(15347), 1,
      sym_attribute,
    STATE(15355), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693179] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20219), 1,
      sym__lowercase_identifier,
    STATE(15348), 1,
      sym_attribute,
    STATE(15456), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19861), 2,
      anon_sym_private,
      anon_sym_virtual,
  [693200] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20221), 1,
      anon_sym_EQ,
    ACTIONS(20223), 1,
      anon_sym_RPAREN,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(15349), 1,
      sym_attribute,
    STATE(17340), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20227), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8694), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(15350), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [693242] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(13744), 1,
      sym_type_constructor_path,
    STATE(15351), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693265] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20230), 1,
      anon_sym_COLON_GT,
    ACTIONS(20232), 1,
      anon_sym_RPAREN,
    STATE(15352), 1,
      sym_attribute,
    STATE(18321), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693288] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20234), 1,
      anon_sym_GT_RBRACE,
    STATE(15353), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693311] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20236), 1,
      anon_sym_RBRACK,
    ACTIONS(20238), 1,
      anon_sym_GT,
    STATE(15354), 1,
      sym_attribute,
    STATE(15364), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693334] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20236), 1,
      anon_sym_RBRACK,
    ACTIONS(20238), 1,
      anon_sym_GT,
    STATE(15355), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693357] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20240), 1,
      sym__lowercase_identifier,
    STATE(15356), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(21244), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693380] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20242), 1,
      anon_sym_COLON_GT,
    ACTIONS(20244), 1,
      anon_sym_RPAREN,
    STATE(15357), 1,
      sym_attribute,
    STATE(17311), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693403] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20246), 1,
      anon_sym_RBRACK,
    STATE(15358), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693426] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14869), 1,
      anon_sym_in,
    ACTIONS(20248), 1,
      anon_sym_and,
    ACTIONS(20250), 1,
      sym_let_and_operator,
    STATE(15359), 1,
      sym_attribute,
    STATE(15502), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693449] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20252), 1,
      anon_sym_DOT,
    STATE(15360), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693472] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15361), 1,
      sym_attribute,
    STATE(17301), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20254), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [693493] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20184), 1,
      sym__lowercase_identifier,
    STATE(10432), 1,
      sym_class_type_path,
    STATE(15362), 1,
      sym_attribute,
    STATE(17455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693516] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(20256), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693539] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20258), 1,
      anon_sym_RBRACK,
    ACTIONS(20260), 1,
      anon_sym_GT,
    STATE(15364), 1,
      sym_attribute,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693562] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20258), 1,
      anon_sym_RBRACK,
    STATE(15365), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693585] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20262), 1,
      sym__lowercase_identifier,
    STATE(9713), 1,
      sym_class_type_path,
    STATE(15366), 1,
      sym_attribute,
    STATE(18433), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693608] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20264), 1,
      anon_sym_GT_RBRACE,
    STATE(15367), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693631] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20266), 1,
      anon_sym_DOT,
    STATE(15368), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693654] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20268), 1,
      anon_sym_DOT,
    STATE(15369), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693677] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20270), 1,
      anon_sym_GT_RBRACE,
    STATE(15370), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693700] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20272), 1,
      anon_sym_RBRACK,
    STATE(15371), 1,
      sym_attribute,
    STATE(16894), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693723] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20219), 1,
      sym__lowercase_identifier,
    STATE(15372), 1,
      sym_attribute,
    STATE(15482), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19861), 2,
      anon_sym_private,
      anon_sym_virtual,
  [693744] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20274), 1,
      anon_sym_RBRACK,
    STATE(15373), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693767] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20276), 1,
      anon_sym_DOT,
    STATE(15374), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693790] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20278), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20215), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(15375), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [693809] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20281), 1,
      anon_sym_GT_RBRACE,
    STATE(15376), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693832] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20283), 1,
      anon_sym_RBRACK,
    STATE(15377), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693855] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20285), 1,
      sym__lowercase_identifier,
    ACTIONS(20287), 1,
      anon_sym_RBRACE,
    ACTIONS(20289), 1,
      anon_sym_mutable,
    STATE(15378), 1,
      sym_attribute,
    STATE(17747), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693878] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20291), 1,
      anon_sym_GT_RBRACE,
    STATE(15379), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693901] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20293), 1,
      anon_sym_RBRACK,
    STATE(15380), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693924] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20107), 1,
      sym__lowercase_identifier,
    STATE(11264), 1,
      sym_class_type_path,
    STATE(15381), 1,
      sym_attribute,
    STATE(17279), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693947] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19290), 1,
      sym__lowercase_identifier,
    STATE(8032), 1,
      sym_class_path,
    STATE(15382), 1,
      sym_attribute,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693970] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20295), 1,
      anon_sym_GT_RBRACE,
    STATE(15383), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [693993] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19509), 1,
      sym__lowercase_identifier,
    STATE(6163), 1,
      sym_class_path,
    STATE(15384), 1,
      sym_attribute,
    STATE(19115), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694016] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20297), 1,
      sym__lowercase_identifier,
    STATE(13478), 1,
      sym_class_type_path,
    STATE(15385), 1,
      sym_attribute,
    STATE(17757), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694039] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20297), 1,
      sym__lowercase_identifier,
    STATE(13316), 1,
      sym_class_type_path,
    STATE(15386), 1,
      sym_attribute,
    STATE(17757), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694062] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20297), 1,
      sym__lowercase_identifier,
    STATE(13360), 1,
      sym_class_type_path,
    STATE(15387), 1,
      sym_attribute,
    STATE(17757), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694085] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19451), 1,
      sym__lowercase_identifier,
    ACTIONS(19453), 1,
      anon_sym_LBRACK,
    ACTIONS(19455), 1,
      anon_sym_virtual,
    STATE(12448), 1,
      sym_class_type_binding,
    STATE(15388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694108] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20299), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20302), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(15389), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [694127] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19290), 1,
      sym__lowercase_identifier,
    STATE(8088), 1,
      sym_class_path,
    STATE(15390), 1,
      sym_attribute,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694150] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20304), 1,
      anon_sym_RBRACK,
    ACTIONS(20306), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694173] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20308), 1,
      anon_sym_COLON_GT,
    ACTIONS(20310), 1,
      anon_sym_RPAREN,
    STATE(15392), 1,
      sym_attribute,
    STATE(17624), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694196] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20312), 1,
      anon_sym_GT_RBRACE,
    STATE(15393), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694219] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13681), 1,
      anon_sym_in,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15394), 1,
      sym_attribute,
    STATE(15559), 1,
      aux_sym_expression_item_repeat1,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694242] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20023), 1,
      sym__lowercase_identifier,
    STATE(11205), 1,
      sym_class_type_path,
    STATE(15395), 1,
      sym_attribute,
    STATE(17697), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694265] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20314), 1,
      anon_sym_RPAREN,
    STATE(15396), 1,
      sym_attribute,
    STATE(17088), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694288] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10051), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20316), 1,
      anon_sym_GT,
    STATE(15397), 1,
      sym_attribute,
    STATE(15409), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694311] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20318), 1,
      anon_sym_GT_RBRACE,
    STATE(15398), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694334] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20304), 1,
      anon_sym_RBRACK,
    STATE(15399), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694357] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      sym__lowercase_identifier,
    ACTIONS(20322), 1,
      anon_sym_LPAREN,
    STATE(5857), 1,
      sym_parenthesized_operator,
    STATE(5915), 1,
      sym__value_name,
    STATE(15400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20324), 1,
      anon_sym_rec,
    STATE(15401), 1,
      sym_attribute,
    STATE(16183), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [694401] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19443), 1,
      sym__lowercase_identifier,
    STATE(5428), 1,
      sym_class_path,
    STATE(15402), 1,
      sym_attribute,
    STATE(19797), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    STATE(15403), 1,
      sym_attribute,
    STATE(18255), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20326), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [694445] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20328), 1,
      anon_sym_DOT,
    STATE(15404), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15405), 1,
      sym_attribute,
    STATE(17371), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20330), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [694489] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20332), 1,
      anon_sym_RBRACK,
    STATE(15406), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694512] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20334), 1,
      anon_sym_RBRACK,
    STATE(15407), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694535] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20336), 1,
      anon_sym_RBRACK,
    ACTIONS(20338), 1,
      anon_sym_GT,
    STATE(15408), 1,
      sym_attribute,
    STATE(15422), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694558] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20336), 1,
      anon_sym_RBRACK,
    ACTIONS(20338), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694581] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20340), 1,
      anon_sym_DOT,
    STATE(15410), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694604] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20342), 1,
      anon_sym_DOT,
    STATE(15411), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694627] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20344), 1,
      anon_sym_RBRACK,
    STATE(15412), 1,
      sym_attribute,
    STATE(17154), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694650] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20346), 1,
      anon_sym_DOT,
    STATE(15413), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694673] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19324), 1,
      sym__lowercase_identifier,
    STATE(7682), 1,
      sym_class_path,
    STATE(15414), 1,
      sym_attribute,
    STATE(20173), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694696] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19083), 1,
      sym__lowercase_identifier,
    ACTIONS(19085), 1,
      anon_sym_LBRACK,
    ACTIONS(19087), 1,
      anon_sym_virtual,
    STATE(13366), 1,
      sym_class_binding,
    STATE(15415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694719] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20348), 1,
      anon_sym_COLON_GT,
    ACTIONS(20350), 1,
      anon_sym_RPAREN,
    STATE(15416), 1,
      sym_attribute,
    STATE(17401), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20198), 1,
      anon_sym_as,
    STATE(15417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16514), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [694761] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20352), 1,
      sym__lowercase_identifier,
    STATE(10444), 1,
      sym_class_type_path,
    STATE(15418), 1,
      sym_attribute,
    STATE(17549), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694784] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20352), 1,
      sym__lowercase_identifier,
    STATE(10466), 1,
      sym_class_type_path,
    STATE(15419), 1,
      sym_attribute,
    STATE(17549), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694807] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20352), 1,
      sym__lowercase_identifier,
    STATE(10268), 1,
      sym_class_type_path,
    STATE(15420), 1,
      sym_attribute,
    STATE(17549), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694830] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20109), 1,
      sym__lowercase_identifier,
    STATE(13362), 1,
      sym_class_type_path,
    STATE(15421), 1,
      sym_attribute,
    STATE(18283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694853] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20354), 1,
      anon_sym_RBRACK,
    ACTIONS(20356), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694876] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20354), 1,
      anon_sym_RBRACK,
    STATE(15423), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694899] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20358), 1,
      anon_sym_DOT,
    STATE(15424), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694922] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19312), 1,
      sym__lowercase_identifier,
    STATE(5373), 1,
      sym_class_path,
    STATE(15425), 1,
      sym_attribute,
    STATE(20273), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694945] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20360), 1,
      anon_sym_rec,
    STATE(12573), 1,
      sym_module_binding,
    STATE(15426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19015), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [694966] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18879), 1,
      sym__lowercase_identifier,
    ACTIONS(18883), 1,
      anon_sym_LBRACK,
    ACTIONS(18885), 1,
      anon_sym_virtual,
    STATE(13461), 1,
      sym_class_binding,
    STATE(15427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [694989] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20362), 1,
      anon_sym_GT_RBRACE,
    STATE(15428), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695012] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20364), 1,
      anon_sym_RBRACK,
    STATE(15429), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695035] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20366), 1,
      anon_sym_COLON_GT,
    ACTIONS(20368), 1,
      anon_sym_RPAREN,
    STATE(15430), 1,
      sym_attribute,
    STATE(18450), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695058] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20370), 1,
      sym__lowercase_identifier,
    STATE(5700), 1,
      sym_type_constructor_path,
    STATE(15431), 1,
      sym_attribute,
    STATE(18435), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695081] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19401), 1,
      sym__lowercase_identifier,
    STATE(7629), 1,
      sym_class_path,
    STATE(15432), 1,
      sym_attribute,
    STATE(21409), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695104] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20372), 1,
      anon_sym_GT_RBRACE,
    STATE(15433), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695127] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20374), 1,
      anon_sym_RBRACK,
    STATE(15434), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695150] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15435), 1,
      sym_attribute,
    STATE(17424), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20376), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [695171] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20378), 1,
      anon_sym_RBRACK,
    ACTIONS(20380), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20382), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20384), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(15437), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [695213] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20387), 1,
      anon_sym_DOT,
    STATE(15438), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695236] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20389), 1,
      anon_sym_DOT,
    STATE(15439), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695259] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20391), 1,
      anon_sym_RBRACK,
    STATE(15440), 1,
      sym_attribute,
    STATE(15952), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695282] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(19749), 1,
      anon_sym_RBRACK,
    STATE(15441), 1,
      sym_attribute,
    STATE(15973), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695305] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20393), 1,
      anon_sym_DOT,
    STATE(15442), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695328] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20395), 1,
      anon_sym_RBRACK,
    STATE(15443), 1,
      sym_attribute,
    STATE(16176), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    STATE(15444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19731), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [695370] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20378), 1,
      anon_sym_RBRACK,
    STATE(15445), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695393] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20397), 1,
      anon_sym_GT_RBRACE,
    STATE(15446), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695416] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19200), 1,
      sym__lowercase_identifier,
    STATE(9532), 1,
      sym_class_path,
    STATE(15447), 1,
      sym_attribute,
    STATE(21327), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695439] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20399), 1,
      sym__lowercase_identifier,
    STATE(10042), 1,
      sym_class_type_path,
    STATE(15448), 1,
      sym_attribute,
    STATE(17772), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695462] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20399), 1,
      sym__lowercase_identifier,
    STATE(10070), 1,
      sym_class_type_path,
    STATE(15449), 1,
      sym_attribute,
    STATE(17772), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695485] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20399), 1,
      sym__lowercase_identifier,
    STATE(10088), 1,
      sym_class_type_path,
    STATE(15450), 1,
      sym_attribute,
    STATE(17772), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12583), 1,
      anon_sym_and,
    STATE(15451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12581), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [695527] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20184), 1,
      sym__lowercase_identifier,
    STATE(10283), 1,
      sym_class_type_path,
    STATE(15452), 1,
      sym_attribute,
    STATE(17455), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695550] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(15453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13714), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [695571] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20401), 1,
      anon_sym_RPAREN,
    STATE(15454), 1,
      sym_attribute,
    STATE(15988), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695594] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9846), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20403), 1,
      anon_sym_GT,
    STATE(15455), 1,
      sym_attribute,
    STATE(15471), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695617] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20405), 1,
      sym__lowercase_identifier,
    STATE(15456), 1,
      sym_attribute,
    STATE(15482), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19861), 2,
      anon_sym_private,
      anon_sym_virtual,
  [695638] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20407), 1,
      sym__lowercase_identifier,
    STATE(10413), 1,
      sym_class_type_path,
    STATE(15457), 1,
      sym_attribute,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695661] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20128), 1,
      sym__lowercase_identifier,
    STATE(14002), 1,
      sym_class_type_path,
    STATE(15458), 1,
      sym_attribute,
    STATE(18151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695684] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20262), 1,
      sym__lowercase_identifier,
    STATE(9865), 1,
      sym_class_type_path,
    STATE(15459), 1,
      sym_attribute,
    STATE(18433), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695707] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20116), 1,
      sym__lowercase_identifier,
    STATE(9953), 1,
      sym_class_type_path,
    STATE(15460), 1,
      sym_attribute,
    STATE(17715), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695730] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20409), 1,
      anon_sym_RPAREN,
    STATE(15461), 1,
      sym_attribute,
    STATE(15994), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695753] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20411), 1,
      anon_sym_GT_RBRACE,
    STATE(15462), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695776] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9850), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20413), 1,
      anon_sym_GT,
    STATE(15463), 1,
      sym_attribute,
    STATE(15469), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695799] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20415), 1,
      anon_sym_DOT,
    STATE(15464), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695822] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20417), 1,
      anon_sym_GT_RBRACE,
    STATE(15465), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695845] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    ACTIONS(20419), 1,
      anon_sym_EQ,
    ACTIONS(20421), 1,
      anon_sym_RPAREN,
    STATE(15466), 1,
      sym_attribute,
    STATE(17671), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695868] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20423), 1,
      anon_sym_COLON_GT,
    ACTIONS(20425), 1,
      anon_sym_RPAREN,
    STATE(15467), 1,
      sym_attribute,
    STATE(17814), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695891] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20427), 1,
      anon_sym_RBRACK,
    ACTIONS(20429), 1,
      anon_sym_GT,
    STATE(15468), 1,
      sym_attribute,
    STATE(15480), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695914] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20427), 1,
      anon_sym_RBRACK,
    ACTIONS(20429), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695937] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20431), 1,
      anon_sym_RBRACK,
    ACTIONS(20433), 1,
      anon_sym_GT,
    STATE(15470), 1,
      sym_attribute,
    STATE(15500), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695960] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20431), 1,
      anon_sym_RBRACK,
    ACTIONS(20433), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [695983] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15472), 1,
      sym_attribute,
    STATE(17471), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20435), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [696004] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19463), 1,
      sym__lowercase_identifier,
    STATE(7151), 1,
      sym_class_path,
    STATE(15473), 1,
      sym_attribute,
    STATE(18741), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696027] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20437), 1,
      anon_sym_COLON_GT,
    ACTIONS(20439), 1,
      anon_sym_RPAREN,
    STATE(15474), 1,
      sym_attribute,
    STATE(17487), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696050] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20441), 1,
      anon_sym_DOT,
    STATE(15475), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696073] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20443), 1,
      anon_sym_DOT,
    STATE(15476), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696096] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20445), 1,
      sym__lowercase_identifier,
    STATE(15477), 1,
      sym_attribute,
    STATE(15482), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19861), 2,
      anon_sym_private,
      anon_sym_virtual,
  [696117] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20447), 1,
      anon_sym_DOT,
    STATE(15478), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696140] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20449), 1,
      sym__lowercase_identifier,
    STATE(7894), 1,
      sym_type_constructor_path,
    STATE(15479), 1,
      sym_attribute,
    STATE(17456), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696163] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20451), 1,
      anon_sym_RBRACK,
    ACTIONS(20453), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696186] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20451), 1,
      anon_sym_RBRACK,
    STATE(15481), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696209] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20455), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20457), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(15482), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [696228] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20460), 1,
      anon_sym_GT_RBRACE,
    STATE(15483), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696251] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    ACTIONS(20462), 1,
      anon_sym_EQ,
    ACTIONS(20464), 1,
      anon_sym_RPAREN,
    STATE(15484), 1,
      sym_attribute,
    STATE(18332), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696274] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20466), 1,
      anon_sym_RBRACK,
    STATE(15485), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696297] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20468), 1,
      anon_sym_COLON_GT,
    ACTIONS(20470), 1,
      anon_sym_RPAREN,
    STATE(15486), 1,
      sym_attribute,
    STATE(17542), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696320] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14646), 1,
      anon_sym_in,
    ACTIONS(20248), 1,
      anon_sym_and,
    ACTIONS(20250), 1,
      sym_let_and_operator,
    STATE(15487), 1,
      sym_attribute,
    STATE(15787), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696343] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15488), 1,
      sym_attribute,
    STATE(17503), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20472), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [696364] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19491), 1,
      sym__lowercase_identifier,
    STATE(3520), 1,
      sym_class_path,
    STATE(15489), 1,
      sym_attribute,
    STATE(19835), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696387] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20474), 1,
      anon_sym_GT_RBRACE,
    STATE(15490), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696410] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20476), 1,
      anon_sym_RBRACK,
    STATE(15491), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696433] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20478), 1,
      anon_sym_DOT,
    STATE(15492), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696456] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20480), 1,
      anon_sym_DOT,
    STATE(15493), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696479] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20482), 1,
      anon_sym_DOT,
    STATE(15494), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696502] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19358), 1,
      sym__lowercase_identifier,
    STATE(4707), 1,
      sym_class_path,
    STATE(15495), 1,
      sym_attribute,
    STATE(20135), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696525] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19639), 1,
      sym__lowercase_identifier,
    STATE(6919), 1,
      sym_class_path,
    STATE(15496), 1,
      sym_attribute,
    STATE(19156), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696548] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20484), 1,
      sym__lowercase_identifier,
    STATE(9590), 1,
      sym_class_type_path,
    STATE(15497), 1,
      sym_attribute,
    STATE(17790), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696571] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20484), 1,
      sym__lowercase_identifier,
    STATE(9378), 1,
      sym_class_type_path,
    STATE(15498), 1,
      sym_attribute,
    STATE(17790), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696594] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20484), 1,
      sym__lowercase_identifier,
    STATE(9391), 1,
      sym_class_type_path,
    STATE(15499), 1,
      sym_attribute,
    STATE(17790), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696617] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20486), 1,
      anon_sym_RBRACK,
    ACTIONS(20488), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696640] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20486), 1,
      anon_sym_RBRACK,
    STATE(15501), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696663] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14646), 1,
      anon_sym_in,
    ACTIONS(20248), 1,
      anon_sym_and,
    ACTIONS(20250), 1,
      sym_let_and_operator,
    STATE(15502), 1,
      sym_attribute,
    STATE(15818), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696686] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15503), 1,
      sym_attribute,
    STATE(17662), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20490), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [696707] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17664), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(15504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12597), 1,
      anon_sym_and,
    STATE(15505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [696749] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    ACTIONS(19877), 1,
      sym__lowercase_identifier,
    STATE(10939), 1,
      sym_parenthesized_operator,
    STATE(14134), 1,
      sym__value_name,
    STATE(15506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696772] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15507), 1,
      sym_attribute,
    STATE(17536), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20492), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [696793] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20200), 1,
      sym__lowercase_identifier,
    STATE(10588), 1,
      sym_class_type_path,
    STATE(15508), 1,
      sym_attribute,
    STATE(17738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696816] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20130), 1,
      sym__lowercase_identifier,
    STATE(13958), 1,
      sym_class_type_path,
    STATE(15509), 1,
      sym_attribute,
    STATE(17666), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696839] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20494), 1,
      anon_sym_RPAREN,
    STATE(15510), 1,
      sym_attribute,
    STATE(16093), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696862] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20496), 1,
      anon_sym_GT,
    STATE(15511), 1,
      sym_attribute,
    STATE(15521), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696885] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20498), 1,
      anon_sym_DOT,
    STATE(15512), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696908] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20500), 1,
      anon_sym_DOT,
    STATE(15513), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696931] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17379), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(15514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696954] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17475), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(15515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [696977] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20502), 1,
      anon_sym_DOT,
    STATE(15516), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697000] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20130), 1,
      sym__lowercase_identifier,
    STATE(13930), 1,
      sym_class_type_path,
    STATE(15517), 1,
      sym_attribute,
    STATE(17666), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697023] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(20504), 1,
      anon_sym_DASH_GT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15314), 1,
      aux_sym_module_binding_repeat1,
    STATE(15518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697046] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19373), 1,
      sym__lowercase_identifier,
    STATE(8762), 1,
      sym_class_path,
    STATE(15519), 1,
      sym_attribute,
    STATE(19150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697069] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20506), 1,
      anon_sym_RBRACK,
    ACTIONS(20508), 1,
      anon_sym_GT,
    STATE(15520), 1,
      sym_attribute,
    STATE(15533), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697092] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20506), 1,
      anon_sym_RBRACK,
    ACTIONS(20508), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697115] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20130), 1,
      sym__lowercase_identifier,
    STATE(13935), 1,
      sym_class_type_path,
    STATE(15522), 1,
      sym_attribute,
    STATE(17666), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697138] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20510), 1,
      anon_sym_COLON_GT,
    ACTIONS(20512), 1,
      anon_sym_RPAREN,
    STATE(15523), 1,
      sym_attribute,
    STATE(17573), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697161] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15524), 1,
      sym_attribute,
    STATE(17561), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20514), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [697182] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20516), 1,
      anon_sym_RBRACK,
    ACTIONS(20518), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697205] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18879), 1,
      sym__lowercase_identifier,
    ACTIONS(18883), 1,
      anon_sym_LBRACK,
    ACTIONS(18885), 1,
      anon_sym_virtual,
    STATE(12382), 1,
      sym_class_binding,
    STATE(15526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697228] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18945), 1,
      sym__lowercase_identifier,
    ACTIONS(18947), 1,
      anon_sym_LBRACK,
    ACTIONS(18949), 1,
      anon_sym_virtual,
    STATE(12667), 1,
      sym_class_binding,
    STATE(15527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697251] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20520), 1,
      anon_sym_GT_RBRACE,
    STATE(15528), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697274] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20522), 1,
      anon_sym_DOT,
    STATE(15529), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697297] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20524), 1,
      anon_sym_DOT,
    STATE(15530), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697320] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20526), 1,
      anon_sym_DOT,
    STATE(15531), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697343] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20528), 1,
      anon_sym_GT_RBRACE,
    STATE(15532), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697366] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20007), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20530), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697389] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19179), 1,
      sym__lowercase_identifier,
    STATE(3438), 1,
      sym_class_path,
    STATE(15534), 1,
      sym_attribute,
    STATE(19565), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20532), 1,
      sym__lowercase_identifier,
    ACTIONS(20534), 1,
      anon_sym_LPAREN,
    STATE(15535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14750), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [697433] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20536), 1,
      anon_sym_RBRACK,
    STATE(15536), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697456] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20538), 1,
      anon_sym_GT_RBRACE,
    STATE(15537), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697479] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15538), 1,
      sym_attribute,
    STATE(17591), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20540), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [697500] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20542), 1,
      anon_sym_COLON_GT,
    ACTIONS(20544), 1,
      anon_sym_RPAREN,
    STATE(15539), 1,
      sym_attribute,
    STATE(17289), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697523] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20546), 1,
      anon_sym_RBRACK,
    STATE(15540), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697546] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20548), 1,
      anon_sym_GT_RBRACE,
    STATE(15541), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697569] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20550), 1,
      anon_sym_DOT,
    STATE(15542), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697592] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20552), 1,
      anon_sym_DOT,
    STATE(15543), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697615] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9560), 1,
      anon_sym_COMMA,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20554), 1,
      sym_hash_operator,
    STATE(15544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697638] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20556), 1,
      anon_sym_DOT,
    STATE(15545), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697661] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20558), 1,
      anon_sym_GT_RBRACE,
    STATE(15546), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697684] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20560), 1,
      anon_sym_RBRACK,
    STATE(15547), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697707] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20562), 1,
      anon_sym_GT_RBRACE,
    STATE(15548), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697730] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20564), 1,
      anon_sym_RBRACK,
    STATE(15549), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697753] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20566), 1,
      anon_sym_GT_RBRACE,
    STATE(15550), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697776] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19360), 1,
      sym__lowercase_identifier,
    STATE(6456), 1,
      sym_class_path,
    STATE(15551), 1,
      sym_attribute,
    STATE(19197), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697799] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15552), 1,
      sym_attribute,
    STATE(17611), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20568), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [697820] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20570), 1,
      sym__lowercase_identifier,
    STATE(13615), 1,
      sym_class_type_path,
    STATE(15553), 1,
      sym_attribute,
    STATE(17809), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697843] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20570), 1,
      sym__lowercase_identifier,
    STATE(13622), 1,
      sym_class_type_path,
    STATE(15554), 1,
      sym_attribute,
    STATE(17809), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697866] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20572), 1,
      sym__lowercase_identifier,
    STATE(10584), 1,
      sym_class_type_path,
    STATE(15555), 1,
      sym_attribute,
    STATE(17601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697889] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20570), 1,
      sym__lowercase_identifier,
    STATE(13634), 1,
      sym_class_type_path,
    STATE(15556), 1,
      sym_attribute,
    STATE(17809), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697912] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(20504), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697935] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20574), 1,
      anon_sym_RPAREN,
    STATE(15558), 1,
      sym_attribute,
    STATE(16523), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697958] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13931), 1,
      anon_sym_in,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15559), 1,
      sym_attribute,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [697981] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13931), 1,
      anon_sym_in,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15337), 1,
      aux_sym_expression_item_repeat1,
    STATE(15560), 1,
      sym_attribute,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698004] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20576), 1,
      anon_sym_DOT,
    STATE(15561), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698027] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20578), 1,
      anon_sym_DOT,
    STATE(15562), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698050] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    ACTIONS(20580), 1,
      anon_sym_EQ,
    ACTIONS(20582), 1,
      anon_sym_RPAREN,
    STATE(15563), 1,
      sym_attribute,
    STATE(17674), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698073] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20584), 1,
      anon_sym_DOT,
    STATE(15564), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698096] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20586), 1,
      anon_sym_GT_RBRACE,
    STATE(15565), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698119] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20588), 1,
      anon_sym_GT_RBRACE,
    STATE(15566), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698142] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20590), 1,
      anon_sym_RBRACK,
    STATE(15567), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698165] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10003), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20592), 1,
      anon_sym_GT,
    STATE(15568), 1,
      sym_attribute,
    STATE(15596), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698188] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20297), 1,
      sym__lowercase_identifier,
    STATE(13428), 1,
      sym_class_type_path,
    STATE(15569), 1,
      sym_attribute,
    STATE(17757), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698211] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20594), 1,
      anon_sym_RPAREN,
    STATE(15570), 1,
      sym_attribute,
    STATE(16218), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698234] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20596), 1,
      anon_sym_GT_RBRACE,
    STATE(15571), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698257] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9923), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20598), 1,
      anon_sym_GT,
    STATE(15572), 1,
      sym_attribute,
    STATE(15580), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12477), 1,
      anon_sym_PERCENT,
    STATE(15573), 1,
      sym_attribute,
    STATE(17635), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20600), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [698301] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19563), 1,
      sym__lowercase_identifier,
    STATE(3397), 1,
      sym_class_path,
    STATE(15574), 1,
      sym_attribute,
    STATE(19872), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698324] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20602), 1,
      anon_sym_DOT,
    STATE(15575), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698347] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20604), 1,
      anon_sym_DOT,
    STATE(15576), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698370] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20606), 1,
      anon_sym_GT_RBRACE,
    STATE(15577), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698393] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(20608), 1,
      anon_sym_DOT,
    STATE(15578), 1,
      sym_attribute,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698416] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20610), 1,
      anon_sym_RBRACK,
    ACTIONS(20612), 1,
      anon_sym_GT,
    STATE(15579), 1,
      sym_attribute,
    STATE(15588), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698439] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20610), 1,
      anon_sym_RBRACK,
    ACTIONS(20612), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698462] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14031), 1,
      anon_sym_in,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15581), 1,
      sym_attribute,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698485] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20614), 1,
      anon_sym_RBRACK,
    STATE(15582), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698508] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20616), 1,
      sym__lowercase_identifier,
    ACTIONS(20618), 1,
      anon_sym_LPAREN,
    STATE(5628), 1,
      sym__value_name,
    STATE(5674), 1,
      sym_parenthesized_operator,
    STATE(15583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698531] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20620), 1,
      anon_sym_COLON_GT,
    ACTIONS(20622), 1,
      anon_sym_RPAREN,
    STATE(15584), 1,
      sym_attribute,
    STATE(17678), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698554] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19083), 1,
      sym__lowercase_identifier,
    ACTIONS(19085), 1,
      anon_sym_LBRACK,
    ACTIONS(19087), 1,
      anon_sym_virtual,
    STATE(12382), 1,
      sym_class_binding,
    STATE(15585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698577] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20626), 1,
      anon_sym_of,
    STATE(15586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20624), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [698596] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(20628), 1,
      sym__lowercase_identifier,
    STATE(7549), 1,
      sym_class_path,
    STATE(15587), 1,
      sym_attribute,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698619] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20630), 1,
      anon_sym_RBRACK,
    ACTIONS(20632), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698642] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20630), 1,
      anon_sym_RBRACK,
    STATE(15589), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698665] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20634), 1,
      anon_sym_RBRACK,
    STATE(15590), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698688] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20636), 1,
      anon_sym_GT_RBRACE,
    STATE(15591), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698711] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20638), 1,
      anon_sym_COLON_GT,
    ACTIONS(20640), 1,
      anon_sym_RPAREN,
    STATE(15592), 1,
      sym_attribute,
    STATE(17387), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698734] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20642), 1,
      anon_sym_RBRACK,
    STATE(15593), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698757] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20644), 1,
      anon_sym_RBRACK,
    ACTIONS(20646), 1,
      anon_sym_GT,
    STATE(15594), 1,
      sym_attribute,
    STATE(15628), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698780] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(20628), 1,
      sym__lowercase_identifier,
    STATE(7580), 1,
      sym_class_path,
    STATE(15595), 1,
      sym_attribute,
    STATE(19071), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698803] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20644), 1,
      anon_sym_RBRACK,
    ACTIONS(20646), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698826] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20648), 1,
      anon_sym_GT_RBRACE,
    STATE(15597), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698849] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20650), 1,
      anon_sym_RBRACK,
    STATE(15598), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698872] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(15599), 1,
      sym_attribute,
    STATE(16447), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698895] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20652), 1,
      anon_sym_GT_RBRACE,
    STATE(15600), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698918] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20262), 1,
      sym__lowercase_identifier,
    STATE(9843), 1,
      sym_class_type_path,
    STATE(15601), 1,
      sym_attribute,
    STATE(18433), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698941] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20262), 1,
      sym__lowercase_identifier,
    STATE(9745), 1,
      sym_class_type_path,
    STATE(15602), 1,
      sym_attribute,
    STATE(18433), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698964] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20654), 1,
      sym__lowercase_identifier,
    STATE(8358), 1,
      sym_type_constructor_path,
    STATE(15603), 1,
      sym_attribute,
    STATE(17650), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [698987] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19433), 1,
      sym__lowercase_identifier,
    STATE(10156), 1,
      sym_class_path,
    STATE(15604), 1,
      sym_attribute,
    STATE(19238), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699010] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20656), 1,
      sym__lowercase_identifier,
    STATE(9529), 1,
      sym_class_type_path,
    STATE(15605), 1,
      sym_attribute,
    STATE(17823), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699033] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20656), 1,
      sym__lowercase_identifier,
    STATE(9668), 1,
      sym_class_type_path,
    STATE(15606), 1,
      sym_attribute,
    STATE(17823), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699056] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20656), 1,
      sym__lowercase_identifier,
    STATE(9690), 1,
      sym_class_type_path,
    STATE(15607), 1,
      sym_attribute,
    STATE(17823), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699079] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20658), 1,
      anon_sym_RPAREN,
    STATE(15608), 1,
      sym_attribute,
    STATE(16345), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699102] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20660), 1,
      sym__lowercase_identifier,
    ACTIONS(20662), 1,
      anon_sym_LPAREN,
    STATE(5662), 1,
      sym_parenthesized_operator,
    STATE(5677), 1,
      sym__value_name,
    STATE(15609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699125] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10037), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20664), 1,
      anon_sym_GT,
    STATE(15610), 1,
      sym_attribute,
    STATE(15637), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699148] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(20047), 1,
      sym__lowercase_identifier,
    STATE(15611), 1,
      sym_attribute,
    STATE(17607), 1,
      sym_extended_module_path,
    STATE(18413), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699171] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20666), 1,
      anon_sym_GT_RBRACE,
    STATE(15612), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699194] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20668), 1,
      anon_sym_COLON_GT,
    ACTIONS(20670), 1,
      anon_sym_RPAREN,
    STATE(15613), 1,
      sym_attribute,
    STATE(17469), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699217] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19306), 1,
      sym__lowercase_identifier,
    STATE(4652), 1,
      sym_class_path,
    STATE(15614), 1,
      sym_attribute,
    STATE(20454), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699240] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20672), 1,
      anon_sym_GT_RBRACE,
    STATE(15615), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699263] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20015), 1,
      sym__lowercase_identifier,
    STATE(11513), 1,
      sym_class_type_path,
    STATE(15616), 1,
      sym_attribute,
    STATE(17575), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699286] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20015), 1,
      sym__lowercase_identifier,
    STATE(11557), 1,
      sym_class_type_path,
    STATE(15617), 1,
      sym_attribute,
    STATE(17575), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699309] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20015), 1,
      sym__lowercase_identifier,
    STATE(11576), 1,
      sym_class_type_path,
    STATE(15618), 1,
      sym_attribute,
    STATE(17575), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699332] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20067), 1,
      sym__lowercase_identifier,
    STATE(14426), 1,
      sym_class_type_path,
    STATE(15619), 1,
      sym_attribute,
    STATE(17411), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699355] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20399), 1,
      sym__lowercase_identifier,
    STATE(10022), 1,
      sym_class_type_path,
    STATE(15620), 1,
      sym_attribute,
    STATE(17772), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699378] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20674), 1,
      anon_sym_RPAREN,
    STATE(15621), 1,
      sym_attribute,
    STATE(16328), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699401] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20676), 1,
      anon_sym_GT,
    STATE(15622), 1,
      sym_attribute,
    STATE(15632), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699424] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20285), 1,
      sym__lowercase_identifier,
    ACTIONS(20289), 1,
      anon_sym_mutable,
    ACTIONS(20678), 1,
      anon_sym_RBRACE,
    STATE(15623), 1,
      sym_attribute,
    STATE(17747), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699447] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19246), 1,
      sym__lowercase_identifier,
    STATE(3563), 1,
      sym_class_path,
    STATE(15624), 1,
      sym_attribute,
    STATE(19896), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699470] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20516), 1,
      anon_sym_RBRACK,
    STATE(15625), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699493] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20680), 1,
      anon_sym_COLON_GT,
    ACTIONS(20682), 1,
      anon_sym_RPAREN,
    STATE(15626), 1,
      sym_attribute,
    STATE(18389), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699516] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20684), 1,
      anon_sym_COLON_GT,
    ACTIONS(20686), 1,
      anon_sym_RPAREN,
    STATE(15627), 1,
      sym_attribute,
    STATE(17457), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699539] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20688), 1,
      anon_sym_RBRACK,
    ACTIONS(20690), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699562] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20688), 1,
      anon_sym_RBRACK,
    STATE(15629), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699585] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20692), 1,
      anon_sym_RBRACK,
    STATE(15630), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699608] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20694), 1,
      anon_sym_RBRACK,
    ACTIONS(20696), 1,
      anon_sym_GT,
    STATE(15631), 1,
      sym_attribute,
    STATE(15640), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699631] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20694), 1,
      anon_sym_RBRACK,
    ACTIONS(20696), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699654] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20698), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20701), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(15633), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [699673] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20703), 1,
      anon_sym_GT_RBRACE,
    STATE(15634), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699696] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20705), 1,
      anon_sym_COLON_GT,
    ACTIONS(20707), 1,
      anon_sym_RPAREN,
    STATE(15635), 1,
      sym_attribute,
    STATE(17780), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699719] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20709), 1,
      anon_sym_RBRACK,
    ACTIONS(20711), 1,
      anon_sym_GT,
    STATE(15636), 1,
      sym_attribute,
    STATE(15693), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699742] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20709), 1,
      anon_sym_RBRACK,
    ACTIONS(20711), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699765] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20198), 1,
      anon_sym_as,
    STATE(15638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16382), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [699784] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20009), 1,
      sym__lowercase_identifier,
    STATE(11515), 1,
      sym_class_type_path,
    STATE(15639), 1,
      sym_attribute,
    STATE(17491), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699807] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20713), 1,
      anon_sym_RBRACK,
    ACTIONS(20715), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699830] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20713), 1,
      anon_sym_RBRACK,
    STATE(15641), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699853] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20717), 1,
      anon_sym_GT_RBRACE,
    STATE(15642), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20198), 1,
      anon_sym_as,
    STATE(15643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16494), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [699895] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20719), 1,
      anon_sym_RPAREN,
    STATE(15644), 1,
      sym_attribute,
    STATE(16404), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699918] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10001), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20721), 1,
      anon_sym_GT,
    STATE(15645), 1,
      sym_attribute,
    STATE(15659), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699941] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20723), 1,
      anon_sym_GT_RBRACE,
    STATE(15646), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699964] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20725), 1,
      anon_sym_RBRACK,
    STATE(15647), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [699987] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20727), 1,
      anon_sym_GT_RBRACE,
    STATE(15648), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700010] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20729), 1,
      anon_sym_GT_RBRACE,
    STATE(15649), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700033] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20731), 1,
      anon_sym_GT_RBRACE,
    STATE(15650), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700056] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20733), 1,
      anon_sym_RBRACK,
    STATE(15651), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700079] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    STATE(13744), 1,
      sym_type_constructor_path,
    STATE(15652), 1,
      sym_attribute,
    STATE(18153), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700102] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20735), 1,
      anon_sym_GT_RBRACE,
    STATE(15653), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700125] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20128), 1,
      sym__lowercase_identifier,
    STATE(14009), 1,
      sym_class_type_path,
    STATE(15654), 1,
      sym_attribute,
    STATE(18151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700148] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14088), 1,
      anon_sym_in,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15655), 1,
      sym_attribute,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700171] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20737), 1,
      anon_sym_RBRACK,
    STATE(15656), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700194] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19212), 1,
      sym__lowercase_identifier,
    STATE(6524), 1,
      sym_class_path,
    STATE(15657), 1,
      sym_attribute,
    STATE(19279), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700217] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20739), 1,
      anon_sym_RBRACK,
    ACTIONS(20741), 1,
      anon_sym_GT,
    STATE(15658), 1,
      sym_attribute,
    STATE(15680), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700240] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20739), 1,
      anon_sym_RBRACK,
    ACTIONS(20741), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700263] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20743), 1,
      anon_sym_COLON_GT,
    ACTIONS(20745), 1,
      anon_sym_RPAREN,
    STATE(15660), 1,
      sym_attribute,
    STATE(17547), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700286] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20747), 1,
      sym__lowercase_identifier,
    STATE(5828), 1,
      sym_type_constructor_path,
    STATE(15661), 1,
      sym_attribute,
    STATE(17493), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700309] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20484), 1,
      sym__lowercase_identifier,
    STATE(9479), 1,
      sym_class_type_path,
    STATE(15662), 1,
      sym_attribute,
    STATE(17790), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700332] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20749), 1,
      anon_sym_RPAREN,
    STATE(15663), 1,
      sym_attribute,
    STATE(16429), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700355] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20751), 1,
      anon_sym_GT_RBRACE,
    STATE(15664), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700378] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9949), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20753), 1,
      anon_sym_GT,
    STATE(15665), 1,
      sym_attribute,
    STATE(15671), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700401] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20755), 1,
      anon_sym_RPAREN,
    STATE(15666), 1,
      sym_attribute,
    STATE(16625), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700424] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20757), 1,
      anon_sym_COLON_GT,
    ACTIONS(20759), 1,
      anon_sym_RPAREN,
    STATE(15667), 1,
      sym_attribute,
    STATE(17919), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700447] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20761), 1,
      anon_sym_GT_RBRACE,
    STATE(15668), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700470] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20763), 1,
      anon_sym_RBRACK,
    STATE(15669), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700493] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20765), 1,
      anon_sym_RBRACK,
    ACTIONS(20767), 1,
      anon_sym_GT,
    STATE(15670), 1,
      sym_attribute,
    STATE(15677), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700516] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20765), 1,
      anon_sym_RBRACK,
    ACTIONS(20767), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700539] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20769), 1,
      anon_sym_COLON_GT,
    ACTIONS(20771), 1,
      anon_sym_RPAREN,
    STATE(15672), 1,
      sym_attribute,
    STATE(18014), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700562] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20773), 1,
      anon_sym_GT_RBRACE,
    STATE(15673), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700585] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20775), 1,
      anon_sym_COLON_GT,
    ACTIONS(20777), 1,
      anon_sym_RPAREN,
    STATE(15674), 1,
      sym_attribute,
    STATE(17884), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700608] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    ACTIONS(20779), 1,
      anon_sym_EQ,
    ACTIONS(20781), 1,
      anon_sym_RPAREN,
    STATE(15675), 1,
      sym_attribute,
    STATE(17704), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700631] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20783), 1,
      anon_sym_GT_RBRACE,
    STATE(15676), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700654] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20785), 1,
      anon_sym_RBRACK,
    ACTIONS(20787), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700677] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20785), 1,
      anon_sym_RBRACK,
    STATE(15678), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700700] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9943), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20789), 1,
      anon_sym_GT,
    STATE(15679), 1,
      sym_attribute,
    STATE(15747), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700723] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20791), 1,
      anon_sym_RBRACK,
    ACTIONS(20793), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700746] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20795), 1,
      anon_sym_COLON_GT,
    ACTIONS(20797), 1,
      anon_sym_RPAREN,
    STATE(15681), 1,
      sym_attribute,
    STATE(17290), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700769] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20791), 1,
      anon_sym_RBRACK,
    STATE(15682), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700792] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20799), 1,
      anon_sym_GT_RBRACE,
    STATE(15683), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700815] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20801), 1,
      anon_sym_RBRACK,
    STATE(15684), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700838] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20803), 1,
      anon_sym_COLON_GT,
    ACTIONS(20805), 1,
      anon_sym_RPAREN,
    STATE(15685), 1,
      sym_attribute,
    STATE(17619), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700861] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20807), 1,
      anon_sym_GT_RBRACE,
    STATE(15686), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700884] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20809), 1,
      anon_sym_RBRACK,
    STATE(15687), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700907] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20811), 1,
      anon_sym_RBRACK,
    STATE(15688), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700930] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14830), 1,
      anon_sym_in,
    ACTIONS(20248), 1,
      anon_sym_and,
    ACTIONS(20250), 1,
      sym_let_and_operator,
    STATE(15689), 1,
      sym_attribute,
    STATE(15818), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700953] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20107), 1,
      sym__lowercase_identifier,
    STATE(11157), 1,
      sym_class_type_path,
    STATE(15690), 1,
      sym_attribute,
    STATE(17279), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700976] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19238), 1,
      sym__lowercase_identifier,
    STATE(6588), 1,
      sym_class_path,
    STATE(15691), 1,
      sym_attribute,
    STATE(19320), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [700999] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16638), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(15692), 1,
      sym_attribute,
    STATE(18362), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701022] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20813), 1,
      anon_sym_RBRACK,
    ACTIONS(20815), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701045] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20813), 1,
      anon_sym_RBRACK,
    STATE(15694), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701068] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20817), 1,
      anon_sym_GT_RBRACE,
    STATE(15695), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701091] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20819), 1,
      anon_sym_RBRACK,
    STATE(15696), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701114] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20821), 1,
      anon_sym_RBRACK,
    STATE(15697), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701137] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20570), 1,
      sym__lowercase_identifier,
    STATE(13669), 1,
      sym_class_type_path,
    STATE(15698), 1,
      sym_attribute,
    STATE(17809), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701160] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20823), 1,
      anon_sym_RPAREN,
    STATE(15699), 1,
      sym_attribute,
    STATE(16526), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701183] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9929), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20825), 1,
      anon_sym_GT,
    STATE(15700), 1,
      sym_attribute,
    STATE(15706), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701206] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20827), 1,
      anon_sym_RPAREN,
    STATE(15701), 1,
      sym_attribute,
    STATE(16618), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701229] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20829), 1,
      anon_sym_GT_RBRACE,
    STATE(15702), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701252] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17301), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(15703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701275] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19244), 1,
      sym__lowercase_identifier,
    STATE(6661), 1,
      sym_class_path,
    STATE(15704), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701298] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20831), 1,
      anon_sym_RBRACK,
    ACTIONS(20833), 1,
      anon_sym_GT,
    STATE(15705), 1,
      sym_attribute,
    STATE(15712), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701321] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20831), 1,
      anon_sym_RBRACK,
    ACTIONS(20833), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701344] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20835), 1,
      anon_sym_COLON_GT,
    ACTIONS(20837), 1,
      anon_sym_RPAREN,
    STATE(15707), 1,
      sym_attribute,
    STATE(17459), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701367] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(15708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18809), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [701388] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20839), 1,
      anon_sym_COLON_GT,
    ACTIONS(20841), 1,
      anon_sym_RPAREN,
    STATE(15709), 1,
      sym_attribute,
    STATE(17988), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701411] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20211), 1,
      sym__lowercase_identifier,
    STATE(11252), 1,
      sym_class_type_path,
    STATE(15710), 1,
      sym_attribute,
    STATE(17681), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701434] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20211), 1,
      sym__lowercase_identifier,
    STATE(11286), 1,
      sym_class_type_path,
    STATE(15711), 1,
      sym_attribute,
    STATE(17681), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701457] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20843), 1,
      anon_sym_RBRACK,
    ACTIONS(20845), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701480] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20843), 1,
      anon_sym_RBRACK,
    STATE(15713), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701503] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20109), 1,
      sym__lowercase_identifier,
    STATE(13331), 1,
      sym_class_type_path,
    STATE(15714), 1,
      sym_attribute,
    STATE(18283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701526] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17441), 1,
      anon_sym_COMMA,
    ACTIONS(17728), 1,
      anon_sym_PIPE,
    ACTIONS(17732), 1,
      anon_sym_as,
    ACTIONS(17734), 1,
      anon_sym_COLON_COLON,
    STATE(15715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701549] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20211), 1,
      sym__lowercase_identifier,
    STATE(11084), 1,
      sym_class_type_path,
    STATE(15716), 1,
      sym_attribute,
    STATE(17681), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701572] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17929), 1,
      anon_sym_STAR,
    STATE(15340), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(15717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701593] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20847), 1,
      anon_sym_GT_RBRACE,
    STATE(15718), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701616] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20849), 1,
      anon_sym_GT_RBRACE,
    STATE(15719), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701639] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20851), 1,
      anon_sym_GT_RBRACE,
    STATE(15720), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701662] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20853), 1,
      anon_sym_RBRACK,
    STATE(15721), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701685] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20855), 1,
      anon_sym_RBRACK,
    STATE(15722), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701708] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20857), 1,
      anon_sym_GT_RBRACE,
    STATE(15723), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701731] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(20859), 1,
      sym__lowercase_identifier,
    STATE(7717), 1,
      sym_class_path,
    STATE(15724), 1,
      sym_attribute,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701754] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20861), 1,
      anon_sym_RBRACK,
    STATE(15725), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701777] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19435), 1,
      sym__lowercase_identifier,
    STATE(4230), 1,
      sym_class_path,
    STATE(15726), 1,
      sym_attribute,
    STATE(18686), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701800] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20863), 1,
      anon_sym_GT,
    STATE(15237), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701823] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20865), 1,
      anon_sym_COLON_GT,
    ACTIONS(20867), 1,
      anon_sym_RPAREN,
    STATE(15728), 1,
      sym_attribute,
    STATE(17718), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701846] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19318), 1,
      sym__lowercase_identifier,
    STATE(4007), 1,
      sym_class_path,
    STATE(15729), 1,
      sym_attribute,
    STATE(19361), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701869] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19611), 1,
      sym__lowercase_identifier,
    STATE(8040), 1,
      sym_class_path,
    STATE(15730), 1,
      sym_attribute,
    STATE(18630), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701892] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16638), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(15731), 1,
      sym_attribute,
    STATE(17583), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701915] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20128), 1,
      sym__lowercase_identifier,
    STATE(13985), 1,
      sym_class_type_path,
    STATE(15732), 1,
      sym_attribute,
    STATE(18151), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701938] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(20869), 1,
      anon_sym_DASH_GT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15733), 1,
      sym_attribute,
    STATE(15883), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701961] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20871), 1,
      sym__lowercase_identifier,
    STATE(9761), 1,
      sym_class_type_path,
    STATE(15734), 1,
      sym_attribute,
    STATE(17622), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701984] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20656), 1,
      sym__lowercase_identifier,
    STATE(9504), 1,
      sym_class_type_path,
    STATE(15735), 1,
      sym_attribute,
    STATE(17823), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702007] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20873), 1,
      anon_sym_RPAREN,
    STATE(15736), 1,
      sym_attribute,
    STATE(16614), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702030] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9925), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20875), 1,
      anon_sym_GT,
    STATE(15737), 1,
      sym_attribute,
    STATE(15741), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702053] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20877), 1,
      anon_sym_RPAREN,
    STATE(15738), 1,
      sym_attribute,
    STATE(15974), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702076] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20879), 1,
      anon_sym_GT,
    STATE(15739), 1,
      sym_attribute,
    STATE(15772), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702099] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20881), 1,
      anon_sym_RBRACK,
    ACTIONS(20883), 1,
      anon_sym_GT,
    STATE(15740), 1,
      sym_attribute,
    STATE(15745), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702122] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20881), 1,
      anon_sym_RBRACK,
    ACTIONS(20883), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702145] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(20869), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702168] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20885), 1,
      anon_sym_COLON_GT,
    ACTIONS(20887), 1,
      anon_sym_RPAREN,
    STATE(15743), 1,
      sym_attribute,
    STATE(18145), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702191] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20889), 1,
      anon_sym_RBRACK,
    ACTIONS(20891), 1,
      anon_sym_GT,
    STATE(15744), 1,
      sym_attribute,
    STATE(15891), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702214] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20893), 1,
      anon_sym_RBRACK,
    ACTIONS(20895), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702237] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20893), 1,
      anon_sym_RBRACK,
    STATE(15746), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702260] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20889), 1,
      anon_sym_RBRACK,
    ACTIONS(20891), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702283] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(20897), 1,
      anon_sym_with,
    STATE(15748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702306] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20899), 1,
      sym__lowercase_identifier,
    ACTIONS(20901), 1,
      anon_sym_LPAREN,
    STATE(5790), 1,
      sym_parenthesized_operator,
    STATE(5928), 1,
      sym__value_name,
    STATE(15749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702329] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20903), 1,
      anon_sym_GT_RBRACE,
    STATE(15750), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702352] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16638), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(7419), 1,
      sym_parenthesized_operator,
    STATE(15751), 1,
      sym_attribute,
    STATE(18254), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702375] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20905), 1,
      anon_sym_GT_RBRACE,
    STATE(15752), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702398] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(20907), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702421] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20909), 1,
      anon_sym_GT_RBRACE,
    STATE(15754), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702444] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20911), 1,
      anon_sym_RBRACK,
    STATE(15755), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702467] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19399), 1,
      sym__lowercase_identifier,
    STATE(5076), 1,
      sym_class_path,
    STATE(15756), 1,
      sym_attribute,
    STATE(18507), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702490] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20572), 1,
      sym__lowercase_identifier,
    STATE(10603), 1,
      sym_class_type_path,
    STATE(15757), 1,
      sym_attribute,
    STATE(17601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702513] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20572), 1,
      sym__lowercase_identifier,
    STATE(10689), 1,
      sym_class_type_path,
    STATE(15758), 1,
      sym_attribute,
    STATE(17601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702536] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20572), 1,
      sym__lowercase_identifier,
    STATE(10720), 1,
      sym_class_type_path,
    STATE(15759), 1,
      sym_attribute,
    STATE(17601), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702559] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20913), 1,
      anon_sym_GT_RBRACE,
    STATE(15760), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702582] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    STATE(15761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13583), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [702603] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20915), 1,
      anon_sym_RBRACK,
    STATE(15762), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702626] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(15763), 1,
      sym_attribute,
    STATE(16197), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702649] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20917), 1,
      anon_sym_GT_RBRACE,
    STATE(15764), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702672] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20919), 1,
      anon_sym_RBRACK,
    STATE(15765), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702695] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20921), 1,
      anon_sym_GT_RBRACE,
    STATE(15766), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702718] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19431), 1,
      sym__lowercase_identifier,
    STATE(7928), 1,
      sym_class_path,
    STATE(15767), 1,
      sym_attribute,
    STATE(19402), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702741] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20923), 1,
      anon_sym_RBRACK,
    STATE(15768), 1,
      sym_attribute,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702764] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19373), 1,
      sym__lowercase_identifier,
    STATE(8368), 1,
      sym_class_path,
    STATE(15769), 1,
      sym_attribute,
    STATE(19150), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702787] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20925), 1,
      sym__lowercase_identifier,
    STATE(10626), 1,
      sym_type_constructor_path,
    STATE(15770), 1,
      sym_attribute,
    STATE(17280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702810] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20927), 1,
      anon_sym_RBRACK,
    ACTIONS(20929), 1,
      anon_sym_GT,
    STATE(15771), 1,
      sym_attribute,
    STATE(15794), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702833] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20927), 1,
      anon_sym_RBRACK,
    ACTIONS(20929), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20931), 1,
      anon_sym_RBRACK,
    ACTIONS(20933), 1,
      aux_sym_tag_token1,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15773), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [702877] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20936), 1,
      anon_sym_COLON_GT,
    ACTIONS(20938), 1,
      anon_sym_RPAREN,
    STATE(15774), 1,
      sym_attribute,
    STATE(18196), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702900] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20017), 1,
      sym__lowercase_identifier,
    STATE(12504), 1,
      sym_class_type_path,
    STATE(15775), 1,
      sym_attribute,
    STATE(17524), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702923] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(20940), 1,
      anon_sym_RPAREN,
    STATE(15776), 1,
      sym_attribute,
    STATE(16795), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702946] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(20942), 1,
      anon_sym_with,
    STATE(15777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702969] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20944), 1,
      sym__lowercase_identifier,
    STATE(7883), 1,
      sym_type_constructor_path,
    STATE(15778), 1,
      sym_attribute,
    STATE(17698), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702992] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9939), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20946), 1,
      anon_sym_GT,
    STATE(15779), 1,
      sym_attribute,
    STATE(15791), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703015] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20948), 1,
      anon_sym_GT_RBRACE,
    STATE(15780), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703038] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(15781), 1,
      sym_attribute,
    STATE(16596), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703061] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20285), 1,
      sym__lowercase_identifier,
    ACTIONS(20289), 1,
      anon_sym_mutable,
    ACTIONS(20950), 1,
      anon_sym_RBRACE,
    STATE(15782), 1,
      sym_attribute,
    STATE(17747), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703084] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20952), 1,
      anon_sym_COLON_GT,
    ACTIONS(20954), 1,
      anon_sym_RPAREN,
    STATE(15783), 1,
      sym_attribute,
    STATE(17889), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703107] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19611), 1,
      sym__lowercase_identifier,
    STATE(8048), 1,
      sym_class_path,
    STATE(15784), 1,
      sym_attribute,
    STATE(18630), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703130] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20107), 1,
      sym__lowercase_identifier,
    STATE(11258), 1,
      sym_class_type_path,
    STATE(15785), 1,
      sym_attribute,
    STATE(17279), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703153] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20956), 1,
      anon_sym_GT_RBRACE,
    STATE(15786), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703176] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14450), 1,
      anon_sym_in,
    ACTIONS(20248), 1,
      anon_sym_and,
    ACTIONS(20250), 1,
      sym_let_and_operator,
    STATE(15787), 1,
      sym_attribute,
    STATE(15818), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703199] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20958), 1,
      sym__lowercase_identifier,
    STATE(15633), 1,
      aux_sym__abstract_type_repeat1,
    STATE(15788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20960), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [703220] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20962), 1,
      anon_sym_RBRACK,
    ACTIONS(20964), 1,
      anon_sym_GT,
    STATE(15789), 1,
      sym_attribute,
    STATE(15808), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703243] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19611), 1,
      sym__lowercase_identifier,
    STATE(7217), 1,
      sym_class_path,
    STATE(15790), 1,
      sym_attribute,
    STATE(18630), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703266] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20962), 1,
      anon_sym_RBRACK,
    ACTIONS(20964), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703289] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(20966), 1,
      anon_sym_with,
    STATE(15792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703312] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20968), 1,
      sym__lowercase_identifier,
    STATE(8268), 1,
      sym_type_constructor_path,
    STATE(15793), 1,
      sym_attribute,
    STATE(17551), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703335] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20970), 1,
      anon_sym_RBRACK,
    ACTIONS(20972), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703358] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20974), 1,
      anon_sym_COLON_GT,
    ACTIONS(20976), 1,
      anon_sym_RPAREN,
    STATE(15795), 1,
      sym_attribute,
    STATE(18230), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703381] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20970), 1,
      anon_sym_RBRACK,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15796), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703404] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(15797), 1,
      sym_attribute,
    STATE(16897), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703427] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(19733), 1,
      anon_sym_RBRACK,
    STATE(15798), 1,
      sym_attribute,
    STATE(16027), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703450] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(20978), 1,
      anon_sym_COLON_GT,
    ACTIONS(20980), 1,
      anon_sym_RPAREN,
    STATE(15799), 1,
      sym_attribute,
    STATE(18267), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703473] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    ACTIONS(20982), 1,
      anon_sym_EQ,
    ACTIONS(20984), 1,
      anon_sym_RPAREN,
    STATE(15800), 1,
      sym_attribute,
    STATE(18359), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703496] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20986), 1,
      anon_sym_DOT,
    ACTIONS(20988), 1,
      aux_sym_type_variable_token1,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15801), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [703517] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20991), 1,
      anon_sym_GT_RBRACE,
    STATE(15802), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703540] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20993), 1,
      anon_sym_GT_RBRACE,
    STATE(15803), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703563] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(20995), 1,
      anon_sym_with,
    STATE(15804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703586] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(20997), 1,
      anon_sym_GT_RBRACE,
    STATE(15805), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703609] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(15806), 1,
      sym_attribute,
    STATE(17155), 1,
      sym_type_constructor_path,
    STATE(17409), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703632] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20049), 1,
      sym__lowercase_identifier,
    STATE(11346), 1,
      sym_class_type_path,
    STATE(15807), 1,
      sym_attribute,
    STATE(17649), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703655] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20999), 1,
      anon_sym_RBRACK,
    ACTIONS(21001), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703678] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(20999), 1,
      anon_sym_RBRACK,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15809), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703701] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21003), 1,
      anon_sym_with,
    STATE(15810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703724] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19328), 1,
      sym__lowercase_identifier,
    STATE(3787), 1,
      sym_class_path,
    STATE(15811), 1,
      sym_attribute,
    STATE(19443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703747] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(21005), 1,
      anon_sym_RBRACK,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15812), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703770] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20049), 1,
      sym__lowercase_identifier,
    STATE(11051), 1,
      sym_class_type_path,
    STATE(15813), 1,
      sym_attribute,
    STATE(17649), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703793] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21007), 1,
      anon_sym_with,
    STATE(15814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703816] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(21009), 1,
      anon_sym_COLON_GT,
    ACTIONS(21011), 1,
      anon_sym_RPAREN,
    STATE(15815), 1,
      sym_attribute,
    STATE(17525), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703839] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(21013), 1,
      anon_sym_COLON_GT,
    ACTIONS(21015), 1,
      anon_sym_RPAREN,
    STATE(15816), 1,
      sym_attribute,
    STATE(18284), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703862] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21017), 1,
      anon_sym_with,
    STATE(15817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703885] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14554), 1,
      anon_sym_in,
    ACTIONS(21019), 1,
      anon_sym_and,
    ACTIONS(21022), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15818), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [703906] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(20859), 1,
      sym__lowercase_identifier,
    STATE(7562), 1,
      sym_class_path,
    STATE(15819), 1,
      sym_attribute,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703929] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21025), 1,
      anon_sym_with,
    STATE(15820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703952] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21027), 1,
      anon_sym_with,
    STATE(15821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703975] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20049), 1,
      sym__lowercase_identifier,
    STATE(11399), 1,
      sym_class_type_path,
    STATE(15822), 1,
      sym_attribute,
    STATE(17649), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703998] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21029), 1,
      anon_sym_GT_RBRACE,
    STATE(15823), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704021] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21031), 1,
      anon_sym_GT_RBRACE,
    STATE(15824), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704044] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21033), 1,
      anon_sym_with,
    STATE(15825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704067] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21035), 1,
      anon_sym_with,
    STATE(15826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704090] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(21037), 1,
      anon_sym_RBRACK,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15827), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704113] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21039), 1,
      anon_sym_with,
    STATE(15828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704136] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21041), 1,
      anon_sym_GT_RBRACE,
    STATE(15829), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704159] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21043), 1,
      anon_sym_with,
    STATE(15830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704182] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21045), 1,
      anon_sym_with,
    STATE(15831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704205] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21047), 1,
      anon_sym_with,
    STATE(15832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704228] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21049), 1,
      anon_sym_GT_RBRACE,
    STATE(15833), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704251] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19601), 1,
      sym__lowercase_identifier,
    STATE(4366), 1,
      sym_class_path,
    STATE(15834), 1,
      sym_attribute,
    STATE(19484), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704274] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21051), 1,
      anon_sym_with,
    STATE(15835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704297] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20407), 1,
      sym__lowercase_identifier,
    STATE(10510), 1,
      sym_class_type_path,
    STATE(15836), 1,
      sym_attribute,
    STATE(17357), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704320] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21053), 1,
      anon_sym_with,
    STATE(15837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704343] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21055), 1,
      anon_sym_GT_RBRACE,
    STATE(15838), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704366] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21057), 1,
      anon_sym_with,
    STATE(15839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704389] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21059), 1,
      anon_sym_with,
    STATE(15840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704412] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21061), 1,
      anon_sym_GT_RBRACE,
    STATE(15841), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704435] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(21063), 1,
      anon_sym_COLON_GT,
    ACTIONS(21065), 1,
      anon_sym_RPAREN,
    STATE(15842), 1,
      sym_attribute,
    STATE(18342), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704458] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21067), 1,
      anon_sym_with,
    STATE(15843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704481] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(21069), 1,
      anon_sym_RBRACK,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15844), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704504] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21071), 1,
      anon_sym_with,
    STATE(15845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704527] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21073), 1,
      anon_sym_with,
    STATE(15846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704550] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21075), 1,
      anon_sym_with,
    STATE(15847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704573] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(21077), 1,
      anon_sym_RBRACK,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15848), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704596] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21079), 1,
      anon_sym_with,
    STATE(15849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704619] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20067), 1,
      sym__lowercase_identifier,
    STATE(14320), 1,
      sym_class_type_path,
    STATE(15850), 1,
      sym_attribute,
    STATE(17411), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704642] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21081), 1,
      anon_sym_with,
    STATE(15851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704665] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21083), 1,
      anon_sym_GT_RBRACE,
    STATE(15852), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704688] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19200), 1,
      sym__lowercase_identifier,
    STATE(10332), 1,
      sym_class_path,
    STATE(15853), 1,
      sym_attribute,
    STATE(21327), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704711] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21085), 1,
      anon_sym_with,
    STATE(15854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704734] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14450), 1,
      anon_sym_in,
    ACTIONS(20248), 1,
      anon_sym_and,
    ACTIONS(20250), 1,
      sym_let_and_operator,
    STATE(15689), 1,
      aux_sym_value_definition_repeat1,
    STATE(15855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704757] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21087), 1,
      anon_sym_with,
    STATE(15856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704780] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21089), 1,
      anon_sym_GT_RBRACE,
    STATE(15857), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704803] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21091), 1,
      anon_sym_with,
    STATE(15858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704826] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21093), 1,
      anon_sym_with,
    STATE(15859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704849] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21095), 1,
      anon_sym_with,
    STATE(15860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704872] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21097), 1,
      anon_sym_with,
    STATE(15861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704895] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19354), 1,
      sym__lowercase_identifier,
    STATE(4941), 1,
      sym_class_path,
    STATE(15862), 1,
      sym_attribute,
    STATE(19525), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704918] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21099), 1,
      anon_sym_with,
    STATE(15863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704941] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21101), 1,
      anon_sym_with,
    STATE(15864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704964] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20285), 1,
      sym__lowercase_identifier,
    ACTIONS(20289), 1,
      anon_sym_mutable,
    ACTIONS(21103), 1,
      anon_sym_RBRACE,
    STATE(15865), 1,
      sym_attribute,
    STATE(17747), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704987] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21105), 1,
      anon_sym_with,
    STATE(15866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705010] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21107), 1,
      anon_sym_RBRACK,
    ACTIONS(21109), 1,
      anon_sym_GT,
    STATE(15391), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705033] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21111), 1,
      anon_sym_with,
    STATE(15868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705056] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(21113), 1,
      anon_sym_COLON_GT,
    ACTIONS(21115), 1,
      anon_sym_RPAREN,
    STATE(15869), 1,
      sym_attribute,
    STATE(18385), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705079] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21117), 1,
      anon_sym_with,
    STATE(15870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705102] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21119), 1,
      sym__lowercase_identifier,
    ACTIONS(21121), 1,
      anon_sym_LPAREN,
    STATE(9209), 1,
      sym__value_name,
    STATE(9238), 1,
      sym_parenthesized_operator,
    STATE(15871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705125] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19200), 1,
      sym__lowercase_identifier,
    STATE(10300), 1,
      sym_class_path,
    STATE(15872), 1,
      sym_attribute,
    STATE(21327), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705148] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19397), 1,
      sym__lowercase_identifier,
    STATE(3698), 1,
      sym_class_path,
    STATE(15873), 1,
      sym_attribute,
    STATE(18574), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705171] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21123), 1,
      anon_sym_with,
    STATE(15874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705194] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21125), 1,
      anon_sym_with,
    STATE(15875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705217] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20871), 1,
      sym__lowercase_identifier,
    STATE(9804), 1,
      sym_class_type_path,
    STATE(15876), 1,
      sym_attribute,
    STATE(17622), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705240] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20871), 1,
      sym__lowercase_identifier,
    STATE(9879), 1,
      sym_class_type_path,
    STATE(15877), 1,
      sym_attribute,
    STATE(17622), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705263] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20871), 1,
      sym__lowercase_identifier,
    STATE(9710), 1,
      sym_class_type_path,
    STATE(15878), 1,
      sym_attribute,
    STATE(17622), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705286] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21127), 1,
      anon_sym_with,
    STATE(15879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705309] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21129), 1,
      anon_sym_with,
    STATE(15880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705332] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21131), 1,
      anon_sym_GT_RBRACE,
    STATE(15881), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705355] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9616), 1,
      anon_sym_POUND,
    ACTIONS(19869), 1,
      anon_sym_DOT,
    ACTIONS(20085), 1,
      sym_hash_operator,
    ACTIONS(21133), 1,
      anon_sym_with,
    STATE(15882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705378] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21135), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705401] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21137), 1,
      anon_sym_GT_RBRACE,
    STATE(15884), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705424] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21139), 1,
      anon_sym_GT_RBRACE,
    STATE(15885), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705447] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21141), 1,
      anon_sym_DASH_GT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15886), 1,
      sym_attribute,
    STATE(15888), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705470] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21141), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705493] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21143), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705516] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(21145), 1,
      anon_sym_RBRACK,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15889), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705539] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21147), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705562] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21149), 1,
      anon_sym_RBRACK,
    ACTIONS(21151), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705585] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    ACTIONS(21149), 1,
      anon_sym_RBRACK,
    STATE(15773), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15892), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21153), 1,
      sym__lowercase_identifier,
    STATE(15477), 1,
      aux_sym_method_specification_repeat1,
    STATE(15893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19861), 2,
      anon_sym_private,
      anon_sym_virtual,
  [705629] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21155), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705652] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21157), 1,
      anon_sym_DOT,
    STATE(15801), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(15895), 1,
      sym_attribute,
    STATE(18232), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705675] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19228), 1,
      sym__lowercase_identifier,
    STATE(6592), 1,
      sym_class_path,
    STATE(15896), 1,
      sym_attribute,
    STATE(19682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705698] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21107), 1,
      anon_sym_RBRACK,
    ACTIONS(21109), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705721] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19290), 1,
      sym__lowercase_identifier,
    STATE(7440), 1,
      sym_class_path,
    STATE(15898), 1,
      sym_attribute,
    STATE(18851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705744] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20352), 1,
      sym__lowercase_identifier,
    STATE(10232), 1,
      sym_class_type_path,
    STATE(15899), 1,
      sym_attribute,
    STATE(17549), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705767] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(20009), 1,
      sym__lowercase_identifier,
    STATE(11737), 1,
      sym_class_type_path,
    STATE(15900), 1,
      sym_attribute,
    STATE(17491), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705790] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21159), 1,
      anon_sym_RPAREN,
    STATE(15901), 1,
      sym_attribute,
    STATE(17192), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705813] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(21161), 1,
      sym__lowercase_identifier,
    STATE(15902), 1,
      sym_attribute,
    STATE(17409), 1,
      sym_extended_module_path,
    STATE(21214), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705836] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9941), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21163), 1,
      anon_sym_GT,
    STATE(15903), 1,
      sym_attribute,
    STATE(15928), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705859] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(20047), 1,
      sym__lowercase_identifier,
    STATE(15904), 1,
      sym_attribute,
    STATE(17607), 1,
      sym_extended_module_path,
    STATE(18418), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705882] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19447), 1,
      sym__lowercase_identifier,
    STATE(7275), 1,
      sym_class_path,
    STATE(15905), 1,
      sym_attribute,
    STATE(19900), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705905] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18320), 1,
      anon_sym_COLON2,
    ACTIONS(21165), 1,
      anon_sym_COLON_GT,
    ACTIONS(21167), 1,
      anon_sym_RPAREN,
    STATE(15906), 1,
      sym_attribute,
    STATE(18440), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705928] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20534), 1,
      anon_sym_LPAREN,
    ACTIONS(21169), 1,
      sym__lowercase_identifier,
    STATE(14781), 1,
      sym_parenthesized_operator,
    STATE(14823), 1,
      sym__value_name,
    STATE(15907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705951] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(15908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21324), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [705972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(15909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13757), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [705993] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14112), 1,
      anon_sym_in,
    ACTIONS(17122), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15164), 1,
      aux_sym_expression_item_repeat1,
    STATE(15910), 1,
      sym_attribute,
    STATE(15954), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706016] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21171), 1,
      anon_sym_DASH_GT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15911), 1,
      sym_attribute,
    STATE(15913), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706039] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21171), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706062] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21173), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706085] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(20047), 1,
      sym__lowercase_identifier,
    STATE(15914), 1,
      sym_attribute,
    STATE(17607), 1,
      sym_extended_module_path,
    STATE(18443), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706108] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(15915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21337), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [706129] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(19755), 1,
      anon_sym_BANG,
    ACTIONS(19757), 1,
      anon_sym__,
    STATE(15031), 1,
      sym_type_variable,
    STATE(15916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706152] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21175), 1,
      anon_sym_DASH_GT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15917), 1,
      sym_attribute,
    STATE(15919), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706175] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21175), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706198] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21177), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706221] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(20047), 1,
      sym__lowercase_identifier,
    STATE(15920), 1,
      sym_attribute,
    STATE(17607), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706244] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    ACTIONS(19250), 1,
      anon_sym_LPAREN,
    STATE(15921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21346), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [706265] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21179), 1,
      anon_sym_GT_RBRACE,
    STATE(15922), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706288] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21181), 1,
      anon_sym_RBRACK,
    ACTIONS(21183), 1,
      anon_sym_GT,
    STATE(15525), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706311] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21185), 1,
      anon_sym_DASH_GT,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15924), 1,
      sym_attribute,
    STATE(15926), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706334] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21185), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706357] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    ACTIONS(21187), 1,
      anon_sym_DASH_GT,
    STATE(9701), 1,
      aux_sym_module_binding_repeat1,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706380] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12479), 1,
      sym__uppercase_identifier,
    ACTIONS(20047), 1,
      sym__lowercase_identifier,
    STATE(15927), 1,
      sym_attribute,
    STATE(17607), 1,
      sym_extended_module_path,
    STATE(18454), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706403] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21181), 1,
      anon_sym_RBRACK,
    ACTIONS(21183), 1,
      anon_sym_GT,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706426] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21189), 1,
      anon_sym_rec,
    STATE(13554), 1,
      sym_module_binding,
    STATE(15929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19161), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [706447] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21191), 1,
      anon_sym_GT,
    STATE(15897), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706470] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    ACTIONS(21193), 1,
      anon_sym_GT_RBRACE,
    STATE(15931), 1,
      sym_attribute,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706493] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21195), 1,
      anon_sym_rec,
    STATE(13556), 1,
      sym_module_binding,
    STATE(15932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19167), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [706514] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21197), 1,
      anon_sym_rec,
    STATE(12736), 1,
      sym_module_binding,
    STATE(15933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19173), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [706535] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    ACTIONS(21199), 1,
      sym__lowercase_identifier,
    STATE(5706), 1,
      sym_type_constructor_path,
    STATE(15934), 1,
      sym_attribute,
    STATE(17602), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706558] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    STATE(15935), 1,
      sym_attribute,
    STATE(18466), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21201), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706579] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    STATE(15936), 1,
      sym_attribute,
    STATE(18468), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21203), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15673), 1,
      anon_sym_PERCENT,
    STATE(15937), 1,
      sym_attribute,
    STATE(17934), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21205), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [706621] = 7,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(19439), 1,
      sym__lowercase_identifier,
    STATE(3851), 1,
      sym_class_path,
    STATE(15938), 1,
      sym_attribute,
    STATE(19643), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706644] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21207), 1,
      sym__lowercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    STATE(15939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13997), 1,
      sym__type_equation,
    STATE(15940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21211), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [706682] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20152), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21213), 1,
      anon_sym_SEMI,
    STATE(15941), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706702] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19308), 1,
      anon_sym_RBRACE,
    ACTIONS(21215), 1,
      anon_sym_SEMI,
    STATE(15942), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706722] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21217), 1,
      anon_sym_SEMI,
    ACTIONS(21219), 1,
      anon_sym_RBRACE,
    STATE(15943), 1,
      sym_attribute,
    STATE(15978), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706742] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15567), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(15944), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706762] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21221), 1,
      anon_sym_SEMI,
    ACTIONS(21223), 1,
      anon_sym_RBRACE,
    STATE(15945), 1,
      sym_attribute,
    STATE(15955), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706782] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21225), 1,
      sym__lowercase_identifier,
    STATE(15946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706802] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21227), 1,
      anon_sym_RPAREN,
    STATE(15947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706822] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(21231), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(15948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706842] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21233), 1,
      anon_sym_SEMI,
    ACTIONS(21235), 1,
      anon_sym_GT_RBRACE,
    STATE(15949), 1,
      sym_attribute,
    STATE(15960), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706862] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21237), 1,
      anon_sym_RPAREN,
    ACTIONS(21239), 1,
      anon_sym_COLON2,
    STATE(15950), 1,
      sym_attribute,
    STATE(20487), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706882] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20162), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706902] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21241), 1,
      anon_sym_RBRACK,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706922] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3637), 1,
      anon_sym_RBRACK,
    ACTIONS(21243), 1,
      anon_sym_SEMI,
    STATE(15953), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706942] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12547), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [706958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19262), 1,
      anon_sym_RBRACE,
    ACTIONS(21245), 1,
      anon_sym_SEMI,
    STATE(15955), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(15956), 1,
      sym_attribute,
    STATE(15976), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20162), 1,
      anon_sym_RBRACK,
    STATE(15957), 1,
      sym_attribute,
    STATE(16081), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21247), 1,
      anon_sym_SEMI,
    STATE(15958), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707038] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19605), 1,
      anon_sym_RBRACE,
    ACTIONS(21249), 1,
      anon_sym_SEMI,
    STATE(15959), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707058] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20905), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21251), 1,
      anon_sym_SEMI,
    STATE(15960), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707078] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18492), 1,
      anon_sym_SEMI,
    ACTIONS(18494), 1,
      anon_sym_GT,
    STATE(15961), 1,
      sym_attribute,
    STATE(15980), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707098] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21253), 1,
      anon_sym_SEMI,
    ACTIONS(21255), 1,
      anon_sym_RBRACE,
    STATE(15962), 1,
      sym_attribute,
    STATE(15968), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707118] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20397), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21257), 1,
      anon_sym_SEMI,
    STATE(15963), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707138] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19284), 1,
      anon_sym_RBRACE,
    ACTIONS(21259), 1,
      anon_sym_SEMI,
    STATE(15964), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707158] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21261), 1,
      sym__lowercase_identifier,
    STATE(15965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707178] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21263), 1,
      sym__lowercase_identifier,
    STATE(15966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707198] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9846), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(15967), 1,
      sym_attribute,
    STATE(15991), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707218] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19413), 1,
      anon_sym_RBRACE,
    ACTIONS(21265), 1,
      anon_sym_SEMI,
    STATE(15968), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707238] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18508), 1,
      anon_sym_SEMI,
    ACTIONS(18510), 1,
      anon_sym_GT,
    STATE(15969), 1,
      sym_attribute,
    STATE(16005), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707258] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21267), 1,
      anon_sym_RPAREN,
    STATE(15970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21269), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [707276] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21271), 1,
      sym__lowercase_identifier,
    STATE(15971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707296] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21273), 1,
      anon_sym_RPAREN,
    STATE(15972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707316] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21275), 1,
      anon_sym_RBRACK,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707336] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21277), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707356] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20927), 1,
      anon_sym_RBRACK,
    STATE(15975), 1,
      sym_attribute,
    STATE(16007), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707376] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20927), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707396] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19513), 1,
      anon_sym_RBRACE,
    ACTIONS(21279), 1,
      anon_sym_SEMI,
    STATE(15977), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707416] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19208), 1,
      anon_sym_RBRACE,
    ACTIONS(21281), 1,
      anon_sym_SEMI,
    STATE(15978), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707436] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9850), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(15979), 1,
      sym_attribute,
    STATE(15996), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707456] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11622), 1,
      anon_sym_GT,
    ACTIONS(21283), 1,
      anon_sym_SEMI,
    STATE(15980), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15282), 1,
      anon_sym_in,
    ACTIONS(21285), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15981), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [707494] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18353), 1,
      anon_sym_SEMI,
    ACTIONS(18355), 1,
      anon_sym_GT,
    STATE(15982), 1,
      sym_attribute,
    STATE(16001), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707514] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15800), 1,
      anon_sym_in,
    ACTIONS(21288), 1,
      anon_sym_and,
    STATE(15983), 1,
      sym_attribute,
    STATE(16076), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707534] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20950), 1,
      anon_sym_RBRACE,
    ACTIONS(21290), 1,
      anon_sym_SEMI,
    STATE(15984), 1,
      sym_attribute,
    STATE(16318), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10978), 1,
      sym_attribute_id,
    STATE(15985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21292), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707572] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21294), 1,
      anon_sym_RPAREN,
    STATE(15986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707592] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21296), 1,
      sym__lowercase_identifier,
    STATE(15987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707612] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21298), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707632] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20431), 1,
      anon_sym_RBRACK,
    STATE(15989), 1,
      sym_attribute,
    STATE(16056), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(15990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [707670] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20431), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707690] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21302), 1,
      aux_sym_quoted_extension_token1,
    STATE(15992), 1,
      sym_attribute,
    STATE(19118), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707710] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21304), 1,
      anon_sym_RPAREN,
    STATE(15993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707730] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21306), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(15994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707750] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20427), 1,
      anon_sym_RBRACK,
    STATE(15995), 1,
      sym_attribute,
    STATE(16017), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707770] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20427), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707790] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19330), 1,
      anon_sym_RBRACE,
    ACTIONS(21308), 1,
      anon_sym_SEMI,
    STATE(15997), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707810] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3253), 1,
      anon_sym_RBRACK,
    ACTIONS(21310), 1,
      anon_sym_SEMI,
    STATE(15998), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707830] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21312), 1,
      anon_sym_SEMI,
    ACTIONS(21314), 1,
      anon_sym_RBRACE,
    STATE(15999), 1,
      sym_attribute,
    STATE(16021), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707850] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15682), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16000), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11742), 1,
      anon_sym_GT,
    ACTIONS(21316), 1,
      anon_sym_SEMI,
    STATE(16001), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707890] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19340), 1,
      anon_sym_RBRACE,
    ACTIONS(21318), 1,
      anon_sym_SEMI,
    STATE(16002), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707910] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15697), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16003), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707930] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21320), 1,
      anon_sym_SEMI,
    ACTIONS(21322), 1,
      anon_sym_GT_RBRACE,
    STATE(16004), 1,
      sym_attribute,
    STATE(16040), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707950] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11738), 1,
      anon_sym_GT,
    ACTIONS(21324), 1,
      anon_sym_SEMI,
    STATE(16005), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707970] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21326), 1,
      anon_sym_RPAREN,
    STATE(16006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707990] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20970), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708010] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21328), 1,
      anon_sym_SEMI,
    ACTIONS(21330), 1,
      anon_sym_RBRACE,
    STATE(16008), 1,
      sym_attribute,
    STATE(16023), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15722), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16009), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20970), 1,
      anon_sym_RBRACK,
    STATE(16010), 1,
      sym_attribute,
    STATE(16044), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19193), 1,
      anon_sym_RBRACE,
    ACTIONS(21332), 1,
      anon_sym_SEMI,
    STATE(16011), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708090] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21334), 1,
      anon_sym__,
    STATE(15067), 1,
      sym_type_variable,
    STATE(16012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708110] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21336), 1,
      anon_sym_RPAREN,
    STATE(16013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708130] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21338), 1,
      anon_sym_SEMI,
    ACTIONS(21340), 1,
      anon_sym_GT_RBRACE,
    STATE(16014), 1,
      sym_attribute,
    STATE(16028), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708150] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21342), 1,
      anon_sym_SEMI,
    ACTIONS(21344), 1,
      anon_sym_RBRACE,
    STATE(16015), 1,
      sym_attribute,
    STATE(16319), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708170] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21346), 1,
      anon_sym_RPAREN,
    STATE(16016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708190] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20451), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708210] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20451), 1,
      anon_sym_RBRACK,
    STATE(16018), 1,
      sym_attribute,
    STATE(16030), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20717), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21348), 1,
      anon_sym_SEMI,
    STATE(16019), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708250] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3277), 1,
      anon_sym_RBRACK,
    ACTIONS(21350), 1,
      anon_sym_SEMI,
    STATE(16020), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708270] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19441), 1,
      anon_sym_RBRACE,
    ACTIONS(21352), 1,
      anon_sym_SEMI,
    STATE(16021), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708290] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3337), 1,
      anon_sym_RBRACK,
    ACTIONS(21354), 1,
      anon_sym_SEMI,
    STATE(16022), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708310] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19575), 1,
      anon_sym_RBRACE,
    ACTIONS(21356), 1,
      anon_sym_SEMI,
    STATE(16023), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708330] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3339), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21358), 1,
      anon_sym_SEMI,
    STATE(16024), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708350] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(16025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [708368] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21360), 1,
      aux_sym_quoted_extension_token1,
    STATE(16026), 1,
      sym_attribute,
    STATE(20351), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708388] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21362), 1,
      anon_sym_RBRACK,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708408] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20460), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21364), 1,
      anon_sym_SEMI,
    STATE(16028), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708428] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19541), 1,
      anon_sym_RBRACE,
    ACTIONS(21366), 1,
      anon_sym_SEMI,
    STATE(16029), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20466), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15809), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16031), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3279), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21368), 1,
      anon_sym_SEMI,
    STATE(16032), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21370), 1,
      anon_sym_SEMI,
    ACTIONS(21372), 1,
      anon_sym_RBRACE,
    STATE(16033), 1,
      sym_attribute,
    STATE(16047), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19254), 1,
      anon_sym_RBRACE,
    ACTIONS(21374), 1,
      anon_sym_SEMI,
    STATE(16034), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21376), 1,
      anon_sym_LPAREN,
    ACTIONS(21378), 1,
      anon_sym_LBRACK,
    ACTIONS(21380), 1,
      anon_sym_LBRACE,
    STATE(16035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708568] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15827), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16036), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11586), 1,
      anon_sym_STAR,
    ACTIONS(13384), 1,
      anon_sym_DASH_GT,
    STATE(16037), 1,
      sym_attribute,
    STATE(16282), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21382), 1,
      anon_sym_SEMI,
    ACTIONS(21384), 1,
      anon_sym_RBRACE,
    STATE(16038), 1,
      sym_attribute,
    STATE(16087), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21386), 1,
      anon_sym_SEMI,
    STATE(16039), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21049), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21388), 1,
      anon_sym_SEMI,
    STATE(16040), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21390), 1,
      sym__lowercase_identifier,
    STATE(16041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15844), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16042), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21392), 1,
      anon_sym_SEMI,
    ACTIONS(21394), 1,
      anon_sym_RBRACE,
    STATE(16043), 1,
      sym_attribute,
    STATE(16078), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21077), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21396), 1,
      anon_sym_SEMI,
    ACTIONS(21398), 1,
      anon_sym_RBRACE,
    STATE(16045), 1,
      sym_attribute,
    STATE(16959), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708768] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21400), 1,
      anon_sym_RPAREN,
    STATE(16046), 1,
      sym_attribute,
    STATE(20148), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708788] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19603), 1,
      anon_sym_RBRACE,
    ACTIONS(21402), 1,
      anon_sym_SEMI,
    STATE(16047), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21404), 1,
      sym__lowercase_identifier,
    ACTIONS(21406), 1,
      anon_sym_LPAREN,
    STATE(7756), 1,
      sym__simple_value_pattern,
    STATE(16048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21408), 1,
      anon_sym_SEMI,
    ACTIONS(21410), 1,
      anon_sym_GT_RBRACE,
    STATE(16049), 1,
      sym_attribute,
    STATE(16124), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21412), 1,
      anon_sym_SEMI,
    ACTIONS(21414), 1,
      anon_sym_RBRACE,
    STATE(16050), 1,
      sym_attribute,
    STATE(16069), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21416), 1,
      sym__lowercase_identifier,
    ACTIONS(21418), 1,
      anon_sym_LPAREN,
    STATE(9168), 1,
      sym__simple_value_pattern,
    STATE(16051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21420), 1,
      anon_sym_SEMI,
    ACTIONS(21422), 1,
      anon_sym_RBRACE,
    STATE(16052), 1,
      sym_attribute,
    STATE(16864), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708908] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21424), 1,
      anon_sym_SEMI,
    ACTIONS(21426), 1,
      anon_sym_GT_RBRACE,
    STATE(16053), 1,
      sym_attribute,
    STATE(16096), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21428), 1,
      sym__lowercase_identifier,
    STATE(16054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708948] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21430), 1,
      anon_sym_RPAREN,
    STATE(16055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708968] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20486), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(16057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709006] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20486), 1,
      anon_sym_RBRACK,
    STATE(16058), 1,
      sym_attribute,
    STATE(16130), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709026] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(16059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21432), 1,
      anon_sym_SEMI,
    ACTIONS(21434), 1,
      anon_sym_RBRACE,
    STATE(16060), 1,
      sym_attribute,
    STATE(16117), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21436), 1,
      aux_sym_quoted_extension_token1,
    STATE(16061), 1,
      sym_attribute,
    STATE(21418), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709084] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21438), 1,
      aux_sym_quoted_extension_token1,
    STATE(16062), 1,
      sym_attribute,
    STATE(20170), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709104] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21440), 1,
      anon_sym_RPAREN,
    STATE(16063), 1,
      sym_attribute,
    STATE(20221), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709124] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21442), 1,
      anon_sym_SEMI,
    ACTIONS(21444), 1,
      anon_sym_RBRACE,
    STATE(16064), 1,
      sym_attribute,
    STATE(16140), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709144] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15625), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16065), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21448), 1,
      anon_sym_LBRACK,
    STATE(16066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21446), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [709182] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21450), 1,
      anon_sym_LPAREN,
    ACTIONS(21452), 1,
      anon_sym_LBRACK,
    ACTIONS(21454), 1,
      anon_sym_LBRACE,
    STATE(16067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21456), 1,
      anon_sym_EQ,
    STATE(16068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21458), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [709220] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19531), 1,
      anon_sym_RBRACE,
    ACTIONS(21460), 1,
      anon_sym_SEMI,
    STATE(16069), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709240] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20264), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21462), 1,
      anon_sym_SEMI,
    STATE(16070), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709260] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21464), 1,
      anon_sym_SEMI,
    ACTIONS(21466), 1,
      anon_sym_RBRACE,
    STATE(16071), 1,
      sym_attribute,
    STATE(16159), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15407), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16072), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21468), 1,
      anon_sym_RPAREN,
    STATE(16073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709320] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15892), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16074), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709340] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3553), 1,
      anon_sym_RBRACK,
    ACTIONS(21470), 1,
      anon_sym_SEMI,
    STATE(16075), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709360] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15825), 1,
      anon_sym_in,
    ACTIONS(21288), 1,
      anon_sym_and,
    STATE(15981), 1,
      aux_sym_module_definition_repeat1,
    STATE(16076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16077), 1,
      sym_attribute,
    STATE(16095), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19613), 1,
      anon_sym_RBRACE,
    ACTIONS(21472), 1,
      anon_sym_SEMI,
    STATE(16078), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709420] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15590), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16079), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709440] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20819), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709460] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20274), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709480] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18524), 1,
      anon_sym_SEMI,
    ACTIONS(18526), 1,
      anon_sym_GT,
    STATE(16082), 1,
      sym_attribute,
    STATE(16099), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709500] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15363), 1,
      aux_sym_module_binding_repeat1,
    STATE(16083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3555), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21474), 1,
      anon_sym_SEMI,
    STATE(16084), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20516), 1,
      anon_sym_RBRACK,
    STATE(16085), 1,
      sym_attribute,
    STATE(16286), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709560] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_RBRACK,
    ACTIONS(21476), 1,
      anon_sym_SEMI,
    STATE(16086), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19579), 1,
      anon_sym_RBRACE,
    ACTIONS(21478), 1,
      anon_sym_SEMI,
    STATE(16087), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21480), 1,
      anon_sym_SEMI,
    ACTIONS(21482), 1,
      anon_sym_GT_RBRACE,
    STATE(16088), 1,
      sym_attribute,
    STATE(16232), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709620] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(16089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21484), 1,
      anon_sym_SEMI,
    ACTIONS(21486), 1,
      anon_sym_RBRACE,
    STATE(16090), 1,
      sym_attribute,
    STATE(16475), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709658] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15696), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16091), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709678] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21488), 1,
      anon_sym_RPAREN,
    STATE(16092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709698] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21490), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709718] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20506), 1,
      anon_sym_RBRACK,
    STATE(16094), 1,
      sym_attribute,
    STATE(16120), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709738] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20506), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20295), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21492), 1,
      anon_sym_SEMI,
    STATE(16096), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(16097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [709796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21494), 1,
      anon_sym_RPAREN,
    STATE(16098), 1,
      sym_attribute,
    STATE(21108), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709816] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11554), 1,
      anon_sym_GT,
    ACTIONS(21496), 1,
      anon_sym_SEMI,
    STATE(16099), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709836] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21498), 1,
      aux_sym_quoted_extension_token1,
    STATE(16100), 1,
      sym_attribute,
    STATE(18793), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15322), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16101), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709876] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21500), 1,
      anon_sym_SEMI,
    ACTIONS(21502), 1,
      anon_sym_RBRACE,
    STATE(16102), 1,
      sym_attribute,
    STATE(16112), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709896] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19461), 1,
      anon_sym_RBRACE,
    ACTIONS(21504), 1,
      anon_sym_SEMI,
    STATE(16103), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21506), 1,
      anon_sym_SEMI,
    STATE(16104), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709936] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21508), 1,
      anon_sym_SEMI,
    ACTIONS(21510), 1,
      anon_sym_RBRACE,
    STATE(16105), 1,
      sym_attribute,
    STATE(16128), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15373), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16106), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21512), 1,
      anon_sym_SEMI,
    ACTIONS(21514), 1,
      anon_sym_RBRACE,
    STATE(16107), 1,
      sym_attribute,
    STATE(16148), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13513), 1,
      sym_attribute_id,
    STATE(16108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21516), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710014] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21518), 1,
      anon_sym_SEMI,
    ACTIONS(21520), 1,
      anon_sym_RBRACE,
    STATE(15997), 1,
      aux_sym_record_expression_repeat1,
    STATE(16109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710034] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3233), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21522), 1,
      anon_sym_SEMI,
    STATE(16110), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21524), 1,
      sym__lowercase_identifier,
    STATE(16111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710074] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19589), 1,
      anon_sym_RBRACE,
    ACTIONS(21526), 1,
      anon_sym_SEMI,
    STATE(16112), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15406), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16113), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21528), 1,
      anon_sym_SEMI,
    ACTIONS(21530), 1,
      anon_sym_GT_RBRACE,
    STATE(16114), 1,
      sym_attribute,
    STATE(16452), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710134] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3519), 1,
      anon_sym_RBRACK,
    ACTIONS(21532), 1,
      anon_sym_SEMI,
    STATE(16115), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710154] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21534), 1,
      anon_sym_SEMI,
    ACTIONS(21536), 1,
      anon_sym_GT_RBRACE,
    STATE(16116), 1,
      sym_attribute,
    STATE(16137), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19593), 1,
      anon_sym_RBRACE,
    ACTIONS(21538), 1,
      anon_sym_SEMI,
    STATE(16117), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21540), 1,
      sym__lowercase_identifier,
    STATE(16118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21542), 1,
      anon_sym_RPAREN,
    STATE(16119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710234] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20007), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710254] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20007), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16121), 1,
      sym_attribute,
    STATE(16141), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710274] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20111), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [710290] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(21544), 1,
      anon_sym_RBRACK,
    STATE(16123), 1,
      sym_attribute,
    STATE(16168), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710310] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20528), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21546), 1,
      anon_sym_SEMI,
    STATE(16124), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(16125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [710348] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3349), 1,
      anon_sym_RBRACK,
    ACTIONS(21548), 1,
      anon_sym_SEMI,
    STATE(16126), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710368] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_DQUOTE,
    STATE(10563), 1,
      aux_sym_external_repeat1,
    STATE(12298), 1,
      sym_string,
    STATE(16127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710388] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19336), 1,
      anon_sym_RBRACE,
    ACTIONS(21550), 1,
      anon_sym_SEMI,
    STATE(16128), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710408] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21552), 1,
      aux_sym_quoted_extension_token1,
    STATE(16129), 1,
      sym_attribute,
    STATE(18778), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710428] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20536), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(21554), 1,
      anon_sym_RPAREN,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(16131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3351), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21556), 1,
      anon_sym_SEMI,
    STATE(16132), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21558), 1,
      anon_sym_RPAREN,
    STATE(16133), 1,
      sym_attribute,
    STATE(18482), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15629), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16134), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8588), 1,
      anon_sym_RBRACK,
    ACTIONS(21560), 1,
      anon_sym_SEMI,
    STATE(16135), 1,
      sym_attribute,
    STATE(16488), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18460), 1,
      anon_sym_SEMI,
    ACTIONS(18462), 1,
      anon_sym_GT,
    STATE(16136), 1,
      sym_attribute,
    STATE(16283), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710568] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20538), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21562), 1,
      anon_sym_SEMI,
    STATE(16137), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15656), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16138), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21564), 1,
      anon_sym_RPAREN,
    STATE(16139), 1,
      sym_attribute,
    STATE(21411), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18672), 1,
      anon_sym_RBRACE,
    ACTIONS(21566), 1,
      anon_sym_SEMI,
    STATE(16140), 1,
      sym_attribute,
    STATE(16543), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20546), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8610), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21568), 1,
      anon_sym_SEMI,
    STATE(16142), 1,
      sym_attribute,
    STATE(16185), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(21570), 1,
      anon_sym_type,
    STATE(16143), 1,
      sym_attribute,
    STATE(16350), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15549), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16144), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8590), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21572), 1,
      anon_sym_SEMI,
    STATE(16145), 1,
      sym_attribute,
    STATE(16185), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15669), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16146), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710768] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21574), 1,
      anon_sym_SEMI,
    ACTIONS(21576), 1,
      anon_sym_RBRACE,
    STATE(16147), 1,
      sym_attribute,
    STATE(16157), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710788] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19409), 1,
      anon_sym_RBRACE,
    ACTIONS(21578), 1,
      anon_sym_SEMI,
    STATE(16148), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710808] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21580), 1,
      aux_sym_quoted_extension_token1,
    STATE(16149), 1,
      sym_attribute,
    STATE(19761), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21582), 1,
      anon_sym_SEMI,
    ACTIONS(21585), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16150), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [710846] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3521), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21587), 1,
      anon_sym_SEMI,
    STATE(16151), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710866] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20285), 1,
      sym__lowercase_identifier,
    ACTIONS(20289), 1,
      anon_sym_mutable,
    STATE(16152), 1,
      sym_attribute,
    STATE(16842), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710886] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20285), 1,
      sym__lowercase_identifier,
    ACTIONS(20289), 1,
      anon_sym_mutable,
    STATE(16045), 1,
      sym_field_declaration,
    STATE(16153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710906] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21589), 1,
      sym__lowercase_identifier,
    STATE(16154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710926] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21591), 1,
      anon_sym_SEMI,
    ACTIONS(21593), 1,
      anon_sym_RBRACE,
    STATE(16155), 1,
      sym_attribute,
    STATE(16180), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710946] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7869), 1,
      anon_sym_RBRACK,
    ACTIONS(21595), 1,
      anon_sym_SEMI,
    STATE(16156), 1,
      sym_attribute,
    STATE(16914), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710966] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19381), 1,
      anon_sym_RBRACE,
    ACTIONS(21597), 1,
      anon_sym_SEMI,
    STATE(16157), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710986] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21599), 1,
      anon_sym_RPAREN,
    STATE(16158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711006] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18813), 1,
      anon_sym_RBRACE,
    ACTIONS(21601), 1,
      anon_sym_SEMI,
    STATE(16159), 1,
      sym_attribute,
    STATE(16969), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711026] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(16160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21603), 1,
      anon_sym_RPAREN,
    STATE(16161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21605), 1,
      aux_sym_quoted_extension_token1,
    STATE(16162), 1,
      sym_attribute,
    STATE(18958), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711084] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7699), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21607), 1,
      anon_sym_SEMI,
    STATE(16163), 1,
      sym_attribute,
    STATE(16713), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(16164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711122] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [711138] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15796), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16166), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711158] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(16167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711176] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(21609), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(16168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711196] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21611), 1,
      anon_sym_SEMI,
    ACTIONS(21613), 1,
      anon_sym_RBRACE,
    STATE(16169), 1,
      sym_attribute,
    STATE(16224), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711216] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(21609), 1,
      anon_sym_RBRACK,
    STATE(16170), 1,
      sym_attribute,
    STATE(16188), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711236] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15848), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16171), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711256] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20378), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711276] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20378), 1,
      anon_sym_RBRACK,
    STATE(16173), 1,
      sym_attribute,
    STATE(16472), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711296] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21615), 1,
      anon_sym_SEMI,
    ACTIONS(21617), 1,
      anon_sym_GT_RBRACE,
    STATE(16174), 1,
      sym_attribute,
    STATE(16191), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711316] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8596), 1,
      anon_sym_RBRACK,
    ACTIONS(21619), 1,
      anon_sym_SEMI,
    STATE(16175), 1,
      sym_attribute,
    STATE(16488), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711336] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21621), 1,
      anon_sym_RBRACK,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711356] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(16177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711374] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_RBRACK,
    ACTIONS(21623), 1,
      anon_sym_SEMI,
    STATE(16178), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711394] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11023), 1,
      sym__type_equation,
    STATE(16179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21625), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [711412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19599), 1,
      anon_sym_RBRACE,
    ACTIONS(21627), 1,
      anon_sym_SEMI,
    STATE(16180), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711432] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21239), 1,
      anon_sym_COLON2,
    ACTIONS(21629), 1,
      anon_sym_RPAREN,
    STATE(16181), 1,
      sym_attribute,
    STATE(18609), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711452] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15889), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16182), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711472] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15455), 1,
      anon_sym_in,
    ACTIONS(21288), 1,
      anon_sym_and,
    STATE(16183), 1,
      sym_attribute,
    STATE(16261), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711492] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16184), 1,
      sym_attribute,
    STATE(16724), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19216), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21631), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16185), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [711530] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3567), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21634), 1,
      anon_sym_SEMI,
    STATE(16186), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711550] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3497), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21636), 1,
      anon_sym_SEMI,
    STATE(16187), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711570] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(21638), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(16188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711590] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21640), 1,
      anon_sym_RBRACK,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711610] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21642), 1,
      sym__lowercase_identifier,
    STATE(16190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711630] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20411), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21644), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711650] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(16192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21646), 1,
      anon_sym_RPAREN,
    STATE(16193), 1,
      sym_attribute,
    STATE(18665), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711688] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21648), 1,
      aux_sym_quoted_extension_token1,
    STATE(16194), 1,
      sym_attribute,
    STATE(20683), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711708] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16195), 1,
      sym_attribute,
    STATE(18357), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [711726] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9999), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16196), 1,
      sym_attribute,
    STATE(16230), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11024), 1,
      sym__type_equation,
    STATE(16197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21625), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [711764] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21650), 1,
      anon_sym_SEMI,
    ACTIONS(21652), 1,
      anon_sym_RBRACE,
    STATE(16198), 1,
      sym_attribute,
    STATE(16236), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711784] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15264), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16199), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711804] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18330), 1,
      anon_sym_SEMI,
    ACTIONS(18332), 1,
      anon_sym_GT,
    STATE(16200), 1,
      sym_attribute,
    STATE(16238), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711824] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9923), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16201), 1,
      sym_attribute,
    STATE(16220), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12435), 1,
      sym_module_binding,
    STATE(16202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19015), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [711862] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15271), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16203), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711882] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(16204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [711900] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15455), 1,
      anon_sym_in,
    ACTIONS(21288), 1,
      anon_sym_and,
    STATE(15981), 1,
      aux_sym_module_definition_repeat1,
    STATE(16205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711920] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18421), 1,
      anon_sym_SEMI,
    ACTIONS(18423), 1,
      anon_sym_GT,
    STATE(16206), 1,
      sym_attribute,
    STATE(16225), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711940] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21654), 1,
      anon_sym_SEMI,
    ACTIONS(21656), 1,
      anon_sym_RBRACE,
    STATE(16034), 1,
      aux_sym_record_expression_repeat1,
    STATE(16207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711960] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15983), 1,
      sym_module_binding,
    STATE(16208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [711978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15276), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16209), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12860), 1,
      sym_module_binding,
    STATE(16210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19015), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [712016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(11618), 1,
      anon_sym_DOT,
    ACTIONS(21658), 1,
      anon_sym_RPAREN,
    STATE(16211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21660), 1,
      anon_sym_SEMI,
    ACTIONS(21662), 1,
      anon_sym_RBRACE,
    STATE(16212), 1,
      sym_attribute,
    STATE(16617), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21664), 1,
      sym__lowercase_identifier,
    ACTIONS(21666), 1,
      anon_sym_LPAREN,
    STATE(10607), 1,
      sym__simple_value_pattern,
    STATE(16213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712076] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18003), 1,
      sym__uppercase_identifier,
    ACTIONS(19753), 1,
      anon_sym_LPAREN,
    STATE(9279), 1,
      sym__constructor_name,
    STATE(16214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16149), 1,
      sym_attribute_id,
    STATE(16215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21670), 1,
      anon_sym_RPAREN,
    STATE(16216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(16217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712152] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21672), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712172] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20610), 1,
      anon_sym_RBRACK,
    STATE(16219), 1,
      sym_attribute,
    STATE(16243), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712192] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20610), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712212] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21674), 1,
      aux_sym_quoted_extension_token1,
    STATE(16221), 1,
      sym_attribute,
    STATE(21198), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712232] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21239), 1,
      anon_sym_COLON2,
    ACTIONS(21676), 1,
      anon_sym_RPAREN,
    STATE(16222), 1,
      sym_attribute,
    STATE(18593), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712252] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21678), 1,
      anon_sym_RPAREN,
    STATE(16223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19264), 1,
      anon_sym_RBRACE,
    ACTIONS(21680), 1,
      anon_sym_SEMI,
    STATE(16224), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11666), 1,
      anon_sym_GT,
    ACTIONS(21682), 1,
      anon_sym_SEMI,
    STATE(16225), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712312] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15307), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16226), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15317), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16227), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21684), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712372] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20063), 1,
      anon_sym_RBRACK,
    STATE(16229), 1,
      sym_attribute,
    STATE(16271), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20063), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15326), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16231), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712432] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20921), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21686), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712452] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21688), 1,
      sym__lowercase_identifier,
    STATE(16233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712472] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21690), 1,
      anon_sym_SEMI,
    ACTIONS(21692), 1,
      anon_sym_RBRACE,
    STATE(16234), 1,
      sym_attribute,
    STATE(16251), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712492] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21694), 1,
      sym__lowercase_identifier,
    STATE(16235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712512] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19236), 1,
      anon_sym_RBRACE,
    ACTIONS(21696), 1,
      anon_sym_SEMI,
    STATE(16236), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(16237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712550] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11674), 1,
      anon_sym_GT,
    ACTIONS(21698), 1,
      anon_sym_SEMI,
    STATE(16238), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712570] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21700), 1,
      aux_sym_quoted_extension_token1,
    STATE(16239), 1,
      sym_attribute,
    STATE(18836), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712590] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21702), 1,
      anon_sym_SEMI,
    ACTIONS(21704), 1,
      anon_sym_GT_RBRACE,
    STATE(16240), 1,
      sym_attribute,
    STATE(16257), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712610] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15365), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16241), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712630] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21706), 1,
      anon_sym_RPAREN,
    STATE(16242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712650] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20630), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712670] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20630), 1,
      anon_sym_RBRACK,
    STATE(16244), 1,
      sym_attribute,
    STATE(16260), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712690] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15377), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16245), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712710] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20270), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21708), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712730] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20727), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21710), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712750] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21712), 1,
      anon_sym_SEMI,
    ACTIONS(21714), 1,
      anon_sym_RBRACE,
    STATE(16248), 1,
      sym_attribute,
    STATE(16768), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712770] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15380), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16249), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712790] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3361), 1,
      anon_sym_RBRACK,
    ACTIONS(21716), 1,
      anon_sym_SEMI,
    STATE(16250), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712810] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19571), 1,
      anon_sym_RBRACE,
    ACTIONS(21718), 1,
      anon_sym_SEMI,
    STATE(16251), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(16252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [712848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3363), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21720), 1,
      anon_sym_SEMI,
    STATE(16253), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712868] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21722), 1,
      aux_sym_quoted_extension_token1,
    STATE(16254), 1,
      sym_attribute,
    STATE(18672), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15423), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16255), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712908] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21724), 1,
      anon_sym_SEMI,
    ACTIONS(21726), 1,
      anon_sym_RBRACE,
    STATE(16256), 1,
      sym_attribute,
    STATE(16280), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20636), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21728), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712948] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9945), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16258), 1,
      sym_attribute,
    STATE(16313), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712968] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15429), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16259), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20642), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15800), 1,
      anon_sym_in,
    ACTIONS(21288), 1,
      anon_sym_and,
    STATE(15981), 1,
      aux_sym_module_definition_repeat1,
    STATE(16261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21730), 1,
      anon_sym_SEMI,
    ACTIONS(21732), 1,
      anon_sym_GT_RBRACE,
    STATE(16262), 1,
      sym_attribute,
    STATE(16296), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15434), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16263), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713068] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21734), 1,
      anon_sym_SEMI,
    ACTIONS(21736), 1,
      anon_sym_RBRACE,
    STATE(16264), 1,
      sym_attribute,
    STATE(16274), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18308), 1,
      anon_sym_SEMI,
    ACTIONS(18310), 1,
      anon_sym_GT,
    STATE(16265), 1,
      sym_attribute,
    STATE(16326), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713108] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21738), 1,
      aux_sym_quoted_extension_token1,
    STATE(16266), 1,
      sym_attribute,
    STATE(20007), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713128] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21740), 1,
      anon_sym_RPAREN,
    STATE(16267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(16268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713166] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21742), 1,
      aux_sym_quoted_extension_token1,
    STATE(16269), 1,
      sym_attribute,
    STATE(19461), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713186] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21744), 1,
      anon_sym_SEMI,
    ACTIONS(21746), 1,
      anon_sym_RBRACE,
    STATE(16270), 1,
      sym_attribute,
    STATE(17149), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713206] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20079), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713226] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15481), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16272), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713246] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20079), 1,
      anon_sym_RBRACK,
    STATE(16273), 1,
      sym_attribute,
    STATE(16299), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713266] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19457), 1,
      anon_sym_RBRACE,
    ACTIONS(21748), 1,
      anon_sym_SEMI,
    STATE(16274), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15485), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16275), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713306] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21750), 1,
      anon_sym_SEMI,
    ACTIONS(21752), 1,
      anon_sym_RBRACE,
    STATE(16276), 1,
      sym_attribute,
    STATE(16295), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713326] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18512), 1,
      anon_sym_SEMI,
    ACTIONS(18514), 1,
      anon_sym_GT,
    STATE(16277), 1,
      sym_attribute,
    STATE(16813), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713346] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15491), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16278), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713366] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3289), 1,
      anon_sym_RBRACK,
    ACTIONS(21754), 1,
      anon_sym_SEMI,
    STATE(16279), 1,
      sym_attribute,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713386] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19549), 1,
      anon_sym_RBRACE,
    ACTIONS(21756), 1,
      anon_sym_SEMI,
    STATE(16280), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(16281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12217), 1,
      anon_sym_DASH_GT,
    ACTIONS(21758), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16282), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [713442] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11816), 1,
      anon_sym_GT,
    ACTIONS(21761), 1,
      anon_sym_SEMI,
    STATE(16283), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713462] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21763), 1,
      aux_sym_quoted_extension_token1,
    STATE(16284), 1,
      sym_attribute,
    STATE(20409), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16854), 1,
      anon_sym_RBRACK,
    ACTIONS(21765), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16285), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [713500] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20334), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3291), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21768), 1,
      anon_sym_SEMI,
    STATE(16287), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21770), 1,
      sym__lowercase_identifier,
    STATE(16288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713560] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15218), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16289), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14275), 1,
      sym__type_equation,
    STATE(16290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21772), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [713598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10037), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16291), 1,
      sym_attribute,
    STATE(16347), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713618] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12581), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [713634] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15540), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16293), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713654] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21774), 1,
      anon_sym_RPAREN,
    STATE(16294), 1,
      sym_attribute,
    STATE(20613), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713674] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19503), 1,
      anon_sym_RBRACE,
    ACTIONS(21776), 1,
      anon_sym_SEMI,
    STATE(16295), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713694] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20093), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21778), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18399), 1,
      anon_sym_SEMI,
    ACTIONS(18401), 1,
      anon_sym_GT,
    STATE(16297), 1,
      sym_attribute,
    STATE(16368), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11068), 1,
      anon_sym_DOT,
    STATE(16298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21780), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [713752] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20095), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713772] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15547), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16300), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713792] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_RBRACK,
    ACTIONS(21782), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713812] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21784), 1,
      anon_sym_RPAREN,
    STATE(16302), 1,
      sym_attribute,
    STATE(20924), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(8467), 1,
      sym_attribute_id,
    STATE(16303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21786), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713850] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21788), 1,
      anon_sym_RPAREN,
    STATE(16304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713870] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21790), 1,
      anon_sym_SEMI,
    ACTIONS(21792), 1,
      anon_sym_RBRACE,
    STATE(16305), 1,
      sym_attribute,
    STATE(16332), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(16306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713908] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21794), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21796), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21798), 1,
      aux_sym_quoted_extension_token1,
    STATE(16309), 1,
      sym_attribute,
    STATE(18568), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713968] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20097), 1,
      anon_sym_RBRACK,
    STATE(16310), 1,
      sym_attribute,
    STATE(16408), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16311), 1,
      sym_attribute,
    STATE(16330), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15589), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16312), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20097), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21107), 1,
      anon_sym_RBRACK,
    STATE(16314), 1,
      sym_attribute,
    STATE(16927), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714068] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18520), 1,
      anon_sym_SEMI,
    ACTIONS(18522), 1,
      anon_sym_GT,
    STATE(16315), 1,
      sym_attribute,
    STATE(16336), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15593), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16316), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714108] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
    ACTIONS(21800), 1,
      anon_sym_SEMI,
    STATE(16317), 1,
      sym_attribute,
    STATE(16488), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714128] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21802), 1,
      anon_sym_SEMI,
    ACTIONS(21805), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16318), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [714146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19501), 1,
      anon_sym_RBRACE,
    ACTIONS(21807), 1,
      anon_sym_SEMI,
    STATE(16319), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714166] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21809), 1,
      anon_sym_SEMI,
    ACTIONS(21811), 1,
      anon_sym_RBRACE,
    STATE(16320), 1,
      sym_attribute,
    STATE(16349), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714186] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21813), 1,
      anon_sym_SEMI,
    ACTIONS(21815), 1,
      anon_sym_GT_RBRACE,
    STATE(15963), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714206] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21817), 1,
      sym__lowercase_identifier,
    STATE(16322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714226] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21819), 1,
      sym__lowercase_identifier,
    STATE(16323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714246] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15598), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16324), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714266] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21821), 1,
      anon_sym_RPAREN,
    STATE(16325), 1,
      sym_attribute,
    STATE(20988), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11526), 1,
      anon_sym_GT,
    ACTIONS(21823), 1,
      anon_sym_SEMI,
    STATE(16326), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714306] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21825), 1,
      anon_sym_RPAREN,
    STATE(16327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714326] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21827), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714346] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20694), 1,
      anon_sym_RBRACK,
    STATE(16329), 1,
      sym_attribute,
    STATE(16357), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714366] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20694), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(16331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714404] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      anon_sym_RBRACE,
    ACTIONS(21829), 1,
      anon_sym_SEMI,
    STATE(16332), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21831), 1,
      anon_sym_SEMI,
    ACTIONS(21833), 1,
      anon_sym_GT_RBRACE,
    STATE(16333), 1,
      sym_attribute,
    STATE(16375), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714444] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21835), 1,
      anon_sym_SEMI,
    ACTIONS(21837), 1,
      anon_sym_RBRACE,
    STATE(15964), 1,
      aux_sym_record_expression_repeat1,
    STATE(16334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714464] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21839), 1,
      aux_sym_quoted_extension_token1,
    STATE(16335), 1,
      sym_attribute,
    STATE(18894), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714484] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_GT,
    ACTIONS(21841), 1,
      anon_sym_SEMI,
    STATE(16336), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714504] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15641), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16337), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714524] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15647), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16338), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13951), 1,
      sym_attribute_id,
    STATE(16339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21843), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714562] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14007), 1,
      sym__type_equation,
    STATE(16340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21211), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [714580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21845), 1,
      anon_sym_SEMI,
    ACTIONS(21847), 1,
      anon_sym_RBRACE,
    STATE(16103), 1,
      aux_sym_record_expression_repeat1,
    STATE(16341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21849), 1,
      anon_sym_RPAREN,
    STATE(16342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714620] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21851), 1,
      anon_sym_SEMI,
    ACTIONS(21853), 1,
      anon_sym_RBRACE,
    STATE(16343), 1,
      sym_attribute,
    STATE(16367), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714640] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15651), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16344), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21855), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20709), 1,
      anon_sym_RBRACK,
    STATE(16346), 1,
      sym_attribute,
    STATE(16499), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20709), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3577), 1,
      anon_sym_RBRACK,
    ACTIONS(21857), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714740] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19210), 1,
      anon_sym_RBRACE,
    ACTIONS(21859), 1,
      anon_sym_SEMI,
    STATE(16349), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11068), 1,
      anon_sym_DOT,
    STATE(16350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21861), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [714778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(16351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21863), 1,
      anon_sym_SEMI,
    ACTIONS(21865), 1,
      anon_sym_GT_RBRACE,
    STATE(16352), 1,
      sym_attribute,
    STATE(16376), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714816] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21867), 1,
      aux_sym_quoted_extension_token1,
    STATE(16353), 1,
      sym_attribute,
    STATE(19223), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714836] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3697), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21869), 1,
      anon_sym_SEMI,
    STATE(16354), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21871), 1,
      anon_sym_RPAREN,
    STATE(16355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714876] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15678), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16356), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714896] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20713), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20713), 1,
      anon_sym_RBRACK,
    STATE(16358), 1,
      sym_attribute,
    STATE(16378), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714936] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18754), 1,
      anon_sym_RBRACE,
    ACTIONS(21873), 1,
      anon_sym_SEMI,
    STATE(16359), 1,
      sym_attribute,
    STATE(16543), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3579), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21875), 1,
      anon_sym_SEMI,
    STATE(16360), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15684), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16361), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21877), 1,
      anon_sym_EQ,
    STATE(16362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21879), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [715014] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8540), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21881), 1,
      anon_sym_SEMI,
    STATE(16185), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715034] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(21883), 1,
      anon_sym_RBRACK,
    STATE(16364), 1,
      sym_attribute,
    STATE(16992), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15687), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16365), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715074] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3373), 1,
      anon_sym_RBRACK,
    ACTIONS(21885), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19268), 1,
      anon_sym_RBRACE,
    ACTIONS(21887), 1,
      anon_sym_SEMI,
    STATE(16367), 1,
      sym_attribute,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11678), 1,
      anon_sym_GT,
    ACTIONS(21889), 1,
      anon_sym_SEMI,
    STATE(16368), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715134] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10001), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16369), 1,
      sym_attribute,
    STATE(16406), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715154] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3375), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(21891), 1,
      anon_sym_SEMI,
    STATE(16370), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19649), 1,
      sym__lowercase_identifier,
    STATE(16362), 1,
      sym__instance_variable_name,
    STATE(16371), 1,
      sym_attribute,
    STATE(17587), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(16372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715212] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21893), 1,
      aux_sym_quoted_extension_token1,
    STATE(16373), 1,
      sym_attribute,
    STATE(19561), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715232] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18488), 1,
      anon_sym_SEMI,
    ACTIONS(18490), 1,
      anon_sym_GT,
    STATE(16374), 1,
      sym_attribute,
    STATE(16409), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715252] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20566), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21895), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20723), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(21897), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15713), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16377), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715312] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20725), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715332] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21899), 1,
      anon_sym_SEMI,
    ACTIONS(21902), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16379), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [715350] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15721), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16380), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715370] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21904), 1,
      anon_sym_SEMI,
    ACTIONS(21906), 1,
      anon_sym_RBRACE,
    STATE(16381), 1,
      sym_attribute,
    STATE(16508), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715390] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21908), 1,
      anon_sym_SEMI,
    ACTIONS(21910), 1,
      anon_sym_RBRACE,
    STATE(16382), 1,
      sym_attribute,
    STATE(16391), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715410] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15725), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16383), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    STATE(16384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16382), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [715448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21912), 1,
      sym__lowercase_identifier,
    ACTIONS(21914), 1,
      anon_sym_LPAREN,
    STATE(8186), 1,
      sym__simple_value_pattern,
    STATE(16385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715468] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(16386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715486] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21916), 1,
      sym__lowercase_identifier,
    STATE(16387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715506] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21918), 1,
      anon_sym_RPAREN,
    STATE(16388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715526] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21920), 1,
      aux_sym_quoted_extension_token1,
    STATE(16389), 1,
      sym_attribute,
    STATE(19869), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    STATE(16390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16494), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [715564] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19597), 1,
      anon_sym_RBRACE,
    ACTIONS(21922), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715584] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15746), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16392), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715604] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21924), 1,
      anon_sym_SEMI,
    ACTIONS(21926), 1,
      anon_sym_GT_RBRACE,
    STATE(16246), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715624] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21928), 1,
      anon_sym_SEMI,
    ACTIONS(21930), 1,
      anon_sym_GT_RBRACE,
    STATE(16394), 1,
      sym_attribute,
    STATE(16604), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715644] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15755), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16395), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715664] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21932), 1,
      anon_sym_SEMI,
    ACTIONS(21934), 1,
      anon_sym_RBRACE,
    STATE(16396), 1,
      sym_attribute,
    STATE(16416), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15762), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16397), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11485), 1,
      sym_attribute_id,
    STATE(16398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21936), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715722] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21938), 1,
      anon_sym_SEMI,
    ACTIONS(21940), 1,
      anon_sym_GT_RBRACE,
    STATE(16247), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715742] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21942), 1,
      anon_sym_RPAREN,
    STATE(16400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715762] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21944), 1,
      anon_sym_RPAREN,
    STATE(16401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(16402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715800] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21946), 1,
      aux_sym_quoted_extension_token1,
    STATE(16403), 1,
      sym_attribute,
    STATE(20231), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715820] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21948), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715840] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20739), 1,
      anon_sym_RBRACK,
    STATE(16405), 1,
      sym_attribute,
    STATE(16460), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715860] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20739), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715880] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21950), 1,
      anon_sym_SEMI,
    ACTIONS(21952), 1,
      anon_sym_RBRACE,
    STATE(16407), 1,
      sym_attribute,
    STATE(16771), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715900] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20136), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715920] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11848), 1,
      anon_sym_GT,
    ACTIONS(21954), 1,
      anon_sym_SEMI,
    STATE(16409), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715940] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9866), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16410), 1,
      sym_attribute,
    STATE(16439), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715960] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(21956), 1,
      sym__lowercase_identifier,
    STATE(16411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715980] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(16412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [715998] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21958), 1,
      aux_sym_quoted_extension_token1,
    STATE(16413), 1,
      sym_attribute,
    STATE(20367), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20136), 1,
      anon_sym_RBRACK,
    STATE(16414), 1,
      sym_attribute,
    STATE(16612), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716038] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18381), 1,
      anon_sym_SEMI,
    ACTIONS(18383), 1,
      anon_sym_GT,
    STATE(16415), 1,
      sym_attribute,
    STATE(16451), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716058] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19645), 1,
      anon_sym_RBRACE,
    ACTIONS(21960), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716078] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9949), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16417), 1,
      sym_attribute,
    STATE(16431), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716098] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10003), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16418), 1,
      sym_attribute,
    STATE(16534), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716118] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21962), 1,
      anon_sym_RPAREN,
    STATE(16419), 1,
      sym_attribute,
    STATE(21433), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716138] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18480), 1,
      anon_sym_SEMI,
    ACTIONS(18482), 1,
      anon_sym_GT,
    STATE(16420), 1,
      sym_attribute,
    STATE(16435), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716158] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20285), 1,
      sym__lowercase_identifier,
    ACTIONS(20289), 1,
      anon_sym_mutable,
    STATE(16421), 1,
      sym_attribute,
    STATE(17747), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716178] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(16422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716196] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21964), 1,
      aux_sym_quoted_extension_token1,
    STATE(16423), 1,
      sym_attribute,
    STATE(20513), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716216] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21966), 1,
      anon_sym_SEMI,
    ACTIONS(21968), 1,
      anon_sym_RBRACE,
    STATE(16424), 1,
      sym_attribute,
    STATE(16715), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716236] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21970), 1,
      anon_sym_SEMI,
    ACTIONS(21972), 1,
      anon_sym_RBRACE,
    STATE(16425), 1,
      sym_attribute,
    STATE(16495), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716256] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18344), 1,
      anon_sym_SEMI,
    ACTIONS(18346), 1,
      anon_sym_GT,
    STATE(16426), 1,
      sym_attribute,
    STATE(16562), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716276] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21974), 1,
      anon_sym_RPAREN,
    STATE(16427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21978), 1,
      anon_sym_LBRACK,
    STATE(16428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21976), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [716314] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21980), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716334] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20765), 1,
      anon_sym_RBRACK,
    STATE(16430), 1,
      sym_attribute,
    STATE(16449), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716354] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20765), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716374] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(21982), 1,
      anon_sym_RPAREN,
    STATE(16432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716394] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(21984), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716414] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20144), 1,
      anon_sym_RBRACK,
    STATE(16434), 1,
      sym_attribute,
    STATE(16494), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716434] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11840), 1,
      anon_sym_GT,
    ACTIONS(21986), 1,
      anon_sym_SEMI,
    STATE(16435), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716454] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(16436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716472] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(21988), 1,
      aux_sym_quoted_extension_token1,
    STATE(16437), 1,
      sym_attribute,
    STATE(20743), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716492] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21990), 1,
      anon_sym_SEMI,
    ACTIONS(21992), 1,
      anon_sym_RBRACE,
    STATE(16438), 1,
      sym_attribute,
    STATE(16594), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716512] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20144), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716532] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(21994), 1,
      anon_sym_RPAREN,
    STATE(16440), 1,
      sym_attribute,
    STATE(20514), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716552] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21996), 1,
      anon_sym_SEMI,
    ACTIONS(21998), 1,
      anon_sym_RBRACE,
    STATE(16441), 1,
      sym_attribute,
    STATE(16459), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716572] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22000), 1,
      anon_sym_SEMI,
    ACTIONS(22002), 1,
      anon_sym_RBRACE,
    STATE(16011), 1,
      aux_sym_record_expression_repeat1,
    STATE(16442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716592] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22004), 1,
      anon_sym_SEMI,
    ACTIONS(22006), 1,
      anon_sym_GT_RBRACE,
    STATE(16443), 1,
      sym_attribute,
    STATE(16506), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716612] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(16444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716630] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22008), 1,
      aux_sym_quoted_extension_token1,
    STATE(16445), 1,
      sym_attribute,
    STATE(20983), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716650] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22010), 1,
      anon_sym_SEMI,
    ACTIONS(22012), 1,
      anon_sym_GT_RBRACE,
    STATE(16446), 1,
      sym_attribute,
    STATE(16468), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716670] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14294), 1,
      sym__type_equation,
    STATE(16447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21772), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [716688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22014), 1,
      anon_sym_RPAREN,
    STATE(16448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20785), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20785), 1,
      anon_sym_RBRACK,
    STATE(16450), 1,
      sym_attribute,
    STATE(16471), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_GT,
    ACTIONS(22016), 1,
      anon_sym_SEMI,
    STATE(16451), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716768] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20596), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22018), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716788] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9943), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16453), 1,
      sym_attribute,
    STATE(16642), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(16454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [716826] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22020), 1,
      aux_sym_quoted_extension_token1,
    STATE(16455), 1,
      sym_attribute,
    STATE(21271), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716846] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22022), 1,
      anon_sym_SEMI,
    ACTIONS(22024), 1,
      anon_sym_RBRACE,
    STATE(16456), 1,
      sym_attribute,
    STATE(16731), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716866] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3385), 1,
      anon_sym_RBRACK,
    ACTIONS(22026), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716886] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22028), 1,
      anon_sym_RPAREN,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716906] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19511), 1,
      anon_sym_RBRACE,
    ACTIONS(22030), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716926] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20791), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716946] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20791), 1,
      anon_sym_RBRACK,
    STATE(16461), 1,
      sym_attribute,
    STATE(16507), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716966] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22032), 1,
      anon_sym_SEMI,
    ACTIONS(22034), 1,
      anon_sym_RBRACE,
    STATE(16462), 1,
      sym_attribute,
    STATE(16529), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716986] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3387), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22036), 1,
      anon_sym_SEMI,
    STATE(16463), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(16464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717024] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22038), 1,
      anon_sym_RPAREN,
    STATE(16465), 1,
      sym_attribute,
    STATE(18735), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22040), 1,
      sym__lowercase_identifier,
    ACTIONS(22042), 1,
      anon_sym_LPAREN,
    STATE(8444), 1,
      sym__simple_value_pattern,
    STATE(16466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22044), 1,
      aux_sym_quoted_extension_token1,
    STATE(16467), 1,
      sym_attribute,
    STATE(19011), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717084] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20799), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22046), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717104] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(89), 1,
      sym_attribute_id,
    STATE(16469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22048), 1,
      aux_sym_quoted_extension_token1,
    STATE(16470), 1,
      sym_attribute,
    STATE(19966), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717142] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20801), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717162] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20614), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717182] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22050), 1,
      anon_sym_SEMI,
    ACTIONS(22052), 1,
      anon_sym_RBRACE,
    STATE(16473), 1,
      sym_attribute,
    STATE(16519), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717202] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22054), 1,
      anon_sym_SEMI,
    ACTIONS(22056), 1,
      anon_sym_RBRACE,
    STATE(16474), 1,
      sym_attribute,
    STATE(16484), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717222] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18861), 1,
      anon_sym_RBRACE,
    ACTIONS(22058), 1,
      anon_sym_SEMI,
    STATE(16475), 1,
      sym_attribute,
    STATE(16543), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717242] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18417), 1,
      anon_sym_SEMI,
    ACTIONS(18419), 1,
      anon_sym_GT,
    STATE(16476), 1,
      sym_attribute,
    STATE(16719), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717262] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(22060), 1,
      anon_sym_type,
    STATE(16298), 1,
      sym_module_path,
    STATE(16477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(16478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22062), 1,
      anon_sym_SEMI,
    ACTIONS(22064), 1,
      anon_sym_GT_RBRACE,
    STATE(16479), 1,
      sym_attribute,
    STATE(16554), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(16480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717338] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22066), 1,
      aux_sym_quoted_extension_token1,
    STATE(16481), 1,
      sym_attribute,
    STATE(20356), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717358] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22068), 1,
      sym__lowercase_identifier,
    STATE(16482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717378] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15694), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16483), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717398] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19419), 1,
      anon_sym_RBRACE,
    ACTIONS(22070), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717418] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22072), 1,
      anon_sym_SEMI,
    ACTIONS(22074), 1,
      anon_sym_RBRACE,
    STATE(16485), 1,
      sym_attribute,
    STATE(16539), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717438] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3717), 1,
      anon_sym_RBRACK,
    ACTIONS(22076), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12489), 1,
      anon_sym_RPAREN,
    STATE(16487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22078), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [717476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19216), 1,
      anon_sym_RBRACK,
    ACTIONS(22080), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16488), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [717494] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22083), 1,
      anon_sym_SEMI,
    ACTIONS(22085), 1,
      anon_sym_GT_RBRACE,
    STATE(16489), 1,
      sym_attribute,
    STATE(16727), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717514] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(16490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22087), 1,
      aux_sym_quoted_extension_token1,
    STATE(16491), 1,
      sym_attribute,
    STATE(21420), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717552] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3751), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717572] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22091), 1,
      anon_sym_RPAREN,
    STATE(16493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717592] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20156), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717612] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19473), 1,
      anon_sym_RBRACE,
    ACTIONS(22093), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717632] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20156), 1,
      anon_sym_RBRACK,
    STATE(16496), 1,
      sym_attribute,
    STATE(16557), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717652] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22095), 1,
      anon_sym_RPAREN,
    STATE(16497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717672] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3753), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22097), 1,
      anon_sym_SEMI,
    STATE(16498), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717692] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20813), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717712] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20813), 1,
      anon_sym_RBRACK,
    STATE(16500), 1,
      sym_attribute,
    STATE(16743), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717732] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(16501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717750] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22099), 1,
      aux_sym_quoted_extension_token1,
    STATE(16502), 1,
      sym_attribute,
    STATE(19676), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717770] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22101), 1,
      anon_sym_SEMI,
    ACTIONS(22103), 1,
      anon_sym_GT_RBRACE,
    STATE(16503), 1,
      sym_attribute,
    STATE(17143), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717790] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22105), 1,
      anon_sym_SEMI,
    ACTIONS(22107), 1,
      anon_sym_RBRACE,
    STATE(16504), 1,
      sym_attribute,
    STATE(16722), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14042), 1,
      sym_attribute_id,
    STATE(16505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22109), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [717828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20817), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22111), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20821), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19403), 1,
      anon_sym_RBRACE,
    ACTIONS(22113), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22115), 1,
      anon_sym_RPAREN,
    STATE(16509), 1,
      sym_attribute,
    STATE(21367), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717908] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22117), 1,
      anon_sym_SEMI,
    ACTIONS(22119), 1,
      anon_sym_RBRACE,
    STATE(16510), 1,
      sym_attribute,
    STATE(16567), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3301), 1,
      anon_sym_RBRACK,
    ACTIONS(22121), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717948] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22123), 1,
      anon_sym_RPAREN,
    STATE(16512), 1,
      sym_attribute,
    STATE(19716), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717968] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9929), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16513), 1,
      sym_attribute,
    STATE(16528), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(16514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [718006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [718024] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22125), 1,
      aux_sym_quoted_extension_token1,
    STATE(16516), 1,
      sym_attribute,
    STATE(18919), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18377), 1,
      anon_sym_SEMI,
    ACTIONS(18379), 1,
      anon_sym_GT,
    STATE(16517), 1,
      sym_attribute,
    STATE(16533), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718064] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8602), 1,
      anon_sym_RBRACK,
    ACTIONS(22127), 1,
      anon_sym_SEMI,
    STATE(16488), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718084] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18682), 1,
      anon_sym_RBRACE,
    ACTIONS(22129), 1,
      anon_sym_SEMI,
    STATE(16519), 1,
      sym_attribute,
    STATE(16543), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718104] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8604), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22131), 1,
      anon_sym_SEMI,
    STATE(16185), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718124] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15765), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16521), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718144] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22133), 1,
      anon_sym_RPAREN,
    STATE(16522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718164] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(22135), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718184] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20644), 1,
      anon_sym_RBRACK,
    STATE(16524), 1,
      sym_attribute,
    STATE(16740), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718204] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22137), 1,
      anon_sym_RPAREN,
    STATE(16525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718224] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(22139), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718244] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20831), 1,
      anon_sym_RBRACK,
    STATE(16527), 1,
      sym_attribute,
    STATE(16549), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718264] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20831), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718284] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19523), 1,
      anon_sym_RBRACE,
    ACTIONS(22141), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(16530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [718322] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22143), 1,
      aux_sym_quoted_extension_token1,
    STATE(16531), 1,
      sym_attribute,
    STATE(20567), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718342] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22145), 1,
      anon_sym_SEMI,
    ACTIONS(22147), 1,
      anon_sym_GT_RBRACE,
    STATE(16532), 1,
      sym_attribute,
    STATE(16582), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718362] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11494), 1,
      anon_sym_GT,
    ACTIONS(22149), 1,
      anon_sym_SEMI,
    STATE(16533), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718382] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20644), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718402] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22151), 1,
      anon_sym_SEMI,
    ACTIONS(22153), 1,
      anon_sym_RBRACE,
    STATE(16535), 1,
      sym_attribute,
    STATE(16751), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718422] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7885), 1,
      anon_sym_RBRACK,
    ACTIONS(22155), 1,
      anon_sym_SEMI,
    STATE(16536), 1,
      sym_attribute,
    STATE(16914), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718442] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9933), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16537), 1,
      sym_attribute,
    STATE(17027), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718462] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3303), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22157), 1,
      anon_sym_SEMI,
    STATE(16538), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718482] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18692), 1,
      anon_sym_RBRACE,
    ACTIONS(22159), 1,
      anon_sym_SEMI,
    STATE(16539), 1,
      sym_attribute,
    STATE(16969), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718502] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22161), 1,
      anon_sym_SEMI,
    ACTIONS(22163), 1,
      anon_sym_RBRACE,
    STATE(16540), 1,
      sym_attribute,
    STATE(16560), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(16541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [718540] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22165), 1,
      aux_sym_quoted_extension_token1,
    STATE(16542), 1,
      sym_attribute,
    STATE(21155), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22167), 1,
      anon_sym_SEMI,
    ACTIONS(22170), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16543), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [718578] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7887), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22172), 1,
      anon_sym_SEMI,
    STATE(16544), 1,
      sym_attribute,
    STATE(16713), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(22174), 1,
      anon_sym_RBRACK,
    STATE(16545), 1,
      sym_attribute,
    STATE(16568), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718618] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22176), 1,
      anon_sym_SEMI,
    ACTIONS(22178), 1,
      anon_sym_GT_RBRACE,
    STATE(16546), 1,
      sym_attribute,
    STATE(16569), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15812), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16547), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718658] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22180), 1,
      anon_sym_RPAREN,
    STATE(16548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718678] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20843), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718698] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20843), 1,
      anon_sym_RBRACK,
    STATE(16550), 1,
      sym_attribute,
    STATE(16571), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718718] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(16551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [718736] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22182), 1,
      aux_sym_quoted_extension_token1,
    STATE(16552), 1,
      sym_attribute,
    STATE(18510), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22184), 1,
      anon_sym_SEMI,
    ACTIONS(22186), 1,
      anon_sym_RBRACE,
    STATE(15977), 1,
      aux_sym_record_expression_repeat1,
    STATE(16553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718776] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20174), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22188), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22190), 1,
      anon_sym_SEMI,
    STATE(16555), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718816] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22192), 1,
      anon_sym_SEMI,
    ACTIONS(22194), 1,
      anon_sym_RBRACE,
    STATE(16556), 1,
      sym_attribute,
    STATE(16595), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718836] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20176), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_RBRACK,
    ACTIONS(22196), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718876] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3399), 1,
      anon_sym_RBRACK,
    ACTIONS(22198), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718896] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19545), 1,
      anon_sym_RBRACE,
    ACTIONS(22200), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22202), 1,
      anon_sym_SEMI,
    ACTIONS(22204), 1,
      anon_sym_RBRACE,
    STATE(16561), 1,
      sym_attribute,
    STATE(16761), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718936] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11566), 1,
      anon_sym_GT,
    ACTIONS(22206), 1,
      anon_sym_SEMI,
    STATE(16562), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3401), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22208), 1,
      anon_sym_SEMI,
    STATE(16563), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(16564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [718994] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22210), 1,
      aux_sym_quoted_extension_token1,
    STATE(16565), 1,
      sym_attribute,
    STATE(21422), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719014] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20923), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719034] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19282), 1,
      anon_sym_RBRACE,
    ACTIONS(22212), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(22214), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(16568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719074] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20849), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22216), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(22214), 1,
      anon_sym_RBRACK,
    STATE(16570), 1,
      sym_attribute,
    STATE(16587), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20853), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719134] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3591), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22218), 1,
      anon_sym_SEMI,
    STATE(16572), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719154] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22220), 1,
      sym__lowercase_identifier,
    STATE(16573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22222), 1,
      anon_sym_SEMI,
    ACTIONS(22224), 1,
      anon_sym_RBRACE,
    STATE(16574), 1,
      sym_attribute,
    STATE(16583), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(16575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [719212] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22226), 1,
      aux_sym_quoted_extension_token1,
    STATE(16576), 1,
      sym_attribute,
    STATE(19276), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719232] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22228), 1,
      anon_sym_SEMI,
    ACTIONS(22230), 1,
      anon_sym_GT_RBRACE,
    STATE(16577), 1,
      sym_attribute,
    STATE(16808), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719252] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22232), 1,
      anon_sym_RPAREN,
    STATE(16578), 1,
      sym_attribute,
    STATE(19831), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22234), 1,
      anon_sym_SEMI,
    ACTIONS(22236), 1,
      anon_sym_RBRACE,
    STATE(16579), 1,
      sym_attribute,
    STATE(16603), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719292] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11028), 1,
      sym__type_equation,
    STATE(16580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22238), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [719310] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22240), 1,
      sym__lowercase_identifier,
    STATE(16581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719330] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20652), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22242), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719350] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19483), 1,
      anon_sym_RBRACE,
    ACTIONS(22244), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(16584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [719388] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22246), 1,
      aux_sym_quoted_extension_token1,
    STATE(16585), 1,
      sym_attribute,
    STATE(20143), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719408] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22248), 1,
      anon_sym_RPAREN,
    STATE(16586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719428] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(22250), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(16587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719448] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22252), 1,
      anon_sym_RPAREN,
    STATE(16588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719468] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_RBRACK,
    ACTIONS(22254), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719488] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(22256), 1,
      anon_sym_RBRACK,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22258), 1,
      anon_sym_SEMI,
    ACTIONS(22260), 1,
      anon_sym_RBRACE,
    STATE(16591), 1,
      sym_attribute,
    STATE(16607), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(16592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [719546] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22262), 1,
      aux_sym_quoted_extension_token1,
    STATE(16593), 1,
      sym_attribute,
    STATE(21140), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719566] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19619), 1,
      anon_sym_RBRACE,
    ACTIONS(22264), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719586] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19529), 1,
      anon_sym_RBRACE,
    ACTIONS(22266), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11029), 1,
      sym__type_equation,
    STATE(16596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22238), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [719624] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22268), 1,
      anon_sym_SEMI,
    ACTIONS(22270), 1,
      anon_sym_RBRACE,
    STATE(16597), 1,
      sym_attribute,
    STATE(16845), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719644] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8564), 1,
      anon_sym_RBRACK,
    ACTIONS(22272), 1,
      anon_sym_SEMI,
    STATE(16488), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719664] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22274), 1,
      sym__lowercase_identifier,
    STATE(16599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18304), 1,
      anon_sym_SEMI,
    ACTIONS(18306), 1,
      anon_sym_GT,
    STATE(16600), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11145), 1,
      sym_attribute_id,
    STATE(16601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22276), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [719722] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22278), 1,
      sym__lowercase_identifier,
    STATE(16602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719742] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19607), 1,
      anon_sym_RBRACE,
    ACTIONS(22280), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719762] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20194), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22282), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719782] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22284), 1,
      anon_sym_RPAREN,
    STATE(16605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719802] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9925), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16606), 1,
      sym_attribute,
    STATE(16616), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719822] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19352), 1,
      anon_sym_RBRACE,
    ACTIONS(22286), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(16608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [719860] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22288), 1,
      aux_sym_quoted_extension_token1,
    STATE(16609), 1,
      sym_attribute,
    STATE(18688), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719880] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18409), 1,
      anon_sym_SEMI,
    ACTIONS(18411), 1,
      anon_sym_GT,
    STATE(16610), 1,
      sym_attribute,
    STATE(16622), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719900] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22290), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [719916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20196), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719936] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22292), 1,
      anon_sym_RPAREN,
    STATE(16613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(22294), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20881), 1,
      anon_sym_RBRACK,
    STATE(16615), 1,
      sym_attribute,
    STATE(16707), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719996] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20881), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18774), 1,
      anon_sym_RBRACE,
    ACTIONS(22296), 1,
      anon_sym_SEMI,
    STATE(16543), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(22298), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720056] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(16619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720074] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22300), 1,
      aux_sym_quoted_extension_token1,
    STATE(16620), 1,
      sym_attribute,
    STATE(18935), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22302), 1,
      anon_sym_RPAREN,
    STATE(16621), 1,
      sym_attribute,
    STATE(19088), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11534), 1,
      anon_sym_GT,
    ACTIONS(22304), 1,
      anon_sym_SEMI,
    STATE(16622), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(16623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720152] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22306), 1,
      aux_sym_quoted_extension_token1,
    STATE(16624), 1,
      sym_attribute,
    STATE(19084), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720172] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(22308), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720192] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(16626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720210] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22310), 1,
      aux_sym_quoted_extension_token1,
    STATE(16627), 1,
      sym_attribute,
    STATE(19225), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720230] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_RBRACK,
    ACTIONS(22312), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720250] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20889), 1,
      anon_sym_RBRACK,
    STATE(16629), 1,
      sym_attribute,
    STATE(17084), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720270] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22314), 1,
      anon_sym_SEMI,
    ACTIONS(22316), 1,
      anon_sym_RBRACE,
    STATE(16630), 1,
      sym_attribute,
    STATE(16716), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720290] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(16631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22318), 1,
      aux_sym_quoted_extension_token1,
    STATE(16632), 1,
      sym_attribute,
    STATE(19294), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720328] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3673), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22320), 1,
      anon_sym_SEMI,
    STATE(16633), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(16634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720366] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22322), 1,
      aux_sym_quoted_extension_token1,
    STATE(16635), 1,
      sym_attribute,
    STATE(19340), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(16636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720404] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22324), 1,
      aux_sym_quoted_extension_token1,
    STATE(16637), 1,
      sym_attribute,
    STATE(19391), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720424] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(16638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720442] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22326), 1,
      aux_sym_quoted_extension_token1,
    STATE(16639), 1,
      sym_attribute,
    STATE(19460), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(16640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720480] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22328), 1,
      aux_sym_quoted_extension_token1,
    STATE(16641), 1,
      sym_attribute,
    STATE(19504), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720500] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20889), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(16643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720538] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22330), 1,
      aux_sym_quoted_extension_token1,
    STATE(16644), 1,
      sym_attribute,
    STATE(19545), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720558] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    ACTIONS(22332), 1,
      anon_sym_SEMI,
    STATE(16488), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720578] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(16646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720596] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22334), 1,
      aux_sym_quoted_extension_token1,
    STATE(16647), 1,
      sym_attribute,
    STATE(19593), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(16648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720634] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22336), 1,
      aux_sym_quoted_extension_token1,
    STATE(16649), 1,
      sym_attribute,
    STATE(19646), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720654] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22338), 1,
      anon_sym_SEMI,
    ACTIONS(22340), 1,
      anon_sym_GT_RBRACE,
    STATE(16650), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(16651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720692] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22342), 1,
      aux_sym_quoted_extension_token1,
    STATE(16652), 1,
      sym_attribute,
    STATE(19691), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(16653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720730] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22344), 1,
      aux_sym_quoted_extension_token1,
    STATE(16654), 1,
      sym_attribute,
    STATE(19763), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720750] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(16655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720768] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22346), 1,
      aux_sym_quoted_extension_token1,
    STATE(16656), 1,
      sym_attribute,
    STATE(19801), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720788] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(16657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720806] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22348), 1,
      aux_sym_quoted_extension_token1,
    STATE(16658), 1,
      sym_attribute,
    STATE(19855), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720826] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(16659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720844] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22350), 1,
      aux_sym_quoted_extension_token1,
    STATE(16660), 1,
      sym_attribute,
    STATE(19887), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(16661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720882] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22352), 1,
      aux_sym_quoted_extension_token1,
    STATE(16662), 1,
      sym_attribute,
    STATE(19912), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(16663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720920] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22354), 1,
      aux_sym_quoted_extension_token1,
    STATE(16664), 1,
      sym_attribute,
    STATE(19923), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720940] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(16665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720958] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22356), 1,
      aux_sym_quoted_extension_token1,
    STATE(16666), 1,
      sym_attribute,
    STATE(19944), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(16667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [720996] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22358), 1,
      aux_sym_quoted_extension_token1,
    STATE(16668), 1,
      sym_attribute,
    STATE(19964), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721016] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(16669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721034] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22360), 1,
      aux_sym_quoted_extension_token1,
    STATE(16670), 1,
      sym_attribute,
    STATE(19975), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15536), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16671), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721074] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22362), 1,
      aux_sym_quoted_extension_token1,
    STATE(16672), 1,
      sym_attribute,
    STATE(19994), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721094] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(16673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721112] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22364), 1,
      aux_sym_quoted_extension_token1,
    STATE(16674), 1,
      sym_attribute,
    STATE(20005), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721132] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(16675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721150] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22366), 1,
      aux_sym_quoted_extension_token1,
    STATE(16676), 1,
      sym_attribute,
    STATE(20025), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(16677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721188] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22368), 1,
      aux_sym_quoted_extension_token1,
    STATE(16678), 1,
      sym_attribute,
    STATE(20038), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721208] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(16679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721226] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22370), 1,
      aux_sym_quoted_extension_token1,
    STATE(16680), 1,
      sym_attribute,
    STATE(20044), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721246] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(16681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721264] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22372), 1,
      aux_sym_quoted_extension_token1,
    STATE(16682), 1,
      sym_attribute,
    STATE(20050), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(16683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721302] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22374), 1,
      aux_sym_quoted_extension_token1,
    STATE(16684), 1,
      sym_attribute,
    STATE(20056), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721322] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(16685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721340] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22376), 1,
      aux_sym_quoted_extension_token1,
    STATE(16686), 1,
      sym_attribute,
    STATE(20062), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721360] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(16687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721378] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22378), 1,
      aux_sym_quoted_extension_token1,
    STATE(16688), 1,
      sym_attribute,
    STATE(20068), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721398] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(16689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721416] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22380), 1,
      aux_sym_quoted_extension_token1,
    STATE(16690), 1,
      sym_attribute,
    STATE(20074), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(16691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721454] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22382), 1,
      aux_sym_quoted_extension_token1,
    STATE(16692), 1,
      sym_attribute,
    STATE(20080), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721474] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(16693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721492] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22384), 1,
      aux_sym_quoted_extension_token1,
    STATE(16694), 1,
      sym_attribute,
    STATE(20086), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(16695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721530] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22386), 1,
      aux_sym_quoted_extension_token1,
    STATE(16696), 1,
      sym_attribute,
    STATE(20092), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721550] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(16697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721568] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22388), 1,
      aux_sym_quoted_extension_token1,
    STATE(16698), 1,
      sym_attribute,
    STATE(20098), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(16699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721606] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22390), 1,
      aux_sym_quoted_extension_token1,
    STATE(16700), 1,
      sym_attribute,
    STATE(20104), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721626] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(16701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721644] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22392), 1,
      aux_sym_quoted_extension_token1,
    STATE(16702), 1,
      sym_attribute,
    STATE(20115), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721664] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(16703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721682] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22394), 1,
      aux_sym_quoted_extension_token1,
    STATE(16704), 1,
      sym_attribute,
    STATE(20124), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721702] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16062), 1,
      sym_attribute_id,
    STATE(16705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22396), 1,
      anon_sym_RPAREN,
    STATE(16706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721740] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20893), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(16708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [721778] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20893), 1,
      anon_sym_RBRACK,
    STATE(16709), 1,
      sym_attribute,
    STATE(16729), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721798] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22398), 1,
      anon_sym_SEMI,
    ACTIONS(22400), 1,
      anon_sym_RBRACE,
    STATE(16710), 1,
      sym_attribute,
    STATE(16800), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721818] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8566), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22402), 1,
      anon_sym_SEMI,
    STATE(16185), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721838] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20033), 1,
      anon_sym_RBRACK,
    STATE(16172), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721858] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19427), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22404), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16713), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [721876] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3411), 1,
      anon_sym_RBRACK,
    ACTIONS(22407), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721896] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19047), 1,
      anon_sym_RBRACE,
    ACTIONS(22409), 1,
      anon_sym_SEMI,
    STATE(16543), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19242), 1,
      anon_sym_RBRACE,
    ACTIONS(22411), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721936] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22413), 1,
      aux_sym_quoted_extension_token1,
    STATE(16717), 1,
      sym_attribute,
    STATE(20382), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22415), 1,
      anon_sym_LPAREN,
    ACTIONS(22417), 1,
      anon_sym_LBRACK,
    ACTIONS(22419), 1,
      anon_sym_LBRACE,
    STATE(16718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11830), 1,
      anon_sym_GT,
    ACTIONS(22421), 1,
      anon_sym_SEMI,
    STATE(16719), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721996] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3413), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22423), 1,
      anon_sym_SEMI,
    STATE(16720), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8578), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22425), 1,
      anon_sym_SEMI,
    STATE(16185), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19240), 1,
      anon_sym_RBRACE,
    ACTIONS(22427), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22429), 1,
      anon_sym_RPAREN,
    STATE(16723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722076] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20033), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722096] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22431), 1,
      anon_sym_SEMI,
    ACTIONS(22433), 1,
      anon_sym_GT_RBRACE,
    STATE(16725), 1,
      sym_attribute,
    STATE(16851), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722116] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20909), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22435), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722136] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20903), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22437), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722156] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22439), 1,
      anon_sym_LPAREN,
    ACTIONS(22441), 1,
      anon_sym_LBRACK,
    ACTIONS(22443), 1,
      anon_sym_LBRACE,
    STATE(16728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722176] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20911), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722196] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7851), 1,
      anon_sym_RBRACK,
    ACTIONS(22445), 1,
      anon_sym_SEMI,
    STATE(16730), 1,
      sym_attribute,
    STATE(16914), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722216] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18829), 1,
      anon_sym_RBRACE,
    ACTIONS(22447), 1,
      anon_sym_SEMI,
    STATE(16731), 1,
      sym_attribute,
    STATE(16969), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722236] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22449), 1,
      anon_sym_SEMI,
    ACTIONS(22451), 1,
      anon_sym_RBRACE,
    STATE(16732), 1,
      sym_attribute,
    STATE(16744), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722256] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7853), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22453), 1,
      anon_sym_SEMI,
    STATE(16713), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722276] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3507), 1,
      anon_sym_RBRACK,
    ACTIONS(22455), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722296] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22457), 1,
      anon_sym_SEMI,
    ACTIONS(22459), 1,
      anon_sym_RBRACE,
    STATE(16735), 1,
      sym_attribute,
    STATE(16756), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722316] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22461), 1,
      anon_sym_RPAREN,
    STATE(16736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722336] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16854), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22463), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16737), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [722354] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22466), 1,
      anon_sym_SEMI,
    ACTIONS(22468), 1,
      anon_sym_RBRACE,
    STATE(16738), 1,
      sym_attribute,
    STATE(16916), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722374] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22470), 1,
      sym__lowercase_identifier,
    STATE(16739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722394] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20688), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722414] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20688), 1,
      anon_sym_RBRACK,
    STATE(16741), 1,
      sym_attribute,
    STATE(16871), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722434] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22472), 1,
      anon_sym_SEMI,
    ACTIONS(22474), 1,
      anon_sym_GT_RBRACE,
    STATE(16742), 1,
      sym_attribute,
    STATE(16787), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722454] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20919), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722474] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19573), 1,
      anon_sym_RBRACE,
    ACTIONS(22476), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722494] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22478), 1,
      anon_sym_RPAREN,
    STATE(16745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722514] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22480), 1,
      anon_sym_RPAREN,
    STATE(16746), 1,
      sym_attribute,
    STATE(20507), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722534] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(11618), 1,
      anon_sym_DOT,
    ACTIONS(22482), 1,
      anon_sym_RPAREN,
    STATE(16747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722554] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8550), 1,
      anon_sym_RBRACK,
    ACTIONS(22484), 1,
      anon_sym_SEMI,
    STATE(16488), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722574] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3533), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22486), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722594] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10007), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16750), 1,
      sym_attribute,
    STATE(16786), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722614] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18905), 1,
      anon_sym_RBRACE,
    ACTIONS(22488), 1,
      anon_sym_SEMI,
    STATE(16543), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722634] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8552), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22490), 1,
      anon_sym_SEMI,
    STATE(16185), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(16752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722654] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      anon_sym_RBRACK,
    ACTIONS(22492), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22494), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [722690] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18484), 1,
      anon_sym_SEMI,
    ACTIONS(18486), 1,
      anon_sym_GT,
    STATE(16755), 1,
      sym_attribute,
    STATE(16791), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722710] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19609), 1,
      anon_sym_RBRACE,
    ACTIONS(22496), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722730] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21239), 1,
      anon_sym_COLON2,
    ACTIONS(22498), 1,
      anon_sym_RPAREN,
    STATE(16757), 1,
      sym_attribute,
    STATE(20403), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722750] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15630), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16758), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722770] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7765), 1,
      anon_sym_RBRACK,
    ACTIONS(22500), 1,
      anon_sym_SEMI,
    STATE(16759), 1,
      sym_attribute,
    STATE(16914), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8692), 1,
      aux_sym_attribute_id_token1,
    STATE(16760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8694), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [722808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19095), 1,
      anon_sym_RBRACE,
    ACTIONS(22502), 1,
      anon_sym_SEMI,
    STATE(16761), 1,
      sym_attribute,
    STATE(16969), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7815), 1,
      anon_sym_RBRACK,
    ACTIONS(22504), 1,
      anon_sym_SEMI,
    STATE(16762), 1,
      sym_attribute,
    STATE(16914), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_SEMI,
    ACTIONS(22508), 1,
      anon_sym_RBRACE,
    STATE(16763), 1,
      sym_attribute,
    STATE(16775), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16467), 1,
      sym_attribute_id,
    STATE(16764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [722886] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7767), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22510), 1,
      anon_sym_SEMI,
    STATE(16713), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722906] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7889), 1,
      anon_sym_RBRACK,
    ACTIONS(22512), 1,
      anon_sym_SEMI,
    STATE(16766), 1,
      sym_attribute,
    STATE(16914), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722926] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3603), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22514), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722946] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18800), 1,
      anon_sym_RBRACE,
    ACTIONS(22516), 1,
      anon_sym_SEMI,
    STATE(16768), 1,
      sym_attribute,
    STATE(16969), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722966] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22518), 1,
      anon_sym_SEMI,
    ACTIONS(22520), 1,
      anon_sym_GT_RBRACE,
    STATE(16769), 1,
      sym_attribute,
    STATE(16781), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722986] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22522), 1,
      anon_sym_LPAREN,
    ACTIONS(22524), 1,
      anon_sym_LBRACK,
    ACTIONS(22526), 1,
      anon_sym_LBRACE,
    STATE(16770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723006] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19623), 1,
      anon_sym_RBRACE,
    ACTIONS(22528), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723026] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9939), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16772), 1,
      sym_attribute,
    STATE(16797), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723046] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3423), 1,
      anon_sym_RBRACK,
    ACTIONS(22530), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723066] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22532), 1,
      anon_sym_RPAREN,
    STATE(16774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723086] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19278), 1,
      anon_sym_RBRACE,
    ACTIONS(22534), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723106] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22536), 1,
      anon_sym_LPAREN,
    ACTIONS(22538), 1,
      anon_sym_LBRACK,
    ACTIONS(22540), 1,
      anon_sym_LBRACE,
    STATE(16776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723126] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18472), 1,
      anon_sym_SEMI,
    ACTIONS(18474), 1,
      anon_sym_GT,
    STATE(16777), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723146] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3425), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22542), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723166] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22544), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__lowercase_identifier,
  [723182] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(22546), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723202] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20948), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22548), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723222] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20236), 1,
      anon_sym_RBRACK,
    STATE(16782), 1,
      sym_attribute,
    STATE(16833), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(16783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [723260] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22550), 1,
      anon_sym_SEMI,
    ACTIONS(22552), 1,
      anon_sym_RBRACE,
    STATE(16784), 1,
      sym_attribute,
    STATE(16792), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723280] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22554), 1,
      anon_sym_SEMI,
    ACTIONS(22556), 1,
      anon_sym_RBRACE,
    STATE(16785), 1,
      sym_attribute,
    STATE(16926), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723300] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20236), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723320] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20703), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22558), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723340] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3265), 1,
      anon_sym_RBRACK,
    ACTIONS(22560), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22562), 1,
      aux_sym_quoted_extension_token1,
    STATE(16789), 1,
      sym_attribute,
    STATE(18490), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723380] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22564), 1,
      sym__lowercase_identifier,
    STATE(16790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11710), 1,
      anon_sym_GT,
    ACTIONS(22566), 1,
      anon_sym_SEMI,
    STATE(16791), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723420] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19272), 1,
      anon_sym_RBRACE,
    ACTIONS(22568), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723440] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15445), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16793), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723460] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22570), 1,
      anon_sym_RPAREN,
    STATE(16794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723480] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(22572), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723500] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20962), 1,
      anon_sym_RBRACK,
    STATE(16796), 1,
      sym_attribute,
    STATE(16839), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20962), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22574), 1,
      sym__lowercase_identifier,
    STATE(16798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723560] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7817), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22576), 1,
      anon_sym_SEMI,
    STATE(16713), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723580] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19555), 1,
      anon_sym_RBRACE,
    ACTIONS(22578), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16789), 1,
      sym_attribute_id,
    STATE(16801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [723618] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11490), 1,
      anon_sym_GT,
    ACTIONS(22580), 1,
      anon_sym_SEMI,
    STATE(16802), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22582), 1,
      anon_sym_SEMI,
    ACTIONS(22584), 1,
      anon_sym_RBRACE,
    STATE(16803), 1,
      sym_attribute,
    STATE(16823), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723658] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22586), 1,
      anon_sym_SEMI,
    ACTIONS(22588), 1,
      anon_sym_RBRACE,
    STATE(16804), 1,
      sym_attribute,
    STATE(16868), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723678] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22590), 1,
      anon_sym_RPAREN,
    STATE(16805), 1,
      sym_attribute,
    STATE(20644), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723698] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22592), 1,
      anon_sym_LPAREN,
    ACTIONS(22594), 1,
      anon_sym_LBRACK,
    ACTIONS(22596), 1,
      anon_sym_LBRACE,
    STATE(16806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723718] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22598), 1,
      anon_sym_LPAREN,
    ACTIONS(22600), 1,
      anon_sym_LBRACK,
    ACTIONS(22602), 1,
      anon_sym_LBRACE,
    STATE(16807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723738] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20045), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22604), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22606), 1,
      anon_sym_SEMI,
    ACTIONS(22608), 1,
      anon_sym_RBRACE,
    STATE(16809), 1,
      sym_attribute,
    STATE(16819), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(16810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [723796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(16811), 1,
      sym_attribute,
    STATE(16937), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723816] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15582), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16812), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723836] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11662), 1,
      anon_sym_GT,
    ACTIONS(22610), 1,
      anon_sym_SEMI,
    STATE(16813), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22612), 1,
      anon_sym_SEMI,
    ACTIONS(22614), 1,
      anon_sym_GT_RBRACE,
    STATE(16814), 1,
      sym_attribute,
    STATE(16824), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723876] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21239), 1,
      anon_sym_COLON2,
    ACTIONS(22616), 1,
      anon_sym_RPAREN,
    STATE(16815), 1,
      sym_attribute,
    STATE(20862), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723896] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3653), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22618), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3435), 1,
      anon_sym_RBRACK,
    ACTIONS(22620), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723936] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22622), 1,
      anon_sym_SEMI,
    ACTIONS(22624), 1,
      anon_sym_RBRACE,
    STATE(16818), 1,
      sym_attribute,
    STATE(16861), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19565), 1,
      anon_sym_RBRACE,
    ACTIONS(22626), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22628), 1,
      sym__lowercase_identifier,
    STATE(16820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723996] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3437), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22630), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724016] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22632), 1,
      anon_sym_SEMI,
    ACTIONS(22634), 1,
      anon_sym_GT_RBRACE,
    STATE(16822), 1,
      sym_attribute,
    STATE(16908), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724036] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19493), 1,
      anon_sym_RBRACE,
    ACTIONS(22636), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20991), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22638), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14556), 1,
      anon_sym_and,
    STATE(16825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14554), 2,
      anon_sym_in,
      sym_let_and_operator,
  [724094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22640), 1,
      anon_sym_SEMI,
    ACTIONS(22642), 1,
      anon_sym_RBRACE,
    STATE(16826), 1,
      sym_attribute,
    STATE(16834), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22644), 1,
      anon_sym_SEMI,
    ACTIONS(22646), 1,
      anon_sym_GT_RBRACE,
    STATE(16827), 1,
      sym_attribute,
    STATE(16890), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16828), 1,
      sym_attribute,
    STATE(17031), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [724152] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(22648), 1,
      anon_sym_RBRACK,
    STATE(16829), 1,
      sym_attribute,
    STATE(16853), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724172] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22650), 1,
      anon_sym_RPAREN,
    STATE(16830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724192] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22652), 1,
      sym__lowercase_identifier,
    STATE(16831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724212] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22654), 1,
      anon_sym_LPAREN,
    ACTIONS(22656), 1,
      anon_sym_LBRACK,
    ACTIONS(22658), 1,
      anon_sym_LBRACE,
    STATE(16832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724232] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20258), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724252] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19218), 1,
      anon_sym_RBRACE,
    ACTIONS(22660), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22662), 1,
      anon_sym_LPAREN,
    ACTIONS(22664), 1,
      anon_sym_LBRACK,
    ACTIONS(22666), 1,
      anon_sym_LBRACE,
    STATE(16835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(22668), 1,
      anon_sym_RPAREN,
    STATE(16836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724312] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20258), 1,
      anon_sym_RBRACK,
    STATE(16837), 1,
      sym_attribute,
    STATE(16921), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3267), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22670), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20999), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724372] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20999), 1,
      anon_sym_RBRACK,
    STATE(16840), 1,
      sym_attribute,
    STATE(16896), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15688), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16841), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22672), 1,
      anon_sym_SEMI,
    ACTIONS(22674), 1,
      anon_sym_RBRACE,
    STATE(15984), 1,
      aux_sym_record_declaration_repeat1,
    STATE(16842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724432] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16843), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [724450] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22676), 1,
      anon_sym_SEMI,
    ACTIONS(22678), 1,
      anon_sym_RBRACE,
    STATE(16844), 1,
      sym_attribute,
    STATE(17205), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724470] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19081), 1,
      anon_sym_RBRACE,
    ACTIONS(22680), 1,
      anon_sym_SEMI,
    STATE(16845), 1,
      sym_attribute,
    STATE(16969), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724490] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22682), 1,
      anon_sym_LPAREN,
    ACTIONS(22684), 1,
      anon_sym_LBRACK,
    ACTIONS(22686), 1,
      anon_sym_LBRACE,
    STATE(16846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724510] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22688), 1,
      sym__lowercase_identifier,
    STATE(16847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724530] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22690), 1,
      anon_sym_SEMI,
    ACTIONS(22692), 1,
      anon_sym_RBRACE,
    STATE(16848), 1,
      sym_attribute,
    STATE(16915), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724550] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22694), 1,
      anon_sym_LPAREN,
    ACTIONS(22696), 1,
      anon_sym_LBRACK,
    ACTIONS(22698), 1,
      anon_sym_LBRACE,
    STATE(16849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724570] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22700), 1,
      anon_sym_SEMI,
    ACTIONS(22702), 1,
      anon_sym_RBRACE,
    STATE(16850), 1,
      sym_attribute,
    STATE(16990), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724590] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20735), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22704), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(15992), 1,
      sym_attribute_id,
    STATE(16852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [724628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(22706), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(16853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22708), 1,
      anon_sym_LPAREN,
    ACTIONS(22710), 1,
      anon_sym_LBRACK,
    ACTIONS(22712), 1,
      anon_sym_LBRACE,
    STATE(16854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22714), 1,
      anon_sym_LPAREN,
    ACTIONS(22716), 1,
      anon_sym_LBRACK,
    ACTIONS(22718), 1,
      anon_sym_LBRACE,
    STATE(16855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22720), 1,
      anon_sym_RPAREN,
    STATE(16856), 1,
      sym_attribute,
    STATE(20942), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3219), 1,
      anon_sym_RBRACK,
    ACTIONS(22722), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(22706), 1,
      anon_sym_RBRACK,
    STATE(16858), 1,
      sym_attribute,
    STATE(16887), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7819), 1,
      anon_sym_RBRACK,
    ACTIONS(22724), 1,
      anon_sym_SEMI,
    STATE(16859), 1,
      sym_attribute,
    STATE(16914), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16026), 1,
      sym_attribute_id,
    STATE(16860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [724786] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19449), 1,
      anon_sym_RBRACE,
    ACTIONS(22726), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724806] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22728), 1,
      anon_sym_SEMI,
    ACTIONS(22730), 1,
      anon_sym_RBRACE,
    STATE(16862), 1,
      sym_attribute,
    STATE(16877), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724826] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3313), 1,
      anon_sym_RBRACK,
    ACTIONS(22732), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724846] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19525), 1,
      anon_sym_RBRACE,
    ACTIONS(22734), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724866] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22736), 1,
      anon_sym_SEMI,
    ACTIONS(22738), 1,
      anon_sym_RBRACE,
    STATE(16029), 1,
      aux_sym_record_expression_repeat1,
    STATE(16865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724886] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22740), 1,
      anon_sym_LPAREN,
    ACTIONS(22742), 1,
      anon_sym_LBRACK,
    ACTIONS(22744), 1,
      anon_sym_LBRACE,
    STATE(16866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724906] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22746), 1,
      anon_sym_LPAREN,
    ACTIONS(22748), 1,
      anon_sym_LBRACK,
    ACTIONS(22750), 1,
      anon_sym_LBRACE,
    STATE(16867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724926] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19507), 1,
      anon_sym_RBRACE,
    ACTIONS(22752), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724946] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22754), 1,
      anon_sym_SEMI,
    ACTIONS(22756), 1,
      anon_sym_GT_RBRACE,
    STATE(16869), 1,
      sym_attribute,
    STATE(16889), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16061), 1,
      sym_attribute_id,
    STATE(16870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [724984] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20737), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725004] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3221), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22758), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725024] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22760), 1,
      anon_sym_LPAREN,
    ACTIONS(22762), 1,
      anon_sym_LBRACK,
    ACTIONS(22764), 1,
      anon_sym_LBRACE,
    STATE(16873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725044] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3447), 1,
      anon_sym_RBRACK,
    ACTIONS(22766), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725064] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22768), 1,
      anon_sym_LPAREN,
    ACTIONS(22770), 1,
      anon_sym_LBRACK,
    ACTIONS(22772), 1,
      anon_sym_LBRACE,
    STATE(16875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16100), 1,
      sym_attribute_id,
    STATE(16876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [725102] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19344), 1,
      anon_sym_RBRACE,
    ACTIONS(22774), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725122] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16183), 1,
      sym_module_binding,
    STATE(16878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19316), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [725140] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19731), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [725156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10513), 1,
      sym__type_equation,
    STATE(16880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22776), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [725174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3449), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22778), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22780), 1,
      anon_sym_LPAREN,
    ACTIONS(22782), 1,
      anon_sym_LBRACK,
    ACTIONS(22784), 1,
      anon_sym_LBRACE,
    STATE(16882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3509), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22786), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725234] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22788), 1,
      anon_sym_LPAREN,
    ACTIONS(22790), 1,
      anon_sym_LBRACK,
    ACTIONS(22792), 1,
      anon_sym_LBRACE,
    STATE(16884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725254] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16129), 1,
      sym_attribute_id,
    STATE(16885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [725272] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22794), 1,
      anon_sym_RPAREN,
    STATE(16886), 1,
      sym_attribute,
    STATE(20625), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725292] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(22796), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(16887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725312] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3315), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22798), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725332] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21031), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22800), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725352] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21029), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22802), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725372] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22804), 1,
      anon_sym_LPAREN,
    ACTIONS(22806), 1,
      anon_sym_LBRACK,
    ACTIONS(22808), 1,
      anon_sym_LBRACE,
    STATE(16891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22810), 1,
      anon_sym_LPAREN,
    ACTIONS(22812), 1,
      anon_sym_LBRACK,
    ACTIONS(22814), 1,
      anon_sym_LBRACE,
    STATE(16892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16162), 1,
      sym_attribute_id,
    STATE(16893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [725430] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(22816), 1,
      anon_sym_RBRACK,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(16894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725450] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22818), 1,
      anon_sym_SEMI,
    ACTIONS(22820), 1,
      anon_sym_RBRACE,
    STATE(16895), 1,
      sym_attribute,
    STATE(16910), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725470] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21037), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725490] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10514), 1,
      sym__type_equation,
    STATE(16897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22776), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [725508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22822), 1,
      anon_sym_LPAREN,
    ACTIONS(22824), 1,
      anon_sym_LBRACK,
    ACTIONS(22826), 1,
      anon_sym_LBRACE,
    STATE(16898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22828), 1,
      anon_sym_LPAREN,
    ACTIONS(22830), 1,
      anon_sym_LBRACK,
    ACTIONS(22832), 1,
      anon_sym_LBRACE,
    STATE(16899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725548] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16194), 1,
      sym_attribute_id,
    STATE(16900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [725566] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(22834), 1,
      anon_sym_RPAREN,
    STATE(16901), 1,
      sym_attribute,
    STATE(20790), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725586] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22836), 1,
      sym__lowercase_identifier,
    STATE(16902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725606] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22838), 1,
      anon_sym_SEMI,
    ACTIONS(22840), 1,
      anon_sym_RBRACE,
    STATE(16903), 1,
      sym_attribute,
    STATE(16970), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725626] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22842), 1,
      anon_sym_LPAREN,
    ACTIONS(22844), 1,
      anon_sym_LBRACK,
    ACTIONS(22846), 1,
      anon_sym_LBRACE,
    STATE(16904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725646] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22848), 1,
      anon_sym_LPAREN,
    ACTIONS(22850), 1,
      anon_sym_LBRACK,
    ACTIONS(22852), 1,
      anon_sym_LBRACE,
    STATE(16905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725666] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16221), 1,
      sym_attribute_id,
    STATE(16906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [725684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22854), 1,
      sym__lowercase_identifier,
    STATE(16907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725704] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20281), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22856), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725724] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22858), 1,
      anon_sym_LPAREN,
    ACTIONS(22860), 1,
      anon_sym_LBRACK,
    ACTIONS(22862), 1,
      anon_sym_LBRACE,
    STATE(16909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725744] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19479), 1,
      anon_sym_RBRACE,
    ACTIONS(22864), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725764] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22866), 1,
      anon_sym_LPAREN,
    ACTIONS(22868), 1,
      anon_sym_LBRACK,
    ACTIONS(22870), 1,
      anon_sym_LBRACE,
    STATE(16911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16239), 1,
      sym_attribute_id,
    STATE(16912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [725802] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7809), 1,
      anon_sym_RBRACK,
    ACTIONS(22872), 1,
      anon_sym_SEMI,
    STATE(16913), 1,
      sym_attribute,
    STATE(16914), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19427), 1,
      anon_sym_RBRACK,
    ACTIONS(22874), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16914), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [725840] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18726), 1,
      anon_sym_RBRACE,
    ACTIONS(22877), 1,
      anon_sym_SEMI,
    STATE(16915), 1,
      sym_attribute,
    STATE(16969), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725860] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19423), 1,
      anon_sym_RBRACE,
    ACTIONS(22879), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725880] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22881), 1,
      anon_sym_LPAREN,
    ACTIONS(22883), 1,
      anon_sym_LBRACK,
    ACTIONS(22885), 1,
      anon_sym_LBRACE,
    STATE(16917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725900] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22887), 1,
      anon_sym_LPAREN,
    ACTIONS(22889), 1,
      anon_sym_LBRACK,
    ACTIONS(22891), 1,
      anon_sym_LBRACE,
    STATE(16918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16254), 1,
      sym_attribute_id,
    STATE(16919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [725938] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7861), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22893), 1,
      anon_sym_SEMI,
    STATE(16713), 1,
      aux_sym_list_pattern_repeat1,
    STATE(16920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725958] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20283), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725978] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17993), 1,
      sym__uppercase_identifier,
    ACTIONS(19655), 1,
      anon_sym_LPAREN,
    STATE(14201), 1,
      sym__constructor_name,
    STATE(16922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725998] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22895), 1,
      anon_sym_LPAREN,
    ACTIONS(22897), 1,
      anon_sym_LBRACK,
    ACTIONS(22899), 1,
      anon_sym_LBRACE,
    STATE(16923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726018] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22901), 1,
      anon_sym_LPAREN,
    ACTIONS(22903), 1,
      anon_sym_LBRACK,
    ACTIONS(22905), 1,
      anon_sym_LBRACE,
    STATE(16924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16269), 1,
      sym_attribute_id,
    STATE(16925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [726056] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19181), 1,
      anon_sym_RBRACE,
    ACTIONS(22907), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726076] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20304), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726096] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20304), 1,
      anon_sym_RBRACK,
    STATE(16566), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726116] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16644), 1,
      sym__uppercase_identifier,
    ACTIONS(19929), 1,
      anon_sym_LPAREN,
    STATE(7504), 1,
      sym__constructor_name,
    STATE(16929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726136] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22909), 1,
      anon_sym_LPAREN,
    ACTIONS(22911), 1,
      anon_sym_LBRACK,
    ACTIONS(22913), 1,
      anon_sym_LBRACE,
    STATE(16930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726156] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22915), 1,
      anon_sym_LPAREN,
    ACTIONS(22917), 1,
      anon_sym_LBRACK,
    ACTIONS(22919), 1,
      anon_sym_LBRACE,
    STATE(16931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16284), 1,
      sym_attribute_id,
    STATE(16932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [726194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22921), 1,
      anon_sym_SEMI,
    ACTIONS(22923), 1,
      anon_sym_RBRACE,
    STATE(16933), 1,
      sym_attribute,
    STATE(16984), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22925), 1,
      anon_sym_SEMI,
    ACTIONS(22927), 1,
      anon_sym_RBRACE,
    STATE(16934), 1,
      sym_attribute,
    STATE(16951), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726234] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22929), 1,
      sym__lowercase_identifier,
    ACTIONS(22931), 1,
      anon_sym_LPAREN,
    STATE(7967), 1,
      sym__simple_value_pattern,
    STATE(16935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726254] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22933), 1,
      anon_sym_SEMI,
    ACTIONS(22935), 1,
      anon_sym_RBRACE,
    STATE(16936), 1,
      sym_attribute,
    STATE(17044), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726274] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21107), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726294] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22937), 1,
      anon_sym_LPAREN,
    ACTIONS(22939), 1,
      anon_sym_LBRACK,
    ACTIONS(22941), 1,
      anon_sym_LBRACE,
    STATE(16938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726314] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3393), 1,
      anon_sym_RBRACK,
    ACTIONS(22943), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726334] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22945), 1,
      anon_sym_LPAREN,
    ACTIONS(22947), 1,
      anon_sym_LBRACK,
    ACTIONS(22949), 1,
      anon_sym_LBRACE,
    STATE(16940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16309), 1,
      sym_attribute_id,
    STATE(16941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [726372] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(22951), 1,
      sym__lowercase_identifier,
    STATE(16942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726392] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22953), 1,
      anon_sym_LPAREN,
    ACTIONS(22955), 1,
      anon_sym_LBRACK,
    ACTIONS(22957), 1,
      anon_sym_LBRACE,
    STATE(16943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726412] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22959), 1,
      anon_sym_LPAREN,
    ACTIONS(22961), 1,
      anon_sym_LBRACK,
    ACTIONS(22963), 1,
      anon_sym_LBRACE,
    STATE(16944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726432] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16335), 1,
      sym_attribute_id,
    STATE(16945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [726450] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22965), 1,
      anon_sym_SEMI,
    ACTIONS(22967), 1,
      anon_sym_GT_RBRACE,
    STATE(16946), 1,
      sym_attribute,
    STATE(16991), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726470] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22969), 1,
      anon_sym_LPAREN,
    ACTIONS(22971), 1,
      anon_sym_LBRACK,
    ACTIONS(22973), 1,
      anon_sym_LBRACE,
    STATE(16947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726490] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22975), 1,
      anon_sym_EQ,
    STATE(16948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22977), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [726508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22979), 1,
      anon_sym_LPAREN,
    ACTIONS(22981), 1,
      anon_sym_LBRACK,
    ACTIONS(22983), 1,
      anon_sym_LBRACE,
    STATE(16949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726528] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16353), 1,
      sym_attribute_id,
    STATE(16950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [726546] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19469), 1,
      anon_sym_RBRACE,
    ACTIONS(22985), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726566] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(22987), 1,
      anon_sym_RBRACK,
    STATE(16952), 1,
      sym_attribute,
    STATE(16977), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726586] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22989), 1,
      anon_sym_SEMI,
    ACTIONS(22991), 1,
      anon_sym_RBRACE,
    STATE(16953), 1,
      sym_attribute,
    STATE(16976), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726606] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22993), 1,
      anon_sym_LPAREN,
    ACTIONS(22995), 1,
      anon_sym_LBRACK,
    ACTIONS(22997), 1,
      anon_sym_LBRACE,
    STATE(16954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726626] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22999), 1,
      anon_sym_LPAREN,
    ACTIONS(23001), 1,
      anon_sym_LBRACK,
    ACTIONS(23003), 1,
      anon_sym_LBRACE,
    STATE(16955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726646] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16373), 1,
      sym_attribute_id,
    STATE(16956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [726664] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23005), 1,
      sym__lowercase_identifier,
    STATE(16957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726684] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3613), 1,
      anon_sym_RBRACK,
    ACTIONS(23007), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726704] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20287), 1,
      anon_sym_RBRACE,
    ACTIONS(23009), 1,
      anon_sym_SEMI,
    STATE(16318), 1,
      aux_sym_record_declaration_repeat1,
    STATE(16959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726724] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(23011), 1,
      anon_sym_RPAREN,
    STATE(16960), 1,
      sym_attribute,
    STATE(20914), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726744] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23013), 1,
      anon_sym_LPAREN,
    ACTIONS(23015), 1,
      anon_sym_LBRACK,
    ACTIONS(23017), 1,
      anon_sym_LBRACE,
    STATE(16961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726764] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23019), 1,
      anon_sym_LPAREN,
    ACTIONS(23021), 1,
      anon_sym_LBRACK,
    ACTIONS(23023), 1,
      anon_sym_LBRACE,
    STATE(16962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16389), 1,
      sym_attribute_id,
    STATE(16963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [726802] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23025), 1,
      anon_sym_SEMI,
    ACTIONS(23027), 1,
      anon_sym_GT_RBRACE,
    STATE(16964), 1,
      sym_attribute,
    STATE(16987), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12573), 1,
      sym_module_binding,
    STATE(16965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19015), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [726840] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23029), 1,
      anon_sym_LPAREN,
    ACTIONS(23031), 1,
      anon_sym_LBRACK,
    ACTIONS(23033), 1,
      anon_sym_LBRACE,
    STATE(16966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726860] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23035), 1,
      anon_sym_LPAREN,
    ACTIONS(23037), 1,
      anon_sym_LBRACK,
    ACTIONS(23039), 1,
      anon_sym_LBRACE,
    STATE(16967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16403), 1,
      sym_attribute_id,
    STATE(16968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [726898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23041), 1,
      anon_sym_SEMI,
    ACTIONS(23044), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16969), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [726916] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19481), 1,
      anon_sym_RBRACE,
    ACTIONS(23046), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726936] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3459), 1,
      anon_sym_RBRACK,
    ACTIONS(23048), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(16971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726956] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23050), 1,
      anon_sym_LPAREN,
    ACTIONS(23052), 1,
      anon_sym_LBRACK,
    ACTIONS(23054), 1,
      anon_sym_LBRACE,
    STATE(16972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726976] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21239), 1,
      anon_sym_COLON2,
    ACTIONS(23056), 1,
      anon_sym_RPAREN,
    STATE(16973), 1,
      sym_attribute,
    STATE(18717), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726996] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23058), 1,
      anon_sym_LPAREN,
    ACTIONS(23060), 1,
      anon_sym_LBRACK,
    ACTIONS(23062), 1,
      anon_sym_LBRACE,
    STATE(16974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727016] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16413), 1,
      sym_attribute_id,
    STATE(16975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727034] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19224), 1,
      anon_sym_RBRACE,
    ACTIONS(23064), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727054] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(23066), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(16977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727074] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3461), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23068), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727094] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23070), 1,
      anon_sym_LPAREN,
    ACTIONS(23072), 1,
      anon_sym_LBRACK,
    ACTIONS(23074), 1,
      anon_sym_LBRACE,
    STATE(16979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727114] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23076), 1,
      anon_sym_LPAREN,
    ACTIONS(23078), 1,
      anon_sym_LBRACK,
    ACTIONS(23080), 1,
      anon_sym_LBRACE,
    STATE(16980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16423), 1,
      sym_attribute_id,
    STATE(16981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727152] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(23082), 1,
      anon_sym_RPAREN,
    STATE(16982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727172] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3615), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23084), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(16983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727192] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19252), 1,
      anon_sym_RBRACE,
    ACTIONS(23086), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727212] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20302), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [727228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23088), 1,
      anon_sym_LPAREN,
    ACTIONS(23090), 1,
      anon_sym_LBRACK,
    ACTIONS(23092), 1,
      anon_sym_LBRACE,
    STATE(16986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727248] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21083), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23094), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727268] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23096), 1,
      anon_sym_LPAREN,
    ACTIONS(23098), 1,
      anon_sym_LBRACK,
    ACTIONS(23100), 1,
      anon_sym_LBRACE,
    STATE(16988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727288] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16437), 1,
      sym_attribute_id,
    STATE(16989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727306] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19338), 1,
      anon_sym_RBRACE,
    ACTIONS(23102), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(16990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727326] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20761), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23104), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727346] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(23106), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(16992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727366] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23108), 1,
      anon_sym_LPAREN,
    ACTIONS(23110), 1,
      anon_sym_LBRACK,
    ACTIONS(23112), 1,
      anon_sym_LBRACE,
    STATE(16993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727386] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23114), 1,
      anon_sym_LPAREN,
    ACTIONS(23116), 1,
      anon_sym_LBRACK,
    ACTIONS(23118), 1,
      anon_sym_LBRACE,
    STATE(16994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16445), 1,
      sym_attribute_id,
    STATE(16995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23120), 1,
      anon_sym_SEMI,
    ACTIONS(23122), 1,
      anon_sym_RBRACE,
    STATE(16996), 1,
      sym_attribute,
    STATE(17009), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727444] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23124), 1,
      anon_sym_SEMI,
    ACTIONS(23126), 1,
      anon_sym_GT_RBRACE,
    STATE(16019), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727464] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23128), 1,
      sym__lowercase_identifier,
    STATE(16998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727484] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23130), 1,
      anon_sym_LPAREN,
    ACTIONS(23132), 1,
      anon_sym_LBRACK,
    ACTIONS(23134), 1,
      anon_sym_LBRACE,
    STATE(16999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727504] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23136), 1,
      anon_sym_LPAREN,
    ACTIONS(23138), 1,
      anon_sym_LBRACK,
    ACTIONS(23140), 1,
      anon_sym_LBRACE,
    STATE(17000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727524] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16455), 1,
      sym_attribute_id,
    STATE(17001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727542] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(23106), 1,
      anon_sym_RBRACK,
    STATE(17002), 1,
      sym_attribute,
    STATE(17217), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727562] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15768), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17003), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727582] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23142), 1,
      sym__lowercase_identifier,
    STATE(17004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727602] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23144), 1,
      anon_sym_LPAREN,
    ACTIONS(23146), 1,
      anon_sym_LBRACK,
    ACTIONS(23148), 1,
      anon_sym_LBRACE,
    STATE(17005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727622] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23150), 1,
      anon_sym_LPAREN,
    ACTIONS(23152), 1,
      anon_sym_LBRACK,
    ACTIONS(23154), 1,
      anon_sym_LBRACE,
    STATE(17006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16470), 1,
      sym_attribute_id,
    STATE(17007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727660] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(23156), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727680] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19387), 1,
      anon_sym_RBRACE,
    ACTIONS(23158), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727700] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23160), 1,
      anon_sym_LPAREN,
    ACTIONS(23162), 1,
      anon_sym_LBRACK,
    ACTIONS(23164), 1,
      anon_sym_LBRACE,
    STATE(17010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727720] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23166), 1,
      anon_sym_LPAREN,
    ACTIONS(23168), 1,
      anon_sym_LBRACK,
    ACTIONS(23170), 1,
      anon_sym_LBRACE,
    STATE(17011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16481), 1,
      sym_attribute_id,
    STATE(17012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727758] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23172), 1,
      anon_sym_SEMI,
    ACTIONS(23174), 1,
      anon_sym_RBRACE,
    STATE(17013), 1,
      sym_attribute,
    STATE(17036), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727778] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23176), 1,
      anon_sym_LPAREN,
    ACTIONS(23178), 1,
      anon_sym_LBRACK,
    ACTIONS(23180), 1,
      anon_sym_LBRACE,
    STATE(17014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727798] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23182), 1,
      anon_sym_LPAREN,
    ACTIONS(23184), 1,
      anon_sym_LBRACK,
    ACTIONS(23186), 1,
      anon_sym_LBRACE,
    STATE(17015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727818] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16491), 1,
      sym_attribute_id,
    STATE(17016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727836] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(23188), 1,
      anon_sym_RPAREN,
    STATE(17017), 1,
      sym_attribute,
    STATE(21071), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727856] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_LPAREN,
    ACTIONS(23192), 1,
      anon_sym_LBRACK,
    ACTIONS(23194), 1,
      anon_sym_LBRACE,
    STATE(17018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727876] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20087), 1,
      anon_sym_RBRACK,
    STATE(15951), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727896] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23196), 1,
      anon_sym_LPAREN,
    ACTIONS(23198), 1,
      anon_sym_LBRACK,
    ACTIONS(23200), 1,
      anon_sym_LBRACE,
    STATE(17020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727916] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16502), 1,
      sym_attribute_id,
    STATE(17021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [727934] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23202), 1,
      sym__lowercase_identifier,
    STATE(17022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727954] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23204), 1,
      anon_sym_LPAREN,
    ACTIONS(23206), 1,
      anon_sym_LBRACK,
    ACTIONS(23208), 1,
      anon_sym_LBRACE,
    STATE(17023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727974] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23210), 1,
      anon_sym_LPAREN,
    ACTIONS(23212), 1,
      anon_sym_LBRACK,
    ACTIONS(23214), 1,
      anon_sym_LBRACE,
    STATE(17024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16516), 1,
      sym_attribute_id,
    STATE(17025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(17026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728030] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20087), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728050] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_LPAREN,
    ACTIONS(23218), 1,
      anon_sym_LBRACK,
    ACTIONS(23220), 1,
      anon_sym_LBRACE,
    STATE(17028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728070] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23222), 1,
      anon_sym_LPAREN,
    ACTIONS(23224), 1,
      anon_sym_LBRACK,
    ACTIONS(23226), 1,
      anon_sym_LBRACE,
    STATE(17029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728090] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16531), 1,
      sym_attribute_id,
    STATE(17030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728108] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23228), 1,
      aux_sym_quoted_extension_token1,
    STATE(17031), 1,
      sym_attribute,
    STATE(20954), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728128] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23230), 1,
      anon_sym_LPAREN,
    ACTIONS(23232), 1,
      anon_sym_LBRACK,
    ACTIONS(23234), 1,
      anon_sym_LBRACE,
    STATE(17032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728148] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23236), 1,
      anon_sym_LPAREN,
    ACTIONS(23238), 1,
      anon_sym_LBRACK,
    ACTIONS(23240), 1,
      anon_sym_LBRACE,
    STATE(17033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728168] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16542), 1,
      sym_attribute_id,
    STATE(17034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728186] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10051), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(17035), 1,
      sym_attribute,
    STATE(17140), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728206] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19296), 1,
      anon_sym_RBRACE,
    ACTIONS(23242), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728226] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15399), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17037), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728246] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23244), 1,
      anon_sym_LPAREN,
    ACTIONS(23246), 1,
      anon_sym_LBRACK,
    ACTIONS(23248), 1,
      anon_sym_LBRACE,
    STATE(17038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728266] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15296), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17039), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23250), 1,
      anon_sym_LPAREN,
    ACTIONS(23252), 1,
      anon_sym_LBRACK,
    ACTIONS(23254), 1,
      anon_sym_LBRACE,
    STATE(17040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16552), 1,
      sym_attribute_id,
    STATE(17041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23256), 1,
      anon_sym_SEMI,
    ACTIONS(23258), 1,
      anon_sym_RBRACE,
    STATE(17042), 1,
      sym_attribute,
    STATE(17065), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728344] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_SEMI,
    ACTIONS(18466), 1,
      anon_sym_GT,
    STATE(17043), 1,
      sym_attribute,
    STATE(17150), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728364] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19425), 1,
      anon_sym_RBRACE,
    ACTIONS(23260), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728384] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23262), 1,
      anon_sym_LPAREN,
    ACTIONS(23264), 1,
      anon_sym_LBRACK,
    ACTIONS(23266), 1,
      anon_sym_LBRACE,
    STATE(17045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728404] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(23066), 1,
      anon_sym_RBRACK,
    STATE(15948), 1,
      aux_sym__type_params_repeat1,
    STATE(17046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728424] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23268), 1,
      anon_sym_LPAREN,
    ACTIONS(23270), 1,
      anon_sym_LBRACK,
    ACTIONS(23272), 1,
      anon_sym_LBRACE,
    STATE(17047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16565), 1,
      sym_attribute_id,
    STATE(17048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23274), 1,
      anon_sym_EQ,
    STATE(17049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23276), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [728480] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15780), 1,
      anon_sym_in,
    ACTIONS(21288), 1,
      anon_sym_and,
    STATE(16205), 1,
      aux_sym_module_definition_repeat1,
    STATE(17050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728500] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23278), 1,
      anon_sym_SEMI,
    ACTIONS(23280), 1,
      anon_sym_GT_RBRACE,
    STATE(17051), 1,
      sym_attribute,
    STATE(17075), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728520] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23282), 1,
      anon_sym_LPAREN,
    ACTIONS(23284), 1,
      anon_sym_LBRACK,
    ACTIONS(23286), 1,
      anon_sym_LBRACE,
    STATE(17052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728540] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23288), 1,
      anon_sym_LPAREN,
    ACTIONS(23290), 1,
      anon_sym_LBRACK,
    ACTIONS(23292), 1,
      anon_sym_LBRACE,
    STATE(17053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728560] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16576), 1,
      sym_attribute_id,
    STATE(17054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728578] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(23294), 1,
      anon_sym_RPAREN,
    STATE(17055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728598] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3651), 1,
      anon_sym_RBRACK,
    ACTIONS(23296), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(17056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728618] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23298), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(17057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728638] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23300), 1,
      sym__lowercase_identifier,
    STATE(17058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728658] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23302), 1,
      anon_sym_LPAREN,
    ACTIONS(23304), 1,
      anon_sym_LBRACK,
    ACTIONS(23306), 1,
      anon_sym_LBRACE,
    STATE(17059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728678] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23308), 1,
      anon_sym_LPAREN,
    ACTIONS(23310), 1,
      anon_sym_LBRACK,
    ACTIONS(23312), 1,
      anon_sym_LBRACE,
    STATE(17060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16585), 1,
      sym_attribute_id,
    STATE(17061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728716] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11478), 1,
      anon_sym_GT,
    ACTIONS(23314), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728736] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3471), 1,
      anon_sym_RBRACK,
    ACTIONS(23316), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(17063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728756] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15329), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17064), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728776] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19280), 1,
      anon_sym_RBRACE,
    ACTIONS(23318), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728796] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23320), 1,
      anon_sym_LPAREN,
    ACTIONS(23322), 1,
      anon_sym_LBRACK,
    ACTIONS(23324), 1,
      anon_sym_LBRACE,
    STATE(17066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728816] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23326), 1,
      anon_sym_LPAREN,
    ACTIONS(23328), 1,
      anon_sym_LBRACK,
    ACTIONS(23330), 1,
      anon_sym_LBRACE,
    STATE(17067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16593), 1,
      sym_attribute_id,
    STATE(17068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728854] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3473), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23332), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(17069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728874] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23334), 1,
      anon_sym_SEMI,
    ACTIONS(23336), 1,
      anon_sym_RBRACE,
    STATE(17070), 1,
      sym_attribute,
    STATE(17148), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728894] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23338), 1,
      anon_sym_LPAREN,
    ACTIONS(23340), 1,
      anon_sym_LBRACK,
    ACTIONS(23342), 1,
      anon_sym_LBRACE,
    STATE(17071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728914] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23344), 1,
      anon_sym_LPAREN,
    ACTIONS(23346), 1,
      anon_sym_LBRACK,
    ACTIONS(23348), 1,
      anon_sym_LBRACE,
    STATE(17072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16609), 1,
      sym_attribute_id,
    STATE(17073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [728952] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3231), 1,
      anon_sym_RBRACK,
    ACTIONS(23350), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(17074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728972] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21131), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23352), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728992] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(23354), 1,
      anon_sym_RPAREN,
    STATE(17076), 1,
      sym_attribute,
    STATE(18834), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729012] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23356), 1,
      anon_sym_SEMI,
    ACTIONS(23358), 1,
      anon_sym_GT_RBRACE,
    STATE(17077), 1,
      sym_attribute,
    STATE(17163), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729032] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(23360), 1,
      anon_sym_RPAREN,
    STATE(17078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729052] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23362), 1,
      anon_sym_LPAREN,
    ACTIONS(23364), 1,
      anon_sym_LBRACK,
    ACTIONS(23366), 1,
      anon_sym_LBRACE,
    STATE(17079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729072] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23368), 1,
      anon_sym_LPAREN,
    ACTIONS(23370), 1,
      anon_sym_LBRACK,
    ACTIONS(23372), 1,
      anon_sym_LBRACE,
    STATE(17080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729092] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16620), 1,
      sym_attribute_id,
    STATE(17081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729110] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(23374), 1,
      anon_sym_RPAREN,
    STATE(17082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729130] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23376), 1,
      anon_sym_SEMI,
    ACTIONS(23378), 1,
      anon_sym_RBRACE,
    STATE(17083), 1,
      sym_attribute,
    STATE(17146), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729150] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21149), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729170] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21149), 1,
      anon_sym_RBRACK,
    STATE(16080), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729190] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23380), 1,
      anon_sym_LPAREN,
    ACTIONS(23382), 1,
      anon_sym_LBRACK,
    ACTIONS(23384), 1,
      anon_sym_LBRACE,
    STATE(17086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16624), 1,
      sym_attribute_id,
    STATE(17087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(23386), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729248] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23388), 1,
      anon_sym_LPAREN,
    ACTIONS(23390), 1,
      anon_sym_LBRACK,
    ACTIONS(23392), 1,
      anon_sym_LBRACE,
    STATE(17089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729268] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16627), 1,
      sym_attribute_id,
    STATE(17090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729286] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23394), 1,
      anon_sym_LPAREN,
    ACTIONS(23396), 1,
      anon_sym_LBRACK,
    ACTIONS(23398), 1,
      anon_sym_LBRACE,
    STATE(17091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16632), 1,
      sym_attribute_id,
    STATE(17092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729324] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23400), 1,
      anon_sym_LPAREN,
    ACTIONS(23402), 1,
      anon_sym_LBRACK,
    ACTIONS(23404), 1,
      anon_sym_LBRACE,
    STATE(17093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16635), 1,
      sym_attribute_id,
    STATE(17094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729362] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23406), 1,
      anon_sym_LPAREN,
    ACTIONS(23408), 1,
      anon_sym_LBRACK,
    ACTIONS(23410), 1,
      anon_sym_LBRACE,
    STATE(17095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729382] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16637), 1,
      sym_attribute_id,
    STATE(17096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729400] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23412), 1,
      anon_sym_LPAREN,
    ACTIONS(23414), 1,
      anon_sym_LBRACK,
    ACTIONS(23416), 1,
      anon_sym_LBRACE,
    STATE(17097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16639), 1,
      sym_attribute_id,
    STATE(17098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729438] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23418), 1,
      anon_sym_LPAREN,
    ACTIONS(23420), 1,
      anon_sym_LBRACK,
    ACTIONS(23422), 1,
      anon_sym_LBRACE,
    STATE(17099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729458] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16641), 1,
      sym_attribute_id,
    STATE(17100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729476] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23424), 1,
      anon_sym_LPAREN,
    ACTIONS(23426), 1,
      anon_sym_LBRACK,
    ACTIONS(23428), 1,
      anon_sym_LBRACE,
    STATE(17101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16644), 1,
      sym_attribute_id,
    STATE(17102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729514] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23430), 1,
      anon_sym_LPAREN,
    ACTIONS(23432), 1,
      anon_sym_LBRACK,
    ACTIONS(23434), 1,
      anon_sym_LBRACE,
    STATE(17103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729534] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16647), 1,
      sym_attribute_id,
    STATE(17104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729552] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23436), 1,
      anon_sym_LPAREN,
    ACTIONS(23438), 1,
      anon_sym_LBRACK,
    ACTIONS(23440), 1,
      anon_sym_LBRACE,
    STATE(17105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729572] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16649), 1,
      sym_attribute_id,
    STATE(17106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729590] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23442), 1,
      anon_sym_LPAREN,
    ACTIONS(23444), 1,
      anon_sym_LBRACK,
    ACTIONS(23446), 1,
      anon_sym_LBRACE,
    STATE(17107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16652), 1,
      sym_attribute_id,
    STATE(17108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23448), 1,
      anon_sym_LPAREN,
    ACTIONS(23450), 1,
      anon_sym_LBRACK,
    ACTIONS(23452), 1,
      anon_sym_LBRACE,
    STATE(17109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16654), 1,
      sym_attribute_id,
    STATE(17110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729666] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23454), 1,
      anon_sym_LPAREN,
    ACTIONS(23456), 1,
      anon_sym_LBRACK,
    ACTIONS(23458), 1,
      anon_sym_LBRACE,
    STATE(17111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729686] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16656), 1,
      sym_attribute_id,
    STATE(17112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729704] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23460), 1,
      anon_sym_LPAREN,
    ACTIONS(23462), 1,
      anon_sym_LBRACK,
    ACTIONS(23464), 1,
      anon_sym_LBRACE,
    STATE(17113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16658), 1,
      sym_attribute_id,
    STATE(17114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16660), 1,
      sym_attribute_id,
    STATE(17115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16662), 1,
      sym_attribute_id,
    STATE(17116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16664), 1,
      sym_attribute_id,
    STATE(17117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16666), 1,
      sym_attribute_id,
    STATE(17118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16668), 1,
      sym_attribute_id,
    STATE(17119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16670), 1,
      sym_attribute_id,
    STATE(17120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16672), 1,
      sym_attribute_id,
    STATE(17121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16674), 1,
      sym_attribute_id,
    STATE(17122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16676), 1,
      sym_attribute_id,
    STATE(17123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16678), 1,
      sym_attribute_id,
    STATE(17124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729922] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16680), 1,
      sym_attribute_id,
    STATE(17125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729940] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16682), 1,
      sym_attribute_id,
    STATE(17126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729958] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16684), 1,
      sym_attribute_id,
    STATE(17127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16686), 1,
      sym_attribute_id,
    STATE(17128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16688), 1,
      sym_attribute_id,
    STATE(17129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16690), 1,
      sym_attribute_id,
    STATE(17130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730030] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16692), 1,
      sym_attribute_id,
    STATE(17131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730048] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16694), 1,
      sym_attribute_id,
    STATE(17132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16696), 1,
      sym_attribute_id,
    STATE(17133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16698), 1,
      sym_attribute_id,
    STATE(17134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730102] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16700), 1,
      sym_attribute_id,
    STATE(17135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16702), 1,
      sym_attribute_id,
    STATE(17136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16704), 1,
      sym_attribute_id,
    STATE(17137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730156] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16717), 1,
      sym_attribute_id,
    STATE(17138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [730174] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20336), 1,
      anon_sym_RBRACK,
    STATE(17139), 1,
      sym_attribute,
    STATE(17175), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730194] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20336), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730214] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15753), 1,
      aux_sym_module_binding_repeat1,
    STATE(17141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730234] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23466), 1,
      sym__lowercase_identifier,
    STATE(17142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730254] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20606), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23468), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730274] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3625), 1,
      anon_sym_RBRACK,
    ACTIONS(23470), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(17144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730294] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15358), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17145), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730314] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19543), 1,
      anon_sym_RBRACE,
    ACTIONS(23472), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730334] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23474), 1,
      sym__lowercase_identifier,
    STATE(17147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730354] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19202), 1,
      anon_sym_RBRACE,
    ACTIONS(23476), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730374] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19129), 1,
      anon_sym_RBRACE,
    ACTIONS(23478), 1,
      anon_sym_SEMI,
    STATE(16969), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730394] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11644), 1,
      anon_sym_GT,
    ACTIONS(23480), 1,
      anon_sym_SEMI,
    STATE(17150), 1,
      sym_attribute,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    STATE(17151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16514), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [730432] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10517), 1,
      sym__type_equation,
    STATE(17152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23482), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [730450] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7891), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23484), 1,
      anon_sym_SEMI,
    STATE(16713), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730470] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(23486), 1,
      anon_sym_RBRACK,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730490] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(10518), 1,
      sym__type_equation,
    STATE(17155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23482), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [730508] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(23488), 1,
      anon_sym_RPAREN,
    STATE(16131), 1,
      aux_sym__type_params_repeat1,
    STATE(17156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730528] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3627), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23490), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(17157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730548] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23492), 1,
      anon_sym_SEMI,
    ACTIONS(23494), 1,
      anon_sym_RBRACE,
    STATE(15959), 1,
      aux_sym_record_expression_repeat1,
    STATE(17158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730568] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9941), 1,
      anon_sym_RBRACK,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    STATE(17159), 1,
      sym_attribute,
    STATE(17198), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730588] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3495), 1,
      anon_sym_RBRACK,
    ACTIONS(23496), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(17160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730608] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23498), 1,
      anon_sym_SEMI,
    ACTIONS(23500), 1,
      anon_sym_RBRACE,
    STATE(17161), 1,
      sym_attribute,
    STATE(17188), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730628] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15890), 1,
      aux_sym_module_binding_repeat1,
    STATE(17162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730648] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20829), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23502), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730668] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23504), 1,
      anon_sym_SEMI,
    ACTIONS(23506), 1,
      anon_sym_RBRACE,
    STATE(17164), 1,
      sym_attribute,
    STATE(17189), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730688] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18449), 1,
      anon_sym_SEMI,
    ACTIONS(18451), 1,
      anon_sym_GT,
    STATE(17165), 1,
      sym_attribute,
    STATE(17211), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730708] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15894), 1,
      aux_sym_module_binding_repeat1,
    STATE(17166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730728] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(23508), 1,
      anon_sym_RPAREN,
    STATE(17167), 1,
      sym_attribute,
    STATE(21189), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730748] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23510), 1,
      anon_sym_SEMI,
    ACTIONS(23512), 1,
      anon_sym_RBRACE,
    STATE(17168), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730768] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23514), 1,
      anon_sym_SEMI,
    ACTIONS(23516), 1,
      anon_sym_GT_RBRACE,
    STATE(17169), 1,
      sym_attribute,
    STATE(17194), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730788] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23518), 1,
      anon_sym_SEMI,
    ACTIONS(23520), 1,
      anon_sym_RBRACE,
    STATE(16359), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730808] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23522), 1,
      anon_sym_SEMI,
    ACTIONS(23524), 1,
      anon_sym_GT_RBRACE,
    STATE(17171), 1,
      sym_attribute,
    STATE(17196), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730828] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23526), 1,
      anon_sym_SEMI,
    ACTIONS(23528), 1,
      anon_sym_RBRACE,
    STATE(17172), 1,
      sym_attribute,
    STATE(17193), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(23530), 1,
      anon_sym_RPAREN,
    STATE(17173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730868] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(23532), 1,
      anon_sym_type,
    STATE(16298), 1,
      sym_module_path,
    STATE(17174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730888] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20354), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730908] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3483), 1,
      anon_sym_RBRACK,
    ACTIONS(23534), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(17176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730928] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20354), 1,
      anon_sym_RBRACK,
    STATE(17177), 1,
      sym_attribute,
    STATE(17199), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730948] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7821), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23536), 1,
      anon_sym_SEMI,
    STATE(16713), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730968] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23538), 1,
      anon_sym_SEMI,
    ACTIONS(23540), 1,
      anon_sym_RBRACE,
    STATE(16002), 1,
      aux_sym_record_expression_repeat1,
    STATE(17179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730988] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23542), 1,
      anon_sym_SEMI,
    ACTIONS(23544), 1,
      anon_sym_GT_RBRACE,
    STATE(15941), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731008] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19350), 1,
      anon_sym_RBRACE,
    ACTIONS(23546), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731028] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3325), 1,
      anon_sym_RBRACK,
    ACTIONS(23548), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(17182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731048] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_DQUOTE,
    STATE(10735), 1,
      aux_sym_external_repeat1,
    STATE(12298), 1,
      sym_string,
    STATE(17183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731068] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3541), 1,
      anon_sym_RBRACK,
    ACTIONS(23550), 1,
      anon_sym_SEMI,
    STATE(16285), 1,
      aux_sym_list_expression_repeat1,
    STATE(17184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731088] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(23552), 1,
      anon_sym_type,
    STATE(16298), 1,
      sym_module_path,
    STATE(17185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731108] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3485), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23554), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(17186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731128] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(23556), 1,
      anon_sym_RPAREN,
    STATE(17187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731148] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19220), 1,
      anon_sym_RBRACE,
    ACTIONS(23558), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731168] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19499), 1,
      anon_sym_RBRACE,
    ACTIONS(23560), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731188] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3327), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23562), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(17190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731208] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23564), 1,
      sym__lowercase_identifier,
    STATE(17191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731228] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19729), 1,
      anon_sym_COMMA,
    ACTIONS(23566), 1,
      anon_sym_RPAREN,
    STATE(15375), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731248] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19519), 1,
      anon_sym_RBRACE,
    ACTIONS(23568), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731268] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20362), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23570), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731288] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(23572), 1,
      anon_sym_type,
    STATE(16298), 1,
      sym_module_path,
    STATE(17195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731308] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21179), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23574), 1,
      anon_sym_SEMI,
    STATE(16150), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731328] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21181), 1,
      anon_sym_RBRACK,
    STATE(17197), 1,
      sym_attribute,
    STATE(17228), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731348] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(21181), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731368] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20364), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731388] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(17200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [731406] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23576), 1,
      anon_sym_SEMI,
    ACTIONS(23578), 1,
      anon_sym_GT_RBRACE,
    STATE(16070), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731426] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23580), 1,
      aux_sym_quoted_extension_token1,
    STATE(17202), 1,
      sym_attribute,
    STATE(19539), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731446] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18706), 1,
      anon_sym_GT,
    ACTIONS(23582), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17203), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [731464] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10129), 1,
      sym__uppercase_identifier,
    ACTIONS(23585), 1,
      anon_sym_type,
    STATE(16298), 1,
      sym_module_path,
    STATE(17204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731484] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19286), 1,
      anon_sym_RBRACE,
    ACTIONS(23587), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731504] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23589), 1,
      anon_sym_SEMI,
    ACTIONS(23591), 1,
      anon_sym_RBRACE,
    STATE(15942), 1,
      aux_sym_record_expression_repeat1,
    STATE(17206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731524] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23593), 1,
      anon_sym_SEMI,
    ACTIONS(23595), 1,
      anon_sym_RBRACE,
    STATE(17207), 1,
      sym_attribute,
    STATE(17220), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12435), 1,
      sym_module_binding,
    STATE(17208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19161), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [731562] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_LPAREN,
    STATE(10319), 1,
      sym_module_parameter,
    STATE(15255), 1,
      aux_sym_module_binding_repeat1,
    STATE(17209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731582] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13541), 1,
      sym_module_binding,
    STATE(17210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19161), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [731600] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11406), 1,
      anon_sym_GT,
    ACTIONS(23597), 1,
      anon_sym_SEMI,
    STATE(17203), 1,
      aux_sym_object_type_repeat1,
    STATE(17211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731620] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8036), 1,
      aux_sym_tag_token1,
    STATE(15501), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17212), 1,
      sym_attribute,
    STATE(17361), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(16266), 1,
      sym_attribute_id,
    STATE(17213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21668), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [731658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12435), 1,
      sym_module_binding,
    STATE(17214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19167), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [731676] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13547), 1,
      sym_module_binding,
    STATE(17215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19167), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [731694] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23599), 1,
      sym__lowercase_identifier,
    STATE(17216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731714] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_COMMA,
    ACTIONS(23601), 1,
      anon_sym_RBRACK,
    STATE(15282), 1,
      aux_sym__type_params_repeat1,
    STATE(17217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731734] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    ACTIONS(23603), 1,
      anon_sym_RPAREN,
    STATE(17218), 1,
      sym_attribute,
    STATE(19062), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731754] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12435), 1,
      sym_module_binding,
    STATE(17219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19173), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [731772] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19559), 1,
      anon_sym_RBRACE,
    ACTIONS(23605), 1,
      anon_sym_SEMI,
    STATE(16379), 1,
      aux_sym_record_expression_repeat1,
    STATE(17220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731792] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12887), 1,
      sym_module_binding,
    STATE(17221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19173), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [731810] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19781), 1,
      anon_sym_DASH_GT,
    ACTIONS(19783), 1,
      anon_sym_with,
    ACTIONS(23607), 1,
      anon_sym_RPAREN,
    STATE(17222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13554), 1,
      sym_module_binding,
    STATE(17223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19161), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [731848] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3543), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23609), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      aux_sym_list_expression_repeat1,
    STATE(17224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(13556), 1,
      sym_module_binding,
    STATE(17225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19167), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [731886] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym_indexing_operator,
    ACTIONS(23611), 1,
      sym__lowercase_identifier,
    STATE(17226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731906] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(12736), 1,
      sym_module_binding,
    STATE(17227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19173), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [731924] = 6,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20027), 1,
      anon_sym_PIPE,
    ACTIONS(20516), 1,
      anon_sym_RBRACK,
    STATE(15389), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(17229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21300), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [731962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23613), 1,
      anon_sym_RPAREN,
    STATE(17230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(23615), 1,
      sym__lowercase_identifier,
    STATE(17231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17232), 1,
      sym_attribute,
    STATE(20504), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23617), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [732028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23619), 1,
      anon_sym_EQ,
    STATE(17234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23621), 1,
      anon_sym_COLON_GT,
    ACTIONS(23623), 1,
      anon_sym_EQ,
    STATE(17235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23625), 1,
      anon_sym_RPAREN,
    ACTIONS(23627), 1,
      anon_sym_SEMI,
    STATE(17236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23625), 1,
      anon_sym_RBRACK,
    ACTIONS(23629), 1,
      anon_sym_SEMI,
    STATE(17237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732096] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23625), 1,
      anon_sym_RBRACE,
    ACTIONS(23631), 1,
      anon_sym_SEMI,
    STATE(17238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732113] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23633), 1,
      anon_sym_RPAREN,
    STATE(17239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732130] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23635), 1,
      anon_sym_EQ,
    STATE(17240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732147] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23637), 1,
      anon_sym_EQ,
    STATE(17241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732164] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23639), 1,
      anon_sym_COLON_GT,
    ACTIONS(23641), 1,
      anon_sym_EQ,
    STATE(17242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732181] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23643), 1,
      anon_sym_RPAREN,
    STATE(17243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732198] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23645), 1,
      anon_sym_RPAREN,
    ACTIONS(23647), 1,
      anon_sym_LT_DASH,
    STATE(17244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732215] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23649), 1,
      anon_sym_DOT,
    STATE(17245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732232] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23651), 1,
      anon_sym_RPAREN,
    STATE(17246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732249] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17247), 1,
      sym_attribute,
    STATE(20881), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732266] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23653), 1,
      anon_sym_then,
    STATE(13064), 1,
      sym_then_clause,
    STATE(17248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732283] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23655), 1,
      anon_sym_SEMI,
    ACTIONS(23657), 1,
      anon_sym_RBRACE,
    STATE(17249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732300] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23659), 1,
      anon_sym_EQ,
    ACTIONS(23661), 1,
      anon_sym_RPAREN,
    STATE(17250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732317] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23663), 1,
      anon_sym_EQ,
    STATE(17251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732334] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23665), 1,
      anon_sym_EQ,
    STATE(17252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732351] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23667), 1,
      anon_sym_EQ,
    STATE(17253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732368] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(23669), 1,
      sym__lowercase_identifier,
    STATE(17254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732385] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23671), 1,
      anon_sym_RPAREN,
    ACTIONS(23673), 1,
      anon_sym_LT_DASH,
    STATE(17255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732402] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23675), 1,
      anon_sym_RPAREN,
    STATE(17256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732419] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23677), 1,
      anon_sym_RPAREN,
    ACTIONS(23679), 1,
      anon_sym_LT_DASH,
    STATE(17257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23681), 1,
      anon_sym_RPAREN,
    STATE(17258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23683), 1,
      anon_sym_RPAREN,
    ACTIONS(23685), 1,
      anon_sym_LT_DASH,
    STATE(17259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(23687), 1,
      anon_sym_RPAREN,
    STATE(17260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23689), 1,
      anon_sym_RPAREN,
    ACTIONS(23691), 1,
      anon_sym_LT_DASH,
    STATE(17261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732504] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23693), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [732519] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23695), 1,
      anon_sym_RPAREN,
    ACTIONS(23697), 1,
      anon_sym_LT_DASH,
    STATE(17263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732536] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12928), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [732551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23699), 1,
      anon_sym_EQ,
    STATE(17265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23701), 1,
      anon_sym_do,
    STATE(8459), 1,
      sym_do_clause,
    STATE(17266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23703), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [732600] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23705), 1,
      sym__lowercase_identifier,
    ACTIONS(23707), 1,
      sym__uppercase_identifier,
    STATE(17268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732617] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23709), 1,
      anon_sym_COLON_GT,
    ACTIONS(23711), 1,
      anon_sym_RPAREN,
    STATE(17269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732634] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23713), 1,
      anon_sym_RPAREN,
    STATE(17270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732651] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23715), 1,
      anon_sym_SEMI,
    ACTIONS(23717), 1,
      anon_sym_RBRACE,
    STATE(17271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732668] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23719), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [732683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23721), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [732698] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10007), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732715] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23723), 1,
      sym__lowercase_identifier,
    ACTIONS(23725), 1,
      anon_sym_LPAREN,
    STATE(17275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732732] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23727), 1,
      anon_sym_then,
    STATE(12594), 1,
      sym_then_clause,
    STATE(17276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23729), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [732764] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23731), 1,
      anon_sym_DOT,
    STATE(17278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732781] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23733), 1,
      anon_sym_DOT,
    STATE(17279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732798] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23735), 1,
      anon_sym_DOT,
    STATE(17280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732815] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(23737), 1,
      sym__lowercase_identifier,
    STATE(17281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732832] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18429), 1,
      sym__lowercase_identifier,
    STATE(17282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732849] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17283), 1,
      sym_attribute,
    STATE(18488), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732866] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23739), 1,
      sym__lowercase_identifier,
    ACTIONS(23741), 1,
      anon_sym_LPAREN,
    STATE(17284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732883] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23743), 1,
      anon_sym_then,
    STATE(8832), 1,
      sym_then_clause,
    STATE(17285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732900] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23745), 1,
      anon_sym_then,
    STATE(12890), 1,
      sym_then_clause,
    STATE(17286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732917] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18891), 1,
      anon_sym_RBRACE,
    ACTIONS(23747), 1,
      anon_sym_SEMI,
    STATE(17287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732934] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17288), 1,
      sym_attribute,
    STATE(19050), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732951] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23749), 1,
      anon_sym_COLON_GT,
    ACTIONS(23751), 1,
      anon_sym_RPAREN,
    STATE(17289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732968] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23753), 1,
      anon_sym_COLON_GT,
    ACTIONS(23755), 1,
      anon_sym_RPAREN,
    STATE(17290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732985] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23757), 1,
      anon_sym_COLON_GT,
    ACTIONS(23759), 1,
      anon_sym_EQ,
    STATE(17291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733002] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17292), 1,
      sym_attribute,
    STATE(19338), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733019] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23761), 1,
      anon_sym_RPAREN,
    ACTIONS(23763), 1,
      anon_sym_LT_DASH,
    STATE(17293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733036] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23765), 1,
      sym__lowercase_identifier,
    ACTIONS(23767), 1,
      anon_sym_LPAREN,
    STATE(17294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23769), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [733068] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    STATE(15675), 1,
      sym__simple_value_pattern,
    STATE(17296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23771), 1,
      anon_sym_RPAREN,
    STATE(17297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733102] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23745), 1,
      anon_sym_then,
    STATE(12761), 1,
      sym_then_clause,
    STATE(17298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733136] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17300), 1,
      sym_attribute,
    STATE(21364), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23773), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [733168] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23775), 1,
      anon_sym_EQ,
    STATE(17302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733185] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23777), 1,
      anon_sym_COLON_GT,
    ACTIONS(23779), 1,
      anon_sym_EQ,
    STATE(17303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23781), 1,
      anon_sym_then,
    STATE(13196), 1,
      sym_then_clause,
    STATE(17304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23783), 1,
      anon_sym_RPAREN,
    ACTIONS(23785), 1,
      anon_sym_SEMI,
    STATE(17305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733236] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23783), 1,
      anon_sym_RBRACK,
    ACTIONS(23787), 1,
      anon_sym_SEMI,
    STATE(17306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23783), 1,
      anon_sym_RBRACE,
    ACTIONS(23789), 1,
      anon_sym_SEMI,
    STATE(17307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(23791), 1,
      sym__lowercase_identifier,
    STATE(17308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23793), 1,
      anon_sym_RPAREN,
    STATE(17309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23795), 1,
      anon_sym_EQ,
    STATE(17310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23797), 1,
      anon_sym_COLON_GT,
    ACTIONS(23799), 1,
      anon_sym_RPAREN,
    STATE(17311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733338] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23801), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [733353] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23803), 1,
      anon_sym_do,
    STATE(8517), 1,
      sym_do_clause,
    STATE(17313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733370] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23805), 1,
      anon_sym_DOT,
    STATE(17314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733387] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23807), 1,
      anon_sym_then,
    STATE(8637), 1,
      sym_then_clause,
    STATE(17315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23809), 1,
      anon_sym_RPAREN,
    STATE(17316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18640), 1,
      anon_sym_RBRACE,
    ACTIONS(23811), 1,
      anon_sym_SEMI,
    STATE(17317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733438] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11584), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [733453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17319), 1,
      sym_attribute,
    STATE(18798), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733470] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23813), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [733485] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23815), 1,
      anon_sym_EQ,
    STATE(17321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733502] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23817), 1,
      anon_sym_EQ,
    STATE(17322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23819), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [733534] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23821), 1,
      anon_sym_RPAREN,
    ACTIONS(23823), 1,
      anon_sym_LT_DASH,
    STATE(17324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733551] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23825), 1,
      anon_sym_then,
    STATE(11034), 1,
      sym_then_clause,
    STATE(17325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733568] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23827), 1,
      anon_sym_EQ,
    STATE(17326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733585] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23829), 1,
      anon_sym_RPAREN,
    STATE(17327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733602] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(23831), 1,
      sym__lowercase_identifier,
    STATE(17328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733619] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(23833), 1,
      sym__lowercase_identifier,
    STATE(17329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733636] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23835), 1,
      anon_sym_RPAREN,
    ACTIONS(23837), 1,
      anon_sym_LT_DASH,
    STATE(17330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733653] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23839), 1,
      anon_sym_RPAREN,
    STATE(17331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733670] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23841), 1,
      anon_sym_RPAREN,
    STATE(17332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733687] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10003), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733704] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23843), 1,
      sym__lowercase_identifier,
    ACTIONS(23845), 1,
      anon_sym_LPAREN,
    STATE(17334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733721] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    STATE(15484), 1,
      sym__simple_value_pattern,
    STATE(17335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733738] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18939), 1,
      anon_sym_COLON2,
    STATE(17336), 1,
      sym_attribute,
    STATE(17743), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23847), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [733770] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23849), 1,
      anon_sym_RPAREN,
    ACTIONS(23851), 1,
      anon_sym_LT_DASH,
    STATE(17338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23853), 1,
      anon_sym_RPAREN,
    STATE(17339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733804] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23855), 1,
      anon_sym_EQ,
    ACTIONS(23857), 1,
      anon_sym_RPAREN,
    STATE(17340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733821] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23859), 1,
      anon_sym_RPAREN,
    ACTIONS(23861), 1,
      anon_sym_LT_DASH,
    STATE(17341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733838] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(23863), 1,
      sym__lowercase_identifier,
    STATE(17342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733855] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23865), 1,
      anon_sym_RPAREN,
    ACTIONS(23867), 1,
      anon_sym_LT_DASH,
    STATE(17343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733872] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23869), 1,
      anon_sym_SEMI,
    ACTIONS(23871), 1,
      anon_sym_RBRACE,
    STATE(17344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733889] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23873), 1,
      anon_sym_SEMI,
    ACTIONS(23875), 1,
      anon_sym_RBRACE,
    STATE(17345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733906] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23877), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [733921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23879), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733938] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17348), 1,
      sym_attribute,
    STATE(20343), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19121), 1,
      anon_sym_RBRACE,
    ACTIONS(23881), 1,
      anon_sym_SEMI,
    STATE(17349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23883), 1,
      anon_sym_RPAREN,
    ACTIONS(23885), 1,
      anon_sym_LT_DASH,
    STATE(17350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18939), 1,
      anon_sym_COLON2,
    STATE(17337), 1,
      sym__polymorphic_typed,
    STATE(17351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734006] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23887), 1,
      anon_sym_then,
    STATE(12628), 1,
      sym_then_clause,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734023] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23889), 1,
      anon_sym_EQ,
    ACTIONS(23891), 1,
      anon_sym_RPAREN,
    STATE(17353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734040] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17354), 1,
      sym_attribute,
    STATE(19498), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734057] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23893), 1,
      anon_sym_DOT,
    STATE(17355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734074] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23895), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [734089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23897), 1,
      anon_sym_DOT,
    STATE(17357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23899), 1,
      anon_sym_DOT,
    STATE(17358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23901), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [734138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10051), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23903), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [734170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17362), 1,
      sym_attribute,
    STATE(21161), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23905), 1,
      anon_sym_open,
    STATE(17363), 1,
      sym_attribute,
    STATE(19166), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734204] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23907), 1,
      anon_sym_then,
    STATE(8632), 1,
      sym_then_clause,
    STATE(17364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20958), 1,
      sym__lowercase_identifier,
    STATE(15788), 1,
      aux_sym__abstract_type_repeat1,
    STATE(17365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17366), 1,
      sym_attribute,
    STATE(20724), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23909), 1,
      anon_sym_COLON_GT,
    ACTIONS(23911), 1,
      anon_sym_EQ,
    STATE(17367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23913), 1,
      aux_sym_type_variable_token1,
    STATE(13793), 1,
      sym_type_variable,
    STATE(17368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    STATE(15349), 1,
      sym__simple_value_pattern,
    STATE(17369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17370), 1,
      sym_attribute,
    STATE(19055), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23915), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [734338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23917), 1,
      anon_sym_EQ,
    STATE(17372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23919), 1,
      anon_sym_COLON_GT,
    ACTIONS(23921), 1,
      anon_sym_EQ,
    STATE(17373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23923), 1,
      anon_sym_RPAREN,
    ACTIONS(23925), 1,
      anon_sym_SEMI,
    STATE(17374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23923), 1,
      anon_sym_RBRACK,
    ACTIONS(23927), 1,
      anon_sym_SEMI,
    STATE(17375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23923), 1,
      anon_sym_RBRACE,
    ACTIONS(23929), 1,
      anon_sym_SEMI,
    STATE(17376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23743), 1,
      anon_sym_then,
    STATE(9066), 1,
      sym_then_clause,
    STATE(17377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23931), 1,
      anon_sym_EQ,
    STATE(17378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23933), 1,
      sym__lowercase_identifier,
    ACTIONS(23935), 1,
      anon_sym_LPAREN,
    STATE(17379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734474] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23937), 1,
      anon_sym_DOT,
    STATE(17380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23939), 1,
      anon_sym_RPAREN,
    ACTIONS(23941), 1,
      anon_sym_LT_DASH,
    STATE(17381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(23943), 1,
      sym__lowercase_identifier,
    STATE(17382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17383), 1,
      sym_attribute,
    STATE(20537), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18334), 1,
      sym__lowercase_identifier,
    STATE(17384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23945), 1,
      anon_sym_EQ,
    STATE(17385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23947), 1,
      anon_sym_EQ,
    STATE(17386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23949), 1,
      anon_sym_COLON_GT,
    ACTIONS(23951), 1,
      anon_sym_RPAREN,
    STATE(17387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23953), 1,
      anon_sym_EQ,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23955), 1,
      anon_sym_RPAREN,
    ACTIONS(23957), 1,
      anon_sym_LT_DASH,
    STATE(17389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23959), 1,
      anon_sym_RPAREN,
    STATE(17390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(23961), 1,
      sym__lowercase_identifier,
    STATE(17391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23653), 1,
      anon_sym_then,
    STATE(12933), 1,
      sym_then_clause,
    STATE(17392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23701), 1,
      anon_sym_do,
    STATE(8496), 1,
      sym_do_clause,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23963), 1,
      anon_sym_DOT,
    STATE(17394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23727), 1,
      anon_sym_then,
    STATE(12578), 1,
      sym_then_clause,
    STATE(17395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23965), 1,
      sym__lowercase_identifier,
    ACTIONS(23967), 1,
      anon_sym_LPAREN,
    STATE(17396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18413), 1,
      sym__lowercase_identifier,
    STATE(17397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(23969), 1,
      sym__lowercase_identifier,
    STATE(17398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23971), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [734812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23973), 1,
      anon_sym_RPAREN,
    STATE(17400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734829] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23975), 1,
      anon_sym_COLON_GT,
    ACTIONS(23977), 1,
      anon_sym_RPAREN,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734846] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23979), 1,
      anon_sym_RPAREN,
    STATE(17402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23981), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [734878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18706), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [734893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23983), 1,
      anon_sym_then,
    STATE(10743), 1,
      sym_then_clause,
    STATE(17405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(23985), 1,
      sym__lowercase_identifier,
    STATE(17406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(23987), 1,
      sym__lowercase_identifier,
    STATE(17407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23989), 1,
      anon_sym_then,
    STATE(12650), 1,
      sym_then_clause,
    STATE(17408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23991), 1,
      anon_sym_DOT,
    STATE(17409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23993), 1,
      anon_sym_DOT,
    STATE(17410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23995), 1,
      anon_sym_DOT,
    STATE(17411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(23997), 1,
      anon_sym_DOT,
    STATE(17412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(23999), 1,
      anon_sym_RPAREN,
    STATE(17413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17414), 1,
      sym_attribute,
    STATE(20120), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24001), 1,
      anon_sym_RPAREN,
    ACTIONS(24003), 1,
      anon_sym_LT_DASH,
    STATE(17415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24005), 1,
      anon_sym_RPAREN,
    STATE(17416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24007), 1,
      anon_sym_then,
    STATE(8477), 1,
      sym_then_clause,
    STATE(17417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24009), 1,
      anon_sym_RPAREN,
    ACTIONS(24011), 1,
      anon_sym_LT_DASH,
    STATE(17418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17419), 1,
      sym_attribute,
    STATE(20474), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24013), 1,
      anon_sym_RPAREN,
    STATE(17420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24015), 1,
      sym__lowercase_identifier,
    ACTIONS(24017), 1,
      anon_sym_LPAREN,
    STATE(17421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    STATE(15563), 1,
      sym__simple_value_pattern,
    STATE(17422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17423), 1,
      sym_attribute,
    STATE(18481), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735216] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24019), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [735231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24021), 1,
      anon_sym_RPAREN,
    ACTIONS(24023), 1,
      anon_sym_SEMI,
    STATE(17425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24021), 1,
      anon_sym_RBRACK,
    ACTIONS(24025), 1,
      anon_sym_SEMI,
    STATE(17426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24021), 1,
      anon_sym_RBRACE,
    ACTIONS(24027), 1,
      anon_sym_SEMI,
    STATE(17427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24029), 1,
      anon_sym_EQ,
    STATE(17428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24031), 1,
      sym__lowercase_identifier,
    ACTIONS(24033), 1,
      anon_sym_LPAREN,
    STATE(17429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17430), 1,
      sym_attribute,
    STATE(18651), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735333] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11590), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735348] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24035), 1,
      anon_sym_RPAREN,
    ACTIONS(24037), 1,
      anon_sym_LT_DASH,
    STATE(17432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735365] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24039), 1,
      anon_sym_RPAREN,
    ACTIONS(24041), 1,
      anon_sym_LT_DASH,
    STATE(17433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735382] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24043), 1,
      sym__lowercase_identifier,
    STATE(17434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735399] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24045), 1,
      anon_sym_RPAREN,
    ACTIONS(24047), 1,
      anon_sym_LT_DASH,
    STATE(17435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735416] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24049), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [735431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23825), 1,
      anon_sym_then,
    STATE(10995), 1,
      sym_then_clause,
    STATE(17437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24051), 1,
      anon_sym_then,
    STATE(10133), 1,
      sym_then_clause,
    STATE(17438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24053), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [735480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24055), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [735495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24057), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [735510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9846), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31), 1,
      aux_sym_type_variable_token1,
    STATE(8547), 1,
      sym_type_variable,
    STATE(17443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24059), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [735559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24061), 1,
      anon_sym_RPAREN,
    STATE(17445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24063), 1,
      sym__lowercase_identifier,
    ACTIONS(24065), 1,
      anon_sym_LPAREN,
    STATE(17446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24067), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [735608] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24069), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [735623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9850), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24071), 1,
      anon_sym_EQ,
    STATE(17450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24073), 1,
      anon_sym_COLON2,
    STATE(13940), 1,
      sym__typed,
    STATE(17451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735674] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24075), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [735689] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24077), 1,
      anon_sym_then,
    STATE(9765), 1,
      sym_then_clause,
    STATE(17453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24079), 1,
      anon_sym_DOT,
    STATE(17454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24081), 1,
      anon_sym_DOT,
    STATE(17455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24083), 1,
      anon_sym_DOT,
    STATE(17456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24085), 1,
      anon_sym_COLON_GT,
    ACTIONS(24087), 1,
      anon_sym_RPAREN,
    STATE(17457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18788), 1,
      anon_sym_RBRACE,
    ACTIONS(24089), 1,
      anon_sym_SEMI,
    STATE(17458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24091), 1,
      anon_sym_COLON_GT,
    ACTIONS(24093), 1,
      anon_sym_RPAREN,
    STATE(17459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17460), 1,
      sym_attribute,
    STATE(19337), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24095), 1,
      sym__lowercase_identifier,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24097), 1,
      sym__lowercase_identifier,
    STATE(17462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24099), 1,
      anon_sym_then,
    STATE(8881), 1,
      sym_then_clause,
    STATE(17463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24101), 1,
      anon_sym_RPAREN,
    STATE(17464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17465), 1,
      sym_attribute,
    STATE(19248), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24103), 1,
      sym__lowercase_identifier,
    STATE(17466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23887), 1,
      anon_sym_then,
    STATE(12616), 1,
      sym_then_clause,
    STATE(17467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24105), 1,
      sym__lowercase_identifier,
    STATE(17468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24107), 1,
      anon_sym_COLON_GT,
    ACTIONS(24109), 1,
      anon_sym_RPAREN,
    STATE(17469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17470), 1,
      sym_attribute,
    STATE(19713), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24111), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [736010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24113), 1,
      anon_sym_RPAREN,
    ACTIONS(24115), 1,
      anon_sym_SEMI,
    STATE(17472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24113), 1,
      anon_sym_RBRACK,
    ACTIONS(24117), 1,
      anon_sym_SEMI,
    STATE(17473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24113), 1,
      anon_sym_RBRACE,
    ACTIONS(24119), 1,
      anon_sym_SEMI,
    STATE(17474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24121), 1,
      anon_sym_COLON2,
    STATE(13947), 1,
      sym__polymorphic_typed,
    STATE(17475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736078] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24123), 1,
      anon_sym_EQ,
    STATE(17476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24125), 1,
      sym__lowercase_identifier,
    STATE(17477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24127), 1,
      sym__lowercase_identifier,
    STATE(17478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17479), 1,
      sym_attribute,
    STATE(19822), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23727), 1,
      anon_sym_then,
    STATE(12670), 1,
      sym_then_clause,
    STATE(17480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736163] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24129), 1,
      sym__lowercase_identifier,
    ACTIONS(24131), 1,
      anon_sym_LPAREN,
    STATE(17481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736180] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24133), 1,
      sym__lowercase_identifier,
    ACTIONS(24135), 1,
      anon_sym_LPAREN,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736197] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18403), 1,
      sym__lowercase_identifier,
    STATE(17483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736214] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24137), 1,
      anon_sym_RPAREN,
    STATE(17484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736231] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24139), 1,
      anon_sym_RPAREN,
    STATE(17485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736248] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17486), 1,
      sym_attribute,
    STATE(21251), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736265] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24141), 1,
      anon_sym_COLON_GT,
    ACTIONS(24143), 1,
      anon_sym_RPAREN,
    STATE(17487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736282] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24145), 1,
      anon_sym_then,
    STATE(12570), 1,
      sym_then_clause,
    STATE(17488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24147), 1,
      anon_sym_RPAREN,
    ACTIONS(24149), 1,
      anon_sym_LT_DASH,
    STATE(17489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24151), 1,
      anon_sym_DOT,
    STATE(17490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24153), 1,
      anon_sym_DOT,
    STATE(17491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736350] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24155), 1,
      anon_sym_RPAREN,
    STATE(17492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24157), 1,
      anon_sym_DOT,
    STATE(17493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736384] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24159), 1,
      sym__lowercase_identifier,
    STATE(17494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24161), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [736416] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17496), 1,
      sym_attribute,
    STATE(20488), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736433] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24163), 1,
      anon_sym_RPAREN,
    STATE(17497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736450] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24165), 1,
      anon_sym_RPAREN,
    ACTIONS(24167), 1,
      anon_sym_LT_DASH,
    STATE(17498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24169), 1,
      anon_sym_then,
    STATE(8513), 1,
      sym_then_clause,
    STATE(17499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24171), 1,
      anon_sym_RPAREN,
    STATE(17500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17501), 1,
      sym_attribute,
    STATE(20105), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24173), 1,
      anon_sym_RPAREN,
    STATE(17502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24175), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [736550] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24177), 1,
      anon_sym_RPAREN,
    ACTIONS(24179), 1,
      anon_sym_SEMI,
    STATE(17504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736567] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24177), 1,
      anon_sym_RBRACK,
    ACTIONS(24181), 1,
      anon_sym_SEMI,
    STATE(17505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736584] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24177), 1,
      anon_sym_RBRACE,
    ACTIONS(24183), 1,
      anon_sym_SEMI,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736601] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24185), 1,
      anon_sym_EQ,
    STATE(17507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736618] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24187), 1,
      anon_sym_RPAREN,
    ACTIONS(24189), 1,
      anon_sym_LT_DASH,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736635] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17509), 1,
      sym_attribute,
    STATE(20884), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736652] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24191), 1,
      anon_sym_RPAREN,
    STATE(17510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736669] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23743), 1,
      anon_sym_then,
    STATE(8912), 1,
      sym_then_clause,
    STATE(17511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736686] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24193), 1,
      anon_sym_then,
    STATE(13291), 1,
      sym_then_clause,
    STATE(17512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736703] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24195), 1,
      anon_sym_RPAREN,
    STATE(17513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736720] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24197), 1,
      anon_sym_RPAREN,
    ACTIONS(24199), 1,
      anon_sym_LT_DASH,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736737] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24201), 1,
      anon_sym_RPAREN,
    ACTIONS(24203), 1,
      anon_sym_LT_DASH,
    STATE(17515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736754] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24205), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [736769] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24207), 1,
      sym__lowercase_identifier,
    ACTIONS(24209), 1,
      anon_sym_LPAREN,
    STATE(17517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736786] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24211), 1,
      sym__lowercase_identifier,
    STATE(17518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736803] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24213), 1,
      sym__lowercase_identifier,
    ACTIONS(24215), 1,
      anon_sym_LPAREN,
    STATE(17519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736820] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24217), 1,
      anon_sym_DOT,
    STATE(17520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736837] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24219), 1,
      anon_sym_COLON_GT,
    ACTIONS(24221), 1,
      anon_sym_RPAREN,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736854] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24223), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [736869] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9933), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736886] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24225), 1,
      anon_sym_DOT,
    STATE(17524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736903] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24227), 1,
      anon_sym_COLON_GT,
    ACTIONS(24229), 1,
      anon_sym_RPAREN,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736920] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24231), 1,
      anon_sym_DOT,
    STATE(17526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736937] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24233), 1,
      anon_sym_RPAREN,
    STATE(17527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736954] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9016), 1,
      anon_sym_COMMA,
    ACTIONS(24235), 1,
      anon_sym_COLON,
    STATE(17528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736971] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17529), 1,
      sym_attribute,
    STATE(20421), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736988] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23807), 1,
      anon_sym_then,
    STATE(8642), 1,
      sym_then_clause,
    STATE(17530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737005] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10145), 1,
      anon_sym_RPAREN,
    ACTIONS(24237), 1,
      aux_sym_number_token1,
    STATE(17531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737022] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24239), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [737037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24241), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [737052] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24243), 2,
      anon_sym_to,
      anon_sym_downto,
  [737084] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24245), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [737099] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24247), 1,
      anon_sym_RPAREN,
    ACTIONS(24249), 1,
      anon_sym_SEMI,
    STATE(17537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737116] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24247), 1,
      anon_sym_RBRACK,
    ACTIONS(24251), 1,
      anon_sym_SEMI,
    STATE(17538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737133] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24247), 1,
      anon_sym_RBRACE,
    ACTIONS(24253), 1,
      anon_sym_SEMI,
    STATE(17539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24255), 1,
      anon_sym_EQ,
    STATE(17540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24257), 1,
      anon_sym_RPAREN,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24259), 1,
      anon_sym_COLON_GT,
    ACTIONS(24261), 1,
      anon_sym_RPAREN,
    STATE(17542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17543), 1,
      sym_attribute,
    STATE(21085), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737218] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24263), 1,
      sym__lowercase_identifier,
    ACTIONS(24265), 1,
      anon_sym_LPAREN,
    STATE(17544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    STATE(16211), 1,
      sym_extended_module_path,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24267), 1,
      sym__lowercase_identifier,
    ACTIONS(24269), 1,
      anon_sym_LBRACK,
    STATE(17546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24271), 1,
      anon_sym_COLON_GT,
    ACTIONS(24273), 1,
      anon_sym_RPAREN,
    STATE(17547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737286] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24275), 1,
      anon_sym_DOT,
    STATE(17548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24277), 1,
      anon_sym_DOT,
    STATE(17549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737320] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18441), 1,
      sym__lowercase_identifier,
    STATE(17550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737337] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24279), 1,
      anon_sym_DOT,
    STATE(17551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737354] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24281), 1,
      sym__lowercase_identifier,
    STATE(17552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737371] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24283), 1,
      sym__lowercase_identifier,
    STATE(17553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737388] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17554), 1,
      sym_attribute,
    STATE(20340), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737405] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24285), 1,
      anon_sym_COLON_GT,
    ACTIONS(24287), 1,
      anon_sym_RPAREN,
    STATE(17555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737422] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23907), 1,
      anon_sym_then,
    STATE(8661), 1,
      sym_then_clause,
    STATE(17556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737439] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23989), 1,
      anon_sym_then,
    STATE(12645), 1,
      sym_then_clause,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737456] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24289), 1,
      sym__lowercase_identifier,
    STATE(17558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737473] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24291), 1,
      anon_sym_then,
    STATE(13232), 1,
      sym_then_clause,
    STATE(17559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737490] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24291), 1,
      anon_sym_then,
    STATE(13058), 1,
      sym_then_clause,
    STATE(17560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24293), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [737522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24295), 1,
      anon_sym_RPAREN,
    ACTIONS(24297), 1,
      anon_sym_SEMI,
    STATE(17562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24295), 1,
      anon_sym_RBRACK,
    ACTIONS(24299), 1,
      anon_sym_SEMI,
    STATE(17563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737556] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24295), 1,
      anon_sym_RBRACE,
    ACTIONS(24301), 1,
      anon_sym_SEMI,
    STATE(17564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24303), 1,
      anon_sym_EQ,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737590] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24305), 1,
      anon_sym_RPAREN,
    STATE(17566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17567), 1,
      sym_attribute,
    STATE(21390), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24307), 1,
      sym__lowercase_identifier,
    ACTIONS(24309), 1,
      anon_sym_LPAREN,
    STATE(17568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24311), 1,
      sym__lowercase_identifier,
    STATE(17569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24313), 1,
      anon_sym_RPAREN,
    ACTIONS(24315), 1,
      anon_sym_LT_DASH,
    STATE(17570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24317), 1,
      anon_sym_RPAREN,
    STATE(17571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737692] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24319), 1,
      anon_sym_RPAREN,
    STATE(17572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24321), 1,
      anon_sym_COLON_GT,
    ACTIONS(24323), 1,
      anon_sym_RPAREN,
    STATE(17573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24325), 1,
      anon_sym_DOT,
    STATE(17574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24327), 1,
      anon_sym_DOT,
    STATE(17575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24329), 1,
      anon_sym_DOT,
    STATE(17576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24331), 1,
      anon_sym_RPAREN,
    ACTIONS(24333), 1,
      anon_sym_LT_DASH,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24335), 1,
      anon_sym_RPAREN,
    STATE(17578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24337), 1,
      anon_sym_then,
    STATE(12747), 1,
      sym_then_clause,
    STATE(17579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23781), 1,
      anon_sym_then,
    STATE(13245), 1,
      sym_then_clause,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17581), 1,
      sym_attribute,
    STATE(19445), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24339), 1,
      anon_sym_COLON2,
    STATE(17583), 1,
      sym_attribute,
    STATE(20341), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737896] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24341), 1,
      sym__lowercase_identifier,
    STATE(17584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24007), 1,
      anon_sym_then,
    STATE(8542), 1,
      sym_then_clause,
    STATE(17585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24343), 1,
      sym__lowercase_identifier,
    STATE(17586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21585), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [737962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24345), 1,
      anon_sym_COLON_GT,
    ACTIONS(24347), 1,
      anon_sym_RPAREN,
    STATE(17588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737979] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24349), 1,
      anon_sym_RPAREN,
    STATE(17589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737996] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24351), 1,
      anon_sym_RPAREN,
    ACTIONS(24353), 1,
      anon_sym_LT_DASH,
    STATE(17590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24355), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [738028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24357), 1,
      anon_sym_RPAREN,
    ACTIONS(24359), 1,
      anon_sym_SEMI,
    STATE(17592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24357), 1,
      anon_sym_RBRACK,
    ACTIONS(24361), 1,
      anon_sym_SEMI,
    STATE(17593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24357), 1,
      anon_sym_RBRACE,
    ACTIONS(24363), 1,
      anon_sym_SEMI,
    STATE(17594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24365), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [738094] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17596), 1,
      sym_attribute,
    STATE(20955), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24367), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [738126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24369), 1,
      anon_sym_RPAREN,
    ACTIONS(24371), 1,
      anon_sym_LT_DASH,
    STATE(17598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24373), 1,
      anon_sym_RPAREN,
    STATE(17599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24375), 1,
      anon_sym_DOT,
    STATE(17600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24377), 1,
      anon_sym_DOT,
    STATE(17601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24379), 1,
      anon_sym_DOT,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17603), 1,
      sym_attribute,
    STATE(19214), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24381), 1,
      anon_sym_RPAREN,
    ACTIONS(24383), 1,
      anon_sym_LT_DASH,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24385), 1,
      anon_sym_RPAREN,
    STATE(17605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23807), 1,
      anon_sym_then,
    STATE(8604), 1,
      sym_then_clause,
    STATE(17606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738279] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24387), 1,
      anon_sym_DOT,
    STATE(17607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24389), 1,
      sym__lowercase_identifier,
    STATE(17608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24391), 1,
      anon_sym_RPAREN,
    ACTIONS(24393), 1,
      anon_sym_LT_DASH,
    STATE(17609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24395), 1,
      anon_sym_RPAREN,
    STATE(17610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24397), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [738362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24399), 1,
      anon_sym_RPAREN,
    ACTIONS(24401), 1,
      anon_sym_SEMI,
    STATE(17612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24399), 1,
      anon_sym_RBRACK,
    ACTIONS(24403), 1,
      anon_sym_SEMI,
    STATE(17613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738396] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24399), 1,
      anon_sym_RBRACE,
    ACTIONS(24405), 1,
      anon_sym_SEMI,
    STATE(17614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17615), 1,
      sym_attribute,
    STATE(20211), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17616), 1,
      sym_attribute,
    STATE(21064), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24407), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [738462] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18855), 1,
      anon_sym_RBRACE,
    ACTIONS(24409), 1,
      anon_sym_SEMI,
    STATE(17618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738479] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24411), 1,
      anon_sym_COLON_GT,
    ACTIONS(24413), 1,
      anon_sym_RPAREN,
    STATE(17619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738496] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24415), 1,
      anon_sym_DOT,
    STATE(17620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738513] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18704), 1,
      anon_sym_RBRACE,
    ACTIONS(24417), 1,
      anon_sym_SEMI,
    STATE(17621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738530] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24419), 1,
      anon_sym_DOT,
    STATE(17622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738547] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24421), 1,
      anon_sym_DOT,
    STATE(17623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738564] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24423), 1,
      anon_sym_COLON_GT,
    ACTIONS(24425), 1,
      anon_sym_RPAREN,
    STATE(17624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738581] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24427), 1,
      sym__lowercase_identifier,
    STATE(17625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738598] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24429), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [738613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [738628] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17628), 1,
      sym_attribute,
    STATE(20791), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738645] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9923), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738662] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24077), 1,
      anon_sym_then,
    STATE(9869), 1,
      sym_then_clause,
    STATE(17630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24433), 1,
      anon_sym_COLON2,
    STATE(12824), 1,
      sym__polymorphic_typed,
    STATE(17631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24435), 1,
      sym__lowercase_identifier,
    STATE(17632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18738), 1,
      anon_sym_RBRACE,
    ACTIONS(24437), 1,
      anon_sym_SEMI,
    STATE(17633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18871), 1,
      anon_sym_RBRACE,
    ACTIONS(24439), 1,
      anon_sym_SEMI,
    STATE(17634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24441), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [738762] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24443), 1,
      anon_sym_RPAREN,
    ACTIONS(24445), 1,
      anon_sym_SEMI,
    STATE(17636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24443), 1,
      anon_sym_RBRACK,
    ACTIONS(24447), 1,
      anon_sym_SEMI,
    STATE(17637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24443), 1,
      anon_sym_RBRACE,
    ACTIONS(24449), 1,
      anon_sym_SEMI,
    STATE(17638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24451), 1,
      anon_sym_RPAREN,
    ACTIONS(24453), 1,
      anon_sym_LT_DASH,
    STATE(17639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17640), 1,
      sym_attribute,
    STATE(20973), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24455), 1,
      anon_sym_RPAREN,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24457), 1,
      anon_sym_RPAREN,
    STATE(17642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24459), 1,
      sym__lowercase_identifier,
    ACTIONS(24461), 1,
      anon_sym_LPAREN,
    STATE(17643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738898] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24463), 1,
      anon_sym_RPAREN,
    ACTIONS(24465), 1,
      anon_sym_LT_DASH,
    STATE(17644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738915] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24467), 1,
      anon_sym_DOT,
    STATE(17645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738932] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24469), 1,
      anon_sym_RPAREN,
    STATE(17646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738949] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24471), 1,
      anon_sym_RPAREN,
    STATE(17647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738966] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24473), 1,
      anon_sym_RPAREN,
    ACTIONS(24475), 1,
      anon_sym_LT_DASH,
    STATE(17648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738983] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24477), 1,
      anon_sym_DOT,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739000] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24479), 1,
      anon_sym_DOT,
    STATE(17650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739017] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24481), 1,
      sym__lowercase_identifier,
    STATE(17651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739034] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17652), 1,
      sym_attribute,
    STATE(21398), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739051] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18504), 1,
      sym__lowercase_identifier,
    STATE(17653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739068] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24483), 1,
      anon_sym_RPAREN,
    ACTIONS(24485), 1,
      anon_sym_LT_DASH,
    STATE(17654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739085] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24487), 1,
      anon_sym_RPAREN,
    STATE(17655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739102] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23701), 1,
      anon_sym_do,
    STATE(8446), 1,
      sym_do_clause,
    STATE(17656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739119] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24489), 1,
      anon_sym_RPAREN,
    ACTIONS(24491), 1,
      anon_sym_SEMI,
    STATE(17657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739136] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24489), 1,
      anon_sym_RBRACK,
    ACTIONS(24493), 1,
      anon_sym_SEMI,
    STATE(17658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739153] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24489), 1,
      anon_sym_RBRACE,
    ACTIONS(24495), 1,
      anon_sym_SEMI,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739170] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24497), 1,
      anon_sym_RPAREN,
    STATE(17660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17661), 1,
      sym_attribute,
    STATE(19569), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739204] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24499), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [739219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24501), 1,
      anon_sym_COLON_GT,
    ACTIONS(24503), 1,
      anon_sym_EQ,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739236] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23887), 1,
      anon_sym_then,
    STATE(12792), 1,
      sym_then_clause,
    STATE(17664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24505), 1,
      anon_sym_DOT,
    STATE(17665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24507), 1,
      anon_sym_DOT,
    STATE(17666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24509), 1,
      anon_sym_DOT,
    STATE(17667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24511), 1,
      sym__lowercase_identifier,
    ACTIONS(24513), 1,
      anon_sym_LPAREN,
    STATE(17668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17669), 1,
      sym_attribute,
    STATE(19562), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9840), 1,
      anon_sym_COMMA,
    ACTIONS(24515), 1,
      anon_sym_COLON,
    STATE(17670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24517), 1,
      anon_sym_EQ,
    ACTIONS(24519), 1,
      anon_sym_RPAREN,
    STATE(17671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24521), 1,
      anon_sym_RPAREN,
    ACTIONS(24523), 1,
      anon_sym_LT_DASH,
    STATE(17672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24525), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [739404] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24527), 1,
      anon_sym_EQ,
    ACTIONS(24529), 1,
      anon_sym_RPAREN,
    STATE(17674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739421] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24531), 1,
      anon_sym_RPAREN,
    ACTIONS(24533), 1,
      anon_sym_SEMI,
    STATE(17675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739438] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24531), 1,
      anon_sym_RBRACK,
    ACTIONS(24535), 1,
      anon_sym_SEMI,
    STATE(17676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739455] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24531), 1,
      anon_sym_RBRACE,
    ACTIONS(24537), 1,
      anon_sym_SEMI,
    STATE(17677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739472] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24539), 1,
      anon_sym_COLON_GT,
    ACTIONS(24541), 1,
      anon_sym_RPAREN,
    STATE(17678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739489] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17679), 1,
      sym_attribute,
    STATE(20419), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739506] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24543), 1,
      anon_sym_DOT,
    STATE(17680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739523] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24545), 1,
      anon_sym_DOT,
    STATE(17681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24547), 1,
      anon_sym_DOT,
    STATE(17682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739557] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23745), 1,
      anon_sym_then,
    STATE(12745), 1,
      sym_then_clause,
    STATE(17683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739574] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24549), 1,
      anon_sym_SEMI,
    ACTIONS(24551), 1,
      anon_sym_RBRACE,
    STATE(17684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24553), 1,
      anon_sym_SEMI,
    ACTIONS(24555), 1,
      anon_sym_RBRACE,
    STATE(17685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739608] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24557), 1,
      sym__lowercase_identifier,
    STATE(17686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17687), 1,
      sym_attribute,
    STATE(18832), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24559), 1,
      sym__lowercase_identifier,
    ACTIONS(24561), 1,
      anon_sym_LPAREN,
    STATE(17688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24563), 1,
      anon_sym_RPAREN,
    STATE(17689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739676] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24565), 1,
      anon_sym_RPAREN,
    ACTIONS(24567), 1,
      anon_sym_SEMI,
    STATE(17690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24565), 1,
      anon_sym_RBRACK,
    ACTIONS(24569), 1,
      anon_sym_SEMI,
    STATE(17691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24565), 1,
      anon_sym_RBRACE,
    ACTIONS(24571), 1,
      anon_sym_SEMI,
    STATE(17692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12407), 2,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
  [739742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17694), 1,
      sym_attribute,
    STATE(19063), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24573), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [739774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24575), 1,
      anon_sym_DOT,
    STATE(17696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24577), 1,
      anon_sym_DOT,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24579), 1,
      anon_sym_DOT,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24581), 1,
      anon_sym_RPAREN,
    ACTIONS(24583), 1,
      anon_sym_LT_DASH,
    STATE(17699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24585), 1,
      anon_sym_RPAREN,
    STATE(17700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17701), 1,
      sym_attribute,
    STATE(19701), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24587), 1,
      anon_sym_RPAREN,
    ACTIONS(24589), 1,
      anon_sym_LT_DASH,
    STATE(17702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24591), 1,
      anon_sym_RPAREN,
    ACTIONS(24593), 1,
      anon_sym_LT_DASH,
    STATE(17703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24595), 1,
      anon_sym_EQ,
    ACTIONS(24597), 1,
      anon_sym_RPAREN,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24599), 1,
      sym__lowercase_identifier,
    STATE(17705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739944] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24601), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [739959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24603), 1,
      anon_sym_RPAREN,
    ACTIONS(24605), 1,
      anon_sym_SEMI,
    STATE(17707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24603), 1,
      anon_sym_RBRACK,
    ACTIONS(24607), 1,
      anon_sym_SEMI,
    STATE(17708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24603), 1,
      anon_sym_RBRACE,
    ACTIONS(24609), 1,
      anon_sym_SEMI,
    STATE(17709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740010] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24611), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [740025] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17711), 1,
      sym_attribute,
    STATE(20017), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740042] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24613), 1,
      anon_sym_RPAREN,
    ACTIONS(24615), 1,
      anon_sym_LT_DASH,
    STATE(17712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740059] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24617), 1,
      anon_sym_EQ,
    ACTIONS(24619), 1,
      anon_sym_RPAREN,
    STATE(17713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740076] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24621), 1,
      anon_sym_DOT,
    STATE(17714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24623), 1,
      anon_sym_DOT,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24625), 1,
      anon_sym_DOT,
    STATE(17716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24627), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [740142] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24629), 1,
      anon_sym_COLON_GT,
    ACTIONS(24631), 1,
      anon_sym_RPAREN,
    STATE(17718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24633), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [740174] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17720), 1,
      sym_attribute,
    STATE(20662), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740191] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10037), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740208] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24635), 1,
      sym__lowercase_identifier,
    ACTIONS(24637), 1,
      anon_sym_LPAREN,
    STATE(17722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10005), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24639), 1,
      sym__lowercase_identifier,
    ACTIONS(24641), 1,
      anon_sym_LPAREN,
    STATE(17724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24643), 1,
      sym__lowercase_identifier,
    STATE(17725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740276] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24645), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [740291] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24647), 1,
      sym__lowercase_identifier,
    STATE(17727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740308] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24649), 1,
      anon_sym_RPAREN,
    ACTIONS(24651), 1,
      anon_sym_SEMI,
    STATE(17728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740325] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24649), 1,
      anon_sym_RBRACK,
    ACTIONS(24653), 1,
      anon_sym_SEMI,
    STATE(17729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740342] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24649), 1,
      anon_sym_RBRACE,
    ACTIONS(24655), 1,
      anon_sym_SEMI,
    STATE(17730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24657), 1,
      aux_sym_type_variable_token1,
    STATE(8547), 1,
      sym_type_variable,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17732), 1,
      sym_attribute,
    STATE(21126), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24659), 1,
      anon_sym_RPAREN,
    ACTIONS(24661), 1,
      anon_sym_LT_DASH,
    STATE(17733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24663), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [740425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24665), 1,
      sym__lowercase_identifier,
    ACTIONS(24667), 1,
      anon_sym_LPAREN,
    STATE(17735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740442] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24669), 1,
      anon_sym_DOT,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24671), 1,
      anon_sym_RPAREN,
    STATE(17737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24673), 1,
      anon_sym_DOT,
    STATE(17738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24675), 1,
      anon_sym_DOT,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740510] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24677), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [740525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24679), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [740540] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24681), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [740572] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24683), 1,
      anon_sym_SEMI,
    ACTIONS(24685), 1,
      anon_sym_RBRACE,
    STATE(17744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17745), 1,
      sym_attribute,
    STATE(18640), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24687), 1,
      anon_sym_SEMI,
    ACTIONS(24689), 1,
      anon_sym_RBRACE,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21805), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [740638] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24691), 1,
      anon_sym_RPAREN,
    ACTIONS(24693), 1,
      anon_sym_LT_DASH,
    STATE(17748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24695), 1,
      anon_sym_RPAREN,
    ACTIONS(24697), 1,
      anon_sym_SEMI,
    STATE(17749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24695), 1,
      anon_sym_RBRACK,
    ACTIONS(24699), 1,
      anon_sym_SEMI,
    STATE(17750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740689] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24695), 1,
      anon_sym_RBRACE,
    ACTIONS(24701), 1,
      anon_sym_SEMI,
    STATE(17751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24703), 1,
      anon_sym_RPAREN,
    STATE(17752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24705), 1,
      anon_sym_SEMI,
    ACTIONS(24707), 1,
      anon_sym_RBRACE,
    STATE(17753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17754), 1,
      sym_attribute,
    STATE(18744), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24339), 1,
      anon_sym_COLON2,
    STATE(17755), 1,
      sym_attribute,
    STATE(18726), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24709), 1,
      anon_sym_DOT,
    STATE(17756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24711), 1,
      anon_sym_DOT,
    STATE(17757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24713), 1,
      anon_sym_DOT,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24715), 1,
      sym__lowercase_identifier,
    STATE(17759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18369), 1,
      sym__lowercase_identifier,
    STATE(17760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17761), 1,
      sym_attribute,
    STATE(18965), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24717), 1,
      anon_sym_RPAREN,
    ACTIONS(24719), 1,
      anon_sym_LT_DASH,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24721), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [740908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24723), 1,
      anon_sym_RPAREN,
    ACTIONS(24725), 1,
      anon_sym_SEMI,
    STATE(17764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24723), 1,
      anon_sym_RBRACK,
    ACTIONS(24727), 1,
      anon_sym_SEMI,
    STATE(17765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24723), 1,
      anon_sym_RBRACE,
    ACTIONS(24729), 1,
      anon_sym_SEMI,
    STATE(17766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18468), 1,
      sym__lowercase_identifier,
    STATE(17767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17768), 1,
      sym_attribute,
    STATE(19067), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24731), 1,
      anon_sym_SEMI,
    ACTIONS(24733), 1,
      anon_sym_RBRACE,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24193), 1,
      anon_sym_then,
    STATE(13224), 1,
      sym_then_clause,
    STATE(17770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24735), 1,
      anon_sym_DOT,
    STATE(17771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24737), 1,
      anon_sym_DOT,
    STATE(17772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24739), 1,
      anon_sym_DOT,
    STATE(17773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741078] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24741), 1,
      sym__lowercase_identifier,
    ACTIONS(24743), 1,
      anon_sym_LPAREN,
    STATE(17774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24745), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [741110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24747), 1,
      sym__lowercase_identifier,
    STATE(17776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17777), 1,
      sym_attribute,
    STATE(19299), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741144] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24749), 1,
      sym__lowercase_identifier,
    STATE(17778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24751), 1,
      anon_sym_RPAREN,
    STATE(17779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741178] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24753), 1,
      anon_sym_COLON_GT,
    ACTIONS(24755), 1,
      anon_sym_RPAREN,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24757), 1,
      anon_sym_RPAREN,
    ACTIONS(24759), 1,
      anon_sym_SEMI,
    STATE(17781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741212] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24757), 1,
      anon_sym_RBRACK,
    ACTIONS(24761), 1,
      anon_sym_SEMI,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24757), 1,
      anon_sym_RBRACE,
    ACTIONS(24763), 1,
      anon_sym_SEMI,
    STATE(17783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741246] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24765), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [741261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17785), 1,
      sym_attribute,
    STATE(19410), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741278] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10001), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24767), 1,
      anon_sym_DOT,
    STATE(17787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741312] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23653), 1,
      anon_sym_then,
    STATE(12991), 1,
      sym_then_clause,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24769), 1,
      sym__lowercase_identifier,
    STATE(17789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24771), 1,
      anon_sym_DOT,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24773), 1,
      anon_sym_DOT,
    STATE(17791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741380] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24775), 1,
      sym__lowercase_identifier,
    STATE(17792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741397] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24777), 1,
      sym__lowercase_identifier,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741414] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17794), 1,
      sym_attribute,
    STATE(19639), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741431] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23743), 1,
      anon_sym_then,
    STATE(8839), 1,
      sym_then_clause,
    STATE(17795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741448] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24779), 1,
      anon_sym_RPAREN,
    ACTIONS(24781), 1,
      anon_sym_LT_DASH,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741465] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24783), 1,
      anon_sym_RPAREN,
    STATE(17797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741482] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24785), 1,
      sym__lowercase_identifier,
    STATE(17798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24787), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [741514] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24789), 1,
      anon_sym_RPAREN,
    ACTIONS(24791), 1,
      anon_sym_SEMI,
    STATE(17800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741531] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24789), 1,
      anon_sym_RBRACK,
    ACTIONS(24793), 1,
      anon_sym_SEMI,
    STATE(17801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741548] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24789), 1,
      anon_sym_RBRACE,
    ACTIONS(24795), 1,
      anon_sym_SEMI,
    STATE(17802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741565] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17803), 1,
      sym_attribute,
    STATE(19750), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741582] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24797), 1,
      sym__lowercase_identifier,
    ACTIONS(24799), 1,
      anon_sym_LPAREN,
    STATE(17804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741599] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(22688), 1,
      sym__lowercase_identifier,
    STATE(17805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741616] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24801), 1,
      ts_builtin_sym_end,
    STATE(17806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741633] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24803), 1,
      anon_sym_DOT,
    STATE(17807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24805), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [741665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24807), 1,
      anon_sym_DOT,
    STATE(17809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24809), 1,
      anon_sym_RPAREN,
    ACTIONS(24811), 1,
      anon_sym_LT_DASH,
    STATE(17810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24813), 1,
      anon_sym_DOT,
    STATE(17811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24815), 1,
      anon_sym_RPAREN,
    ACTIONS(24817), 1,
      anon_sym_LT_DASH,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24819), 1,
      anon_sym_RPAREN,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741750] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24821), 1,
      anon_sym_COLON_GT,
    ACTIONS(24823), 1,
      anon_sym_RPAREN,
    STATE(17814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24825), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [741782] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17816), 1,
      sym_attribute,
    STATE(20128), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741799] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23983), 1,
      anon_sym_then,
    STATE(10687), 1,
      sym_then_clause,
    STATE(17817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24827), 1,
      anon_sym_RPAREN,
    ACTIONS(24829), 1,
      anon_sym_SEMI,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741833] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24827), 1,
      anon_sym_RBRACK,
    ACTIONS(24831), 1,
      anon_sym_SEMI,
    STATE(17819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741850] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24827), 1,
      anon_sym_RBRACE,
    ACTIONS(24833), 1,
      anon_sym_SEMI,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741867] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24835), 1,
      anon_sym_RPAREN,
    ACTIONS(24837), 1,
      anon_sym_LT_DASH,
    STATE(17821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741884] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17822), 1,
      sym_attribute,
    STATE(20198), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741901] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24839), 1,
      anon_sym_DOT,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741918] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24841), 1,
      anon_sym_DOT,
    STATE(17824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741935] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23803), 1,
      anon_sym_do,
    STATE(8475), 1,
      sym_do_clause,
    STATE(17825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741952] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17826), 1,
      sym_attribute,
    STATE(20272), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741969] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24843), 1,
      sym__lowercase_identifier,
    STATE(17827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741986] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24845), 1,
      sym__lowercase_identifier,
    STATE(17828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742003] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24847), 1,
      sym__lowercase_identifier,
    ACTIONS(24849), 1,
      anon_sym_LPAREN,
    STATE(17829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742020] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24851), 1,
      anon_sym_RPAREN,
    ACTIONS(24853), 1,
      anon_sym_SEMI,
    STATE(17830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742037] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24851), 1,
      anon_sym_RBRACK,
    ACTIONS(24855), 1,
      anon_sym_SEMI,
    STATE(17831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742054] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24851), 1,
      anon_sym_RBRACE,
    ACTIONS(24857), 1,
      anon_sym_SEMI,
    STATE(17832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742071] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17833), 1,
      sym_attribute,
    STATE(20329), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742088] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24859), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [742103] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24861), 1,
      anon_sym_DOT,
    STATE(17835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742120] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17836), 1,
      sym_attribute,
    STATE(20406), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24863), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [742152] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24865), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [742167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24867), 1,
      sym__lowercase_identifier,
    ACTIONS(24869), 1,
      anon_sym_LPAREN,
    STATE(17839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742184] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9949), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742201] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24871), 1,
      sym__lowercase_identifier,
    STATE(17841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742218] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24873), 1,
      anon_sym_RPAREN,
    ACTIONS(24875), 1,
      anon_sym_SEMI,
    STATE(17842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742235] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24873), 1,
      anon_sym_RBRACK,
    ACTIONS(24877), 1,
      anon_sym_SEMI,
    STATE(17843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742252] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24873), 1,
      anon_sym_RBRACE,
    ACTIONS(24879), 1,
      anon_sym_SEMI,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742269] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17845), 1,
      sym_attribute,
    STATE(20464), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742286] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24881), 1,
      anon_sym_RPAREN,
    ACTIONS(24883), 1,
      anon_sym_LT_DASH,
    STATE(17846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742303] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24885), 1,
      anon_sym_DOT,
    STATE(17847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742320] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24887), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [742335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17849), 1,
      sym_attribute,
    STATE(20570), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24889), 1,
      anon_sym_RPAREN,
    ACTIONS(24891), 1,
      anon_sym_LT_DASH,
    STATE(17850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24893), 1,
      anon_sym_RPAREN,
    ACTIONS(24895), 1,
      anon_sym_LT_DASH,
    STATE(17851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24897), 1,
      anon_sym_RPAREN,
    ACTIONS(24899), 1,
      anon_sym_SEMI,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24897), 1,
      anon_sym_RBRACK,
    ACTIONS(24901), 1,
      anon_sym_SEMI,
    STATE(17853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24897), 1,
      anon_sym_RBRACE,
    ACTIONS(24903), 1,
      anon_sym_SEMI,
    STATE(17854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24905), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [742452] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17856), 1,
      sym_attribute,
    STATE(20677), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742469] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24907), 1,
      anon_sym_RPAREN,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742486] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(24909), 1,
      sym__lowercase_identifier,
    STATE(17858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742503] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24911), 1,
      anon_sym_DOT,
    STATE(17859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742520] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18391), 1,
      sym__lowercase_identifier,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742537] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17861), 1,
      sym_attribute,
    STATE(20817), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742554] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9943), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742571] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24051), 1,
      anon_sym_then,
    STATE(10033), 1,
      sym_then_clause,
    STATE(17863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742588] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24913), 1,
      anon_sym_RPAREN,
    ACTIONS(24915), 1,
      anon_sym_SEMI,
    STATE(17864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742605] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24913), 1,
      anon_sym_RBRACK,
    ACTIONS(24917), 1,
      anon_sym_SEMI,
    STATE(17865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742622] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24913), 1,
      anon_sym_RBRACE,
    ACTIONS(24919), 1,
      anon_sym_SEMI,
    STATE(17866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742639] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24921), 1,
      sym__lowercase_identifier,
    ACTIONS(24923), 1,
      anon_sym_LBRACK,
    STATE(17867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742656] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17868), 1,
      sym_attribute,
    STATE(20921), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742673] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23989), 1,
      anon_sym_then,
    STATE(12666), 1,
      sym_then_clause,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742690] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24925), 1,
      anon_sym_RPAREN,
    ACTIONS(24927), 1,
      anon_sym_LT_DASH,
    STATE(17870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742707] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24929), 1,
      anon_sym_DOT,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742724] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24931), 1,
      anon_sym_RPAREN,
    ACTIONS(24933), 1,
      anon_sym_LT_DASH,
    STATE(17872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742741] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17873), 1,
      sym_attribute,
    STATE(21046), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742758] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24935), 1,
      sym__lowercase_identifier,
    ACTIONS(24937), 1,
      anon_sym_LPAREN,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742775] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24939), 1,
      sym__lowercase_identifier,
    ACTIONS(24941), 1,
      anon_sym_LPAREN,
    STATE(17875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742792] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24943), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [742807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24945), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [742822] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24947), 1,
      anon_sym_RPAREN,
    ACTIONS(24949), 1,
      anon_sym_SEMI,
    STATE(17878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742839] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24947), 1,
      anon_sym_RBRACK,
    ACTIONS(24951), 1,
      anon_sym_SEMI,
    STATE(17879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742856] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24947), 1,
      anon_sym_RBRACE,
    ACTIONS(24953), 1,
      anon_sym_SEMI,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742873] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17881), 1,
      sym_attribute,
    STATE(21232), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742890] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24955), 1,
      anon_sym_RPAREN,
    STATE(17882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742907] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24957), 1,
      anon_sym_DOT,
    STATE(17883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742924] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24959), 1,
      anon_sym_COLON_GT,
    ACTIONS(24961), 1,
      anon_sym_RPAREN,
    STATE(17884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742941] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17885), 1,
      sym_attribute,
    STATE(21362), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742958] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24963), 1,
      anon_sym_RPAREN,
    ACTIONS(24965), 1,
      anon_sym_LT_DASH,
    STATE(17886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742975] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24967), 1,
      anon_sym_RPAREN,
    ACTIONS(24969), 1,
      anon_sym_LT_DASH,
    STATE(17887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742992] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24971), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [743007] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24973), 1,
      anon_sym_COLON_GT,
    ACTIONS(24975), 1,
      anon_sym_RPAREN,
    STATE(17889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743024] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23727), 1,
      anon_sym_then,
    STATE(12797), 1,
      sym_then_clause,
    STATE(17890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743041] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24977), 1,
      anon_sym_RPAREN,
    ACTIONS(24979), 1,
      anon_sym_SEMI,
    STATE(17891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743058] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24977), 1,
      anon_sym_RBRACK,
    ACTIONS(24981), 1,
      anon_sym_SEMI,
    STATE(17892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743075] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24977), 1,
      anon_sym_RBRACE,
    ACTIONS(24983), 1,
      anon_sym_SEMI,
    STATE(17893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743092] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17894), 1,
      sym_attribute,
    STATE(21439), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743109] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(24985), 1,
      sym__lowercase_identifier,
    STATE(17895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743126] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(24987), 1,
      anon_sym_DOT,
    STATE(17896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24989), 1,
      anon_sym_RPAREN,
    STATE(17897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17898), 1,
      sym_attribute,
    STATE(21096), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23701), 1,
      anon_sym_do,
    STATE(8521), 1,
      sym_do_clause,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(24991), 1,
      anon_sym_RPAREN,
    STATE(17900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24993), 1,
      anon_sym_RPAREN,
    ACTIONS(24995), 1,
      anon_sym_LT_DASH,
    STATE(17901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24997), 1,
      anon_sym_RPAREN,
    ACTIONS(24999), 1,
      anon_sym_LT_DASH,
    STATE(17902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23781), 1,
      anon_sym_then,
    STATE(13244), 1,
      sym_then_clause,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25001), 1,
      anon_sym_do,
    STATE(10904), 1,
      sym_do_clause,
    STATE(17904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743279] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25003), 1,
      anon_sym_RPAREN,
    ACTIONS(25005), 1,
      anon_sym_SEMI,
    STATE(17905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25003), 1,
      anon_sym_RBRACK,
    ACTIONS(25007), 1,
      anon_sym_SEMI,
    STATE(17906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25003), 1,
      anon_sym_RBRACE,
    ACTIONS(25009), 1,
      anon_sym_SEMI,
    STATE(17907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743330] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25011), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [743345] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17909), 1,
      sym_attribute,
    STATE(20224), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743362] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25013), 1,
      anon_sym_DOT,
    STATE(17910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743379] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25015), 1,
      anon_sym_RPAREN,
    ACTIONS(25017), 1,
      anon_sym_LT_DASH,
    STATE(17911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743396] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17912), 1,
      sym_attribute,
    STATE(19029), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25019), 1,
      anon_sym_RPAREN,
    STATE(17913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9884), 1,
      aux_sym_type_variable_token1,
    STATE(13793), 1,
      sym_type_variable,
    STATE(17914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25021), 1,
      anon_sym_RPAREN,
    ACTIONS(25023), 1,
      anon_sym_SEMI,
    STATE(17915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743464] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25021), 1,
      anon_sym_RBRACK,
    ACTIONS(25025), 1,
      anon_sym_SEMI,
    STATE(17916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25021), 1,
      anon_sym_RBRACE,
    ACTIONS(25027), 1,
      anon_sym_SEMI,
    STATE(17917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17918), 1,
      sym_attribute,
    STATE(20804), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25029), 1,
      anon_sym_COLON_GT,
    ACTIONS(25031), 1,
      anon_sym_RPAREN,
    STATE(17919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25033), 1,
      anon_sym_RPAREN,
    ACTIONS(25035), 1,
      anon_sym_LT_DASH,
    STATE(17920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25037), 1,
      anon_sym_RPAREN,
    ACTIONS(25039), 1,
      anon_sym_LT_DASH,
    STATE(17921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743566] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25041), 1,
      anon_sym_DOT,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25043), 1,
      anon_sym_RPAREN,
    ACTIONS(25045), 1,
      anon_sym_LT_DASH,
    STATE(17923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25047), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [743615] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17925), 1,
      sym_attribute,
    STATE(18813), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743632] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11650), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [743647] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25049), 1,
      sym__lowercase_identifier,
    ACTIONS(25051), 1,
      anon_sym_LPAREN,
    STATE(17927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743664] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25053), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [743679] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18989), 1,
      anon_sym_RBRACE,
    ACTIONS(25055), 1,
      anon_sym_SEMI,
    STATE(17929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743696] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25057), 1,
      sym__lowercase_identifier,
    ACTIONS(25059), 1,
      anon_sym_LPAREN,
    STATE(17930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743713] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25061), 1,
      anon_sym_RPAREN,
    ACTIONS(25063), 1,
      anon_sym_SEMI,
    STATE(17931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743730] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25061), 1,
      anon_sym_RBRACK,
    ACTIONS(25065), 1,
      anon_sym_SEMI,
    STATE(17932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743747] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25061), 1,
      anon_sym_RBRACE,
    ACTIONS(25067), 1,
      anon_sym_SEMI,
    STATE(17933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743764] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25069), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [743779] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24193), 1,
      anon_sym_then,
    STATE(13240), 1,
      sym_then_clause,
    STATE(17935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743796] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25071), 1,
      anon_sym_DOT,
    STATE(17936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743813] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25073), 1,
      anon_sym_RPAREN,
    ACTIONS(25075), 1,
      anon_sym_LT_DASH,
    STATE(17937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743830] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25077), 1,
      sym__lowercase_identifier,
    STATE(17938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743847] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17939), 1,
      sym_attribute,
    STATE(20368), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743864] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25079), 1,
      anon_sym_RPAREN,
    ACTIONS(25081), 1,
      anon_sym_LT_DASH,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743881] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17941), 1,
      sym_attribute,
    STATE(18614), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743898] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25083), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [743913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25085), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [743928] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25087), 1,
      anon_sym_RPAREN,
    ACTIONS(25089), 1,
      anon_sym_SEMI,
    STATE(17944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743945] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25087), 1,
      anon_sym_RBRACK,
    ACTIONS(25091), 1,
      anon_sym_SEMI,
    STATE(17945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743962] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25087), 1,
      anon_sym_RBRACE,
    ACTIONS(25093), 1,
      anon_sym_SEMI,
    STATE(17946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25095), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [743994] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17948), 1,
      sym_attribute,
    STATE(18615), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744011] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9929), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(17949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744028] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25097), 1,
      anon_sym_DOT,
    STATE(17950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744045] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17951), 1,
      sym_attribute,
    STATE(19853), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744062] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25099), 1,
      anon_sym_RPAREN,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744079] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25101), 1,
      anon_sym_RPAREN,
    ACTIONS(25103), 1,
      anon_sym_LT_DASH,
    STATE(17953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744096] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22170), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [744111] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25105), 1,
      anon_sym_RPAREN,
    ACTIONS(25107), 1,
      anon_sym_LT_DASH,
    STATE(17955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744128] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25109), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [744143] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25111), 1,
      anon_sym_EQ,
    ACTIONS(25113), 1,
      anon_sym_RPAREN,
    STATE(17957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744160] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25115), 1,
      anon_sym_RPAREN,
    ACTIONS(25117), 1,
      anon_sym_SEMI,
    STATE(17958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744177] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25115), 1,
      anon_sym_RBRACK,
    ACTIONS(25119), 1,
      anon_sym_SEMI,
    STATE(17959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744194] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25115), 1,
      anon_sym_RBRACE,
    ACTIONS(25121), 1,
      anon_sym_SEMI,
    STATE(17960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744211] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23803), 1,
      anon_sym_do,
    STATE(8482), 1,
      sym_do_clause,
    STATE(17961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744228] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17962), 1,
      sym_attribute,
    STATE(20342), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744245] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25123), 1,
      sym__lowercase_identifier,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744262] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17964), 1,
      sym_attribute,
    STATE(20723), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744279] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18357), 1,
      sym__lowercase_identifier,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744296] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25125), 1,
      anon_sym_RPAREN,
    ACTIONS(25127), 1,
      anon_sym_LT_DASH,
    STATE(17966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744313] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25129), 1,
      anon_sym_RPAREN,
    ACTIONS(25131), 1,
      anon_sym_LT_DASH,
    STATE(17967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744330] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25133), 1,
      anon_sym_RPAREN,
    ACTIONS(25135), 1,
      anon_sym_SEMI,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744347] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25133), 1,
      anon_sym_RBRACK,
    ACTIONS(25137), 1,
      anon_sym_SEMI,
    STATE(17969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744364] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25133), 1,
      anon_sym_RBRACE,
    ACTIONS(25139), 1,
      anon_sym_SEMI,
    STATE(17970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744381] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17971), 1,
      sym_attribute,
    STATE(21019), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744398] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25141), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [744413] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17973), 1,
      sym_attribute,
    STATE(21391), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744430] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24051), 1,
      anon_sym_then,
    STATE(9942), 1,
      sym_then_clause,
    STATE(17974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744447] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25143), 1,
      sym__lowercase_identifier,
    ACTIONS(25145), 1,
      anon_sym_LPAREN,
    STATE(17975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744464] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25147), 1,
      anon_sym_RPAREN,
    ACTIONS(25149), 1,
      anon_sym_SEMI,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744481] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25147), 1,
      anon_sym_RBRACK,
    ACTIONS(25151), 1,
      anon_sym_SEMI,
    STATE(17977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744498] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25147), 1,
      anon_sym_RBRACE,
    ACTIONS(25153), 1,
      anon_sym_SEMI,
    STATE(17978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744515] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25155), 1,
      anon_sym_RPAREN,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744532] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17980), 1,
      sym_attribute,
    STATE(19715), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744549] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17712), 1,
      anon_sym_COMMA,
    ACTIONS(25157), 1,
      anon_sym_COLON,
    STATE(17981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744566] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25159), 1,
      anon_sym_RPAREN,
    ACTIONS(25161), 1,
      anon_sym_LT_DASH,
    STATE(17982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744583] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25163), 1,
      anon_sym_RPAREN,
    ACTIONS(25165), 1,
      anon_sym_LT_DASH,
    STATE(17983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744600] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25167), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [744615] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17985), 1,
      sym_attribute,
    STATE(19103), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744632] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25169), 1,
      sym__lowercase_identifier,
    ACTIONS(25171), 1,
      anon_sym_LPAREN,
    STATE(17986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744649] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25173), 1,
      anon_sym_RPAREN,
    STATE(17987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744666] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25175), 1,
      anon_sym_COLON_GT,
    ACTIONS(25177), 1,
      anon_sym_RPAREN,
    STATE(17988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744683] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25179), 1,
      anon_sym_RPAREN,
    ACTIONS(25181), 1,
      anon_sym_SEMI,
    STATE(17989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744700] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25179), 1,
      anon_sym_RBRACK,
    ACTIONS(25183), 1,
      anon_sym_SEMI,
    STATE(17990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744717] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25179), 1,
      anon_sym_RBRACE,
    ACTIONS(25185), 1,
      anon_sym_SEMI,
    STATE(17991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744734] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(17992), 1,
      sym_attribute,
    STATE(20388), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744751] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    STATE(15800), 1,
      sym__simple_value_pattern,
    STATE(17993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744768] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24291), 1,
      anon_sym_then,
    STATE(13161), 1,
      sym_then_clause,
    STATE(17994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744785] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25187), 1,
      anon_sym_RPAREN,
    ACTIONS(25189), 1,
      anon_sym_LT_DASH,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744802] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25191), 1,
      anon_sym_RPAREN,
    ACTIONS(25193), 1,
      anon_sym_LT_DASH,
    STATE(17996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(17997), 1,
      sym_attribute,
    STATE(18677), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25195), 1,
      sym__lowercase_identifier,
    STATE(17998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(17999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25197), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [744868] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24337), 1,
      anon_sym_then,
    STATE(12727), 1,
      sym_then_clause,
    STATE(18000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744885] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25199), 1,
      anon_sym_RPAREN,
    ACTIONS(25201), 1,
      anon_sym_SEMI,
    STATE(18001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744902] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25199), 1,
      anon_sym_RBRACK,
    ACTIONS(25203), 1,
      anon_sym_SEMI,
    STATE(18002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744919] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25199), 1,
      anon_sym_RBRACE,
    ACTIONS(25205), 1,
      anon_sym_SEMI,
    STATE(18003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744936] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(18004), 1,
      sym_attribute,
    STATE(19049), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744953] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25207), 1,
      anon_sym_RPAREN,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744970] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18006), 1,
      sym_attribute,
    STATE(19430), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744987] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25209), 1,
      anon_sym_RPAREN,
    ACTIONS(25211), 1,
      anon_sym_LT_DASH,
    STATE(18007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745004] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25213), 1,
      anon_sym_RPAREN,
    ACTIONS(25215), 1,
      anon_sym_LT_DASH,
    STATE(18008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25217), 1,
      anon_sym_RPAREN,
    ACTIONS(25219), 1,
      anon_sym_LT_DASH,
    STATE(18009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25221), 1,
      anon_sym_RPAREN,
    ACTIONS(25223), 1,
      anon_sym_SEMI,
    STATE(18010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25221), 1,
      anon_sym_RBRACK,
    ACTIONS(25225), 1,
      anon_sym_SEMI,
    STATE(18011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25221), 1,
      anon_sym_RBRACE,
    ACTIONS(25227), 1,
      anon_sym_SEMI,
    STATE(18012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25229), 1,
      anon_sym_RPAREN,
    STATE(18013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25231), 1,
      anon_sym_COLON_GT,
    ACTIONS(25233), 1,
      anon_sym_RPAREN,
    STATE(18014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25235), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [745138] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18764), 1,
      anon_sym_RBRACE,
    ACTIONS(25237), 1,
      anon_sym_SEMI,
    STATE(18016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745155] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25239), 1,
      sym__lowercase_identifier,
    ACTIONS(25241), 1,
      anon_sym_LPAREN,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745172] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25243), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [745187] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18019), 1,
      sym_attribute,
    STATE(20326), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745204] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25245), 1,
      anon_sym_EQ,
    STATE(18020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18819), 1,
      anon_sym_RBRACE,
    ACTIONS(25247), 1,
      anon_sym_SEMI,
    STATE(18021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25249), 1,
      anon_sym_RPAREN,
    ACTIONS(25251), 1,
      anon_sym_LT_DASH,
    STATE(18022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25253), 1,
      anon_sym_RPAREN,
    ACTIONS(25255), 1,
      anon_sym_SEMI,
    STATE(18023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25253), 1,
      anon_sym_RBRACK,
    ACTIONS(25257), 1,
      anon_sym_SEMI,
    STATE(18024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25253), 1,
      anon_sym_RBRACE,
    ACTIONS(25259), 1,
      anon_sym_SEMI,
    STATE(18025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745306] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25261), 1,
      anon_sym_RPAREN,
    ACTIONS(25263), 1,
      anon_sym_LT_DASH,
    STATE(18026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745323] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25265), 1,
      anon_sym_RPAREN,
    STATE(18027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745340] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25267), 1,
      anon_sym_RPAREN,
    ACTIONS(25269), 1,
      anon_sym_LT_DASH,
    STATE(18028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745357] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25271), 1,
      anon_sym_RPAREN,
    ACTIONS(25273), 1,
      anon_sym_LT_DASH,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745374] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18030), 1,
      sym_attribute,
    STATE(18474), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25275), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [745406] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25277), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [745421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25279), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [745436] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25281), 1,
      anon_sym_RPAREN,
    ACTIONS(25283), 1,
      anon_sym_SEMI,
    STATE(18034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745453] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25281), 1,
      anon_sym_RBRACK,
    ACTIONS(25285), 1,
      anon_sym_SEMI,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745470] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25281), 1,
      anon_sym_RBRACE,
    ACTIONS(25287), 1,
      anon_sym_SEMI,
    STATE(18036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745487] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9925), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(18037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745504] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25289), 1,
      anon_sym_RPAREN,
    ACTIONS(25291), 1,
      anon_sym_LT_DASH,
    STATE(18038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745521] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18039), 1,
      sym_attribute,
    STATE(18782), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745538] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25293), 1,
      anon_sym_SEMI,
    ACTIONS(25295), 1,
      anon_sym_RBRACE,
    STATE(18040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745555] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25297), 1,
      anon_sym_RPAREN,
    ACTIONS(25299), 1,
      anon_sym_LT_DASH,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745572] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25301), 1,
      anon_sym_SEMI,
    ACTIONS(25303), 1,
      anon_sym_RBRACE,
    STATE(18042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25305), 1,
      anon_sym_RPAREN,
    ACTIONS(25307), 1,
      anon_sym_SEMI,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25305), 1,
      anon_sym_RBRACK,
    ACTIONS(25309), 1,
      anon_sym_SEMI,
    STATE(18044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25305), 1,
      anon_sym_RBRACE,
    ACTIONS(25311), 1,
      anon_sym_SEMI,
    STATE(18045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745640] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25313), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [745655] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25315), 1,
      sym__lowercase_identifier,
    STATE(18047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745672] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25317), 1,
      sym__lowercase_identifier,
    STATE(18048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745689] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18049), 1,
      sym_attribute,
    STATE(18984), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18516), 1,
      sym__lowercase_identifier,
    STATE(18050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25319), 1,
      anon_sym_RPAREN,
    ACTIONS(25321), 1,
      anon_sym_SEMI,
    STATE(18051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25319), 1,
      anon_sym_RBRACK,
    ACTIONS(25323), 1,
      anon_sym_SEMI,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745757] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25319), 1,
      anon_sym_RBRACE,
    ACTIONS(25325), 1,
      anon_sym_SEMI,
    STATE(18053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745774] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18054), 1,
      sym_attribute,
    STATE(19132), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745791] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25327), 1,
      anon_sym_RPAREN,
    ACTIONS(25329), 1,
      anon_sym_SEMI,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745808] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25327), 1,
      anon_sym_RBRACK,
    ACTIONS(25331), 1,
      anon_sym_SEMI,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745825] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25327), 1,
      anon_sym_RBRACE,
    ACTIONS(25333), 1,
      anon_sym_SEMI,
    STATE(18057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745842] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18058), 1,
      sym_attribute,
    STATE(19258), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745859] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25335), 1,
      anon_sym_RPAREN,
    ACTIONS(25337), 1,
      anon_sym_SEMI,
    STATE(18059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745876] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25335), 1,
      anon_sym_RBRACK,
    ACTIONS(25339), 1,
      anon_sym_SEMI,
    STATE(18060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745893] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25335), 1,
      anon_sym_RBRACE,
    ACTIONS(25341), 1,
      anon_sym_SEMI,
    STATE(18061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18062), 1,
      sym_attribute,
    STATE(19312), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25343), 1,
      anon_sym_RPAREN,
    ACTIONS(25345), 1,
      anon_sym_SEMI,
    STATE(18063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25343), 1,
      anon_sym_RBRACK,
    ACTIONS(25347), 1,
      anon_sym_SEMI,
    STATE(18064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25343), 1,
      anon_sym_RBRACE,
    ACTIONS(25349), 1,
      anon_sym_SEMI,
    STATE(18065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25351), 1,
      anon_sym_COLON_GT,
    ACTIONS(25353), 1,
      anon_sym_RPAREN,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18067), 1,
      sym_attribute,
    STATE(19363), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25355), 1,
      anon_sym_RPAREN,
    ACTIONS(25357), 1,
      anon_sym_SEMI,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25355), 1,
      anon_sym_RBRACK,
    ACTIONS(25359), 1,
      anon_sym_SEMI,
    STATE(18069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25355), 1,
      anon_sym_RBRACE,
    ACTIONS(25361), 1,
      anon_sym_SEMI,
    STATE(18070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746063] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25363), 1,
      anon_sym_RPAREN,
    ACTIONS(25365), 1,
      anon_sym_LT_DASH,
    STATE(18071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746080] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18072), 1,
      sym_attribute,
    STATE(19407), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746097] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25367), 1,
      anon_sym_RPAREN,
    ACTIONS(25369), 1,
      anon_sym_SEMI,
    STATE(18073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746114] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25367), 1,
      anon_sym_RBRACK,
    ACTIONS(25371), 1,
      anon_sym_SEMI,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746131] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25367), 1,
      anon_sym_RBRACE,
    ACTIONS(25373), 1,
      anon_sym_SEMI,
    STATE(18075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746148] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25375), 1,
      anon_sym_then,
    STATE(12211), 1,
      sym_then_clause,
    STATE(18076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746165] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24077), 1,
      anon_sym_then,
    STATE(9756), 1,
      sym_then_clause,
    STATE(18077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746182] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18078), 1,
      sym_attribute,
    STATE(19473), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25377), 1,
      anon_sym_RPAREN,
    ACTIONS(25379), 1,
      anon_sym_SEMI,
    STATE(18079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25377), 1,
      anon_sym_RBRACK,
    ACTIONS(25381), 1,
      anon_sym_SEMI,
    STATE(18080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25377), 1,
      anon_sym_RBRACE,
    ACTIONS(25383), 1,
      anon_sym_SEMI,
    STATE(18081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18082), 1,
      sym_attribute,
    STATE(19520), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25385), 1,
      anon_sym_RPAREN,
    ACTIONS(25387), 1,
      anon_sym_SEMI,
    STATE(18083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746284] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25385), 1,
      anon_sym_RBRACK,
    ACTIONS(25389), 1,
      anon_sym_SEMI,
    STATE(18084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746301] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25385), 1,
      anon_sym_RBRACE,
    ACTIONS(25391), 1,
      anon_sym_SEMI,
    STATE(18085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746318] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18086), 1,
      sym_attribute,
    STATE(19556), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746335] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25393), 1,
      anon_sym_RPAREN,
    ACTIONS(25395), 1,
      anon_sym_SEMI,
    STATE(18087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746352] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25393), 1,
      anon_sym_RBRACK,
    ACTIONS(25397), 1,
      anon_sym_SEMI,
    STATE(18088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746369] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25393), 1,
      anon_sym_RBRACE,
    ACTIONS(25399), 1,
      anon_sym_SEMI,
    STATE(18089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746386] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18090), 1,
      sym_attribute,
    STATE(19624), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746403] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25401), 1,
      anon_sym_RPAREN,
    ACTIONS(25403), 1,
      anon_sym_SEMI,
    STATE(18091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746420] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25401), 1,
      anon_sym_RBRACK,
    ACTIONS(25405), 1,
      anon_sym_SEMI,
    STATE(18092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746437] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25401), 1,
      anon_sym_RBRACE,
    ACTIONS(25407), 1,
      anon_sym_SEMI,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746454] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18094), 1,
      sym_attribute,
    STATE(19663), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746471] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25409), 1,
      anon_sym_RPAREN,
    ACTIONS(25411), 1,
      anon_sym_SEMI,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746488] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25409), 1,
      anon_sym_RBRACK,
    ACTIONS(25413), 1,
      anon_sym_SEMI,
    STATE(18096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746505] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25409), 1,
      anon_sym_RBRACE,
    ACTIONS(25415), 1,
      anon_sym_SEMI,
    STATE(18097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746522] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18098), 1,
      sym_attribute,
    STATE(19717), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746539] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25417), 1,
      anon_sym_RPAREN,
    ACTIONS(25419), 1,
      anon_sym_SEMI,
    STATE(18099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746556] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25417), 1,
      anon_sym_RBRACK,
    ACTIONS(25421), 1,
      anon_sym_SEMI,
    STATE(18100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746573] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25417), 1,
      anon_sym_RBRACE,
    ACTIONS(25423), 1,
      anon_sym_SEMI,
    STATE(18101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746590] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18102), 1,
      sym_attribute,
    STATE(19786), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746607] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25425), 1,
      anon_sym_RPAREN,
    ACTIONS(25427), 1,
      anon_sym_SEMI,
    STATE(18103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746624] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25425), 1,
      anon_sym_RBRACK,
    ACTIONS(25429), 1,
      anon_sym_SEMI,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746641] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25425), 1,
      anon_sym_RBRACE,
    ACTIONS(25431), 1,
      anon_sym_SEMI,
    STATE(18105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746658] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18106), 1,
      sym_attribute,
    STATE(19823), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746675] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25433), 1,
      anon_sym_RPAREN,
    ACTIONS(25435), 1,
      anon_sym_SEMI,
    STATE(18107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746692] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25433), 1,
      anon_sym_RBRACK,
    ACTIONS(25437), 1,
      anon_sym_SEMI,
    STATE(18108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746709] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25433), 1,
      anon_sym_RBRACE,
    ACTIONS(25439), 1,
      anon_sym_SEMI,
    STATE(18109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746726] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25441), 1,
      anon_sym_do,
    STATE(8433), 1,
      sym_do_clause,
    STATE(18110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746743] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18111), 1,
      sym_attribute,
    STATE(19862), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746760] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18112), 1,
      sym_attribute,
    STATE(19897), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746777] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25443), 1,
      anon_sym_RPAREN,
    STATE(18113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746794] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18114), 1,
      sym_attribute,
    STATE(19913), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746811] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18115), 1,
      sym_attribute,
    STATE(19925), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746828] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18116), 1,
      sym_attribute,
    STATE(19945), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746845] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18117), 1,
      sym_attribute,
    STATE(19965), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746862] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18118), 1,
      sym_attribute,
    STATE(19976), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746879] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18119), 1,
      sym_attribute,
    STATE(19995), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746896] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18120), 1,
      sym_attribute,
    STATE(20014), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746913] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18121), 1,
      sym_attribute,
    STATE(20034), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746930] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18122), 1,
      sym_attribute,
    STATE(20040), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746947] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18123), 1,
      sym_attribute,
    STATE(20046), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746964] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18124), 1,
      sym_attribute,
    STATE(20052), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746981] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18125), 1,
      sym_attribute,
    STATE(20058), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746998] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18126), 1,
      sym_attribute,
    STATE(20064), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747015] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18127), 1,
      sym_attribute,
    STATE(20070), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747032] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18128), 1,
      sym_attribute,
    STATE(20076), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747049] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18129), 1,
      sym_attribute,
    STATE(20082), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747066] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25445), 1,
      anon_sym_RPAREN,
    ACTIONS(25447), 1,
      anon_sym_LT_DASH,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747083] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18131), 1,
      sym_attribute,
    STATE(20088), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747100] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18132), 1,
      sym_attribute,
    STATE(20094), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747117] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18133), 1,
      sym_attribute,
    STATE(20100), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747134] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18134), 1,
      sym_attribute,
    STATE(20106), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747151] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18135), 1,
      sym_attribute,
    STATE(20116), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747168] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18136), 1,
      sym_attribute,
    STATE(20125), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747185] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25241), 1,
      anon_sym_LPAREN,
    ACTIONS(25449), 1,
      sym__lowercase_identifier,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747202] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25451), 1,
      sym__lowercase_identifier,
    ACTIONS(25453), 1,
      anon_sym_LPAREN,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747219] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24145), 1,
      anon_sym_then,
    STATE(12883), 1,
      sym_then_clause,
    STATE(18139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747236] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23845), 1,
      anon_sym_LPAREN,
    ACTIONS(25455), 1,
      sym__lowercase_identifier,
    STATE(18140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747253] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24561), 1,
      anon_sym_LPAREN,
    ACTIONS(25457), 1,
      sym__lowercase_identifier,
    STATE(18141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747270] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25459), 1,
      anon_sym_RPAREN,
    STATE(18142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747287] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25461), 1,
      anon_sym_RPAREN,
    STATE(18143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747304] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25001), 1,
      anon_sym_do,
    STATE(11043), 1,
      sym_do_clause,
    STATE(18144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25463), 1,
      anon_sym_COLON_GT,
    ACTIONS(25465), 1,
      anon_sym_RPAREN,
    STATE(18145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18425), 1,
      sym__lowercase_identifier,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25467), 1,
      anon_sym_DOT,
    STATE(18147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23887), 1,
      anon_sym_then,
    STATE(12845), 1,
      sym_then_clause,
    STATE(18148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25469), 1,
      sym__lowercase_identifier,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25471), 1,
      anon_sym_then,
    STATE(12418), 1,
      sym_then_clause,
    STATE(18150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25473), 1,
      anon_sym_DOT,
    STATE(18151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25475), 1,
      sym__lowercase_identifier,
    STATE(18152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25477), 1,
      anon_sym_DOT,
    STATE(18153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747474] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    STATE(16747), 1,
      sym_extended_module_path,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18155), 1,
      sym_attribute,
    STATE(20525), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25479), 1,
      anon_sym_RPAREN,
    ACTIONS(25481), 1,
      anon_sym_LT_DASH,
    STATE(18156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25483), 1,
      anon_sym_RPAREN,
    STATE(18157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25485), 1,
      sym__lowercase_identifier,
    STATE(18158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25487), 1,
      anon_sym_RPAREN,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25489), 1,
      sym__lowercase_identifier,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24169), 1,
      anon_sym_then,
    STATE(8509), 1,
      sym_then_clause,
    STATE(18161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24077), 1,
      anon_sym_then,
    STATE(9797), 1,
      sym_then_clause,
    STATE(18162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25491), 1,
      anon_sym_DOT,
    STATE(18163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25493), 1,
      anon_sym_RPAREN,
    ACTIONS(25495), 1,
      anon_sym_SEMI,
    STATE(18164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25497), 2,
      anon_sym_to,
      anon_sym_downto,
  [747676] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18166), 1,
      sym_attribute,
    STATE(21248), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747693] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25499), 1,
      sym__lowercase_identifier,
    ACTIONS(25501), 1,
      anon_sym_LPAREN,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747710] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23845), 1,
      anon_sym_LPAREN,
    ACTIONS(25503), 1,
      sym__lowercase_identifier,
    STATE(18168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747727] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25505), 1,
      anon_sym_RPAREN,
    ACTIONS(25507), 1,
      anon_sym_LT_DASH,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747744] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25509), 1,
      anon_sym_RPAREN,
    STATE(18170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747761] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25493), 1,
      anon_sym_RBRACK,
    ACTIONS(25511), 1,
      anon_sym_SEMI,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747778] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25513), 1,
      anon_sym_EQ,
    STATE(18172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747795] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18445), 1,
      sym__lowercase_identifier,
    STATE(18173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747812] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24561), 1,
      anon_sym_LPAREN,
    ACTIONS(25515), 1,
      sym__lowercase_identifier,
    STATE(18174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25517), 2,
      anon_sym_to,
      anon_sym_downto,
  [747844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25519), 1,
      anon_sym_RPAREN,
    ACTIONS(25521), 1,
      anon_sym_LT_DASH,
    STATE(18176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25523), 1,
      sym__lowercase_identifier,
    ACTIONS(25525), 1,
      anon_sym_LPAREN,
    STATE(18177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747878] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25527), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [747893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25529), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [747908] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25531), 1,
      anon_sym_RPAREN,
    STATE(18180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747925] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25533), 1,
      anon_sym_EQ,
    ACTIONS(25535), 1,
      anon_sym_RPAREN,
    STATE(18181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747942] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25441), 1,
      anon_sym_do,
    STATE(8434), 1,
      sym_do_clause,
    STATE(18182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747959] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25537), 1,
      sym__lowercase_identifier,
    STATE(18183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747976] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18340), 1,
      sym__lowercase_identifier,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747993] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25493), 1,
      anon_sym_RBRACE,
    ACTIONS(25539), 1,
      anon_sym_SEMI,
    STATE(18185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24007), 1,
      anon_sym_then,
    STATE(8536), 1,
      sym_then_clause,
    STATE(18186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23807), 1,
      anon_sym_then,
    STATE(8600), 1,
      sym_then_clause,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24099), 1,
      anon_sym_then,
    STATE(8847), 1,
      sym_then_clause,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25541), 1,
      anon_sym_RPAREN,
    ACTIONS(25543), 1,
      anon_sym_LT_DASH,
    STATE(18189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748078] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25545), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [748093] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24337), 1,
      anon_sym_then,
    STATE(12677), 1,
      sym_then_clause,
    STATE(18191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748110] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25547), 1,
      anon_sym_RPAREN,
    STATE(18192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748127] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25549), 1,
      sym__lowercase_identifier,
    ACTIONS(25551), 1,
      anon_sym_LPAREN,
    STATE(18193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748144] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25553), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [748159] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9939), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(18195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748176] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25555), 1,
      anon_sym_COLON_GT,
    ACTIONS(25557), 1,
      anon_sym_RPAREN,
    STATE(18196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748193] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25559), 1,
      sym__lowercase_identifier,
    STATE(18197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748210] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18198), 1,
      sym_attribute,
    STATE(20546), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748227] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    STATE(18199), 1,
      sym_attribute,
    STATE(20663), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748244] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24193), 1,
      anon_sym_then,
    STATE(13159), 1,
      sym_then_clause,
    STATE(18200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748261] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25561), 1,
      anon_sym_RPAREN,
    STATE(18201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748278] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25563), 1,
      anon_sym_RPAREN,
    STATE(18202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748295] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25565), 1,
      sym__lowercase_identifier,
    STATE(18203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748312] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25567), 2,
      anon_sym_to,
      anon_sym_downto,
  [748327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25569), 1,
      anon_sym_COLON_GT,
    ACTIONS(25571), 1,
      anon_sym_EQ,
    STATE(18205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748344] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25573), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [748359] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25575), 1,
      anon_sym_RPAREN,
    STATE(18207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748376] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25577), 1,
      sym__lowercase_identifier,
    ACTIONS(25579), 1,
      anon_sym_LPAREN,
    STATE(18208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748393] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(18209), 1,
      sym_attribute,
    STATE(19423), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748410] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25581), 2,
      anon_sym_to,
      anon_sym_downto,
  [748425] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25583), 1,
      anon_sym_RPAREN,
    ACTIONS(25585), 1,
      anon_sym_LT_DASH,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748442] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25587), 1,
      anon_sym_RPAREN,
    ACTIONS(25589), 1,
      anon_sym_LT_DASH,
    STATE(18212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748459] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25591), 1,
      anon_sym_RPAREN,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748476] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25593), 1,
      anon_sym_COLON2,
    STATE(12824), 1,
      sym__polymorphic_typed,
    STATE(18214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748493] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25595), 1,
      anon_sym_RPAREN,
    STATE(18215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25597), 1,
      anon_sym_RPAREN,
    ACTIONS(25599), 1,
      anon_sym_LT_DASH,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25601), 1,
      anon_sym_EQ,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748544] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25603), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [748559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25605), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [748574] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25607), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [748589] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25609), 1,
      sym__lowercase_identifier,
    STATE(18221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748606] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25611), 1,
      sym__lowercase_identifier,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748623] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25613), 1,
      anon_sym_RPAREN,
    STATE(18223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748640] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      sym__lowercase_identifier,
    STATE(15466), 1,
      sym__simple_value_pattern,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748657] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18385), 1,
      sym__lowercase_identifier,
    STATE(18225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748674] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25471), 1,
      anon_sym_then,
    STATE(12433), 1,
      sym_then_clause,
    STATE(18226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25615), 2,
      anon_sym_to,
      anon_sym_downto,
  [748706] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25617), 1,
      sym__lowercase_identifier,
    ACTIONS(25619), 1,
      anon_sym_LPAREN,
    STATE(18228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748723] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25621), 1,
      anon_sym_RPAREN,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748740] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25623), 1,
      anon_sym_COLON_GT,
    ACTIONS(25625), 1,
      anon_sym_RPAREN,
    STATE(18230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25627), 2,
      anon_sym_to,
      anon_sym_downto,
  [748772] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12070), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [748787] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(18233), 1,
      sym_attribute,
    STATE(19902), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748804] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25629), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [748819] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25631), 1,
      anon_sym_EQ,
    STATE(18235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748836] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25633), 1,
      anon_sym_COLON_GT,
    ACTIONS(25635), 1,
      anon_sym_EQ,
    STATE(18236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748853] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(18237), 1,
      sym_attribute,
    STATE(19168), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748870] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23989), 1,
      anon_sym_then,
    STATE(12588), 1,
      sym_then_clause,
    STATE(18238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748887] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25637), 1,
      sym__lowercase_identifier,
    STATE(18239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748904] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25639), 1,
      anon_sym_RPAREN,
    ACTIONS(25641), 1,
      anon_sym_SEMI,
    STATE(18240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748921] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25639), 1,
      anon_sym_RBRACK,
    ACTIONS(25643), 1,
      anon_sym_SEMI,
    STATE(18241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748938] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24337), 1,
      anon_sym_then,
    STATE(12849), 1,
      sym_then_clause,
    STATE(18242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748955] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25639), 1,
      anon_sym_RBRACE,
    ACTIONS(25645), 1,
      anon_sym_SEMI,
    STATE(18243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748972] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25647), 1,
      anon_sym_RPAREN,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748989] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25649), 1,
      anon_sym_RPAREN,
    ACTIONS(25651), 1,
      anon_sym_LT_DASH,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749006] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25653), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [749021] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25655), 1,
      sym__lowercase_identifier,
    ACTIONS(25657), 1,
      anon_sym_LPAREN,
    STATE(18247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749038] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25659), 1,
      anon_sym_DOT,
    STATE(18248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749055] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25661), 1,
      anon_sym_COLON_GT,
    ACTIONS(25663), 1,
      anon_sym_RPAREN,
    STATE(18249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749072] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25665), 1,
      anon_sym_RPAREN,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749089] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25667), 1,
      anon_sym_EQ,
    STATE(18251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749106] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25669), 1,
      anon_sym_RPAREN,
    ACTIONS(25671), 1,
      anon_sym_LT_DASH,
    STATE(18252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749123] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25673), 1,
      anon_sym_RPAREN,
    STATE(18253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749140] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25593), 1,
      anon_sym_COLON2,
    STATE(12693), 1,
      sym__polymorphic_typed,
    STATE(18254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25675), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [749172] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25677), 1,
      anon_sym_RPAREN,
    STATE(18256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749189] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25679), 1,
      anon_sym_RPAREN,
    STATE(18257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749206] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25681), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [749221] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25683), 1,
      anon_sym_RPAREN,
    ACTIONS(25685), 1,
      anon_sym_LT_DASH,
    STATE(18259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749238] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25687), 1,
      sym__lowercase_identifier,
    STATE(18260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749255] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9700), 1,
      anon_sym_RPAREN,
    STATE(18261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749272] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25689), 1,
      anon_sym_RPAREN,
    STATE(18262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749289] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23905), 1,
      anon_sym_open,
    STATE(18263), 1,
      sym_attribute,
    STATE(18483), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749306] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25691), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [749321] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25693), 1,
      anon_sym_DOT,
    STATE(18265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749338] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25695), 1,
      sym__uppercase_identifier,
    STATE(14155), 1,
      sym_extended_module_path,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749355] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25697), 1,
      anon_sym_COLON_GT,
    ACTIONS(25699), 1,
      anon_sym_RPAREN,
    STATE(18267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749372] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25701), 1,
      anon_sym_RPAREN,
    STATE(18268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749389] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18361), 1,
      sym__lowercase_identifier,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749406] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(18270), 1,
      sym_attribute,
    STATE(18658), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749423] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25703), 1,
      anon_sym_RPAREN,
    ACTIONS(25705), 1,
      anon_sym_LT_DASH,
    STATE(18271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749440] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25707), 1,
      sym__lowercase_identifier,
    ACTIONS(25709), 1,
      anon_sym_LBRACK,
    STATE(18272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749457] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19155), 1,
      anon_sym_RBRACE,
    ACTIONS(25711), 1,
      anon_sym_SEMI,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749474] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25713), 1,
      anon_sym_EQ,
    STATE(18274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749491] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25715), 1,
      anon_sym_RPAREN,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749508] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25717), 1,
      anon_sym_EQ,
    STATE(18276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749525] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25375), 1,
      anon_sym_then,
    STATE(11817), 1,
      sym_then_clause,
    STATE(18277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749542] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5257), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25719), 1,
      anon_sym_RPAREN,
    STATE(18278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749559] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25721), 1,
      anon_sym_EQ,
    STATE(18279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749576] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25723), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [749591] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25725), 1,
      sym__lowercase_identifier,
    ACTIONS(25727), 1,
      anon_sym_LPAREN,
    STATE(18281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749608] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
    STATE(18282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749625] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(25729), 1,
      anon_sym_DOT,
    STATE(18283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749642] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25731), 1,
      anon_sym_COLON_GT,
    ACTIONS(25733), 1,
      anon_sym_RPAREN,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749659] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18760), 1,
      anon_sym_RBRACE,
    ACTIONS(25735), 1,
      anon_sym_SEMI,
    STATE(18285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749676] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25737), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [749691] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24099), 1,
      anon_sym_then,
    STATE(8829), 1,
      sym_then_clause,
    STATE(18287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749708] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9999), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(18288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749725] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25739), 1,
      anon_sym_RPAREN,
    STATE(18289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749742] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23907), 1,
      anon_sym_then,
    STATE(8635), 1,
      sym_then_clause,
    STATE(18290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749759] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25741), 1,
      anon_sym_EQ,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749776] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25743), 1,
      sym__lowercase_identifier,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749793] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25745), 1,
      sym__lowercase_identifier,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749810] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9660), 1,
      anon_sym_RPAREN,
    STATE(18294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749827] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18502), 1,
      sym__lowercase_identifier,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749844] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25747), 1,
      anon_sym_RPAREN,
    ACTIONS(25749), 1,
      anon_sym_LT_DASH,
    STATE(18296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749861] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25751), 1,
      anon_sym_RPAREN,
    STATE(18297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749878] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9810), 1,
      anon_sym_RPAREN,
    STATE(18298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25753), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [749910] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25755), 1,
      anon_sym_RPAREN,
    STATE(18300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749927] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24169), 1,
      anon_sym_then,
    STATE(8466), 1,
      sym_then_clause,
    STATE(18301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749944] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18302), 1,
      sym_attribute,
    STATE(19159), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749961] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25757), 1,
      anon_sym_RPAREN,
    ACTIONS(25759), 1,
      anon_sym_LT_DASH,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749978] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25761), 1,
      anon_sym_RPAREN,
    ACTIONS(25763), 1,
      anon_sym_LT_DASH,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749995] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25765), 1,
      anon_sym_RPAREN,
    STATE(18305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750012] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25767), 1,
      anon_sym_RPAREN,
    STATE(18306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750029] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25769), 1,
      sym__lowercase_identifier,
    ACTIONS(25771), 1,
      anon_sym_LPAREN,
    STATE(18307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750046] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25773), 1,
      sym__lowercase_identifier,
    STATE(18308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25775), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [750078] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25777), 1,
      sym__lowercase_identifier,
    ACTIONS(25779), 1,
      anon_sym_LBRACK,
    STATE(18310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25781), 1,
      sym__lowercase_identifier,
    STATE(18311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19151), 1,
      anon_sym_RBRACE,
    ACTIONS(25783), 1,
      anon_sym_SEMI,
    STATE(18312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25785), 1,
      anon_sym_RPAREN,
    ACTIONS(25787), 1,
      anon_sym_LT_DASH,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750146] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25789), 1,
      anon_sym_RPAREN,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25791), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [750178] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25793), 1,
      sym__lowercase_identifier,
    STATE(18316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25795), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [750210] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23044), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [750225] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9945), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750242] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25797), 1,
      anon_sym_RPAREN,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750259] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25799), 1,
      anon_sym_COLON_GT,
    ACTIONS(25801), 1,
      anon_sym_RPAREN,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750276] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24145), 1,
      anon_sym_then,
    STATE(12580), 1,
      sym_then_clause,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750293] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24073), 1,
      anon_sym_COLON2,
    STATE(13977), 1,
      sym__typed,
    STATE(18323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750310] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19071), 1,
      anon_sym_RBRACK,
    ACTIONS(19258), 1,
      anon_sym_as,
    STATE(18324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750327] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18298), 1,
      sym__lowercase_identifier,
    STATE(18325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750344] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25803), 1,
      anon_sym_RPAREN,
    STATE(18326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750361] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23825), 1,
      anon_sym_then,
    STATE(10845), 1,
      sym_then_clause,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750378] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25805), 1,
      sym__lowercase_identifier,
    ACTIONS(25807), 1,
      anon_sym_LPAREN,
    STATE(18328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750395] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11580), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [750410] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23825), 1,
      anon_sym_then,
    STATE(10876), 1,
      sym_then_clause,
    STATE(18330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750427] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23653), 1,
      anon_sym_then,
    STATE(13023), 1,
      sym_then_clause,
    STATE(18331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750444] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25809), 1,
      anon_sym_EQ,
    ACTIONS(25811), 1,
      anon_sym_RPAREN,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750461] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23745), 1,
      anon_sym_then,
    STATE(12868), 1,
      sym_then_clause,
    STATE(18333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750478] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25813), 1,
      anon_sym_RPAREN,
    STATE(18334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750495] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [750510] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25815), 1,
      anon_sym_COLON_GT,
    ACTIONS(25817), 1,
      anon_sym_RPAREN,
    STATE(18336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750527] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25819), 1,
      sym__lowercase_identifier,
    ACTIONS(25821), 1,
      anon_sym_LPAREN,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750544] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25441), 1,
      anon_sym_do,
    STATE(8279), 1,
      sym_do_clause,
    STATE(18338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25823), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [750576] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25375), 1,
      anon_sym_then,
    STATE(11766), 1,
      sym_then_clause,
    STATE(18340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750593] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18865), 1,
      anon_sym_RBRACE,
    ACTIONS(25825), 1,
      anon_sym_SEMI,
    STATE(18341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750610] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25827), 1,
      anon_sym_COLON_GT,
    ACTIONS(25829), 1,
      anon_sym_RPAREN,
    STATE(18342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750627] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25831), 1,
      sym__lowercase_identifier,
    STATE(18343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750644] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25833), 1,
      anon_sym_RPAREN,
    ACTIONS(25835), 1,
      anon_sym_LT_DASH,
    STATE(18344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750661] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25837), 1,
      sym__lowercase_identifier,
    ACTIONS(25839), 1,
      anon_sym_LBRACK,
    STATE(18345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750678] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25841), 1,
      anon_sym_RPAREN,
    STATE(18346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750695] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25471), 1,
      anon_sym_then,
    STATE(12466), 1,
      sym_then_clause,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750712] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24007), 1,
      anon_sym_then,
    STATE(8468), 1,
      sym_then_clause,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24121), 1,
      anon_sym_COLON2,
    STATE(13976), 1,
      sym__polymorphic_typed,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25843), 1,
      sym__lowercase_identifier,
    STATE(18350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750763] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25845), 1,
      sym__lowercase_identifier,
    STATE(18351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750780] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23803), 1,
      anon_sym_do,
    STATE(8567), 1,
      sym_do_clause,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750797] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25847), 1,
      anon_sym_RPAREN,
    STATE(18353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750814] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25849), 1,
      anon_sym_RPAREN,
    STATE(18354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750831] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25441), 1,
      anon_sym_do,
    STATE(8308), 1,
      sym_do_clause,
    STATE(18355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750848] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25851), 1,
      anon_sym_RPAREN,
    STATE(18356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15282), 2,
      anon_sym_and,
      anon_sym_in,
  [750880] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25853), 1,
      anon_sym_RPAREN,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25855), 1,
      anon_sym_EQ,
    ACTIONS(25857), 1,
      anon_sym_RPAREN,
    STATE(18359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25859), 1,
      anon_sym_RPAREN,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25861), 1,
      anon_sym_RPAREN,
    ACTIONS(25863), 1,
      anon_sym_LT_DASH,
    STATE(18361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24433), 1,
      anon_sym_COLON2,
    STATE(12693), 1,
      sym__polymorphic_typed,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750965] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25865), 1,
      anon_sym_RPAREN,
    ACTIONS(25867), 1,
      anon_sym_LT_DASH,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750982] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25869), 1,
      anon_sym_RPAREN,
    STATE(18364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750999] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25871), 1,
      anon_sym_RPAREN,
    ACTIONS(25873), 1,
      anon_sym_LT_DASH,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751016] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25875), 1,
      anon_sym_SEMI,
    ACTIONS(25877), 1,
      anon_sym_RBRACE,
    STATE(18366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751033] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25879), 1,
      anon_sym_RPAREN,
    ACTIONS(25881), 1,
      anon_sym_LT_DASH,
    STATE(18367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751050] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25883), 1,
      anon_sym_RPAREN,
    ACTIONS(25885), 1,
      anon_sym_LT_DASH,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751067] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25887), 1,
      anon_sym_RPAREN,
    STATE(18369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751084] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25889), 1,
      anon_sym_RPAREN,
    STATE(18370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751101] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25891), 1,
      sym__lowercase_identifier,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751118] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25893), 1,
      anon_sym_SEMI,
    ACTIONS(25895), 1,
      anon_sym_RBRACE,
    STATE(18372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25897), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [751150] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25899), 1,
      anon_sym_RPAREN,
    ACTIONS(25901), 1,
      anon_sym_LT_DASH,
    STATE(18374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751167] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18312), 1,
      sym__lowercase_identifier,
    STATE(18375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751184] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25903), 2,
      anon_sym_to,
      anon_sym_downto,
  [751199] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25905), 1,
      anon_sym_SEMI,
    ACTIONS(25907), 1,
      anon_sym_RBRACE,
    STATE(18377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751216] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25909), 1,
      sym__lowercase_identifier,
    ACTIONS(25911), 1,
      anon_sym_LPAREN,
    STATE(18378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751233] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18365), 1,
      sym__lowercase_identifier,
    STATE(18379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751250] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25913), 1,
      sym__lowercase_identifier,
    ACTIONS(25915), 1,
      anon_sym_LPAREN,
    STATE(18380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751267] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25917), 1,
      anon_sym_RPAREN,
    ACTIONS(25919), 1,
      anon_sym_LT_DASH,
    STATE(18381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751284] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21902), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [751299] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25921), 1,
      sym__lowercase_identifier,
    ACTIONS(25923), 1,
      anon_sym_LPAREN,
    STATE(18383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751316] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25925), 1,
      anon_sym_RPAREN,
    ACTIONS(25927), 1,
      anon_sym_LT_DASH,
    STATE(18384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751333] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25929), 1,
      anon_sym_COLON_GT,
    ACTIONS(25931), 1,
      anon_sym_RPAREN,
    STATE(18385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751350] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_COLON2,
    STATE(18386), 1,
      sym_attribute,
    STATE(18714), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751367] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25933), 1,
      sym__lowercase_identifier,
    STATE(18387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751384] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25001), 1,
      anon_sym_do,
    STATE(10976), 1,
      sym_do_clause,
    STATE(18388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751401] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25935), 1,
      anon_sym_COLON_GT,
    ACTIONS(25937), 1,
      anon_sym_RPAREN,
    STATE(18389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751418] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24291), 1,
      anon_sym_then,
    STATE(13038), 1,
      sym_then_clause,
    STATE(18390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751435] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24099), 1,
      anon_sym_then,
    STATE(8872), 1,
      sym_then_clause,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751452] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25939), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [751467] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25941), 1,
      anon_sym_RPAREN,
    ACTIONS(25943), 1,
      anon_sym_LT_DASH,
    STATE(18393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751484] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(25945), 1,
      sym__lowercase_identifier,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751501] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24145), 1,
      anon_sym_then,
    STATE(12821), 1,
      sym_then_clause,
    STATE(18395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751518] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25947), 1,
      anon_sym_RPAREN,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751535] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25949), 1,
      sym__lowercase_identifier,
    ACTIONS(25951), 1,
      sym__uppercase_identifier,
    STATE(18397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751552] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25953), 1,
      sym__lowercase_identifier,
    ACTIONS(25955), 1,
      anon_sym_LPAREN,
    STATE(18398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751569] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25957), 1,
      anon_sym_EQ,
    ACTIONS(25959), 1,
      anon_sym_RPAREN,
    STATE(18399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751586] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25001), 1,
      anon_sym_do,
    STATE(10823), 1,
      sym_do_clause,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25961), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [751618] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25963), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [751633] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25965), 1,
      anon_sym_RPAREN,
    ACTIONS(25967), 1,
      anon_sym_LT_DASH,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751650] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25969), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [751665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9866), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751682] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25971), 1,
      anon_sym_RPAREN,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751699] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25973), 1,
      anon_sym_RPAREN,
    STATE(18407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751716] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25975), 1,
      sym__lowercase_identifier,
    ACTIONS(25977), 1,
      anon_sym_LPAREN,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751733] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25979), 1,
      anon_sym_then,
    STATE(11632), 1,
      sym_then_clause,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751750] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23983), 1,
      anon_sym_then,
    STATE(10642), 1,
      sym_then_clause,
    STATE(18410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751767] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25981), 1,
      sym__lowercase_identifier,
    STATE(18411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751784] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(25983), 1,
      sym__lowercase_identifier,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25985), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [751816] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29), 1,
      sym__uppercase_identifier,
    STATE(9472), 1,
      sym_extended_module_path,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751833] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12712), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [751848] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25987), 1,
      anon_sym_RPAREN,
    ACTIONS(25989), 1,
      anon_sym_LT_DASH,
    STATE(18416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751865] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(25991), 1,
      anon_sym_RPAREN,
    STATE(18417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751882] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25993), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [751897] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25979), 1,
      anon_sym_then,
    STATE(11498), 1,
      sym_then_clause,
    STATE(18419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751914] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25995), 1,
      anon_sym_RPAREN,
    ACTIONS(25997), 1,
      anon_sym_LT_DASH,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751931] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25979), 1,
      anon_sym_then,
    STATE(11520), 1,
      sym_then_clause,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751948] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23907), 1,
      anon_sym_then,
    STATE(8658), 1,
      sym_then_clause,
    STATE(18422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25999), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [751980] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26001), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [751995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26003), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [752010] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9941), 1,
      anon_sym_RBRACK,
    ACTIONS(19731), 1,
      anon_sym_PIPE,
    STATE(18426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752027] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(26005), 1,
      anon_sym_RPAREN,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752044] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25979), 1,
      anon_sym_then,
    STATE(11547), 1,
      sym_then_clause,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752061] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18292), 1,
      sym__lowercase_identifier,
    STATE(18429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752078] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23905), 1,
      anon_sym_open,
    STATE(18430), 1,
      sym_attribute,
    STATE(21221), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752095] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(26007), 1,
      anon_sym_DOT,
    STATE(18431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752112] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26009), 1,
      anon_sym_RPAREN,
    ACTIONS(26011), 1,
      anon_sym_LT_DASH,
    STATE(18432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752129] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(26013), 1,
      anon_sym_DOT,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752146] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26015), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [752161] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11616), 1,
      anon_sym_LPAREN,
    ACTIONS(26017), 1,
      anon_sym_DOT,
    STATE(18435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752178] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26019), 1,
      anon_sym_COLON_GT,
    ACTIONS(26021), 1,
      anon_sym_RPAREN,
    STATE(18436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752195] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26023), 1,
      sym__lowercase_identifier,
    ACTIONS(26025), 1,
      anon_sym_LPAREN,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752212] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23781), 1,
      anon_sym_then,
    STATE(13054), 1,
      sym_then_clause,
    STATE(18438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752229] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(18439), 1,
      sym_attribute,
    STATE(19033), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752246] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26027), 1,
      anon_sym_COLON_GT,
    ACTIONS(26029), 1,
      anon_sym_RPAREN,
    STATE(18440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752263] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25471), 1,
      anon_sym_then,
    STATE(12428), 1,
      sym_then_clause,
    STATE(18441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752280] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(26031), 1,
      anon_sym_RPAREN,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26033), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [752312] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18444), 1,
      sym_attribute,
    STATE(19517), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752329] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26035), 1,
      sym__lowercase_identifier,
    ACTIONS(26037), 1,
      anon_sym_LPAREN,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752346] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24051), 1,
      anon_sym_then,
    STATE(10002), 1,
      sym_then_clause,
    STATE(18446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752363] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26039), 1,
      sym__lowercase_identifier,
    ACTIONS(26041), 1,
      anon_sym_LPAREN,
    STATE(18447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752380] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26043), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [752395] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(26045), 1,
      sym__lowercase_identifier,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752412] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26047), 1,
      anon_sym_COLON_GT,
    ACTIONS(26049), 1,
      anon_sym_RPAREN,
    STATE(18450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752429] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24169), 1,
      anon_sym_then,
    STATE(8470), 1,
      sym_then_clause,
    STATE(18451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752446] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(26051), 1,
      anon_sym_RPAREN,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752463] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(26053), 1,
      anon_sym_RPAREN,
    STATE(18453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752480] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26055), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [752495] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26057), 1,
      anon_sym_COLON_GT,
    ACTIONS(26059), 1,
      anon_sym_RPAREN,
    STATE(18455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752512] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(8038), 1,
      sym__left_quoted_string_delimiter,
    STATE(18456), 1,
      sym_attribute,
    STATE(19240), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752529] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(26061), 1,
      sym__lowercase_identifier,
    STATE(18457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752546] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26063), 1,
      anon_sym_COLON_GT,
    ACTIONS(26065), 1,
      anon_sym_EQ,
    STATE(18458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752563] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18528), 1,
      sym__lowercase_identifier,
    STATE(18459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752580] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(18460), 1,
      sym_attribute,
    STATE(20223), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752597] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26067), 1,
      anon_sym_RPAREN,
    ACTIONS(26069), 1,
      anon_sym_LT_DASH,
    STATE(18461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752614] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19258), 1,
      anon_sym_as,
    ACTIONS(26071), 1,
      anon_sym_RPAREN,
    STATE(18462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752631] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23983), 1,
      anon_sym_then,
    STATE(10670), 1,
      sym_then_clause,
    STATE(18463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752648] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    ACTIONS(18453), 1,
      sym__lowercase_identifier,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752665] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    ACTIONS(26073), 1,
      sym__lowercase_identifier,
    STATE(18465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752682] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26075), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [752697] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25375), 1,
      anon_sym_then,
    STATE(12282), 1,
      sym_then_clause,
    STATE(18467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752714] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    STATE(18468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26077), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [752729] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26079), 1,
      anon_sym_RPAREN,
    ACTIONS(26081), 1,
      anon_sym_LT_DASH,
    STATE(18469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752746] = 5,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20225), 1,
      anon_sym_COLON2,
    STATE(18470), 1,
      sym_attribute,
    STATE(18925), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26083), 1,
      anon_sym_RPAREN,
    STATE(18471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26085), 1,
      anon_sym_RPAREN,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26087), 1,
      anon_sym_DOT,
    STATE(18473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26089), 1,
      anon_sym_RBRACE,
    STATE(18474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26091), 1,
      anon_sym_RPAREN,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26093), 1,
      anon_sym_RBRACK,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26095), 1,
      anon_sym_RBRACE,
    STATE(18477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18466), 1,
      anon_sym_GT,
    STATE(18478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26097), 1,
      anon_sym_RPAREN,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26099), 1,
      anon_sym_RPAREN,
    STATE(18480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26101), 1,
      anon_sym_RPAREN,
    STATE(18481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26103), 1,
      anon_sym_RPAREN,
    STATE(18482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26105), 1,
      anon_sym_in,
    STATE(18483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26107), 1,
      anon_sym_STAR,
    STATE(18484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26109), 1,
      anon_sym_in,
    STATE(18485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26111), 1,
      anon_sym_RBRACE,
    STATE(18486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26113), 1,
      anon_sym_RPAREN,
    STATE(18487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26115), 1,
      anon_sym_RBRACE,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26117), 1,
      anon_sym_in,
    STATE(18489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26119), 1,
      anon_sym_RBRACE,
    STATE(18490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26121), 1,
      anon_sym_RPAREN,
    STATE(18491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26123), 1,
      anon_sym_DOT,
    STATE(18492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26125), 1,
      anon_sym_DASH_GT,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26127), 1,
      anon_sym_RPAREN,
    STATE(18494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26129), 1,
      anon_sym_DOT,
    STATE(18495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26131), 1,
      anon_sym_DOT,
    STATE(18496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26133), 1,
      anon_sym_DASH_GT,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20682), 1,
      anon_sym_end,
    STATE(18498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COMMA,
    STATE(18499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26135), 1,
      anon_sym_PLUS_EQ,
    STATE(18501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26137), 1,
      anon_sym_LT_DASH,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26139), 1,
      anon_sym_GT,
    STATE(18503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26141), 1,
      anon_sym_RPAREN,
    STATE(18504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26143), 1,
      anon_sym_with,
    STATE(18505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26145), 1,
      anon_sym_with,
    STATE(18506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26147), 1,
      anon_sym_DOT,
    STATE(18507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18423), 1,
      anon_sym_GT,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26149), 1,
      anon_sym_RBRACK,
    STATE(18509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26151), 1,
      anon_sym_RBRACE,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26153), 1,
      anon_sym_RPAREN,
    STATE(18511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26155), 1,
      anon_sym_RBRACK,
    STATE(18512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26157), 1,
      anon_sym_end,
    STATE(18513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26159), 1,
      anon_sym_in,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26161), 1,
      anon_sym_with,
    STATE(18515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26163), 1,
      anon_sym_with,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26165), 1,
      anon_sym_with,
    STATE(18517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26167), 1,
      anon_sym_RBRACK,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26169), 1,
      anon_sym_RBRACE,
    STATE(18519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26171), 1,
      anon_sym_DOT,
    STATE(18520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26173), 1,
      anon_sym_RBRACE,
    STATE(18521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26175), 1,
      anon_sym_in,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26177), 1,
      anon_sym_DASH_GT,
    STATE(18523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26179), 1,
      anon_sym_with,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26181), 1,
      anon_sym_DOT,
    STATE(18525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26183), 1,
      anon_sym_GT,
    STATE(18526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26185), 1,
      anon_sym_DASH_GT,
    STATE(18527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26187), 1,
      anon_sym_RPAREN,
    STATE(18528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26189), 1,
      anon_sym_DASH_GT,
    STATE(18529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18462), 1,
      anon_sym_GT,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26191), 1,
      anon_sym_RPAREN,
    STATE(18531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26193), 1,
      anon_sym_RPAREN,
    STATE(18532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18486), 1,
      anon_sym_GT,
    STATE(18533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26195), 1,
      anon_sym_SQUOTE2,
    STATE(18534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26197), 1,
      anon_sym_DOT,
    STATE(18535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26199), 1,
      anon_sym_RBRACE,
    STATE(18536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26201), 1,
      anon_sym_DASH_GT,
    STATE(18537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26203), 1,
      anon_sym_RPAREN,
    STATE(18538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26205), 1,
      anon_sym_RPAREN,
    STATE(18539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26207), 1,
      anon_sym_RPAREN,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26207), 1,
      anon_sym_RBRACK,
    STATE(18541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26207), 1,
      anon_sym_RBRACE,
    STATE(18542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26209), 1,
      anon_sym_DASH_GT,
    STATE(18543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26211), 1,
      anon_sym_DASH_GT,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26213), 1,
      anon_sym_DASH_GT,
    STATE(18545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15858), 1,
      anon_sym_COMMA,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15963), 1,
      anon_sym_COMMA,
    STATE(18547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26215), 1,
      anon_sym_LT_DASH,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26217), 1,
      anon_sym_RPAREN,
    STATE(18549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26219), 1,
      anon_sym_DASH_GT,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26221), 1,
      anon_sym_STAR,
    STATE(18551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26223), 1,
      anon_sym_in,
    STATE(18552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26225), 1,
      anon_sym_LT_DASH,
    STATE(18553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26227), 1,
      anon_sym_LT_DASH,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15983), 1,
      anon_sym_COMMA,
    STATE(18555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26229), 1,
      anon_sym_in,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3133), 1,
      anon_sym_RPAREN,
    STATE(18557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26231), 1,
      anon_sym_LT_DASH,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26233), 1,
      anon_sym_RPAREN,
    STATE(18559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26235), 1,
      anon_sym_RBRACK,
    STATE(18560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26237), 1,
      anon_sym_RBRACE,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26239), 1,
      anon_sym_COMMA,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26241), 1,
      anon_sym_DOT,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26243), 1,
      anon_sym_DASH_GT,
    STATE(18564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26245), 1,
      anon_sym_RBRACK,
    STATE(18565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26247), 1,
      anon_sym_RPAREN,
    STATE(18566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26249), 1,
      anon_sym_RPAREN,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26251), 1,
      anon_sym_RBRACE,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26253), 1,
      anon_sym_in,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26255), 1,
      anon_sym_in,
    STATE(18570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26257), 1,
      anon_sym_in,
    STATE(18571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26259), 1,
      anon_sym_with,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26261), 1,
      anon_sym_with,
    STATE(18573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26263), 1,
      anon_sym_DOT,
    STATE(18574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26265), 1,
      anon_sym_in,
    STATE(18575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19101), 1,
      anon_sym_DASH_GT,
    STATE(18576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26267), 1,
      anon_sym_RPAREN,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26269), 1,
      anon_sym_RPAREN,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26271), 1,
      anon_sym_with,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3099), 1,
      anon_sym_RPAREN,
    STATE(18580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26273), 1,
      anon_sym_with,
    STATE(18581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26275), 1,
      anon_sym_with,
    STATE(18582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22147), 1,
      anon_sym_GT_RBRACE,
    STATE(18583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26277), 1,
      anon_sym_RPAREN,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26279), 1,
      anon_sym_in,
    STATE(18585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26281), 1,
      anon_sym_DOT,
    STATE(18586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22103), 1,
      anon_sym_GT_RBRACE,
    STATE(18587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26283), 1,
      anon_sym_with,
    STATE(18588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26285), 1,
      anon_sym_RBRACK,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20640), 1,
      anon_sym_end,
    STATE(18590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26287), 1,
      anon_sym_SQUOTE2,
    STATE(18591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26289), 1,
      anon_sym_RPAREN,
    STATE(18592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26291), 1,
      anon_sym_RPAREN,
    STATE(18593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26293), 1,
      anon_sym_DOT,
    STATE(18594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26295), 1,
      anon_sym_DQUOTE,
    STATE(18595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26297), 1,
      anon_sym_RBRACE,
    STATE(18596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26299), 1,
      anon_sym_RPAREN,
    STATE(18597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26301), 1,
      anon_sym_RPAREN,
    STATE(18598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26303), 1,
      anon_sym_RPAREN,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26303), 1,
      anon_sym_RBRACK,
    STATE(18600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26303), 1,
      anon_sym_RBRACE,
    STATE(18601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26305), 1,
      anon_sym_RBRACK,
    STATE(18602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26307), 1,
      anon_sym_RPAREN,
    STATE(18603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26309), 1,
      sym__lowercase_identifier,
    STATE(18604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26311), 1,
      anon_sym_DQUOTE,
    STATE(18605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26313), 1,
      anon_sym_RBRACE,
    STATE(18606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26315), 1,
      anon_sym_STAR,
    STATE(18607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_RPAREN,
    STATE(18608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26317), 1,
      anon_sym_RPAREN,
    STATE(18609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26319), 1,
      anon_sym_RPAREN,
    STATE(18610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21704), 1,
      anon_sym_GT_RBRACE,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26321), 1,
      anon_sym_SQUOTE2,
    STATE(18612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9036), 1,
      anon_sym_DASH_GT,
    STATE(18613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26323), 1,
      anon_sym_RPAREN,
    STATE(18614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26325), 1,
      anon_sym_RPAREN,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_end,
    STATE(18616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26327), 1,
      anon_sym_SQUOTE2,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26329), 1,
      anon_sym_DQUOTE,
    STATE(18618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26331), 1,
      anon_sym_DOT,
    STATE(18619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26333), 1,
      anon_sym_DASH_GT,
    STATE(18620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26335), 1,
      anon_sym_RBRACK,
    STATE(18621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26337), 1,
      anon_sym_RPAREN,
    STATE(18622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26339), 1,
      anon_sym_in,
    STATE(18623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26341), 1,
      sym__lowercase_identifier,
    STATE(18624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26343), 1,
      anon_sym_RPAREN,
    STATE(18625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26345), 1,
      anon_sym_DQUOTE,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26347), 1,
      anon_sym_DASH_GT,
    STATE(18627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26349), 1,
      anon_sym_with,
    STATE(18628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26351), 1,
      anon_sym_with,
    STATE(18629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26353), 1,
      anon_sym_DOT,
    STATE(18630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26355), 1,
      sym__lowercase_identifier,
    STATE(18631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26357), 1,
      anon_sym_RPAREN,
    STATE(18632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26359), 1,
      anon_sym_RPAREN,
    STATE(18633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26361), 1,
      anon_sym_RBRACK,
    STATE(18634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26363), 1,
      anon_sym_RBRACE,
    STATE(18635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11682), 1,
      anon_sym_GT,
    STATE(18636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26365), 1,
      anon_sym_with,
    STATE(18637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26367), 1,
      anon_sym_with,
    STATE(18638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26369), 1,
      anon_sym_DASH_GT,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26371), 1,
      anon_sym_RBRACE,
    STATE(18640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26373), 1,
      anon_sym_RPAREN,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26375), 1,
      anon_sym_DOT,
    STATE(18642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26377), 1,
      sym__lowercase_identifier,
    STATE(18643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26379), 1,
      anon_sym_RBRACE,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26381), 1,
      anon_sym_DOT,
    STATE(18645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26383), 1,
      anon_sym_RPAREN,
    STATE(18646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26385), 1,
      anon_sym_RPAREN,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26387), 1,
      anon_sym_RPAREN,
    STATE(18648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26389), 1,
      anon_sym_in,
    STATE(18649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26391), 1,
      sym__lowercase_identifier,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26393), 1,
      anon_sym_RPAREN,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26395), 1,
      sym__lowercase_identifier,
    STATE(18652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26397), 1,
      anon_sym_RPAREN,
    STATE(18653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26399), 1,
      anon_sym_RPAREN,
    STATE(18654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26401), 1,
      anon_sym_RPAREN,
    STATE(18655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26401), 1,
      anon_sym_RBRACK,
    STATE(18656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26401), 1,
      anon_sym_RBRACE,
    STATE(18657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26403), 1,
      anon_sym_RPAREN,
    STATE(18658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26405), 1,
      anon_sym_RBRACK,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26407), 1,
      anon_sym_RBRACE,
    STATE(18660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26409), 1,
      anon_sym_DASH_GT,
    STATE(18661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26411), 1,
      anon_sym_RPAREN,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26413), 1,
      anon_sym_STAR,
    STATE(18663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26415), 1,
      anon_sym_RPAREN,
    STATE(18664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26417), 1,
      anon_sym_RPAREN,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26419), 1,
      anon_sym_RPAREN,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24551), 1,
      anon_sym_RBRACE,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    STATE(18668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26421), 1,
      anon_sym_RBRACK,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26423), 1,
      anon_sym_LT_DASH,
    STATE(18670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26425), 1,
      anon_sym_RBRACK,
    STATE(18671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26427), 1,
      anon_sym_RBRACE,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24555), 1,
      anon_sym_RBRACE,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26429), 1,
      anon_sym_DASH_GT,
    STATE(18674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26431), 1,
      anon_sym_DOT,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9028), 1,
      anon_sym_DASH_GT,
    STATE(18676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26433), 1,
      anon_sym_RBRACE,
    STATE(18677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26435), 1,
      anon_sym_RBRACE,
    STATE(18678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26437), 1,
      anon_sym_DASH_GT,
    STATE(18679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10427), 1,
      anon_sym_COMMA,
    STATE(18680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26439), 1,
      anon_sym_LT_DASH,
    STATE(18681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26441), 1,
      anon_sym_end,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26443), 1,
      anon_sym_RPAREN,
    STATE(18683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26445), 1,
      anon_sym_with,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26447), 1,
      anon_sym_with,
    STATE(18685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26449), 1,
      anon_sym_DOT,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26451), 1,
      anon_sym_RBRACK,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26453), 1,
      anon_sym_RBRACE,
    STATE(18688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26455), 1,
      anon_sym_in,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26457), 1,
      anon_sym_in,
    STATE(18690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26459), 1,
      anon_sym_in,
    STATE(18691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26461), 1,
      anon_sym_GT,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26463), 1,
      anon_sym_with,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26465), 1,
      anon_sym_with,
    STATE(18694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26467), 1,
      anon_sym_RPAREN,
    STATE(18695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26469), 1,
      anon_sym_RBRACE,
    STATE(18696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26471), 1,
      anon_sym_DASH_GT,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26473), 1,
      anon_sym_DOT,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26475), 1,
      anon_sym_RPAREN,
    STATE(18699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26477), 1,
      anon_sym_RPAREN,
    STATE(18700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26479), 1,
      sym__lowercase_identifier,
    STATE(18701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26481), 1,
      anon_sym_RPAREN,
    STATE(18702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26483), 1,
      anon_sym_in,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26485), 1,
      anon_sym_RPAREN,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20425), 1,
      anon_sym_end,
    STATE(18705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26487), 1,
      anon_sym_RPAREN,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26489), 1,
      anon_sym_RBRACE,
    STATE(18707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3107), 1,
      anon_sym_RPAREN,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26491), 1,
      anon_sym_DASH_GT,
    STATE(18709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26493), 1,
      anon_sym_RPAREN,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26495), 1,
      anon_sym_RPAREN,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26495), 1,
      anon_sym_RBRACK,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26495), 1,
      anon_sym_RBRACE,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26497), 1,
      anon_sym_RPAREN,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26499), 1,
      anon_sym_RPAREN,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26501), 1,
      anon_sym_RPAREN,
    STATE(18716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26503), 1,
      anon_sym_RPAREN,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26505), 1,
      anon_sym_in,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26507), 1,
      anon_sym_RPAREN,
    STATE(18719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26509), 1,
      anon_sym_RPAREN,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26511), 1,
      anon_sym_RBRACK,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26513), 1,
      anon_sym_RBRACE,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26507), 1,
      anon_sym_RBRACK,
    STATE(18723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26515), 1,
      anon_sym_SQUOTE2,
    STATE(18724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26507), 1,
      anon_sym_RBRACE,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26517), 1,
      anon_sym_EQ,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26519), 1,
      anon_sym_RPAREN,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26521), 1,
      anon_sym_DQUOTE,
    STATE(18728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26523), 1,
      anon_sym_DASH_GT,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26525), 1,
      anon_sym_DOT,
    STATE(18730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26527), 1,
      anon_sym_RPAREN,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26529), 1,
      anon_sym_DASH_GT,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26531), 1,
      anon_sym_RBRACE,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26533), 1,
      anon_sym_in,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26535), 1,
      anon_sym_RPAREN,
    STATE(18735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26537), 1,
      anon_sym_DASH_GT,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26539), 1,
      anon_sym_RBRACE,
    STATE(18737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26541), 1,
      anon_sym_RBRACE,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26543), 1,
      anon_sym_with,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26545), 1,
      anon_sym_with,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26547), 1,
      anon_sym_DOT,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26549), 1,
      anon_sym_in,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26551), 1,
      anon_sym_RPAREN,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26553), 1,
      anon_sym_RPAREN,
    STATE(18744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26555), 1,
      anon_sym_RPAREN,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26557), 1,
      anon_sym_DOT,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26559), 1,
      anon_sym_RBRACK,
    STATE(18747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26561), 1,
      anon_sym_with,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26563), 1,
      anon_sym_with,
    STATE(18749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26565), 1,
      anon_sym_RBRACE,
    STATE(18750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26567), 1,
      anon_sym_RPAREN,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26569), 1,
      anon_sym_RPAREN,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26571), 1,
      anon_sym_DOT,
    STATE(18753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21235), 1,
      anon_sym_GT_RBRACE,
    STATE(18754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26573), 1,
      anon_sym_STAR,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26575), 1,
      anon_sym_RPAREN,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26577), 1,
      anon_sym_in,
    STATE(18757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26579), 1,
      anon_sym_RPAREN,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26581), 1,
      anon_sym_RPAREN,
    STATE(18759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_DASH_GT,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26583), 1,
      anon_sym_RBRACK,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26585), 1,
      anon_sym_RPAREN,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26587), 1,
      anon_sym_RBRACK,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26589), 1,
      anon_sym_RBRACE,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26591), 1,
      anon_sym_RPAREN,
    STATE(18765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26593), 1,
      anon_sym_RPAREN,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26593), 1,
      anon_sym_RBRACK,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26593), 1,
      anon_sym_RBRACE,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26595), 1,
      anon_sym_RPAREN,
    STATE(18769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26597), 1,
      anon_sym_RPAREN,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26599), 1,
      anon_sym_RPAREN,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20867), 1,
      anon_sym_end,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26601), 1,
      anon_sym_SQUOTE2,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26603), 1,
      anon_sym_DASH_GT,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26605), 1,
      anon_sym_RPAREN,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26607), 1,
      anon_sym_DQUOTE,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15705), 1,
      anon_sym_DASH_GT,
    STATE(18777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26609), 1,
      anon_sym_RBRACE,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26611), 1,
      sym__lowercase_identifier,
    STATE(18779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26613), 1,
      anon_sym_DQUOTE,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24689), 1,
      anon_sym_RBRACE,
    STATE(18781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26615), 1,
      anon_sym_RBRACE,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26617), 1,
      anon_sym_RPAREN,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26619), 1,
      anon_sym_RBRACK,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26621), 1,
      anon_sym_DOT,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19131), 1,
      anon_sym_DASH_GT,
    STATE(18786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26623), 1,
      anon_sym_RBRACE,
    STATE(18787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12172), 1,
      anon_sym_DASH_GT,
    STATE(18788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26625), 1,
      anon_sym_RBRACK,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23516), 1,
      anon_sym_GT_RBRACE,
    STATE(18790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21833), 1,
      anon_sym_GT_RBRACE,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20350), 1,
      anon_sym_end,
    STATE(18792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26627), 1,
      anon_sym_RBRACE,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26629), 1,
      anon_sym_with,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26631), 1,
      anon_sym_with,
    STATE(18795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26633), 1,
      anon_sym_DOT,
    STATE(18796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18401), 1,
      anon_sym_GT,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26635), 1,
      anon_sym_RPAREN,
    STATE(18798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26637), 1,
      anon_sym_SQUOTE2,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26639), 1,
      anon_sym_DASH_GT,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26641), 1,
      anon_sym_DQUOTE,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26643), 1,
      anon_sym_DASH_GT,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26645), 1,
      anon_sym_with,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26647), 1,
      anon_sym_with,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18494), 1,
      anon_sym_GT,
    STATE(18805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26649), 1,
      anon_sym_RBRACE,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26651), 1,
      anon_sym_RPAREN,
    STATE(18807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26653), 1,
      anon_sym_DOT,
    STATE(18808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26655), 1,
      anon_sym_EQ,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26657), 1,
      sym__lowercase_identifier,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26659), 1,
      anon_sym_RPAREN,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26661), 1,
      anon_sym_RBRACK,
    STATE(18812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26663), 1,
      anon_sym_RBRACE,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26665), 1,
      anon_sym_RPAREN,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10745), 1,
      anon_sym_COMMA,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26667), 1,
      anon_sym_RPAREN,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5599), 1,
      anon_sym_end,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26669), 1,
      anon_sym_end,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26671), 1,
      aux_sym_number_token1,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26673), 1,
      anon_sym_RPAREN,
    STATE(18820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26675), 1,
      anon_sym_RPAREN,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26675), 1,
      anon_sym_RBRACK,
    STATE(18822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26675), 1,
      anon_sym_RBRACE,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26677), 1,
      anon_sym_RPAREN,
    STATE(18824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26679), 1,
      anon_sym_end,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26681), 1,
      anon_sym_RBRACK,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11648), 1,
      anon_sym_GT,
    STATE(18827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26683), 1,
      anon_sym_RPAREN,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26685), 1,
      anon_sym_RBRACE,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26687), 1,
      anon_sym_RPAREN,
    STATE(18830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26689), 1,
      anon_sym_RBRACE,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26691), 1,
      anon_sym_RBRACE,
    STATE(18832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26693), 1,
      anon_sym_RBRACK,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26695), 1,
      anon_sym_RPAREN,
    STATE(18834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26697), 1,
      anon_sym_with,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26699), 1,
      anon_sym_RBRACE,
    STATE(18836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26701), 1,
      anon_sym_in,
    STATE(18837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11788), 1,
      anon_sym_GT,
    STATE(18838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4813), 1,
      anon_sym_end,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26703), 1,
      anon_sym_DOT,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26705), 1,
      anon_sym_RPAREN,
    STATE(18841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24685), 1,
      anon_sym_RBRACE,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26707), 1,
      aux_sym_number_token1,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26709), 1,
      anon_sym_RPAREN,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26711), 1,
      anon_sym_DASH_GT,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18522), 1,
      anon_sym_GT,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26713), 1,
      anon_sym_DASH_GT,
    STATE(18847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26715), 1,
      anon_sym_in,
    STATE(18848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26717), 1,
      anon_sym_with,
    STATE(18849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26719), 1,
      anon_sym_with,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26721), 1,
      anon_sym_DOT,
    STATE(18851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26723), 1,
      anon_sym_DASH_GT,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24707), 1,
      anon_sym_RBRACE,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26725), 1,
      anon_sym_in,
    STATE(18854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26727), 1,
      anon_sym_RPAREN,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26729), 1,
      anon_sym_RBRACK,
    STATE(18856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26731), 1,
      anon_sym_RBRACE,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26733), 1,
      anon_sym_with,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26735), 1,
      anon_sym_with,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26737), 1,
      sym__lowercase_identifier,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26739), 1,
      anon_sym_RPAREN,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26741), 1,
      anon_sym_DOT,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26743), 1,
      anon_sym_DOT,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26745), 1,
      anon_sym_RPAREN,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26747), 1,
      anon_sym_in,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26749), 1,
      anon_sym_in,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26751), 1,
      anon_sym_in,
    STATE(18867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20544), 1,
      anon_sym_end,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26753), 1,
      anon_sym_RPAREN,
    STATE(18869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26755), 1,
      anon_sym_DASH_GT,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26757), 1,
      anon_sym_DASH_GT,
    STATE(18871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9032), 1,
      anon_sym_DASH_GT,
    STATE(18872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_COMMA,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26759), 1,
      anon_sym_LT_DASH,
    STATE(18874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26761), 1,
      anon_sym_RPAREN,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26763), 1,
      anon_sym_RPAREN,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26763), 1,
      anon_sym_RBRACK,
    STATE(18877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26763), 1,
      anon_sym_RBRACE,
    STATE(18878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26765), 1,
      anon_sym_RPAREN,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26767), 1,
      anon_sym_RPAREN,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26769), 1,
      anon_sym_RPAREN,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26771), 1,
      anon_sym_DASH_GT,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26773), 1,
      anon_sym_RPAREN,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26775), 1,
      anon_sym_DASH_GT,
    STATE(18884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26777), 1,
      anon_sym_RBRACK,
    STATE(18885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26779), 1,
      anon_sym_RBRACE,
    STATE(18886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26781), 1,
      anon_sym_RPAREN,
    STATE(18887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26783), 1,
      anon_sym_in,
    STATE(18888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24733), 1,
      anon_sym_RBRACE,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26785), 1,
      anon_sym_in,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15471), 1,
      anon_sym_COMMA,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26787), 1,
      anon_sym_end,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26789), 1,
      anon_sym_RBRACK,
    STATE(18893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26791), 1,
      anon_sym_RBRACE,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26793), 1,
      anon_sym_DOT,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26795), 1,
      anon_sym_in,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26797), 1,
      anon_sym_in,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26799), 1,
      anon_sym_LT_DASH,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26801), 1,
      anon_sym_RPAREN,
    STATE(18899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26803), 1,
      anon_sym_in,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26805), 1,
      anon_sym_in,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26807), 1,
      anon_sym_RPAREN,
    STATE(18902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16742), 1,
      anon_sym_COMMA,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26809), 1,
      anon_sym_with,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26811), 1,
      anon_sym_with,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26813), 1,
      anon_sym_DOT,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26815), 1,
      anon_sym_RPAREN,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    STATE(18908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26817), 1,
      anon_sym_LT_DASH,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26819), 1,
      anon_sym_RPAREN,
    STATE(18910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26821), 1,
      anon_sym_LT_DASH,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26823), 1,
      anon_sym_in,
    STATE(18912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26825), 1,
      anon_sym_with,
    STATE(18913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26827), 1,
      anon_sym_with,
    STATE(18914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26829), 1,
      anon_sym_RPAREN,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26831), 1,
      anon_sym_DASH_GT,
    STATE(18916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26833), 1,
      anon_sym_RBRACK,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26835), 1,
      anon_sym_DOT,
    STATE(18918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26837), 1,
      anon_sym_RBRACE,
    STATE(18919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26839), 1,
      anon_sym_RPAREN,
    STATE(18920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26841), 1,
      anon_sym_STAR,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26843), 1,
      anon_sym_DOT,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26845), 1,
      anon_sym_RBRACE,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26847), 1,
      anon_sym_RPAREN,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26849), 1,
      anon_sym_RPAREN,
    STATE(18925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26851), 1,
      anon_sym_GT,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26853), 1,
      anon_sym_in,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26855), 1,
      anon_sym_RPAREN,
    STATE(18928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26857), 1,
      anon_sym_RBRACK,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26859), 1,
      anon_sym_RPAREN,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26861), 1,
      anon_sym_RPAREN,
    STATE(18931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26861), 1,
      anon_sym_RBRACK,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26861), 1,
      anon_sym_RBRACE,
    STATE(18933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26863), 1,
      anon_sym_RBRACE,
    STATE(18934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26865), 1,
      anon_sym_RBRACE,
    STATE(18935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26867), 1,
      anon_sym_in,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21865), 1,
      anon_sym_GT_RBRACE,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26869), 1,
      anon_sym_in,
    STATE(18938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26871), 1,
      anon_sym_RPAREN,
    STATE(18939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26873), 1,
      anon_sym_in,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20707), 1,
      anon_sym_end,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26875), 1,
      anon_sym_SQUOTE2,
    STATE(18942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3097), 1,
      anon_sym_RPAREN,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26877), 1,
      anon_sym_RPAREN,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26879), 1,
      anon_sym_RPAREN,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26881), 1,
      anon_sym_DQUOTE,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26883), 1,
      anon_sym_DOT,
    STATE(18947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26885), 1,
      anon_sym_in,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26887), 1,
      sym__lowercase_identifier,
    STATE(18949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26889), 1,
      anon_sym_DOT,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26891), 1,
      anon_sym_RPAREN,
    STATE(18951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3125), 1,
      anon_sym_RPAREN,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26893), 1,
      anon_sym_RBRACK,
    STATE(18953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26895), 1,
      anon_sym_with,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26897), 1,
      anon_sym_RBRACK,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26899), 1,
      anon_sym_in,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26901), 1,
      anon_sym_RBRACE,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26903), 1,
      anon_sym_RBRACE,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26905), 1,
      anon_sym_with,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26907), 1,
      anon_sym_with,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26909), 1,
      anon_sym_DOT,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11860), 1,
      anon_sym_GT,
    STATE(18962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26911), 1,
      anon_sym_RPAREN,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12221), 1,
      anon_sym_DASH_GT,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26913), 1,
      anon_sym_RBRACE,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26915), 1,
      anon_sym_DOT,
    STATE(18966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26917), 1,
      anon_sym_RBRACE,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26919), 1,
      anon_sym_with,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26921), 1,
      anon_sym_with,
    STATE(18969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26923), 1,
      anon_sym_in,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26925), 1,
      anon_sym_DASH_GT,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26927), 1,
      anon_sym_SQUOTE2,
    STATE(18972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26929), 1,
      anon_sym_DOT,
    STATE(18973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26931), 1,
      anon_sym_DQUOTE,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26933), 1,
      anon_sym_RBRACK,
    STATE(18975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26935), 1,
      anon_sym_SQUOTE2,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26937), 1,
      anon_sym_RPAREN,
    STATE(18977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4995), 1,
      anon_sym_end,
    STATE(18978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26939), 1,
      anon_sym_RPAREN,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26941), 1,
      anon_sym_RPAREN,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26943), 1,
      anon_sym_DOT,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26945), 1,
      aux_sym_number_token1,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26947), 1,
      anon_sym_RPAREN,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26949), 1,
      anon_sym_RBRACE,
    STATE(18984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26951), 1,
      anon_sym_RPAREN,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26953), 1,
      anon_sym_RPAREN,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26953), 1,
      anon_sym_RBRACK,
    STATE(18987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26953), 1,
      anon_sym_RBRACE,
    STATE(18988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26955), 1,
      anon_sym_DASH_GT,
    STATE(18989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26957), 1,
      anon_sym_in,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26959), 1,
      anon_sym_in,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26961), 1,
      anon_sym_DASH_GT,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26963), 1,
      anon_sym_in,
    STATE(18993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26965), 1,
      anon_sym_DOT,
    STATE(18994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26967), 1,
      anon_sym_in,
    STATE(18995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18490), 1,
      anon_sym_GT,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26969), 1,
      anon_sym_RPAREN,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26971), 1,
      anon_sym_RBRACK,
    STATE(18998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26973), 1,
      anon_sym_RPAREN,
    STATE(18999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26975), 1,
      anon_sym_RBRACE,
    STATE(19000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26977), 1,
      anon_sym_DASH_GT,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26979), 1,
      anon_sym_DQUOTE,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26981), 1,
      sym__lowercase_identifier,
    STATE(19004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26983), 1,
      anon_sym_DOT,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26985), 1,
      anon_sym_RPAREN,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26987), 1,
      anon_sym_end,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26989), 1,
      anon_sym_DASH_GT,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26991), 1,
      anon_sym_RPAREN,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26993), 1,
      anon_sym_RBRACK,
    STATE(19010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26995), 1,
      anon_sym_RBRACE,
    STATE(19011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26997), 1,
      anon_sym_RPAREN,
    STATE(19012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    STATE(19013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26999), 1,
      anon_sym_with,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27001), 1,
      anon_sym_with,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27003), 1,
      anon_sym_DOT,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27005), 1,
      anon_sym_GT,
    STATE(19017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27007), 1,
      anon_sym_RPAREN,
    STATE(19019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27009), 1,
      anon_sym_with,
    STATE(19020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27011), 1,
      anon_sym_RBRACE,
    STATE(19021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27013), 1,
      anon_sym_in,
    STATE(19022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27015), 1,
      anon_sym_with,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27017), 1,
      anon_sym_with,
    STATE(19024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27019), 1,
      anon_sym_with,
    STATE(19025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27021), 1,
      anon_sym_in,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27023), 1,
      anon_sym_DOT,
    STATE(19027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27025), 1,
      anon_sym_DOT,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27027), 1,
      anon_sym_RBRACE,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27029), 1,
      anon_sym_RPAREN,
    STATE(19030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27031), 1,
      anon_sym_RBRACK,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27033), 1,
      anon_sym_RPAREN,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27035), 1,
      anon_sym_RPAREN,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27037), 1,
      anon_sym_RPAREN,
    STATE(19034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27039), 1,
      anon_sym_DASH_GT,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27041), 1,
      anon_sym_in,
    STATE(19036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27043), 1,
      sym__lowercase_identifier,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27045), 1,
      anon_sym_RBRACE,
    STATE(19038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27047), 1,
      anon_sym_RBRACE,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27049), 1,
      anon_sym_RPAREN,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27051), 1,
      anon_sym_RPAREN,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27051), 1,
      anon_sym_RBRACK,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27051), 1,
      anon_sym_RBRACE,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27053), 1,
      anon_sym_RPAREN,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27055), 1,
      anon_sym_RPAREN,
    STATE(19045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27057), 1,
      anon_sym_RBRACK,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27059), 1,
      anon_sym_RBRACE,
    STATE(19047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27061), 1,
      anon_sym_in,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27063), 1,
      anon_sym_RPAREN,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27065), 1,
      anon_sym_RBRACE,
    STATE(19050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27067), 1,
      anon_sym_RPAREN,
    STATE(19051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27069), 1,
      anon_sym_RPAREN,
    STATE(19052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27071), 1,
      anon_sym_EQ,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27073), 1,
      anon_sym_in,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27075), 1,
      anon_sym_RPAREN,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27077), 1,
      anon_sym_with,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27079), 1,
      anon_sym_RPAREN,
    STATE(19057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27081), 1,
      sym__lowercase_identifier,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27083), 1,
      anon_sym_with,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27085), 1,
      anon_sym_DOT,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27087), 1,
      anon_sym_RPAREN,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27089), 1,
      anon_sym_RPAREN,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27091), 1,
      anon_sym_RPAREN,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27093), 1,
      anon_sym_RPAREN,
    STATE(19064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27095), 1,
      anon_sym_RPAREN,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18806), 1,
      anon_sym_DASH_GT,
    STATE(19066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27097), 1,
      anon_sym_RPAREN,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27099), 1,
      anon_sym_RPAREN,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27101), 1,
      anon_sym_with,
    STATE(19069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27103), 1,
      anon_sym_with,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27105), 1,
      anon_sym_DOT,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27107), 1,
      anon_sym_RBRACK,
    STATE(19072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27109), 1,
      anon_sym_RBRACK,
    STATE(19073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27111), 1,
      anon_sym_RBRACE,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27113), 1,
      anon_sym_RPAREN,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27115), 1,
      anon_sym_RBRACK,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4949), 1,
      anon_sym_end,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27117), 1,
      anon_sym_with,
    STATE(19078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27119), 1,
      anon_sym_with,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27121), 1,
      aux_sym_number_token1,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27123), 1,
      anon_sym_LT_DASH,
    STATE(19082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27125), 1,
      anon_sym_DOT,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27127), 1,
      anon_sym_RBRACE,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27129), 1,
      anon_sym_DOT,
    STATE(19085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27131), 1,
      anon_sym_RBRACK,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27133), 1,
      anon_sym_RPAREN,
    STATE(19087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27135), 1,
      anon_sym_RPAREN,
    STATE(19088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27137), 1,
      anon_sym_RPAREN,
    STATE(19089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27139), 1,
      anon_sym_in,
    STATE(19090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27141), 1,
      anon_sym_RPAREN,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27143), 1,
      anon_sym_RPAREN,
    STATE(19092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27145), 1,
      anon_sym_in,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27147), 1,
      anon_sym_in,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27149), 1,
      anon_sym_RPAREN,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27151), 1,
      anon_sym_RPAREN,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27151), 1,
      anon_sym_RBRACK,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27151), 1,
      anon_sym_RBRACE,
    STATE(19098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27153), 1,
      anon_sym_RPAREN,
    STATE(19099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3163), 1,
      anon_sym_RPAREN,
    STATE(19100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27155), 1,
      anon_sym_with,
    STATE(19101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27157), 1,
      anon_sym_in,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27159), 1,
      anon_sym_RBRACE,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27161), 1,
      anon_sym_RBRACE,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27163), 1,
      anon_sym_RBRACE,
    STATE(19105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27165), 1,
      anon_sym_RBRACE,
    STATE(19106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21322), 1,
      anon_sym_GT_RBRACE,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27167), 1,
      anon_sym_DOT,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2061), 1,
      anon_sym_COLON_COLON,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27169), 1,
      anon_sym_in,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27171), 1,
      anon_sym_in,
    STATE(19111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27173), 1,
      anon_sym_SQUOTE2,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27175), 1,
      anon_sym_with,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27177), 1,
      anon_sym_with,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27179), 1,
      anon_sym_DOT,
    STATE(19115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27181), 1,
      anon_sym_DASH_GT,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27183), 1,
      anon_sym_RBRACK,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27185), 1,
      anon_sym_RBRACE,
    STATE(19118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27187), 1,
      anon_sym_DQUOTE,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27189), 1,
      anon_sym_in,
    STATE(19120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27191), 1,
      anon_sym_with,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27193), 1,
      anon_sym_with,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27195), 1,
      anon_sym_RBRACE,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27197), 1,
      anon_sym_DASH_GT,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27199), 1,
      anon_sym_in,
    STATE(19125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27201), 1,
      anon_sym_DOT,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27203), 1,
      anon_sym_RPAREN,
    STATE(19127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27205), 1,
      anon_sym_RPAREN,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27207), 1,
      anon_sym_in,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18608), 1,
      anon_sym_COMMA,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27209), 1,
      anon_sym_RPAREN,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27211), 1,
      anon_sym_RBRACE,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27213), 1,
      anon_sym_with,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27215), 1,
      anon_sym_RPAREN,
    STATE(19134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_DASH_GT,
    STATE(19135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4925), 1,
      anon_sym_end,
    STATE(19136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27217), 1,
      anon_sym_RPAREN,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27219), 1,
      anon_sym_RPAREN,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27219), 1,
      anon_sym_RBRACK,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27219), 1,
      anon_sym_RBRACE,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27221), 1,
      aux_sym_number_token1,
    STATE(19141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20954), 1,
      anon_sym_end,
    STATE(19142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27223), 1,
      anon_sym_SQUOTE2,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21940), 1,
      anon_sym_GT_RBRACE,
    STATE(19144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27225), 1,
      anon_sym_in,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27227), 1,
      anon_sym_in,
    STATE(19146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27229), 1,
      anon_sym_in,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5563), 1,
      anon_sym_COMMA,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27231), 1,
      anon_sym_DOT,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27233), 1,
      anon_sym_DOT,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18544), 1,
      anon_sym_COMMA,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27235), 1,
      anon_sym_RPAREN,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27237), 1,
      anon_sym_DASH_GT,
    STATE(19153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27239), 1,
      anon_sym_with,
    STATE(19154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27241), 1,
      anon_sym_with,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27243), 1,
      anon_sym_DOT,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27245), 1,
      anon_sym_in,
    STATE(19157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27247), 1,
      anon_sym_DQUOTE,
    STATE(19158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27249), 1,
      anon_sym_RBRACE,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27251), 1,
      anon_sym_RPAREN,
    STATE(19160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27253), 1,
      anon_sym_DASH_GT,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27255), 1,
      anon_sym_with,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27257), 1,
      anon_sym_with,
    STATE(19163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27259), 1,
      anon_sym_RPAREN,
    STATE(19164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27261), 1,
      anon_sym_RPAREN,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27263), 1,
      anon_sym_in,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27265), 1,
      anon_sym_DOT,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27267), 1,
      anon_sym_RPAREN,
    STATE(19168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27269), 1,
      anon_sym_RPAREN,
    STATE(19169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27251), 1,
      anon_sym_RBRACK,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18482), 1,
      anon_sym_GT,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27271), 1,
      anon_sym_RPAREN,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27273), 1,
      anon_sym_DASH_GT,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27275), 1,
      anon_sym_RPAREN,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27277), 1,
      sym__lowercase_identifier,
    STATE(19175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3115), 1,
      anon_sym_RPAREN,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3113), 1,
      anon_sym_RPAREN,
    STATE(19177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27279), 1,
      anon_sym_RPAREN,
    STATE(19178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27281), 1,
      anon_sym_RPAREN,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27281), 1,
      anon_sym_RBRACK,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27281), 1,
      anon_sym_RBRACE,
    STATE(19181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27283), 1,
      anon_sym_RBRACE,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27275), 1,
      anon_sym_RBRACK,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27285), 1,
      anon_sym_DASH_GT,
    STATE(19184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27275), 1,
      anon_sym_RBRACE,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27287), 1,
      anon_sym_in,
    STATE(19186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27289), 1,
      anon_sym_RBRACE,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27291), 1,
      anon_sym_DASH_GT,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27293), 1,
      anon_sym_LT_DASH,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27295), 1,
      anon_sym_DOT,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27297), 1,
      anon_sym_DASH_GT,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27299), 1,
      anon_sym_RPAREN,
    STATE(19192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27301), 1,
      anon_sym_RBRACE,
    STATE(19193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27303), 1,
      anon_sym_in,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27305), 1,
      anon_sym_with,
    STATE(19195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27307), 1,
      anon_sym_with,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27309), 1,
      anon_sym_DOT,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16131), 1,
      anon_sym_COMMA,
    STATE(19198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27311), 1,
      anon_sym_LT_DASH,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27313), 1,
      anon_sym_RBRACK,
    STATE(19200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27315), 1,
      anon_sym_DASH_GT,
    STATE(19201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11630), 1,
      anon_sym_GT,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27317), 1,
      anon_sym_with,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27319), 1,
      anon_sym_with,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27251), 1,
      anon_sym_RBRACE,
    STATE(19205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27321), 1,
      anon_sym_DASH_GT,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27323), 1,
      anon_sym_RPAREN,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27325), 1,
      anon_sym_DOT,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27327), 1,
      anon_sym_RPAREN,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27329), 1,
      anon_sym_RPAREN,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27331), 1,
      anon_sym_DOT,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27333), 1,
      anon_sym_RBRACK,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27335), 1,
      anon_sym_RPAREN,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27337), 1,
      anon_sym_RBRACE,
    STATE(19214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27339), 1,
      anon_sym_RPAREN,
    STATE(19215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      anon_sym_RPAREN,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27341), 1,
      anon_sym_DASH_GT,
    STATE(19217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27343), 1,
      anon_sym_RBRACK,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27345), 1,
      anon_sym_RPAREN,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27347), 1,
      anon_sym_RPAREN,
    STATE(19220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27347), 1,
      anon_sym_RBRACK,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27347), 1,
      anon_sym_RBRACE,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27349), 1,
      anon_sym_RBRACE,
    STATE(19223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27351), 1,
      anon_sym_RBRACK,
    STATE(19224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27353), 1,
      anon_sym_RBRACE,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27355), 1,
      anon_sym_DASH_GT,
    STATE(19226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27357), 1,
      anon_sym_RPAREN,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27359), 1,
      anon_sym_in,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27361), 1,
      anon_sym_in,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27363), 1,
      anon_sym_in,
    STATE(19230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27365), 1,
      anon_sym_DOT,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22433), 1,
      anon_sym_GT_RBRACE,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27367), 1,
      anon_sym_RPAREN,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27369), 1,
      anon_sym_in,
    STATE(19234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27371), 1,
      anon_sym_RPAREN,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27373), 1,
      anon_sym_with,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27375), 1,
      anon_sym_with,
    STATE(19237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27377), 1,
      anon_sym_DOT,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27379), 1,
      anon_sym_RPAREN,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27381), 1,
      anon_sym_RBRACE,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27383), 1,
      anon_sym_in,
    STATE(19241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    STATE(19242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27385), 1,
      anon_sym_RBRACE,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27387), 1,
      anon_sym_with,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27389), 1,
      anon_sym_with,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27391), 1,
      anon_sym_DASH_GT,
    STATE(19246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27393), 1,
      anon_sym_SQUOTE2,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27395), 1,
      anon_sym_RBRACE,
    STATE(19248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27397), 1,
      anon_sym_DOT,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27399), 1,
      sym__lowercase_identifier,
    STATE(19250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20670), 1,
      anon_sym_end,
    STATE(19251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27401), 1,
      anon_sym_DOT,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13655), 1,
      anon_sym_DASH_GT,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27403), 1,
      anon_sym_RPAREN,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27405), 1,
      anon_sym_DQUOTE,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10407), 1,
      anon_sym_COMMA,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22006), 1,
      anon_sym_GT_RBRACE,
    STATE(19257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27407), 1,
      anon_sym_RBRACE,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27409), 1,
      anon_sym_LT_DASH,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27411), 1,
      anon_sym_RPAREN,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27413), 1,
      anon_sym_RPAREN,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27413), 1,
      anon_sym_RBRACK,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27413), 1,
      anon_sym_RBRACE,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20759), 1,
      anon_sym_end,
    STATE(19264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22634), 1,
      anon_sym_GT_RBRACE,
    STATE(19265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27415), 1,
      anon_sym_RPAREN,
    STATE(19266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27417), 1,
      anon_sym_RPAREN,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27419), 1,
      anon_sym_SQUOTE2,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22012), 1,
      anon_sym_GT_RBRACE,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27421), 1,
      sym__right_quoted_string_delimiter,
    STATE(19270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20777), 1,
      anon_sym_end,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27423), 1,
      anon_sym_DOT,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27425), 1,
      anon_sym_RBRACK,
    STATE(19273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27427), 1,
      anon_sym_SQUOTE2,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27429), 1,
      anon_sym_DQUOTE,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27431), 1,
      anon_sym_RBRACE,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27433), 1,
      anon_sym_with,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27435), 1,
      anon_sym_with,
    STATE(19278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27437), 1,
      anon_sym_DOT,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27439), 1,
      anon_sym_DQUOTE,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27441), 1,
      sym__lowercase_identifier,
    STATE(19281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18510), 1,
      anon_sym_GT,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27443), 1,
      anon_sym_RPAREN,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27445), 1,
      anon_sym_end,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27447), 1,
      anon_sym_with,
    STATE(19285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27449), 1,
      anon_sym_with,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27451), 1,
      anon_sym_RBRACE,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27453), 1,
      anon_sym_in,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27455), 1,
      anon_sym_RBRACK,
    STATE(19289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27457), 1,
      anon_sym_DOT,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27459), 1,
      anon_sym_in,
    STATE(19291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27461), 1,
      anon_sym_in,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20244), 1,
      anon_sym_end,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27463), 1,
      anon_sym_RBRACE,
    STATE(19294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27465), 1,
      anon_sym_RPAREN,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11426), 1,
      anon_sym_GT,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27467), 1,
      anon_sym_RBRACK,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27469), 1,
      anon_sym_RPAREN,
    STATE(19298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27471), 1,
      anon_sym_RBRACE,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27473), 1,
      anon_sym_SQUOTE2,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27475), 1,
      anon_sym_RPAREN,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27477), 1,
      anon_sym_RPAREN,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27477), 1,
      anon_sym_RBRACK,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27477), 1,
      anon_sym_RBRACE,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27479), 1,
      sym__lowercase_identifier,
    STATE(19305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27481), 1,
      anon_sym_RBRACE,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27483), 1,
      anon_sym_RPAREN,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27485), 1,
      anon_sym_SQUOTE2,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27487), 1,
      anon_sym_SQUOTE2,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27489), 1,
      anon_sym_DQUOTE,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27491), 1,
      anon_sym_RBRACE,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27493), 1,
      anon_sym_DOT,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3127), 1,
      anon_sym_RPAREN,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27495), 1,
      anon_sym_DQUOTE,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27497), 1,
      anon_sym_RPAREN,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27499), 1,
      anon_sym_DQUOTE,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27501), 1,
      anon_sym_with,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27503), 1,
      anon_sym_with,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27505), 1,
      anon_sym_DOT,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27507), 1,
      anon_sym_DASH_GT,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27509), 1,
      anon_sym_RPAREN,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27511), 1,
      anon_sym_DASH_GT,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27513), 1,
      anon_sym_RPAREN,
    STATE(19324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23544), 1,
      anon_sym_GT_RBRACE,
    STATE(19325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27515), 1,
      anon_sym_with,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27517), 1,
      anon_sym_with,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27519), 1,
      anon_sym_in,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11852), 1,
      anon_sym_GT,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27521), 1,
      anon_sym_RBRACK,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27523), 1,
      anon_sym_DOT,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27525), 1,
      anon_sym_DASH_GT,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26359), 1,
      anon_sym_RBRACK,
    STATE(19333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20837), 1,
      anon_sym_end,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27527), 1,
      anon_sym_DASH_GT,
    STATE(19335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27529), 1,
      anon_sym_RPAREN,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27531), 1,
      anon_sym_RBRACE,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27533), 1,
      anon_sym_RPAREN,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27535), 1,
      sym__lowercase_identifier,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27537), 1,
      anon_sym_RBRACE,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27539), 1,
      anon_sym_RPAREN,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27541), 1,
      anon_sym_RPAREN,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27543), 1,
      anon_sym_RPAREN,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27543), 1,
      anon_sym_RBRACK,
    STATE(19344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27543), 1,
      anon_sym_RBRACE,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27545), 1,
      anon_sym_end,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3095), 1,
      anon_sym_RPAREN,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27547), 1,
      anon_sym_RBRACE,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18355), 1,
      anon_sym_GT,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27549), 1,
      anon_sym_RBRACE,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18419), 1,
      anon_sym_GT,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27551), 1,
      anon_sym_SQUOTE2,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27553), 1,
      anon_sym_DQUOTE,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27555), 1,
      anon_sym_DOT,
    STATE(19354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27557), 1,
      sym__lowercase_identifier,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27559), 1,
      anon_sym_GT,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27561), 1,
      anon_sym_RPAREN,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25535), 1,
      anon_sym_RPAREN,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27563), 1,
      anon_sym_with,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27565), 1,
      anon_sym_with,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27567), 1,
      anon_sym_DOT,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26359), 1,
      anon_sym_RBRACE,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27569), 1,
      anon_sym_RBRACE,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2055), 1,
      anon_sym_RPAREN,
    STATE(19364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27571), 1,
      anon_sym_RPAREN,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16646), 1,
      anon_sym_COMMA,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27573), 1,
      anon_sym_with,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27575), 1,
      anon_sym_with,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27577), 1,
      anon_sym_LT_DASH,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27579), 1,
      anon_sym_DASH_GT,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27581), 1,
      anon_sym_in,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27583), 1,
      anon_sym_DOT,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27585), 1,
      anon_sym_RPAREN,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27587), 1,
      anon_sym_RBRACK,
    STATE(19374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22474), 1,
      anon_sym_GT_RBRACE,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27589), 1,
      anon_sym_RPAREN,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27591), 1,
      anon_sym_RPAREN,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20310), 1,
      anon_sym_end,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20686), 1,
      anon_sym_end,
    STATE(19379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27593), 1,
      anon_sym_DASH_GT,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27595), 1,
      anon_sym_RPAREN,
    STATE(19381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27597), 1,
      anon_sym_RBRACK,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27599), 1,
      anon_sym_RPAREN,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27601), 1,
      anon_sym_RPAREN,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27601), 1,
      anon_sym_RBRACK,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27601), 1,
      anon_sym_RBRACE,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27603), 1,
      anon_sym_RBRACE,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27605), 1,
      sym__lowercase_identifier,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27607), 1,
      anon_sym_RBRACK,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27609), 1,
      anon_sym_SQUOTE2,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27611), 1,
      anon_sym_RBRACE,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27613), 1,
      anon_sym_RPAREN,
    STATE(19392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27615), 1,
      anon_sym_RPAREN,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27617), 1,
      anon_sym_STAR,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27619), 1,
      anon_sym_DOT,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27621), 1,
      anon_sym_with,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27623), 1,
      anon_sym_RPAREN,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27625), 1,
      anon_sym_DQUOTE,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16007), 1,
      anon_sym_COMMA,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27627), 1,
      anon_sym_with,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27629), 1,
      anon_sym_with,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27631), 1,
      anon_sym_DOT,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3155), 1,
      anon_sym_RPAREN,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27633), 1,
      anon_sym_RBRACE,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27635), 1,
      anon_sym_SQUOTE2,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27637), 1,
      anon_sym_DQUOTE,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27639), 1,
      anon_sym_RBRACE,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27641), 1,
      anon_sym_with,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27643), 1,
      anon_sym_with,
    STATE(19409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27645), 1,
      anon_sym_RPAREN,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27647), 1,
      anon_sym_RPAREN,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27649), 1,
      anon_sym_RBRACK,
    STATE(19412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27651), 1,
      anon_sym_DOT,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27653), 1,
      anon_sym_LT_DASH,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27655), 1,
      anon_sym_DASH_GT,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27657), 1,
      anon_sym_DASH_GT,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27659), 1,
      anon_sym_RBRACE,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27661), 1,
      anon_sym_RPAREN,
    STATE(19418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27663), 1,
      anon_sym_RPAREN,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27665), 1,
      anon_sym_with,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22085), 1,
      anon_sym_GT_RBRACE,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27667), 1,
      sym__lowercase_identifier,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27669), 1,
      anon_sym_RPAREN,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27671), 1,
      anon_sym_RPAREN,
    STATE(19424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27673), 1,
      anon_sym_RPAREN,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27673), 1,
      anon_sym_RBRACK,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27673), 1,
      anon_sym_RBRACE,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20771), 1,
      anon_sym_end,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27675), 1,
      anon_sym_RPAREN,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27677), 1,
      anon_sym_RBRACE,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11570), 1,
      anon_sym_GT,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27679), 1,
      anon_sym_RPAREN,
    STATE(19432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27681), 1,
      anon_sym_RPAREN,
    STATE(19433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27683), 1,
      anon_sym_RPAREN,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27685), 1,
      anon_sym_DOT,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27687), 1,
      anon_sym_DOT,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27689), 1,
      anon_sym_RBRACE,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27691), 1,
      anon_sym_SQUOTE2,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20126), 1,
      anon_sym_end,
    STATE(19439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27693), 1,
      anon_sym_RPAREN,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27695), 1,
      anon_sym_with,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27697), 1,
      anon_sym_with,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27699), 1,
      anon_sym_DOT,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27701), 1,
      anon_sym_DQUOTE,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27703), 1,
      anon_sym_RBRACE,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27705), 1,
      anon_sym_DOT,
    STATE(19446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27707), 1,
      anon_sym_RBRACK,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27709), 1,
      sym__lowercase_identifier,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27711), 1,
      anon_sym_with,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27713), 1,
      anon_sym_with,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27715), 1,
      anon_sym_end,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27717), 1,
      anon_sym_RPAREN,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27719), 1,
      anon_sym_RPAREN,
    STATE(19453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27721), 1,
      anon_sym_DOT,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27723), 1,
      anon_sym_DOT,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27725), 1,
      anon_sym_RBRACK,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27727), 1,
      anon_sym_DOT,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27729), 1,
      anon_sym_DASH_GT,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27731), 1,
      anon_sym_RPAREN,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27733), 1,
      anon_sym_RBRACE,
    STATE(19460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27735), 1,
      anon_sym_RBRACE,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27737), 1,
      anon_sym_RPAREN,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27739), 1,
      anon_sym_end,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27741), 1,
      anon_sym_RPAREN,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27743), 1,
      anon_sym_RPAREN,
    STATE(19466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27743), 1,
      anon_sym_RBRACK,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27743), 1,
      anon_sym_RBRACE,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27745), 1,
      anon_sym_RBRACE,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27747), 1,
      anon_sym_SQUOTE2,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27749), 1,
      anon_sym_DQUOTE,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27751), 1,
      anon_sym_in,
    STATE(19472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27753), 1,
      anon_sym_RBRACE,
    STATE(19473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27755), 1,
      anon_sym_DASH_GT,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27757), 1,
      anon_sym_in,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27759), 1,
      anon_sym_in,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27761), 1,
      anon_sym_DOT,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27763), 1,
      anon_sym_DASH_GT,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27765), 1,
      anon_sym_RPAREN,
    STATE(19479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27767), 1,
      anon_sym_RPAREN,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27769), 1,
      anon_sym_end,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27771), 1,
      anon_sym_with,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27773), 1,
      anon_sym_with,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27775), 1,
      anon_sym_DOT,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11886), 1,
      anon_sym_GT,
    STATE(19485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27777), 1,
      anon_sym_with,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27779), 1,
      anon_sym_RPAREN,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27781), 1,
      anon_sym_RPAREN,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27783), 1,
      anon_sym_SQUOTE2,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27785), 1,
      anon_sym_with,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27787), 1,
      anon_sym_with,
    STATE(19491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27789), 1,
      anon_sym_GT,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27791), 1,
      anon_sym_RPAREN,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3149), 1,
      anon_sym_RPAREN,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27793), 1,
      anon_sym_DOT,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27795), 1,
      anon_sym_with,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27797), 1,
      anon_sym_DOT,
    STATE(19497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27799), 1,
      anon_sym_RBRACE,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27801), 1,
      anon_sym_RBRACK,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27803), 1,
      anon_sym_RPAREN,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27805), 1,
      anon_sym_in,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17198), 1,
      anon_sym_SQUOTE2,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27807), 1,
      anon_sym_DASH_GT,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27809), 1,
      anon_sym_RBRACE,
    STATE(19504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27811), 1,
      anon_sym_RPAREN,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27813), 1,
      anon_sym_RPAREN,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27815), 1,
      anon_sym_RPAREN,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27815), 1,
      anon_sym_RBRACK,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27815), 1,
      anon_sym_RBRACE,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3105), 1,
      anon_sym_RPAREN,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27817), 1,
      anon_sym_RBRACE,
    STATE(19511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27819), 1,
      anon_sym_SQUOTE2,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16596), 1,
      anon_sym_COMMA,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18379), 1,
      anon_sym_GT,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27821), 1,
      anon_sym_RPAREN,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27823), 1,
      anon_sym_DQUOTE,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27825), 1,
      anon_sym_RBRACE,
    STATE(19517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27827), 1,
      anon_sym_DOT,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27829), 1,
      anon_sym_in,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27831), 1,
      anon_sym_RBRACE,
    STATE(19520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27833), 1,
      anon_sym_SQUOTE2,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27835), 1,
      anon_sym_in,
    STATE(19522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27837), 1,
      anon_sym_with,
    STATE(19523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27839), 1,
      anon_sym_with,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27841), 1,
      anon_sym_DOT,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27843), 1,
      anon_sym_RPAREN,
    STATE(19526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27845), 1,
      anon_sym_RPAREN,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5529), 1,
      anon_sym_RPAREN,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27847), 1,
      anon_sym_with,
    STATE(19529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27849), 1,
      anon_sym_RPAREN,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27851), 1,
      anon_sym_with,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27853), 1,
      anon_sym_with,
    STATE(19532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14132), 1,
      anon_sym_COMMA,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27855), 1,
      anon_sym_with,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16071), 1,
      anon_sym_COMMA,
    STATE(19535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27857), 1,
      anon_sym_DOT,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27859), 1,
      anon_sym_RBRACE,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27861), 1,
      anon_sym_RBRACK,
    STATE(19538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27863), 1,
      anon_sym_RBRACE,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27865), 1,
      anon_sym_LT_DASH,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27867), 1,
      anon_sym_RPAREN,
    STATE(19541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27869), 1,
      anon_sym_DOT,
    STATE(19542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27871), 1,
      anon_sym_end,
    STATE(19543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27873), 1,
      anon_sym_RBRACK,
    STATE(19544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27875), 1,
      anon_sym_RBRACE,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27877), 1,
      anon_sym_RPAREN,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27879), 1,
      anon_sym_RPAREN,
    STATE(19547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27881), 1,
      anon_sym_RPAREN,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27881), 1,
      anon_sym_RBRACK,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27881), 1,
      anon_sym_RBRACE,
    STATE(19550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_RPAREN,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27883), 1,
      anon_sym_RBRACE,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27885), 1,
      anon_sym_SQUOTE2,
    STATE(19553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27887), 1,
      anon_sym_DQUOTE,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23891), 1,
      anon_sym_RPAREN,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27889), 1,
      anon_sym_RBRACE,
    STATE(19556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11750), 1,
      anon_sym_GT,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27891), 1,
      anon_sym_DOT,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5429), 1,
      anon_sym_RPAREN,
    STATE(19559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27893), 1,
      anon_sym_RBRACK,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27895), 1,
      anon_sym_RBRACE,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27897), 1,
      anon_sym_RBRACE,
    STATE(19562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27899), 1,
      anon_sym_with,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27901), 1,
      anon_sym_with,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27903), 1,
      anon_sym_DOT,
    STATE(19565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27905), 1,
      anon_sym_in,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27907), 1,
      anon_sym_in,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27909), 1,
      anon_sym_in,
    STATE(19568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27911), 1,
      anon_sym_RPAREN,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27913), 1,
      anon_sym_RPAREN,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27915), 1,
      anon_sym_with,
    STATE(19571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27917), 1,
      anon_sym_with,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27919), 1,
      anon_sym_RPAREN,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    STATE(19574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27921), 1,
      anon_sym_RPAREN,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27923), 1,
      anon_sym_DOT,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27925), 1,
      anon_sym_DASH_GT,
    STATE(19577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27927), 1,
      anon_sym_RBRACK,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27929), 1,
      anon_sym_DASH_GT,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27931), 1,
      anon_sym_RPAREN,
    STATE(19580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27933), 1,
      anon_sym_RPAREN,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27935), 1,
      anon_sym_in,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27937), 1,
      anon_sym_DASH_GT,
    STATE(19583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27939), 1,
      anon_sym_DASH_GT,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27941), 1,
      anon_sym_RPAREN,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27943), 1,
      anon_sym_DASH_GT,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27945), 1,
      anon_sym_RPAREN,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27947), 1,
      anon_sym_RPAREN,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27947), 1,
      anon_sym_RBRACK,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27947), 1,
      anon_sym_RBRACE,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27949), 1,
      anon_sym_RBRACE,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27951), 1,
      anon_sym_RBRACK,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27953), 1,
      anon_sym_RBRACE,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27955), 1,
      anon_sym_RPAREN,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27957), 1,
      sym__lowercase_identifier,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27959), 1,
      anon_sym_DOT,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27961), 1,
      anon_sym_LT_DASH,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27963), 1,
      anon_sym_RBRACE,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27965), 1,
      anon_sym_RPAREN,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27967), 1,
      anon_sym_RPAREN,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27969), 1,
      anon_sym_with,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27971), 1,
      anon_sym_with,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27973), 1,
      anon_sym_DOT,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27975), 1,
      anon_sym_DASH_GT,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22178), 1,
      anon_sym_GT_RBRACE,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27977), 1,
      anon_sym_SQUOTE2,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27979), 1,
      anon_sym_DQUOTE,
    STATE(19608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20841), 1,
      anon_sym_end,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27981), 1,
      anon_sym_with,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27983), 1,
      anon_sym_with,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27985), 1,
      anon_sym_SQUOTE2,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27987), 1,
      anon_sym_DQUOTE,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27989), 1,
      anon_sym_RBRACE,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27991), 1,
      anon_sym_DOT,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27993), 1,
      anon_sym_DASH_GT,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27995), 1,
      anon_sym_end,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27997), 1,
      anon_sym_RBRACE,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(27999), 1,
      anon_sym_RBRACK,
    STATE(19619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28001), 1,
      anon_sym_RPAREN,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28003), 1,
      sym__lowercase_identifier,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28005), 1,
      anon_sym_DASH_GT,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28007), 1,
      anon_sym_end,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28009), 1,
      anon_sym_RBRACE,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28011), 1,
      anon_sym_RPAREN,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28013), 1,
      anon_sym_RPAREN,
    STATE(19626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28015), 1,
      anon_sym_RPAREN,
    STATE(19627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28015), 1,
      anon_sym_RBRACK,
    STATE(19628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28015), 1,
      anon_sym_RBRACE,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28017), 1,
      anon_sym_RPAREN,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28019), 1,
      anon_sym_RPAREN,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28021), 1,
      anon_sym_RPAREN,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28019), 1,
      anon_sym_RBRACK,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28023), 1,
      anon_sym_DQUOTE,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11522), 1,
      anon_sym_GT,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28025), 1,
      anon_sym_DOT,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28019), 1,
      anon_sym_RBRACE,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28027), 1,
      anon_sym_DASH_GT,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28029), 1,
      anon_sym_RBRACE,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28031), 1,
      anon_sym_DASH_GT,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28033), 1,
      anon_sym_with,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28035), 1,
      anon_sym_with,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28037), 1,
      anon_sym_DOT,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28039), 1,
      anon_sym_RBRACK,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28041), 1,
      anon_sym_DASH_GT,
    STATE(19645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28043), 1,
      anon_sym_RBRACE,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28045), 1,
      anon_sym_RPAREN,
    STATE(19647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3153), 1,
      anon_sym_RPAREN,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28047), 1,
      anon_sym_with,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28049), 1,
      anon_sym_with,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28051), 1,
      anon_sym_EQ,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28053), 1,
      anon_sym_RBRACE,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28055), 1,
      anon_sym_SQUOTE2,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28057), 1,
      anon_sym_DOT,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21340), 1,
      anon_sym_GT_RBRACE,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10145), 1,
      anon_sym_RPAREN,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20439), 1,
      anon_sym_end,
    STATE(19657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28059), 1,
      anon_sym_DQUOTE,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28061), 1,
      anon_sym_RPAREN,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28063), 1,
      anon_sym_DASH_GT,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28065), 1,
      anon_sym_SQUOTE2,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28067), 1,
      anon_sym_DASH_GT,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28069), 1,
      anon_sym_RBRACE,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28071), 1,
      anon_sym_COMMA,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28073), 1,
      anon_sym_RPAREN,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28075), 1,
      anon_sym_DQUOTE,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26083), 1,
      anon_sym_RBRACK,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(26083), 1,
      anon_sym_RBRACE,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28077), 1,
      anon_sym_RPAREN,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28079), 1,
      anon_sym_RBRACK,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28081), 1,
      anon_sym_RPAREN,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28083), 1,
      anon_sym_with,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28085), 1,
      sym__lowercase_identifier,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28087), 1,
      anon_sym_DASH_GT,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28089), 1,
      anon_sym_DOT,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28091), 1,
      anon_sym_RBRACE,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28093), 1,
      anon_sym_RPAREN,
    STATE(19677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28095), 1,
      anon_sym_RPAREN,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28097), 1,
      anon_sym_RPAREN,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28099), 1,
      anon_sym_with,
    STATE(19680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28101), 1,
      anon_sym_with,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28103), 1,
      anon_sym_DOT,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14742), 1,
      anon_sym_end,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28105), 1,
      anon_sym_end,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28107), 1,
      anon_sym_RPAREN,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28109), 1,
      anon_sym_DASH_GT,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28111), 1,
      anon_sym_RBRACK,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28113), 1,
      anon_sym_with,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28115), 1,
      anon_sym_with,
    STATE(19689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28117), 1,
      anon_sym_RBRACK,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28119), 1,
      anon_sym_RBRACE,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28121), 1,
      anon_sym_GT,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28123), 1,
      anon_sym_DOT,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28125), 1,
      anon_sym_in,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28127), 1,
      anon_sym_in,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11746), 1,
      anon_sym_GT,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28129), 1,
      anon_sym_RPAREN,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28131), 1,
      anon_sym_RPAREN,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28133), 1,
      anon_sym_RBRACE,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28135), 1,
      anon_sym_in,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28137), 1,
      anon_sym_RBRACE,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28139), 1,
      anon_sym_RPAREN,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3167), 1,
      anon_sym_RPAREN,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28141), 1,
      anon_sym_RPAREN,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28143), 1,
      anon_sym_RPAREN,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28143), 1,
      anon_sym_RBRACK,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28143), 1,
      anon_sym_RBRACE,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28145), 1,
      anon_sym_RPAREN,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28147), 1,
      anon_sym_RBRACE,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28149), 1,
      anon_sym_SQUOTE2,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28151), 1,
      anon_sym_DQUOTE,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28153), 1,
      anon_sym_DASH_GT,
    STATE(19712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28155), 1,
      anon_sym_RPAREN,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28157), 1,
      anon_sym_DOT,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28159), 1,
      anon_sym_RPAREN,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28161), 1,
      anon_sym_RPAREN,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28163), 1,
      anon_sym_RBRACE,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28165), 1,
      anon_sym_RPAREN,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28167), 1,
      anon_sym_with,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28169), 1,
      anon_sym_with,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28171), 1,
      anon_sym_DOT,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28173), 1,
      anon_sym_RPAREN,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28175), 1,
      anon_sym_RBRACK,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28177), 1,
      anon_sym_RBRACE,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28179), 1,
      anon_sym_RPAREN,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28181), 1,
      anon_sym_in,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28183), 1,
      anon_sym_with,
    STATE(19727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28185), 1,
      anon_sym_with,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28187), 1,
      anon_sym_RPAREN,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28189), 1,
      anon_sym_RPAREN,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5407), 1,
      anon_sym_end,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28191), 1,
      anon_sym_DOT,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28193), 1,
      anon_sym_RPAREN,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28195), 1,
      aux_sym_number_token1,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28197), 1,
      anon_sym_DASH_GT,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28199), 1,
      anon_sym_RPAREN,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28201), 1,
      anon_sym_RPAREN,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28203), 1,
      anon_sym_in,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28205), 1,
      anon_sym_in,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28207), 1,
      anon_sym_DASH_GT,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28209), 1,
      anon_sym_in,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28211), 1,
      anon_sym_RPAREN,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28213), 1,
      anon_sym_RPAREN,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28213), 1,
      anon_sym_RBRACK,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28213), 1,
      anon_sym_RBRACE,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28215), 1,
      anon_sym_RPAREN,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28217), 1,
      sym__lowercase_identifier,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28219), 1,
      aux_sym_number_token1,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28221), 1,
      anon_sym_RPAREN,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28223), 1,
      anon_sym_RPAREN,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28225), 1,
      anon_sym_DOT,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28227), 1,
      anon_sym_RPAREN,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28229), 1,
      anon_sym_RBRACK,
    STATE(19754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28231), 1,
      anon_sym_RBRACE,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28233), 1,
      anon_sym_RPAREN,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28235), 1,
      anon_sym_with,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28237), 1,
      anon_sym_with,
    STATE(19758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28239), 1,
      anon_sym_DOT,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28241), 1,
      anon_sym_RBRACK,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28243), 1,
      anon_sym_RBRACE,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28245), 1,
      anon_sym_RPAREN,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28247), 1,
      anon_sym_RBRACE,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28249), 1,
      anon_sym_RPAREN,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28251), 1,
      anon_sym_with,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28253), 1,
      anon_sym_with,
    STATE(19766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28255), 1,
      anon_sym_STAR,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28257), 1,
      anon_sym_RPAREN,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28259), 1,
      anon_sym_DOT,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28261), 1,
      anon_sym_GT,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5429), 1,
      anon_sym_end,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28263), 1,
      anon_sym_DASH_GT,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28265), 1,
      anon_sym_RBRACE,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28267), 1,
      anon_sym_RPAREN,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28269), 1,
      anon_sym_SQUOTE2,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28271), 1,
      anon_sym_RPAREN,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28273), 1,
      anon_sym_RPAREN,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28275), 1,
      anon_sym_RBRACK,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28277), 1,
      anon_sym_RPAREN,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28279), 1,
      anon_sym_RPAREN,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28279), 1,
      anon_sym_RBRACK,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28279), 1,
      anon_sym_RBRACE,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28281), 1,
      anon_sym_DQUOTE,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28283), 1,
      anon_sym_RBRACE,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28285), 1,
      anon_sym_RPAREN,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28287), 1,
      anon_sym_RPAREN,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21926), 1,
      anon_sym_GT_RBRACE,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28289), 1,
      anon_sym_DOT,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28291), 1,
      anon_sym_DASH_GT,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28293), 1,
      anon_sym_LT_DASH,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28295), 1,
      anon_sym_RPAREN,
    STATE(19793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28297), 1,
      anon_sym_RPAREN,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28299), 1,
      anon_sym_with,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28301), 1,
      anon_sym_with,
    STATE(19796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28303), 1,
      anon_sym_DOT,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28305), 1,
      anon_sym_DASH_GT,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28307), 1,
      anon_sym_RPAREN,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28309), 1,
      anon_sym_RBRACK,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28311), 1,
      anon_sym_RBRACE,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28313), 1,
      anon_sym_RPAREN,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28315), 1,
      anon_sym_with,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28317), 1,
      anon_sym_with,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28319), 1,
      anon_sym_RPAREN,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3103), 1,
      anon_sym_RPAREN,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28321), 1,
      anon_sym_end,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28323), 1,
      anon_sym_DOT,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28325), 1,
      anon_sym_RBRACK,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28327), 1,
      anon_sym_DOT,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28329), 1,
      anon_sym_RBRACE,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28331), 1,
      anon_sym_RPAREN,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28333), 1,
      anon_sym_RBRACE,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28335), 1,
      anon_sym_SQUOTE2,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28337), 1,
      anon_sym_DQUOTE,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      anon_sym_GT,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28339), 1,
      anon_sym_RPAREN,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28341), 1,
      anon_sym_RPAREN,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28341), 1,
      anon_sym_RBRACK,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28341), 1,
      anon_sym_RBRACE,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28343), 1,
      anon_sym_RPAREN,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28345), 1,
      anon_sym_RBRACE,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28347), 1,
      anon_sym_RPAREN,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28349), 1,
      anon_sym_RPAREN,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28351), 1,
      anon_sym_RBRACK,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28353), 1,
      anon_sym_DOT,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28355), 1,
      anon_sym_GT,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28357), 1,
      anon_sym_RBRACE,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28359), 1,
      anon_sym_RPAREN,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25295), 1,
      anon_sym_RBRACE,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28361), 1,
      anon_sym_with,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28363), 1,
      anon_sym_with,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28365), 1,
      anon_sym_DOT,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28367), 1,
      anon_sym_RPAREN,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25303), 1,
      anon_sym_RBRACE,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28369), 1,
      anon_sym_DOT,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28371), 1,
      anon_sym_RPAREN,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28373), 1,
      anon_sym_GT,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28375), 1,
      anon_sym_with,
    STATE(19841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28377), 1,
      anon_sym_with,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28379), 1,
      anon_sym_RPAREN,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16099), 1,
      anon_sym_COMMA,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28381), 1,
      anon_sym_LT_DASH,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28383), 1,
      anon_sym_DOT,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28385), 1,
      anon_sym_DOT,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28387), 1,
      anon_sym_RPAREN,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28389), 1,
      aux_sym_number_token1,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28391), 1,
      anon_sym_RBRACE,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28393), 1,
      anon_sym_RPAREN,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28395), 1,
      sym__uppercase_identifier,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28397), 1,
      anon_sym_RBRACE,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28399), 1,
      anon_sym_RBRACK,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28401), 1,
      anon_sym_RBRACE,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28403), 1,
      anon_sym_RPAREN,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28405), 1,
      anon_sym_RPAREN,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28405), 1,
      anon_sym_RBRACK,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28405), 1,
      anon_sym_RBRACE,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28407), 1,
      anon_sym_RPAREN,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28409), 1,
      anon_sym_DQUOTE,
    STATE(19861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28411), 1,
      anon_sym_RBRACE,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28413), 1,
      anon_sym_in,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28415), 1,
      anon_sym_RBRACK,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11442), 1,
      anon_sym_DASH_GT,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28417), 1,
      anon_sym_DOT,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28419), 1,
      anon_sym_DASH_GT,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28421), 1,
      anon_sym_RBRACK,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28423), 1,
      anon_sym_RBRACE,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28425), 1,
      anon_sym_with,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28427), 1,
      anon_sym_with,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28429), 1,
      anon_sym_DOT,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28431), 1,
      anon_sym_in,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28433), 1,
      anon_sym_with,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28435), 1,
      anon_sym_with,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28437), 1,
      anon_sym_DOT,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28439), 1,
      anon_sym_with,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28441), 1,
      anon_sym_RPAREN,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28443), 1,
      anon_sym_DASH_GT,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28445), 1,
      anon_sym_RPAREN,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28447), 1,
      anon_sym_in,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28449), 1,
      anon_sym_RPAREN,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28451), 1,
      anon_sym_RPAREN,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28451), 1,
      anon_sym_RBRACK,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28451), 1,
      anon_sym_RBRACE,
    STATE(19885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28453), 1,
      anon_sym_in,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28455), 1,
      anon_sym_RBRACE,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28457), 1,
      anon_sym_RPAREN,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28459), 1,
      anon_sym_in,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28461), 1,
      anon_sym_RPAREN,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28463), 1,
      anon_sym_with,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28465), 1,
      anon_sym_RPAREN,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28467), 1,
      anon_sym_RPAREN,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28469), 1,
      anon_sym_with,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28471), 1,
      anon_sym_with,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28473), 1,
      anon_sym_DOT,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28475), 1,
      anon_sym_RBRACE,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28477), 1,
      anon_sym_with,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28479), 1,
      anon_sym_with,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28481), 1,
      anon_sym_DOT,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28483), 1,
      anon_sym_DASH_GT,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28485), 1,
      anon_sym_RPAREN,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28487), 1,
      anon_sym_RPAREN,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28489), 1,
      anon_sym_DASH_GT,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28491), 1,
      anon_sym_RPAREN,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28493), 1,
      anon_sym_RPAREN,
    STATE(19906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28493), 1,
      anon_sym_RBRACK,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28493), 1,
      anon_sym_RBRACE,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28495), 1,
      anon_sym_in,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28497), 1,
      anon_sym_end,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28499), 1,
      anon_sym_RBRACK,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28501), 1,
      anon_sym_RBRACE,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28503), 1,
      anon_sym_RBRACE,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28505), 1,
      anon_sym_RPAREN,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28507), 1,
      anon_sym_RPAREN,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17182), 1,
      anon_sym_DASH_GT,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28509), 1,
      anon_sym_DASH_GT,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28511), 1,
      anon_sym_RBRACE,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28513), 1,
      anon_sym_RPAREN,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28513), 1,
      anon_sym_RBRACK,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28513), 1,
      anon_sym_RBRACE,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28515), 1,
      anon_sym_RBRACK,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28517), 1,
      anon_sym_RBRACE,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28519), 1,
      anon_sym_RBRACE,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28521), 1,
      anon_sym_RBRACE,
    STATE(19925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28523), 1,
      anon_sym_DASH_GT,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28525), 1,
      anon_sym_RBRACE,
    STATE(19927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28527), 1,
      anon_sym_LT_DASH,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28529), 1,
      anon_sym_RPAREN,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28531), 1,
      anon_sym_with,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28533), 1,
      anon_sym_RPAREN,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28533), 1,
      anon_sym_RBRACK,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28533), 1,
      anon_sym_RBRACE,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28535), 1,
      anon_sym_RBRACK,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28537), 1,
      anon_sym_RBRACK,
    STATE(19935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28539), 1,
      anon_sym_RBRACE,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28541), 1,
      anon_sym_with,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28543), 1,
      anon_sym_RBRACE,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28545), 1,
      anon_sym_RPAREN,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28547), 1,
      anon_sym_RPAREN,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28549), 1,
      anon_sym_RPAREN,
    STATE(19941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28549), 1,
      anon_sym_RBRACK,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28549), 1,
      anon_sym_RBRACE,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28551), 1,
      anon_sym_RBRACE,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28553), 1,
      anon_sym_RBRACE,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28555), 1,
      anon_sym_DOT,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28557), 1,
      anon_sym_RBRACK,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28559), 1,
      anon_sym_RPAREN,
    STATE(19948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28561), 1,
      anon_sym_RPAREN,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28563), 1,
      anon_sym_RPAREN,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28565), 1,
      anon_sym_RPAREN,
    STATE(19951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28565), 1,
      anon_sym_RBRACK,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28565), 1,
      anon_sym_RBRACE,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23687), 1,
      anon_sym_RBRACK,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28567), 1,
      anon_sym_RBRACK,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28569), 1,
      anon_sym_RBRACE,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28571), 1,
      anon_sym_RBRACE,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28573), 1,
      anon_sym_DASH_GT,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28575), 1,
      anon_sym_RPAREN,
    STATE(19959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28577), 1,
      anon_sym_DASH_GT,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28579), 1,
      anon_sym_RPAREN,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28579), 1,
      anon_sym_RBRACK,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28579), 1,
      anon_sym_RBRACE,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28581), 1,
      anon_sym_RBRACE,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28583), 1,
      anon_sym_RBRACE,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28585), 1,
      anon_sym_RBRACE,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28587), 1,
      anon_sym_in,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28589), 1,
      anon_sym_RPAREN,
    STATE(19968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28591), 1,
      anon_sym_EQ,
    STATE(19969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28593), 1,
      anon_sym_RPAREN,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28595), 1,
      anon_sym_RPAREN,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28595), 1,
      anon_sym_RBRACK,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28595), 1,
      anon_sym_RBRACE,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28597), 1,
      anon_sym_RBRACK,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28599), 1,
      anon_sym_RBRACE,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28601), 1,
      anon_sym_RBRACE,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28603), 1,
      anon_sym_RPAREN,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28593), 1,
      anon_sym_RBRACK,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28605), 1,
      anon_sym_PIPE,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28607), 1,
      anon_sym_DASH_GT,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28609), 1,
      anon_sym_RPAREN,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28609), 1,
      anon_sym_RBRACK,
    STATE(19982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28609), 1,
      anon_sym_RBRACE,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28611), 1,
      anon_sym_GT,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28613), 1,
      anon_sym_RBRACK,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22340), 1,
      anon_sym_GT_RBRACE,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28593), 1,
      anon_sym_RBRACE,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28615), 1,
      anon_sym_RPAREN,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28617), 1,
      anon_sym_RPAREN,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28617), 1,
      anon_sym_RBRACK,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28619), 1,
      anon_sym_RPAREN,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28619), 1,
      anon_sym_RBRACK,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28619), 1,
      anon_sym_RBRACE,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28621), 1,
      anon_sym_RBRACE,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28623), 1,
      anon_sym_RBRACE,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28625), 1,
      anon_sym_in,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28617), 1,
      anon_sym_RBRACE,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28627), 1,
      anon_sym_DASH_GT,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28629), 1,
      anon_sym_DASH_GT,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28631), 1,
      anon_sym_DASH_GT,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28633), 1,
      anon_sym_RPAREN,
    STATE(20001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28633), 1,
      anon_sym_RBRACK,
    STATE(20002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28633), 1,
      anon_sym_RBRACE,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28635), 1,
      anon_sym_RBRACK,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28637), 1,
      anon_sym_RBRACE,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20887), 1,
      anon_sym_end,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28639), 1,
      anon_sym_RBRACE,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28641), 1,
      anon_sym_type,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28643), 1,
      anon_sym_DQUOTE,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28645), 1,
      anon_sym_DASH_GT,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28647), 1,
      anon_sym_RPAREN,
    STATE(20011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28647), 1,
      anon_sym_RBRACK,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28647), 1,
      anon_sym_RBRACE,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28649), 1,
      anon_sym_RBRACE,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28651), 1,
      anon_sym_RPAREN,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28653), 1,
      anon_sym_SQUOTE2,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28655), 1,
      anon_sym_RPAREN,
    STATE(20017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28657), 1,
      anon_sym_RPAREN,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28659), 1,
      anon_sym_RBRACK,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28661), 1,
      anon_sym_RBRACE,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28663), 1,
      anon_sym_RPAREN,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28663), 1,
      anon_sym_RBRACK,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28663), 1,
      anon_sym_RBRACE,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28665), 1,
      anon_sym_RBRACK,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28667), 1,
      anon_sym_RBRACE,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28669), 1,
      anon_sym_DQUOTE,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28671), 1,
      anon_sym_RPAREN,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28673), 1,
      anon_sym_in,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18290), 1,
      sym__uppercase_identifier,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28675), 1,
      anon_sym_DASH_GT,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28677), 1,
      anon_sym_RPAREN,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28677), 1,
      anon_sym_RBRACK,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28677), 1,
      anon_sym_RBRACE,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28679), 1,
      anon_sym_RBRACE,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28681), 1,
      anon_sym_DASH_GT,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28683), 1,
      anon_sym_RPAREN,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28685), 1,
      anon_sym_RBRACK,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28687), 1,
      anon_sym_RBRACE,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28689), 1,
      sym__lowercase_identifier,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28691), 1,
      anon_sym_RBRACE,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28693), 1,
      anon_sym_RPAREN,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21410), 1,
      anon_sym_GT_RBRACE,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28695), 1,
      anon_sym_RBRACK,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28697), 1,
      anon_sym_RBRACE,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28699), 1,
      anon_sym_SQUOTE2,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28701), 1,
      anon_sym_RBRACE,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28703), 1,
      anon_sym_STAR,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20470), 1,
      anon_sym_end,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28705), 1,
      anon_sym_RBRACK,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28707), 1,
      anon_sym_RBRACE,
    STATE(20050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28709), 1,
      anon_sym_DASH_GT,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28711), 1,
      anon_sym_RBRACE,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28713), 1,
      anon_sym_DASH_GT,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28715), 1,
      anon_sym_SQUOTE2,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28717), 1,
      anon_sym_RBRACK,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28719), 1,
      anon_sym_RBRACE,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28721), 1,
      anon_sym_RPAREN,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28723), 1,
      anon_sym_RBRACE,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28725), 1,
      anon_sym_RPAREN,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28727), 1,
      anon_sym_DASH_GT,
    STATE(20060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28729), 1,
      anon_sym_RBRACK,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28731), 1,
      anon_sym_RBRACE,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28733), 1,
      anon_sym_DASH_GT,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28735), 1,
      anon_sym_RBRACE,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28737), 1,
      anon_sym_RBRACE,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28739), 1,
      anon_sym_RPAREN,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28741), 1,
      anon_sym_RBRACK,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28743), 1,
      anon_sym_RBRACE,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28745), 1,
      anon_sym_DQUOTE,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28747), 1,
      anon_sym_RBRACE,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28749), 1,
      anon_sym_RPAREN,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28751), 1,
      anon_sym_with,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28753), 1,
      anon_sym_RBRACK,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28755), 1,
      anon_sym_RBRACE,
    STATE(20074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28757), 1,
      anon_sym_in,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28759), 1,
      anon_sym_RBRACE,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28761), 1,
      anon_sym_RBRACE,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28763), 1,
      sym__lowercase_identifier,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28765), 1,
      anon_sym_RBRACK,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28767), 1,
      anon_sym_RBRACE,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28769), 1,
      sym__lowercase_identifier,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28771), 1,
      anon_sym_RBRACE,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28773), 1,
      anon_sym_DASH_GT,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28775), 1,
      anon_sym_end,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28777), 1,
      anon_sym_RBRACK,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28779), 1,
      anon_sym_RBRACE,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28781), 1,
      anon_sym_RBRACE,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28783), 1,
      anon_sym_RBRACE,
    STATE(20088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28785), 1,
      anon_sym_end,
    STATE(20089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28787), 1,
      anon_sym_STAR,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28789), 1,
      anon_sym_RBRACK,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28791), 1,
      anon_sym_RBRACE,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28793), 1,
      anon_sym_RBRACK,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28795), 1,
      anon_sym_RBRACE,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28797), 1,
      anon_sym_in,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28799), 1,
      anon_sym_RBRACE,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28801), 1,
      anon_sym_RBRACK,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28803), 1,
      anon_sym_RBRACE,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28805), 1,
      anon_sym_end,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28807), 1,
      anon_sym_RBRACE,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23578), 1,
      anon_sym_GT_RBRACE,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28809), 1,
      anon_sym_DOT,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28811), 1,
      anon_sym_RBRACK,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28813), 1,
      anon_sym_RBRACE,
    STATE(20104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28815), 1,
      anon_sym_RBRACE,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28817), 1,
      anon_sym_RBRACE,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28819), 1,
      anon_sym_PIPE,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28821), 1,
      anon_sym_RPAREN,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28823), 1,
      anon_sym_RPAREN,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11762), 1,
      anon_sym_GT,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28825), 1,
      sym__lowercase_identifier,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28827), 1,
      anon_sym_RPAREN,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28829), 1,
      anon_sym_DASH_GT,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28831), 1,
      anon_sym_RBRACK,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28833), 1,
      anon_sym_RBRACE,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28835), 1,
      anon_sym_RBRACE,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28837), 1,
      anon_sym_RPAREN,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COMMA,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28839), 1,
      sym__lowercase_identifier,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28841), 1,
      anon_sym_RBRACE,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28843), 1,
      anon_sym_in,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28845), 1,
      anon_sym_RBRACK,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11540), 1,
      anon_sym_GT,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28847), 1,
      anon_sym_RBRACE,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28849), 1,
      anon_sym_RBRACE,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28851), 1,
      anon_sym_GT,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25459), 1,
      anon_sym_RBRACK,
    STATE(20127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28853), 1,
      anon_sym_RBRACE,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28855), 1,
      anon_sym_RPAREN,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28857), 1,
      anon_sym_DOT,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28859), 1,
      anon_sym_LT_DASH,
    STATE(20131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28861), 1,
      anon_sym_EQ,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28863), 1,
      anon_sym_RBRACK,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28865), 1,
      anon_sym_RBRACE,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28867), 1,
      anon_sym_DOT,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28869), 1,
      anon_sym_RBRACK,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28871), 1,
      sym__lowercase_identifier,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28873), 1,
      anon_sym_DASH_GT,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28875), 1,
      sym__lowercase_identifier,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28877), 1,
      anon_sym_DASH_GT,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28879), 1,
      sym__lowercase_identifier,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28881), 1,
      anon_sym_STAR,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28883), 1,
      anon_sym_RBRACE,
    STATE(20143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28885), 1,
      anon_sym_RPAREN,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28887), 1,
      anon_sym_RPAREN,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28889), 1,
      anon_sym_in,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28891), 1,
      anon_sym_DOT,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28893), 1,
      anon_sym_RPAREN,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28895), 1,
      anon_sym_DASH_GT,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28897), 1,
      anon_sym_DOT,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28899), 1,
      anon_sym_in,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20142), 1,
      anon_sym_end,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28901), 1,
      anon_sym_in,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28903), 1,
      anon_sym_done,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28905), 1,
      anon_sym_end,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28907), 1,
      anon_sym_SQUOTE2,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28909), 1,
      anon_sym_end,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28911), 1,
      anon_sym_RPAREN,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28913), 1,
      sym__lowercase_identifier,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28915), 1,
      ts_builtin_sym_end,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28917), 1,
      anon_sym_RPAREN,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15600), 1,
      anon_sym_COMMA,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28919), 1,
      anon_sym_GT,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28921), 1,
      anon_sym_RPAREN,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28923), 1,
      anon_sym_with,
    STATE(20165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28925), 1,
      anon_sym_with,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28927), 1,
      anon_sym_with,
    STATE(20168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28929), 1,
      anon_sym_RBRACK,
    STATE(20169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28931), 1,
      anon_sym_RBRACE,
    STATE(20170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28933), 1,
      anon_sym_DASH_GT,
    STATE(20171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28935), 1,
      anon_sym_DOT,
    STATE(20172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28937), 1,
      anon_sym_DOT,
    STATE(20173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28939), 1,
      anon_sym_type,
    STATE(20174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28941), 1,
      anon_sym_end,
    STATE(20175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28943), 1,
      anon_sym_RPAREN,
    STATE(20176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28945), 1,
      anon_sym_RBRACK,
    STATE(20177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28947), 1,
      anon_sym_done,
    STATE(20178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28949), 1,
      anon_sym_GT,
    STATE(20179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28951), 1,
      anon_sym_RBRACE,
    STATE(20180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28953), 1,
      anon_sym_DQUOTE,
    STATE(20181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28955), 1,
      anon_sym_LT_DASH,
    STATE(20182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28957), 1,
      anon_sym_RPAREN,
    STATE(20183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28959), 1,
      anon_sym_in,
    STATE(20184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28961), 1,
      anon_sym_RPAREN,
    STATE(20185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22230), 1,
      anon_sym_GT_RBRACE,
    STATE(20186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28963), 1,
      anon_sym_RPAREN,
    STATE(20187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28965), 1,
      anon_sym_RPAREN,
    STATE(20188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28967), 1,
      anon_sym_DOT_DOT,
    STATE(20189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28969), 1,
      anon_sym_DOT_DOT,
    STATE(20190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28971), 1,
      anon_sym_DOT_DOT,
    STATE(20191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28973), 1,
      anon_sym_RPAREN,
    STATE(20192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28975), 1,
      anon_sym_RPAREN,
    STATE(20193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28977), 1,
      anon_sym_DOT,
    STATE(20194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28979), 1,
      anon_sym_with,
    STATE(20195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28981), 1,
      anon_sym_in,
    STATE(20196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28983), 1,
      anon_sym_with,
    STATE(20197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28985), 1,
      anon_sym_RPAREN,
    STATE(20198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28987), 1,
      anon_sym_RPAREN,
    STATE(20199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28989), 1,
      anon_sym_RBRACK,
    STATE(20200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28991), 1,
      anon_sym_RBRACE,
    STATE(20201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28993), 1,
      anon_sym_RPAREN,
    STATE(20202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28995), 1,
      anon_sym_GT,
    STATE(20203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28997), 1,
      anon_sym_DASH_GT,
    STATE(20204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(28999), 1,
      anon_sym_RBRACK,
    STATE(20205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29001), 1,
      anon_sym_RPAREN,
    STATE(20206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29003), 1,
      anon_sym_RPAREN,
    STATE(20207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29005), 1,
      anon_sym_RBRACE,
    STATE(20208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18620), 1,
      anon_sym_COMMA,
    STATE(20209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29007), 1,
      anon_sym_RPAREN,
    STATE(20210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29009), 1,
      anon_sym_RPAREN,
    STATE(20211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29011), 1,
      anon_sym_DOT,
    STATE(20212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29013), 1,
      anon_sym_RPAREN,
    STATE(20213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29015), 1,
      anon_sym_DOT,
    STATE(20214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29017), 1,
      anon_sym_RBRACK,
    STATE(20215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29019), 1,
      sym__lowercase_identifier,
    STATE(20216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29021), 1,
      anon_sym_DASH_GT,
    STATE(20217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29023), 1,
      anon_sym_RBRACE,
    STATE(20218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5499), 1,
      anon_sym_RPAREN,
    STATE(20219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4939), 1,
      anon_sym_RPAREN,
    STATE(20220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29025), 1,
      anon_sym_RPAREN,
    STATE(20221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29027), 1,
      anon_sym_RPAREN,
    STATE(20222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29029), 1,
      anon_sym_RPAREN,
    STATE(20223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29031), 1,
      anon_sym_RPAREN,
    STATE(20224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29033), 1,
      anon_sym_RPAREN,
    STATE(20225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29035), 1,
      anon_sym_DASH_GT,
    STATE(20226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10579), 1,
      anon_sym_COMMA,
    STATE(20227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29037), 1,
      anon_sym_LT_DASH,
    STATE(20228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18526), 1,
      anon_sym_GT,
    STATE(20229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29039), 1,
      anon_sym_RBRACK,
    STATE(20230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29041), 1,
      anon_sym_RBRACE,
    STATE(20231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29043), 1,
      anon_sym_RPAREN,
    STATE(20232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29045), 1,
      anon_sym_in,
    STATE(20233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29047), 1,
      anon_sym_in,
    STATE(20234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29049), 1,
      anon_sym_in,
    STATE(20235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29051), 1,
      anon_sym_RPAREN,
    STATE(20236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29053), 1,
      anon_sym_RPAREN,
    STATE(20237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
    STATE(20238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29055), 1,
      anon_sym_DASH_GT,
    STATE(20239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29057), 1,
      sym__lowercase_identifier,
    STATE(20240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29059), 1,
      anon_sym_in,
    STATE(20241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11410), 1,
      anon_sym_GT,
    STATE(20242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(2055), 1,
      anon_sym_end,
    STATE(20243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29061), 1,
      anon_sym_RBRACK,
    STATE(20244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29063), 1,
      anon_sym_DASH_GT,
    STATE(20245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29065), 1,
      anon_sym_DASH_GT,
    STATE(20246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29067), 1,
      anon_sym_RBRACE,
    STATE(20247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20021), 1,
      anon_sym_end,
    STATE(20248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29069), 1,
      anon_sym_PIPE,
    STATE(20249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29071), 1,
      anon_sym_RPAREN,
    STATE(20250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29073), 1,
      anon_sym_RPAREN,
    STATE(20251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29075), 1,
      anon_sym_RBRACE,
    STATE(20252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12748), 1,
      anon_sym_DASH_GT,
    STATE(20253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29077), 1,
      anon_sym_RPAREN,
    STATE(20254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24237), 1,
      aux_sym_number_token1,
    STATE(20255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29079), 1,
      sym__lowercase_identifier,
    STATE(20256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29081), 1,
      anon_sym_with,
    STATE(20257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22520), 1,
      anon_sym_GT_RBRACE,
    STATE(20258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29083), 1,
      anon_sym_RPAREN,
    STATE(20259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29085), 1,
      anon_sym_SQUOTE2,
    STATE(20260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25547), 1,
      anon_sym_RBRACK,
    STATE(20261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29087), 1,
      anon_sym_DASH_GT,
    STATE(20262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20938), 1,
      anon_sym_end,
    STATE(20263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29089), 1,
      anon_sym_SQUOTE2,
    STATE(20264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29091), 1,
      anon_sym_DQUOTE,
    STATE(20265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29093), 1,
      sym__lowercase_identifier,
    STATE(20266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29095), 1,
      anon_sym_DQUOTE,
    STATE(20267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29097), 1,
      anon_sym_with,
    STATE(20268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22967), 1,
      anon_sym_GT_RBRACE,
    STATE(20269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29099), 1,
      sym__lowercase_identifier,
    STATE(20270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29101), 1,
      anon_sym_DASH_GT,
    STATE(20271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29103), 1,
      anon_sym_RBRACE,
    STATE(20272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29105), 1,
      anon_sym_DOT,
    STATE(20273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29107), 1,
      anon_sym_RPAREN,
    STATE(20274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29109), 1,
      anon_sym_RPAREN,
    STATE(20275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29111), 1,
      anon_sym_RPAREN,
    STATE(20276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29113), 1,
      anon_sym_RPAREN,
    STATE(20277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29115), 1,
      anon_sym_RPAREN,
    STATE(20278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29117), 1,
      sym__lowercase_identifier,
    STATE(20279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29115), 1,
      anon_sym_RBRACK,
    STATE(20280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18474), 1,
      anon_sym_GT,
    STATE(20281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29119), 1,
      anon_sym_RPAREN,
    STATE(20282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29121), 1,
      anon_sym_DASH_GT,
    STATE(20283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29123), 1,
      sym__lowercase_identifier,
    STATE(20284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29125), 1,
      anon_sym_DOT,
    STATE(20285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29115), 1,
      anon_sym_RBRACE,
    STATE(20286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29127), 1,
      anon_sym_DASH_GT,
    STATE(20287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29129), 1,
      anon_sym_DASH_GT,
    STATE(20288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29131), 1,
      anon_sym_DASH_GT,
    STATE(20289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29133), 1,
      anon_sym_in,
    STATE(20290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29135), 1,
      anon_sym_DASH_GT,
    STATE(20291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29137), 1,
      anon_sym_DASH_GT,
    STATE(20292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29139), 1,
      anon_sym_end,
    STATE(20293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20745), 1,
      anon_sym_end,
    STATE(20294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29141), 1,
      anon_sym_RPAREN,
    STATE(20295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29143), 1,
      anon_sym_in,
    STATE(20296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29145), 1,
      anon_sym_end,
    STATE(20297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29147), 1,
      anon_sym_in,
    STATE(20298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29149), 1,
      anon_sym_DOT_DOT,
    STATE(20299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29151), 1,
      anon_sym_DOT_DOT,
    STATE(20300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29153), 1,
      anon_sym_DOT_DOT,
    STATE(20301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29155), 1,
      anon_sym_SQUOTE2,
    STATE(20302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29157), 1,
      anon_sym_RPAREN,
    STATE(20303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29159), 1,
      anon_sym_in,
    STATE(20304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29161), 1,
      anon_sym_end,
    STATE(20305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18588), 1,
      anon_sym_COMMA,
    STATE(20306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29163), 1,
      anon_sym_RBRACK,
    STATE(20307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29165), 1,
      anon_sym_DOT,
    STATE(20308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29167), 1,
      anon_sym_DQUOTE,
    STATE(20309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29169), 1,
      anon_sym_DASH_GT,
    STATE(20310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29171), 1,
      anon_sym_RPAREN,
    STATE(20311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29173), 1,
      anon_sym_RBRACE,
    STATE(20312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29175), 1,
      anon_sym_RBRACK,
    STATE(20313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29177), 1,
      anon_sym_RPAREN,
    STATE(20314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18841), 1,
      anon_sym_DASH_GT,
    STATE(20315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29179), 1,
      anon_sym_RPAREN,
    STATE(20316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29181), 1,
      anon_sym_RBRACK,
    STATE(20317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29183), 1,
      anon_sym_RBRACE,
    STATE(20318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29185), 1,
      sym__lowercase_identifier,
    STATE(20319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29187), 1,
      anon_sym_RPAREN,
    STATE(20320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18306), 1,
      anon_sym_GT,
    STATE(20321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29189), 1,
      anon_sym_RPAREN,
    STATE(20322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15898), 1,
      anon_sym_COMMA,
    STATE(20323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29191), 1,
      anon_sym_RPAREN,
    STATE(20324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29193), 1,
      anon_sym_LT_DASH,
    STATE(20325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29195), 1,
      anon_sym_RBRACE,
    STATE(20326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29197), 1,
      sym__lowercase_identifier,
    STATE(20327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12321), 1,
      anon_sym_COMMA,
    STATE(20328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29199), 1,
      anon_sym_RPAREN,
    STATE(20329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29201), 1,
      anon_sym_RPAREN,
    STATE(20330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29203), 1,
      anon_sym_RBRACK,
    STATE(20331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29205), 1,
      anon_sym_RBRACE,
    STATE(20332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29207), 1,
      anon_sym_RPAREN,
    STATE(20333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29209), 1,
      anon_sym_LT_DASH,
    STATE(20334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29211), 1,
      anon_sym_RBRACE,
    STATE(20335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29213), 1,
      anon_sym_RPAREN,
    STATE(20336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11482), 1,
      anon_sym_GT,
    STATE(20337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29215), 1,
      anon_sym_RPAREN,
    STATE(20338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29217), 1,
      anon_sym_RPAREN,
    STATE(20339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29219), 1,
      anon_sym_RBRACE,
    STATE(20340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29221), 1,
      anon_sym_EQ,
    STATE(20341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29223), 1,
      anon_sym_RPAREN,
    STATE(20342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29225), 1,
      anon_sym_RPAREN,
    STATE(20343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29227), 1,
      anon_sym_RPAREN,
    STATE(20344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29229), 1,
      anon_sym_PIPE,
    STATE(20345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29231), 1,
      anon_sym_DASH_GT,
    STATE(20346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29233), 1,
      sym__lowercase_identifier,
    STATE(20347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29235), 1,
      sym__lowercase_identifier,
    STATE(20348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29237), 1,
      anon_sym_STAR,
    STATE(20349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29239), 1,
      anon_sym_RBRACK,
    STATE(20350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29241), 1,
      anon_sym_RBRACE,
    STATE(20351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29243), 1,
      sym__lowercase_identifier,
    STATE(20352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18652), 1,
      anon_sym_COMMA,
    STATE(20353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29245), 1,
      anon_sym_RPAREN,
    STATE(20354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29247), 1,
      anon_sym_in,
    STATE(20355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29249), 1,
      anon_sym_RBRACE,
    STATE(20356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25613), 1,
      anon_sym_RBRACK,
    STATE(20357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29251), 1,
      anon_sym_RPAREN,
    STATE(20358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29253), 1,
      anon_sym_with,
    STATE(20359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5499), 1,
      anon_sym_end,
    STATE(20360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29255), 1,
      aux_sym_number_token1,
    STATE(20361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29257), 1,
      sym__lowercase_identifier,
    STATE(20362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10465), 1,
      anon_sym_COMMA,
    STATE(20363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29259), 1,
      sym__lowercase_identifier,
    STATE(20364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29261), 1,
      anon_sym_LT_DASH,
    STATE(20365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29263), 1,
      anon_sym_RBRACK,
    STATE(20366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29265), 1,
      anon_sym_RBRACE,
    STATE(20367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29267), 1,
      anon_sym_RBRACE,
    STATE(20368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29269), 1,
      anon_sym_in,
    STATE(20369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29271), 1,
      anon_sym_in,
    STATE(20370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29273), 1,
      anon_sym_in,
    STATE(20371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29275), 1,
      anon_sym_RPAREN,
    STATE(20372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29277), 1,
      anon_sym_in,
    STATE(20373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    STATE(20374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29279), 1,
      sym__lowercase_identifier,
    STATE(20375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29281), 1,
      anon_sym_with,
    STATE(20376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29283), 1,
      anon_sym_in,
    STATE(20377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29285), 1,
      anon_sym_in,
    STATE(20378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29287), 1,
      anon_sym_in,
    STATE(20379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29289), 1,
      anon_sym_RBRACK,
    STATE(20380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5915), 1,
      anon_sym_COMMA,
    STATE(20381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29291), 1,
      anon_sym_RBRACE,
    STATE(20382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29293), 1,
      anon_sym_RBRACE,
    STATE(20383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18574), 1,
      anon_sym_DASH_GT,
    STATE(20384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29295), 1,
      anon_sym_RPAREN,
    STATE(20385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29297), 1,
      anon_sym_RPAREN,
    STATE(20386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29299), 1,
      anon_sym_RBRACK,
    STATE(20387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29301), 1,
      anon_sym_RPAREN,
    STATE(20388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29303), 1,
      anon_sym_RPAREN,
    STATE(20389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29305), 1,
      anon_sym_RBRACE,
    STATE(20390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29307), 1,
      anon_sym_DOT,
    STATE(20391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    STATE(20392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29309), 1,
      anon_sym_RPAREN,
    STATE(20393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29311), 1,
      anon_sym_DOT_DOT,
    STATE(20394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29313), 1,
      anon_sym_DOT_DOT,
    STATE(20395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29315), 1,
      anon_sym_DOT_DOT,
    STATE(20396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22614), 1,
      anon_sym_GT_RBRACE,
    STATE(20397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29317), 1,
      anon_sym_RPAREN,
    STATE(20398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20976), 1,
      anon_sym_end,
    STATE(20399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29319), 1,
      anon_sym_SQUOTE2,
    STATE(20400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29321), 1,
      anon_sym_DQUOTE,
    STATE(20401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29323), 1,
      anon_sym_RBRACK,
    STATE(20402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29325), 1,
      anon_sym_RPAREN,
    STATE(20403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29327), 1,
      sym__lowercase_identifier,
    STATE(20404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29329), 1,
      anon_sym_in,
    STATE(20405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29331), 1,
      anon_sym_RBRACE,
    STATE(20406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29333), 1,
      anon_sym_RPAREN,
    STATE(20407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29335), 1,
      anon_sym_RBRACK,
    STATE(20408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29337), 1,
      anon_sym_RBRACE,
    STATE(20409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29339), 1,
      anon_sym_RBRACE,
    STATE(20410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29341), 1,
      anon_sym_in,
    STATE(20411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29343), 1,
      anon_sym_DOT,
    STATE(20412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29345), 1,
      anon_sym_in,
    STATE(20413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29347), 1,
      anon_sym_RBRACE,
    STATE(20414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29349), 1,
      anon_sym_in,
    STATE(20415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29351), 1,
      anon_sym_DASH_GT,
    STATE(20416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29353), 1,
      anon_sym_RPAREN,
    STATE(20417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29355), 1,
      anon_sym_DASH_GT,
    STATE(20418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29357), 1,
      anon_sym_RPAREN,
    STATE(20419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29359), 1,
      anon_sym_DASH_GT,
    STATE(20420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29361), 1,
      anon_sym_RBRACE,
    STATE(20421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29363), 1,
      anon_sym_DASH_GT,
    STATE(20422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29365), 1,
      anon_sym_done,
    STATE(20423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29367), 1,
      anon_sym_RPAREN,
    STATE(20424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29369), 1,
      anon_sym_DOT,
    STATE(20425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29371), 1,
      anon_sym_DOT,
    STATE(20426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29373), 1,
      anon_sym_end,
    STATE(20427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29375), 1,
      anon_sym_DOT,
    STATE(20428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29377), 1,
      anon_sym_RPAREN,
    STATE(20429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29379), 1,
      anon_sym_RPAREN,
    STATE(20430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29381), 1,
      anon_sym_in,
    STATE(20431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29383), 1,
      anon_sym_DASH_GT,
    STATE(20432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22646), 1,
      anon_sym_GT_RBRACE,
    STATE(20433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3147), 1,
      anon_sym_RPAREN,
    STATE(20434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29385), 1,
      anon_sym_RPAREN,
    STATE(20435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20980), 1,
      anon_sym_end,
    STATE(20436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29387), 1,
      anon_sym_DASH_GT,
    STATE(20437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29389), 1,
      anon_sym_SQUOTE2,
    STATE(20438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29391), 1,
      anon_sym_RBRACK,
    STATE(20439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29393), 1,
      anon_sym_PIPE,
    STATE(20440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29395), 1,
      anon_sym_DQUOTE,
    STATE(20441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29397), 1,
      anon_sym_in,
    STATE(20442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29399), 1,
      anon_sym_with,
    STATE(20443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29401), 1,
      anon_sym_RPAREN,
    STATE(20444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29403), 1,
      anon_sym_in,
    STATE(20445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29405), 1,
      anon_sym_RBRACE,
    STATE(20446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25665), 1,
      anon_sym_RBRACK,
    STATE(20447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29407), 1,
      anon_sym_RBRACK,
    STATE(20448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29409), 1,
      anon_sym_RBRACE,
    STATE(20449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29411), 1,
      anon_sym_with,
    STATE(20450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29413), 1,
      sym__lowercase_identifier,
    STATE(20451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29415), 1,
      anon_sym_RPAREN,
    STATE(20452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29417), 1,
      anon_sym_PLUS_EQ,
    STATE(20453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29419), 1,
      anon_sym_DOT,
    STATE(20454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29421), 1,
      anon_sym_RPAREN,
    STATE(20455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29423), 1,
      anon_sym_RPAREN,
    STATE(20456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29425), 1,
      anon_sym_RPAREN,
    STATE(20457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29427), 1,
      anon_sym_RBRACK,
    STATE(20458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29429), 1,
      sym__lowercase_identifier,
    STATE(20459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29431), 1,
      anon_sym_RPAREN,
    STATE(20460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29433), 1,
      sym__lowercase_identifier,
    STATE(20461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29435), 1,
      anon_sym_RPAREN,
    STATE(20462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5257), 1,
      anon_sym_COLON_COLON,
    STATE(20463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29437), 1,
      anon_sym_RPAREN,
    STATE(20464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29439), 1,
      anon_sym_RPAREN,
    STATE(20465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29441), 1,
      anon_sym_DOT,
    STATE(20466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29443), 1,
      anon_sym_DASH_GT,
    STATE(20467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29445), 1,
      anon_sym_RBRACK,
    STATE(20468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29447), 1,
      anon_sym_RBRACE,
    STATE(20469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29449), 1,
      anon_sym_DOT_DOT,
    STATE(20470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29451), 1,
      anon_sym_DOT_DOT,
    STATE(20471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29453), 1,
      anon_sym_DOT_DOT,
    STATE(20472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29455), 1,
      anon_sym_RPAREN,
    STATE(20473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29457), 1,
      anon_sym_RBRACE,
    STATE(20474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29459), 1,
      anon_sym_DASH_GT,
    STATE(20475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29461), 1,
      anon_sym_in,
    STATE(20476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29463), 1,
      anon_sym_RPAREN,
    STATE(20477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29465), 1,
      anon_sym_in,
    STATE(20478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29467), 1,
      anon_sym_PIPE,
    STATE(20479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29469), 1,
      anon_sym_RPAREN,
    STATE(20480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11514), 1,
      anon_sym_GT,
    STATE(20481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29471), 1,
      anon_sym_RPAREN,
    STATE(20482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29473), 1,
      anon_sym_RBRACK,
    STATE(20483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29475), 1,
      anon_sym_end,
    STATE(20484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29477), 1,
      anon_sym_with,
    STATE(20485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9700), 1,
      anon_sym_RBRACK,
    STATE(20486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29479), 1,
      anon_sym_RPAREN,
    STATE(20487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29481), 1,
      anon_sym_RBRACE,
    STATE(20488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29483), 1,
      anon_sym_RBRACE,
    STATE(20489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29485), 1,
      sym__lowercase_identifier,
    STATE(20490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29487), 1,
      anon_sym_with,
    STATE(20491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29489), 1,
      anon_sym_RBRACE,
    STATE(20492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18346), 1,
      anon_sym_GT,
    STATE(20493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29491), 1,
      anon_sym_in,
    STATE(20494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29493), 1,
      anon_sym_RBRACK,
    STATE(20495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29495), 1,
      anon_sym_DASH_GT,
    STATE(20496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29497), 1,
      sym__lowercase_identifier,
    STATE(20497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29499), 1,
      anon_sym_RPAREN,
    STATE(20498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29501), 1,
      anon_sym_RPAREN,
    STATE(20499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29503), 1,
      anon_sym_RPAREN,
    STATE(20500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29505), 1,
      anon_sym_DOT_DOT,
    STATE(20501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29507), 1,
      anon_sym_DOT_DOT,
    STATE(20502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29509), 1,
      anon_sym_DOT_DOT,
    STATE(20503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29511), 1,
      anon_sym_RPAREN,
    STATE(20504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29513), 1,
      anon_sym_in,
    STATE(20505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29515), 1,
      anon_sym_DOT,
    STATE(20506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29517), 1,
      anon_sym_RPAREN,
    STATE(20507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29519), 1,
      anon_sym_in,
    STATE(20508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29521), 1,
      anon_sym_PIPE,
    STATE(20509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10920), 1,
      anon_sym_COMMA,
    STATE(20510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29523), 1,
      anon_sym_LT_DASH,
    STATE(20511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29525), 1,
      anon_sym_RBRACK,
    STATE(20512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29527), 1,
      anon_sym_RBRACE,
    STATE(20513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29529), 1,
      anon_sym_RPAREN,
    STATE(20514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29531), 1,
      anon_sym_RPAREN,
    STATE(20515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25701), 1,
      anon_sym_RBRACK,
    STATE(20516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25959), 1,
      anon_sym_RPAREN,
    STATE(20517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29533), 1,
      anon_sym_in,
    STATE(20518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29535), 1,
      anon_sym_in,
    STATE(20519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29537), 1,
      sym__lowercase_identifier,
    STATE(20520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29539), 1,
      anon_sym_DASH_GT,
    STATE(20521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29541), 1,
      anon_sym_in,
    STATE(20522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29543), 1,
      anon_sym_RPAREN,
    STATE(20523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29545), 1,
      sym__lowercase_identifier,
    STATE(20524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29547), 1,
      anon_sym_RBRACE,
    STATE(20525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29549), 1,
      anon_sym_EQ,
    STATE(20526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(20527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29551), 1,
      anon_sym_DOT_DOT,
    STATE(20528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29553), 1,
      anon_sym_DOT_DOT,
    STATE(20529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29555), 1,
      anon_sym_DOT_DOT,
    STATE(20530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29557), 1,
      anon_sym_in,
    STATE(20531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10993), 1,
      anon_sym_COMMA,
    STATE(20532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29559), 1,
      anon_sym_in,
    STATE(20533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29561), 1,
      anon_sym_RPAREN,
    STATE(20534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29563), 1,
      anon_sym_RBRACE,
    STATE(20535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29565), 1,
      anon_sym_PIPE,
    STATE(20536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29567), 1,
      anon_sym_RPAREN,
    STATE(20537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15675), 1,
      anon_sym_COMMA,
    STATE(20538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29569), 1,
      anon_sym_RBRACE,
    STATE(20539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21536), 1,
      anon_sym_GT_RBRACE,
    STATE(20540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29571), 1,
      anon_sym_RPAREN,
    STATE(20541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29573), 1,
      anon_sym_DASH_GT,
    STATE(20542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25715), 1,
      anon_sym_RBRACK,
    STATE(20543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29575), 1,
      anon_sym_LT_DASH,
    STATE(20544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29577), 1,
      anon_sym_RBRACK,
    STATE(20545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29579), 1,
      anon_sym_RBRACE,
    STATE(20546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29581), 1,
      anon_sym_RPAREN,
    STATE(20547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29583), 1,
      anon_sym_DASH_GT,
    STATE(20548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29585), 1,
      anon_sym_RPAREN,
    STATE(20549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29587), 1,
      sym__lowercase_identifier,
    STATE(20550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29589), 1,
      anon_sym_RPAREN,
    STATE(20551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29591), 1,
      sym__uppercase_identifier,
    STATE(20552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22756), 1,
      anon_sym_GT_RBRACE,
    STATE(20553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29593), 1,
      anon_sym_DOT_DOT,
    STATE(20554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29595), 1,
      anon_sym_DOT_DOT,
    STATE(20555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29597), 1,
      anon_sym_DOT_DOT,
    STATE(20556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11808), 1,
      anon_sym_DASH_GT,
    STATE(20557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21015), 1,
      anon_sym_end,
    STATE(20558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29599), 1,
      anon_sym_SQUOTE2,
    STATE(20559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29601), 1,
      anon_sym_DQUOTE,
    STATE(20560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29603), 1,
      anon_sym_DASH_GT,
    STATE(20561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29605), 1,
      anon_sym_PIPE,
    STATE(20562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29607), 1,
      anon_sym_RBRACK,
    STATE(20563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29609), 1,
      anon_sym_DASH_GT,
    STATE(20564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29611), 1,
      sym__lowercase_identifier,
    STATE(20565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25719), 1,
      anon_sym_RBRACK,
    STATE(20566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29613), 1,
      anon_sym_RBRACE,
    STATE(20567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20512), 1,
      anon_sym_end,
    STATE(20568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9780), 1,
      anon_sym_RBRACK,
    STATE(20569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29615), 1,
      anon_sym_RBRACE,
    STATE(20570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29617), 1,
      anon_sym_SQUOTE2,
    STATE(20571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29619), 1,
      anon_sym_DQUOTE,
    STATE(20572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29621), 1,
      anon_sym_in,
    STATE(20573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29623), 1,
      anon_sym_DASH_GT,
    STATE(20574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29625), 1,
      anon_sym_RPAREN,
    STATE(20575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29627), 1,
      sym__lowercase_identifier,
    STATE(20576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29629), 1,
      anon_sym_in,
    STATE(20577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29631), 1,
      anon_sym_RPAREN,
    STATE(20578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29633), 1,
      anon_sym_DOT_DOT,
    STATE(20579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29635), 1,
      anon_sym_DOT_DOT,
    STATE(20580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29637), 1,
      anon_sym_DOT_DOT,
    STATE(20581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29639), 1,
      anon_sym_RPAREN,
    STATE(20582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29641), 1,
      anon_sym_PIPE,
    STATE(20583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29643), 1,
      anon_sym_in,
    STATE(20584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29645), 1,
      anon_sym_RPAREN,
    STATE(20585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29647), 1,
      anon_sym_RPAREN,
    STATE(20586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29649), 1,
      anon_sym_DASH_GT,
    STATE(20587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29651), 1,
      anon_sym_RPAREN,
    STATE(20588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29639), 1,
      anon_sym_RBRACK,
    STATE(20589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25739), 1,
      anon_sym_RBRACK,
    STATE(20590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29653), 1,
      anon_sym_DASH_GT,
    STATE(20591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
    STATE(20592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29639), 1,
      anon_sym_RBRACE,
    STATE(20593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29655), 1,
      anon_sym_DASH_GT,
    STATE(20594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29657), 1,
      anon_sym_RPAREN,
    STATE(20595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29659), 1,
      anon_sym_DASH_GT,
    STATE(20596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29661), 1,
      sym__lowercase_identifier,
    STATE(20597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29657), 1,
      anon_sym_RBRACK,
    STATE(20598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29663), 1,
      anon_sym_DOT_DOT,
    STATE(20599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29665), 1,
      anon_sym_DOT_DOT,
    STATE(20600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29667), 1,
      anon_sym_DOT_DOT,
    STATE(20601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29657), 1,
      anon_sym_RBRACE,
    STATE(20602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29669), 1,
      anon_sym_PIPE,
    STATE(20603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29671), 1,
      anon_sym_DASH_GT,
    STATE(20604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29673), 1,
      anon_sym_DASH_GT,
    STATE(20605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29675), 1,
      anon_sym_DASH_GT,
    STATE(20606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29677), 1,
      anon_sym_DASH_GT,
    STATE(20607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29679), 1,
      anon_sym_DASH_GT,
    STATE(20608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29681), 1,
      anon_sym_RBRACE,
    STATE(20609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9660), 1,
      anon_sym_RBRACK,
    STATE(20610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18332), 1,
      anon_sym_GT,
    STATE(20611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29683), 1,
      anon_sym_end,
    STATE(20612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29685), 1,
      anon_sym_RPAREN,
    STATE(20613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29687), 1,
      anon_sym_end,
    STATE(20614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29689), 1,
      anon_sym_end,
    STATE(20615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29691), 1,
      sym__lowercase_identifier,
    STATE(20616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29693), 1,
      anon_sym_DASH_GT,
    STATE(20617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29695), 1,
      anon_sym_DOT_DOT,
    STATE(20618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29697), 1,
      anon_sym_DOT_DOT,
    STATE(20619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29699), 1,
      anon_sym_DOT_DOT,
    STATE(20620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29701), 1,
      anon_sym_in,
    STATE(20621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29703), 1,
      anon_sym_PIPE,
    STATE(20622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29705), 1,
      anon_sym_RPAREN,
    STATE(20623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29707), 1,
      sym__lowercase_identifier,
    STATE(20624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29709), 1,
      anon_sym_RPAREN,
    STATE(20625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29711), 1,
      anon_sym_RPAREN,
    STATE(20626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29713), 1,
      anon_sym_RPAREN,
    STATE(20627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29715), 1,
      anon_sym_DASH_GT,
    STATE(20628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(9810), 1,
      anon_sym_RBRACK,
    STATE(20629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29717), 1,
      anon_sym_RBRACK,
    STATE(20630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29719), 1,
      anon_sym_RBRACE,
    STATE(20631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29721), 1,
      anon_sym_RPAREN,
    STATE(20632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29723), 1,
      anon_sym_DASH_GT,
    STATE(20633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29725), 1,
      sym__lowercase_identifier,
    STATE(20634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19071), 1,
      anon_sym_RBRACK,
    STATE(20635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29727), 1,
      anon_sym_DOT_DOT,
    STATE(20636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29729), 1,
      anon_sym_DOT_DOT,
    STATE(20637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29731), 1,
      anon_sym_DOT_DOT,
    STATE(20638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29733), 1,
      anon_sym_DASH_GT,
    STATE(20639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29735), 1,
      anon_sym_PIPE,
    STATE(20640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29737), 1,
      anon_sym_GT,
    STATE(20641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29739), 1,
      anon_sym_RBRACE,
    STATE(20642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(24619), 1,
      anon_sym_RPAREN,
    STATE(20643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29741), 1,
      anon_sym_RPAREN,
    STATE(20644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29743), 1,
      anon_sym_RPAREN,
    STATE(20645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29745), 1,
      anon_sym_RPAREN,
    STATE(20646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29747), 1,
      anon_sym_RBRACK,
    STATE(20647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29749), 1,
      anon_sym_RPAREN,
    STATE(20648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29751), 1,
      anon_sym_RBRACE,
    STATE(20649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29753), 1,
      sym__lowercase_identifier,
    STATE(20650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29755), 1,
      anon_sym_RBRACK,
    STATE(20651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29757), 1,
      anon_sym_DOT_DOT,
    STATE(20652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29759), 1,
      anon_sym_DOT_DOT,
    STATE(20653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29761), 1,
      anon_sym_DOT_DOT,
    STATE(20654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15233), 1,
      anon_sym_COMMA,
    STATE(20655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29763), 1,
      anon_sym_PIPE,
    STATE(20656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29765), 1,
      anon_sym_LT_DASH,
    STATE(20657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29767), 1,
      anon_sym_RPAREN,
    STATE(20658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11596), 1,
      anon_sym_GT,
    STATE(20659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29769), 1,
      sym__lowercase_identifier,
    STATE(20660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29771), 1,
      anon_sym_RPAREN,
    STATE(20661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29773), 1,
      anon_sym_RBRACE,
    STATE(20662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29775), 1,
      anon_sym_RPAREN,
    STATE(20663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29777), 1,
      anon_sym_DASH_GT,
    STATE(20664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21426), 1,
      anon_sym_GT_RBRACE,
    STATE(20665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29779), 1,
      sym__lowercase_identifier,
    STATE(20666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29781), 1,
      anon_sym_RPAREN,
    STATE(20667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29783), 1,
      anon_sym_DOT_DOT,
    STATE(20668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29785), 1,
      anon_sym_DOT_DOT,
    STATE(20669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29787), 1,
      anon_sym_DOT_DOT,
    STATE(20670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20232), 1,
      anon_sym_end,
    STATE(20671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29789), 1,
      anon_sym_PIPE,
    STATE(20672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29791), 1,
      anon_sym_SQUOTE2,
    STATE(20673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29793), 1,
      anon_sym_DQUOTE,
    STATE(20674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29795), 1,
      anon_sym_end,
    STATE(20675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29797), 1,
      anon_sym_DASH_GT,
    STATE(20676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29799), 1,
      anon_sym_RPAREN,
    STATE(20677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29801), 1,
      anon_sym_RPAREN,
    STATE(20678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29803), 1,
      anon_sym_RBRACK,
    STATE(20679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29805), 1,
      anon_sym_RBRACK,
    STATE(20680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29807), 1,
      anon_sym_RBRACE,
    STATE(20681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29809), 1,
      sym__lowercase_identifier,
    STATE(20682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29811), 1,
      anon_sym_RBRACE,
    STATE(20683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29813), 1,
      anon_sym_DOT_DOT,
    STATE(20684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29815), 1,
      anon_sym_DOT_DOT,
    STATE(20685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29817), 1,
      anon_sym_DOT_DOT,
    STATE(20686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5613), 1,
      anon_sym_COMMA,
    STATE(20687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29819), 1,
      anon_sym_PIPE,
    STATE(20688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29821), 1,
      anon_sym_RPAREN,
    STATE(20689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29823), 1,
      anon_sym_RPAREN,
    STATE(20690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29825), 1,
      anon_sym_STAR,
    STATE(20691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29827), 1,
      sym_indexing_operator,
    STATE(20692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29829), 1,
      anon_sym_RBRACE,
    STATE(20693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4855), 1,
      anon_sym_end,
    STATE(20694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29831), 1,
      anon_sym_RBRACK,
    STATE(20695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29833), 1,
      aux_sym_number_token1,
    STATE(20696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29835), 1,
      anon_sym_RPAREN,
    STATE(20697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29837), 1,
      sym__lowercase_identifier,
    STATE(20698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29839), 1,
      anon_sym_in,
    STATE(20699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29841), 1,
      anon_sym_DOT_DOT,
    STATE(20700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29843), 1,
      anon_sym_DOT_DOT,
    STATE(20701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29845), 1,
      anon_sym_DOT_DOT,
    STATE(20702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29847), 1,
      anon_sym_in,
    STATE(20703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29849), 1,
      anon_sym_PIPE,
    STATE(20704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29851), 1,
      anon_sym_RPAREN,
    STATE(20705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29853), 1,
      anon_sym_in,
    STATE(20706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29855), 1,
      anon_sym_RPAREN,
    STATE(20707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12762), 1,
      anon_sym_DASH_GT,
    STATE(20708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29857), 1,
      anon_sym_RBRACE,
    STATE(20709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29859), 1,
      anon_sym_RPAREN,
    STATE(20710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29861), 1,
      anon_sym_GT,
    STATE(20711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29863), 1,
      anon_sym_end,
    STATE(20712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29865), 1,
      sym__lowercase_identifier,
    STATE(20713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29867), 1,
      sym__lowercase_identifier,
    STATE(20714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29869), 1,
      sym__lowercase_identifier,
    STATE(20715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29871), 1,
      anon_sym_DOT_DOT,
    STATE(20716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29873), 1,
      anon_sym_DOT_DOT,
    STATE(20717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29875), 1,
      anon_sym_DOT_DOT,
    STATE(20718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29877), 1,
      anon_sym_in,
    STATE(20719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29879), 1,
      anon_sym_PIPE,
    STATE(20720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23871), 1,
      anon_sym_RBRACE,
    STATE(20721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29881), 1,
      anon_sym_RPAREN,
    STATE(20722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29883), 1,
      anon_sym_RBRACE,
    STATE(20723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29885), 1,
      anon_sym_RBRACE,
    STATE(20724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29887), 1,
      anon_sym_RPAREN,
    STATE(20725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29889), 1,
      anon_sym_RPAREN,
    STATE(20726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29891), 1,
      anon_sym_DASH_GT,
    STATE(20727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29893), 1,
      anon_sym_RPAREN,
    STATE(20728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29895), 1,
      anon_sym_RPAREN,
    STATE(20729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29897), 1,
      sym__lowercase_identifier,
    STATE(20730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29899), 1,
      anon_sym_DASH_GT,
    STATE(20731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29901), 1,
      anon_sym_DOT_DOT,
    STATE(20732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29903), 1,
      anon_sym_DOT_DOT,
    STATE(20733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29905), 1,
      anon_sym_DOT_DOT,
    STATE(20734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29907), 1,
      anon_sym_GT,
    STATE(20735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29909), 1,
      anon_sym_PIPE,
    STATE(20736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29911), 1,
      sym__lowercase_identifier,
    STATE(20737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29913), 1,
      anon_sym_RPAREN,
    STATE(20738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    STATE(20739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18310), 1,
      anon_sym_GT,
    STATE(20740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29915), 1,
      anon_sym_LT_DASH,
    STATE(20741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29917), 1,
      anon_sym_RBRACK,
    STATE(20742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29919), 1,
      anon_sym_RBRACE,
    STATE(20743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29921), 1,
      anon_sym_DOT,
    STATE(20744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23875), 1,
      anon_sym_RBRACE,
    STATE(20745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29923), 1,
      sym__lowercase_identifier,
    STATE(20746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21732), 1,
      anon_sym_GT_RBRACE,
    STATE(20747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29925), 1,
      anon_sym_DOT_DOT,
    STATE(20748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29927), 1,
      anon_sym_DOT_DOT,
    STATE(20749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29929), 1,
      anon_sym_DOT_DOT,
    STATE(20750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29931), 1,
      anon_sym_in,
    STATE(20751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29933), 1,
      anon_sym_PIPE,
    STATE(20752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29935), 1,
      anon_sym_in,
    STATE(20753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29937), 1,
      anon_sym_in,
    STATE(20754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29939), 1,
      anon_sym_in,
    STATE(20755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20075), 1,
      anon_sym_end,
    STATE(20756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29941), 1,
      anon_sym_RPAREN,
    STATE(20757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23661), 1,
      anon_sym_RPAREN,
    STATE(20758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29943), 1,
      anon_sym_RPAREN,
    STATE(20759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29945), 1,
      anon_sym_SQUOTE2,
    STATE(20760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29947), 1,
      anon_sym_DQUOTE,
    STATE(20761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29949), 1,
      sym__lowercase_identifier,
    STATE(20762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29951), 1,
      anon_sym_RPAREN,
    STATE(20763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29953), 1,
      anon_sym_DOT_DOT,
    STATE(20764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29955), 1,
      anon_sym_DOT_DOT,
    STATE(20765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29957), 1,
      anon_sym_DOT_DOT,
    STATE(20766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29959), 1,
      anon_sym_RPAREN,
    STATE(20767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29961), 1,
      anon_sym_PIPE,
    STATE(20768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29963), 1,
      anon_sym_RPAREN,
    STATE(20769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29965), 1,
      anon_sym_in,
    STATE(20770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29967), 1,
      sym__lowercase_identifier,
    STATE(20771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29969), 1,
      anon_sym_end,
    STATE(20772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29971), 1,
      anon_sym_RBRACK,
    STATE(20773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29973), 1,
      anon_sym_DOT,
    STATE(20774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29975), 1,
      anon_sym_RBRACE,
    STATE(20775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29977), 1,
      anon_sym_RPAREN,
    STATE(20776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29979), 1,
      anon_sym_RBRACE,
    STATE(20777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29981), 1,
      sym__lowercase_identifier,
    STATE(20778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29983), 1,
      anon_sym_DOT,
    STATE(20779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29985), 1,
      anon_sym_DOT_DOT,
    STATE(20780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29987), 1,
      anon_sym_DOT_DOT,
    STATE(20781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29989), 1,
      anon_sym_DOT_DOT,
    STATE(20782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29991), 1,
      anon_sym_DASH_GT,
    STATE(20783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29993), 1,
      anon_sym_PIPE,
    STATE(20784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29995), 1,
      anon_sym_in,
    STATE(20785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29997), 1,
      anon_sym_RPAREN,
    STATE(20786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11694), 1,
      anon_sym_GT,
    STATE(20787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(29999), 1,
      anon_sym_RPAREN,
    STATE(20788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30001), 1,
      anon_sym_DASH_GT,
    STATE(20789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30003), 1,
      anon_sym_RPAREN,
    STATE(20790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30005), 1,
      anon_sym_RBRACE,
    STATE(20791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30007), 1,
      anon_sym_RPAREN,
    STATE(20792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23027), 1,
      anon_sym_GT_RBRACE,
    STATE(20793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30009), 1,
      sym__lowercase_identifier,
    STATE(20794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30011), 1,
      sym__lowercase_identifier,
    STATE(20795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30013), 1,
      anon_sym_DOT_DOT,
    STATE(20796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30015), 1,
      anon_sym_DOT_DOT,
    STATE(20797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30017), 1,
      anon_sym_DOT_DOT,
    STATE(20798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30019), 1,
      anon_sym_RPAREN,
    STATE(20799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30021), 1,
      anon_sym_PIPE,
    STATE(20800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30023), 1,
      anon_sym_RBRACK,
    STATE(20801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21065), 1,
      anon_sym_end,
    STATE(20802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30025), 1,
      anon_sym_SQUOTE2,
    STATE(20803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30027), 1,
      anon_sym_RPAREN,
    STATE(20804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30029), 1,
      anon_sym_DQUOTE,
    STATE(20805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30031), 1,
      anon_sym_end,
    STATE(20806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30033), 1,
      anon_sym_with,
    STATE(20807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30035), 1,
      anon_sym_DASH_GT,
    STATE(20808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30037), 1,
      sym__lowercase_identifier,
    STATE(20809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30039), 1,
      sym__lowercase_identifier,
    STATE(20810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30041), 1,
      anon_sym_end,
    STATE(20811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30043), 1,
      anon_sym_DOT_DOT,
    STATE(20812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30045), 1,
      anon_sym_DOT_DOT,
    STATE(20813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30047), 1,
      anon_sym_DOT_DOT,
    STATE(20814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19881), 1,
      sym__uppercase_identifier,
    STATE(20815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30049), 1,
      anon_sym_with,
    STATE(20816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30051), 1,
      anon_sym_RBRACE,
    STATE(20817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30053), 1,
      anon_sym_COLON2,
    STATE(20818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30055), 1,
      anon_sym_RPAREN,
    STATE(20819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30057), 1,
      anon_sym_DOT,
    STATE(20820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30059), 1,
      anon_sym_RBRACE,
    STATE(20821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30061), 1,
      anon_sym_GT,
    STATE(20822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30063), 1,
      anon_sym_RBRACK,
    STATE(20823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(19003), 1,
      anon_sym_DASH_GT,
    STATE(20824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30065), 1,
      sym__lowercase_identifier,
    STATE(20825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30067), 1,
      anon_sym_DASH_GT,
    STATE(20826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30069), 1,
      anon_sym_DOT_DOT,
    STATE(20827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30071), 1,
      anon_sym_DOT_DOT,
    STATE(20828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30073), 1,
      anon_sym_DOT_DOT,
    STATE(20829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30075), 1,
      anon_sym_RBRACK,
    STATE(20830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30077), 1,
      anon_sym_RBRACE,
    STATE(20831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30079), 1,
      anon_sym_RPAREN,
    STATE(20832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30081), 1,
      anon_sym_RPAREN,
    STATE(20833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30083), 1,
      anon_sym_RBRACK,
    STATE(20834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30085), 1,
      anon_sym_DASH_GT,
    STATE(20835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30087), 1,
      anon_sym_RBRACE,
    STATE(20836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30089), 1,
      anon_sym_RPAREN,
    STATE(20837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30091), 1,
      anon_sym_end,
    STATE(20838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30093), 1,
      anon_sym_end,
    STATE(20839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30095), 1,
      sym__lowercase_identifier,
    STATE(20840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30097), 1,
      anon_sym_RPAREN,
    STATE(20841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30099), 1,
      anon_sym_DOT_DOT,
    STATE(20842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30101), 1,
      anon_sym_DOT_DOT,
    STATE(20843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30103), 1,
      anon_sym_DOT_DOT,
    STATE(20844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30105), 1,
      anon_sym_DASH_GT,
    STATE(20845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30107), 1,
      anon_sym_RPAREN,
    STATE(20846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30109), 1,
      anon_sym_done,
    STATE(20847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30111), 1,
      anon_sym_DASH_GT,
    STATE(20848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30113), 1,
      anon_sym_GT,
    STATE(20849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30115), 1,
      anon_sym_RPAREN,
    STATE(20850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30117), 1,
      anon_sym_with,
    STATE(20851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30119), 1,
      anon_sym_RPAREN,
    STATE(20852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30121), 1,
      anon_sym_end,
    STATE(20853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(16698), 1,
      anon_sym_COMMA,
    STATE(20854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30123), 1,
      sym__lowercase_identifier,
    STATE(20855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30125), 1,
      anon_sym_LT_DASH,
    STATE(20856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30127), 1,
      anon_sym_DOT_DOT,
    STATE(20857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30129), 1,
      anon_sym_DOT_DOT,
    STATE(20858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30131), 1,
      anon_sym_DOT_DOT,
    STATE(20859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30133), 1,
      anon_sym_with,
    STATE(20860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30135), 1,
      anon_sym_end,
    STATE(20861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30137), 1,
      anon_sym_RPAREN,
    STATE(20862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30139), 1,
      sym__lowercase_identifier,
    STATE(20863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30141), 1,
      anon_sym_GT,
    STATE(20864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30143), 1,
      anon_sym_RPAREN,
    STATE(20865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30145), 1,
      anon_sym_RPAREN,
    STATE(20866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30147), 1,
      anon_sym_in,
    STATE(20867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30149), 1,
      anon_sym_RPAREN,
    STATE(20868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23126), 1,
      anon_sym_GT_RBRACE,
    STATE(20869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30151), 1,
      sym__lowercase_identifier,
    STATE(20870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30153), 1,
      anon_sym_DOT,
    STATE(20871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30155), 1,
      anon_sym_DOT_DOT,
    STATE(20872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30157), 1,
      anon_sym_DOT_DOT,
    STATE(20873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30159), 1,
      anon_sym_DOT_DOT,
    STATE(20874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30161), 1,
      anon_sym_RPAREN,
    STATE(20875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30163), 1,
      anon_sym_RBRACK,
    STATE(20876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30165), 1,
      anon_sym_RBRACE,
    STATE(20877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30167), 1,
      anon_sym_DASH_GT,
    STATE(20878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30169), 1,
      anon_sym_DASH_GT,
    STATE(20879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30171), 1,
      anon_sym_DASH_GT,
    STATE(20880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30173), 1,
      anon_sym_RPAREN,
    STATE(20881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30175), 1,
      anon_sym_RPAREN,
    STATE(20882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30177), 1,
      anon_sym_RPAREN,
    STATE(20883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30179), 1,
      anon_sym_RPAREN,
    STATE(20884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30181), 1,
      sym__lowercase_identifier,
    STATE(20885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30183), 1,
      anon_sym_RPAREN,
    STATE(20886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30185), 1,
      anon_sym_DOT_DOT,
    STATE(20887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30187), 1,
      anon_sym_DOT_DOT,
    STATE(20888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30189), 1,
      anon_sym_DOT_DOT,
    STATE(20889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30191), 1,
      anon_sym_RBRACE,
    STATE(20890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30193), 1,
      anon_sym_DASH_GT,
    STATE(20891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30195), 1,
      anon_sym_RPAREN,
    STATE(20892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30197), 1,
      anon_sym_RBRACK,
    STATE(20893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30199), 1,
      anon_sym_RPAREN,
    STATE(20894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30201), 1,
      anon_sym_RBRACE,
    STATE(20895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23717), 1,
      anon_sym_RBRACE,
    STATE(20896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30203), 1,
      anon_sym_RPAREN,
    STATE(20897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30205), 1,
      anon_sym_RBRACK,
    STATE(20898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30207), 1,
      anon_sym_in,
    STATE(20899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30209), 1,
      sym__lowercase_identifier,
    STATE(20900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30211), 1,
      anon_sym_RBRACE,
    STATE(20901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30213), 1,
      anon_sym_DOT_DOT,
    STATE(20902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30215), 1,
      anon_sym_DOT_DOT,
    STATE(20903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30217), 1,
      anon_sym_DOT_DOT,
    STATE(20904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30219), 1,
      anon_sym_RPAREN,
    STATE(20905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30221), 1,
      anon_sym_RPAREN,
    STATE(20906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30223), 1,
      anon_sym_DASH_GT,
    STATE(20907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30225), 1,
      anon_sym_RPAREN,
    STATE(20908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30227), 1,
      anon_sym_RBRACK,
    STATE(20909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30229), 1,
      anon_sym_RBRACE,
    STATE(20910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30231), 1,
      anon_sym_RBRACK,
    STATE(20911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30233), 1,
      anon_sym_RBRACE,
    STATE(20912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30235), 1,
      anon_sym_DASH_GT,
    STATE(20913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30237), 1,
      anon_sym_RPAREN,
    STATE(20914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30239), 1,
      sym__lowercase_identifier,
    STATE(20915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30241), 1,
      anon_sym_RPAREN,
    STATE(20916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30243), 1,
      anon_sym_DOT_DOT,
    STATE(20917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30245), 1,
      anon_sym_DOT_DOT,
    STATE(20918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30247), 1,
      anon_sym_DOT_DOT,
    STATE(20919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30249), 1,
      anon_sym_RPAREN,
    STATE(20920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30251), 1,
      anon_sym_RPAREN,
    STATE(20921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30253), 1,
      anon_sym_RPAREN,
    STATE(20922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30255), 1,
      anon_sym_RBRACK,
    STATE(20923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30257), 1,
      anon_sym_RPAREN,
    STATE(20924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30259), 1,
      anon_sym_RBRACE,
    STATE(20925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30261), 1,
      anon_sym_RPAREN,
    STATE(20926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25877), 1,
      anon_sym_RBRACE,
    STATE(20927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30263), 1,
      anon_sym_RPAREN,
    STATE(20928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30265), 1,
      anon_sym_DASH_GT,
    STATE(20929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30267), 1,
      sym__lowercase_identifier,
    STATE(20930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18514), 1,
      anon_sym_GT,
    STATE(20931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30269), 1,
      anon_sym_DOT_DOT,
    STATE(20932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30271), 1,
      anon_sym_DOT_DOT,
    STATE(20933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30273), 1,
      anon_sym_DOT_DOT,
    STATE(20934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30275), 1,
      anon_sym_RPAREN,
    STATE(20935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30277), 1,
      anon_sym_RPAREN,
    STATE(20936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30279), 1,
      anon_sym_RBRACK,
    STATE(20937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30281), 1,
      anon_sym_RPAREN,
    STATE(20938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5599), 1,
      anon_sym_RPAREN,
    STATE(20939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30283), 1,
      anon_sym_RBRACE,
    STATE(20940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30285), 1,
      anon_sym_RPAREN,
    STATE(20941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30287), 1,
      anon_sym_RPAREN,
    STATE(20942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30289), 1,
      anon_sym_RPAREN,
    STATE(20943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30291), 1,
      anon_sym_RPAREN,
    STATE(20944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30293), 1,
      sym__lowercase_identifier,
    STATE(20945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30295), 1,
      anon_sym_RPAREN,
    STATE(20946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30297), 1,
      anon_sym_DOT_DOT,
    STATE(20947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30299), 1,
      anon_sym_DOT_DOT,
    STATE(20948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30301), 1,
      anon_sym_DOT_DOT,
    STATE(20949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30303), 1,
      anon_sym_RBRACK,
    STATE(20950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25895), 1,
      anon_sym_RBRACE,
    STATE(20951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30305), 1,
      anon_sym_DASH_GT,
    STATE(20952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21011), 1,
      anon_sym_end,
    STATE(20953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30307), 1,
      anon_sym_RBRACE,
    STATE(20954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30309), 1,
      anon_sym_RPAREN,
    STATE(20955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30311), 1,
      anon_sym_RBRACE,
    STATE(20956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30313), 1,
      anon_sym_DASH_GT,
    STATE(20957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30315), 1,
      anon_sym_EQ,
    STATE(20958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30317), 1,
      anon_sym_SQUOTE2,
    STATE(20959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787609] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30319), 1,
      sym__lowercase_identifier,
    STATE(20960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787623] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30321), 1,
      anon_sym_RPAREN,
    STATE(20961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787637] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30323), 1,
      anon_sym_DOT_DOT,
    STATE(20962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787651] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30325), 1,
      anon_sym_DOT_DOT,
    STATE(20963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787665] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30327), 1,
      anon_sym_DOT_DOT,
    STATE(20964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787679] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30329), 1,
      anon_sym_RPAREN,
    STATE(20965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787693] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25907), 1,
      anon_sym_RBRACE,
    STATE(20966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787707] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30331), 1,
      anon_sym_RPAREN,
    STATE(20967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787721] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30333), 1,
      anon_sym_RPAREN,
    STATE(20968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787735] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30331), 1,
      anon_sym_RBRACK,
    STATE(20969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787749] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30335), 1,
      sym__lowercase_identifier,
    STATE(20970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787763] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30337), 1,
      anon_sym_RPAREN,
    STATE(20971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787777] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30339), 1,
      anon_sym_DQUOTE,
    STATE(20972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787791] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30341), 1,
      anon_sym_RPAREN,
    STATE(20973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787805] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12122), 1,
      anon_sym_COMMA,
    STATE(20974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787819] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30343), 1,
      sym__lowercase_identifier,
    STATE(20975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787833] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30345), 1,
      anon_sym_RPAREN,
    STATE(20976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787847] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30347), 1,
      anon_sym_DOT_DOT,
    STATE(20977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787861] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30349), 1,
      anon_sym_DOT_DOT,
    STATE(20978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787875] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30351), 1,
      anon_sym_DOT_DOT,
    STATE(20979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787889] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30353), 1,
      anon_sym_RBRACK,
    STATE(20980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787903] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30355), 1,
      anon_sym_LT_DASH,
    STATE(20981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787917] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30357), 1,
      anon_sym_RBRACK,
    STATE(20982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787931] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30359), 1,
      anon_sym_RBRACE,
    STATE(20983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787945] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30361), 1,
      anon_sym_RBRACE,
    STATE(20984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787959] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30331), 1,
      anon_sym_RBRACE,
    STATE(20985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787973] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30363), 1,
      anon_sym_in,
    STATE(20986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787987] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30365), 1,
      anon_sym_in,
    STATE(20987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788001] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30367), 1,
      anon_sym_RPAREN,
    STATE(20988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788015] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30369), 1,
      anon_sym_in,
    STATE(20989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788029] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30371), 1,
      sym__lowercase_identifier,
    STATE(20990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788043] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30373), 1,
      anon_sym_RPAREN,
    STATE(20991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788057] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30375), 1,
      anon_sym_DOT_DOT,
    STATE(20992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788071] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30377), 1,
      anon_sym_DOT_DOT,
    STATE(20993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788085] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30379), 1,
      anon_sym_DOT_DOT,
    STATE(20994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788099] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30381), 1,
      anon_sym_RPAREN,
    STATE(20995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788113] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30383), 1,
      anon_sym_RPAREN,
    STATE(20996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788127] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21530), 1,
      anon_sym_GT_RBRACE,
    STATE(20997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788141] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    STATE(20998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788155] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30385), 1,
      anon_sym_DASH_GT,
    STATE(20999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788169] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30387), 1,
      anon_sym_DASH_GT,
    STATE(21000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788183] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30389), 1,
      anon_sym_RPAREN,
    STATE(21001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788197] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30391), 1,
      anon_sym_in,
    STATE(21002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788211] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(4939), 1,
      anon_sym_end,
    STATE(21003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788225] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30393), 1,
      aux_sym_number_token1,
    STATE(21004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788239] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30395), 1,
      sym__lowercase_identifier,
    STATE(21005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788253] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30397), 1,
      anon_sym_DASH_GT,
    STATE(21006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788267] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30399), 1,
      anon_sym_DOT_DOT,
    STATE(21007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788281] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30401), 1,
      anon_sym_DOT_DOT,
    STATE(21008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788295] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30403), 1,
      anon_sym_DOT_DOT,
    STATE(21009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788309] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30405), 1,
      anon_sym_in,
    STATE(21010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788323] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30407), 1,
      sym__lowercase_identifier,
    STATE(21011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788337] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30409), 1,
      anon_sym_in,
    STATE(21012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788351] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30411), 1,
      anon_sym_RBRACE,
    STATE(21013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788365] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30413), 1,
      anon_sym_in,
    STATE(21014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788379] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30415), 1,
      sym__lowercase_identifier,
    STATE(21015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788393] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30417), 1,
      anon_sym_RPAREN,
    STATE(21016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788407] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30419), 1,
      anon_sym_with,
    STATE(21017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788421] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7659), 1,
      anon_sym_COMMA,
    STATE(21018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788435] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30421), 1,
      anon_sym_RPAREN,
    STATE(21019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788449] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30423), 1,
      sym__lowercase_identifier,
    STATE(21020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788463] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30425), 1,
      anon_sym_RPAREN,
    STATE(21021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788477] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30427), 1,
      anon_sym_DOT_DOT,
    STATE(21022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788491] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30429), 1,
      anon_sym_DOT_DOT,
    STATE(21023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788505] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30431), 1,
      anon_sym_DOT_DOT,
    STATE(21024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788519] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30433), 1,
      anon_sym_RPAREN,
    STATE(21025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788533] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30435), 1,
      anon_sym_RBRACK,
    STATE(21026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788547] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30437), 1,
      anon_sym_COMMA,
    STATE(21027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788561] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23280), 1,
      anon_sym_GT_RBRACE,
    STATE(21028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788575] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30439), 1,
      anon_sym_DASH_GT,
    STATE(21029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788589] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30441), 1,
      anon_sym_RPAREN,
    STATE(21030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788603] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21115), 1,
      anon_sym_end,
    STATE(21031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788617] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30443), 1,
      anon_sym_SQUOTE2,
    STATE(21032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788631] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30445), 1,
      anon_sym_RBRACE,
    STATE(21033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788645] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30447), 1,
      anon_sym_DQUOTE,
    STATE(21034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788659] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30449), 1,
      sym__lowercase_identifier,
    STATE(21035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788673] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30451), 1,
      anon_sym_RPAREN,
    STATE(21036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788687] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30453), 1,
      anon_sym_DOT_DOT,
    STATE(21037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788701] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30455), 1,
      anon_sym_DOT_DOT,
    STATE(21038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788715] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30457), 1,
      anon_sym_DOT_DOT,
    STATE(21039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788729] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20204), 1,
      anon_sym_end,
    STATE(21040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788743] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(25113), 1,
      anon_sym_RPAREN,
    STATE(21041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788757] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30459), 1,
      anon_sym_SQUOTE2,
    STATE(21042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788771] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30461), 1,
      sym__lowercase_identifier,
    STATE(21043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788785] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17726), 1,
      anon_sym_COMMA,
    STATE(21044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788799] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30463), 1,
      anon_sym_RPAREN,
    STATE(21045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788813] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30465), 1,
      anon_sym_RBRACE,
    STATE(21046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788827] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30467), 1,
      anon_sym_in,
    STATE(21047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788841] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21815), 1,
      anon_sym_GT_RBRACE,
    STATE(21048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788855] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30469), 1,
      anon_sym_RBRACK,
    STATE(21049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788869] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30471), 1,
      anon_sym_RBRACK,
    STATE(21050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788883] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30473), 1,
      anon_sym_DOT_DOT,
    STATE(21051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788897] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30475), 1,
      anon_sym_DOT_DOT,
    STATE(21052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788911] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30477), 1,
      anon_sym_DOT_DOT,
    STATE(21053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788925] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30479), 1,
      anon_sym_RPAREN,
    STATE(21054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788939] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30481), 1,
      anon_sym_RBRACE,
    STATE(21055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788953] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30483), 1,
      anon_sym_RPAREN,
    STATE(21056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788967] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30485), 1,
      anon_sym_RPAREN,
    STATE(21057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788981] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30487), 1,
      anon_sym_RBRACE,
    STATE(21058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788995] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30489), 1,
      anon_sym_RBRACK,
    STATE(21059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789009] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30491), 1,
      anon_sym_of,
    STATE(21060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789023] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30493), 1,
      anon_sym_RBRACE,
    STATE(21061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789037] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30495), 1,
      anon_sym_RBRACE,
    STATE(21062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789051] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30497), 1,
      anon_sym_DASH_GT,
    STATE(21063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789065] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30499), 1,
      anon_sym_RPAREN,
    STATE(21064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789079] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30501), 1,
      anon_sym_DOT_DOT,
    STATE(21065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789093] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30503), 1,
      anon_sym_DOT_DOT,
    STATE(21066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789107] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30505), 1,
      anon_sym_DOT_DOT,
    STATE(21067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789121] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30507), 1,
      anon_sym_RBRACE,
    STATE(21068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789135] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30509), 1,
      anon_sym_RBRACE,
    STATE(21069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789149] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30511), 1,
      anon_sym_RPAREN,
    STATE(21070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789163] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30513), 1,
      anon_sym_RPAREN,
    STATE(21071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789177] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30515), 1,
      anon_sym_RPAREN,
    STATE(21072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789191] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30517), 1,
      anon_sym_end,
    STATE(21073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789205] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30519), 1,
      anon_sym_RBRACE,
    STATE(21074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789219] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30521), 1,
      anon_sym_DASH_GT,
    STATE(21075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789233] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30523), 1,
      anon_sym_RPAREN,
    STATE(21076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789247] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30525), 1,
      anon_sym_RPAREN,
    STATE(21077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789261] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15848), 1,
      anon_sym_COMMA,
    STATE(21078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789275] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30527), 1,
      anon_sym_DOT_DOT,
    STATE(21079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789289] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30529), 1,
      anon_sym_DOT_DOT,
    STATE(21080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789303] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30531), 1,
      anon_sym_DOT_DOT,
    STATE(21081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789317] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30533), 1,
      anon_sym_LT_DASH,
    STATE(21082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789331] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21482), 1,
      anon_sym_GT_RBRACE,
    STATE(21083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789345] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21930), 1,
      anon_sym_GT_RBRACE,
    STATE(21084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789359] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30535), 1,
      anon_sym_RPAREN,
    STATE(21085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789373] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30537), 1,
      anon_sym_in,
    STATE(21086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789387] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30539), 1,
      anon_sym_end,
    STATE(21087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789401] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30541), 1,
      anon_sym_in,
    STATE(21088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789415] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30543), 1,
      anon_sym_in,
    STATE(21089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789429] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20120), 1,
      anon_sym_end,
    STATE(21090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789443] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30545), 1,
      anon_sym_RPAREN,
    STATE(21091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789457] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30547), 1,
      anon_sym_SQUOTE2,
    STATE(21092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789471] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30549), 1,
      anon_sym_DOT_DOT,
    STATE(21093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789485] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30551), 1,
      anon_sym_DOT_DOT,
    STATE(21094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789499] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30553), 1,
      anon_sym_DOT_DOT,
    STATE(21095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789513] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30555), 1,
      anon_sym_RBRACE,
    STATE(21096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789527] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30557), 1,
      anon_sym_DQUOTE,
    STATE(21097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789541] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30559), 1,
      anon_sym_RPAREN,
    STATE(21098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789555] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30561), 1,
      anon_sym_RBRACK,
    STATE(21099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789569] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    STATE(21100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789583] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30563), 1,
      anon_sym_of,
    STATE(21101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789597] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30565), 1,
      anon_sym_DASH_GT,
    STATE(21102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789611] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30567), 1,
      sym__lowercase_identifier,
    STATE(21103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789625] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30569), 1,
      anon_sym_DASH_GT,
    STATE(21104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789639] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30571), 1,
      anon_sym_DOT_DOT,
    STATE(21105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789653] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30573), 1,
      anon_sym_DOT_DOT,
    STATE(21106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789667] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30575), 1,
      anon_sym_DOT_DOT,
    STATE(21107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789681] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30577), 1,
      anon_sym_RPAREN,
    STATE(21108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789695] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30579), 1,
      anon_sym_RPAREN,
    STATE(21109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789709] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30581), 1,
      anon_sym_LT_DASH,
    STATE(21110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789723] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30583), 1,
      anon_sym_STAR,
    STATE(21111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789737] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30585), 1,
      anon_sym_DASH_GT,
    STATE(21112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789751] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30587), 1,
      anon_sym_RPAREN,
    STATE(21113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789765] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30589), 1,
      anon_sym_RBRACK,
    STATE(21114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789779] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30591), 1,
      anon_sym_RPAREN,
    STATE(21115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789793] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30593), 1,
      anon_sym_RBRACE,
    STATE(21116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789807] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30595), 1,
      anon_sym_DOT_DOT,
    STATE(21117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789821] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30597), 1,
      anon_sym_DOT_DOT,
    STATE(21118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789835] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30599), 1,
      anon_sym_DOT_DOT,
    STATE(21119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789849] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30601), 1,
      anon_sym_RPAREN,
    STATE(21120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789863] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30603), 1,
      anon_sym_RBRACK,
    STATE(21121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789877] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30605), 1,
      anon_sym_DOT_DOT,
    STATE(21122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789891] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30607), 1,
      anon_sym_DOT_DOT,
    STATE(21123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789905] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30609), 1,
      anon_sym_DOT_DOT,
    STATE(21124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789919] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11186), 1,
      anon_sym_DASH_GT,
    STATE(21125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789933] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30611), 1,
      anon_sym_RPAREN,
    STATE(21126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789947] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30613), 1,
      anon_sym_DOT_DOT,
    STATE(21127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789961] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30615), 1,
      anon_sym_DOT_DOT,
    STATE(21128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789975] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30617), 1,
      anon_sym_DOT_DOT,
    STATE(21129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789989] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30619), 1,
      anon_sym_RPAREN,
    STATE(21130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790003] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30621), 1,
      anon_sym_RPAREN,
    STATE(21131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790017] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30623), 1,
      anon_sym_DOT_DOT,
    STATE(21132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790031] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30625), 1,
      anon_sym_DOT_DOT,
    STATE(21133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790045] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30627), 1,
      anon_sym_DOT_DOT,
    STATE(21134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790059] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30629), 1,
      anon_sym_RPAREN,
    STATE(21135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790073] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30631), 1,
      anon_sym_RPAREN,
    STATE(21136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790087] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30633), 1,
      anon_sym_DOT_DOT,
    STATE(21137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790101] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30635), 1,
      anon_sym_DOT_DOT,
    STATE(21138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790115] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30637), 1,
      anon_sym_DOT_DOT,
    STATE(21139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790129] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30639), 1,
      anon_sym_RBRACE,
    STATE(21140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790143] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30641), 1,
      anon_sym_DQUOTE,
    STATE(21141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790157] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30643), 1,
      anon_sym_DOT_DOT,
    STATE(21142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790171] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30645), 1,
      anon_sym_DOT_DOT,
    STATE(21143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790185] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30647), 1,
      anon_sym_DOT_DOT,
    STATE(21144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790199] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18383), 1,
      anon_sym_GT,
    STATE(21145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790213] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15409), 1,
      anon_sym_COMMA,
    STATE(21146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790227] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30649), 1,
      anon_sym_DOT_DOT,
    STATE(21147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790241] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30651), 1,
      anon_sym_DOT_DOT,
    STATE(21148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790255] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30653), 1,
      anon_sym_DOT_DOT,
    STATE(21149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790269] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30655), 1,
      anon_sym_LT_DASH,
    STATE(21150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790283] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30657), 1,
      anon_sym_RBRACK,
    STATE(21151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790297] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30659), 1,
      anon_sym_DOT_DOT,
    STATE(21152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790311] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30661), 1,
      anon_sym_DOT_DOT,
    STATE(21153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790325] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30663), 1,
      anon_sym_DOT_DOT,
    STATE(21154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790339] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30665), 1,
      anon_sym_RBRACE,
    STATE(21155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790353] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11544), 1,
      anon_sym_GT,
    STATE(21156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790367] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30667), 1,
      anon_sym_DOT_DOT,
    STATE(21157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790381] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30669), 1,
      anon_sym_DOT_DOT,
    STATE(21158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790395] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30671), 1,
      anon_sym_DOT_DOT,
    STATE(21159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790409] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30673), 1,
      anon_sym_RBRACK,
    STATE(21160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790423] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30675), 1,
      anon_sym_RBRACE,
    STATE(21161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790437] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30677), 1,
      anon_sym_DOT_DOT,
    STATE(21162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790451] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30679), 1,
      anon_sym_DOT_DOT,
    STATE(21163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790465] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30681), 1,
      anon_sym_DOT_DOT,
    STATE(21164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790479] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30683), 1,
      anon_sym_RBRACE,
    STATE(21165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790493] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30685), 1,
      anon_sym_in,
    STATE(21166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790507] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30687), 1,
      anon_sym_DOT_DOT,
    STATE(21167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790521] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30689), 1,
      anon_sym_DOT_DOT,
    STATE(21168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790535] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30691), 1,
      anon_sym_DOT_DOT,
    STATE(21169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790549] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30693), 1,
      anon_sym_RBRACE,
    STATE(21170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790563] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30695), 1,
      anon_sym_in,
    STATE(21171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790577] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30697), 1,
      anon_sym_DOT_DOT,
    STATE(21172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790591] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30699), 1,
      anon_sym_DOT_DOT,
    STATE(21173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790605] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30701), 1,
      anon_sym_DOT_DOT,
    STATE(21174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790619] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30703), 1,
      anon_sym_in,
    STATE(21175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790633] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30705), 1,
      anon_sym_RPAREN,
    STATE(21176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790647] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30707), 1,
      anon_sym_DOT_DOT,
    STATE(21177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790661] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30709), 1,
      anon_sym_DOT_DOT,
    STATE(21178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790675] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30711), 1,
      anon_sym_DOT_DOT,
    STATE(21179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790689] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5195), 1,
      anon_sym_COLON_COLON,
    STATE(21180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790703] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30713), 1,
      anon_sym_DOT,
    STATE(21181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790717] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(12692), 1,
      anon_sym_COMMA,
    STATE(21182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790731] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30715), 1,
      anon_sym_LT_DASH,
    STATE(21183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790745] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30717), 1,
      anon_sym_RBRACK,
    STATE(21184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790759] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3151), 1,
      anon_sym_RPAREN,
    STATE(21185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790773] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30719), 1,
      anon_sym_RBRACK,
    STATE(21186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790787] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30721), 1,
      anon_sym_RBRACE,
    STATE(21187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790801] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30723), 1,
      anon_sym_in,
    STATE(21188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790815] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30725), 1,
      anon_sym_RPAREN,
    STATE(21189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790829] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30727), 1,
      anon_sym_RBRACE,
    STATE(21190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790843] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30729), 1,
      sym__lowercase_identifier,
    STATE(21191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790857] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30731), 1,
      anon_sym_RPAREN,
    STATE(21192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790871] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(14190), 1,
      anon_sym_COMMA,
    STATE(21193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790885] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30733), 1,
      anon_sym_LT_DASH,
    STATE(21194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790899] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30735), 1,
      anon_sym_RPAREN,
    STATE(21195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790913] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30737), 1,
      anon_sym_in,
    STATE(21196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790927] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30739), 1,
      anon_sym_RBRACK,
    STATE(21197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790941] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30741), 1,
      anon_sym_RBRACE,
    STATE(21198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790955] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30743), 1,
      anon_sym_DOT,
    STATE(21199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790969] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30745), 1,
      anon_sym_in,
    STATE(21200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790983] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5529), 1,
      anon_sym_end,
    STATE(21201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790997] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30747), 1,
      anon_sym_in,
    STATE(21202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791011] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30749), 1,
      anon_sym_in,
    STATE(21203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791025] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30751), 1,
      anon_sym_in,
    STATE(21204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791039] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30753), 1,
      anon_sym_RPAREN,
    STATE(21205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791053] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30755), 1,
      anon_sym_DOT,
    STATE(21206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791067] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30757), 1,
      sym_indexing_operator,
    STATE(21207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791081] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30759), 1,
      anon_sym_PLUS_EQ,
    STATE(21208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791095] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    STATE(21209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791109] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30761), 1,
      anon_sym_in,
    STATE(21210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791123] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30763), 1,
      anon_sym_of,
    STATE(21211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791137] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30765), 1,
      anon_sym_RPAREN,
    STATE(21212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791151] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15435), 1,
      anon_sym_COMMA,
    STATE(21213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791165] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30767), 1,
      anon_sym_PLUS_EQ,
    STATE(21214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791179] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30769), 1,
      anon_sym_LT_DASH,
    STATE(21215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791193] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30771), 1,
      anon_sym_RPAREN,
    STATE(21216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791207] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30773), 1,
      anon_sym_RPAREN,
    STATE(21217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791221] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30775), 1,
      anon_sym_RPAREN,
    STATE(21218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791235] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15573), 1,
      anon_sym_COMMA,
    STATE(21219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791249] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30777), 1,
      anon_sym_RPAREN,
    STATE(21220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791263] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30779), 1,
      anon_sym_in,
    STATE(21221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791277] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30781), 1,
      anon_sym_in,
    STATE(21222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791291] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30783), 1,
      anon_sym_STAR,
    STATE(21223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791305] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30785), 1,
      anon_sym_in,
    STATE(21224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791319] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30787), 1,
      anon_sym_in,
    STATE(21225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791333] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30789), 1,
      anon_sym_DOT,
    STATE(21226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791347] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30791), 1,
      sym_indexing_operator,
    STATE(21227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791361] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30793), 1,
      anon_sym_PLUS_EQ,
    STATE(21228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791375] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30795), 1,
      anon_sym_in,
    STATE(21229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791389] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30797), 1,
      anon_sym_PLUS_EQ,
    STATE(21230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791403] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30799), 1,
      anon_sym_in,
    STATE(21231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791417] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30801), 1,
      anon_sym_RPAREN,
    STATE(21232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791431] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30803), 1,
      anon_sym_RPAREN,
    STATE(21233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791445] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30805), 1,
      anon_sym_RBRACK,
    STATE(21234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791459] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30807), 1,
      anon_sym_RBRACE,
    STATE(21235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791473] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30809), 1,
      anon_sym_RPAREN,
    STATE(21236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791487] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30811), 1,
      anon_sym_RBRACE,
    STATE(21237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791501] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30813), 1,
      anon_sym_DASH_GT,
    STATE(21238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791515] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30815), 1,
      anon_sym_RPAREN,
    STATE(21239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791529] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11804), 1,
      anon_sym_GT,
    STATE(21240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791543] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30817), 1,
      sym_indexing_operator,
    STATE(21241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791557] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30819), 1,
      anon_sym_PLUS_EQ,
    STATE(21242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791571] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30821), 1,
      anon_sym_DOT,
    STATE(21243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791585] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30823), 1,
      anon_sym_PLUS_EQ,
    STATE(21244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791599] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30825), 1,
      anon_sym_RBRACE,
    STATE(21245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791613] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30827), 1,
      anon_sym_DASH_GT,
    STATE(21246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791627] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30829), 1,
      anon_sym_RPAREN,
    STATE(21247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791641] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30831), 1,
      anon_sym_RBRACE,
    STATE(21248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791655] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30833), 1,
      anon_sym_RPAREN,
    STATE(21249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791669] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(7635), 1,
      anon_sym_RBRACK,
    STATE(21250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791683] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30835), 1,
      anon_sym_RBRACE,
    STATE(21251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791697] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11868), 1,
      anon_sym_DASH_GT,
    STATE(21252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791711] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20797), 1,
      anon_sym_end,
    STATE(21253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791725] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30837), 1,
      sym_indexing_operator,
    STATE(21254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791739] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      anon_sym_COMMA,
    STATE(21255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791753] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30839), 1,
      anon_sym_RPAREN,
    STATE(21256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791767] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30841), 1,
      anon_sym_LT_DASH,
    STATE(21257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791781] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11100), 1,
      anon_sym_DASH_GT,
    STATE(21258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791795] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30843), 1,
      anon_sym_with,
    STATE(21259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791809] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3187), 1,
      anon_sym_RPAREN,
    STATE(21260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791823] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30845), 1,
      anon_sym_end,
    STATE(21261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791837] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30847), 1,
      anon_sym_SQUOTE2,
    STATE(21262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791851] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30849), 1,
      sym_indexing_operator,
    STATE(21263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791865] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18782), 1,
      anon_sym_DASH_GT,
    STATE(21264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791879] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(18451), 1,
      anon_sym_GT,
    STATE(21265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791893] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30851), 1,
      sym_indexing_operator,
    STATE(21266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791907] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_COMMA,
    STATE(21267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791921] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30853), 1,
      anon_sym_LT_DASH,
    STATE(21268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791935] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30855), 1,
      sym_indexing_operator,
    STATE(21269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791949] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30857), 1,
      anon_sym_RBRACK,
    STATE(21270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791963] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30859), 1,
      anon_sym_RBRACE,
    STATE(21271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791977] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30861), 1,
      sym_indexing_operator,
    STATE(21272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791991] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30863), 1,
      sym_indexing_operator,
    STATE(21273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792005] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30865), 1,
      sym_indexing_operator,
    STATE(21274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792019] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30867), 1,
      sym_indexing_operator,
    STATE(21275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792033] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30869), 1,
      sym_indexing_operator,
    STATE(21276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792047] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30871), 1,
      sym_indexing_operator,
    STATE(21277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792061] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30873), 1,
      sym_indexing_operator,
    STATE(21278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792075] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30875), 1,
      sym_indexing_operator,
    STATE(21279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792089] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30877), 1,
      sym_indexing_operator,
    STATE(21280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792103] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30879), 1,
      sym_indexing_operator,
    STATE(21281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792117] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30881), 1,
      sym_indexing_operator,
    STATE(21282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792131] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30883), 1,
      sym_indexing_operator,
    STATE(21283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792145] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30885), 1,
      sym_indexing_operator,
    STATE(21284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792159] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30887), 1,
      sym_indexing_operator,
    STATE(21285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792173] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30889), 1,
      sym_indexing_operator,
    STATE(21286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792187] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30891), 1,
      sym_indexing_operator,
    STATE(21287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792201] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30893), 1,
      sym_indexing_operator,
    STATE(21288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792215] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30895), 1,
      sym_indexing_operator,
    STATE(21289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792229] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30897), 1,
      sym_indexing_operator,
    STATE(21290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792243] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30899), 1,
      sym_indexing_operator,
    STATE(21291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792257] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30901), 1,
      sym_indexing_operator,
    STATE(21292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792271] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30903), 1,
      sym_indexing_operator,
    STATE(21293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792285] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30905), 1,
      sym_indexing_operator,
    STATE(21294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792299] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30907), 1,
      sym_indexing_operator,
    STATE(21295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792313] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30909), 1,
      sym_indexing_operator,
    STATE(21296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792327] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30911), 1,
      sym_indexing_operator,
    STATE(21297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792341] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30913), 1,
      sym_indexing_operator,
    STATE(21298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792355] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30915), 1,
      sym_indexing_operator,
    STATE(21299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792369] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30917), 1,
      sym_indexing_operator,
    STATE(21300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792383] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30919), 1,
      sym_indexing_operator,
    STATE(21301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792397] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30921), 1,
      sym_indexing_operator,
    STATE(21302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792411] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30923), 1,
      sym_indexing_operator,
    STATE(21303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792425] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30925), 1,
      sym_indexing_operator,
    STATE(21304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792439] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30927), 1,
      sym_indexing_operator,
    STATE(21305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792453] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30929), 1,
      sym_indexing_operator,
    STATE(21306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792467] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30931), 1,
      sym_indexing_operator,
    STATE(21307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792481] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30933), 1,
      sym_indexing_operator,
    STATE(21308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792495] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30935), 1,
      sym_indexing_operator,
    STATE(21309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792509] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30937), 1,
      sym_indexing_operator,
    STATE(21310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792523] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30939), 1,
      sym_indexing_operator,
    STATE(21311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792537] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30941), 1,
      sym_indexing_operator,
    STATE(21312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792551] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30943), 1,
      sym_indexing_operator,
    STATE(21313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792565] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30945), 1,
      sym_indexing_operator,
    STATE(21314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792579] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30947), 1,
      sym_indexing_operator,
    STATE(21315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792593] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30949), 1,
      sym_indexing_operator,
    STATE(21316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792607] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30951), 1,
      sym_indexing_operator,
    STATE(21317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792621] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30953), 1,
      sym_indexing_operator,
    STATE(21318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792635] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30955), 1,
      sym_indexing_operator,
    STATE(21319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792649] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30957), 1,
      anon_sym_type,
    STATE(21320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792663] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30959), 1,
      anon_sym_RBRACE,
    STATE(21321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792677] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30961), 1,
      anon_sym_EQ,
    STATE(21322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792691] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30963), 1,
      anon_sym_with,
    STATE(21323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792705] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30965), 1,
      anon_sym_EQ,
    STATE(21324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792719] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30967), 1,
      anon_sym_in,
    STATE(21325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792733] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30969), 1,
      anon_sym_in,
    STATE(21326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792747] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30971), 1,
      anon_sym_DOT,
    STATE(21327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792761] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3131), 1,
      anon_sym_RPAREN,
    STATE(21328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792775] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30973), 1,
      anon_sym_in,
    STATE(21329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792789] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30975), 1,
      anon_sym_RPAREN,
    STATE(21330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792803] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30977), 1,
      anon_sym_STAR,
    STATE(21331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792817] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(21332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792831] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30979), 1,
      anon_sym_RBRACK,
    STATE(21333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792845] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30981), 1,
      anon_sym_in,
    STATE(21334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792859] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30983), 1,
      anon_sym_end,
    STATE(21335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792873] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30985), 1,
      anon_sym_EQ,
    STATE(21336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792887] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30987), 1,
      anon_sym_EQ,
    STATE(21337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792901] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30989), 1,
      anon_sym_in,
    STATE(21338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792915] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30991), 1,
      anon_sym_DASH_GT,
    STATE(21339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792929] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30993), 1,
      anon_sym_DOT_DOT,
    STATE(21340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792943] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30995), 1,
      anon_sym_DASH_GT,
    STATE(21341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792957] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30997), 1,
      anon_sym_RBRACE,
    STATE(21342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792971] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(30999), 1,
      anon_sym_DOT_DOT,
    STATE(21343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792985] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31001), 1,
      anon_sym_GT,
    STATE(21344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792999] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31003), 1,
      anon_sym_EQ,
    STATE(21345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793013] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31005), 1,
      anon_sym_EQ,
    STATE(21346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793027] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31007), 1,
      anon_sym_RPAREN,
    STATE(21347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793041] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31009), 1,
      anon_sym_end,
    STATE(21348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793055] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31011), 1,
      anon_sym_DOT_DOT,
    STATE(21349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793069] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15620), 1,
      anon_sym_DASH_GT,
    STATE(21350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793083] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23524), 1,
      anon_sym_GT_RBRACE,
    STATE(21351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793097] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31013), 1,
      anon_sym_LT_DASH,
    STATE(21352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793111] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21167), 1,
      anon_sym_end,
    STATE(21353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793125] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31015), 1,
      anon_sym_SQUOTE2,
    STATE(21354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793139] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31017), 1,
      anon_sym_DQUOTE,
    STATE(21355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793153] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31019), 1,
      anon_sym_RBRACE,
    STATE(21356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793167] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31021), 1,
      anon_sym_RPAREN,
    STATE(21357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793181] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15517), 1,
      anon_sym_COMMA,
    STATE(21358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793195] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31023), 1,
      sym__lowercase_identifier,
    STATE(21359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793209] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(21617), 1,
      anon_sym_GT_RBRACE,
    STATE(21360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793223] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31025), 1,
      anon_sym_RPAREN,
    STATE(21361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793237] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31027), 1,
      anon_sym_RBRACE,
    STATE(21362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793251] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31029), 1,
      anon_sym_with,
    STATE(21363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793265] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31031), 1,
      anon_sym_RPAREN,
    STATE(21364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793279] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31033), 1,
      anon_sym_with,
    STATE(21365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793293] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(22064), 1,
      anon_sym_GT_RBRACE,
    STATE(21366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793307] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31035), 1,
      anon_sym_RPAREN,
    STATE(21367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793321] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20368), 1,
      anon_sym_end,
    STATE(21368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793335] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31037), 1,
      anon_sym_DOT,
    STATE(21369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793349] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20150), 1,
      anon_sym_end,
    STATE(21370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793363] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31039), 1,
      anon_sym_RBRACK,
    STATE(21371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793377] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31041), 1,
      anon_sym_SQUOTE2,
    STATE(21372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793391] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31043), 1,
      anon_sym_SQUOTE2,
    STATE(21373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793405] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23358), 1,
      anon_sym_GT_RBRACE,
    STATE(21374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793419] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31045), 1,
      anon_sym_DQUOTE,
    STATE(21375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793433] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31047), 1,
      anon_sym_DOT,
    STATE(21376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793447] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31049), 1,
      anon_sym_DOT,
    STATE(21377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793461] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31051), 1,
      anon_sym_DASH_GT,
    STATE(21378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793475] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(10447), 1,
      anon_sym_COMMA,
    STATE(21379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793489] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31053), 1,
      anon_sym_DQUOTE,
    STATE(21380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793503] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31055), 1,
      anon_sym_RBRACK,
    STATE(21381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793517] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31057), 1,
      anon_sym_LT_DASH,
    STATE(21382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793531] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31059), 1,
      sym__lowercase_identifier,
    STATE(21383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793545] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31061), 1,
      anon_sym_DASH_GT,
    STATE(21384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793559] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(23657), 1,
      anon_sym_RBRACE,
    STATE(21385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793573] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31063), 1,
      anon_sym_DOT,
    STATE(21386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793587] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    STATE(21387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793601] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(17066), 1,
      anon_sym_DASH_GT,
    STATE(21388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793615] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31065), 1,
      sym__lowercase_identifier,
    STATE(21389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793629] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31067), 1,
      anon_sym_RPAREN,
    STATE(21390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793643] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31069), 1,
      anon_sym_RBRACE,
    STATE(21391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793657] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31071), 1,
      anon_sym_LT_DASH,
    STATE(21392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793671] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31073), 1,
      anon_sym_RPAREN,
    STATE(21393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793685] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31075), 1,
      anon_sym_DASH_GT,
    STATE(21394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793699] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11878), 1,
      anon_sym_GT,
    STATE(21395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793713] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31077), 1,
      anon_sym_end,
    STATE(21396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793727] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31079), 1,
      anon_sym_RBRACK,
    STATE(21397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793741] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31081), 1,
      anon_sym_RBRACE,
    STATE(21398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793755] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31083), 1,
      anon_sym_RPAREN,
    STATE(21399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793769] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(20805), 1,
      anon_sym_end,
    STATE(21400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793783] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31085), 1,
      anon_sym_DASH_GT,
    STATE(21401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793797] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31087), 1,
      anon_sym_SQUOTE2,
    STATE(21402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793811] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31089), 1,
      anon_sym_LT_DASH,
    STATE(21403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793825] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31091), 1,
      anon_sym_with,
    STATE(21404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793839] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31093), 1,
      anon_sym_DASH_GT,
    STATE(21405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793853] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31095), 1,
      anon_sym_DQUOTE,
    STATE(21406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793867] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31097), 1,
      anon_sym_RBRACE,
    STATE(21407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793881] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31099), 1,
      anon_sym_with,
    STATE(21408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793895] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31101), 1,
      anon_sym_DOT,
    STATE(21409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793909] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31103), 1,
      anon_sym_RBRACK,
    STATE(21410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793923] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31105), 1,
      anon_sym_RPAREN,
    STATE(21411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793937] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31107), 1,
      anon_sym_RPAREN,
    STATE(21412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793951] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31109), 1,
      anon_sym_RPAREN,
    STATE(21413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793965] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31111), 1,
      anon_sym_DOT,
    STATE(21414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793979] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31113), 1,
      anon_sym_DASH_GT,
    STATE(21415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793993] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31115), 1,
      anon_sym_RPAREN,
    STATE(21416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794007] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31117), 1,
      anon_sym_RBRACK,
    STATE(21417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794021] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31119), 1,
      anon_sym_RBRACE,
    STATE(21418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794035] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31121), 1,
      anon_sym_DASH_GT,
    STATE(21419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794049] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31123), 1,
      anon_sym_RBRACE,
    STATE(21420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794063] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31125), 1,
      anon_sym_RPAREN,
    STATE(21421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794077] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31127), 1,
      anon_sym_RBRACE,
    STATE(21422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794091] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31129), 1,
      anon_sym_RBRACK,
    STATE(21423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794105] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31131), 1,
      anon_sym_in,
    STATE(21424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794119] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31133), 1,
      anon_sym_RBRACE,
    STATE(21425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794133] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31135), 1,
      anon_sym_DASH_GT,
    STATE(21426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794147] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31137), 1,
      anon_sym_RPAREN,
    STATE(21427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794161] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31139), 1,
      anon_sym_DOT,
    STATE(21428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794175] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31141), 1,
      anon_sym_RPAREN,
    STATE(21429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794189] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31143), 1,
      anon_sym_DASH_GT,
    STATE(21430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794203] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31145), 1,
      sym__lowercase_identifier,
    STATE(21431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794217] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(11894), 1,
      anon_sym_GT,
    STATE(21432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794231] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31147), 1,
      anon_sym_RPAREN,
    STATE(21433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794245] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31149), 1,
      anon_sym_DASH_GT,
    STATE(21434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794259] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31151), 1,
      anon_sym_DASH_GT,
    STATE(21435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794273] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31153), 1,
      anon_sym_RPAREN,
    STATE(21436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794287] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31155), 1,
      anon_sym_RPAREN,
    STATE(21437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794301] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(5007), 1,
      anon_sym_end,
    STATE(21438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794315] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31157), 1,
      anon_sym_RPAREN,
    STATE(21439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794329] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31159), 1,
      anon_sym_RPAREN,
    STATE(21440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794343] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31161), 1,
      anon_sym_RBRACK,
    STATE(21441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794357] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31163), 1,
      anon_sym_in,
    STATE(21442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794371] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31165), 1,
      anon_sym_in,
    STATE(21443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794385] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31167), 1,
      anon_sym_RBRACE,
    STATE(21444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794399] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31169), 1,
      anon_sym_RPAREN,
    STATE(21445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794413] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31155), 1,
      anon_sym_RBRACK,
    STATE(21446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794427] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31171), 1,
      aux_sym_number_token1,
    STATE(21447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794441] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31173), 1,
      anon_sym_RPAREN,
    STATE(21448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794455] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31155), 1,
      anon_sym_RBRACE,
    STATE(21449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794469] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31175), 1,
      anon_sym_in,
    STATE(21450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794483] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31177), 1,
      anon_sym_in,
    STATE(21451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794497] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31179), 1,
      anon_sym_DASH_GT,
    STATE(21452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794511] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31181), 1,
      anon_sym_in,
    STATE(21453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794525] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31183), 1,
      anon_sym_DASH_GT,
    STATE(21454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794539] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31185), 1,
      anon_sym_in,
    STATE(21455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794553] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31187), 1,
      anon_sym_DASH_GT,
    STATE(21456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794567] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31189), 1,
      anon_sym_RPAREN,
    STATE(21457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794581] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31191), 1,
      anon_sym_DASH_GT,
    STATE(21458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794595] = 4,
    ACTIONS(23), 1,
      aux_sym_attribute_token1,
    ACTIONS(31193), 1,
      anon_sym_DOT,
    STATE(21459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794609] = 1,
    ACTIONS(31195), 1,
      ts_builtin_sym_end,
  [794613] = 1,
    ACTIONS(31197), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(3116)] = 0,
  [SMALL_STATE(3117)] = 139,
  [SMALL_STATE(3118)] = 214,
  [SMALL_STATE(3119)] = 291,
  [SMALL_STATE(3120)] = 430,
  [SMALL_STATE(3121)] = 569,
  [SMALL_STATE(3122)] = 708,
  [SMALL_STATE(3123)] = 847,
  [SMALL_STATE(3124)] = 986,
  [SMALL_STATE(3125)] = 1125,
  [SMALL_STATE(3126)] = 1200,
  [SMALL_STATE(3127)] = 1275,
  [SMALL_STATE(3128)] = 1414,
  [SMALL_STATE(3129)] = 1553,
  [SMALL_STATE(3130)] = 1692,
  [SMALL_STATE(3131)] = 1767,
  [SMALL_STATE(3132)] = 1906,
  [SMALL_STATE(3133)] = 1981,
  [SMALL_STATE(3134)] = 2120,
  [SMALL_STATE(3135)] = 2259,
  [SMALL_STATE(3136)] = 2398,
  [SMALL_STATE(3137)] = 2473,
  [SMALL_STATE(3138)] = 2612,
  [SMALL_STATE(3139)] = 2751,
  [SMALL_STATE(3140)] = 2890,
  [SMALL_STATE(3141)] = 3029,
  [SMALL_STATE(3142)] = 3168,
  [SMALL_STATE(3143)] = 3307,
  [SMALL_STATE(3144)] = 3446,
  [SMALL_STATE(3145)] = 3585,
  [SMALL_STATE(3146)] = 3724,
  [SMALL_STATE(3147)] = 3863,
  [SMALL_STATE(3148)] = 4002,
  [SMALL_STATE(3149)] = 4141,
  [SMALL_STATE(3150)] = 4216,
  [SMALL_STATE(3151)] = 4355,
  [SMALL_STATE(3152)] = 4430,
  [SMALL_STATE(3153)] = 4569,
  [SMALL_STATE(3154)] = 4708,
  [SMALL_STATE(3155)] = 4847,
  [SMALL_STATE(3156)] = 4986,
  [SMALL_STATE(3157)] = 5061,
  [SMALL_STATE(3158)] = 5200,
  [SMALL_STATE(3159)] = 5339,
  [SMALL_STATE(3160)] = 5414,
  [SMALL_STATE(3161)] = 5553,
  [SMALL_STATE(3162)] = 5692,
  [SMALL_STATE(3163)] = 5831,
  [SMALL_STATE(3164)] = 5970,
  [SMALL_STATE(3165)] = 6109,
  [SMALL_STATE(3166)] = 6248,
  [SMALL_STATE(3167)] = 6387,
  [SMALL_STATE(3168)] = 6462,
  [SMALL_STATE(3169)] = 6601,
  [SMALL_STATE(3170)] = 6740,
  [SMALL_STATE(3171)] = 6879,
  [SMALL_STATE(3172)] = 7018,
  [SMALL_STATE(3173)] = 7157,
  [SMALL_STATE(3174)] = 7296,
  [SMALL_STATE(3175)] = 7435,
  [SMALL_STATE(3176)] = 7574,
  [SMALL_STATE(3177)] = 7713,
  [SMALL_STATE(3178)] = 7852,
  [SMALL_STATE(3179)] = 7991,
  [SMALL_STATE(3180)] = 8130,
  [SMALL_STATE(3181)] = 8269,
  [SMALL_STATE(3182)] = 8408,
  [SMALL_STATE(3183)] = 8547,
  [SMALL_STATE(3184)] = 8624,
  [SMALL_STATE(3185)] = 8763,
  [SMALL_STATE(3186)] = 8840,
  [SMALL_STATE(3187)] = 8979,
  [SMALL_STATE(3188)] = 9118,
  [SMALL_STATE(3189)] = 9193,
  [SMALL_STATE(3190)] = 9332,
  [SMALL_STATE(3191)] = 9471,
  [SMALL_STATE(3192)] = 9610,
  [SMALL_STATE(3193)] = 9749,
  [SMALL_STATE(3194)] = 9888,
  [SMALL_STATE(3195)] = 10027,
  [SMALL_STATE(3196)] = 10166,
  [SMALL_STATE(3197)] = 10305,
  [SMALL_STATE(3198)] = 10428,
  [SMALL_STATE(3199)] = 10567,
  [SMALL_STATE(3200)] = 10706,
  [SMALL_STATE(3201)] = 10845,
  [SMALL_STATE(3202)] = 10984,
  [SMALL_STATE(3203)] = 11123,
  [SMALL_STATE(3204)] = 11262,
  [SMALL_STATE(3205)] = 11401,
  [SMALL_STATE(3206)] = 11540,
  [SMALL_STATE(3207)] = 11679,
  [SMALL_STATE(3208)] = 11818,
  [SMALL_STATE(3209)] = 11957,
  [SMALL_STATE(3210)] = 12096,
  [SMALL_STATE(3211)] = 12171,
  [SMALL_STATE(3212)] = 12310,
  [SMALL_STATE(3213)] = 12449,
  [SMALL_STATE(3214)] = 12588,
  [SMALL_STATE(3215)] = 12727,
  [SMALL_STATE(3216)] = 12866,
  [SMALL_STATE(3217)] = 13005,
  [SMALL_STATE(3218)] = 13144,
  [SMALL_STATE(3219)] = 13283,
  [SMALL_STATE(3220)] = 13422,
  [SMALL_STATE(3221)] = 13497,
  [SMALL_STATE(3222)] = 13636,
  [SMALL_STATE(3223)] = 13775,
  [SMALL_STATE(3224)] = 13914,
  [SMALL_STATE(3225)] = 14053,
  [SMALL_STATE(3226)] = 14192,
  [SMALL_STATE(3227)] = 14331,
  [SMALL_STATE(3228)] = 14406,
  [SMALL_STATE(3229)] = 14545,
  [SMALL_STATE(3230)] = 14684,
  [SMALL_STATE(3231)] = 14823,
  [SMALL_STATE(3232)] = 14898,
  [SMALL_STATE(3233)] = 15037,
  [SMALL_STATE(3234)] = 15176,
  [SMALL_STATE(3235)] = 15315,
  [SMALL_STATE(3236)] = 15454,
  [SMALL_STATE(3237)] = 15593,
  [SMALL_STATE(3238)] = 15732,
  [SMALL_STATE(3239)] = 15871,
  [SMALL_STATE(3240)] = 16010,
  [SMALL_STATE(3241)] = 16149,
  [SMALL_STATE(3242)] = 16224,
  [SMALL_STATE(3243)] = 16363,
  [SMALL_STATE(3244)] = 16502,
  [SMALL_STATE(3245)] = 16641,
  [SMALL_STATE(3246)] = 16780,
  [SMALL_STATE(3247)] = 16855,
  [SMALL_STATE(3248)] = 16994,
  [SMALL_STATE(3249)] = 17071,
  [SMALL_STATE(3250)] = 17210,
  [SMALL_STATE(3251)] = 17349,
  [SMALL_STATE(3252)] = 17488,
  [SMALL_STATE(3253)] = 17562,
  [SMALL_STATE(3254)] = 17638,
  [SMALL_STATE(3255)] = 17712,
  [SMALL_STATE(3256)] = 17786,
  [SMALL_STATE(3257)] = 17916,
  [SMALL_STATE(3258)] = 17990,
  [SMALL_STATE(3259)] = 18064,
  [SMALL_STATE(3260)] = 18138,
  [SMALL_STATE(3261)] = 18212,
  [SMALL_STATE(3262)] = 18286,
  [SMALL_STATE(3263)] = 18416,
  [SMALL_STATE(3264)] = 18546,
  [SMALL_STATE(3265)] = 18620,
  [SMALL_STATE(3266)] = 18694,
  [SMALL_STATE(3267)] = 18768,
  [SMALL_STATE(3268)] = 18842,
  [SMALL_STATE(3269)] = 18916,
  [SMALL_STATE(3270)] = 18990,
  [SMALL_STATE(3271)] = 19064,
  [SMALL_STATE(3272)] = 19138,
  [SMALL_STATE(3273)] = 19212,
  [SMALL_STATE(3274)] = 19286,
  [SMALL_STATE(3275)] = 19360,
  [SMALL_STATE(3276)] = 19434,
  [SMALL_STATE(3277)] = 19508,
  [SMALL_STATE(3278)] = 19582,
  [SMALL_STATE(3279)] = 19656,
  [SMALL_STATE(3280)] = 19730,
  [SMALL_STATE(3281)] = 19806,
  [SMALL_STATE(3282)] = 19880,
  [SMALL_STATE(3283)] = 19954,
  [SMALL_STATE(3284)] = 20084,
  [SMALL_STATE(3285)] = 20160,
  [SMALL_STATE(3286)] = 20290,
  [SMALL_STATE(3287)] = 20364,
  [SMALL_STATE(3288)] = 20438,
  [SMALL_STATE(3289)] = 20568,
  [SMALL_STATE(3290)] = 20698,
  [SMALL_STATE(3291)] = 20772,
  [SMALL_STATE(3292)] = 20846,
  [SMALL_STATE(3293)] = 20976,
  [SMALL_STATE(3294)] = 21050,
  [SMALL_STATE(3295)] = 21124,
  [SMALL_STATE(3296)] = 21198,
  [SMALL_STATE(3297)] = 21272,
  [SMALL_STATE(3298)] = 21346,
  [SMALL_STATE(3299)] = 21420,
  [SMALL_STATE(3300)] = 21494,
  [SMALL_STATE(3301)] = 21568,
  [SMALL_STATE(3302)] = 21642,
  [SMALL_STATE(3303)] = 21716,
  [SMALL_STATE(3304)] = 21790,
  [SMALL_STATE(3305)] = 21938,
  [SMALL_STATE(3306)] = 22068,
  [SMALL_STATE(3307)] = 22198,
  [SMALL_STATE(3308)] = 22272,
  [SMALL_STATE(3309)] = 22346,
  [SMALL_STATE(3310)] = 22420,
  [SMALL_STATE(3311)] = 22494,
  [SMALL_STATE(3312)] = 22570,
  [SMALL_STATE(3313)] = 22700,
  [SMALL_STATE(3314)] = 22830,
  [SMALL_STATE(3315)] = 22910,
  [SMALL_STATE(3316)] = 22984,
  [SMALL_STATE(3317)] = 23058,
  [SMALL_STATE(3318)] = 23132,
  [SMALL_STATE(3319)] = 23206,
  [SMALL_STATE(3320)] = 23280,
  [SMALL_STATE(3321)] = 23356,
  [SMALL_STATE(3322)] = 23430,
  [SMALL_STATE(3323)] = 23504,
  [SMALL_STATE(3324)] = 23578,
  [SMALL_STATE(3325)] = 23652,
  [SMALL_STATE(3326)] = 23726,
  [SMALL_STATE(3327)] = 23800,
  [SMALL_STATE(3328)] = 23874,
  [SMALL_STATE(3329)] = 23948,
  [SMALL_STATE(3330)] = 24022,
  [SMALL_STATE(3331)] = 24096,
  [SMALL_STATE(3332)] = 24226,
  [SMALL_STATE(3333)] = 24300,
  [SMALL_STATE(3334)] = 24374,
  [SMALL_STATE(3335)] = 24448,
  [SMALL_STATE(3336)] = 24522,
  [SMALL_STATE(3337)] = 24596,
  [SMALL_STATE(3338)] = 24670,
  [SMALL_STATE(3339)] = 24744,
  [SMALL_STATE(3340)] = 24818,
  [SMALL_STATE(3341)] = 24892,
  [SMALL_STATE(3342)] = 24966,
  [SMALL_STATE(3343)] = 25040,
  [SMALL_STATE(3344)] = 25114,
  [SMALL_STATE(3345)] = 25188,
  [SMALL_STATE(3346)] = 25318,
  [SMALL_STATE(3347)] = 25392,
  [SMALL_STATE(3348)] = 25522,
  [SMALL_STATE(3349)] = 25596,
  [SMALL_STATE(3350)] = 25672,
  [SMALL_STATE(3351)] = 25802,
  [SMALL_STATE(3352)] = 25876,
  [SMALL_STATE(3353)] = 25950,
  [SMALL_STATE(3354)] = 26024,
  [SMALL_STATE(3355)] = 26098,
  [SMALL_STATE(3356)] = 26172,
  [SMALL_STATE(3357)] = 26246,
  [SMALL_STATE(3358)] = 26320,
  [SMALL_STATE(3359)] = 26394,
  [SMALL_STATE(3360)] = 26468,
  [SMALL_STATE(3361)] = 26542,
  [SMALL_STATE(3362)] = 26672,
  [SMALL_STATE(3363)] = 26746,
  [SMALL_STATE(3364)] = 26876,
  [SMALL_STATE(3365)] = 26950,
  [SMALL_STATE(3366)] = 27098,
  [SMALL_STATE(3367)] = 27172,
  [SMALL_STATE(3368)] = 27246,
  [SMALL_STATE(3369)] = 27320,
  [SMALL_STATE(3370)] = 27450,
  [SMALL_STATE(3371)] = 27524,
  [SMALL_STATE(3372)] = 27604,
  [SMALL_STATE(3373)] = 27684,
  [SMALL_STATE(3374)] = 27758,
  [SMALL_STATE(3375)] = 27832,
  [SMALL_STATE(3376)] = 27962,
  [SMALL_STATE(3377)] = 28038,
  [SMALL_STATE(3378)] = 28112,
  [SMALL_STATE(3379)] = 28186,
  [SMALL_STATE(3380)] = 28260,
  [SMALL_STATE(3381)] = 28334,
  [SMALL_STATE(3382)] = 28408,
  [SMALL_STATE(3383)] = 28482,
  [SMALL_STATE(3384)] = 28556,
  [SMALL_STATE(3385)] = 28686,
  [SMALL_STATE(3386)] = 28816,
  [SMALL_STATE(3387)] = 28890,
  [SMALL_STATE(3388)] = 28964,
  [SMALL_STATE(3389)] = 29038,
  [SMALL_STATE(3390)] = 29168,
  [SMALL_STATE(3391)] = 29242,
  [SMALL_STATE(3392)] = 29316,
  [SMALL_STATE(3393)] = 29390,
  [SMALL_STATE(3394)] = 29466,
  [SMALL_STATE(3395)] = 29540,
  [SMALL_STATE(3396)] = 29614,
  [SMALL_STATE(3397)] = 29688,
  [SMALL_STATE(3398)] = 29762,
  [SMALL_STATE(3399)] = 29836,
  [SMALL_STATE(3400)] = 29910,
  [SMALL_STATE(3401)] = 29986,
  [SMALL_STATE(3402)] = 30060,
  [SMALL_STATE(3403)] = 30134,
  [SMALL_STATE(3404)] = 30208,
  [SMALL_STATE(3405)] = 30282,
  [SMALL_STATE(3406)] = 30356,
  [SMALL_STATE(3407)] = 30430,
  [SMALL_STATE(3408)] = 30560,
  [SMALL_STATE(3409)] = 30634,
  [SMALL_STATE(3410)] = 30708,
  [SMALL_STATE(3411)] = 30838,
  [SMALL_STATE(3412)] = 30968,
  [SMALL_STATE(3413)] = 31098,
  [SMALL_STATE(3414)] = 31174,
  [SMALL_STATE(3415)] = 31248,
  [SMALL_STATE(3416)] = 31322,
  [SMALL_STATE(3417)] = 31396,
  [SMALL_STATE(3418)] = 31470,
  [SMALL_STATE(3419)] = 31544,
  [SMALL_STATE(3420)] = 31618,
  [SMALL_STATE(3421)] = 31692,
  [SMALL_STATE(3422)] = 31822,
  [SMALL_STATE(3423)] = 31896,
  [SMALL_STATE(3424)] = 31970,
  [SMALL_STATE(3425)] = 32044,
  [SMALL_STATE(3426)] = 32118,
  [SMALL_STATE(3427)] = 32192,
  [SMALL_STATE(3428)] = 32266,
  [SMALL_STATE(3429)] = 32340,
  [SMALL_STATE(3430)] = 32414,
  [SMALL_STATE(3431)] = 32488,
  [SMALL_STATE(3432)] = 32564,
  [SMALL_STATE(3433)] = 32694,
  [SMALL_STATE(3434)] = 32768,
  [SMALL_STATE(3435)] = 32842,
  [SMALL_STATE(3436)] = 32916,
  [SMALL_STATE(3437)] = 32992,
  [SMALL_STATE(3438)] = 33066,
  [SMALL_STATE(3439)] = 33140,
  [SMALL_STATE(3440)] = 33270,
  [SMALL_STATE(3441)] = 33344,
  [SMALL_STATE(3442)] = 33418,
  [SMALL_STATE(3443)] = 33492,
  [SMALL_STATE(3444)] = 33622,
  [SMALL_STATE(3445)] = 33696,
  [SMALL_STATE(3446)] = 33770,
  [SMALL_STATE(3447)] = 33900,
  [SMALL_STATE(3448)] = 33976,
  [SMALL_STATE(3449)] = 34050,
  [SMALL_STATE(3450)] = 34180,
  [SMALL_STATE(3451)] = 34254,
  [SMALL_STATE(3452)] = 34328,
  [SMALL_STATE(3453)] = 34402,
  [SMALL_STATE(3454)] = 34532,
  [SMALL_STATE(3455)] = 34606,
  [SMALL_STATE(3456)] = 34680,
  [SMALL_STATE(3457)] = 34754,
  [SMALL_STATE(3458)] = 34828,
  [SMALL_STATE(3459)] = 34902,
  [SMALL_STATE(3460)] = 35032,
  [SMALL_STATE(3461)] = 35106,
  [SMALL_STATE(3462)] = 35180,
  [SMALL_STATE(3463)] = 35254,
  [SMALL_STATE(3464)] = 35328,
  [SMALL_STATE(3465)] = 35402,
  [SMALL_STATE(3466)] = 35532,
  [SMALL_STATE(3467)] = 35662,
  [SMALL_STATE(3468)] = 35736,
  [SMALL_STATE(3469)] = 35810,
  [SMALL_STATE(3470)] = 35940,
  [SMALL_STATE(3471)] = 36014,
  [SMALL_STATE(3472)] = 36088,
  [SMALL_STATE(3473)] = 36162,
  [SMALL_STATE(3474)] = 36236,
  [SMALL_STATE(3475)] = 36310,
  [SMALL_STATE(3476)] = 36384,
  [SMALL_STATE(3477)] = 36458,
  [SMALL_STATE(3478)] = 36532,
  [SMALL_STATE(3479)] = 36606,
  [SMALL_STATE(3480)] = 36680,
  [SMALL_STATE(3481)] = 36810,
  [SMALL_STATE(3482)] = 36940,
  [SMALL_STATE(3483)] = 37014,
  [SMALL_STATE(3484)] = 37094,
  [SMALL_STATE(3485)] = 37168,
  [SMALL_STATE(3486)] = 37242,
  [SMALL_STATE(3487)] = 37316,
  [SMALL_STATE(3488)] = 37446,
  [SMALL_STATE(3489)] = 37520,
  [SMALL_STATE(3490)] = 37594,
  [SMALL_STATE(3491)] = 37668,
  [SMALL_STATE(3492)] = 37742,
  [SMALL_STATE(3493)] = 37818,
  [SMALL_STATE(3494)] = 37948,
  [SMALL_STATE(3495)] = 38022,
  [SMALL_STATE(3496)] = 38096,
  [SMALL_STATE(3497)] = 38226,
  [SMALL_STATE(3498)] = 38299,
  [SMALL_STATE(3499)] = 38372,
  [SMALL_STATE(3500)] = 38445,
  [SMALL_STATE(3501)] = 38518,
  [SMALL_STATE(3502)] = 38591,
  [SMALL_STATE(3503)] = 38664,
  [SMALL_STATE(3504)] = 38737,
  [SMALL_STATE(3505)] = 38810,
  [SMALL_STATE(3506)] = 38883,
  [SMALL_STATE(3507)] = 38956,
  [SMALL_STATE(3508)] = 39029,
  [SMALL_STATE(3509)] = 39102,
  [SMALL_STATE(3510)] = 39175,
  [SMALL_STATE(3511)] = 39248,
  [SMALL_STATE(3512)] = 39321,
  [SMALL_STATE(3513)] = 39394,
  [SMALL_STATE(3514)] = 39467,
  [SMALL_STATE(3515)] = 39540,
  [SMALL_STATE(3516)] = 39619,
  [SMALL_STATE(3517)] = 39692,
  [SMALL_STATE(3518)] = 39765,
  [SMALL_STATE(3519)] = 39838,
  [SMALL_STATE(3520)] = 39911,
  [SMALL_STATE(3521)] = 39984,
  [SMALL_STATE(3522)] = 40057,
  [SMALL_STATE(3523)] = 40130,
  [SMALL_STATE(3524)] = 40205,
  [SMALL_STATE(3525)] = 40278,
  [SMALL_STATE(3526)] = 40351,
  [SMALL_STATE(3527)] = 40424,
  [SMALL_STATE(3528)] = 40497,
  [SMALL_STATE(3529)] = 40570,
  [SMALL_STATE(3530)] = 40643,
  [SMALL_STATE(3531)] = 40716,
  [SMALL_STATE(3532)] = 40789,
  [SMALL_STATE(3533)] = 40862,
  [SMALL_STATE(3534)] = 40935,
  [SMALL_STATE(3535)] = 41008,
  [SMALL_STATE(3536)] = 41081,
  [SMALL_STATE(3537)] = 41154,
  [SMALL_STATE(3538)] = 41227,
  [SMALL_STATE(3539)] = 41300,
  [SMALL_STATE(3540)] = 41373,
  [SMALL_STATE(3541)] = 41446,
  [SMALL_STATE(3542)] = 41525,
  [SMALL_STATE(3543)] = 41598,
  [SMALL_STATE(3544)] = 41671,
  [SMALL_STATE(3545)] = 41744,
  [SMALL_STATE(3546)] = 41817,
  [SMALL_STATE(3547)] = 41890,
  [SMALL_STATE(3548)] = 41963,
  [SMALL_STATE(3549)] = 42036,
  [SMALL_STATE(3550)] = 42109,
  [SMALL_STATE(3551)] = 42182,
  [SMALL_STATE(3552)] = 42255,
  [SMALL_STATE(3553)] = 42328,
  [SMALL_STATE(3554)] = 42401,
  [SMALL_STATE(3555)] = 42474,
  [SMALL_STATE(3556)] = 42547,
  [SMALL_STATE(3557)] = 42620,
  [SMALL_STATE(3558)] = 42699,
  [SMALL_STATE(3559)] = 42772,
  [SMALL_STATE(3560)] = 42845,
  [SMALL_STATE(3561)] = 42918,
  [SMALL_STATE(3562)] = 42991,
  [SMALL_STATE(3563)] = 43064,
  [SMALL_STATE(3564)] = 43137,
  [SMALL_STATE(3565)] = 43210,
  [SMALL_STATE(3566)] = 43283,
  [SMALL_STATE(3567)] = 43358,
  [SMALL_STATE(3568)] = 43431,
  [SMALL_STATE(3569)] = 43504,
  [SMALL_STATE(3570)] = 43577,
  [SMALL_STATE(3571)] = 43650,
  [SMALL_STATE(3572)] = 43723,
  [SMALL_STATE(3573)] = 43796,
  [SMALL_STATE(3574)] = 43869,
  [SMALL_STATE(3575)] = 43942,
  [SMALL_STATE(3576)] = 44015,
  [SMALL_STATE(3577)] = 44088,
  [SMALL_STATE(3578)] = 44161,
  [SMALL_STATE(3579)] = 44234,
  [SMALL_STATE(3580)] = 44307,
  [SMALL_STATE(3581)] = 44380,
  [SMALL_STATE(3582)] = 44453,
  [SMALL_STATE(3583)] = 44526,
  [SMALL_STATE(3584)] = 44599,
  [SMALL_STATE(3585)] = 44672,
  [SMALL_STATE(3586)] = 44745,
  [SMALL_STATE(3587)] = 44824,
  [SMALL_STATE(3588)] = 44897,
  [SMALL_STATE(3589)] = 44970,
  [SMALL_STATE(3590)] = 45043,
  [SMALL_STATE(3591)] = 45116,
  [SMALL_STATE(3592)] = 45189,
  [SMALL_STATE(3593)] = 45262,
  [SMALL_STATE(3594)] = 45335,
  [SMALL_STATE(3595)] = 45408,
  [SMALL_STATE(3596)] = 45481,
  [SMALL_STATE(3597)] = 45554,
  [SMALL_STATE(3598)] = 45627,
  [SMALL_STATE(3599)] = 45700,
  [SMALL_STATE(3600)] = 45773,
  [SMALL_STATE(3601)] = 45846,
  [SMALL_STATE(3602)] = 45919,
  [SMALL_STATE(3603)] = 45992,
  [SMALL_STATE(3604)] = 46067,
  [SMALL_STATE(3605)] = 46140,
  [SMALL_STATE(3606)] = 46213,
  [SMALL_STATE(3607)] = 46286,
  [SMALL_STATE(3608)] = 46359,
  [SMALL_STATE(3609)] = 46432,
  [SMALL_STATE(3610)] = 46505,
  [SMALL_STATE(3611)] = 46578,
  [SMALL_STATE(3612)] = 46651,
  [SMALL_STATE(3613)] = 46724,
  [SMALL_STATE(3614)] = 46797,
  [SMALL_STATE(3615)] = 46872,
  [SMALL_STATE(3616)] = 46945,
  [SMALL_STATE(3617)] = 47018,
  [SMALL_STATE(3618)] = 47091,
  [SMALL_STATE(3619)] = 47164,
  [SMALL_STATE(3620)] = 47237,
  [SMALL_STATE(3621)] = 47310,
  [SMALL_STATE(3622)] = 47383,
  [SMALL_STATE(3623)] = 47456,
  [SMALL_STATE(3624)] = 47529,
  [SMALL_STATE(3625)] = 47602,
  [SMALL_STATE(3626)] = 47675,
  [SMALL_STATE(3627)] = 47748,
  [SMALL_STATE(3628)] = 47821,
  [SMALL_STATE(3629)] = 47894,
  [SMALL_STATE(3630)] = 47967,
  [SMALL_STATE(3631)] = 48040,
  [SMALL_STATE(3632)] = 48113,
  [SMALL_STATE(3633)] = 48186,
  [SMALL_STATE(3634)] = 48259,
  [SMALL_STATE(3635)] = 48332,
  [SMALL_STATE(3636)] = 48405,
  [SMALL_STATE(3637)] = 48478,
  [SMALL_STATE(3638)] = 48551,
  [SMALL_STATE(3639)] = 48624,
  [SMALL_STATE(3640)] = 48699,
  [SMALL_STATE(3641)] = 48772,
  [SMALL_STATE(3642)] = 48845,
  [SMALL_STATE(3643)] = 48918,
  [SMALL_STATE(3644)] = 48991,
  [SMALL_STATE(3645)] = 49064,
  [SMALL_STATE(3646)] = 49137,
  [SMALL_STATE(3647)] = 49210,
  [SMALL_STATE(3648)] = 49285,
  [SMALL_STATE(3649)] = 49358,
  [SMALL_STATE(3650)] = 49431,
  [SMALL_STATE(3651)] = 49504,
  [SMALL_STATE(3652)] = 49577,
  [SMALL_STATE(3653)] = 49650,
  [SMALL_STATE(3654)] = 49723,
  [SMALL_STATE(3655)] = 49796,
  [SMALL_STATE(3656)] = 49869,
  [SMALL_STATE(3657)] = 49942,
  [SMALL_STATE(3658)] = 50017,
  [SMALL_STATE(3659)] = 50090,
  [SMALL_STATE(3660)] = 50163,
  [SMALL_STATE(3661)] = 50236,
  [SMALL_STATE(3662)] = 50309,
  [SMALL_STATE(3663)] = 50382,
  [SMALL_STATE(3664)] = 50455,
  [SMALL_STATE(3665)] = 50528,
  [SMALL_STATE(3666)] = 50601,
  [SMALL_STATE(3667)] = 50676,
  [SMALL_STATE(3668)] = 50749,
  [SMALL_STATE(3669)] = 50822,
  [SMALL_STATE(3670)] = 50895,
  [SMALL_STATE(3671)] = 50968,
  [SMALL_STATE(3672)] = 51041,
  [SMALL_STATE(3673)] = 51114,
  [SMALL_STATE(3674)] = 51187,
  [SMALL_STATE(3675)] = 51260,
  [SMALL_STATE(3676)] = 51333,
  [SMALL_STATE(3677)] = 51406,
  [SMALL_STATE(3678)] = 51479,
  [SMALL_STATE(3679)] = 51552,
  [SMALL_STATE(3680)] = 51625,
  [SMALL_STATE(3681)] = 51698,
  [SMALL_STATE(3682)] = 51771,
  [SMALL_STATE(3683)] = 51844,
  [SMALL_STATE(3684)] = 51917,
  [SMALL_STATE(3685)] = 51990,
  [SMALL_STATE(3686)] = 52063,
  [SMALL_STATE(3687)] = 52136,
  [SMALL_STATE(3688)] = 52209,
  [SMALL_STATE(3689)] = 52282,
  [SMALL_STATE(3690)] = 52355,
  [SMALL_STATE(3691)] = 52428,
  [SMALL_STATE(3692)] = 52501,
  [SMALL_STATE(3693)] = 52574,
  [SMALL_STATE(3694)] = 52653,
  [SMALL_STATE(3695)] = 52726,
  [SMALL_STATE(3696)] = 52799,
  [SMALL_STATE(3697)] = 52872,
  [SMALL_STATE(3698)] = 52945,
  [SMALL_STATE(3699)] = 53018,
  [SMALL_STATE(3700)] = 53091,
  [SMALL_STATE(3701)] = 53164,
  [SMALL_STATE(3702)] = 53239,
  [SMALL_STATE(3703)] = 53312,
  [SMALL_STATE(3704)] = 53385,
  [SMALL_STATE(3705)] = 53458,
  [SMALL_STATE(3706)] = 53531,
  [SMALL_STATE(3707)] = 53604,
  [SMALL_STATE(3708)] = 53677,
  [SMALL_STATE(3709)] = 53750,
  [SMALL_STATE(3710)] = 53823,
  [SMALL_STATE(3711)] = 53896,
  [SMALL_STATE(3712)] = 53969,
  [SMALL_STATE(3713)] = 54042,
  [SMALL_STATE(3714)] = 54115,
  [SMALL_STATE(3715)] = 54188,
  [SMALL_STATE(3716)] = 54261,
  [SMALL_STATE(3717)] = 54334,
  [SMALL_STATE(3718)] = 54407,
  [SMALL_STATE(3719)] = 54480,
  [SMALL_STATE(3720)] = 54559,
  [SMALL_STATE(3721)] = 54632,
  [SMALL_STATE(3722)] = 54705,
  [SMALL_STATE(3723)] = 54778,
  [SMALL_STATE(3724)] = 54851,
  [SMALL_STATE(3725)] = 54924,
  [SMALL_STATE(3726)] = 54997,
  [SMALL_STATE(3727)] = 55070,
  [SMALL_STATE(3728)] = 55143,
  [SMALL_STATE(3729)] = 55216,
  [SMALL_STATE(3730)] = 55289,
  [SMALL_STATE(3731)] = 55362,
  [SMALL_STATE(3732)] = 55435,
  [SMALL_STATE(3733)] = 55508,
  [SMALL_STATE(3734)] = 55581,
  [SMALL_STATE(3735)] = 55654,
  [SMALL_STATE(3736)] = 55727,
  [SMALL_STATE(3737)] = 55800,
  [SMALL_STATE(3738)] = 55873,
  [SMALL_STATE(3739)] = 55946,
  [SMALL_STATE(3740)] = 56019,
  [SMALL_STATE(3741)] = 56092,
  [SMALL_STATE(3742)] = 56165,
  [SMALL_STATE(3743)] = 56240,
  [SMALL_STATE(3744)] = 56313,
  [SMALL_STATE(3745)] = 56388,
  [SMALL_STATE(3746)] = 56461,
  [SMALL_STATE(3747)] = 56534,
  [SMALL_STATE(3748)] = 56607,
  [SMALL_STATE(3749)] = 56680,
  [SMALL_STATE(3750)] = 56753,
  [SMALL_STATE(3751)] = 56826,
  [SMALL_STATE(3752)] = 56899,
  [SMALL_STATE(3753)] = 56972,
  [SMALL_STATE(3754)] = 57045,
  [SMALL_STATE(3755)] = 57118,
  [SMALL_STATE(3756)] = 57191,
  [SMALL_STATE(3757)] = 57264,
  [SMALL_STATE(3758)] = 57337,
  [SMALL_STATE(3759)] = 57410,
  [SMALL_STATE(3760)] = 57483,
  [SMALL_STATE(3761)] = 57558,
  [SMALL_STATE(3762)] = 57633,
  [SMALL_STATE(3763)] = 57706,
  [SMALL_STATE(3764)] = 57779,
  [SMALL_STATE(3765)] = 57852,
  [SMALL_STATE(3766)] = 57925,
  [SMALL_STATE(3767)] = 57998,
  [SMALL_STATE(3768)] = 58071,
  [SMALL_STATE(3769)] = 58144,
  [SMALL_STATE(3770)] = 58217,
  [SMALL_STATE(3771)] = 58290,
  [SMALL_STATE(3772)] = 58363,
  [SMALL_STATE(3773)] = 58436,
  [SMALL_STATE(3774)] = 58509,
  [SMALL_STATE(3775)] = 58584,
  [SMALL_STATE(3776)] = 58659,
  [SMALL_STATE(3777)] = 58732,
  [SMALL_STATE(3778)] = 58805,
  [SMALL_STATE(3779)] = 58878,
  [SMALL_STATE(3780)] = 58951,
  [SMALL_STATE(3781)] = 59024,
  [SMALL_STATE(3782)] = 59097,
  [SMALL_STATE(3783)] = 59170,
  [SMALL_STATE(3784)] = 59243,
  [SMALL_STATE(3785)] = 59316,
  [SMALL_STATE(3786)] = 59389,
  [SMALL_STATE(3787)] = 59462,
  [SMALL_STATE(3788)] = 59535,
  [SMALL_STATE(3789)] = 59608,
  [SMALL_STATE(3790)] = 59681,
  [SMALL_STATE(3791)] = 59756,
  [SMALL_STATE(3792)] = 59829,
  [SMALL_STATE(3793)] = 59902,
  [SMALL_STATE(3794)] = 59975,
  [SMALL_STATE(3795)] = 60048,
  [SMALL_STATE(3796)] = 60121,
  [SMALL_STATE(3797)] = 60194,
  [SMALL_STATE(3798)] = 60267,
  [SMALL_STATE(3799)] = 60340,
  [SMALL_STATE(3800)] = 60413,
  [SMALL_STATE(3801)] = 60486,
  [SMALL_STATE(3802)] = 60559,
  [SMALL_STATE(3803)] = 60632,
  [SMALL_STATE(3804)] = 60705,
  [SMALL_STATE(3805)] = 60778,
  [SMALL_STATE(3806)] = 60851,
  [SMALL_STATE(3807)] = 60924,
  [SMALL_STATE(3808)] = 60997,
  [SMALL_STATE(3809)] = 61070,
  [SMALL_STATE(3810)] = 61143,
  [SMALL_STATE(3811)] = 61216,
  [SMALL_STATE(3812)] = 61289,
  [SMALL_STATE(3813)] = 61362,
  [SMALL_STATE(3814)] = 61435,
  [SMALL_STATE(3815)] = 61508,
  [SMALL_STATE(3816)] = 61587,
  [SMALL_STATE(3817)] = 61660,
  [SMALL_STATE(3818)] = 61739,
  [SMALL_STATE(3819)] = 61812,
  [SMALL_STATE(3820)] = 61885,
  [SMALL_STATE(3821)] = 61958,
  [SMALL_STATE(3822)] = 62031,
  [SMALL_STATE(3823)] = 62104,
  [SMALL_STATE(3824)] = 62177,
  [SMALL_STATE(3825)] = 62250,
  [SMALL_STATE(3826)] = 62323,
  [SMALL_STATE(3827)] = 62396,
  [SMALL_STATE(3828)] = 62469,
  [SMALL_STATE(3829)] = 62542,
  [SMALL_STATE(3830)] = 62615,
  [SMALL_STATE(3831)] = 62688,
  [SMALL_STATE(3832)] = 62762,
  [SMALL_STATE(3833)] = 62836,
  [SMALL_STATE(3834)] = 62910,
  [SMALL_STATE(3835)] = 62982,
  [SMALL_STATE(3836)] = 63124,
  [SMALL_STATE(3837)] = 63196,
  [SMALL_STATE(3838)] = 63268,
  [SMALL_STATE(3839)] = 63340,
  [SMALL_STATE(3840)] = 63412,
  [SMALL_STATE(3841)] = 63536,
  [SMALL_STATE(3842)] = 63608,
  [SMALL_STATE(3843)] = 63750,
  [SMALL_STATE(3844)] = 63822,
  [SMALL_STATE(3845)] = 63894,
  [SMALL_STATE(3846)] = 63966,
  [SMALL_STATE(3847)] = 64038,
  [SMALL_STATE(3848)] = 64110,
  [SMALL_STATE(3849)] = 64182,
  [SMALL_STATE(3850)] = 64324,
  [SMALL_STATE(3851)] = 64396,
  [SMALL_STATE(3852)] = 64468,
  [SMALL_STATE(3853)] = 64540,
  [SMALL_STATE(3854)] = 64664,
  [SMALL_STATE(3855)] = 64736,
  [SMALL_STATE(3856)] = 64808,
  [SMALL_STATE(3857)] = 64880,
  [SMALL_STATE(3858)] = 64954,
  [SMALL_STATE(3859)] = 65028,
  [SMALL_STATE(3860)] = 65100,
  [SMALL_STATE(3861)] = 65172,
  [SMALL_STATE(3862)] = 65244,
  [SMALL_STATE(3863)] = 65316,
  [SMALL_STATE(3864)] = 65388,
  [SMALL_STATE(3865)] = 65460,
  [SMALL_STATE(3866)] = 65534,
  [SMALL_STATE(3867)] = 65606,
  [SMALL_STATE(3868)] = 65678,
  [SMALL_STATE(3869)] = 65750,
  [SMALL_STATE(3870)] = 65822,
  [SMALL_STATE(3871)] = 65894,
  [SMALL_STATE(3872)] = 65966,
  [SMALL_STATE(3873)] = 66038,
  [SMALL_STATE(3874)] = 66112,
  [SMALL_STATE(3875)] = 66254,
  [SMALL_STATE(3876)] = 66326,
  [SMALL_STATE(3877)] = 66450,
  [SMALL_STATE(3878)] = 66522,
  [SMALL_STATE(3879)] = 66594,
  [SMALL_STATE(3880)] = 66666,
  [SMALL_STATE(3881)] = 66808,
  [SMALL_STATE(3882)] = 66932,
  [SMALL_STATE(3883)] = 67004,
  [SMALL_STATE(3884)] = 67076,
  [SMALL_STATE(3885)] = 67148,
  [SMALL_STATE(3886)] = 67220,
  [SMALL_STATE(3887)] = 67292,
  [SMALL_STATE(3888)] = 67364,
  [SMALL_STATE(3889)] = 67436,
  [SMALL_STATE(3890)] = 67508,
  [SMALL_STATE(3891)] = 67580,
  [SMALL_STATE(3892)] = 67652,
  [SMALL_STATE(3893)] = 67724,
  [SMALL_STATE(3894)] = 67866,
  [SMALL_STATE(3895)] = 67990,
  [SMALL_STATE(3896)] = 68062,
  [SMALL_STATE(3897)] = 68204,
  [SMALL_STATE(3898)] = 68328,
  [SMALL_STATE(3899)] = 68400,
  [SMALL_STATE(3900)] = 68472,
  [SMALL_STATE(3901)] = 68544,
  [SMALL_STATE(3902)] = 68616,
  [SMALL_STATE(3903)] = 68758,
  [SMALL_STATE(3904)] = 68830,
  [SMALL_STATE(3905)] = 68902,
  [SMALL_STATE(3906)] = 69026,
  [SMALL_STATE(3907)] = 69098,
  [SMALL_STATE(3908)] = 69172,
  [SMALL_STATE(3909)] = 69314,
  [SMALL_STATE(3910)] = 69456,
  [SMALL_STATE(3911)] = 69580,
  [SMALL_STATE(3912)] = 69652,
  [SMALL_STATE(3913)] = 69794,
  [SMALL_STATE(3914)] = 69918,
  [SMALL_STATE(3915)] = 70060,
  [SMALL_STATE(3916)] = 70184,
  [SMALL_STATE(3917)] = 70256,
  [SMALL_STATE(3918)] = 70398,
  [SMALL_STATE(3919)] = 70540,
  [SMALL_STATE(3920)] = 70664,
  [SMALL_STATE(3921)] = 70736,
  [SMALL_STATE(3922)] = 70878,
  [SMALL_STATE(3923)] = 71002,
  [SMALL_STATE(3924)] = 71144,
  [SMALL_STATE(3925)] = 71268,
  [SMALL_STATE(3926)] = 71340,
  [SMALL_STATE(3927)] = 71482,
  [SMALL_STATE(3928)] = 71606,
  [SMALL_STATE(3929)] = 71748,
  [SMALL_STATE(3930)] = 71872,
  [SMALL_STATE(3931)] = 72014,
  [SMALL_STATE(3932)] = 72138,
  [SMALL_STATE(3933)] = 72280,
  [SMALL_STATE(3934)] = 72404,
  [SMALL_STATE(3935)] = 72546,
  [SMALL_STATE(3936)] = 72670,
  [SMALL_STATE(3937)] = 72812,
  [SMALL_STATE(3938)] = 72936,
  [SMALL_STATE(3939)] = 73078,
  [SMALL_STATE(3940)] = 73202,
  [SMALL_STATE(3941)] = 73344,
  [SMALL_STATE(3942)] = 73468,
  [SMALL_STATE(3943)] = 73610,
  [SMALL_STATE(3944)] = 73734,
  [SMALL_STATE(3945)] = 73876,
  [SMALL_STATE(3946)] = 74000,
  [SMALL_STATE(3947)] = 74142,
  [SMALL_STATE(3948)] = 74266,
  [SMALL_STATE(3949)] = 74408,
  [SMALL_STATE(3950)] = 74532,
  [SMALL_STATE(3951)] = 74674,
  [SMALL_STATE(3952)] = 74798,
  [SMALL_STATE(3953)] = 74870,
  [SMALL_STATE(3954)] = 74942,
  [SMALL_STATE(3955)] = 75084,
  [SMALL_STATE(3956)] = 75208,
  [SMALL_STATE(3957)] = 75350,
  [SMALL_STATE(3958)] = 75474,
  [SMALL_STATE(3959)] = 75546,
  [SMALL_STATE(3960)] = 75688,
  [SMALL_STATE(3961)] = 75760,
  [SMALL_STATE(3962)] = 75884,
  [SMALL_STATE(3963)] = 76026,
  [SMALL_STATE(3964)] = 76150,
  [SMALL_STATE(3965)] = 76292,
  [SMALL_STATE(3966)] = 76416,
  [SMALL_STATE(3967)] = 76488,
  [SMALL_STATE(3968)] = 76560,
  [SMALL_STATE(3969)] = 76702,
  [SMALL_STATE(3970)] = 76774,
  [SMALL_STATE(3971)] = 76898,
  [SMALL_STATE(3972)] = 76970,
  [SMALL_STATE(3973)] = 77048,
  [SMALL_STATE(3974)] = 77190,
  [SMALL_STATE(3975)] = 77262,
  [SMALL_STATE(3976)] = 77334,
  [SMALL_STATE(3977)] = 77406,
  [SMALL_STATE(3978)] = 77478,
  [SMALL_STATE(3979)] = 77550,
  [SMALL_STATE(3980)] = 77622,
  [SMALL_STATE(3981)] = 77694,
  [SMALL_STATE(3982)] = 77766,
  [SMALL_STATE(3983)] = 77838,
  [SMALL_STATE(3984)] = 77910,
  [SMALL_STATE(3985)] = 77988,
  [SMALL_STATE(3986)] = 78060,
  [SMALL_STATE(3987)] = 78132,
  [SMALL_STATE(3988)] = 78274,
  [SMALL_STATE(3989)] = 78346,
  [SMALL_STATE(3990)] = 78418,
  [SMALL_STATE(3991)] = 78560,
  [SMALL_STATE(3992)] = 78632,
  [SMALL_STATE(3993)] = 78774,
  [SMALL_STATE(3994)] = 78848,
  [SMALL_STATE(3995)] = 78920,
  [SMALL_STATE(3996)] = 78992,
  [SMALL_STATE(3997)] = 79064,
  [SMALL_STATE(3998)] = 79136,
  [SMALL_STATE(3999)] = 79208,
  [SMALL_STATE(4000)] = 79280,
  [SMALL_STATE(4001)] = 79352,
  [SMALL_STATE(4002)] = 79424,
  [SMALL_STATE(4003)] = 79548,
  [SMALL_STATE(4004)] = 79620,
  [SMALL_STATE(4005)] = 79692,
  [SMALL_STATE(4006)] = 79764,
  [SMALL_STATE(4007)] = 79836,
  [SMALL_STATE(4008)] = 79908,
  [SMALL_STATE(4009)] = 79980,
  [SMALL_STATE(4010)] = 80052,
  [SMALL_STATE(4011)] = 80124,
  [SMALL_STATE(4012)] = 80198,
  [SMALL_STATE(4013)] = 80270,
  [SMALL_STATE(4014)] = 80342,
  [SMALL_STATE(4015)] = 80414,
  [SMALL_STATE(4016)] = 80486,
  [SMALL_STATE(4017)] = 80558,
  [SMALL_STATE(4018)] = 80630,
  [SMALL_STATE(4019)] = 80702,
  [SMALL_STATE(4020)] = 80774,
  [SMALL_STATE(4021)] = 80846,
  [SMALL_STATE(4022)] = 80918,
  [SMALL_STATE(4023)] = 80990,
  [SMALL_STATE(4024)] = 81062,
  [SMALL_STATE(4025)] = 81134,
  [SMALL_STATE(4026)] = 81206,
  [SMALL_STATE(4027)] = 81278,
  [SMALL_STATE(4028)] = 81350,
  [SMALL_STATE(4029)] = 81422,
  [SMALL_STATE(4030)] = 81494,
  [SMALL_STATE(4031)] = 81566,
  [SMALL_STATE(4032)] = 81638,
  [SMALL_STATE(4033)] = 81710,
  [SMALL_STATE(4034)] = 81782,
  [SMALL_STATE(4035)] = 81854,
  [SMALL_STATE(4036)] = 81926,
  [SMALL_STATE(4037)] = 81998,
  [SMALL_STATE(4038)] = 82070,
  [SMALL_STATE(4039)] = 82212,
  [SMALL_STATE(4040)] = 82284,
  [SMALL_STATE(4041)] = 82356,
  [SMALL_STATE(4042)] = 82428,
  [SMALL_STATE(4043)] = 82500,
  [SMALL_STATE(4044)] = 82578,
  [SMALL_STATE(4045)] = 82650,
  [SMALL_STATE(4046)] = 82728,
  [SMALL_STATE(4047)] = 82800,
  [SMALL_STATE(4048)] = 82872,
  [SMALL_STATE(4049)] = 82944,
  [SMALL_STATE(4050)] = 83016,
  [SMALL_STATE(4051)] = 83088,
  [SMALL_STATE(4052)] = 83160,
  [SMALL_STATE(4053)] = 83232,
  [SMALL_STATE(4054)] = 83304,
  [SMALL_STATE(4055)] = 83376,
  [SMALL_STATE(4056)] = 83450,
  [SMALL_STATE(4057)] = 83522,
  [SMALL_STATE(4058)] = 83594,
  [SMALL_STATE(4059)] = 83666,
  [SMALL_STATE(4060)] = 83738,
  [SMALL_STATE(4061)] = 83810,
  [SMALL_STATE(4062)] = 83934,
  [SMALL_STATE(4063)] = 84058,
  [SMALL_STATE(4064)] = 84200,
  [SMALL_STATE(4065)] = 84342,
  [SMALL_STATE(4066)] = 84466,
  [SMALL_STATE(4067)] = 84608,
  [SMALL_STATE(4068)] = 84750,
  [SMALL_STATE(4069)] = 84822,
  [SMALL_STATE(4070)] = 84964,
  [SMALL_STATE(4071)] = 85106,
  [SMALL_STATE(4072)] = 85230,
  [SMALL_STATE(4073)] = 85354,
  [SMALL_STATE(4074)] = 85496,
  [SMALL_STATE(4075)] = 85638,
  [SMALL_STATE(4076)] = 85762,
  [SMALL_STATE(4077)] = 85904,
  [SMALL_STATE(4078)] = 86046,
  [SMALL_STATE(4079)] = 86170,
  [SMALL_STATE(4080)] = 86294,
  [SMALL_STATE(4081)] = 86366,
  [SMALL_STATE(4082)] = 86508,
  [SMALL_STATE(4083)] = 86650,
  [SMALL_STATE(4084)] = 86774,
  [SMALL_STATE(4085)] = 86916,
  [SMALL_STATE(4086)] = 87058,
  [SMALL_STATE(4087)] = 87200,
  [SMALL_STATE(4088)] = 87272,
  [SMALL_STATE(4089)] = 87344,
  [SMALL_STATE(4090)] = 87416,
  [SMALL_STATE(4091)] = 87558,
  [SMALL_STATE(4092)] = 87630,
  [SMALL_STATE(4093)] = 87702,
  [SMALL_STATE(4094)] = 87774,
  [SMALL_STATE(4095)] = 87846,
  [SMALL_STATE(4096)] = 87970,
  [SMALL_STATE(4097)] = 88112,
  [SMALL_STATE(4098)] = 88184,
  [SMALL_STATE(4099)] = 88326,
  [SMALL_STATE(4100)] = 88468,
  [SMALL_STATE(4101)] = 88540,
  [SMALL_STATE(4102)] = 88612,
  [SMALL_STATE(4103)] = 88684,
  [SMALL_STATE(4104)] = 88756,
  [SMALL_STATE(4105)] = 88828,
  [SMALL_STATE(4106)] = 88900,
  [SMALL_STATE(4107)] = 89024,
  [SMALL_STATE(4108)] = 89096,
  [SMALL_STATE(4109)] = 89220,
  [SMALL_STATE(4110)] = 89362,
  [SMALL_STATE(4111)] = 89434,
  [SMALL_STATE(4112)] = 89558,
  [SMALL_STATE(4113)] = 89700,
  [SMALL_STATE(4114)] = 89842,
  [SMALL_STATE(4115)] = 89966,
  [SMALL_STATE(4116)] = 90108,
  [SMALL_STATE(4117)] = 90250,
  [SMALL_STATE(4118)] = 90374,
  [SMALL_STATE(4119)] = 90516,
  [SMALL_STATE(4120)] = 90640,
  [SMALL_STATE(4121)] = 90712,
  [SMALL_STATE(4122)] = 90854,
  [SMALL_STATE(4123)] = 90926,
  [SMALL_STATE(4124)] = 91050,
  [SMALL_STATE(4125)] = 91122,
  [SMALL_STATE(4126)] = 91194,
  [SMALL_STATE(4127)] = 91268,
  [SMALL_STATE(4128)] = 91410,
  [SMALL_STATE(4129)] = 91549,
  [SMALL_STATE(4130)] = 91620,
  [SMALL_STATE(4131)] = 91691,
  [SMALL_STATE(4132)] = 91762,
  [SMALL_STATE(4133)] = 91833,
  [SMALL_STATE(4134)] = 91906,
  [SMALL_STATE(4135)] = 92045,
  [SMALL_STATE(4136)] = 92184,
  [SMALL_STATE(4137)] = 92323,
  [SMALL_STATE(4138)] = 92462,
  [SMALL_STATE(4139)] = 92583,
  [SMALL_STATE(4140)] = 92722,
  [SMALL_STATE(4141)] = 92861,
  [SMALL_STATE(4142)] = 93000,
  [SMALL_STATE(4143)] = 93139,
  [SMALL_STATE(4144)] = 93278,
  [SMALL_STATE(4145)] = 93417,
  [SMALL_STATE(4146)] = 93556,
  [SMALL_STATE(4147)] = 93695,
  [SMALL_STATE(4148)] = 93834,
  [SMALL_STATE(4149)] = 93973,
  [SMALL_STATE(4150)] = 94094,
  [SMALL_STATE(4151)] = 94233,
  [SMALL_STATE(4152)] = 94372,
  [SMALL_STATE(4153)] = 94511,
  [SMALL_STATE(4154)] = 94650,
  [SMALL_STATE(4155)] = 94723,
  [SMALL_STATE(4156)] = 94796,
  [SMALL_STATE(4157)] = 94935,
  [SMALL_STATE(4158)] = 95074,
  [SMALL_STATE(4159)] = 95213,
  [SMALL_STATE(4160)] = 95352,
  [SMALL_STATE(4161)] = 95491,
  [SMALL_STATE(4162)] = 95630,
  [SMALL_STATE(4163)] = 95751,
  [SMALL_STATE(4164)] = 95890,
  [SMALL_STATE(4165)] = 96029,
  [SMALL_STATE(4166)] = 96168,
  [SMALL_STATE(4167)] = 96307,
  [SMALL_STATE(4168)] = 96446,
  [SMALL_STATE(4169)] = 96585,
  [SMALL_STATE(4170)] = 96656,
  [SMALL_STATE(4171)] = 96795,
  [SMALL_STATE(4172)] = 96934,
  [SMALL_STATE(4173)] = 97073,
  [SMALL_STATE(4174)] = 97212,
  [SMALL_STATE(4175)] = 97333,
  [SMALL_STATE(4176)] = 97472,
  [SMALL_STATE(4177)] = 97611,
  [SMALL_STATE(4178)] = 97750,
  [SMALL_STATE(4179)] = 97889,
  [SMALL_STATE(4180)] = 98028,
  [SMALL_STATE(4181)] = 98167,
  [SMALL_STATE(4182)] = 98288,
  [SMALL_STATE(4183)] = 98427,
  [SMALL_STATE(4184)] = 98566,
  [SMALL_STATE(4185)] = 98637,
  [SMALL_STATE(4186)] = 98776,
  [SMALL_STATE(4187)] = 98915,
  [SMALL_STATE(4188)] = 99054,
  [SMALL_STATE(4189)] = 99193,
  [SMALL_STATE(4190)] = 99264,
  [SMALL_STATE(4191)] = 99403,
  [SMALL_STATE(4192)] = 99542,
  [SMALL_STATE(4193)] = 99681,
  [SMALL_STATE(4194)] = 99802,
  [SMALL_STATE(4195)] = 99941,
  [SMALL_STATE(4196)] = 100080,
  [SMALL_STATE(4197)] = 100219,
  [SMALL_STATE(4198)] = 100358,
  [SMALL_STATE(4199)] = 100429,
  [SMALL_STATE(4200)] = 100500,
  [SMALL_STATE(4201)] = 100571,
  [SMALL_STATE(4202)] = 100642,
  [SMALL_STATE(4203)] = 100713,
  [SMALL_STATE(4204)] = 100784,
  [SMALL_STATE(4205)] = 100905,
  [SMALL_STATE(4206)] = 101044,
  [SMALL_STATE(4207)] = 101165,
  [SMALL_STATE(4208)] = 101286,
  [SMALL_STATE(4209)] = 101407,
  [SMALL_STATE(4210)] = 101546,
  [SMALL_STATE(4211)] = 101617,
  [SMALL_STATE(4212)] = 101690,
  [SMALL_STATE(4213)] = 101811,
  [SMALL_STATE(4214)] = 101882,
  [SMALL_STATE(4215)] = 101953,
  [SMALL_STATE(4216)] = 102074,
  [SMALL_STATE(4217)] = 102195,
  [SMALL_STATE(4218)] = 102334,
  [SMALL_STATE(4219)] = 102473,
  [SMALL_STATE(4220)] = 102544,
  [SMALL_STATE(4221)] = 102665,
  [SMALL_STATE(4222)] = 102736,
  [SMALL_STATE(4223)] = 102807,
  [SMALL_STATE(4224)] = 102878,
  [SMALL_STATE(4225)] = 102949,
  [SMALL_STATE(4226)] = 103020,
  [SMALL_STATE(4227)] = 103091,
  [SMALL_STATE(4228)] = 103162,
  [SMALL_STATE(4229)] = 103233,
  [SMALL_STATE(4230)] = 103304,
  [SMALL_STATE(4231)] = 103375,
  [SMALL_STATE(4232)] = 103446,
  [SMALL_STATE(4233)] = 103517,
  [SMALL_STATE(4234)] = 103590,
  [SMALL_STATE(4235)] = 103711,
  [SMALL_STATE(4236)] = 103782,
  [SMALL_STATE(4237)] = 103853,
  [SMALL_STATE(4238)] = 103924,
  [SMALL_STATE(4239)] = 103995,
  [SMALL_STATE(4240)] = 104066,
  [SMALL_STATE(4241)] = 104137,
  [SMALL_STATE(4242)] = 104208,
  [SMALL_STATE(4243)] = 104279,
  [SMALL_STATE(4244)] = 104350,
  [SMALL_STATE(4245)] = 104421,
  [SMALL_STATE(4246)] = 104492,
  [SMALL_STATE(4247)] = 104563,
  [SMALL_STATE(4248)] = 104634,
  [SMALL_STATE(4249)] = 104705,
  [SMALL_STATE(4250)] = 104776,
  [SMALL_STATE(4251)] = 104847,
  [SMALL_STATE(4252)] = 104918,
  [SMALL_STATE(4253)] = 104989,
  [SMALL_STATE(4254)] = 105060,
  [SMALL_STATE(4255)] = 105131,
  [SMALL_STATE(4256)] = 105202,
  [SMALL_STATE(4257)] = 105273,
  [SMALL_STATE(4258)] = 105394,
  [SMALL_STATE(4259)] = 105465,
  [SMALL_STATE(4260)] = 105536,
  [SMALL_STATE(4261)] = 105607,
  [SMALL_STATE(4262)] = 105684,
  [SMALL_STATE(4263)] = 105805,
  [SMALL_STATE(4264)] = 105876,
  [SMALL_STATE(4265)] = 105997,
  [SMALL_STATE(4266)] = 106074,
  [SMALL_STATE(4267)] = 106195,
  [SMALL_STATE(4268)] = 106266,
  [SMALL_STATE(4269)] = 106387,
  [SMALL_STATE(4270)] = 106458,
  [SMALL_STATE(4271)] = 106579,
  [SMALL_STATE(4272)] = 106650,
  [SMALL_STATE(4273)] = 106771,
  [SMALL_STATE(4274)] = 106842,
  [SMALL_STATE(4275)] = 106913,
  [SMALL_STATE(4276)] = 106984,
  [SMALL_STATE(4277)] = 107055,
  [SMALL_STATE(4278)] = 107126,
  [SMALL_STATE(4279)] = 107197,
  [SMALL_STATE(4280)] = 107268,
  [SMALL_STATE(4281)] = 107339,
  [SMALL_STATE(4282)] = 107460,
  [SMALL_STATE(4283)] = 107581,
  [SMALL_STATE(4284)] = 107652,
  [SMALL_STATE(4285)] = 107723,
  [SMALL_STATE(4286)] = 107844,
  [SMALL_STATE(4287)] = 107915,
  [SMALL_STATE(4288)] = 107988,
  [SMALL_STATE(4289)] = 108059,
  [SMALL_STATE(4290)] = 108130,
  [SMALL_STATE(4291)] = 108251,
  [SMALL_STATE(4292)] = 108322,
  [SMALL_STATE(4293)] = 108393,
  [SMALL_STATE(4294)] = 108514,
  [SMALL_STATE(4295)] = 108585,
  [SMALL_STATE(4296)] = 108706,
  [SMALL_STATE(4297)] = 108827,
  [SMALL_STATE(4298)] = 108898,
  [SMALL_STATE(4299)] = 109019,
  [SMALL_STATE(4300)] = 109158,
  [SMALL_STATE(4301)] = 109279,
  [SMALL_STATE(4302)] = 109400,
  [SMALL_STATE(4303)] = 109471,
  [SMALL_STATE(4304)] = 109542,
  [SMALL_STATE(4305)] = 109663,
  [SMALL_STATE(4306)] = 109802,
  [SMALL_STATE(4307)] = 109923,
  [SMALL_STATE(4308)] = 109994,
  [SMALL_STATE(4309)] = 110115,
  [SMALL_STATE(4310)] = 110236,
  [SMALL_STATE(4311)] = 110307,
  [SMALL_STATE(4312)] = 110428,
  [SMALL_STATE(4313)] = 110549,
  [SMALL_STATE(4314)] = 110622,
  [SMALL_STATE(4315)] = 110693,
  [SMALL_STATE(4316)] = 110814,
  [SMALL_STATE(4317)] = 110935,
  [SMALL_STATE(4318)] = 111056,
  [SMALL_STATE(4319)] = 111177,
  [SMALL_STATE(4320)] = 111248,
  [SMALL_STATE(4321)] = 111319,
  [SMALL_STATE(4322)] = 111458,
  [SMALL_STATE(4323)] = 111529,
  [SMALL_STATE(4324)] = 111600,
  [SMALL_STATE(4325)] = 111671,
  [SMALL_STATE(4326)] = 111744,
  [SMALL_STATE(4327)] = 111815,
  [SMALL_STATE(4328)] = 111886,
  [SMALL_STATE(4329)] = 111957,
  [SMALL_STATE(4330)] = 112028,
  [SMALL_STATE(4331)] = 112099,
  [SMALL_STATE(4332)] = 112170,
  [SMALL_STATE(4333)] = 112241,
  [SMALL_STATE(4334)] = 112312,
  [SMALL_STATE(4335)] = 112383,
  [SMALL_STATE(4336)] = 112454,
  [SMALL_STATE(4337)] = 112525,
  [SMALL_STATE(4338)] = 112598,
  [SMALL_STATE(4339)] = 112669,
  [SMALL_STATE(4340)] = 112740,
  [SMALL_STATE(4341)] = 112811,
  [SMALL_STATE(4342)] = 112882,
  [SMALL_STATE(4343)] = 112953,
  [SMALL_STATE(4344)] = 113024,
  [SMALL_STATE(4345)] = 113095,
  [SMALL_STATE(4346)] = 113166,
  [SMALL_STATE(4347)] = 113237,
  [SMALL_STATE(4348)] = 113308,
  [SMALL_STATE(4349)] = 113381,
  [SMALL_STATE(4350)] = 113452,
  [SMALL_STATE(4351)] = 113523,
  [SMALL_STATE(4352)] = 113594,
  [SMALL_STATE(4353)] = 113667,
  [SMALL_STATE(4354)] = 113806,
  [SMALL_STATE(4355)] = 113877,
  [SMALL_STATE(4356)] = 113948,
  [SMALL_STATE(4357)] = 114021,
  [SMALL_STATE(4358)] = 114092,
  [SMALL_STATE(4359)] = 114163,
  [SMALL_STATE(4360)] = 114234,
  [SMALL_STATE(4361)] = 114305,
  [SMALL_STATE(4362)] = 114376,
  [SMALL_STATE(4363)] = 114447,
  [SMALL_STATE(4364)] = 114518,
  [SMALL_STATE(4365)] = 114589,
  [SMALL_STATE(4366)] = 114660,
  [SMALL_STATE(4367)] = 114731,
  [SMALL_STATE(4368)] = 114802,
  [SMALL_STATE(4369)] = 114873,
  [SMALL_STATE(4370)] = 114946,
  [SMALL_STATE(4371)] = 115017,
  [SMALL_STATE(4372)] = 115088,
  [SMALL_STATE(4373)] = 115159,
  [SMALL_STATE(4374)] = 115230,
  [SMALL_STATE(4375)] = 115301,
  [SMALL_STATE(4376)] = 115372,
  [SMALL_STATE(4377)] = 115443,
  [SMALL_STATE(4378)] = 115514,
  [SMALL_STATE(4379)] = 115585,
  [SMALL_STATE(4380)] = 115656,
  [SMALL_STATE(4381)] = 115727,
  [SMALL_STATE(4382)] = 115798,
  [SMALL_STATE(4383)] = 115869,
  [SMALL_STATE(4384)] = 115940,
  [SMALL_STATE(4385)] = 116011,
  [SMALL_STATE(4386)] = 116082,
  [SMALL_STATE(4387)] = 116153,
  [SMALL_STATE(4388)] = 116226,
  [SMALL_STATE(4389)] = 116297,
  [SMALL_STATE(4390)] = 116368,
  [SMALL_STATE(4391)] = 116439,
  [SMALL_STATE(4392)] = 116510,
  [SMALL_STATE(4393)] = 116581,
  [SMALL_STATE(4394)] = 116652,
  [SMALL_STATE(4395)] = 116723,
  [SMALL_STATE(4396)] = 116800,
  [SMALL_STATE(4397)] = 116877,
  [SMALL_STATE(4398)] = 116948,
  [SMALL_STATE(4399)] = 117019,
  [SMALL_STATE(4400)] = 117090,
  [SMALL_STATE(4401)] = 117161,
  [SMALL_STATE(4402)] = 117232,
  [SMALL_STATE(4403)] = 117303,
  [SMALL_STATE(4404)] = 117374,
  [SMALL_STATE(4405)] = 117445,
  [SMALL_STATE(4406)] = 117516,
  [SMALL_STATE(4407)] = 117587,
  [SMALL_STATE(4408)] = 117658,
  [SMALL_STATE(4409)] = 117729,
  [SMALL_STATE(4410)] = 117800,
  [SMALL_STATE(4411)] = 117871,
  [SMALL_STATE(4412)] = 117942,
  [SMALL_STATE(4413)] = 118013,
  [SMALL_STATE(4414)] = 118084,
  [SMALL_STATE(4415)] = 118155,
  [SMALL_STATE(4416)] = 118226,
  [SMALL_STATE(4417)] = 118297,
  [SMALL_STATE(4418)] = 118368,
  [SMALL_STATE(4419)] = 118489,
  [SMALL_STATE(4420)] = 118607,
  [SMALL_STATE(4421)] = 118725,
  [SMALL_STATE(4422)] = 118795,
  [SMALL_STATE(4423)] = 118913,
  [SMALL_STATE(4424)] = 119031,
  [SMALL_STATE(4425)] = 119149,
  [SMALL_STATE(4426)] = 119219,
  [SMALL_STATE(4427)] = 119289,
  [SMALL_STATE(4428)] = 119359,
  [SMALL_STATE(4429)] = 119429,
  [SMALL_STATE(4430)] = 119547,
  [SMALL_STATE(4431)] = 119665,
  [SMALL_STATE(4432)] = 119783,
  [SMALL_STATE(4433)] = 119901,
  [SMALL_STATE(4434)] = 120019,
  [SMALL_STATE(4435)] = 120137,
  [SMALL_STATE(4436)] = 120207,
  [SMALL_STATE(4437)] = 120277,
  [SMALL_STATE(4438)] = 120347,
  [SMALL_STATE(4439)] = 120465,
  [SMALL_STATE(4440)] = 120583,
  [SMALL_STATE(4441)] = 120701,
  [SMALL_STATE(4442)] = 120819,
  [SMALL_STATE(4443)] = 120937,
  [SMALL_STATE(4444)] = 121007,
  [SMALL_STATE(4445)] = 121125,
  [SMALL_STATE(4446)] = 121243,
  [SMALL_STATE(4447)] = 121361,
  [SMALL_STATE(4448)] = 121431,
  [SMALL_STATE(4449)] = 121549,
  [SMALL_STATE(4450)] = 121619,
  [SMALL_STATE(4451)] = 121755,
  [SMALL_STATE(4452)] = 121891,
  [SMALL_STATE(4453)] = 122027,
  [SMALL_STATE(4454)] = 122163,
  [SMALL_STATE(4455)] = 122299,
  [SMALL_STATE(4456)] = 122417,
  [SMALL_STATE(4457)] = 122535,
  [SMALL_STATE(4458)] = 122653,
  [SMALL_STATE(4459)] = 122771,
  [SMALL_STATE(4460)] = 122841,
  [SMALL_STATE(4461)] = 122911,
  [SMALL_STATE(4462)] = 123029,
  [SMALL_STATE(4463)] = 123099,
  [SMALL_STATE(4464)] = 123217,
  [SMALL_STATE(4465)] = 123293,
  [SMALL_STATE(4466)] = 123411,
  [SMALL_STATE(4467)] = 123481,
  [SMALL_STATE(4468)] = 123599,
  [SMALL_STATE(4469)] = 123717,
  [SMALL_STATE(4470)] = 123787,
  [SMALL_STATE(4471)] = 123905,
  [SMALL_STATE(4472)] = 124023,
  [SMALL_STATE(4473)] = 124141,
  [SMALL_STATE(4474)] = 124259,
  [SMALL_STATE(4475)] = 124377,
  [SMALL_STATE(4476)] = 124495,
  [SMALL_STATE(4477)] = 124613,
  [SMALL_STATE(4478)] = 124731,
  [SMALL_STATE(4479)] = 124801,
  [SMALL_STATE(4480)] = 124871,
  [SMALL_STATE(4481)] = 124941,
  [SMALL_STATE(4482)] = 125059,
  [SMALL_STATE(4483)] = 125177,
  [SMALL_STATE(4484)] = 125247,
  [SMALL_STATE(4485)] = 125365,
  [SMALL_STATE(4486)] = 125501,
  [SMALL_STATE(4487)] = 125637,
  [SMALL_STATE(4488)] = 125773,
  [SMALL_STATE(4489)] = 125845,
  [SMALL_STATE(4490)] = 125963,
  [SMALL_STATE(4491)] = 126081,
  [SMALL_STATE(4492)] = 126199,
  [SMALL_STATE(4493)] = 126335,
  [SMALL_STATE(4494)] = 126471,
  [SMALL_STATE(4495)] = 126541,
  [SMALL_STATE(4496)] = 126659,
  [SMALL_STATE(4497)] = 126729,
  [SMALL_STATE(4498)] = 126799,
  [SMALL_STATE(4499)] = 126869,
  [SMALL_STATE(4500)] = 126987,
  [SMALL_STATE(4501)] = 127105,
  [SMALL_STATE(4502)] = 127175,
  [SMALL_STATE(4503)] = 127251,
  [SMALL_STATE(4504)] = 127369,
  [SMALL_STATE(4505)] = 127487,
  [SMALL_STATE(4506)] = 127605,
  [SMALL_STATE(4507)] = 127677,
  [SMALL_STATE(4508)] = 127747,
  [SMALL_STATE(4509)] = 127817,
  [SMALL_STATE(4510)] = 127887,
  [SMALL_STATE(4511)] = 127957,
  [SMALL_STATE(4512)] = 128075,
  [SMALL_STATE(4513)] = 128193,
  [SMALL_STATE(4514)] = 128311,
  [SMALL_STATE(4515)] = 128381,
  [SMALL_STATE(4516)] = 128451,
  [SMALL_STATE(4517)] = 128521,
  [SMALL_STATE(4518)] = 128591,
  [SMALL_STATE(4519)] = 128661,
  [SMALL_STATE(4520)] = 128779,
  [SMALL_STATE(4521)] = 128897,
  [SMALL_STATE(4522)] = 129015,
  [SMALL_STATE(4523)] = 129085,
  [SMALL_STATE(4524)] = 129203,
  [SMALL_STATE(4525)] = 129273,
  [SMALL_STATE(4526)] = 129343,
  [SMALL_STATE(4527)] = 129413,
  [SMALL_STATE(4528)] = 129483,
  [SMALL_STATE(4529)] = 129553,
  [SMALL_STATE(4530)] = 129623,
  [SMALL_STATE(4531)] = 129693,
  [SMALL_STATE(4532)] = 129829,
  [SMALL_STATE(4533)] = 129899,
  [SMALL_STATE(4534)] = 129969,
  [SMALL_STATE(4535)] = 130087,
  [SMALL_STATE(4536)] = 130223,
  [SMALL_STATE(4537)] = 130341,
  [SMALL_STATE(4538)] = 130411,
  [SMALL_STATE(4539)] = 130481,
  [SMALL_STATE(4540)] = 130617,
  [SMALL_STATE(4541)] = 130735,
  [SMALL_STATE(4542)] = 130853,
  [SMALL_STATE(4543)] = 130923,
  [SMALL_STATE(4544)] = 131041,
  [SMALL_STATE(4545)] = 131159,
  [SMALL_STATE(4546)] = 131277,
  [SMALL_STATE(4547)] = 131349,
  [SMALL_STATE(4548)] = 131425,
  [SMALL_STATE(4549)] = 131561,
  [SMALL_STATE(4550)] = 131631,
  [SMALL_STATE(4551)] = 131767,
  [SMALL_STATE(4552)] = 131885,
  [SMALL_STATE(4553)] = 132003,
  [SMALL_STATE(4554)] = 132073,
  [SMALL_STATE(4555)] = 132191,
  [SMALL_STATE(4556)] = 132263,
  [SMALL_STATE(4557)] = 132333,
  [SMALL_STATE(4558)] = 132403,
  [SMALL_STATE(4559)] = 132473,
  [SMALL_STATE(4560)] = 132591,
  [SMALL_STATE(4561)] = 132709,
  [SMALL_STATE(4562)] = 132827,
  [SMALL_STATE(4563)] = 132897,
  [SMALL_STATE(4564)] = 132967,
  [SMALL_STATE(4565)] = 133085,
  [SMALL_STATE(4566)] = 133203,
  [SMALL_STATE(4567)] = 133273,
  [SMALL_STATE(4568)] = 133409,
  [SMALL_STATE(4569)] = 133545,
  [SMALL_STATE(4570)] = 133681,
  [SMALL_STATE(4571)] = 133817,
  [SMALL_STATE(4572)] = 133935,
  [SMALL_STATE(4573)] = 134053,
  [SMALL_STATE(4574)] = 134171,
  [SMALL_STATE(4575)] = 134241,
  [SMALL_STATE(4576)] = 134359,
  [SMALL_STATE(4577)] = 134477,
  [SMALL_STATE(4578)] = 134547,
  [SMALL_STATE(4579)] = 134617,
  [SMALL_STATE(4580)] = 134687,
  [SMALL_STATE(4581)] = 134757,
  [SMALL_STATE(4582)] = 134875,
  [SMALL_STATE(4583)] = 134993,
  [SMALL_STATE(4584)] = 135111,
  [SMALL_STATE(4585)] = 135181,
  [SMALL_STATE(4586)] = 135299,
  [SMALL_STATE(4587)] = 135417,
  [SMALL_STATE(4588)] = 135535,
  [SMALL_STATE(4589)] = 135605,
  [SMALL_STATE(4590)] = 135741,
  [SMALL_STATE(4591)] = 135859,
  [SMALL_STATE(4592)] = 135977,
  [SMALL_STATE(4593)] = 136095,
  [SMALL_STATE(4594)] = 136165,
  [SMALL_STATE(4595)] = 136235,
  [SMALL_STATE(4596)] = 136353,
  [SMALL_STATE(4597)] = 136471,
  [SMALL_STATE(4598)] = 136589,
  [SMALL_STATE(4599)] = 136707,
  [SMALL_STATE(4600)] = 136825,
  [SMALL_STATE(4601)] = 136943,
  [SMALL_STATE(4602)] = 137013,
  [SMALL_STATE(4603)] = 137083,
  [SMALL_STATE(4604)] = 137201,
  [SMALL_STATE(4605)] = 137319,
  [SMALL_STATE(4606)] = 137437,
  [SMALL_STATE(4607)] = 137507,
  [SMALL_STATE(4608)] = 137577,
  [SMALL_STATE(4609)] = 137695,
  [SMALL_STATE(4610)] = 137813,
  [SMALL_STATE(4611)] = 137931,
  [SMALL_STATE(4612)] = 138001,
  [SMALL_STATE(4613)] = 138137,
  [SMALL_STATE(4614)] = 138255,
  [SMALL_STATE(4615)] = 138373,
  [SMALL_STATE(4616)] = 138491,
  [SMALL_STATE(4617)] = 138627,
  [SMALL_STATE(4618)] = 138763,
  [SMALL_STATE(4619)] = 138881,
  [SMALL_STATE(4620)] = 138999,
  [SMALL_STATE(4621)] = 139117,
  [SMALL_STATE(4622)] = 139253,
  [SMALL_STATE(4623)] = 139389,
  [SMALL_STATE(4624)] = 139507,
  [SMALL_STATE(4625)] = 139643,
  [SMALL_STATE(4626)] = 139779,
  [SMALL_STATE(4627)] = 139897,
  [SMALL_STATE(4628)] = 139969,
  [SMALL_STATE(4629)] = 140105,
  [SMALL_STATE(4630)] = 140223,
  [SMALL_STATE(4631)] = 140293,
  [SMALL_STATE(4632)] = 140363,
  [SMALL_STATE(4633)] = 140433,
  [SMALL_STATE(4634)] = 140503,
  [SMALL_STATE(4635)] = 140639,
  [SMALL_STATE(4636)] = 140709,
  [SMALL_STATE(4637)] = 140845,
  [SMALL_STATE(4638)] = 140981,
  [SMALL_STATE(4639)] = 141051,
  [SMALL_STATE(4640)] = 141187,
  [SMALL_STATE(4641)] = 141305,
  [SMALL_STATE(4642)] = 141423,
  [SMALL_STATE(4643)] = 141493,
  [SMALL_STATE(4644)] = 141611,
  [SMALL_STATE(4645)] = 141729,
  [SMALL_STATE(4646)] = 141847,
  [SMALL_STATE(4647)] = 141965,
  [SMALL_STATE(4648)] = 142035,
  [SMALL_STATE(4649)] = 142105,
  [SMALL_STATE(4650)] = 142175,
  [SMALL_STATE(4651)] = 142245,
  [SMALL_STATE(4652)] = 142315,
  [SMALL_STATE(4653)] = 142385,
  [SMALL_STATE(4654)] = 142455,
  [SMALL_STATE(4655)] = 142573,
  [SMALL_STATE(4656)] = 142643,
  [SMALL_STATE(4657)] = 142715,
  [SMALL_STATE(4658)] = 142785,
  [SMALL_STATE(4659)] = 142855,
  [SMALL_STATE(4660)] = 142973,
  [SMALL_STATE(4661)] = 143043,
  [SMALL_STATE(4662)] = 143113,
  [SMALL_STATE(4663)] = 143185,
  [SMALL_STATE(4664)] = 143255,
  [SMALL_STATE(4665)] = 143325,
  [SMALL_STATE(4666)] = 143395,
  [SMALL_STATE(4667)] = 143513,
  [SMALL_STATE(4668)] = 143583,
  [SMALL_STATE(4669)] = 143653,
  [SMALL_STATE(4670)] = 143723,
  [SMALL_STATE(4671)] = 143793,
  [SMALL_STATE(4672)] = 143863,
  [SMALL_STATE(4673)] = 143933,
  [SMALL_STATE(4674)] = 144003,
  [SMALL_STATE(4675)] = 144073,
  [SMALL_STATE(4676)] = 144143,
  [SMALL_STATE(4677)] = 144213,
  [SMALL_STATE(4678)] = 144283,
  [SMALL_STATE(4679)] = 144353,
  [SMALL_STATE(4680)] = 144423,
  [SMALL_STATE(4681)] = 144493,
  [SMALL_STATE(4682)] = 144611,
  [SMALL_STATE(4683)] = 144729,
  [SMALL_STATE(4684)] = 144799,
  [SMALL_STATE(4685)] = 144869,
  [SMALL_STATE(4686)] = 144939,
  [SMALL_STATE(4687)] = 145009,
  [SMALL_STATE(4688)] = 145081,
  [SMALL_STATE(4689)] = 145199,
  [SMALL_STATE(4690)] = 145335,
  [SMALL_STATE(4691)] = 145405,
  [SMALL_STATE(4692)] = 145475,
  [SMALL_STATE(4693)] = 145545,
  [SMALL_STATE(4694)] = 145615,
  [SMALL_STATE(4695)] = 145685,
  [SMALL_STATE(4696)] = 145755,
  [SMALL_STATE(4697)] = 145825,
  [SMALL_STATE(4698)] = 145943,
  [SMALL_STATE(4699)] = 146061,
  [SMALL_STATE(4700)] = 146131,
  [SMALL_STATE(4701)] = 146201,
  [SMALL_STATE(4702)] = 146271,
  [SMALL_STATE(4703)] = 146341,
  [SMALL_STATE(4704)] = 146411,
  [SMALL_STATE(4705)] = 146481,
  [SMALL_STATE(4706)] = 146551,
  [SMALL_STATE(4707)] = 146621,
  [SMALL_STATE(4708)] = 146691,
  [SMALL_STATE(4709)] = 146827,
  [SMALL_STATE(4710)] = 146897,
  [SMALL_STATE(4711)] = 146967,
  [SMALL_STATE(4712)] = 147085,
  [SMALL_STATE(4713)] = 147155,
  [SMALL_STATE(4714)] = 147225,
  [SMALL_STATE(4715)] = 147295,
  [SMALL_STATE(4716)] = 147365,
  [SMALL_STATE(4717)] = 147435,
  [SMALL_STATE(4718)] = 147505,
  [SMALL_STATE(4719)] = 147575,
  [SMALL_STATE(4720)] = 147645,
  [SMALL_STATE(4721)] = 147715,
  [SMALL_STATE(4722)] = 147785,
  [SMALL_STATE(4723)] = 147903,
  [SMALL_STATE(4724)] = 148039,
  [SMALL_STATE(4725)] = 148157,
  [SMALL_STATE(4726)] = 148227,
  [SMALL_STATE(4727)] = 148345,
  [SMALL_STATE(4728)] = 148463,
  [SMALL_STATE(4729)] = 148581,
  [SMALL_STATE(4730)] = 148651,
  [SMALL_STATE(4731)] = 148721,
  [SMALL_STATE(4732)] = 148839,
  [SMALL_STATE(4733)] = 148909,
  [SMALL_STATE(4734)] = 149027,
  [SMALL_STATE(4735)] = 149097,
  [SMALL_STATE(4736)] = 149167,
  [SMALL_STATE(4737)] = 149237,
  [SMALL_STATE(4738)] = 149307,
  [SMALL_STATE(4739)] = 149425,
  [SMALL_STATE(4740)] = 149543,
  [SMALL_STATE(4741)] = 149661,
  [SMALL_STATE(4742)] = 149731,
  [SMALL_STATE(4743)] = 149867,
  [SMALL_STATE(4744)] = 149985,
  [SMALL_STATE(4745)] = 150055,
  [SMALL_STATE(4746)] = 150191,
  [SMALL_STATE(4747)] = 150327,
  [SMALL_STATE(4748)] = 150397,
  [SMALL_STATE(4749)] = 150467,
  [SMALL_STATE(4750)] = 150603,
  [SMALL_STATE(4751)] = 150721,
  [SMALL_STATE(4752)] = 150839,
  [SMALL_STATE(4753)] = 150909,
  [SMALL_STATE(4754)] = 150979,
  [SMALL_STATE(4755)] = 151049,
  [SMALL_STATE(4756)] = 151125,
  [SMALL_STATE(4757)] = 151261,
  [SMALL_STATE(4758)] = 151397,
  [SMALL_STATE(4759)] = 151533,
  [SMALL_STATE(4760)] = 151669,
  [SMALL_STATE(4761)] = 151805,
  [SMALL_STATE(4762)] = 151923,
  [SMALL_STATE(4763)] = 152041,
  [SMALL_STATE(4764)] = 152159,
  [SMALL_STATE(4765)] = 152229,
  [SMALL_STATE(4766)] = 152347,
  [SMALL_STATE(4767)] = 152417,
  [SMALL_STATE(4768)] = 152535,
  [SMALL_STATE(4769)] = 152604,
  [SMALL_STATE(4770)] = 152673,
  [SMALL_STATE(4771)] = 152742,
  [SMALL_STATE(4772)] = 152813,
  [SMALL_STATE(4773)] = 152882,
  [SMALL_STATE(4774)] = 152953,
  [SMALL_STATE(4775)] = 153023,
  [SMALL_STATE(4776)] = 153091,
  [SMALL_STATE(4777)] = 153159,
  [SMALL_STATE(4778)] = 153227,
  [SMALL_STATE(4779)] = 153297,
  [SMALL_STATE(4780)] = 153365,
  [SMALL_STATE(4781)] = 153436,
  [SMALL_STATE(4782)] = 153503,
  [SMALL_STATE(4783)] = 153624,
  [SMALL_STATE(4784)] = 153691,
  [SMALL_STATE(4785)] = 153758,
  [SMALL_STATE(4786)] = 153827,
  [SMALL_STATE(4787)] = 153948,
  [SMALL_STATE(4788)] = 154019,
  [SMALL_STATE(4789)] = 154134,
  [SMALL_STATE(4790)] = 154255,
  [SMALL_STATE(4791)] = 154322,
  [SMALL_STATE(4792)] = 154443,
  [SMALL_STATE(4793)] = 154564,
  [SMALL_STATE(4794)] = 154682,
  [SMALL_STATE(4795)] = 154800,
  [SMALL_STATE(4796)] = 154918,
  [SMALL_STATE(4797)] = 155036,
  [SMALL_STATE(4798)] = 155154,
  [SMALL_STATE(4799)] = 155272,
  [SMALL_STATE(4800)] = 155390,
  [SMALL_STATE(4801)] = 155508,
  [SMALL_STATE(4802)] = 155626,
  [SMALL_STATE(4803)] = 155744,
  [SMALL_STATE(4804)] = 155862,
  [SMALL_STATE(4805)] = 155980,
  [SMALL_STATE(4806)] = 156098,
  [SMALL_STATE(4807)] = 156216,
  [SMALL_STATE(4808)] = 156334,
  [SMALL_STATE(4809)] = 156452,
  [SMALL_STATE(4810)] = 156570,
  [SMALL_STATE(4811)] = 156688,
  [SMALL_STATE(4812)] = 156806,
  [SMALL_STATE(4813)] = 156924,
  [SMALL_STATE(4814)] = 157042,
  [SMALL_STATE(4815)] = 157160,
  [SMALL_STATE(4816)] = 157278,
  [SMALL_STATE(4817)] = 157396,
  [SMALL_STATE(4818)] = 157514,
  [SMALL_STATE(4819)] = 157632,
  [SMALL_STATE(4820)] = 157750,
  [SMALL_STATE(4821)] = 157868,
  [SMALL_STATE(4822)] = 157986,
  [SMALL_STATE(4823)] = 158104,
  [SMALL_STATE(4824)] = 158222,
  [SMALL_STATE(4825)] = 158340,
  [SMALL_STATE(4826)] = 158458,
  [SMALL_STATE(4827)] = 158576,
  [SMALL_STATE(4828)] = 158694,
  [SMALL_STATE(4829)] = 158812,
  [SMALL_STATE(4830)] = 158930,
  [SMALL_STATE(4831)] = 159048,
  [SMALL_STATE(4832)] = 159166,
  [SMALL_STATE(4833)] = 159284,
  [SMALL_STATE(4834)] = 159402,
  [SMALL_STATE(4835)] = 159520,
  [SMALL_STATE(4836)] = 159638,
  [SMALL_STATE(4837)] = 159756,
  [SMALL_STATE(4838)] = 159874,
  [SMALL_STATE(4839)] = 159992,
  [SMALL_STATE(4840)] = 160058,
  [SMALL_STATE(4841)] = 160176,
  [SMALL_STATE(4842)] = 160294,
  [SMALL_STATE(4843)] = 160412,
  [SMALL_STATE(4844)] = 160530,
  [SMALL_STATE(4845)] = 160648,
  [SMALL_STATE(4846)] = 160766,
  [SMALL_STATE(4847)] = 160884,
  [SMALL_STATE(4848)] = 161002,
  [SMALL_STATE(4849)] = 161120,
  [SMALL_STATE(4850)] = 161238,
  [SMALL_STATE(4851)] = 161356,
  [SMALL_STATE(4852)] = 161474,
  [SMALL_STATE(4853)] = 161592,
  [SMALL_STATE(4854)] = 161710,
  [SMALL_STATE(4855)] = 161828,
  [SMALL_STATE(4856)] = 161946,
  [SMALL_STATE(4857)] = 162064,
  [SMALL_STATE(4858)] = 162182,
  [SMALL_STATE(4859)] = 162300,
  [SMALL_STATE(4860)] = 162418,
  [SMALL_STATE(4861)] = 162536,
  [SMALL_STATE(4862)] = 162654,
  [SMALL_STATE(4863)] = 162772,
  [SMALL_STATE(4864)] = 162840,
  [SMALL_STATE(4865)] = 162906,
  [SMALL_STATE(4866)] = 163024,
  [SMALL_STATE(4867)] = 163090,
  [SMALL_STATE(4868)] = 163156,
  [SMALL_STATE(4869)] = 163222,
  [SMALL_STATE(4870)] = 163340,
  [SMALL_STATE(4871)] = 163406,
  [SMALL_STATE(4872)] = 163472,
  [SMALL_STATE(4873)] = 163538,
  [SMALL_STATE(4874)] = 163656,
  [SMALL_STATE(4875)] = 163774,
  [SMALL_STATE(4876)] = 163892,
  [SMALL_STATE(4877)] = 164010,
  [SMALL_STATE(4878)] = 164128,
  [SMALL_STATE(4879)] = 164246,
  [SMALL_STATE(4880)] = 164364,
  [SMALL_STATE(4881)] = 164482,
  [SMALL_STATE(4882)] = 164600,
  [SMALL_STATE(4883)] = 164666,
  [SMALL_STATE(4884)] = 164734,
  [SMALL_STATE(4885)] = 164852,
  [SMALL_STATE(4886)] = 164970,
  [SMALL_STATE(4887)] = 165088,
  [SMALL_STATE(4888)] = 165154,
  [SMALL_STATE(4889)] = 165272,
  [SMALL_STATE(4890)] = 165390,
  [SMALL_STATE(4891)] = 165508,
  [SMALL_STATE(4892)] = 165626,
  [SMALL_STATE(4893)] = 165744,
  [SMALL_STATE(4894)] = 165862,
  [SMALL_STATE(4895)] = 165980,
  [SMALL_STATE(4896)] = 166098,
  [SMALL_STATE(4897)] = 166216,
  [SMALL_STATE(4898)] = 166283,
  [SMALL_STATE(4899)] = 166348,
  [SMALL_STATE(4900)] = 166463,
  [SMALL_STATE(4901)] = 166578,
  [SMALL_STATE(4902)] = 166693,
  [SMALL_STATE(4903)] = 166758,
  [SMALL_STATE(4904)] = 166873,
  [SMALL_STATE(4905)] = 166988,
  [SMALL_STATE(4906)] = 167053,
  [SMALL_STATE(4907)] = 167168,
  [SMALL_STATE(4908)] = 167233,
  [SMALL_STATE(4909)] = 167348,
  [SMALL_STATE(4910)] = 167463,
  [SMALL_STATE(4911)] = 167528,
  [SMALL_STATE(4912)] = 167593,
  [SMALL_STATE(4913)] = 167658,
  [SMALL_STATE(4914)] = 167723,
  [SMALL_STATE(4915)] = 167838,
  [SMALL_STATE(4916)] = 167903,
  [SMALL_STATE(4917)] = 167968,
  [SMALL_STATE(4918)] = 168033,
  [SMALL_STATE(4919)] = 168098,
  [SMALL_STATE(4920)] = 168163,
  [SMALL_STATE(4921)] = 168228,
  [SMALL_STATE(4922)] = 168343,
  [SMALL_STATE(4923)] = 168410,
  [SMALL_STATE(4924)] = 168475,
  [SMALL_STATE(4925)] = 168590,
  [SMALL_STATE(4926)] = 168705,
  [SMALL_STATE(4927)] = 168770,
  [SMALL_STATE(4928)] = 168885,
  [SMALL_STATE(4929)] = 168950,
  [SMALL_STATE(4930)] = 169015,
  [SMALL_STATE(4931)] = 169080,
  [SMALL_STATE(4932)] = 169145,
  [SMALL_STATE(4933)] = 169210,
  [SMALL_STATE(4934)] = 169275,
  [SMALL_STATE(4935)] = 169340,
  [SMALL_STATE(4936)] = 169407,
  [SMALL_STATE(4937)] = 169472,
  [SMALL_STATE(4938)] = 169537,
  [SMALL_STATE(4939)] = 169602,
  [SMALL_STATE(4940)] = 169667,
  [SMALL_STATE(4941)] = 169732,
  [SMALL_STATE(4942)] = 169797,
  [SMALL_STATE(4943)] = 169862,
  [SMALL_STATE(4944)] = 169929,
  [SMALL_STATE(4945)] = 170044,
  [SMALL_STATE(4946)] = 170109,
  [SMALL_STATE(4947)] = 170176,
  [SMALL_STATE(4948)] = 170241,
  [SMALL_STATE(4949)] = 170306,
  [SMALL_STATE(4950)] = 170371,
  [SMALL_STATE(4951)] = 170436,
  [SMALL_STATE(4952)] = 170501,
  [SMALL_STATE(4953)] = 170566,
  [SMALL_STATE(4954)] = 170631,
  [SMALL_STATE(4955)] = 170696,
  [SMALL_STATE(4956)] = 170761,
  [SMALL_STATE(4957)] = 170826,
  [SMALL_STATE(4958)] = 170891,
  [SMALL_STATE(4959)] = 170956,
  [SMALL_STATE(4960)] = 171021,
  [SMALL_STATE(4961)] = 171086,
  [SMALL_STATE(4962)] = 171151,
  [SMALL_STATE(4963)] = 171216,
  [SMALL_STATE(4964)] = 171281,
  [SMALL_STATE(4965)] = 171346,
  [SMALL_STATE(4966)] = 171411,
  [SMALL_STATE(4967)] = 171476,
  [SMALL_STATE(4968)] = 171591,
  [SMALL_STATE(4969)] = 171656,
  [SMALL_STATE(4970)] = 171721,
  [SMALL_STATE(4971)] = 171786,
  [SMALL_STATE(4972)] = 171851,
  [SMALL_STATE(4973)] = 171966,
  [SMALL_STATE(4974)] = 172031,
  [SMALL_STATE(4975)] = 172096,
  [SMALL_STATE(4976)] = 172211,
  [SMALL_STATE(4977)] = 172276,
  [SMALL_STATE(4978)] = 172341,
  [SMALL_STATE(4979)] = 172456,
  [SMALL_STATE(4980)] = 172521,
  [SMALL_STATE(4981)] = 172586,
  [SMALL_STATE(4982)] = 172701,
  [SMALL_STATE(4983)] = 172816,
  [SMALL_STATE(4984)] = 172881,
  [SMALL_STATE(4985)] = 172946,
  [SMALL_STATE(4986)] = 173011,
  [SMALL_STATE(4987)] = 173126,
  [SMALL_STATE(4988)] = 173191,
  [SMALL_STATE(4989)] = 173306,
  [SMALL_STATE(4990)] = 173377,
  [SMALL_STATE(4991)] = 173492,
  [SMALL_STATE(4992)] = 173557,
  [SMALL_STATE(4993)] = 173672,
  [SMALL_STATE(4994)] = 173787,
  [SMALL_STATE(4995)] = 173902,
  [SMALL_STATE(4996)] = 174017,
  [SMALL_STATE(4997)] = 174132,
  [SMALL_STATE(4998)] = 174197,
  [SMALL_STATE(4999)] = 174264,
  [SMALL_STATE(5000)] = 174379,
  [SMALL_STATE(5001)] = 174494,
  [SMALL_STATE(5002)] = 174609,
  [SMALL_STATE(5003)] = 174724,
  [SMALL_STATE(5004)] = 174839,
  [SMALL_STATE(5005)] = 174904,
  [SMALL_STATE(5006)] = 174969,
  [SMALL_STATE(5007)] = 175034,
  [SMALL_STATE(5008)] = 175099,
  [SMALL_STATE(5009)] = 175214,
  [SMALL_STATE(5010)] = 175279,
  [SMALL_STATE(5011)] = 175394,
  [SMALL_STATE(5012)] = 175459,
  [SMALL_STATE(5013)] = 175574,
  [SMALL_STATE(5014)] = 175689,
  [SMALL_STATE(5015)] = 175754,
  [SMALL_STATE(5016)] = 175819,
  [SMALL_STATE(5017)] = 175934,
  [SMALL_STATE(5018)] = 176049,
  [SMALL_STATE(5019)] = 176114,
  [SMALL_STATE(5020)] = 176229,
  [SMALL_STATE(5021)] = 176344,
  [SMALL_STATE(5022)] = 176415,
  [SMALL_STATE(5023)] = 176530,
  [SMALL_STATE(5024)] = 176645,
  [SMALL_STATE(5025)] = 176760,
  [SMALL_STATE(5026)] = 176825,
  [SMALL_STATE(5027)] = 176940,
  [SMALL_STATE(5028)] = 177005,
  [SMALL_STATE(5029)] = 177070,
  [SMALL_STATE(5030)] = 177185,
  [SMALL_STATE(5031)] = 177250,
  [SMALL_STATE(5032)] = 177315,
  [SMALL_STATE(5033)] = 177380,
  [SMALL_STATE(5034)] = 177444,
  [SMALL_STATE(5035)] = 177556,
  [SMALL_STATE(5036)] = 177622,
  [SMALL_STATE(5037)] = 177688,
  [SMALL_STATE(5038)] = 177752,
  [SMALL_STATE(5039)] = 177818,
  [SMALL_STATE(5040)] = 177884,
  [SMALL_STATE(5041)] = 177948,
  [SMALL_STATE(5042)] = 178014,
  [SMALL_STATE(5043)] = 178080,
  [SMALL_STATE(5044)] = 178144,
  [SMALL_STATE(5045)] = 178208,
  [SMALL_STATE(5046)] = 178272,
  [SMALL_STATE(5047)] = 178336,
  [SMALL_STATE(5048)] = 178400,
  [SMALL_STATE(5049)] = 178464,
  [SMALL_STATE(5050)] = 178528,
  [SMALL_STATE(5051)] = 178592,
  [SMALL_STATE(5052)] = 178656,
  [SMALL_STATE(5053)] = 178720,
  [SMALL_STATE(5054)] = 178784,
  [SMALL_STATE(5055)] = 178848,
  [SMALL_STATE(5056)] = 178912,
  [SMALL_STATE(5057)] = 178976,
  [SMALL_STATE(5058)] = 179040,
  [SMALL_STATE(5059)] = 179104,
  [SMALL_STATE(5060)] = 179168,
  [SMALL_STATE(5061)] = 179238,
  [SMALL_STATE(5062)] = 179302,
  [SMALL_STATE(5063)] = 179366,
  [SMALL_STATE(5064)] = 179430,
  [SMALL_STATE(5065)] = 179494,
  [SMALL_STATE(5066)] = 179558,
  [SMALL_STATE(5067)] = 179622,
  [SMALL_STATE(5068)] = 179686,
  [SMALL_STATE(5069)] = 179750,
  [SMALL_STATE(5070)] = 179814,
  [SMALL_STATE(5071)] = 179878,
  [SMALL_STATE(5072)] = 179942,
  [SMALL_STATE(5073)] = 180006,
  [SMALL_STATE(5074)] = 180070,
  [SMALL_STATE(5075)] = 180134,
  [SMALL_STATE(5076)] = 180198,
  [SMALL_STATE(5077)] = 180262,
  [SMALL_STATE(5078)] = 180326,
  [SMALL_STATE(5079)] = 180390,
  [SMALL_STATE(5080)] = 180456,
  [SMALL_STATE(5081)] = 180520,
  [SMALL_STATE(5082)] = 180584,
  [SMALL_STATE(5083)] = 180648,
  [SMALL_STATE(5084)] = 180712,
  [SMALL_STATE(5085)] = 180776,
  [SMALL_STATE(5086)] = 180840,
  [SMALL_STATE(5087)] = 180904,
  [SMALL_STATE(5088)] = 180968,
  [SMALL_STATE(5089)] = 181032,
  [SMALL_STATE(5090)] = 181096,
  [SMALL_STATE(5091)] = 181160,
  [SMALL_STATE(5092)] = 181224,
  [SMALL_STATE(5093)] = 181288,
  [SMALL_STATE(5094)] = 181352,
  [SMALL_STATE(5095)] = 181416,
  [SMALL_STATE(5096)] = 181480,
  [SMALL_STATE(5097)] = 181544,
  [SMALL_STATE(5098)] = 181656,
  [SMALL_STATE(5099)] = 181720,
  [SMALL_STATE(5100)] = 181784,
  [SMALL_STATE(5101)] = 181848,
  [SMALL_STATE(5102)] = 181912,
  [SMALL_STATE(5103)] = 181976,
  [SMALL_STATE(5104)] = 182040,
  [SMALL_STATE(5105)] = 182110,
  [SMALL_STATE(5106)] = 182222,
  [SMALL_STATE(5107)] = 182334,
  [SMALL_STATE(5108)] = 182398,
  [SMALL_STATE(5109)] = 182510,
  [SMALL_STATE(5110)] = 182622,
  [SMALL_STATE(5111)] = 182686,
  [SMALL_STATE(5112)] = 182750,
  [SMALL_STATE(5113)] = 182814,
  [SMALL_STATE(5114)] = 182878,
  [SMALL_STATE(5115)] = 182942,
  [SMALL_STATE(5116)] = 183006,
  [SMALL_STATE(5117)] = 183070,
  [SMALL_STATE(5118)] = 183134,
  [SMALL_STATE(5119)] = 183198,
  [SMALL_STATE(5120)] = 183262,
  [SMALL_STATE(5121)] = 183326,
  [SMALL_STATE(5122)] = 183390,
  [SMALL_STATE(5123)] = 183454,
  [SMALL_STATE(5124)] = 183518,
  [SMALL_STATE(5125)] = 183582,
  [SMALL_STATE(5126)] = 183646,
  [SMALL_STATE(5127)] = 183710,
  [SMALL_STATE(5128)] = 183774,
  [SMALL_STATE(5129)] = 183838,
  [SMALL_STATE(5130)] = 183902,
  [SMALL_STATE(5131)] = 184011,
  [SMALL_STATE(5132)] = 184074,
  [SMALL_STATE(5133)] = 184137,
  [SMALL_STATE(5134)] = 184200,
  [SMALL_STATE(5135)] = 184263,
  [SMALL_STATE(5136)] = 184326,
  [SMALL_STATE(5137)] = 184389,
  [SMALL_STATE(5138)] = 184452,
  [SMALL_STATE(5139)] = 184515,
  [SMALL_STATE(5140)] = 184578,
  [SMALL_STATE(5141)] = 184641,
  [SMALL_STATE(5142)] = 184704,
  [SMALL_STATE(5143)] = 184767,
  [SMALL_STATE(5144)] = 184830,
  [SMALL_STATE(5145)] = 184893,
  [SMALL_STATE(5146)] = 184956,
  [SMALL_STATE(5147)] = 185019,
  [SMALL_STATE(5148)] = 185082,
  [SMALL_STATE(5149)] = 185145,
  [SMALL_STATE(5150)] = 185256,
  [SMALL_STATE(5151)] = 185325,
  [SMALL_STATE(5152)] = 185388,
  [SMALL_STATE(5153)] = 185451,
  [SMALL_STATE(5154)] = 185516,
  [SMALL_STATE(5155)] = 185625,
  [SMALL_STATE(5156)] = 185688,
  [SMALL_STATE(5157)] = 185757,
  [SMALL_STATE(5158)] = 185820,
  [SMALL_STATE(5159)] = 185883,
  [SMALL_STATE(5160)] = 185946,
  [SMALL_STATE(5161)] = 186009,
  [SMALL_STATE(5162)] = 186072,
  [SMALL_STATE(5163)] = 186135,
  [SMALL_STATE(5164)] = 186198,
  [SMALL_STATE(5165)] = 186261,
  [SMALL_STATE(5166)] = 186324,
  [SMALL_STATE(5167)] = 186387,
  [SMALL_STATE(5168)] = 186450,
  [SMALL_STATE(5169)] = 186513,
  [SMALL_STATE(5170)] = 186576,
  [SMALL_STATE(5171)] = 186639,
  [SMALL_STATE(5172)] = 186702,
  [SMALL_STATE(5173)] = 186765,
  [SMALL_STATE(5174)] = 186828,
  [SMALL_STATE(5175)] = 186891,
  [SMALL_STATE(5176)] = 187000,
  [SMALL_STATE(5177)] = 187063,
  [SMALL_STATE(5178)] = 187174,
  [SMALL_STATE(5179)] = 187283,
  [SMALL_STATE(5180)] = 187348,
  [SMALL_STATE(5181)] = 187411,
  [SMALL_STATE(5182)] = 187474,
  [SMALL_STATE(5183)] = 187537,
  [SMALL_STATE(5184)] = 187600,
  [SMALL_STATE(5185)] = 187663,
  [SMALL_STATE(5186)] = 187726,
  [SMALL_STATE(5187)] = 187791,
  [SMALL_STATE(5188)] = 187902,
  [SMALL_STATE(5189)] = 188011,
  [SMALL_STATE(5190)] = 188074,
  [SMALL_STATE(5191)] = 188183,
  [SMALL_STATE(5192)] = 188246,
  [SMALL_STATE(5193)] = 188309,
  [SMALL_STATE(5194)] = 188372,
  [SMALL_STATE(5195)] = 188435,
  [SMALL_STATE(5196)] = 188544,
  [SMALL_STATE(5197)] = 188607,
  [SMALL_STATE(5198)] = 188670,
  [SMALL_STATE(5199)] = 188779,
  [SMALL_STATE(5200)] = 188888,
  [SMALL_STATE(5201)] = 188997,
  [SMALL_STATE(5202)] = 189106,
  [SMALL_STATE(5203)] = 189215,
  [SMALL_STATE(5204)] = 189324,
  [SMALL_STATE(5205)] = 189433,
  [SMALL_STATE(5206)] = 189542,
  [SMALL_STATE(5207)] = 189605,
  [SMALL_STATE(5208)] = 189668,
  [SMALL_STATE(5209)] = 189777,
  [SMALL_STATE(5210)] = 189842,
  [SMALL_STATE(5211)] = 189951,
  [SMALL_STATE(5212)] = 190060,
  [SMALL_STATE(5213)] = 190169,
  [SMALL_STATE(5214)] = 190278,
  [SMALL_STATE(5215)] = 190341,
  [SMALL_STATE(5216)] = 190404,
  [SMALL_STATE(5217)] = 190467,
  [SMALL_STATE(5218)] = 190576,
  [SMALL_STATE(5219)] = 190685,
  [SMALL_STATE(5220)] = 190748,
  [SMALL_STATE(5221)] = 190857,
  [SMALL_STATE(5222)] = 190966,
  [SMALL_STATE(5223)] = 191075,
  [SMALL_STATE(5224)] = 191184,
  [SMALL_STATE(5225)] = 191293,
  [SMALL_STATE(5226)] = 191402,
  [SMALL_STATE(5227)] = 191511,
  [SMALL_STATE(5228)] = 191620,
  [SMALL_STATE(5229)] = 191729,
  [SMALL_STATE(5230)] = 191838,
  [SMALL_STATE(5231)] = 191901,
  [SMALL_STATE(5232)] = 192010,
  [SMALL_STATE(5233)] = 192119,
  [SMALL_STATE(5234)] = 192228,
  [SMALL_STATE(5235)] = 192337,
  [SMALL_STATE(5236)] = 192400,
  [SMALL_STATE(5237)] = 192509,
  [SMALL_STATE(5238)] = 192618,
  [SMALL_STATE(5239)] = 192727,
  [SMALL_STATE(5240)] = 192790,
  [SMALL_STATE(5241)] = 192853,
  [SMALL_STATE(5242)] = 192962,
  [SMALL_STATE(5243)] = 193071,
  [SMALL_STATE(5244)] = 193134,
  [SMALL_STATE(5245)] = 193243,
  [SMALL_STATE(5246)] = 193306,
  [SMALL_STATE(5247)] = 193369,
  [SMALL_STATE(5248)] = 193478,
  [SMALL_STATE(5249)] = 193587,
  [SMALL_STATE(5250)] = 193696,
  [SMALL_STATE(5251)] = 193805,
  [SMALL_STATE(5252)] = 193868,
  [SMALL_STATE(5253)] = 193931,
  [SMALL_STATE(5254)] = 193994,
  [SMALL_STATE(5255)] = 194103,
  [SMALL_STATE(5256)] = 194212,
  [SMALL_STATE(5257)] = 194321,
  [SMALL_STATE(5258)] = 194430,
  [SMALL_STATE(5259)] = 194539,
  [SMALL_STATE(5260)] = 194602,
  [SMALL_STATE(5261)] = 194665,
  [SMALL_STATE(5262)] = 194728,
  [SMALL_STATE(5263)] = 194791,
  [SMALL_STATE(5264)] = 194854,
  [SMALL_STATE(5265)] = 194919,
  [SMALL_STATE(5266)] = 194982,
  [SMALL_STATE(5267)] = 195045,
  [SMALL_STATE(5268)] = 195108,
  [SMALL_STATE(5269)] = 195171,
  [SMALL_STATE(5270)] = 195234,
  [SMALL_STATE(5271)] = 195297,
  [SMALL_STATE(5272)] = 195360,
  [SMALL_STATE(5273)] = 195423,
  [SMALL_STATE(5274)] = 195486,
  [SMALL_STATE(5275)] = 195551,
  [SMALL_STATE(5276)] = 195614,
  [SMALL_STATE(5277)] = 195679,
  [SMALL_STATE(5278)] = 195742,
  [SMALL_STATE(5279)] = 195805,
  [SMALL_STATE(5280)] = 195868,
  [SMALL_STATE(5281)] = 195931,
  [SMALL_STATE(5282)] = 195994,
  [SMALL_STATE(5283)] = 196057,
  [SMALL_STATE(5284)] = 196120,
  [SMALL_STATE(5285)] = 196183,
  [SMALL_STATE(5286)] = 196246,
  [SMALL_STATE(5287)] = 196355,
  [SMALL_STATE(5288)] = 196417,
  [SMALL_STATE(5289)] = 196485,
  [SMALL_STATE(5290)] = 196547,
  [SMALL_STATE(5291)] = 196609,
  [SMALL_STATE(5292)] = 196671,
  [SMALL_STATE(5293)] = 196733,
  [SMALL_STATE(5294)] = 196795,
  [SMALL_STATE(5295)] = 196857,
  [SMALL_STATE(5296)] = 196919,
  [SMALL_STATE(5297)] = 196981,
  [SMALL_STATE(5298)] = 197043,
  [SMALL_STATE(5299)] = 197105,
  [SMALL_STATE(5300)] = 197167,
  [SMALL_STATE(5301)] = 197229,
  [SMALL_STATE(5302)] = 197291,
  [SMALL_STATE(5303)] = 197353,
  [SMALL_STATE(5304)] = 197417,
  [SMALL_STATE(5305)] = 197479,
  [SMALL_STATE(5306)] = 197541,
  [SMALL_STATE(5307)] = 197603,
  [SMALL_STATE(5308)] = 197665,
  [SMALL_STATE(5309)] = 197727,
  [SMALL_STATE(5310)] = 197789,
  [SMALL_STATE(5311)] = 197851,
  [SMALL_STATE(5312)] = 197913,
  [SMALL_STATE(5313)] = 197975,
  [SMALL_STATE(5314)] = 198037,
  [SMALL_STATE(5315)] = 198099,
  [SMALL_STATE(5316)] = 198161,
  [SMALL_STATE(5317)] = 198223,
  [SMALL_STATE(5318)] = 198285,
  [SMALL_STATE(5319)] = 198347,
  [SMALL_STATE(5320)] = 198409,
  [SMALL_STATE(5321)] = 198471,
  [SMALL_STATE(5322)] = 198533,
  [SMALL_STATE(5323)] = 198595,
  [SMALL_STATE(5324)] = 198657,
  [SMALL_STATE(5325)] = 198719,
  [SMALL_STATE(5326)] = 198781,
  [SMALL_STATE(5327)] = 198843,
  [SMALL_STATE(5328)] = 198905,
  [SMALL_STATE(5329)] = 198967,
  [SMALL_STATE(5330)] = 199029,
  [SMALL_STATE(5331)] = 199091,
  [SMALL_STATE(5332)] = 199155,
  [SMALL_STATE(5333)] = 199219,
  [SMALL_STATE(5334)] = 199281,
  [SMALL_STATE(5335)] = 199343,
  [SMALL_STATE(5336)] = 199405,
  [SMALL_STATE(5337)] = 199467,
  [SMALL_STATE(5338)] = 199529,
  [SMALL_STATE(5339)] = 199591,
  [SMALL_STATE(5340)] = 199653,
  [SMALL_STATE(5341)] = 199717,
  [SMALL_STATE(5342)] = 199779,
  [SMALL_STATE(5343)] = 199841,
  [SMALL_STATE(5344)] = 199903,
  [SMALL_STATE(5345)] = 199965,
  [SMALL_STATE(5346)] = 200027,
  [SMALL_STATE(5347)] = 200089,
  [SMALL_STATE(5348)] = 200151,
  [SMALL_STATE(5349)] = 200213,
  [SMALL_STATE(5350)] = 200275,
  [SMALL_STATE(5351)] = 200337,
  [SMALL_STATE(5352)] = 200401,
  [SMALL_STATE(5353)] = 200463,
  [SMALL_STATE(5354)] = 200525,
  [SMALL_STATE(5355)] = 200587,
  [SMALL_STATE(5356)] = 200649,
  [SMALL_STATE(5357)] = 200711,
  [SMALL_STATE(5358)] = 200773,
  [SMALL_STATE(5359)] = 200837,
  [SMALL_STATE(5360)] = 200899,
  [SMALL_STATE(5361)] = 200963,
  [SMALL_STATE(5362)] = 201025,
  [SMALL_STATE(5363)] = 201087,
  [SMALL_STATE(5364)] = 201149,
  [SMALL_STATE(5365)] = 201211,
  [SMALL_STATE(5366)] = 201273,
  [SMALL_STATE(5367)] = 201335,
  [SMALL_STATE(5368)] = 201397,
  [SMALL_STATE(5369)] = 201465,
  [SMALL_STATE(5370)] = 201527,
  [SMALL_STATE(5371)] = 201589,
  [SMALL_STATE(5372)] = 201651,
  [SMALL_STATE(5373)] = 201713,
  [SMALL_STATE(5374)] = 201775,
  [SMALL_STATE(5375)] = 201837,
  [SMALL_STATE(5376)] = 201899,
  [SMALL_STATE(5377)] = 201961,
  [SMALL_STATE(5378)] = 202023,
  [SMALL_STATE(5379)] = 202085,
  [SMALL_STATE(5380)] = 202147,
  [SMALL_STATE(5381)] = 202209,
  [SMALL_STATE(5382)] = 202271,
  [SMALL_STATE(5383)] = 202333,
  [SMALL_STATE(5384)] = 202397,
  [SMALL_STATE(5385)] = 202459,
  [SMALL_STATE(5386)] = 202521,
  [SMALL_STATE(5387)] = 202583,
  [SMALL_STATE(5388)] = 202651,
  [SMALL_STATE(5389)] = 202713,
  [SMALL_STATE(5390)] = 202775,
  [SMALL_STATE(5391)] = 202837,
  [SMALL_STATE(5392)] = 202899,
  [SMALL_STATE(5393)] = 202961,
  [SMALL_STATE(5394)] = 203023,
  [SMALL_STATE(5395)] = 203085,
  [SMALL_STATE(5396)] = 203147,
  [SMALL_STATE(5397)] = 203209,
  [SMALL_STATE(5398)] = 203271,
  [SMALL_STATE(5399)] = 203333,
  [SMALL_STATE(5400)] = 203395,
  [SMALL_STATE(5401)] = 203457,
  [SMALL_STATE(5402)] = 203519,
  [SMALL_STATE(5403)] = 203581,
  [SMALL_STATE(5404)] = 203643,
  [SMALL_STATE(5405)] = 203705,
  [SMALL_STATE(5406)] = 203767,
  [SMALL_STATE(5407)] = 203829,
  [SMALL_STATE(5408)] = 203891,
  [SMALL_STATE(5409)] = 203955,
  [SMALL_STATE(5410)] = 204017,
  [SMALL_STATE(5411)] = 204079,
  [SMALL_STATE(5412)] = 204141,
  [SMALL_STATE(5413)] = 204203,
  [SMALL_STATE(5414)] = 204265,
  [SMALL_STATE(5415)] = 204327,
  [SMALL_STATE(5416)] = 204395,
  [SMALL_STATE(5417)] = 204457,
  [SMALL_STATE(5418)] = 204519,
  [SMALL_STATE(5419)] = 204581,
  [SMALL_STATE(5420)] = 204643,
  [SMALL_STATE(5421)] = 204705,
  [SMALL_STATE(5422)] = 204767,
  [SMALL_STATE(5423)] = 204829,
  [SMALL_STATE(5424)] = 204891,
  [SMALL_STATE(5425)] = 204953,
  [SMALL_STATE(5426)] = 205015,
  [SMALL_STATE(5427)] = 205077,
  [SMALL_STATE(5428)] = 205139,
  [SMALL_STATE(5429)] = 205201,
  [SMALL_STATE(5430)] = 205263,
  [SMALL_STATE(5431)] = 205325,
  [SMALL_STATE(5432)] = 205387,
  [SMALL_STATE(5433)] = 205449,
  [SMALL_STATE(5434)] = 205513,
  [SMALL_STATE(5435)] = 205577,
  [SMALL_STATE(5436)] = 205639,
  [SMALL_STATE(5437)] = 205701,
  [SMALL_STATE(5438)] = 205765,
  [SMALL_STATE(5439)] = 205827,
  [SMALL_STATE(5440)] = 205889,
  [SMALL_STATE(5441)] = 205953,
  [SMALL_STATE(5442)] = 206015,
  [SMALL_STATE(5443)] = 206077,
  [SMALL_STATE(5444)] = 206139,
  [SMALL_STATE(5445)] = 206201,
  [SMALL_STATE(5446)] = 206263,
  [SMALL_STATE(5447)] = 206325,
  [SMALL_STATE(5448)] = 206387,
  [SMALL_STATE(5449)] = 206449,
  [SMALL_STATE(5450)] = 206511,
  [SMALL_STATE(5451)] = 206573,
  [SMALL_STATE(5452)] = 206635,
  [SMALL_STATE(5453)] = 206697,
  [SMALL_STATE(5454)] = 206759,
  [SMALL_STATE(5455)] = 206821,
  [SMALL_STATE(5456)] = 206885,
  [SMALL_STATE(5457)] = 206947,
  [SMALL_STATE(5458)] = 207009,
  [SMALL_STATE(5459)] = 207071,
  [SMALL_STATE(5460)] = 207133,
  [SMALL_STATE(5461)] = 207195,
  [SMALL_STATE(5462)] = 207257,
  [SMALL_STATE(5463)] = 207318,
  [SMALL_STATE(5464)] = 207379,
  [SMALL_STATE(5465)] = 207440,
  [SMALL_STATE(5466)] = 207501,
  [SMALL_STATE(5467)] = 207562,
  [SMALL_STATE(5468)] = 207623,
  [SMALL_STATE(5469)] = 207684,
  [SMALL_STATE(5470)] = 207745,
  [SMALL_STATE(5471)] = 207806,
  [SMALL_STATE(5472)] = 207869,
  [SMALL_STATE(5473)] = 207930,
  [SMALL_STATE(5474)] = 207991,
  [SMALL_STATE(5475)] = 208052,
  [SMALL_STATE(5476)] = 208113,
  [SMALL_STATE(5477)] = 208174,
  [SMALL_STATE(5478)] = 208235,
  [SMALL_STATE(5479)] = 208296,
  [SMALL_STATE(5480)] = 208357,
  [SMALL_STATE(5481)] = 208420,
  [SMALL_STATE(5482)] = 208481,
  [SMALL_STATE(5483)] = 208542,
  [SMALL_STATE(5484)] = 208603,
  [SMALL_STATE(5485)] = 208664,
  [SMALL_STATE(5486)] = 208727,
  [SMALL_STATE(5487)] = 208790,
  [SMALL_STATE(5488)] = 208853,
  [SMALL_STATE(5489)] = 208914,
  [SMALL_STATE(5490)] = 208975,
  [SMALL_STATE(5491)] = 209038,
  [SMALL_STATE(5492)] = 209099,
  [SMALL_STATE(5493)] = 209160,
  [SMALL_STATE(5494)] = 209221,
  [SMALL_STATE(5495)] = 209282,
  [SMALL_STATE(5496)] = 209343,
  [SMALL_STATE(5497)] = 209404,
  [SMALL_STATE(5498)] = 209465,
  [SMALL_STATE(5499)] = 209526,
  [SMALL_STATE(5500)] = 209587,
  [SMALL_STATE(5501)] = 209648,
  [SMALL_STATE(5502)] = 209709,
  [SMALL_STATE(5503)] = 209770,
  [SMALL_STATE(5504)] = 209831,
  [SMALL_STATE(5505)] = 209892,
  [SMALL_STATE(5506)] = 209953,
  [SMALL_STATE(5507)] = 210014,
  [SMALL_STATE(5508)] = 210075,
  [SMALL_STATE(5509)] = 210138,
  [SMALL_STATE(5510)] = 210199,
  [SMALL_STATE(5511)] = 210266,
  [SMALL_STATE(5512)] = 210327,
  [SMALL_STATE(5513)] = 210388,
  [SMALL_STATE(5514)] = 210449,
  [SMALL_STATE(5515)] = 210510,
  [SMALL_STATE(5516)] = 210571,
  [SMALL_STATE(5517)] = 210634,
  [SMALL_STATE(5518)] = 210695,
  [SMALL_STATE(5519)] = 210756,
  [SMALL_STATE(5520)] = 210817,
  [SMALL_STATE(5521)] = 210878,
  [SMALL_STATE(5522)] = 210939,
  [SMALL_STATE(5523)] = 211002,
  [SMALL_STATE(5524)] = 211063,
  [SMALL_STATE(5525)] = 211124,
  [SMALL_STATE(5526)] = 211185,
  [SMALL_STATE(5527)] = 211248,
  [SMALL_STATE(5528)] = 211309,
  [SMALL_STATE(5529)] = 211370,
  [SMALL_STATE(5530)] = 211431,
  [SMALL_STATE(5531)] = 211498,
  [SMALL_STATE(5532)] = 211559,
  [SMALL_STATE(5533)] = 211620,
  [SMALL_STATE(5534)] = 211681,
  [SMALL_STATE(5535)] = 211744,
  [SMALL_STATE(5536)] = 211805,
  [SMALL_STATE(5537)] = 211866,
  [SMALL_STATE(5538)] = 211927,
  [SMALL_STATE(5539)] = 211988,
  [SMALL_STATE(5540)] = 212049,
  [SMALL_STATE(5541)] = 212110,
  [SMALL_STATE(5542)] = 212171,
  [SMALL_STATE(5543)] = 212234,
  [SMALL_STATE(5544)] = 212295,
  [SMALL_STATE(5545)] = 212356,
  [SMALL_STATE(5546)] = 212417,
  [SMALL_STATE(5547)] = 212478,
  [SMALL_STATE(5548)] = 212539,
  [SMALL_STATE(5549)] = 212600,
  [SMALL_STATE(5550)] = 212661,
  [SMALL_STATE(5551)] = 212722,
  [SMALL_STATE(5552)] = 212783,
  [SMALL_STATE(5553)] = 212844,
  [SMALL_STATE(5554)] = 212905,
  [SMALL_STATE(5555)] = 212966,
  [SMALL_STATE(5556)] = 213027,
  [SMALL_STATE(5557)] = 213088,
  [SMALL_STATE(5558)] = 213149,
  [SMALL_STATE(5559)] = 213210,
  [SMALL_STATE(5560)] = 213271,
  [SMALL_STATE(5561)] = 213332,
  [SMALL_STATE(5562)] = 213393,
  [SMALL_STATE(5563)] = 213454,
  [SMALL_STATE(5564)] = 213515,
  [SMALL_STATE(5565)] = 213576,
  [SMALL_STATE(5566)] = 213637,
  [SMALL_STATE(5567)] = 213698,
  [SMALL_STATE(5568)] = 213759,
  [SMALL_STATE(5569)] = 213820,
  [SMALL_STATE(5570)] = 213881,
  [SMALL_STATE(5571)] = 213942,
  [SMALL_STATE(5572)] = 214003,
  [SMALL_STATE(5573)] = 214064,
  [SMALL_STATE(5574)] = 214125,
  [SMALL_STATE(5575)] = 214186,
  [SMALL_STATE(5576)] = 214247,
  [SMALL_STATE(5577)] = 214308,
  [SMALL_STATE(5578)] = 214369,
  [SMALL_STATE(5579)] = 214430,
  [SMALL_STATE(5580)] = 214493,
  [SMALL_STATE(5581)] = 214554,
  [SMALL_STATE(5582)] = 214615,
  [SMALL_STATE(5583)] = 214676,
  [SMALL_STATE(5584)] = 214736,
  [SMALL_STATE(5585)] = 214796,
  [SMALL_STATE(5586)] = 214856,
  [SMALL_STATE(5587)] = 214916,
  [SMALL_STATE(5588)] = 214976,
  [SMALL_STATE(5589)] = 215036,
  [SMALL_STATE(5590)] = 215096,
  [SMALL_STATE(5591)] = 215156,
  [SMALL_STATE(5592)] = 215216,
  [SMALL_STATE(5593)] = 215278,
  [SMALL_STATE(5594)] = 215338,
  [SMALL_STATE(5595)] = 215398,
  [SMALL_STATE(5596)] = 215458,
  [SMALL_STATE(5597)] = 215518,
  [SMALL_STATE(5598)] = 215578,
  [SMALL_STATE(5599)] = 215638,
  [SMALL_STATE(5600)] = 215698,
  [SMALL_STATE(5601)] = 215758,
  [SMALL_STATE(5602)] = 215818,
  [SMALL_STATE(5603)] = 215878,
  [SMALL_STATE(5604)] = 215938,
  [SMALL_STATE(5605)] = 215998,
  [SMALL_STATE(5606)] = 216058,
  [SMALL_STATE(5607)] = 216118,
  [SMALL_STATE(5608)] = 216178,
  [SMALL_STATE(5609)] = 216238,
  [SMALL_STATE(5610)] = 216298,
  [SMALL_STATE(5611)] = 216358,
  [SMALL_STATE(5612)] = 216418,
  [SMALL_STATE(5613)] = 216478,
  [SMALL_STATE(5614)] = 216538,
  [SMALL_STATE(5615)] = 216598,
  [SMALL_STATE(5616)] = 216658,
  [SMALL_STATE(5617)] = 216718,
  [SMALL_STATE(5618)] = 216778,
  [SMALL_STATE(5619)] = 216838,
  [SMALL_STATE(5620)] = 216898,
  [SMALL_STATE(5621)] = 216958,
  [SMALL_STATE(5622)] = 217018,
  [SMALL_STATE(5623)] = 217078,
  [SMALL_STATE(5624)] = 217138,
  [SMALL_STATE(5625)] = 217198,
  [SMALL_STATE(5626)] = 217258,
  [SMALL_STATE(5627)] = 217318,
  [SMALL_STATE(5628)] = 217378,
  [SMALL_STATE(5629)] = 217438,
  [SMALL_STATE(5630)] = 217500,
  [SMALL_STATE(5631)] = 217560,
  [SMALL_STATE(5632)] = 217620,
  [SMALL_STATE(5633)] = 217680,
  [SMALL_STATE(5634)] = 217740,
  [SMALL_STATE(5635)] = 217800,
  [SMALL_STATE(5636)] = 217860,
  [SMALL_STATE(5637)] = 217920,
  [SMALL_STATE(5638)] = 217980,
  [SMALL_STATE(5639)] = 218040,
  [SMALL_STATE(5640)] = 218104,
  [SMALL_STATE(5641)] = 218164,
  [SMALL_STATE(5642)] = 218226,
  [SMALL_STATE(5643)] = 218286,
  [SMALL_STATE(5644)] = 218346,
  [SMALL_STATE(5645)] = 218406,
  [SMALL_STATE(5646)] = 218468,
  [SMALL_STATE(5647)] = 218528,
  [SMALL_STATE(5648)] = 218588,
  [SMALL_STATE(5649)] = 218654,
  [SMALL_STATE(5650)] = 218714,
  [SMALL_STATE(5651)] = 218774,
  [SMALL_STATE(5652)] = 218834,
  [SMALL_STATE(5653)] = 218894,
  [SMALL_STATE(5654)] = 218954,
  [SMALL_STATE(5655)] = 219016,
  [SMALL_STATE(5656)] = 219078,
  [SMALL_STATE(5657)] = 219138,
  [SMALL_STATE(5658)] = 219198,
  [SMALL_STATE(5659)] = 219258,
  [SMALL_STATE(5660)] = 219318,
  [SMALL_STATE(5661)] = 219380,
  [SMALL_STATE(5662)] = 219440,
  [SMALL_STATE(5663)] = 219500,
  [SMALL_STATE(5664)] = 219560,
  [SMALL_STATE(5665)] = 219622,
  [SMALL_STATE(5666)] = 219684,
  [SMALL_STATE(5667)] = 219744,
  [SMALL_STATE(5668)] = 219804,
  [SMALL_STATE(5669)] = 219864,
  [SMALL_STATE(5670)] = 219924,
  [SMALL_STATE(5671)] = 219984,
  [SMALL_STATE(5672)] = 220044,
  [SMALL_STATE(5673)] = 220104,
  [SMALL_STATE(5674)] = 220164,
  [SMALL_STATE(5675)] = 220224,
  [SMALL_STATE(5676)] = 220284,
  [SMALL_STATE(5677)] = 220344,
  [SMALL_STATE(5678)] = 220404,
  [SMALL_STATE(5679)] = 220464,
  [SMALL_STATE(5680)] = 220524,
  [SMALL_STATE(5681)] = 220584,
  [SMALL_STATE(5682)] = 220644,
  [SMALL_STATE(5683)] = 220704,
  [SMALL_STATE(5684)] = 220764,
  [SMALL_STATE(5685)] = 220824,
  [SMALL_STATE(5686)] = 220884,
  [SMALL_STATE(5687)] = 220944,
  [SMALL_STATE(5688)] = 221004,
  [SMALL_STATE(5689)] = 221064,
  [SMALL_STATE(5690)] = 221124,
  [SMALL_STATE(5691)] = 221184,
  [SMALL_STATE(5692)] = 221244,
  [SMALL_STATE(5693)] = 221304,
  [SMALL_STATE(5694)] = 221364,
  [SMALL_STATE(5695)] = 221424,
  [SMALL_STATE(5696)] = 221484,
  [SMALL_STATE(5697)] = 221544,
  [SMALL_STATE(5698)] = 221604,
  [SMALL_STATE(5699)] = 221664,
  [SMALL_STATE(5700)] = 221724,
  [SMALL_STATE(5701)] = 221784,
  [SMALL_STATE(5702)] = 221844,
  [SMALL_STATE(5703)] = 221904,
  [SMALL_STATE(5704)] = 221964,
  [SMALL_STATE(5705)] = 222024,
  [SMALL_STATE(5706)] = 222084,
  [SMALL_STATE(5707)] = 222144,
  [SMALL_STATE(5708)] = 222204,
  [SMALL_STATE(5709)] = 222264,
  [SMALL_STATE(5710)] = 222324,
  [SMALL_STATE(5711)] = 222384,
  [SMALL_STATE(5712)] = 222444,
  [SMALL_STATE(5713)] = 222504,
  [SMALL_STATE(5714)] = 222564,
  [SMALL_STATE(5715)] = 222624,
  [SMALL_STATE(5716)] = 222684,
  [SMALL_STATE(5717)] = 222744,
  [SMALL_STATE(5718)] = 222804,
  [SMALL_STATE(5719)] = 222864,
  [SMALL_STATE(5720)] = 222924,
  [SMALL_STATE(5721)] = 222988,
  [SMALL_STATE(5722)] = 223048,
  [SMALL_STATE(5723)] = 223110,
  [SMALL_STATE(5724)] = 223170,
  [SMALL_STATE(5725)] = 223236,
  [SMALL_STATE(5726)] = 223296,
  [SMALL_STATE(5727)] = 223356,
  [SMALL_STATE(5728)] = 223418,
  [SMALL_STATE(5729)] = 223480,
  [SMALL_STATE(5730)] = 223540,
  [SMALL_STATE(5731)] = 223600,
  [SMALL_STATE(5732)] = 223660,
  [SMALL_STATE(5733)] = 223720,
  [SMALL_STATE(5734)] = 223780,
  [SMALL_STATE(5735)] = 223840,
  [SMALL_STATE(5736)] = 223900,
  [SMALL_STATE(5737)] = 223960,
  [SMALL_STATE(5738)] = 224020,
  [SMALL_STATE(5739)] = 224080,
  [SMALL_STATE(5740)] = 224140,
  [SMALL_STATE(5741)] = 224200,
  [SMALL_STATE(5742)] = 224260,
  [SMALL_STATE(5743)] = 224320,
  [SMALL_STATE(5744)] = 224380,
  [SMALL_STATE(5745)] = 224440,
  [SMALL_STATE(5746)] = 224500,
  [SMALL_STATE(5747)] = 224559,
  [SMALL_STATE(5748)] = 224620,
  [SMALL_STATE(5749)] = 224679,
  [SMALL_STATE(5750)] = 224738,
  [SMALL_STATE(5751)] = 224797,
  [SMALL_STATE(5752)] = 224856,
  [SMALL_STATE(5753)] = 224915,
  [SMALL_STATE(5754)] = 224974,
  [SMALL_STATE(5755)] = 225035,
  [SMALL_STATE(5756)] = 225094,
  [SMALL_STATE(5757)] = 225153,
  [SMALL_STATE(5758)] = 225212,
  [SMALL_STATE(5759)] = 225271,
  [SMALL_STATE(5760)] = 225330,
  [SMALL_STATE(5761)] = 225389,
  [SMALL_STATE(5762)] = 225448,
  [SMALL_STATE(5763)] = 225507,
  [SMALL_STATE(5764)] = 225572,
  [SMALL_STATE(5765)] = 225631,
  [SMALL_STATE(5766)] = 225690,
  [SMALL_STATE(5767)] = 225749,
  [SMALL_STATE(5768)] = 225808,
  [SMALL_STATE(5769)] = 225867,
  [SMALL_STATE(5770)] = 225926,
  [SMALL_STATE(5771)] = 225985,
  [SMALL_STATE(5772)] = 226044,
  [SMALL_STATE(5773)] = 226103,
  [SMALL_STATE(5774)] = 226162,
  [SMALL_STATE(5775)] = 226221,
  [SMALL_STATE(5776)] = 226280,
  [SMALL_STATE(5777)] = 226339,
  [SMALL_STATE(5778)] = 226398,
  [SMALL_STATE(5779)] = 226457,
  [SMALL_STATE(5780)] = 226516,
  [SMALL_STATE(5781)] = 226575,
  [SMALL_STATE(5782)] = 226634,
  [SMALL_STATE(5783)] = 226693,
  [SMALL_STATE(5784)] = 226752,
  [SMALL_STATE(5785)] = 226811,
  [SMALL_STATE(5786)] = 226870,
  [SMALL_STATE(5787)] = 226929,
  [SMALL_STATE(5788)] = 226988,
  [SMALL_STATE(5789)] = 227047,
  [SMALL_STATE(5790)] = 227106,
  [SMALL_STATE(5791)] = 227165,
  [SMALL_STATE(5792)] = 227224,
  [SMALL_STATE(5793)] = 227283,
  [SMALL_STATE(5794)] = 227342,
  [SMALL_STATE(5795)] = 227401,
  [SMALL_STATE(5796)] = 227460,
  [SMALL_STATE(5797)] = 227519,
  [SMALL_STATE(5798)] = 227578,
  [SMALL_STATE(5799)] = 227637,
  [SMALL_STATE(5800)] = 227696,
  [SMALL_STATE(5801)] = 227755,
  [SMALL_STATE(5802)] = 227814,
  [SMALL_STATE(5803)] = 227873,
  [SMALL_STATE(5804)] = 227932,
  [SMALL_STATE(5805)] = 227991,
  [SMALL_STATE(5806)] = 228050,
  [SMALL_STATE(5807)] = 228109,
  [SMALL_STATE(5808)] = 228168,
  [SMALL_STATE(5809)] = 228227,
  [SMALL_STATE(5810)] = 228286,
  [SMALL_STATE(5811)] = 228345,
  [SMALL_STATE(5812)] = 228404,
  [SMALL_STATE(5813)] = 228465,
  [SMALL_STATE(5814)] = 228524,
  [SMALL_STATE(5815)] = 228583,
  [SMALL_STATE(5816)] = 228642,
  [SMALL_STATE(5817)] = 228701,
  [SMALL_STATE(5818)] = 228760,
  [SMALL_STATE(5819)] = 228819,
  [SMALL_STATE(5820)] = 228878,
  [SMALL_STATE(5821)] = 228943,
  [SMALL_STATE(5822)] = 229002,
  [SMALL_STATE(5823)] = 229061,
  [SMALL_STATE(5824)] = 229122,
  [SMALL_STATE(5825)] = 229181,
  [SMALL_STATE(5826)] = 229240,
  [SMALL_STATE(5827)] = 229299,
  [SMALL_STATE(5828)] = 229358,
  [SMALL_STATE(5829)] = 229417,
  [SMALL_STATE(5830)] = 229476,
  [SMALL_STATE(5831)] = 229535,
  [SMALL_STATE(5832)] = 229594,
  [SMALL_STATE(5833)] = 229653,
  [SMALL_STATE(5834)] = 229712,
  [SMALL_STATE(5835)] = 229771,
  [SMALL_STATE(5836)] = 229830,
  [SMALL_STATE(5837)] = 229889,
  [SMALL_STATE(5838)] = 229948,
  [SMALL_STATE(5839)] = 230007,
  [SMALL_STATE(5840)] = 230066,
  [SMALL_STATE(5841)] = 230127,
  [SMALL_STATE(5842)] = 230186,
  [SMALL_STATE(5843)] = 230245,
  [SMALL_STATE(5844)] = 230304,
  [SMALL_STATE(5845)] = 230363,
  [SMALL_STATE(5846)] = 230422,
  [SMALL_STATE(5847)] = 230481,
  [SMALL_STATE(5848)] = 230542,
  [SMALL_STATE(5849)] = 230601,
  [SMALL_STATE(5850)] = 230660,
  [SMALL_STATE(5851)] = 230719,
  [SMALL_STATE(5852)] = 230778,
  [SMALL_STATE(5853)] = 230837,
  [SMALL_STATE(5854)] = 230900,
  [SMALL_STATE(5855)] = 230961,
  [SMALL_STATE(5856)] = 231020,
  [SMALL_STATE(5857)] = 231079,
  [SMALL_STATE(5858)] = 231138,
  [SMALL_STATE(5859)] = 231197,
  [SMALL_STATE(5860)] = 231256,
  [SMALL_STATE(5861)] = 231315,
  [SMALL_STATE(5862)] = 231374,
  [SMALL_STATE(5863)] = 231433,
  [SMALL_STATE(5864)] = 231492,
  [SMALL_STATE(5865)] = 231551,
  [SMALL_STATE(5866)] = 231610,
  [SMALL_STATE(5867)] = 231669,
  [SMALL_STATE(5868)] = 231730,
  [SMALL_STATE(5869)] = 231789,
  [SMALL_STATE(5870)] = 231848,
  [SMALL_STATE(5871)] = 231907,
  [SMALL_STATE(5872)] = 231966,
  [SMALL_STATE(5873)] = 232025,
  [SMALL_STATE(5874)] = 232090,
  [SMALL_STATE(5875)] = 232149,
  [SMALL_STATE(5876)] = 232208,
  [SMALL_STATE(5877)] = 232267,
  [SMALL_STATE(5878)] = 232326,
  [SMALL_STATE(5879)] = 232385,
  [SMALL_STATE(5880)] = 232444,
  [SMALL_STATE(5881)] = 232503,
  [SMALL_STATE(5882)] = 232562,
  [SMALL_STATE(5883)] = 232621,
  [SMALL_STATE(5884)] = 232680,
  [SMALL_STATE(5885)] = 232739,
  [SMALL_STATE(5886)] = 232798,
  [SMALL_STATE(5887)] = 232857,
  [SMALL_STATE(5888)] = 232916,
  [SMALL_STATE(5889)] = 232975,
  [SMALL_STATE(5890)] = 233034,
  [SMALL_STATE(5891)] = 233093,
  [SMALL_STATE(5892)] = 233152,
  [SMALL_STATE(5893)] = 233211,
  [SMALL_STATE(5894)] = 233270,
  [SMALL_STATE(5895)] = 233331,
  [SMALL_STATE(5896)] = 233390,
  [SMALL_STATE(5897)] = 233449,
  [SMALL_STATE(5898)] = 233508,
  [SMALL_STATE(5899)] = 233567,
  [SMALL_STATE(5900)] = 233626,
  [SMALL_STATE(5901)] = 233685,
  [SMALL_STATE(5902)] = 233744,
  [SMALL_STATE(5903)] = 233803,
  [SMALL_STATE(5904)] = 233862,
  [SMALL_STATE(5905)] = 233921,
  [SMALL_STATE(5906)] = 233980,
  [SMALL_STATE(5907)] = 234039,
  [SMALL_STATE(5908)] = 234098,
  [SMALL_STATE(5909)] = 234157,
  [SMALL_STATE(5910)] = 234216,
  [SMALL_STATE(5911)] = 234275,
  [SMALL_STATE(5912)] = 234338,
  [SMALL_STATE(5913)] = 234397,
  [SMALL_STATE(5914)] = 234456,
  [SMALL_STATE(5915)] = 234515,
  [SMALL_STATE(5916)] = 234574,
  [SMALL_STATE(5917)] = 234633,
  [SMALL_STATE(5918)] = 234692,
  [SMALL_STATE(5919)] = 234751,
  [SMALL_STATE(5920)] = 234810,
  [SMALL_STATE(5921)] = 234869,
  [SMALL_STATE(5922)] = 234928,
  [SMALL_STATE(5923)] = 234989,
  [SMALL_STATE(5924)] = 235048,
  [SMALL_STATE(5925)] = 235107,
  [SMALL_STATE(5926)] = 235172,
  [SMALL_STATE(5927)] = 235231,
  [SMALL_STATE(5928)] = 235290,
  [SMALL_STATE(5929)] = 235349,
  [SMALL_STATE(5930)] = 235408,
  [SMALL_STATE(5931)] = 235467,
  [SMALL_STATE(5932)] = 235526,
  [SMALL_STATE(5933)] = 235585,
  [SMALL_STATE(5934)] = 235646,
  [SMALL_STATE(5935)] = 235705,
  [SMALL_STATE(5936)] = 235764,
  [SMALL_STATE(5937)] = 235823,
  [SMALL_STATE(5938)] = 235882,
  [SMALL_STATE(5939)] = 235941,
  [SMALL_STATE(5940)] = 236000,
  [SMALL_STATE(5941)] = 236059,
  [SMALL_STATE(5942)] = 236118,
  [SMALL_STATE(5943)] = 236177,
  [SMALL_STATE(5944)] = 236236,
  [SMALL_STATE(5945)] = 236295,
  [SMALL_STATE(5946)] = 236354,
  [SMALL_STATE(5947)] = 236413,
  [SMALL_STATE(5948)] = 236472,
  [SMALL_STATE(5949)] = 236531,
  [SMALL_STATE(5950)] = 236590,
  [SMALL_STATE(5951)] = 236649,
  [SMALL_STATE(5952)] = 236708,
  [SMALL_STATE(5953)] = 236767,
  [SMALL_STATE(5954)] = 236826,
  [SMALL_STATE(5955)] = 236885,
  [SMALL_STATE(5956)] = 236944,
  [SMALL_STATE(5957)] = 237003,
  [SMALL_STATE(5958)] = 237061,
  [SMALL_STATE(5959)] = 237121,
  [SMALL_STATE(5960)] = 237179,
  [SMALL_STATE(5961)] = 237237,
  [SMALL_STATE(5962)] = 237295,
  [SMALL_STATE(5963)] = 237353,
  [SMALL_STATE(5964)] = 237411,
  [SMALL_STATE(5965)] = 237469,
  [SMALL_STATE(5966)] = 237527,
  [SMALL_STATE(5967)] = 237585,
  [SMALL_STATE(5968)] = 237645,
  [SMALL_STATE(5969)] = 237703,
  [SMALL_STATE(5970)] = 237763,
  [SMALL_STATE(5971)] = 237821,
  [SMALL_STATE(5972)] = 237879,
  [SMALL_STATE(5973)] = 237937,
  [SMALL_STATE(5974)] = 238043,
  [SMALL_STATE(5975)] = 238101,
  [SMALL_STATE(5976)] = 238161,
  [SMALL_STATE(5977)] = 238219,
  [SMALL_STATE(5978)] = 238277,
  [SMALL_STATE(5979)] = 238335,
  [SMALL_STATE(5980)] = 238393,
  [SMALL_STATE(5981)] = 238451,
  [SMALL_STATE(5982)] = 238509,
  [SMALL_STATE(5983)] = 238567,
  [SMALL_STATE(5984)] = 238673,
  [SMALL_STATE(5985)] = 238731,
  [SMALL_STATE(5986)] = 238789,
  [SMALL_STATE(5987)] = 238847,
  [SMALL_STATE(5988)] = 238905,
  [SMALL_STATE(5989)] = 238963,
  [SMALL_STATE(5990)] = 239061,
  [SMALL_STATE(5991)] = 239167,
  [SMALL_STATE(5992)] = 239225,
  [SMALL_STATE(5993)] = 239283,
  [SMALL_STATE(5994)] = 239341,
  [SMALL_STATE(5995)] = 239439,
  [SMALL_STATE(5996)] = 239497,
  [SMALL_STATE(5997)] = 239555,
  [SMALL_STATE(5998)] = 239653,
  [SMALL_STATE(5999)] = 239751,
  [SMALL_STATE(6000)] = 239809,
  [SMALL_STATE(6001)] = 239915,
  [SMALL_STATE(6002)] = 239973,
  [SMALL_STATE(6003)] = 240031,
  [SMALL_STATE(6004)] = 240089,
  [SMALL_STATE(6005)] = 240147,
  [SMALL_STATE(6006)] = 240205,
  [SMALL_STATE(6007)] = 240303,
  [SMALL_STATE(6008)] = 240361,
  [SMALL_STATE(6009)] = 240419,
  [SMALL_STATE(6010)] = 240477,
  [SMALL_STATE(6011)] = 240535,
  [SMALL_STATE(6012)] = 240593,
  [SMALL_STATE(6013)] = 240699,
  [SMALL_STATE(6014)] = 240757,
  [SMALL_STATE(6015)] = 240863,
  [SMALL_STATE(6016)] = 240961,
  [SMALL_STATE(6017)] = 241019,
  [SMALL_STATE(6018)] = 241117,
  [SMALL_STATE(6019)] = 241177,
  [SMALL_STATE(6020)] = 241235,
  [SMALL_STATE(6021)] = 241293,
  [SMALL_STATE(6022)] = 241351,
  [SMALL_STATE(6023)] = 241409,
  [SMALL_STATE(6024)] = 241467,
  [SMALL_STATE(6025)] = 241525,
  [SMALL_STATE(6026)] = 241631,
  [SMALL_STATE(6027)] = 241689,
  [SMALL_STATE(6028)] = 241747,
  [SMALL_STATE(6029)] = 241853,
  [SMALL_STATE(6030)] = 241911,
  [SMALL_STATE(6031)] = 242017,
  [SMALL_STATE(6032)] = 242075,
  [SMALL_STATE(6033)] = 242139,
  [SMALL_STATE(6034)] = 242197,
  [SMALL_STATE(6035)] = 242255,
  [SMALL_STATE(6036)] = 242353,
  [SMALL_STATE(6037)] = 242411,
  [SMALL_STATE(6038)] = 242469,
  [SMALL_STATE(6039)] = 242527,
  [SMALL_STATE(6040)] = 242585,
  [SMALL_STATE(6041)] = 242643,
  [SMALL_STATE(6042)] = 242701,
  [SMALL_STATE(6043)] = 242759,
  [SMALL_STATE(6044)] = 242857,
  [SMALL_STATE(6045)] = 242915,
  [SMALL_STATE(6046)] = 242973,
  [SMALL_STATE(6047)] = 243031,
  [SMALL_STATE(6048)] = 243089,
  [SMALL_STATE(6049)] = 243147,
  [SMALL_STATE(6050)] = 243205,
  [SMALL_STATE(6051)] = 243263,
  [SMALL_STATE(6052)] = 243321,
  [SMALL_STATE(6053)] = 243379,
  [SMALL_STATE(6054)] = 243437,
  [SMALL_STATE(6055)] = 243495,
  [SMALL_STATE(6056)] = 243559,
  [SMALL_STATE(6057)] = 243617,
  [SMALL_STATE(6058)] = 243715,
  [SMALL_STATE(6059)] = 243813,
  [SMALL_STATE(6060)] = 243871,
  [SMALL_STATE(6061)] = 243929,
  [SMALL_STATE(6062)] = 243987,
  [SMALL_STATE(6063)] = 244045,
  [SMALL_STATE(6064)] = 244103,
  [SMALL_STATE(6065)] = 244161,
  [SMALL_STATE(6066)] = 244219,
  [SMALL_STATE(6067)] = 244277,
  [SMALL_STATE(6068)] = 244335,
  [SMALL_STATE(6069)] = 244433,
  [SMALL_STATE(6070)] = 244531,
  [SMALL_STATE(6071)] = 244591,
  [SMALL_STATE(6072)] = 244648,
  [SMALL_STATE(6073)] = 244705,
  [SMALL_STATE(6074)] = 244762,
  [SMALL_STATE(6075)] = 244819,
  [SMALL_STATE(6076)] = 244876,
  [SMALL_STATE(6077)] = 244933,
  [SMALL_STATE(6078)] = 244990,
  [SMALL_STATE(6079)] = 245047,
  [SMALL_STATE(6080)] = 245104,
  [SMALL_STATE(6081)] = 245161,
  [SMALL_STATE(6082)] = 245218,
  [SMALL_STATE(6083)] = 245327,
  [SMALL_STATE(6084)] = 245384,
  [SMALL_STATE(6085)] = 245441,
  [SMALL_STATE(6086)] = 245498,
  [SMALL_STATE(6087)] = 245555,
  [SMALL_STATE(6088)] = 245664,
  [SMALL_STATE(6089)] = 245721,
  [SMALL_STATE(6090)] = 245778,
  [SMALL_STATE(6091)] = 245835,
  [SMALL_STATE(6092)] = 245892,
  [SMALL_STATE(6093)] = 245949,
  [SMALL_STATE(6094)] = 246006,
  [SMALL_STATE(6095)] = 246063,
  [SMALL_STATE(6096)] = 246120,
  [SMALL_STATE(6097)] = 246229,
  [SMALL_STATE(6098)] = 246286,
  [SMALL_STATE(6099)] = 246343,
  [SMALL_STATE(6100)] = 246400,
  [SMALL_STATE(6101)] = 246457,
  [SMALL_STATE(6102)] = 246514,
  [SMALL_STATE(6103)] = 246571,
  [SMALL_STATE(6104)] = 246628,
  [SMALL_STATE(6105)] = 246685,
  [SMALL_STATE(6106)] = 246744,
  [SMALL_STATE(6107)] = 246801,
  [SMALL_STATE(6108)] = 246860,
  [SMALL_STATE(6109)] = 246917,
  [SMALL_STATE(6110)] = 246974,
  [SMALL_STATE(6111)] = 247031,
  [SMALL_STATE(6112)] = 247090,
  [SMALL_STATE(6113)] = 247147,
  [SMALL_STATE(6114)] = 247204,
  [SMALL_STATE(6115)] = 247261,
  [SMALL_STATE(6116)] = 247318,
  [SMALL_STATE(6117)] = 247375,
  [SMALL_STATE(6118)] = 247484,
  [SMALL_STATE(6119)] = 247541,
  [SMALL_STATE(6120)] = 247598,
  [SMALL_STATE(6121)] = 247655,
  [SMALL_STATE(6122)] = 247712,
  [SMALL_STATE(6123)] = 247821,
  [SMALL_STATE(6124)] = 247878,
  [SMALL_STATE(6125)] = 247935,
  [SMALL_STATE(6126)] = 247992,
  [SMALL_STATE(6127)] = 248049,
  [SMALL_STATE(6128)] = 248108,
  [SMALL_STATE(6129)] = 248165,
  [SMALL_STATE(6130)] = 248222,
  [SMALL_STATE(6131)] = 248279,
  [SMALL_STATE(6132)] = 248336,
  [SMALL_STATE(6133)] = 248393,
  [SMALL_STATE(6134)] = 248450,
  [SMALL_STATE(6135)] = 248507,
  [SMALL_STATE(6136)] = 248564,
  [SMALL_STATE(6137)] = 248621,
  [SMALL_STATE(6138)] = 248678,
  [SMALL_STATE(6139)] = 248735,
  [SMALL_STATE(6140)] = 248792,
  [SMALL_STATE(6141)] = 248849,
  [SMALL_STATE(6142)] = 248906,
  [SMALL_STATE(6143)] = 248963,
  [SMALL_STATE(6144)] = 249072,
  [SMALL_STATE(6145)] = 249129,
  [SMALL_STATE(6146)] = 249186,
  [SMALL_STATE(6147)] = 249243,
  [SMALL_STATE(6148)] = 249352,
  [SMALL_STATE(6149)] = 249409,
  [SMALL_STATE(6150)] = 249466,
  [SMALL_STATE(6151)] = 249523,
  [SMALL_STATE(6152)] = 249580,
  [SMALL_STATE(6153)] = 249639,
  [SMALL_STATE(6154)] = 249696,
  [SMALL_STATE(6155)] = 249753,
  [SMALL_STATE(6156)] = 249810,
  [SMALL_STATE(6157)] = 249867,
  [SMALL_STATE(6158)] = 249924,
  [SMALL_STATE(6159)] = 249981,
  [SMALL_STATE(6160)] = 250038,
  [SMALL_STATE(6161)] = 250095,
  [SMALL_STATE(6162)] = 250152,
  [SMALL_STATE(6163)] = 250209,
  [SMALL_STATE(6164)] = 250266,
  [SMALL_STATE(6165)] = 250323,
  [SMALL_STATE(6166)] = 250380,
  [SMALL_STATE(6167)] = 250437,
  [SMALL_STATE(6168)] = 250496,
  [SMALL_STATE(6169)] = 250553,
  [SMALL_STATE(6170)] = 250610,
  [SMALL_STATE(6171)] = 250667,
  [SMALL_STATE(6172)] = 250724,
  [SMALL_STATE(6173)] = 250781,
  [SMALL_STATE(6174)] = 250838,
  [SMALL_STATE(6175)] = 250895,
  [SMALL_STATE(6176)] = 250952,
  [SMALL_STATE(6177)] = 251009,
  [SMALL_STATE(6178)] = 251066,
  [SMALL_STATE(6179)] = 251123,
  [SMALL_STATE(6180)] = 251180,
  [SMALL_STATE(6181)] = 251237,
  [SMALL_STATE(6182)] = 251294,
  [SMALL_STATE(6183)] = 251351,
  [SMALL_STATE(6184)] = 251408,
  [SMALL_STATE(6185)] = 251465,
  [SMALL_STATE(6186)] = 251522,
  [SMALL_STATE(6187)] = 251579,
  [SMALL_STATE(6188)] = 251636,
  [SMALL_STATE(6189)] = 251693,
  [SMALL_STATE(6190)] = 251750,
  [SMALL_STATE(6191)] = 251807,
  [SMALL_STATE(6192)] = 251864,
  [SMALL_STATE(6193)] = 251921,
  [SMALL_STATE(6194)] = 251978,
  [SMALL_STATE(6195)] = 252035,
  [SMALL_STATE(6196)] = 252092,
  [SMALL_STATE(6197)] = 252151,
  [SMALL_STATE(6198)] = 252208,
  [SMALL_STATE(6199)] = 252265,
  [SMALL_STATE(6200)] = 252322,
  [SMALL_STATE(6201)] = 252379,
  [SMALL_STATE(6202)] = 252436,
  [SMALL_STATE(6203)] = 252493,
  [SMALL_STATE(6204)] = 252550,
  [SMALL_STATE(6205)] = 252607,
  [SMALL_STATE(6206)] = 252664,
  [SMALL_STATE(6207)] = 252721,
  [SMALL_STATE(6208)] = 252778,
  [SMALL_STATE(6209)] = 252835,
  [SMALL_STATE(6210)] = 252892,
  [SMALL_STATE(6211)] = 252949,
  [SMALL_STATE(6212)] = 253006,
  [SMALL_STATE(6213)] = 253063,
  [SMALL_STATE(6214)] = 253120,
  [SMALL_STATE(6215)] = 253179,
  [SMALL_STATE(6216)] = 253238,
  [SMALL_STATE(6217)] = 253297,
  [SMALL_STATE(6218)] = 253356,
  [SMALL_STATE(6219)] = 253413,
  [SMALL_STATE(6220)] = 253470,
  [SMALL_STATE(6221)] = 253527,
  [SMALL_STATE(6222)] = 253584,
  [SMALL_STATE(6223)] = 253641,
  [SMALL_STATE(6224)] = 253698,
  [SMALL_STATE(6225)] = 253755,
  [SMALL_STATE(6226)] = 253812,
  [SMALL_STATE(6227)] = 253869,
  [SMALL_STATE(6228)] = 253926,
  [SMALL_STATE(6229)] = 253983,
  [SMALL_STATE(6230)] = 254040,
  [SMALL_STATE(6231)] = 254097,
  [SMALL_STATE(6232)] = 254154,
  [SMALL_STATE(6233)] = 254211,
  [SMALL_STATE(6234)] = 254268,
  [SMALL_STATE(6235)] = 254325,
  [SMALL_STATE(6236)] = 254382,
  [SMALL_STATE(6237)] = 254439,
  [SMALL_STATE(6238)] = 254496,
  [SMALL_STATE(6239)] = 254553,
  [SMALL_STATE(6240)] = 254610,
  [SMALL_STATE(6241)] = 254667,
  [SMALL_STATE(6242)] = 254724,
  [SMALL_STATE(6243)] = 254781,
  [SMALL_STATE(6244)] = 254838,
  [SMALL_STATE(6245)] = 254895,
  [SMALL_STATE(6246)] = 254952,
  [SMALL_STATE(6247)] = 255009,
  [SMALL_STATE(6248)] = 255066,
  [SMALL_STATE(6249)] = 255123,
  [SMALL_STATE(6250)] = 255180,
  [SMALL_STATE(6251)] = 255237,
  [SMALL_STATE(6252)] = 255294,
  [SMALL_STATE(6253)] = 255351,
  [SMALL_STATE(6254)] = 255408,
  [SMALL_STATE(6255)] = 255465,
  [SMALL_STATE(6256)] = 255522,
  [SMALL_STATE(6257)] = 255579,
  [SMALL_STATE(6258)] = 255638,
  [SMALL_STATE(6259)] = 255695,
  [SMALL_STATE(6260)] = 255752,
  [SMALL_STATE(6261)] = 255809,
  [SMALL_STATE(6262)] = 255866,
  [SMALL_STATE(6263)] = 255923,
  [SMALL_STATE(6264)] = 255980,
  [SMALL_STATE(6265)] = 256037,
  [SMALL_STATE(6266)] = 256094,
  [SMALL_STATE(6267)] = 256151,
  [SMALL_STATE(6268)] = 256208,
  [SMALL_STATE(6269)] = 256265,
  [SMALL_STATE(6270)] = 256324,
  [SMALL_STATE(6271)] = 256381,
  [SMALL_STATE(6272)] = 256438,
  [SMALL_STATE(6273)] = 256495,
  [SMALL_STATE(6274)] = 256552,
  [SMALL_STATE(6275)] = 256609,
  [SMALL_STATE(6276)] = 256666,
  [SMALL_STATE(6277)] = 256723,
  [SMALL_STATE(6278)] = 256780,
  [SMALL_STATE(6279)] = 256837,
  [SMALL_STATE(6280)] = 256894,
  [SMALL_STATE(6281)] = 256951,
  [SMALL_STATE(6282)] = 257008,
  [SMALL_STATE(6283)] = 257065,
  [SMALL_STATE(6284)] = 257122,
  [SMALL_STATE(6285)] = 257179,
  [SMALL_STATE(6286)] = 257236,
  [SMALL_STATE(6287)] = 257293,
  [SMALL_STATE(6288)] = 257352,
  [SMALL_STATE(6289)] = 257409,
  [SMALL_STATE(6290)] = 257466,
  [SMALL_STATE(6291)] = 257523,
  [SMALL_STATE(6292)] = 257580,
  [SMALL_STATE(6293)] = 257637,
  [SMALL_STATE(6294)] = 257694,
  [SMALL_STATE(6295)] = 257753,
  [SMALL_STATE(6296)] = 257812,
  [SMALL_STATE(6297)] = 257869,
  [SMALL_STATE(6298)] = 257926,
  [SMALL_STATE(6299)] = 257983,
  [SMALL_STATE(6300)] = 258040,
  [SMALL_STATE(6301)] = 258099,
  [SMALL_STATE(6302)] = 258156,
  [SMALL_STATE(6303)] = 258213,
  [SMALL_STATE(6304)] = 258270,
  [SMALL_STATE(6305)] = 258327,
  [SMALL_STATE(6306)] = 258384,
  [SMALL_STATE(6307)] = 258441,
  [SMALL_STATE(6308)] = 258498,
  [SMALL_STATE(6309)] = 258555,
  [SMALL_STATE(6310)] = 258612,
  [SMALL_STATE(6311)] = 258669,
  [SMALL_STATE(6312)] = 258726,
  [SMALL_STATE(6313)] = 258783,
  [SMALL_STATE(6314)] = 258840,
  [SMALL_STATE(6315)] = 258897,
  [SMALL_STATE(6316)] = 258954,
  [SMALL_STATE(6317)] = 259011,
  [SMALL_STATE(6318)] = 259068,
  [SMALL_STATE(6319)] = 259125,
  [SMALL_STATE(6320)] = 259182,
  [SMALL_STATE(6321)] = 259245,
  [SMALL_STATE(6322)] = 259302,
  [SMALL_STATE(6323)] = 259359,
  [SMALL_STATE(6324)] = 259416,
  [SMALL_STATE(6325)] = 259473,
  [SMALL_STATE(6326)] = 259530,
  [SMALL_STATE(6327)] = 259587,
  [SMALL_STATE(6328)] = 259646,
  [SMALL_STATE(6329)] = 259703,
  [SMALL_STATE(6330)] = 259762,
  [SMALL_STATE(6331)] = 259819,
  [SMALL_STATE(6332)] = 259876,
  [SMALL_STATE(6333)] = 259933,
  [SMALL_STATE(6334)] = 259992,
  [SMALL_STATE(6335)] = 260049,
  [SMALL_STATE(6336)] = 260106,
  [SMALL_STATE(6337)] = 260163,
  [SMALL_STATE(6338)] = 260220,
  [SMALL_STATE(6339)] = 260277,
  [SMALL_STATE(6340)] = 260334,
  [SMALL_STATE(6341)] = 260391,
  [SMALL_STATE(6342)] = 260448,
  [SMALL_STATE(6343)] = 260505,
  [SMALL_STATE(6344)] = 260562,
  [SMALL_STATE(6345)] = 260619,
  [SMALL_STATE(6346)] = 260676,
  [SMALL_STATE(6347)] = 260733,
  [SMALL_STATE(6348)] = 260790,
  [SMALL_STATE(6349)] = 260847,
  [SMALL_STATE(6350)] = 260904,
  [SMALL_STATE(6351)] = 260961,
  [SMALL_STATE(6352)] = 261018,
  [SMALL_STATE(6353)] = 261081,
  [SMALL_STATE(6354)] = 261138,
  [SMALL_STATE(6355)] = 261195,
  [SMALL_STATE(6356)] = 261258,
  [SMALL_STATE(6357)] = 261315,
  [SMALL_STATE(6358)] = 261372,
  [SMALL_STATE(6359)] = 261429,
  [SMALL_STATE(6360)] = 261486,
  [SMALL_STATE(6361)] = 261543,
  [SMALL_STATE(6362)] = 261600,
  [SMALL_STATE(6363)] = 261663,
  [SMALL_STATE(6364)] = 261720,
  [SMALL_STATE(6365)] = 261777,
  [SMALL_STATE(6366)] = 261834,
  [SMALL_STATE(6367)] = 261891,
  [SMALL_STATE(6368)] = 261948,
  [SMALL_STATE(6369)] = 262005,
  [SMALL_STATE(6370)] = 262062,
  [SMALL_STATE(6371)] = 262119,
  [SMALL_STATE(6372)] = 262176,
  [SMALL_STATE(6373)] = 262233,
  [SMALL_STATE(6374)] = 262290,
  [SMALL_STATE(6375)] = 262347,
  [SMALL_STATE(6376)] = 262404,
  [SMALL_STATE(6377)] = 262461,
  [SMALL_STATE(6378)] = 262518,
  [SMALL_STATE(6379)] = 262575,
  [SMALL_STATE(6380)] = 262638,
  [SMALL_STATE(6381)] = 262695,
  [SMALL_STATE(6382)] = 262804,
  [SMALL_STATE(6383)] = 262861,
  [SMALL_STATE(6384)] = 262918,
  [SMALL_STATE(6385)] = 262975,
  [SMALL_STATE(6386)] = 263032,
  [SMALL_STATE(6387)] = 263089,
  [SMALL_STATE(6388)] = 263146,
  [SMALL_STATE(6389)] = 263203,
  [SMALL_STATE(6390)] = 263260,
  [SMALL_STATE(6391)] = 263317,
  [SMALL_STATE(6392)] = 263380,
  [SMALL_STATE(6393)] = 263437,
  [SMALL_STATE(6394)] = 263496,
  [SMALL_STATE(6395)] = 263553,
  [SMALL_STATE(6396)] = 263610,
  [SMALL_STATE(6397)] = 263667,
  [SMALL_STATE(6398)] = 263726,
  [SMALL_STATE(6399)] = 263785,
  [SMALL_STATE(6400)] = 263842,
  [SMALL_STATE(6401)] = 263899,
  [SMALL_STATE(6402)] = 263956,
  [SMALL_STATE(6403)] = 264013,
  [SMALL_STATE(6404)] = 264069,
  [SMALL_STATE(6405)] = 264125,
  [SMALL_STATE(6406)] = 264181,
  [SMALL_STATE(6407)] = 264237,
  [SMALL_STATE(6408)] = 264293,
  [SMALL_STATE(6409)] = 264349,
  [SMALL_STATE(6410)] = 264405,
  [SMALL_STATE(6411)] = 264461,
  [SMALL_STATE(6412)] = 264517,
  [SMALL_STATE(6413)] = 264575,
  [SMALL_STATE(6414)] = 264631,
  [SMALL_STATE(6415)] = 264687,
  [SMALL_STATE(6416)] = 264743,
  [SMALL_STATE(6417)] = 264801,
  [SMALL_STATE(6418)] = 264859,
  [SMALL_STATE(6419)] = 264917,
  [SMALL_STATE(6420)] = 264975,
  [SMALL_STATE(6421)] = 265031,
  [SMALL_STATE(6422)] = 265087,
  [SMALL_STATE(6423)] = 265143,
  [SMALL_STATE(6424)] = 265199,
  [SMALL_STATE(6425)] = 265255,
  [SMALL_STATE(6426)] = 265311,
  [SMALL_STATE(6427)] = 265367,
  [SMALL_STATE(6428)] = 265423,
  [SMALL_STATE(6429)] = 265479,
  [SMALL_STATE(6430)] = 265535,
  [SMALL_STATE(6431)] = 265591,
  [SMALL_STATE(6432)] = 265647,
  [SMALL_STATE(6433)] = 265703,
  [SMALL_STATE(6434)] = 265759,
  [SMALL_STATE(6435)] = 265815,
  [SMALL_STATE(6436)] = 265873,
  [SMALL_STATE(6437)] = 265929,
  [SMALL_STATE(6438)] = 265985,
  [SMALL_STATE(6439)] = 266041,
  [SMALL_STATE(6440)] = 266097,
  [SMALL_STATE(6441)] = 266153,
  [SMALL_STATE(6442)] = 266209,
  [SMALL_STATE(6443)] = 266265,
  [SMALL_STATE(6444)] = 266321,
  [SMALL_STATE(6445)] = 266377,
  [SMALL_STATE(6446)] = 266439,
  [SMALL_STATE(6447)] = 266495,
  [SMALL_STATE(6448)] = 266551,
  [SMALL_STATE(6449)] = 266607,
  [SMALL_STATE(6450)] = 266663,
  [SMALL_STATE(6451)] = 266719,
  [SMALL_STATE(6452)] = 266775,
  [SMALL_STATE(6453)] = 266831,
  [SMALL_STATE(6454)] = 266887,
  [SMALL_STATE(6455)] = 266943,
  [SMALL_STATE(6456)] = 266999,
  [SMALL_STATE(6457)] = 267055,
  [SMALL_STATE(6458)] = 267111,
  [SMALL_STATE(6459)] = 267173,
  [SMALL_STATE(6460)] = 267229,
  [SMALL_STATE(6461)] = 267335,
  [SMALL_STATE(6462)] = 267391,
  [SMALL_STATE(6463)] = 267449,
  [SMALL_STATE(6464)] = 267505,
  [SMALL_STATE(6465)] = 267561,
  [SMALL_STATE(6466)] = 267617,
  [SMALL_STATE(6467)] = 267673,
  [SMALL_STATE(6468)] = 267729,
  [SMALL_STATE(6469)] = 267785,
  [SMALL_STATE(6470)] = 267841,
  [SMALL_STATE(6471)] = 267897,
  [SMALL_STATE(6472)] = 267953,
  [SMALL_STATE(6473)] = 268009,
  [SMALL_STATE(6474)] = 268067,
  [SMALL_STATE(6475)] = 268123,
  [SMALL_STATE(6476)] = 268179,
  [SMALL_STATE(6477)] = 268235,
  [SMALL_STATE(6478)] = 268291,
  [SMALL_STATE(6479)] = 268347,
  [SMALL_STATE(6480)] = 268403,
  [SMALL_STATE(6481)] = 268459,
  [SMALL_STATE(6482)] = 268515,
  [SMALL_STATE(6483)] = 268571,
  [SMALL_STATE(6484)] = 268627,
  [SMALL_STATE(6485)] = 268689,
  [SMALL_STATE(6486)] = 268745,
  [SMALL_STATE(6487)] = 268801,
  [SMALL_STATE(6488)] = 268863,
  [SMALL_STATE(6489)] = 268919,
  [SMALL_STATE(6490)] = 268975,
  [SMALL_STATE(6491)] = 269031,
  [SMALL_STATE(6492)] = 269087,
  [SMALL_STATE(6493)] = 269143,
  [SMALL_STATE(6494)] = 269199,
  [SMALL_STATE(6495)] = 269255,
  [SMALL_STATE(6496)] = 269311,
  [SMALL_STATE(6497)] = 269417,
  [SMALL_STATE(6498)] = 269473,
  [SMALL_STATE(6499)] = 269529,
  [SMALL_STATE(6500)] = 269585,
  [SMALL_STATE(6501)] = 269641,
  [SMALL_STATE(6502)] = 269697,
  [SMALL_STATE(6503)] = 269753,
  [SMALL_STATE(6504)] = 269809,
  [SMALL_STATE(6505)] = 269865,
  [SMALL_STATE(6506)] = 269921,
  [SMALL_STATE(6507)] = 269977,
  [SMALL_STATE(6508)] = 270033,
  [SMALL_STATE(6509)] = 270089,
  [SMALL_STATE(6510)] = 270145,
  [SMALL_STATE(6511)] = 270201,
  [SMALL_STATE(6512)] = 270257,
  [SMALL_STATE(6513)] = 270313,
  [SMALL_STATE(6514)] = 270369,
  [SMALL_STATE(6515)] = 270425,
  [SMALL_STATE(6516)] = 270481,
  [SMALL_STATE(6517)] = 270537,
  [SMALL_STATE(6518)] = 270599,
  [SMALL_STATE(6519)] = 270655,
  [SMALL_STATE(6520)] = 270711,
  [SMALL_STATE(6521)] = 270767,
  [SMALL_STATE(6522)] = 270823,
  [SMALL_STATE(6523)] = 270879,
  [SMALL_STATE(6524)] = 270935,
  [SMALL_STATE(6525)] = 270991,
  [SMALL_STATE(6526)] = 271047,
  [SMALL_STATE(6527)] = 271105,
  [SMALL_STATE(6528)] = 271161,
  [SMALL_STATE(6529)] = 271219,
  [SMALL_STATE(6530)] = 271275,
  [SMALL_STATE(6531)] = 271331,
  [SMALL_STATE(6532)] = 271387,
  [SMALL_STATE(6533)] = 271443,
  [SMALL_STATE(6534)] = 271499,
  [SMALL_STATE(6535)] = 271555,
  [SMALL_STATE(6536)] = 271611,
  [SMALL_STATE(6537)] = 271667,
  [SMALL_STATE(6538)] = 271723,
  [SMALL_STATE(6539)] = 271779,
  [SMALL_STATE(6540)] = 271835,
  [SMALL_STATE(6541)] = 271897,
  [SMALL_STATE(6542)] = 271953,
  [SMALL_STATE(6543)] = 272009,
  [SMALL_STATE(6544)] = 272065,
  [SMALL_STATE(6545)] = 272121,
  [SMALL_STATE(6546)] = 272177,
  [SMALL_STATE(6547)] = 272233,
  [SMALL_STATE(6548)] = 272289,
  [SMALL_STATE(6549)] = 272345,
  [SMALL_STATE(6550)] = 272401,
  [SMALL_STATE(6551)] = 272463,
  [SMALL_STATE(6552)] = 272519,
  [SMALL_STATE(6553)] = 272577,
  [SMALL_STATE(6554)] = 272635,
  [SMALL_STATE(6555)] = 272691,
  [SMALL_STATE(6556)] = 272747,
  [SMALL_STATE(6557)] = 272803,
  [SMALL_STATE(6558)] = 272859,
  [SMALL_STATE(6559)] = 272915,
  [SMALL_STATE(6560)] = 272971,
  [SMALL_STATE(6561)] = 273027,
  [SMALL_STATE(6562)] = 273083,
  [SMALL_STATE(6563)] = 273139,
  [SMALL_STATE(6564)] = 273195,
  [SMALL_STATE(6565)] = 273251,
  [SMALL_STATE(6566)] = 273307,
  [SMALL_STATE(6567)] = 273363,
  [SMALL_STATE(6568)] = 273419,
  [SMALL_STATE(6569)] = 273475,
  [SMALL_STATE(6570)] = 273531,
  [SMALL_STATE(6571)] = 273587,
  [SMALL_STATE(6572)] = 273643,
  [SMALL_STATE(6573)] = 273699,
  [SMALL_STATE(6574)] = 273755,
  [SMALL_STATE(6575)] = 273811,
  [SMALL_STATE(6576)] = 273867,
  [SMALL_STATE(6577)] = 273923,
  [SMALL_STATE(6578)] = 273979,
  [SMALL_STATE(6579)] = 274035,
  [SMALL_STATE(6580)] = 274091,
  [SMALL_STATE(6581)] = 274147,
  [SMALL_STATE(6582)] = 274209,
  [SMALL_STATE(6583)] = 274265,
  [SMALL_STATE(6584)] = 274321,
  [SMALL_STATE(6585)] = 274377,
  [SMALL_STATE(6586)] = 274433,
  [SMALL_STATE(6587)] = 274489,
  [SMALL_STATE(6588)] = 274545,
  [SMALL_STATE(6589)] = 274601,
  [SMALL_STATE(6590)] = 274657,
  [SMALL_STATE(6591)] = 274713,
  [SMALL_STATE(6592)] = 274769,
  [SMALL_STATE(6593)] = 274825,
  [SMALL_STATE(6594)] = 274881,
  [SMALL_STATE(6595)] = 274939,
  [SMALL_STATE(6596)] = 274995,
  [SMALL_STATE(6597)] = 275051,
  [SMALL_STATE(6598)] = 275107,
  [SMALL_STATE(6599)] = 275163,
  [SMALL_STATE(6600)] = 275219,
  [SMALL_STATE(6601)] = 275275,
  [SMALL_STATE(6602)] = 275331,
  [SMALL_STATE(6603)] = 275387,
  [SMALL_STATE(6604)] = 275443,
  [SMALL_STATE(6605)] = 275499,
  [SMALL_STATE(6606)] = 275555,
  [SMALL_STATE(6607)] = 275611,
  [SMALL_STATE(6608)] = 275667,
  [SMALL_STATE(6609)] = 275723,
  [SMALL_STATE(6610)] = 275779,
  [SMALL_STATE(6611)] = 275835,
  [SMALL_STATE(6612)] = 275891,
  [SMALL_STATE(6613)] = 275947,
  [SMALL_STATE(6614)] = 276003,
  [SMALL_STATE(6615)] = 276059,
  [SMALL_STATE(6616)] = 276115,
  [SMALL_STATE(6617)] = 276171,
  [SMALL_STATE(6618)] = 276233,
  [SMALL_STATE(6619)] = 276289,
  [SMALL_STATE(6620)] = 276345,
  [SMALL_STATE(6621)] = 276401,
  [SMALL_STATE(6622)] = 276457,
  [SMALL_STATE(6623)] = 276513,
  [SMALL_STATE(6624)] = 276569,
  [SMALL_STATE(6625)] = 276625,
  [SMALL_STATE(6626)] = 276681,
  [SMALL_STATE(6627)] = 276737,
  [SMALL_STATE(6628)] = 276793,
  [SMALL_STATE(6629)] = 276849,
  [SMALL_STATE(6630)] = 276907,
  [SMALL_STATE(6631)] = 276963,
  [SMALL_STATE(6632)] = 277019,
  [SMALL_STATE(6633)] = 277075,
  [SMALL_STATE(6634)] = 277131,
  [SMALL_STATE(6635)] = 277187,
  [SMALL_STATE(6636)] = 277243,
  [SMALL_STATE(6637)] = 277299,
  [SMALL_STATE(6638)] = 277355,
  [SMALL_STATE(6639)] = 277411,
  [SMALL_STATE(6640)] = 277467,
  [SMALL_STATE(6641)] = 277523,
  [SMALL_STATE(6642)] = 277579,
  [SMALL_STATE(6643)] = 277635,
  [SMALL_STATE(6644)] = 277691,
  [SMALL_STATE(6645)] = 277747,
  [SMALL_STATE(6646)] = 277803,
  [SMALL_STATE(6647)] = 277859,
  [SMALL_STATE(6648)] = 277915,
  [SMALL_STATE(6649)] = 277971,
  [SMALL_STATE(6650)] = 278027,
  [SMALL_STATE(6651)] = 278083,
  [SMALL_STATE(6652)] = 278139,
  [SMALL_STATE(6653)] = 278195,
  [SMALL_STATE(6654)] = 278251,
  [SMALL_STATE(6655)] = 278307,
  [SMALL_STATE(6656)] = 278363,
  [SMALL_STATE(6657)] = 278425,
  [SMALL_STATE(6658)] = 278481,
  [SMALL_STATE(6659)] = 278539,
  [SMALL_STATE(6660)] = 278595,
  [SMALL_STATE(6661)] = 278651,
  [SMALL_STATE(6662)] = 278707,
  [SMALL_STATE(6663)] = 278763,
  [SMALL_STATE(6664)] = 278819,
  [SMALL_STATE(6665)] = 278875,
  [SMALL_STATE(6666)] = 278931,
  [SMALL_STATE(6667)] = 278987,
  [SMALL_STATE(6668)] = 279043,
  [SMALL_STATE(6669)] = 279099,
  [SMALL_STATE(6670)] = 279155,
  [SMALL_STATE(6671)] = 279261,
  [SMALL_STATE(6672)] = 279317,
  [SMALL_STATE(6673)] = 279373,
  [SMALL_STATE(6674)] = 279429,
  [SMALL_STATE(6675)] = 279485,
  [SMALL_STATE(6676)] = 279541,
  [SMALL_STATE(6677)] = 279597,
  [SMALL_STATE(6678)] = 279653,
  [SMALL_STATE(6679)] = 279709,
  [SMALL_STATE(6680)] = 279765,
  [SMALL_STATE(6681)] = 279821,
  [SMALL_STATE(6682)] = 279877,
  [SMALL_STATE(6683)] = 279933,
  [SMALL_STATE(6684)] = 279989,
  [SMALL_STATE(6685)] = 280045,
  [SMALL_STATE(6686)] = 280103,
  [SMALL_STATE(6687)] = 280165,
  [SMALL_STATE(6688)] = 280221,
  [SMALL_STATE(6689)] = 280277,
  [SMALL_STATE(6690)] = 280333,
  [SMALL_STATE(6691)] = 280389,
  [SMALL_STATE(6692)] = 280445,
  [SMALL_STATE(6693)] = 280501,
  [SMALL_STATE(6694)] = 280557,
  [SMALL_STATE(6695)] = 280613,
  [SMALL_STATE(6696)] = 280671,
  [SMALL_STATE(6697)] = 280727,
  [SMALL_STATE(6698)] = 280783,
  [SMALL_STATE(6699)] = 280839,
  [SMALL_STATE(6700)] = 280895,
  [SMALL_STATE(6701)] = 280951,
  [SMALL_STATE(6702)] = 281007,
  [SMALL_STATE(6703)] = 281063,
  [SMALL_STATE(6704)] = 281119,
  [SMALL_STATE(6705)] = 281175,
  [SMALL_STATE(6706)] = 281231,
  [SMALL_STATE(6707)] = 281287,
  [SMALL_STATE(6708)] = 281343,
  [SMALL_STATE(6709)] = 281399,
  [SMALL_STATE(6710)] = 281455,
  [SMALL_STATE(6711)] = 281511,
  [SMALL_STATE(6712)] = 281567,
  [SMALL_STATE(6713)] = 281623,
  [SMALL_STATE(6714)] = 281679,
  [SMALL_STATE(6715)] = 281735,
  [SMALL_STATE(6716)] = 281791,
  [SMALL_STATE(6717)] = 281847,
  [SMALL_STATE(6718)] = 281953,
  [SMALL_STATE(6719)] = 282009,
  [SMALL_STATE(6720)] = 282065,
  [SMALL_STATE(6721)] = 282121,
  [SMALL_STATE(6722)] = 282177,
  [SMALL_STATE(6723)] = 282233,
  [SMALL_STATE(6724)] = 282289,
  [SMALL_STATE(6725)] = 282345,
  [SMALL_STATE(6726)] = 282401,
  [SMALL_STATE(6727)] = 282507,
  [SMALL_STATE(6728)] = 282563,
  [SMALL_STATE(6729)] = 282619,
  [SMALL_STATE(6730)] = 282675,
  [SMALL_STATE(6731)] = 282731,
  [SMALL_STATE(6732)] = 282787,
  [SMALL_STATE(6733)] = 282843,
  [SMALL_STATE(6734)] = 282899,
  [SMALL_STATE(6735)] = 282955,
  [SMALL_STATE(6736)] = 283011,
  [SMALL_STATE(6737)] = 283067,
  [SMALL_STATE(6738)] = 283123,
  [SMALL_STATE(6739)] = 283179,
  [SMALL_STATE(6740)] = 283235,
  [SMALL_STATE(6741)] = 283291,
  [SMALL_STATE(6742)] = 283347,
  [SMALL_STATE(6743)] = 283403,
  [SMALL_STATE(6744)] = 283461,
  [SMALL_STATE(6745)] = 283517,
  [SMALL_STATE(6746)] = 283573,
  [SMALL_STATE(6747)] = 283629,
  [SMALL_STATE(6748)] = 283685,
  [SMALL_STATE(6749)] = 283741,
  [SMALL_STATE(6750)] = 283797,
  [SMALL_STATE(6751)] = 283853,
  [SMALL_STATE(6752)] = 283909,
  [SMALL_STATE(6753)] = 283965,
  [SMALL_STATE(6754)] = 284021,
  [SMALL_STATE(6755)] = 284077,
  [SMALL_STATE(6756)] = 284133,
  [SMALL_STATE(6757)] = 284189,
  [SMALL_STATE(6758)] = 284245,
  [SMALL_STATE(6759)] = 284301,
  [SMALL_STATE(6760)] = 284357,
  [SMALL_STATE(6761)] = 284413,
  [SMALL_STATE(6762)] = 284469,
  [SMALL_STATE(6763)] = 284525,
  [SMALL_STATE(6764)] = 284581,
  [SMALL_STATE(6765)] = 284637,
  [SMALL_STATE(6766)] = 284693,
  [SMALL_STATE(6767)] = 284751,
  [SMALL_STATE(6768)] = 284807,
  [SMALL_STATE(6769)] = 284863,
  [SMALL_STATE(6770)] = 284919,
  [SMALL_STATE(6771)] = 284975,
  [SMALL_STATE(6772)] = 285031,
  [SMALL_STATE(6773)] = 285089,
  [SMALL_STATE(6774)] = 285145,
  [SMALL_STATE(6775)] = 285201,
  [SMALL_STATE(6776)] = 285257,
  [SMALL_STATE(6777)] = 285313,
  [SMALL_STATE(6778)] = 285369,
  [SMALL_STATE(6779)] = 285427,
  [SMALL_STATE(6780)] = 285483,
  [SMALL_STATE(6781)] = 285539,
  [SMALL_STATE(6782)] = 285595,
  [SMALL_STATE(6783)] = 285651,
  [SMALL_STATE(6784)] = 285707,
  [SMALL_STATE(6785)] = 285763,
  [SMALL_STATE(6786)] = 285819,
  [SMALL_STATE(6787)] = 285877,
  [SMALL_STATE(6788)] = 285933,
  [SMALL_STATE(6789)] = 285989,
  [SMALL_STATE(6790)] = 286045,
  [SMALL_STATE(6791)] = 286101,
  [SMALL_STATE(6792)] = 286157,
  [SMALL_STATE(6793)] = 286213,
  [SMALL_STATE(6794)] = 286269,
  [SMALL_STATE(6795)] = 286325,
  [SMALL_STATE(6796)] = 286381,
  [SMALL_STATE(6797)] = 286437,
  [SMALL_STATE(6798)] = 286493,
  [SMALL_STATE(6799)] = 286549,
  [SMALL_STATE(6800)] = 286605,
  [SMALL_STATE(6801)] = 286711,
  [SMALL_STATE(6802)] = 286767,
  [SMALL_STATE(6803)] = 286823,
  [SMALL_STATE(6804)] = 286879,
  [SMALL_STATE(6805)] = 286935,
  [SMALL_STATE(6806)] = 286991,
  [SMALL_STATE(6807)] = 287047,
  [SMALL_STATE(6808)] = 287103,
  [SMALL_STATE(6809)] = 287159,
  [SMALL_STATE(6810)] = 287215,
  [SMALL_STATE(6811)] = 287271,
  [SMALL_STATE(6812)] = 287327,
  [SMALL_STATE(6813)] = 287383,
  [SMALL_STATE(6814)] = 287439,
  [SMALL_STATE(6815)] = 287495,
  [SMALL_STATE(6816)] = 287551,
  [SMALL_STATE(6817)] = 287607,
  [SMALL_STATE(6818)] = 287663,
  [SMALL_STATE(6819)] = 287719,
  [SMALL_STATE(6820)] = 287825,
  [SMALL_STATE(6821)] = 287881,
  [SMALL_STATE(6822)] = 287937,
  [SMALL_STATE(6823)] = 287993,
  [SMALL_STATE(6824)] = 288049,
  [SMALL_STATE(6825)] = 288105,
  [SMALL_STATE(6826)] = 288161,
  [SMALL_STATE(6827)] = 288217,
  [SMALL_STATE(6828)] = 288273,
  [SMALL_STATE(6829)] = 288329,
  [SMALL_STATE(6830)] = 288385,
  [SMALL_STATE(6831)] = 288441,
  [SMALL_STATE(6832)] = 288499,
  [SMALL_STATE(6833)] = 288555,
  [SMALL_STATE(6834)] = 288611,
  [SMALL_STATE(6835)] = 288667,
  [SMALL_STATE(6836)] = 288723,
  [SMALL_STATE(6837)] = 288781,
  [SMALL_STATE(6838)] = 288837,
  [SMALL_STATE(6839)] = 288893,
  [SMALL_STATE(6840)] = 288949,
  [SMALL_STATE(6841)] = 289005,
  [SMALL_STATE(6842)] = 289061,
  [SMALL_STATE(6843)] = 289117,
  [SMALL_STATE(6844)] = 289173,
  [SMALL_STATE(6845)] = 289229,
  [SMALL_STATE(6846)] = 289287,
  [SMALL_STATE(6847)] = 289343,
  [SMALL_STATE(6848)] = 289399,
  [SMALL_STATE(6849)] = 289455,
  [SMALL_STATE(6850)] = 289511,
  [SMALL_STATE(6851)] = 289567,
  [SMALL_STATE(6852)] = 289623,
  [SMALL_STATE(6853)] = 289681,
  [SMALL_STATE(6854)] = 289737,
  [SMALL_STATE(6855)] = 289793,
  [SMALL_STATE(6856)] = 289849,
  [SMALL_STATE(6857)] = 289907,
  [SMALL_STATE(6858)] = 289963,
  [SMALL_STATE(6859)] = 290019,
  [SMALL_STATE(6860)] = 290075,
  [SMALL_STATE(6861)] = 290131,
  [SMALL_STATE(6862)] = 290187,
  [SMALL_STATE(6863)] = 290243,
  [SMALL_STATE(6864)] = 290299,
  [SMALL_STATE(6865)] = 290357,
  [SMALL_STATE(6866)] = 290413,
  [SMALL_STATE(6867)] = 290475,
  [SMALL_STATE(6868)] = 290531,
  [SMALL_STATE(6869)] = 290587,
  [SMALL_STATE(6870)] = 290643,
  [SMALL_STATE(6871)] = 290699,
  [SMALL_STATE(6872)] = 290755,
  [SMALL_STATE(6873)] = 290811,
  [SMALL_STATE(6874)] = 290867,
  [SMALL_STATE(6875)] = 290923,
  [SMALL_STATE(6876)] = 290979,
  [SMALL_STATE(6877)] = 291037,
  [SMALL_STATE(6878)] = 291093,
  [SMALL_STATE(6879)] = 291149,
  [SMALL_STATE(6880)] = 291205,
  [SMALL_STATE(6881)] = 291261,
  [SMALL_STATE(6882)] = 291317,
  [SMALL_STATE(6883)] = 291373,
  [SMALL_STATE(6884)] = 291429,
  [SMALL_STATE(6885)] = 291485,
  [SMALL_STATE(6886)] = 291541,
  [SMALL_STATE(6887)] = 291597,
  [SMALL_STATE(6888)] = 291653,
  [SMALL_STATE(6889)] = 291711,
  [SMALL_STATE(6890)] = 291767,
  [SMALL_STATE(6891)] = 291823,
  [SMALL_STATE(6892)] = 291879,
  [SMALL_STATE(6893)] = 291935,
  [SMALL_STATE(6894)] = 291991,
  [SMALL_STATE(6895)] = 292047,
  [SMALL_STATE(6896)] = 292103,
  [SMALL_STATE(6897)] = 292209,
  [SMALL_STATE(6898)] = 292267,
  [SMALL_STATE(6899)] = 292323,
  [SMALL_STATE(6900)] = 292381,
  [SMALL_STATE(6901)] = 292437,
  [SMALL_STATE(6902)] = 292493,
  [SMALL_STATE(6903)] = 292549,
  [SMALL_STATE(6904)] = 292605,
  [SMALL_STATE(6905)] = 292661,
  [SMALL_STATE(6906)] = 292717,
  [SMALL_STATE(6907)] = 292773,
  [SMALL_STATE(6908)] = 292829,
  [SMALL_STATE(6909)] = 292885,
  [SMALL_STATE(6910)] = 292941,
  [SMALL_STATE(6911)] = 292997,
  [SMALL_STATE(6912)] = 293053,
  [SMALL_STATE(6913)] = 293109,
  [SMALL_STATE(6914)] = 293165,
  [SMALL_STATE(6915)] = 293221,
  [SMALL_STATE(6916)] = 293277,
  [SMALL_STATE(6917)] = 293333,
  [SMALL_STATE(6918)] = 293389,
  [SMALL_STATE(6919)] = 293445,
  [SMALL_STATE(6920)] = 293501,
  [SMALL_STATE(6921)] = 293557,
  [SMALL_STATE(6922)] = 293613,
  [SMALL_STATE(6923)] = 293669,
  [SMALL_STATE(6924)] = 293725,
  [SMALL_STATE(6925)] = 293781,
  [SMALL_STATE(6926)] = 293837,
  [SMALL_STATE(6927)] = 293893,
  [SMALL_STATE(6928)] = 293951,
  [SMALL_STATE(6929)] = 294007,
  [SMALL_STATE(6930)] = 294063,
  [SMALL_STATE(6931)] = 294119,
  [SMALL_STATE(6932)] = 294175,
  [SMALL_STATE(6933)] = 294231,
  [SMALL_STATE(6934)] = 294287,
  [SMALL_STATE(6935)] = 294343,
  [SMALL_STATE(6936)] = 294399,
  [SMALL_STATE(6937)] = 294455,
  [SMALL_STATE(6938)] = 294511,
  [SMALL_STATE(6939)] = 294567,
  [SMALL_STATE(6940)] = 294623,
  [SMALL_STATE(6941)] = 294679,
  [SMALL_STATE(6942)] = 294737,
  [SMALL_STATE(6943)] = 294792,
  [SMALL_STATE(6944)] = 294847,
  [SMALL_STATE(6945)] = 294902,
  [SMALL_STATE(6946)] = 294957,
  [SMALL_STATE(6947)] = 295012,
  [SMALL_STATE(6948)] = 295067,
  [SMALL_STATE(6949)] = 295122,
  [SMALL_STATE(6950)] = 295177,
  [SMALL_STATE(6951)] = 295232,
  [SMALL_STATE(6952)] = 295287,
  [SMALL_STATE(6953)] = 295342,
  [SMALL_STATE(6954)] = 295397,
  [SMALL_STATE(6955)] = 295452,
  [SMALL_STATE(6956)] = 295507,
  [SMALL_STATE(6957)] = 295562,
  [SMALL_STATE(6958)] = 295617,
  [SMALL_STATE(6959)] = 295672,
  [SMALL_STATE(6960)] = 295727,
  [SMALL_STATE(6961)] = 295782,
  [SMALL_STATE(6962)] = 295839,
  [SMALL_STATE(6963)] = 295894,
  [SMALL_STATE(6964)] = 295949,
  [SMALL_STATE(6965)] = 296004,
  [SMALL_STATE(6966)] = 296059,
  [SMALL_STATE(6967)] = 296114,
  [SMALL_STATE(6968)] = 296169,
  [SMALL_STATE(6969)] = 296224,
  [SMALL_STATE(6970)] = 296279,
  [SMALL_STATE(6971)] = 296334,
  [SMALL_STATE(6972)] = 296389,
  [SMALL_STATE(6973)] = 296444,
  [SMALL_STATE(6974)] = 296499,
  [SMALL_STATE(6975)] = 296554,
  [SMALL_STATE(6976)] = 296609,
  [SMALL_STATE(6977)] = 296664,
  [SMALL_STATE(6978)] = 296725,
  [SMALL_STATE(6979)] = 296780,
  [SMALL_STATE(6980)] = 296835,
  [SMALL_STATE(6981)] = 296890,
  [SMALL_STATE(6982)] = 296945,
  [SMALL_STATE(6983)] = 297000,
  [SMALL_STATE(6984)] = 297055,
  [SMALL_STATE(6985)] = 297110,
  [SMALL_STATE(6986)] = 297165,
  [SMALL_STATE(6987)] = 297220,
  [SMALL_STATE(6988)] = 297275,
  [SMALL_STATE(6989)] = 297330,
  [SMALL_STATE(6990)] = 297385,
  [SMALL_STATE(6991)] = 297440,
  [SMALL_STATE(6992)] = 297495,
  [SMALL_STATE(6993)] = 297550,
  [SMALL_STATE(6994)] = 297607,
  [SMALL_STATE(6995)] = 297662,
  [SMALL_STATE(6996)] = 297717,
  [SMALL_STATE(6997)] = 297778,
  [SMALL_STATE(6998)] = 297833,
  [SMALL_STATE(6999)] = 297888,
  [SMALL_STATE(7000)] = 297943,
  [SMALL_STATE(7001)] = 297998,
  [SMALL_STATE(7002)] = 298053,
  [SMALL_STATE(7003)] = 298108,
  [SMALL_STATE(7004)] = 298169,
  [SMALL_STATE(7005)] = 298226,
  [SMALL_STATE(7006)] = 298281,
  [SMALL_STATE(7007)] = 298336,
  [SMALL_STATE(7008)] = 298391,
  [SMALL_STATE(7009)] = 298446,
  [SMALL_STATE(7010)] = 298501,
  [SMALL_STATE(7011)] = 298556,
  [SMALL_STATE(7012)] = 298611,
  [SMALL_STATE(7013)] = 298666,
  [SMALL_STATE(7014)] = 298721,
  [SMALL_STATE(7015)] = 298776,
  [SMALL_STATE(7016)] = 298831,
  [SMALL_STATE(7017)] = 298886,
  [SMALL_STATE(7018)] = 298941,
  [SMALL_STATE(7019)] = 299002,
  [SMALL_STATE(7020)] = 299057,
  [SMALL_STATE(7021)] = 299112,
  [SMALL_STATE(7022)] = 299167,
  [SMALL_STATE(7023)] = 299222,
  [SMALL_STATE(7024)] = 299277,
  [SMALL_STATE(7025)] = 299332,
  [SMALL_STATE(7026)] = 299387,
  [SMALL_STATE(7027)] = 299442,
  [SMALL_STATE(7028)] = 299497,
  [SMALL_STATE(7029)] = 299552,
  [SMALL_STATE(7030)] = 299607,
  [SMALL_STATE(7031)] = 299662,
  [SMALL_STATE(7032)] = 299723,
  [SMALL_STATE(7033)] = 299778,
  [SMALL_STATE(7034)] = 299833,
  [SMALL_STATE(7035)] = 299888,
  [SMALL_STATE(7036)] = 299943,
  [SMALL_STATE(7037)] = 299998,
  [SMALL_STATE(7038)] = 300053,
  [SMALL_STATE(7039)] = 300108,
  [SMALL_STATE(7040)] = 300163,
  [SMALL_STATE(7041)] = 300218,
  [SMALL_STATE(7042)] = 300273,
  [SMALL_STATE(7043)] = 300328,
  [SMALL_STATE(7044)] = 300383,
  [SMALL_STATE(7045)] = 300438,
  [SMALL_STATE(7046)] = 300493,
  [SMALL_STATE(7047)] = 300548,
  [SMALL_STATE(7048)] = 300603,
  [SMALL_STATE(7049)] = 300658,
  [SMALL_STATE(7050)] = 300713,
  [SMALL_STATE(7051)] = 300768,
  [SMALL_STATE(7052)] = 300823,
  [SMALL_STATE(7053)] = 300878,
  [SMALL_STATE(7054)] = 300933,
  [SMALL_STATE(7055)] = 300988,
  [SMALL_STATE(7056)] = 301045,
  [SMALL_STATE(7057)] = 301100,
  [SMALL_STATE(7058)] = 301155,
  [SMALL_STATE(7059)] = 301210,
  [SMALL_STATE(7060)] = 301265,
  [SMALL_STATE(7061)] = 301320,
  [SMALL_STATE(7062)] = 301375,
  [SMALL_STATE(7063)] = 301430,
  [SMALL_STATE(7064)] = 301485,
  [SMALL_STATE(7065)] = 301540,
  [SMALL_STATE(7066)] = 301595,
  [SMALL_STATE(7067)] = 301650,
  [SMALL_STATE(7068)] = 301705,
  [SMALL_STATE(7069)] = 301760,
  [SMALL_STATE(7070)] = 301815,
  [SMALL_STATE(7071)] = 301876,
  [SMALL_STATE(7072)] = 301931,
  [SMALL_STATE(7073)] = 301986,
  [SMALL_STATE(7074)] = 302041,
  [SMALL_STATE(7075)] = 302096,
  [SMALL_STATE(7076)] = 302151,
  [SMALL_STATE(7077)] = 302206,
  [SMALL_STATE(7078)] = 302261,
  [SMALL_STATE(7079)] = 302316,
  [SMALL_STATE(7080)] = 302371,
  [SMALL_STATE(7081)] = 302426,
  [SMALL_STATE(7082)] = 302481,
  [SMALL_STATE(7083)] = 302536,
  [SMALL_STATE(7084)] = 302593,
  [SMALL_STATE(7085)] = 302648,
  [SMALL_STATE(7086)] = 302703,
  [SMALL_STATE(7087)] = 302758,
  [SMALL_STATE(7088)] = 302813,
  [SMALL_STATE(7089)] = 302868,
  [SMALL_STATE(7090)] = 302923,
  [SMALL_STATE(7091)] = 302978,
  [SMALL_STATE(7092)] = 303033,
  [SMALL_STATE(7093)] = 303088,
  [SMALL_STATE(7094)] = 303143,
  [SMALL_STATE(7095)] = 303198,
  [SMALL_STATE(7096)] = 303253,
  [SMALL_STATE(7097)] = 303308,
  [SMALL_STATE(7098)] = 303363,
  [SMALL_STATE(7099)] = 303418,
  [SMALL_STATE(7100)] = 303473,
  [SMALL_STATE(7101)] = 303528,
  [SMALL_STATE(7102)] = 303583,
  [SMALL_STATE(7103)] = 303638,
  [SMALL_STATE(7104)] = 303693,
  [SMALL_STATE(7105)] = 303754,
  [SMALL_STATE(7106)] = 303809,
  [SMALL_STATE(7107)] = 303864,
  [SMALL_STATE(7108)] = 303919,
  [SMALL_STATE(7109)] = 303974,
  [SMALL_STATE(7110)] = 304029,
  [SMALL_STATE(7111)] = 304084,
  [SMALL_STATE(7112)] = 304139,
  [SMALL_STATE(7113)] = 304194,
  [SMALL_STATE(7114)] = 304249,
  [SMALL_STATE(7115)] = 304304,
  [SMALL_STATE(7116)] = 304359,
  [SMALL_STATE(7117)] = 304414,
  [SMALL_STATE(7118)] = 304469,
  [SMALL_STATE(7119)] = 304524,
  [SMALL_STATE(7120)] = 304579,
  [SMALL_STATE(7121)] = 304636,
  [SMALL_STATE(7122)] = 304691,
  [SMALL_STATE(7123)] = 304746,
  [SMALL_STATE(7124)] = 304801,
  [SMALL_STATE(7125)] = 304856,
  [SMALL_STATE(7126)] = 304911,
  [SMALL_STATE(7127)] = 304966,
  [SMALL_STATE(7128)] = 305023,
  [SMALL_STATE(7129)] = 305078,
  [SMALL_STATE(7130)] = 305133,
  [SMALL_STATE(7131)] = 305188,
  [SMALL_STATE(7132)] = 305243,
  [SMALL_STATE(7133)] = 305298,
  [SMALL_STATE(7134)] = 305353,
  [SMALL_STATE(7135)] = 305408,
  [SMALL_STATE(7136)] = 305463,
  [SMALL_STATE(7137)] = 305518,
  [SMALL_STATE(7138)] = 305573,
  [SMALL_STATE(7139)] = 305628,
  [SMALL_STATE(7140)] = 305683,
  [SMALL_STATE(7141)] = 305738,
  [SMALL_STATE(7142)] = 305793,
  [SMALL_STATE(7143)] = 305848,
  [SMALL_STATE(7144)] = 305903,
  [SMALL_STATE(7145)] = 305958,
  [SMALL_STATE(7146)] = 306013,
  [SMALL_STATE(7147)] = 306068,
  [SMALL_STATE(7148)] = 306123,
  [SMALL_STATE(7149)] = 306178,
  [SMALL_STATE(7150)] = 306233,
  [SMALL_STATE(7151)] = 306288,
  [SMALL_STATE(7152)] = 306343,
  [SMALL_STATE(7153)] = 306398,
  [SMALL_STATE(7154)] = 306453,
  [SMALL_STATE(7155)] = 306508,
  [SMALL_STATE(7156)] = 306563,
  [SMALL_STATE(7157)] = 306618,
  [SMALL_STATE(7158)] = 306675,
  [SMALL_STATE(7159)] = 306730,
  [SMALL_STATE(7160)] = 306785,
  [SMALL_STATE(7161)] = 306840,
  [SMALL_STATE(7162)] = 306895,
  [SMALL_STATE(7163)] = 306950,
  [SMALL_STATE(7164)] = 307005,
  [SMALL_STATE(7165)] = 307060,
  [SMALL_STATE(7166)] = 307115,
  [SMALL_STATE(7167)] = 307170,
  [SMALL_STATE(7168)] = 307225,
  [SMALL_STATE(7169)] = 307280,
  [SMALL_STATE(7170)] = 307335,
  [SMALL_STATE(7171)] = 307390,
  [SMALL_STATE(7172)] = 307445,
  [SMALL_STATE(7173)] = 307500,
  [SMALL_STATE(7174)] = 307555,
  [SMALL_STATE(7175)] = 307612,
  [SMALL_STATE(7176)] = 307667,
  [SMALL_STATE(7177)] = 307722,
  [SMALL_STATE(7178)] = 307777,
  [SMALL_STATE(7179)] = 307832,
  [SMALL_STATE(7180)] = 307887,
  [SMALL_STATE(7181)] = 307942,
  [SMALL_STATE(7182)] = 307997,
  [SMALL_STATE(7183)] = 308052,
  [SMALL_STATE(7184)] = 308107,
  [SMALL_STATE(7185)] = 308164,
  [SMALL_STATE(7186)] = 308219,
  [SMALL_STATE(7187)] = 308274,
  [SMALL_STATE(7188)] = 308329,
  [SMALL_STATE(7189)] = 308384,
  [SMALL_STATE(7190)] = 308441,
  [SMALL_STATE(7191)] = 308496,
  [SMALL_STATE(7192)] = 308551,
  [SMALL_STATE(7193)] = 308606,
  [SMALL_STATE(7194)] = 308661,
  [SMALL_STATE(7195)] = 308716,
  [SMALL_STATE(7196)] = 308771,
  [SMALL_STATE(7197)] = 308826,
  [SMALL_STATE(7198)] = 308881,
  [SMALL_STATE(7199)] = 308936,
  [SMALL_STATE(7200)] = 308991,
  [SMALL_STATE(7201)] = 309046,
  [SMALL_STATE(7202)] = 309101,
  [SMALL_STATE(7203)] = 309156,
  [SMALL_STATE(7204)] = 309211,
  [SMALL_STATE(7205)] = 309266,
  [SMALL_STATE(7206)] = 309321,
  [SMALL_STATE(7207)] = 309376,
  [SMALL_STATE(7208)] = 309431,
  [SMALL_STATE(7209)] = 309486,
  [SMALL_STATE(7210)] = 309541,
  [SMALL_STATE(7211)] = 309596,
  [SMALL_STATE(7212)] = 309651,
  [SMALL_STATE(7213)] = 309706,
  [SMALL_STATE(7214)] = 309761,
  [SMALL_STATE(7215)] = 309816,
  [SMALL_STATE(7216)] = 309871,
  [SMALL_STATE(7217)] = 309926,
  [SMALL_STATE(7218)] = 309981,
  [SMALL_STATE(7219)] = 310036,
  [SMALL_STATE(7220)] = 310091,
  [SMALL_STATE(7221)] = 310146,
  [SMALL_STATE(7222)] = 310201,
  [SMALL_STATE(7223)] = 310256,
  [SMALL_STATE(7224)] = 310313,
  [SMALL_STATE(7225)] = 310370,
  [SMALL_STATE(7226)] = 310425,
  [SMALL_STATE(7227)] = 310480,
  [SMALL_STATE(7228)] = 310535,
  [SMALL_STATE(7229)] = 310590,
  [SMALL_STATE(7230)] = 310645,
  [SMALL_STATE(7231)] = 310700,
  [SMALL_STATE(7232)] = 310755,
  [SMALL_STATE(7233)] = 310810,
  [SMALL_STATE(7234)] = 310865,
  [SMALL_STATE(7235)] = 310920,
  [SMALL_STATE(7236)] = 310975,
  [SMALL_STATE(7237)] = 311030,
  [SMALL_STATE(7238)] = 311085,
  [SMALL_STATE(7239)] = 311140,
  [SMALL_STATE(7240)] = 311195,
  [SMALL_STATE(7241)] = 311250,
  [SMALL_STATE(7242)] = 311305,
  [SMALL_STATE(7243)] = 311360,
  [SMALL_STATE(7244)] = 311415,
  [SMALL_STATE(7245)] = 311470,
  [SMALL_STATE(7246)] = 311525,
  [SMALL_STATE(7247)] = 311580,
  [SMALL_STATE(7248)] = 311635,
  [SMALL_STATE(7249)] = 311690,
  [SMALL_STATE(7250)] = 311745,
  [SMALL_STATE(7251)] = 311800,
  [SMALL_STATE(7252)] = 311855,
  [SMALL_STATE(7253)] = 311910,
  [SMALL_STATE(7254)] = 311965,
  [SMALL_STATE(7255)] = 312020,
  [SMALL_STATE(7256)] = 312075,
  [SMALL_STATE(7257)] = 312130,
  [SMALL_STATE(7258)] = 312185,
  [SMALL_STATE(7259)] = 312240,
  [SMALL_STATE(7260)] = 312295,
  [SMALL_STATE(7261)] = 312350,
  [SMALL_STATE(7262)] = 312405,
  [SMALL_STATE(7263)] = 312460,
  [SMALL_STATE(7264)] = 312515,
  [SMALL_STATE(7265)] = 312570,
  [SMALL_STATE(7266)] = 312625,
  [SMALL_STATE(7267)] = 312680,
  [SMALL_STATE(7268)] = 312735,
  [SMALL_STATE(7269)] = 312790,
  [SMALL_STATE(7270)] = 312845,
  [SMALL_STATE(7271)] = 312900,
  [SMALL_STATE(7272)] = 312955,
  [SMALL_STATE(7273)] = 313010,
  [SMALL_STATE(7274)] = 313065,
  [SMALL_STATE(7275)] = 313120,
  [SMALL_STATE(7276)] = 313175,
  [SMALL_STATE(7277)] = 313230,
  [SMALL_STATE(7278)] = 313285,
  [SMALL_STATE(7279)] = 313340,
  [SMALL_STATE(7280)] = 313395,
  [SMALL_STATE(7281)] = 313450,
  [SMALL_STATE(7282)] = 313505,
  [SMALL_STATE(7283)] = 313560,
  [SMALL_STATE(7284)] = 313621,
  [SMALL_STATE(7285)] = 313676,
  [SMALL_STATE(7286)] = 313737,
  [SMALL_STATE(7287)] = 313792,
  [SMALL_STATE(7288)] = 313847,
  [SMALL_STATE(7289)] = 313902,
  [SMALL_STATE(7290)] = 313957,
  [SMALL_STATE(7291)] = 314014,
  [SMALL_STATE(7292)] = 314069,
  [SMALL_STATE(7293)] = 314126,
  [SMALL_STATE(7294)] = 314181,
  [SMALL_STATE(7295)] = 314236,
  [SMALL_STATE(7296)] = 314291,
  [SMALL_STATE(7297)] = 314346,
  [SMALL_STATE(7298)] = 314401,
  [SMALL_STATE(7299)] = 314456,
  [SMALL_STATE(7300)] = 314511,
  [SMALL_STATE(7301)] = 314566,
  [SMALL_STATE(7302)] = 314621,
  [SMALL_STATE(7303)] = 314676,
  [SMALL_STATE(7304)] = 314733,
  [SMALL_STATE(7305)] = 314788,
  [SMALL_STATE(7306)] = 314843,
  [SMALL_STATE(7307)] = 314898,
  [SMALL_STATE(7308)] = 314953,
  [SMALL_STATE(7309)] = 315008,
  [SMALL_STATE(7310)] = 315063,
  [SMALL_STATE(7311)] = 315118,
  [SMALL_STATE(7312)] = 315173,
  [SMALL_STATE(7313)] = 315234,
  [SMALL_STATE(7314)] = 315289,
  [SMALL_STATE(7315)] = 315344,
  [SMALL_STATE(7316)] = 315399,
  [SMALL_STATE(7317)] = 315454,
  [SMALL_STATE(7318)] = 315509,
  [SMALL_STATE(7319)] = 315564,
  [SMALL_STATE(7320)] = 315619,
  [SMALL_STATE(7321)] = 315674,
  [SMALL_STATE(7322)] = 315729,
  [SMALL_STATE(7323)] = 315784,
  [SMALL_STATE(7324)] = 315839,
  [SMALL_STATE(7325)] = 315894,
  [SMALL_STATE(7326)] = 315949,
  [SMALL_STATE(7327)] = 316004,
  [SMALL_STATE(7328)] = 316059,
  [SMALL_STATE(7329)] = 316114,
  [SMALL_STATE(7330)] = 316169,
  [SMALL_STATE(7331)] = 316224,
  [SMALL_STATE(7332)] = 316279,
  [SMALL_STATE(7333)] = 316334,
  [SMALL_STATE(7334)] = 316389,
  [SMALL_STATE(7335)] = 316444,
  [SMALL_STATE(7336)] = 316499,
  [SMALL_STATE(7337)] = 316554,
  [SMALL_STATE(7338)] = 316609,
  [SMALL_STATE(7339)] = 316664,
  [SMALL_STATE(7340)] = 316719,
  [SMALL_STATE(7341)] = 316774,
  [SMALL_STATE(7342)] = 316831,
  [SMALL_STATE(7343)] = 316886,
  [SMALL_STATE(7344)] = 316941,
  [SMALL_STATE(7345)] = 316996,
  [SMALL_STATE(7346)] = 317051,
  [SMALL_STATE(7347)] = 317106,
  [SMALL_STATE(7348)] = 317163,
  [SMALL_STATE(7349)] = 317218,
  [SMALL_STATE(7350)] = 317273,
  [SMALL_STATE(7351)] = 317328,
  [SMALL_STATE(7352)] = 317383,
  [SMALL_STATE(7353)] = 317438,
  [SMALL_STATE(7354)] = 317493,
  [SMALL_STATE(7355)] = 317548,
  [SMALL_STATE(7356)] = 317603,
  [SMALL_STATE(7357)] = 317658,
  [SMALL_STATE(7358)] = 317713,
  [SMALL_STATE(7359)] = 317768,
  [SMALL_STATE(7360)] = 317823,
  [SMALL_STATE(7361)] = 317878,
  [SMALL_STATE(7362)] = 317933,
  [SMALL_STATE(7363)] = 317988,
  [SMALL_STATE(7364)] = 318043,
  [SMALL_STATE(7365)] = 318098,
  [SMALL_STATE(7366)] = 318159,
  [SMALL_STATE(7367)] = 318214,
  [SMALL_STATE(7368)] = 318269,
  [SMALL_STATE(7369)] = 318324,
  [SMALL_STATE(7370)] = 318379,
  [SMALL_STATE(7371)] = 318434,
  [SMALL_STATE(7372)] = 318491,
  [SMALL_STATE(7373)] = 318546,
  [SMALL_STATE(7374)] = 318601,
  [SMALL_STATE(7375)] = 318656,
  [SMALL_STATE(7376)] = 318711,
  [SMALL_STATE(7377)] = 318768,
  [SMALL_STATE(7378)] = 318823,
  [SMALL_STATE(7379)] = 318878,
  [SMALL_STATE(7380)] = 318933,
  [SMALL_STATE(7381)] = 318988,
  [SMALL_STATE(7382)] = 319043,
  [SMALL_STATE(7383)] = 319098,
  [SMALL_STATE(7384)] = 319155,
  [SMALL_STATE(7385)] = 319210,
  [SMALL_STATE(7386)] = 319265,
  [SMALL_STATE(7387)] = 319322,
  [SMALL_STATE(7388)] = 319377,
  [SMALL_STATE(7389)] = 319432,
  [SMALL_STATE(7390)] = 319487,
  [SMALL_STATE(7391)] = 319542,
  [SMALL_STATE(7392)] = 319597,
  [SMALL_STATE(7393)] = 319652,
  [SMALL_STATE(7394)] = 319709,
  [SMALL_STATE(7395)] = 319764,
  [SMALL_STATE(7396)] = 319819,
  [SMALL_STATE(7397)] = 319874,
  [SMALL_STATE(7398)] = 319929,
  [SMALL_STATE(7399)] = 319984,
  [SMALL_STATE(7400)] = 320039,
  [SMALL_STATE(7401)] = 320094,
  [SMALL_STATE(7402)] = 320149,
  [SMALL_STATE(7403)] = 320204,
  [SMALL_STATE(7404)] = 320261,
  [SMALL_STATE(7405)] = 320316,
  [SMALL_STATE(7406)] = 320371,
  [SMALL_STATE(7407)] = 320426,
  [SMALL_STATE(7408)] = 320481,
  [SMALL_STATE(7409)] = 320536,
  [SMALL_STATE(7410)] = 320591,
  [SMALL_STATE(7411)] = 320646,
  [SMALL_STATE(7412)] = 320701,
  [SMALL_STATE(7413)] = 320756,
  [SMALL_STATE(7414)] = 320811,
  [SMALL_STATE(7415)] = 320866,
  [SMALL_STATE(7416)] = 320927,
  [SMALL_STATE(7417)] = 320982,
  [SMALL_STATE(7418)] = 321037,
  [SMALL_STATE(7419)] = 321092,
  [SMALL_STATE(7420)] = 321147,
  [SMALL_STATE(7421)] = 321202,
  [SMALL_STATE(7422)] = 321263,
  [SMALL_STATE(7423)] = 321318,
  [SMALL_STATE(7424)] = 321373,
  [SMALL_STATE(7425)] = 321430,
  [SMALL_STATE(7426)] = 321485,
  [SMALL_STATE(7427)] = 321540,
  [SMALL_STATE(7428)] = 321595,
  [SMALL_STATE(7429)] = 321650,
  [SMALL_STATE(7430)] = 321705,
  [SMALL_STATE(7431)] = 321760,
  [SMALL_STATE(7432)] = 321815,
  [SMALL_STATE(7433)] = 321870,
  [SMALL_STATE(7434)] = 321925,
  [SMALL_STATE(7435)] = 321980,
  [SMALL_STATE(7436)] = 322035,
  [SMALL_STATE(7437)] = 322090,
  [SMALL_STATE(7438)] = 322145,
  [SMALL_STATE(7439)] = 322200,
  [SMALL_STATE(7440)] = 322255,
  [SMALL_STATE(7441)] = 322310,
  [SMALL_STATE(7442)] = 322365,
  [SMALL_STATE(7443)] = 322420,
  [SMALL_STATE(7444)] = 322475,
  [SMALL_STATE(7445)] = 322532,
  [SMALL_STATE(7446)] = 322587,
  [SMALL_STATE(7447)] = 322642,
  [SMALL_STATE(7448)] = 322697,
  [SMALL_STATE(7449)] = 322752,
  [SMALL_STATE(7450)] = 322807,
  [SMALL_STATE(7451)] = 322862,
  [SMALL_STATE(7452)] = 322917,
  [SMALL_STATE(7453)] = 322972,
  [SMALL_STATE(7454)] = 323027,
  [SMALL_STATE(7455)] = 323082,
  [SMALL_STATE(7456)] = 323137,
  [SMALL_STATE(7457)] = 323192,
  [SMALL_STATE(7458)] = 323247,
  [SMALL_STATE(7459)] = 323302,
  [SMALL_STATE(7460)] = 323357,
  [SMALL_STATE(7461)] = 323412,
  [SMALL_STATE(7462)] = 323467,
  [SMALL_STATE(7463)] = 323522,
  [SMALL_STATE(7464)] = 323577,
  [SMALL_STATE(7465)] = 323632,
  [SMALL_STATE(7466)] = 323687,
  [SMALL_STATE(7467)] = 323742,
  [SMALL_STATE(7468)] = 323797,
  [SMALL_STATE(7469)] = 323852,
  [SMALL_STATE(7470)] = 323907,
  [SMALL_STATE(7471)] = 323962,
  [SMALL_STATE(7472)] = 324017,
  [SMALL_STATE(7473)] = 324072,
  [SMALL_STATE(7474)] = 324127,
  [SMALL_STATE(7475)] = 324182,
  [SMALL_STATE(7476)] = 324237,
  [SMALL_STATE(7477)] = 324292,
  [SMALL_STATE(7478)] = 324347,
  [SMALL_STATE(7479)] = 324402,
  [SMALL_STATE(7480)] = 324457,
  [SMALL_STATE(7481)] = 324512,
  [SMALL_STATE(7482)] = 324567,
  [SMALL_STATE(7483)] = 324622,
  [SMALL_STATE(7484)] = 324677,
  [SMALL_STATE(7485)] = 324732,
  [SMALL_STATE(7486)] = 324787,
  [SMALL_STATE(7487)] = 324842,
  [SMALL_STATE(7488)] = 324897,
  [SMALL_STATE(7489)] = 324952,
  [SMALL_STATE(7490)] = 325013,
  [SMALL_STATE(7491)] = 325070,
  [SMALL_STATE(7492)] = 325125,
  [SMALL_STATE(7493)] = 325180,
  [SMALL_STATE(7494)] = 325235,
  [SMALL_STATE(7495)] = 325290,
  [SMALL_STATE(7496)] = 325345,
  [SMALL_STATE(7497)] = 325400,
  [SMALL_STATE(7498)] = 325457,
  [SMALL_STATE(7499)] = 325514,
  [SMALL_STATE(7500)] = 325569,
  [SMALL_STATE(7501)] = 325624,
  [SMALL_STATE(7502)] = 325679,
  [SMALL_STATE(7503)] = 325734,
  [SMALL_STATE(7504)] = 325789,
  [SMALL_STATE(7505)] = 325844,
  [SMALL_STATE(7506)] = 325899,
  [SMALL_STATE(7507)] = 325954,
  [SMALL_STATE(7508)] = 326009,
  [SMALL_STATE(7509)] = 326064,
  [SMALL_STATE(7510)] = 326119,
  [SMALL_STATE(7511)] = 326174,
  [SMALL_STATE(7512)] = 326229,
  [SMALL_STATE(7513)] = 326284,
  [SMALL_STATE(7514)] = 326339,
  [SMALL_STATE(7515)] = 326394,
  [SMALL_STATE(7516)] = 326449,
  [SMALL_STATE(7517)] = 326504,
  [SMALL_STATE(7518)] = 326559,
  [SMALL_STATE(7519)] = 326614,
  [SMALL_STATE(7520)] = 326671,
  [SMALL_STATE(7521)] = 326726,
  [SMALL_STATE(7522)] = 326781,
  [SMALL_STATE(7523)] = 326835,
  [SMALL_STATE(7524)] = 326889,
  [SMALL_STATE(7525)] = 326943,
  [SMALL_STATE(7526)] = 326997,
  [SMALL_STATE(7527)] = 327051,
  [SMALL_STATE(7528)] = 327105,
  [SMALL_STATE(7529)] = 327159,
  [SMALL_STATE(7530)] = 327213,
  [SMALL_STATE(7531)] = 327267,
  [SMALL_STATE(7532)] = 327321,
  [SMALL_STATE(7533)] = 327375,
  [SMALL_STATE(7534)] = 327429,
  [SMALL_STATE(7535)] = 327483,
  [SMALL_STATE(7536)] = 327539,
  [SMALL_STATE(7537)] = 327593,
  [SMALL_STATE(7538)] = 327649,
  [SMALL_STATE(7539)] = 327703,
  [SMALL_STATE(7540)] = 327757,
  [SMALL_STATE(7541)] = 327811,
  [SMALL_STATE(7542)] = 327865,
  [SMALL_STATE(7543)] = 327919,
  [SMALL_STATE(7544)] = 327973,
  [SMALL_STATE(7545)] = 328027,
  [SMALL_STATE(7546)] = 328081,
  [SMALL_STATE(7547)] = 328135,
  [SMALL_STATE(7548)] = 328189,
  [SMALL_STATE(7549)] = 328245,
  [SMALL_STATE(7550)] = 328299,
  [SMALL_STATE(7551)] = 328353,
  [SMALL_STATE(7552)] = 328409,
  [SMALL_STATE(7553)] = 328463,
  [SMALL_STATE(7554)] = 328517,
  [SMALL_STATE(7555)] = 328571,
  [SMALL_STATE(7556)] = 328625,
  [SMALL_STATE(7557)] = 328681,
  [SMALL_STATE(7558)] = 328735,
  [SMALL_STATE(7559)] = 328789,
  [SMALL_STATE(7560)] = 328843,
  [SMALL_STATE(7561)] = 328897,
  [SMALL_STATE(7562)] = 328957,
  [SMALL_STATE(7563)] = 329011,
  [SMALL_STATE(7564)] = 329065,
  [SMALL_STATE(7565)] = 329119,
  [SMALL_STATE(7566)] = 329173,
  [SMALL_STATE(7567)] = 329227,
  [SMALL_STATE(7568)] = 329287,
  [SMALL_STATE(7569)] = 329341,
  [SMALL_STATE(7570)] = 329395,
  [SMALL_STATE(7571)] = 329449,
  [SMALL_STATE(7572)] = 329503,
  [SMALL_STATE(7573)] = 329557,
  [SMALL_STATE(7574)] = 329611,
  [SMALL_STATE(7575)] = 329665,
  [SMALL_STATE(7576)] = 329719,
  [SMALL_STATE(7577)] = 329773,
  [SMALL_STATE(7578)] = 329827,
  [SMALL_STATE(7579)] = 329881,
  [SMALL_STATE(7580)] = 329935,
  [SMALL_STATE(7581)] = 329989,
  [SMALL_STATE(7582)] = 330043,
  [SMALL_STATE(7583)] = 330097,
  [SMALL_STATE(7584)] = 330151,
  [SMALL_STATE(7585)] = 330205,
  [SMALL_STATE(7586)] = 330259,
  [SMALL_STATE(7587)] = 330313,
  [SMALL_STATE(7588)] = 330367,
  [SMALL_STATE(7589)] = 330421,
  [SMALL_STATE(7590)] = 330475,
  [SMALL_STATE(7591)] = 330529,
  [SMALL_STATE(7592)] = 330583,
  [SMALL_STATE(7593)] = 330637,
  [SMALL_STATE(7594)] = 330691,
  [SMALL_STATE(7595)] = 330745,
  [SMALL_STATE(7596)] = 330799,
  [SMALL_STATE(7597)] = 330853,
  [SMALL_STATE(7598)] = 330907,
  [SMALL_STATE(7599)] = 330961,
  [SMALL_STATE(7600)] = 331015,
  [SMALL_STATE(7601)] = 331069,
  [SMALL_STATE(7602)] = 331125,
  [SMALL_STATE(7603)] = 331179,
  [SMALL_STATE(7604)] = 331233,
  [SMALL_STATE(7605)] = 331287,
  [SMALL_STATE(7606)] = 331341,
  [SMALL_STATE(7607)] = 331395,
  [SMALL_STATE(7608)] = 331451,
  [SMALL_STATE(7609)] = 331507,
  [SMALL_STATE(7610)] = 331561,
  [SMALL_STATE(7611)] = 331615,
  [SMALL_STATE(7612)] = 331669,
  [SMALL_STATE(7613)] = 331723,
  [SMALL_STATE(7614)] = 331777,
  [SMALL_STATE(7615)] = 331831,
  [SMALL_STATE(7616)] = 331885,
  [SMALL_STATE(7617)] = 331939,
  [SMALL_STATE(7618)] = 331999,
  [SMALL_STATE(7619)] = 332053,
  [SMALL_STATE(7620)] = 332107,
  [SMALL_STATE(7621)] = 332161,
  [SMALL_STATE(7622)] = 332215,
  [SMALL_STATE(7623)] = 332269,
  [SMALL_STATE(7624)] = 332325,
  [SMALL_STATE(7625)] = 332379,
  [SMALL_STATE(7626)] = 332433,
  [SMALL_STATE(7627)] = 332487,
  [SMALL_STATE(7628)] = 332541,
  [SMALL_STATE(7629)] = 332595,
  [SMALL_STATE(7630)] = 332649,
  [SMALL_STATE(7631)] = 332703,
  [SMALL_STATE(7632)] = 332757,
  [SMALL_STATE(7633)] = 332811,
  [SMALL_STATE(7634)] = 332865,
  [SMALL_STATE(7635)] = 332919,
  [SMALL_STATE(7636)] = 332975,
  [SMALL_STATE(7637)] = 333029,
  [SMALL_STATE(7638)] = 333083,
  [SMALL_STATE(7639)] = 333137,
  [SMALL_STATE(7640)] = 333191,
  [SMALL_STATE(7641)] = 333245,
  [SMALL_STATE(7642)] = 333299,
  [SMALL_STATE(7643)] = 333353,
  [SMALL_STATE(7644)] = 333407,
  [SMALL_STATE(7645)] = 333461,
  [SMALL_STATE(7646)] = 333515,
  [SMALL_STATE(7647)] = 333569,
  [SMALL_STATE(7648)] = 333623,
  [SMALL_STATE(7649)] = 333677,
  [SMALL_STATE(7650)] = 333731,
  [SMALL_STATE(7651)] = 333785,
  [SMALL_STATE(7652)] = 333839,
  [SMALL_STATE(7653)] = 333893,
  [SMALL_STATE(7654)] = 333947,
  [SMALL_STATE(7655)] = 334001,
  [SMALL_STATE(7656)] = 334055,
  [SMALL_STATE(7657)] = 334109,
  [SMALL_STATE(7658)] = 334163,
  [SMALL_STATE(7659)] = 334217,
  [SMALL_STATE(7660)] = 334271,
  [SMALL_STATE(7661)] = 334325,
  [SMALL_STATE(7662)] = 334379,
  [SMALL_STATE(7663)] = 334433,
  [SMALL_STATE(7664)] = 334487,
  [SMALL_STATE(7665)] = 334541,
  [SMALL_STATE(7666)] = 334595,
  [SMALL_STATE(7667)] = 334649,
  [SMALL_STATE(7668)] = 334703,
  [SMALL_STATE(7669)] = 334757,
  [SMALL_STATE(7670)] = 334811,
  [SMALL_STATE(7671)] = 334865,
  [SMALL_STATE(7672)] = 334919,
  [SMALL_STATE(7673)] = 334973,
  [SMALL_STATE(7674)] = 335027,
  [SMALL_STATE(7675)] = 335081,
  [SMALL_STATE(7676)] = 335135,
  [SMALL_STATE(7677)] = 335189,
  [SMALL_STATE(7678)] = 335243,
  [SMALL_STATE(7679)] = 335297,
  [SMALL_STATE(7680)] = 335351,
  [SMALL_STATE(7681)] = 335405,
  [SMALL_STATE(7682)] = 335459,
  [SMALL_STATE(7683)] = 335513,
  [SMALL_STATE(7684)] = 335569,
  [SMALL_STATE(7685)] = 335623,
  [SMALL_STATE(7686)] = 335677,
  [SMALL_STATE(7687)] = 335731,
  [SMALL_STATE(7688)] = 335785,
  [SMALL_STATE(7689)] = 335839,
  [SMALL_STATE(7690)] = 335893,
  [SMALL_STATE(7691)] = 335947,
  [SMALL_STATE(7692)] = 336001,
  [SMALL_STATE(7693)] = 336055,
  [SMALL_STATE(7694)] = 336109,
  [SMALL_STATE(7695)] = 336163,
  [SMALL_STATE(7696)] = 336219,
  [SMALL_STATE(7697)] = 336273,
  [SMALL_STATE(7698)] = 336327,
  [SMALL_STATE(7699)] = 336381,
  [SMALL_STATE(7700)] = 336441,
  [SMALL_STATE(7701)] = 336501,
  [SMALL_STATE(7702)] = 336555,
  [SMALL_STATE(7703)] = 336609,
  [SMALL_STATE(7704)] = 336663,
  [SMALL_STATE(7705)] = 336717,
  [SMALL_STATE(7706)] = 336771,
  [SMALL_STATE(7707)] = 336825,
  [SMALL_STATE(7708)] = 336879,
  [SMALL_STATE(7709)] = 336933,
  [SMALL_STATE(7710)] = 336987,
  [SMALL_STATE(7711)] = 337041,
  [SMALL_STATE(7712)] = 337097,
  [SMALL_STATE(7713)] = 337153,
  [SMALL_STATE(7714)] = 337207,
  [SMALL_STATE(7715)] = 337261,
  [SMALL_STATE(7716)] = 337315,
  [SMALL_STATE(7717)] = 337369,
  [SMALL_STATE(7718)] = 337423,
  [SMALL_STATE(7719)] = 337477,
  [SMALL_STATE(7720)] = 337531,
  [SMALL_STATE(7721)] = 337585,
  [SMALL_STATE(7722)] = 337639,
  [SMALL_STATE(7723)] = 337693,
  [SMALL_STATE(7724)] = 337747,
  [SMALL_STATE(7725)] = 337801,
  [SMALL_STATE(7726)] = 337855,
  [SMALL_STATE(7727)] = 337909,
  [SMALL_STATE(7728)] = 337965,
  [SMALL_STATE(7729)] = 338019,
  [SMALL_STATE(7730)] = 338073,
  [SMALL_STATE(7731)] = 338127,
  [SMALL_STATE(7732)] = 338180,
  [SMALL_STATE(7733)] = 338233,
  [SMALL_STATE(7734)] = 338286,
  [SMALL_STATE(7735)] = 338339,
  [SMALL_STATE(7736)] = 338394,
  [SMALL_STATE(7737)] = 338447,
  [SMALL_STATE(7738)] = 338502,
  [SMALL_STATE(7739)] = 338555,
  [SMALL_STATE(7740)] = 338608,
  [SMALL_STATE(7741)] = 338661,
  [SMALL_STATE(7742)] = 338762,
  [SMALL_STATE(7743)] = 338815,
  [SMALL_STATE(7744)] = 338916,
  [SMALL_STATE(7745)] = 338969,
  [SMALL_STATE(7746)] = 339022,
  [SMALL_STATE(7747)] = 339075,
  [SMALL_STATE(7748)] = 339128,
  [SMALL_STATE(7749)] = 339181,
  [SMALL_STATE(7750)] = 339234,
  [SMALL_STATE(7751)] = 339287,
  [SMALL_STATE(7752)] = 339340,
  [SMALL_STATE(7753)] = 339393,
  [SMALL_STATE(7754)] = 339446,
  [SMALL_STATE(7755)] = 339499,
  [SMALL_STATE(7756)] = 339552,
  [SMALL_STATE(7757)] = 339605,
  [SMALL_STATE(7758)] = 339658,
  [SMALL_STATE(7759)] = 339711,
  [SMALL_STATE(7760)] = 339764,
  [SMALL_STATE(7761)] = 339817,
  [SMALL_STATE(7762)] = 339876,
  [SMALL_STATE(7763)] = 339977,
  [SMALL_STATE(7764)] = 340030,
  [SMALL_STATE(7765)] = 340083,
  [SMALL_STATE(7766)] = 340184,
  [SMALL_STATE(7767)] = 340237,
  [SMALL_STATE(7768)] = 340290,
  [SMALL_STATE(7769)] = 340343,
  [SMALL_STATE(7770)] = 340444,
  [SMALL_STATE(7771)] = 340497,
  [SMALL_STATE(7772)] = 340550,
  [SMALL_STATE(7773)] = 340603,
  [SMALL_STATE(7774)] = 340656,
  [SMALL_STATE(7775)] = 340709,
  [SMALL_STATE(7776)] = 340762,
  [SMALL_STATE(7777)] = 340815,
  [SMALL_STATE(7778)] = 340868,
  [SMALL_STATE(7779)] = 340921,
  [SMALL_STATE(7780)] = 340980,
  [SMALL_STATE(7781)] = 341033,
  [SMALL_STATE(7782)] = 341086,
  [SMALL_STATE(7783)] = 341139,
  [SMALL_STATE(7784)] = 341192,
  [SMALL_STATE(7785)] = 341245,
  [SMALL_STATE(7786)] = 341298,
  [SMALL_STATE(7787)] = 341351,
  [SMALL_STATE(7788)] = 341404,
  [SMALL_STATE(7789)] = 341457,
  [SMALL_STATE(7790)] = 341510,
  [SMALL_STATE(7791)] = 341563,
  [SMALL_STATE(7792)] = 341616,
  [SMALL_STATE(7793)] = 341669,
  [SMALL_STATE(7794)] = 341722,
  [SMALL_STATE(7795)] = 341781,
  [SMALL_STATE(7796)] = 341834,
  [SMALL_STATE(7797)] = 341887,
  [SMALL_STATE(7798)] = 341988,
  [SMALL_STATE(7799)] = 342041,
  [SMALL_STATE(7800)] = 342094,
  [SMALL_STATE(7801)] = 342147,
  [SMALL_STATE(7802)] = 342200,
  [SMALL_STATE(7803)] = 342259,
  [SMALL_STATE(7804)] = 342312,
  [SMALL_STATE(7805)] = 342365,
  [SMALL_STATE(7806)] = 342418,
  [SMALL_STATE(7807)] = 342519,
  [SMALL_STATE(7808)] = 342620,
  [SMALL_STATE(7809)] = 342673,
  [SMALL_STATE(7810)] = 342726,
  [SMALL_STATE(7811)] = 342779,
  [SMALL_STATE(7812)] = 342832,
  [SMALL_STATE(7813)] = 342933,
  [SMALL_STATE(7814)] = 342986,
  [SMALL_STATE(7815)] = 343039,
  [SMALL_STATE(7816)] = 343094,
  [SMALL_STATE(7817)] = 343147,
  [SMALL_STATE(7818)] = 343200,
  [SMALL_STATE(7819)] = 343301,
  [SMALL_STATE(7820)] = 343360,
  [SMALL_STATE(7821)] = 343461,
  [SMALL_STATE(7822)] = 343514,
  [SMALL_STATE(7823)] = 343567,
  [SMALL_STATE(7824)] = 343620,
  [SMALL_STATE(7825)] = 343673,
  [SMALL_STATE(7826)] = 343726,
  [SMALL_STATE(7827)] = 343779,
  [SMALL_STATE(7828)] = 343832,
  [SMALL_STATE(7829)] = 343885,
  [SMALL_STATE(7830)] = 343938,
  [SMALL_STATE(7831)] = 343991,
  [SMALL_STATE(7832)] = 344044,
  [SMALL_STATE(7833)] = 344097,
  [SMALL_STATE(7834)] = 344150,
  [SMALL_STATE(7835)] = 344203,
  [SMALL_STATE(7836)] = 344256,
  [SMALL_STATE(7837)] = 344309,
  [SMALL_STATE(7838)] = 344364,
  [SMALL_STATE(7839)] = 344417,
  [SMALL_STATE(7840)] = 344470,
  [SMALL_STATE(7841)] = 344523,
  [SMALL_STATE(7842)] = 344576,
  [SMALL_STATE(7843)] = 344629,
  [SMALL_STATE(7844)] = 344682,
  [SMALL_STATE(7845)] = 344735,
  [SMALL_STATE(7846)] = 344788,
  [SMALL_STATE(7847)] = 344841,
  [SMALL_STATE(7848)] = 344894,
  [SMALL_STATE(7849)] = 344949,
  [SMALL_STATE(7850)] = 345002,
  [SMALL_STATE(7851)] = 345055,
  [SMALL_STATE(7852)] = 345156,
  [SMALL_STATE(7853)] = 345209,
  [SMALL_STATE(7854)] = 345262,
  [SMALL_STATE(7855)] = 345315,
  [SMALL_STATE(7856)] = 345368,
  [SMALL_STATE(7857)] = 345469,
  [SMALL_STATE(7858)] = 345570,
  [SMALL_STATE(7859)] = 345623,
  [SMALL_STATE(7860)] = 345678,
  [SMALL_STATE(7861)] = 345731,
  [SMALL_STATE(7862)] = 345784,
  [SMALL_STATE(7863)] = 345837,
  [SMALL_STATE(7864)] = 345892,
  [SMALL_STATE(7865)] = 345945,
  [SMALL_STATE(7866)] = 345998,
  [SMALL_STATE(7867)] = 346051,
  [SMALL_STATE(7868)] = 346104,
  [SMALL_STATE(7869)] = 346157,
  [SMALL_STATE(7870)] = 346210,
  [SMALL_STATE(7871)] = 346263,
  [SMALL_STATE(7872)] = 346316,
  [SMALL_STATE(7873)] = 346371,
  [SMALL_STATE(7874)] = 346430,
  [SMALL_STATE(7875)] = 346483,
  [SMALL_STATE(7876)] = 346536,
  [SMALL_STATE(7877)] = 346589,
  [SMALL_STATE(7878)] = 346642,
  [SMALL_STATE(7879)] = 346695,
  [SMALL_STATE(7880)] = 346748,
  [SMALL_STATE(7881)] = 346801,
  [SMALL_STATE(7882)] = 346856,
  [SMALL_STATE(7883)] = 346909,
  [SMALL_STATE(7884)] = 346962,
  [SMALL_STATE(7885)] = 347015,
  [SMALL_STATE(7886)] = 347068,
  [SMALL_STATE(7887)] = 347121,
  [SMALL_STATE(7888)] = 347174,
  [SMALL_STATE(7889)] = 347227,
  [SMALL_STATE(7890)] = 347280,
  [SMALL_STATE(7891)] = 347333,
  [SMALL_STATE(7892)] = 347386,
  [SMALL_STATE(7893)] = 347439,
  [SMALL_STATE(7894)] = 347492,
  [SMALL_STATE(7895)] = 347545,
  [SMALL_STATE(7896)] = 347598,
  [SMALL_STATE(7897)] = 347651,
  [SMALL_STATE(7898)] = 347704,
  [SMALL_STATE(7899)] = 347757,
  [SMALL_STATE(7900)] = 347810,
  [SMALL_STATE(7901)] = 347863,
  [SMALL_STATE(7902)] = 347964,
  [SMALL_STATE(7903)] = 348017,
  [SMALL_STATE(7904)] = 348070,
  [SMALL_STATE(7905)] = 348123,
  [SMALL_STATE(7906)] = 348176,
  [SMALL_STATE(7907)] = 348229,
  [SMALL_STATE(7908)] = 348330,
  [SMALL_STATE(7909)] = 348389,
  [SMALL_STATE(7910)] = 348442,
  [SMALL_STATE(7911)] = 348495,
  [SMALL_STATE(7912)] = 348548,
  [SMALL_STATE(7913)] = 348601,
  [SMALL_STATE(7914)] = 348654,
  [SMALL_STATE(7915)] = 348707,
  [SMALL_STATE(7916)] = 348760,
  [SMALL_STATE(7917)] = 348861,
  [SMALL_STATE(7918)] = 348962,
  [SMALL_STATE(7919)] = 349015,
  [SMALL_STATE(7920)] = 349116,
  [SMALL_STATE(7921)] = 349169,
  [SMALL_STATE(7922)] = 349222,
  [SMALL_STATE(7923)] = 349275,
  [SMALL_STATE(7924)] = 349328,
  [SMALL_STATE(7925)] = 349381,
  [SMALL_STATE(7926)] = 349434,
  [SMALL_STATE(7927)] = 349487,
  [SMALL_STATE(7928)] = 349540,
  [SMALL_STATE(7929)] = 349593,
  [SMALL_STATE(7930)] = 349646,
  [SMALL_STATE(7931)] = 349699,
  [SMALL_STATE(7932)] = 349752,
  [SMALL_STATE(7933)] = 349805,
  [SMALL_STATE(7934)] = 349858,
  [SMALL_STATE(7935)] = 349911,
  [SMALL_STATE(7936)] = 349964,
  [SMALL_STATE(7937)] = 350017,
  [SMALL_STATE(7938)] = 350070,
  [SMALL_STATE(7939)] = 350171,
  [SMALL_STATE(7940)] = 350224,
  [SMALL_STATE(7941)] = 350277,
  [SMALL_STATE(7942)] = 350330,
  [SMALL_STATE(7943)] = 350383,
  [SMALL_STATE(7944)] = 350436,
  [SMALL_STATE(7945)] = 350537,
  [SMALL_STATE(7946)] = 350590,
  [SMALL_STATE(7947)] = 350643,
  [SMALL_STATE(7948)] = 350696,
  [SMALL_STATE(7949)] = 350751,
  [SMALL_STATE(7950)] = 350804,
  [SMALL_STATE(7951)] = 350857,
  [SMALL_STATE(7952)] = 350910,
  [SMALL_STATE(7953)] = 350963,
  [SMALL_STATE(7954)] = 351016,
  [SMALL_STATE(7955)] = 351069,
  [SMALL_STATE(7956)] = 351122,
  [SMALL_STATE(7957)] = 351175,
  [SMALL_STATE(7958)] = 351228,
  [SMALL_STATE(7959)] = 351281,
  [SMALL_STATE(7960)] = 351336,
  [SMALL_STATE(7961)] = 351389,
  [SMALL_STATE(7962)] = 351442,
  [SMALL_STATE(7963)] = 351495,
  [SMALL_STATE(7964)] = 351548,
  [SMALL_STATE(7965)] = 351649,
  [SMALL_STATE(7966)] = 351702,
  [SMALL_STATE(7967)] = 351755,
  [SMALL_STATE(7968)] = 351808,
  [SMALL_STATE(7969)] = 351861,
  [SMALL_STATE(7970)] = 351914,
  [SMALL_STATE(7971)] = 351967,
  [SMALL_STATE(7972)] = 352026,
  [SMALL_STATE(7973)] = 352085,
  [SMALL_STATE(7974)] = 352138,
  [SMALL_STATE(7975)] = 352239,
  [SMALL_STATE(7976)] = 352340,
  [SMALL_STATE(7977)] = 352393,
  [SMALL_STATE(7978)] = 352446,
  [SMALL_STATE(7979)] = 352499,
  [SMALL_STATE(7980)] = 352552,
  [SMALL_STATE(7981)] = 352605,
  [SMALL_STATE(7982)] = 352658,
  [SMALL_STATE(7983)] = 352759,
  [SMALL_STATE(7984)] = 352812,
  [SMALL_STATE(7985)] = 352865,
  [SMALL_STATE(7986)] = 352966,
  [SMALL_STATE(7987)] = 353019,
  [SMALL_STATE(7988)] = 353072,
  [SMALL_STATE(7989)] = 353125,
  [SMALL_STATE(7990)] = 353178,
  [SMALL_STATE(7991)] = 353231,
  [SMALL_STATE(7992)] = 353284,
  [SMALL_STATE(7993)] = 353337,
  [SMALL_STATE(7994)] = 353390,
  [SMALL_STATE(7995)] = 353443,
  [SMALL_STATE(7996)] = 353496,
  [SMALL_STATE(7997)] = 353549,
  [SMALL_STATE(7998)] = 353602,
  [SMALL_STATE(7999)] = 353703,
  [SMALL_STATE(8000)] = 353756,
  [SMALL_STATE(8001)] = 353809,
  [SMALL_STATE(8002)] = 353862,
  [SMALL_STATE(8003)] = 353915,
  [SMALL_STATE(8004)] = 353968,
  [SMALL_STATE(8005)] = 354027,
  [SMALL_STATE(8006)] = 354080,
  [SMALL_STATE(8007)] = 354133,
  [SMALL_STATE(8008)] = 354186,
  [SMALL_STATE(8009)] = 354239,
  [SMALL_STATE(8010)] = 354292,
  [SMALL_STATE(8011)] = 354345,
  [SMALL_STATE(8012)] = 354398,
  [SMALL_STATE(8013)] = 354451,
  [SMALL_STATE(8014)] = 354504,
  [SMALL_STATE(8015)] = 354602,
  [SMALL_STATE(8016)] = 354654,
  [SMALL_STATE(8017)] = 354708,
  [SMALL_STATE(8018)] = 354806,
  [SMALL_STATE(8019)] = 354904,
  [SMALL_STATE(8020)] = 354958,
  [SMALL_STATE(8021)] = 355056,
  [SMALL_STATE(8022)] = 355108,
  [SMALL_STATE(8023)] = 355206,
  [SMALL_STATE(8024)] = 355304,
  [SMALL_STATE(8025)] = 355358,
  [SMALL_STATE(8026)] = 355456,
  [SMALL_STATE(8027)] = 355554,
  [SMALL_STATE(8028)] = 355652,
  [SMALL_STATE(8029)] = 355750,
  [SMALL_STATE(8030)] = 355848,
  [SMALL_STATE(8031)] = 355946,
  [SMALL_STATE(8032)] = 356044,
  [SMALL_STATE(8033)] = 356096,
  [SMALL_STATE(8034)] = 356194,
  [SMALL_STATE(8035)] = 356246,
  [SMALL_STATE(8036)] = 356344,
  [SMALL_STATE(8037)] = 356444,
  [SMALL_STATE(8038)] = 356496,
  [SMALL_STATE(8039)] = 356594,
  [SMALL_STATE(8040)] = 356692,
  [SMALL_STATE(8041)] = 356744,
  [SMALL_STATE(8042)] = 356842,
  [SMALL_STATE(8043)] = 356940,
  [SMALL_STATE(8044)] = 357038,
  [SMALL_STATE(8045)] = 357092,
  [SMALL_STATE(8046)] = 357190,
  [SMALL_STATE(8047)] = 357288,
  [SMALL_STATE(8048)] = 357340,
  [SMALL_STATE(8049)] = 357392,
  [SMALL_STATE(8050)] = 357492,
  [SMALL_STATE(8051)] = 357590,
  [SMALL_STATE(8052)] = 357688,
  [SMALL_STATE(8053)] = 357786,
  [SMALL_STATE(8054)] = 357838,
  [SMALL_STATE(8055)] = 357936,
  [SMALL_STATE(8056)] = 358034,
  [SMALL_STATE(8057)] = 358088,
  [SMALL_STATE(8058)] = 358140,
  [SMALL_STATE(8059)] = 358238,
  [SMALL_STATE(8060)] = 358290,
  [SMALL_STATE(8061)] = 358388,
  [SMALL_STATE(8062)] = 358486,
  [SMALL_STATE(8063)] = 358584,
  [SMALL_STATE(8064)] = 358682,
  [SMALL_STATE(8065)] = 358780,
  [SMALL_STATE(8066)] = 358878,
  [SMALL_STATE(8067)] = 358932,
  [SMALL_STATE(8068)] = 359030,
  [SMALL_STATE(8069)] = 359084,
  [SMALL_STATE(8070)] = 359182,
  [SMALL_STATE(8071)] = 359280,
  [SMALL_STATE(8072)] = 359336,
  [SMALL_STATE(8073)] = 359434,
  [SMALL_STATE(8074)] = 359532,
  [SMALL_STATE(8075)] = 359586,
  [SMALL_STATE(8076)] = 359684,
  [SMALL_STATE(8077)] = 359736,
  [SMALL_STATE(8078)] = 359834,
  [SMALL_STATE(8079)] = 359932,
  [SMALL_STATE(8080)] = 360030,
  [SMALL_STATE(8081)] = 360128,
  [SMALL_STATE(8082)] = 360226,
  [SMALL_STATE(8083)] = 360278,
  [SMALL_STATE(8084)] = 360376,
  [SMALL_STATE(8085)] = 360428,
  [SMALL_STATE(8086)] = 360480,
  [SMALL_STATE(8087)] = 360578,
  [SMALL_STATE(8088)] = 360630,
  [SMALL_STATE(8089)] = 360682,
  [SMALL_STATE(8090)] = 360780,
  [SMALL_STATE(8091)] = 360878,
  [SMALL_STATE(8092)] = 360978,
  [SMALL_STATE(8093)] = 361078,
  [SMALL_STATE(8094)] = 361176,
  [SMALL_STATE(8095)] = 361274,
  [SMALL_STATE(8096)] = 361372,
  [SMALL_STATE(8097)] = 361470,
  [SMALL_STATE(8098)] = 361522,
  [SMALL_STATE(8099)] = 361574,
  [SMALL_STATE(8100)] = 361626,
  [SMALL_STATE(8101)] = 361724,
  [SMALL_STATE(8102)] = 361780,
  [SMALL_STATE(8103)] = 361878,
  [SMALL_STATE(8104)] = 361976,
  [SMALL_STATE(8105)] = 362028,
  [SMALL_STATE(8106)] = 362126,
  [SMALL_STATE(8107)] = 362224,
  [SMALL_STATE(8108)] = 362322,
  [SMALL_STATE(8109)] = 362420,
  [SMALL_STATE(8110)] = 362518,
  [SMALL_STATE(8111)] = 362616,
  [SMALL_STATE(8112)] = 362716,
  [SMALL_STATE(8113)] = 362768,
  [SMALL_STATE(8114)] = 362866,
  [SMALL_STATE(8115)] = 362918,
  [SMALL_STATE(8116)] = 363016,
  [SMALL_STATE(8117)] = 363114,
  [SMALL_STATE(8118)] = 363166,
  [SMALL_STATE(8119)] = 363264,
  [SMALL_STATE(8120)] = 363362,
  [SMALL_STATE(8121)] = 363460,
  [SMALL_STATE(8122)] = 363558,
  [SMALL_STATE(8123)] = 363656,
  [SMALL_STATE(8124)] = 363754,
  [SMALL_STATE(8125)] = 363854,
  [SMALL_STATE(8126)] = 363905,
  [SMALL_STATE(8127)] = 364000,
  [SMALL_STATE(8128)] = 364091,
  [SMALL_STATE(8129)] = 364142,
  [SMALL_STATE(8130)] = 364193,
  [SMALL_STATE(8131)] = 364244,
  [SMALL_STATE(8132)] = 364295,
  [SMALL_STATE(8133)] = 364346,
  [SMALL_STATE(8134)] = 364397,
  [SMALL_STATE(8135)] = 364448,
  [SMALL_STATE(8136)] = 364499,
  [SMALL_STATE(8137)] = 364550,
  [SMALL_STATE(8138)] = 364601,
  [SMALL_STATE(8139)] = 364652,
  [SMALL_STATE(8140)] = 364703,
  [SMALL_STATE(8141)] = 364754,
  [SMALL_STATE(8142)] = 364805,
  [SMALL_STATE(8143)] = 364896,
  [SMALL_STATE(8144)] = 364947,
  [SMALL_STATE(8145)] = 364998,
  [SMALL_STATE(8146)] = 365049,
  [SMALL_STATE(8147)] = 365140,
  [SMALL_STATE(8148)] = 365191,
  [SMALL_STATE(8149)] = 365282,
  [SMALL_STATE(8150)] = 365333,
  [SMALL_STATE(8151)] = 365384,
  [SMALL_STATE(8152)] = 365435,
  [SMALL_STATE(8153)] = 365486,
  [SMALL_STATE(8154)] = 365577,
  [SMALL_STATE(8155)] = 365628,
  [SMALL_STATE(8156)] = 365679,
  [SMALL_STATE(8157)] = 365730,
  [SMALL_STATE(8158)] = 365781,
  [SMALL_STATE(8159)] = 365832,
  [SMALL_STATE(8160)] = 365883,
  [SMALL_STATE(8161)] = 365934,
  [SMALL_STATE(8162)] = 366025,
  [SMALL_STATE(8163)] = 366076,
  [SMALL_STATE(8164)] = 366127,
  [SMALL_STATE(8165)] = 366178,
  [SMALL_STATE(8166)] = 366229,
  [SMALL_STATE(8167)] = 366280,
  [SMALL_STATE(8168)] = 366331,
  [SMALL_STATE(8169)] = 366382,
  [SMALL_STATE(8170)] = 366433,
  [SMALL_STATE(8171)] = 366484,
  [SMALL_STATE(8172)] = 366535,
  [SMALL_STATE(8173)] = 366586,
  [SMALL_STATE(8174)] = 366639,
  [SMALL_STATE(8175)] = 366690,
  [SMALL_STATE(8176)] = 366741,
  [SMALL_STATE(8177)] = 366792,
  [SMALL_STATE(8178)] = 366887,
  [SMALL_STATE(8179)] = 366938,
  [SMALL_STATE(8180)] = 366989,
  [SMALL_STATE(8181)] = 367040,
  [SMALL_STATE(8182)] = 367091,
  [SMALL_STATE(8183)] = 367142,
  [SMALL_STATE(8184)] = 367193,
  [SMALL_STATE(8185)] = 367244,
  [SMALL_STATE(8186)] = 367295,
  [SMALL_STATE(8187)] = 367346,
  [SMALL_STATE(8188)] = 367399,
  [SMALL_STATE(8189)] = 367450,
  [SMALL_STATE(8190)] = 367501,
  [SMALL_STATE(8191)] = 367552,
  [SMALL_STATE(8192)] = 367603,
  [SMALL_STATE(8193)] = 367654,
  [SMALL_STATE(8194)] = 367705,
  [SMALL_STATE(8195)] = 367756,
  [SMALL_STATE(8196)] = 367807,
  [SMALL_STATE(8197)] = 367858,
  [SMALL_STATE(8198)] = 367909,
  [SMALL_STATE(8199)] = 367960,
  [SMALL_STATE(8200)] = 368011,
  [SMALL_STATE(8201)] = 368062,
  [SMALL_STATE(8202)] = 368113,
  [SMALL_STATE(8203)] = 368164,
  [SMALL_STATE(8204)] = 368215,
  [SMALL_STATE(8205)] = 368266,
  [SMALL_STATE(8206)] = 368317,
  [SMALL_STATE(8207)] = 368368,
  [SMALL_STATE(8208)] = 368419,
  [SMALL_STATE(8209)] = 368510,
  [SMALL_STATE(8210)] = 368561,
  [SMALL_STATE(8211)] = 368612,
  [SMALL_STATE(8212)] = 368663,
  [SMALL_STATE(8213)] = 368714,
  [SMALL_STATE(8214)] = 368765,
  [SMALL_STATE(8215)] = 368816,
  [SMALL_STATE(8216)] = 368867,
  [SMALL_STATE(8217)] = 368918,
  [SMALL_STATE(8218)] = 368969,
  [SMALL_STATE(8219)] = 369020,
  [SMALL_STATE(8220)] = 369071,
  [SMALL_STATE(8221)] = 369122,
  [SMALL_STATE(8222)] = 369173,
  [SMALL_STATE(8223)] = 369224,
  [SMALL_STATE(8224)] = 369275,
  [SMALL_STATE(8225)] = 369326,
  [SMALL_STATE(8226)] = 369377,
  [SMALL_STATE(8227)] = 369428,
  [SMALL_STATE(8228)] = 369479,
  [SMALL_STATE(8229)] = 369530,
  [SMALL_STATE(8230)] = 369581,
  [SMALL_STATE(8231)] = 369632,
  [SMALL_STATE(8232)] = 369683,
  [SMALL_STATE(8233)] = 369734,
  [SMALL_STATE(8234)] = 369785,
  [SMALL_STATE(8235)] = 369836,
  [SMALL_STATE(8236)] = 369887,
  [SMALL_STATE(8237)] = 369938,
  [SMALL_STATE(8238)] = 369989,
  [SMALL_STATE(8239)] = 370040,
  [SMALL_STATE(8240)] = 370091,
  [SMALL_STATE(8241)] = 370142,
  [SMALL_STATE(8242)] = 370193,
  [SMALL_STATE(8243)] = 370244,
  [SMALL_STATE(8244)] = 370295,
  [SMALL_STATE(8245)] = 370346,
  [SMALL_STATE(8246)] = 370397,
  [SMALL_STATE(8247)] = 370448,
  [SMALL_STATE(8248)] = 370499,
  [SMALL_STATE(8249)] = 370550,
  [SMALL_STATE(8250)] = 370601,
  [SMALL_STATE(8251)] = 370652,
  [SMALL_STATE(8252)] = 370703,
  [SMALL_STATE(8253)] = 370754,
  [SMALL_STATE(8254)] = 370805,
  [SMALL_STATE(8255)] = 370856,
  [SMALL_STATE(8256)] = 370907,
  [SMALL_STATE(8257)] = 370958,
  [SMALL_STATE(8258)] = 371037,
  [SMALL_STATE(8259)] = 371088,
  [SMALL_STATE(8260)] = 371139,
  [SMALL_STATE(8261)] = 371190,
  [SMALL_STATE(8262)] = 371241,
  [SMALL_STATE(8263)] = 371292,
  [SMALL_STATE(8264)] = 371343,
  [SMALL_STATE(8265)] = 371394,
  [SMALL_STATE(8266)] = 371445,
  [SMALL_STATE(8267)] = 371502,
  [SMALL_STATE(8268)] = 371593,
  [SMALL_STATE(8269)] = 371644,
  [SMALL_STATE(8270)] = 371695,
  [SMALL_STATE(8271)] = 371748,
  [SMALL_STATE(8272)] = 371799,
  [SMALL_STATE(8273)] = 371856,
  [SMALL_STATE(8274)] = 371907,
  [SMALL_STATE(8275)] = 371958,
  [SMALL_STATE(8276)] = 372009,
  [SMALL_STATE(8277)] = 372060,
  [SMALL_STATE(8278)] = 372111,
  [SMALL_STATE(8279)] = 372162,
  [SMALL_STATE(8280)] = 372213,
  [SMALL_STATE(8281)] = 372264,
  [SMALL_STATE(8282)] = 372315,
  [SMALL_STATE(8283)] = 372366,
  [SMALL_STATE(8284)] = 372417,
  [SMALL_STATE(8285)] = 372468,
  [SMALL_STATE(8286)] = 372563,
  [SMALL_STATE(8287)] = 372658,
  [SMALL_STATE(8288)] = 372709,
  [SMALL_STATE(8289)] = 372804,
  [SMALL_STATE(8290)] = 372857,
  [SMALL_STATE(8291)] = 372908,
  [SMALL_STATE(8292)] = 372959,
  [SMALL_STATE(8293)] = 373010,
  [SMALL_STATE(8294)] = 373061,
  [SMALL_STATE(8295)] = 373112,
  [SMALL_STATE(8296)] = 373163,
  [SMALL_STATE(8297)] = 373214,
  [SMALL_STATE(8298)] = 373265,
  [SMALL_STATE(8299)] = 373316,
  [SMALL_STATE(8300)] = 373367,
  [SMALL_STATE(8301)] = 373418,
  [SMALL_STATE(8302)] = 373469,
  [SMALL_STATE(8303)] = 373564,
  [SMALL_STATE(8304)] = 373659,
  [SMALL_STATE(8305)] = 373754,
  [SMALL_STATE(8306)] = 373805,
  [SMALL_STATE(8307)] = 373856,
  [SMALL_STATE(8308)] = 373907,
  [SMALL_STATE(8309)] = 373958,
  [SMALL_STATE(8310)] = 374009,
  [SMALL_STATE(8311)] = 374104,
  [SMALL_STATE(8312)] = 374199,
  [SMALL_STATE(8313)] = 374250,
  [SMALL_STATE(8314)] = 374345,
  [SMALL_STATE(8315)] = 374440,
  [SMALL_STATE(8316)] = 374535,
  [SMALL_STATE(8317)] = 374630,
  [SMALL_STATE(8318)] = 374681,
  [SMALL_STATE(8319)] = 374776,
  [SMALL_STATE(8320)] = 374871,
  [SMALL_STATE(8321)] = 374966,
  [SMALL_STATE(8322)] = 375061,
  [SMALL_STATE(8323)] = 375156,
  [SMALL_STATE(8324)] = 375251,
  [SMALL_STATE(8325)] = 375342,
  [SMALL_STATE(8326)] = 375393,
  [SMALL_STATE(8327)] = 375488,
  [SMALL_STATE(8328)] = 375583,
  [SMALL_STATE(8329)] = 375678,
  [SMALL_STATE(8330)] = 375729,
  [SMALL_STATE(8331)] = 375780,
  [SMALL_STATE(8332)] = 375831,
  [SMALL_STATE(8333)] = 375882,
  [SMALL_STATE(8334)] = 375977,
  [SMALL_STATE(8335)] = 376072,
  [SMALL_STATE(8336)] = 376167,
  [SMALL_STATE(8337)] = 376262,
  [SMALL_STATE(8338)] = 376357,
  [SMALL_STATE(8339)] = 376452,
  [SMALL_STATE(8340)] = 376503,
  [SMALL_STATE(8341)] = 376598,
  [SMALL_STATE(8342)] = 376693,
  [SMALL_STATE(8343)] = 376788,
  [SMALL_STATE(8344)] = 376839,
  [SMALL_STATE(8345)] = 376934,
  [SMALL_STATE(8346)] = 377029,
  [SMALL_STATE(8347)] = 377080,
  [SMALL_STATE(8348)] = 377131,
  [SMALL_STATE(8349)] = 377226,
  [SMALL_STATE(8350)] = 377277,
  [SMALL_STATE(8351)] = 377328,
  [SMALL_STATE(8352)] = 377379,
  [SMALL_STATE(8353)] = 377474,
  [SMALL_STATE(8354)] = 377569,
  [SMALL_STATE(8355)] = 377664,
  [SMALL_STATE(8356)] = 377759,
  [SMALL_STATE(8357)] = 377854,
  [SMALL_STATE(8358)] = 377949,
  [SMALL_STATE(8359)] = 378000,
  [SMALL_STATE(8360)] = 378051,
  [SMALL_STATE(8361)] = 378102,
  [SMALL_STATE(8362)] = 378153,
  [SMALL_STATE(8363)] = 378204,
  [SMALL_STATE(8364)] = 378299,
  [SMALL_STATE(8365)] = 378394,
  [SMALL_STATE(8366)] = 378489,
  [SMALL_STATE(8367)] = 378540,
  [SMALL_STATE(8368)] = 378591,
  [SMALL_STATE(8369)] = 378642,
  [SMALL_STATE(8370)] = 378693,
  [SMALL_STATE(8371)] = 378744,
  [SMALL_STATE(8372)] = 378795,
  [SMALL_STATE(8373)] = 378848,
  [SMALL_STATE(8374)] = 378943,
  [SMALL_STATE(8375)] = 379038,
  [SMALL_STATE(8376)] = 379133,
  [SMALL_STATE(8377)] = 379228,
  [SMALL_STATE(8378)] = 379323,
  [SMALL_STATE(8379)] = 379374,
  [SMALL_STATE(8380)] = 379469,
  [SMALL_STATE(8381)] = 379520,
  [SMALL_STATE(8382)] = 379571,
  [SMALL_STATE(8383)] = 379622,
  [SMALL_STATE(8384)] = 379673,
  [SMALL_STATE(8385)] = 379768,
  [SMALL_STATE(8386)] = 379863,
  [SMALL_STATE(8387)] = 379958,
  [SMALL_STATE(8388)] = 380009,
  [SMALL_STATE(8389)] = 380060,
  [SMALL_STATE(8390)] = 380111,
  [SMALL_STATE(8391)] = 380162,
  [SMALL_STATE(8392)] = 380257,
  [SMALL_STATE(8393)] = 380352,
  [SMALL_STATE(8394)] = 380403,
  [SMALL_STATE(8395)] = 380498,
  [SMALL_STATE(8396)] = 380549,
  [SMALL_STATE(8397)] = 380600,
  [SMALL_STATE(8398)] = 380651,
  [SMALL_STATE(8399)] = 380702,
  [SMALL_STATE(8400)] = 380753,
  [SMALL_STATE(8401)] = 380804,
  [SMALL_STATE(8402)] = 380855,
  [SMALL_STATE(8403)] = 380950,
  [SMALL_STATE(8404)] = 381045,
  [SMALL_STATE(8405)] = 381096,
  [SMALL_STATE(8406)] = 381147,
  [SMALL_STATE(8407)] = 381242,
  [SMALL_STATE(8408)] = 381293,
  [SMALL_STATE(8409)] = 381344,
  [SMALL_STATE(8410)] = 381395,
  [SMALL_STATE(8411)] = 381446,
  [SMALL_STATE(8412)] = 381497,
  [SMALL_STATE(8413)] = 381548,
  [SMALL_STATE(8414)] = 381599,
  [SMALL_STATE(8415)] = 381650,
  [SMALL_STATE(8416)] = 381745,
  [SMALL_STATE(8417)] = 381840,
  [SMALL_STATE(8418)] = 381935,
  [SMALL_STATE(8419)] = 382030,
  [SMALL_STATE(8420)] = 382081,
  [SMALL_STATE(8421)] = 382132,
  [SMALL_STATE(8422)] = 382183,
  [SMALL_STATE(8423)] = 382234,
  [SMALL_STATE(8424)] = 382285,
  [SMALL_STATE(8425)] = 382380,
  [SMALL_STATE(8426)] = 382475,
  [SMALL_STATE(8427)] = 382570,
  [SMALL_STATE(8428)] = 382665,
  [SMALL_STATE(8429)] = 382760,
  [SMALL_STATE(8430)] = 382855,
  [SMALL_STATE(8431)] = 382906,
  [SMALL_STATE(8432)] = 382985,
  [SMALL_STATE(8433)] = 383036,
  [SMALL_STATE(8434)] = 383087,
  [SMALL_STATE(8435)] = 383138,
  [SMALL_STATE(8436)] = 383189,
  [SMALL_STATE(8437)] = 383242,
  [SMALL_STATE(8438)] = 383293,
  [SMALL_STATE(8439)] = 383344,
  [SMALL_STATE(8440)] = 383395,
  [SMALL_STATE(8441)] = 383446,
  [SMALL_STATE(8442)] = 383541,
  [SMALL_STATE(8443)] = 383592,
  [SMALL_STATE(8444)] = 383643,
  [SMALL_STATE(8445)] = 383694,
  [SMALL_STATE(8446)] = 383785,
  [SMALL_STATE(8447)] = 383835,
  [SMALL_STATE(8448)] = 383889,
  [SMALL_STATE(8449)] = 383943,
  [SMALL_STATE(8450)] = 383995,
  [SMALL_STATE(8451)] = 384045,
  [SMALL_STATE(8452)] = 384095,
  [SMALL_STATE(8453)] = 384145,
  [SMALL_STATE(8454)] = 384199,
  [SMALL_STATE(8455)] = 384253,
  [SMALL_STATE(8456)] = 384303,
  [SMALL_STATE(8457)] = 384353,
  [SMALL_STATE(8458)] = 384403,
  [SMALL_STATE(8459)] = 384453,
  [SMALL_STATE(8460)] = 384503,
  [SMALL_STATE(8461)] = 384553,
  [SMALL_STATE(8462)] = 384645,
  [SMALL_STATE(8463)] = 384695,
  [SMALL_STATE(8464)] = 384745,
  [SMALL_STATE(8465)] = 384795,
  [SMALL_STATE(8466)] = 384845,
  [SMALL_STATE(8467)] = 384899,
  [SMALL_STATE(8468)] = 384949,
  [SMALL_STATE(8469)] = 385003,
  [SMALL_STATE(8470)] = 385053,
  [SMALL_STATE(8471)] = 385107,
  [SMALL_STATE(8472)] = 385157,
  [SMALL_STATE(8473)] = 385207,
  [SMALL_STATE(8474)] = 385279,
  [SMALL_STATE(8475)] = 385329,
  [SMALL_STATE(8476)] = 385379,
  [SMALL_STATE(8477)] = 385429,
  [SMALL_STATE(8478)] = 385483,
  [SMALL_STATE(8479)] = 385533,
  [SMALL_STATE(8480)] = 385583,
  [SMALL_STATE(8481)] = 385633,
  [SMALL_STATE(8482)] = 385707,
  [SMALL_STATE(8483)] = 385757,
  [SMALL_STATE(8484)] = 385849,
  [SMALL_STATE(8485)] = 385899,
  [SMALL_STATE(8486)] = 385949,
  [SMALL_STATE(8487)] = 385999,
  [SMALL_STATE(8488)] = 386049,
  [SMALL_STATE(8489)] = 386099,
  [SMALL_STATE(8490)] = 386149,
  [SMALL_STATE(8491)] = 386199,
  [SMALL_STATE(8492)] = 386249,
  [SMALL_STATE(8493)] = 386299,
  [SMALL_STATE(8494)] = 386349,
  [SMALL_STATE(8495)] = 386399,
  [SMALL_STATE(8496)] = 386473,
  [SMALL_STATE(8497)] = 386523,
  [SMALL_STATE(8498)] = 386615,
  [SMALL_STATE(8499)] = 386685,
  [SMALL_STATE(8500)] = 386745,
  [SMALL_STATE(8501)] = 386799,
  [SMALL_STATE(8502)] = 386853,
  [SMALL_STATE(8503)] = 386915,
  [SMALL_STATE(8504)] = 386977,
  [SMALL_STATE(8505)] = 387043,
  [SMALL_STATE(8506)] = 387111,
  [SMALL_STATE(8507)] = 387183,
  [SMALL_STATE(8508)] = 387239,
  [SMALL_STATE(8509)] = 387311,
  [SMALL_STATE(8510)] = 387365,
  [SMALL_STATE(8511)] = 387437,
  [SMALL_STATE(8512)] = 387509,
  [SMALL_STATE(8513)] = 387561,
  [SMALL_STATE(8514)] = 387615,
  [SMALL_STATE(8515)] = 387665,
  [SMALL_STATE(8516)] = 387715,
  [SMALL_STATE(8517)] = 387765,
  [SMALL_STATE(8518)] = 387815,
  [SMALL_STATE(8519)] = 387865,
  [SMALL_STATE(8520)] = 387915,
  [SMALL_STATE(8521)] = 387965,
  [SMALL_STATE(8522)] = 388015,
  [SMALL_STATE(8523)] = 388065,
  [SMALL_STATE(8524)] = 388115,
  [SMALL_STATE(8525)] = 388165,
  [SMALL_STATE(8526)] = 388235,
  [SMALL_STATE(8527)] = 388295,
  [SMALL_STATE(8528)] = 388349,
  [SMALL_STATE(8529)] = 388403,
  [SMALL_STATE(8530)] = 388465,
  [SMALL_STATE(8531)] = 388527,
  [SMALL_STATE(8532)] = 388593,
  [SMALL_STATE(8533)] = 388661,
  [SMALL_STATE(8534)] = 388733,
  [SMALL_STATE(8535)] = 388789,
  [SMALL_STATE(8536)] = 388861,
  [SMALL_STATE(8537)] = 388915,
  [SMALL_STATE(8538)] = 388987,
  [SMALL_STATE(8539)] = 389041,
  [SMALL_STATE(8540)] = 389095,
  [SMALL_STATE(8541)] = 389147,
  [SMALL_STATE(8542)] = 389199,
  [SMALL_STATE(8543)] = 389253,
  [SMALL_STATE(8544)] = 389303,
  [SMALL_STATE(8545)] = 389355,
  [SMALL_STATE(8546)] = 389405,
  [SMALL_STATE(8547)] = 389455,
  [SMALL_STATE(8548)] = 389505,
  [SMALL_STATE(8549)] = 389555,
  [SMALL_STATE(8550)] = 389605,
  [SMALL_STATE(8551)] = 389655,
  [SMALL_STATE(8552)] = 389705,
  [SMALL_STATE(8553)] = 389755,
  [SMALL_STATE(8554)] = 389809,
  [SMALL_STATE(8555)] = 389883,
  [SMALL_STATE(8556)] = 389957,
  [SMALL_STATE(8557)] = 390007,
  [SMALL_STATE(8558)] = 390061,
  [SMALL_STATE(8559)] = 390111,
  [SMALL_STATE(8560)] = 390161,
  [SMALL_STATE(8561)] = 390253,
  [SMALL_STATE(8562)] = 390303,
  [SMALL_STATE(8563)] = 390355,
  [SMALL_STATE(8564)] = 390405,
  [SMALL_STATE(8565)] = 390455,
  [SMALL_STATE(8566)] = 390505,
  [SMALL_STATE(8567)] = 390555,
  [SMALL_STATE(8568)] = 390605,
  [SMALL_STATE(8569)] = 390655,
  [SMALL_STATE(8570)] = 390705,
  [SMALL_STATE(8571)] = 390755,
  [SMALL_STATE(8572)] = 390805,
  [SMALL_STATE(8573)] = 390879,
  [SMALL_STATE(8574)] = 390953,
  [SMALL_STATE(8575)] = 391003,
  [SMALL_STATE(8576)] = 391053,
  [SMALL_STATE(8577)] = 391103,
  [SMALL_STATE(8578)] = 391153,
  [SMALL_STATE(8579)] = 391203,
  [SMALL_STATE(8580)] = 391253,
  [SMALL_STATE(8581)] = 391326,
  [SMALL_STATE(8582)] = 391399,
  [SMALL_STATE(8583)] = 391470,
  [SMALL_STATE(8584)] = 391539,
  [SMALL_STATE(8585)] = 391598,
  [SMALL_STATE(8586)] = 391651,
  [SMALL_STATE(8587)] = 391704,
  [SMALL_STATE(8588)] = 391765,
  [SMALL_STATE(8589)] = 391830,
  [SMALL_STATE(8590)] = 391899,
  [SMALL_STATE(8591)] = 391958,
  [SMALL_STATE(8592)] = 392011,
  [SMALL_STATE(8593)] = 392064,
  [SMALL_STATE(8594)] = 392125,
  [SMALL_STATE(8595)] = 392186,
  [SMALL_STATE(8596)] = 392251,
  [SMALL_STATE(8597)] = 392318,
  [SMALL_STATE(8598)] = 392389,
  [SMALL_STATE(8599)] = 392444,
  [SMALL_STATE(8600)] = 392515,
  [SMALL_STATE(8601)] = 392568,
  [SMALL_STATE(8602)] = 392639,
  [SMALL_STATE(8603)] = 392706,
  [SMALL_STATE(8604)] = 392757,
  [SMALL_STATE(8605)] = 392810,
  [SMALL_STATE(8606)] = 392881,
  [SMALL_STATE(8607)] = 392936,
  [SMALL_STATE(8608)] = 393007,
  [SMALL_STATE(8609)] = 393080,
  [SMALL_STATE(8610)] = 393133,
  [SMALL_STATE(8611)] = 393186,
  [SMALL_STATE(8612)] = 393237,
  [SMALL_STATE(8613)] = 393308,
  [SMALL_STATE(8614)] = 393361,
  [SMALL_STATE(8615)] = 393414,
  [SMALL_STATE(8616)] = 393467,
  [SMALL_STATE(8617)] = 393520,
  [SMALL_STATE(8618)] = 393571,
  [SMALL_STATE(8619)] = 393644,
  [SMALL_STATE(8620)] = 393695,
  [SMALL_STATE(8621)] = 393748,
  [SMALL_STATE(8622)] = 393801,
  [SMALL_STATE(8623)] = 393852,
  [SMALL_STATE(8624)] = 393905,
  [SMALL_STATE(8625)] = 393958,
  [SMALL_STATE(8626)] = 394011,
  [SMALL_STATE(8627)] = 394064,
  [SMALL_STATE(8628)] = 394115,
  [SMALL_STATE(8629)] = 394186,
  [SMALL_STATE(8630)] = 394259,
  [SMALL_STATE(8631)] = 394332,
  [SMALL_STATE(8632)] = 394383,
  [SMALL_STATE(8633)] = 394436,
  [SMALL_STATE(8634)] = 394509,
  [SMALL_STATE(8635)] = 394560,
  [SMALL_STATE(8636)] = 394613,
  [SMALL_STATE(8637)] = 394686,
  [SMALL_STATE(8638)] = 394739,
  [SMALL_STATE(8639)] = 394792,
  [SMALL_STATE(8640)] = 394863,
  [SMALL_STATE(8641)] = 394916,
  [SMALL_STATE(8642)] = 394967,
  [SMALL_STATE(8643)] = 395020,
  [SMALL_STATE(8644)] = 395093,
  [SMALL_STATE(8645)] = 395146,
  [SMALL_STATE(8646)] = 395199,
  [SMALL_STATE(8647)] = 395268,
  [SMALL_STATE(8648)] = 395327,
  [SMALL_STATE(8649)] = 395380,
  [SMALL_STATE(8650)] = 395433,
  [SMALL_STATE(8651)] = 395494,
  [SMALL_STATE(8652)] = 395555,
  [SMALL_STATE(8653)] = 395620,
  [SMALL_STATE(8654)] = 395687,
  [SMALL_STATE(8655)] = 395758,
  [SMALL_STATE(8656)] = 395813,
  [SMALL_STATE(8657)] = 395884,
  [SMALL_STATE(8658)] = 395935,
  [SMALL_STATE(8659)] = 395988,
  [SMALL_STATE(8660)] = 396059,
  [SMALL_STATE(8661)] = 396110,
  [SMALL_STATE(8662)] = 396163,
  [SMALL_STATE(8663)] = 396232,
  [SMALL_STATE(8664)] = 396283,
  [SMALL_STATE(8665)] = 396356,
  [SMALL_STATE(8666)] = 396415,
  [SMALL_STATE(8667)] = 396468,
  [SMALL_STATE(8668)] = 396521,
  [SMALL_STATE(8669)] = 396582,
  [SMALL_STATE(8670)] = 396643,
  [SMALL_STATE(8671)] = 396708,
  [SMALL_STATE(8672)] = 396781,
  [SMALL_STATE(8673)] = 396832,
  [SMALL_STATE(8674)] = 396899,
  [SMALL_STATE(8675)] = 396970,
  [SMALL_STATE(8676)] = 397025,
  [SMALL_STATE(8677)] = 397096,
  [SMALL_STATE(8678)] = 397169,
  [SMALL_STATE(8679)] = 397230,
  [SMALL_STATE(8680)] = 397314,
  [SMALL_STATE(8681)] = 397400,
  [SMALL_STATE(8682)] = 397486,
  [SMALL_STATE(8683)] = 397570,
  [SMALL_STATE(8684)] = 397656,
  [SMALL_STATE(8685)] = 397704,
  [SMALL_STATE(8686)] = 397790,
  [SMALL_STATE(8687)] = 397844,
  [SMALL_STATE(8688)] = 397916,
  [SMALL_STATE(8689)] = 397986,
  [SMALL_STATE(8690)] = 398072,
  [SMALL_STATE(8691)] = 398158,
  [SMALL_STATE(8692)] = 398242,
  [SMALL_STATE(8693)] = 398326,
  [SMALL_STATE(8694)] = 398412,
  [SMALL_STATE(8695)] = 398460,
  [SMALL_STATE(8696)] = 398546,
  [SMALL_STATE(8697)] = 398632,
  [SMALL_STATE(8698)] = 398714,
  [SMALL_STATE(8699)] = 398798,
  [SMALL_STATE(8700)] = 398884,
  [SMALL_STATE(8701)] = 398954,
  [SMALL_STATE(8702)] = 399040,
  [SMALL_STATE(8703)] = 399126,
  [SMALL_STATE(8704)] = 399178,
  [SMALL_STATE(8705)] = 399264,
  [SMALL_STATE(8706)] = 399350,
  [SMALL_STATE(8707)] = 399402,
  [SMALL_STATE(8708)] = 399452,
  [SMALL_STATE(8709)] = 399538,
  [SMALL_STATE(8710)] = 399620,
  [SMALL_STATE(8711)] = 399706,
  [SMALL_STATE(8712)] = 399792,
  [SMALL_STATE(8713)] = 399878,
  [SMALL_STATE(8714)] = 399946,
  [SMALL_STATE(8715)] = 400032,
  [SMALL_STATE(8716)] = 400116,
  [SMALL_STATE(8717)] = 400202,
  [SMALL_STATE(8718)] = 400288,
  [SMALL_STATE(8719)] = 400340,
  [SMALL_STATE(8720)] = 400412,
  [SMALL_STATE(8721)] = 400498,
  [SMALL_STATE(8722)] = 400550,
  [SMALL_STATE(8723)] = 400622,
  [SMALL_STATE(8724)] = 400690,
  [SMALL_STATE(8725)] = 400748,
  [SMALL_STATE(8726)] = 400800,
  [SMALL_STATE(8727)] = 400852,
  [SMALL_STATE(8728)] = 400938,
  [SMALL_STATE(8729)] = 400998,
  [SMALL_STATE(8730)] = 401058,
  [SMALL_STATE(8731)] = 401122,
  [SMALL_STATE(8732)] = 401188,
  [SMALL_STATE(8733)] = 401258,
  [SMALL_STATE(8734)] = 401312,
  [SMALL_STATE(8735)] = 401398,
  [SMALL_STATE(8736)] = 401468,
  [SMALL_STATE(8737)] = 401518,
  [SMALL_STATE(8738)] = 401588,
  [SMALL_STATE(8739)] = 401640,
  [SMALL_STATE(8740)] = 401690,
  [SMALL_STATE(8741)] = 401776,
  [SMALL_STATE(8742)] = 401826,
  [SMALL_STATE(8743)] = 401898,
  [SMALL_STATE(8744)] = 401984,
  [SMALL_STATE(8745)] = 402034,
  [SMALL_STATE(8746)] = 402120,
  [SMALL_STATE(8747)] = 402206,
  [SMALL_STATE(8748)] = 402292,
  [SMALL_STATE(8749)] = 402378,
  [SMALL_STATE(8750)] = 402430,
  [SMALL_STATE(8751)] = 402516,
  [SMALL_STATE(8752)] = 402564,
  [SMALL_STATE(8753)] = 402616,
  [SMALL_STATE(8754)] = 402702,
  [SMALL_STATE(8755)] = 402754,
  [SMALL_STATE(8756)] = 402840,
  [SMALL_STATE(8757)] = 402890,
  [SMALL_STATE(8758)] = 402942,
  [SMALL_STATE(8759)] = 403028,
  [SMALL_STATE(8760)] = 403114,
  [SMALL_STATE(8761)] = 403162,
  [SMALL_STATE(8762)] = 403248,
  [SMALL_STATE(8763)] = 403296,
  [SMALL_STATE(8764)] = 403382,
  [SMALL_STATE(8765)] = 403466,
  [SMALL_STATE(8766)] = 403526,
  [SMALL_STATE(8767)] = 403612,
  [SMALL_STATE(8768)] = 403698,
  [SMALL_STATE(8769)] = 403750,
  [SMALL_STATE(8770)] = 403800,
  [SMALL_STATE(8771)] = 403886,
  [SMALL_STATE(8772)] = 403972,
  [SMALL_STATE(8773)] = 404058,
  [SMALL_STATE(8774)] = 404130,
  [SMALL_STATE(8775)] = 404178,
  [SMALL_STATE(8776)] = 404264,
  [SMALL_STATE(8777)] = 404324,
  [SMALL_STATE(8778)] = 404410,
  [SMALL_STATE(8779)] = 404458,
  [SMALL_STATE(8780)] = 404544,
  [SMALL_STATE(8781)] = 404630,
  [SMALL_STATE(8782)] = 404716,
  [SMALL_STATE(8783)] = 404788,
  [SMALL_STATE(8784)] = 404836,
  [SMALL_STATE(8785)] = 404908,
  [SMALL_STATE(8786)] = 404980,
  [SMALL_STATE(8787)] = 405066,
  [SMALL_STATE(8788)] = 405116,
  [SMALL_STATE(8789)] = 405202,
  [SMALL_STATE(8790)] = 405288,
  [SMALL_STATE(8791)] = 405336,
  [SMALL_STATE(8792)] = 405422,
  [SMALL_STATE(8793)] = 405506,
  [SMALL_STATE(8794)] = 405578,
  [SMALL_STATE(8795)] = 405642,
  [SMALL_STATE(8796)] = 405728,
  [SMALL_STATE(8797)] = 405786,
  [SMALL_STATE(8798)] = 405836,
  [SMALL_STATE(8799)] = 405922,
  [SMALL_STATE(8800)] = 405988,
  [SMALL_STATE(8801)] = 406036,
  [SMALL_STATE(8802)] = 406122,
  [SMALL_STATE(8803)] = 406208,
  [SMALL_STATE(8804)] = 406294,
  [SMALL_STATE(8805)] = 406366,
  [SMALL_STATE(8806)] = 406416,
  [SMALL_STATE(8807)] = 406486,
  [SMALL_STATE(8808)] = 406558,
  [SMALL_STATE(8809)] = 406606,
  [SMALL_STATE(8810)] = 406678,
  [SMALL_STATE(8811)] = 406764,
  [SMALL_STATE(8812)] = 406847,
  [SMALL_STATE(8813)] = 406894,
  [SMALL_STATE(8814)] = 406941,
  [SMALL_STATE(8815)] = 406988,
  [SMALL_STATE(8816)] = 407071,
  [SMALL_STATE(8817)] = 407142,
  [SMALL_STATE(8818)] = 407225,
  [SMALL_STATE(8819)] = 407308,
  [SMALL_STATE(8820)] = 407379,
  [SMALL_STATE(8821)] = 407462,
  [SMALL_STATE(8822)] = 407545,
  [SMALL_STATE(8823)] = 407628,
  [SMALL_STATE(8824)] = 407711,
  [SMALL_STATE(8825)] = 407794,
  [SMALL_STATE(8826)] = 407877,
  [SMALL_STATE(8827)] = 407960,
  [SMALL_STATE(8828)] = 408007,
  [SMALL_STATE(8829)] = 408090,
  [SMALL_STATE(8830)] = 408141,
  [SMALL_STATE(8831)] = 408190,
  [SMALL_STATE(8832)] = 408273,
  [SMALL_STATE(8833)] = 408324,
  [SMALL_STATE(8834)] = 408395,
  [SMALL_STATE(8835)] = 408478,
  [SMALL_STATE(8836)] = 408561,
  [SMALL_STATE(8837)] = 408644,
  [SMALL_STATE(8838)] = 408715,
  [SMALL_STATE(8839)] = 408798,
  [SMALL_STATE(8840)] = 408849,
  [SMALL_STATE(8841)] = 408932,
  [SMALL_STATE(8842)] = 409015,
  [SMALL_STATE(8843)] = 409098,
  [SMALL_STATE(8844)] = 409181,
  [SMALL_STATE(8845)] = 409264,
  [SMALL_STATE(8846)] = 409347,
  [SMALL_STATE(8847)] = 409430,
  [SMALL_STATE(8848)] = 409481,
  [SMALL_STATE(8849)] = 409564,
  [SMALL_STATE(8850)] = 409647,
  [SMALL_STATE(8851)] = 409730,
  [SMALL_STATE(8852)] = 409813,
  [SMALL_STATE(8853)] = 409896,
  [SMALL_STATE(8854)] = 409979,
  [SMALL_STATE(8855)] = 410062,
  [SMALL_STATE(8856)] = 410145,
  [SMALL_STATE(8857)] = 410202,
  [SMALL_STATE(8858)] = 410285,
  [SMALL_STATE(8859)] = 410368,
  [SMALL_STATE(8860)] = 410451,
  [SMALL_STATE(8861)] = 410534,
  [SMALL_STATE(8862)] = 410601,
  [SMALL_STATE(8863)] = 410658,
  [SMALL_STATE(8864)] = 410709,
  [SMALL_STATE(8865)] = 410760,
  [SMALL_STATE(8866)] = 410819,
  [SMALL_STATE(8867)] = 410878,
  [SMALL_STATE(8868)] = 410941,
  [SMALL_STATE(8869)] = 411006,
  [SMALL_STATE(8870)] = 411075,
  [SMALL_STATE(8871)] = 411128,
  [SMALL_STATE(8872)] = 411197,
  [SMALL_STATE(8873)] = 411248,
  [SMALL_STATE(8874)] = 411317,
  [SMALL_STATE(8875)] = 411400,
  [SMALL_STATE(8876)] = 411471,
  [SMALL_STATE(8877)] = 411522,
  [SMALL_STATE(8878)] = 411573,
  [SMALL_STATE(8879)] = 411622,
  [SMALL_STATE(8880)] = 411705,
  [SMALL_STATE(8881)] = 411754,
  [SMALL_STATE(8882)] = 411805,
  [SMALL_STATE(8883)] = 411856,
  [SMALL_STATE(8884)] = 411939,
  [SMALL_STATE(8885)] = 411990,
  [SMALL_STATE(8886)] = 412073,
  [SMALL_STATE(8887)] = 412156,
  [SMALL_STATE(8888)] = 412239,
  [SMALL_STATE(8889)] = 412322,
  [SMALL_STATE(8890)] = 412405,
  [SMALL_STATE(8891)] = 412474,
  [SMALL_STATE(8892)] = 412557,
  [SMALL_STATE(8893)] = 412640,
  [SMALL_STATE(8894)] = 412707,
  [SMALL_STATE(8895)] = 412790,
  [SMALL_STATE(8896)] = 412847,
  [SMALL_STATE(8897)] = 412930,
  [SMALL_STATE(8898)] = 412981,
  [SMALL_STATE(8899)] = 413032,
  [SMALL_STATE(8900)] = 413091,
  [SMALL_STATE(8901)] = 413150,
  [SMALL_STATE(8902)] = 413213,
  [SMALL_STATE(8903)] = 413278,
  [SMALL_STATE(8904)] = 413347,
  [SMALL_STATE(8905)] = 413400,
  [SMALL_STATE(8906)] = 413449,
  [SMALL_STATE(8907)] = 413532,
  [SMALL_STATE(8908)] = 413615,
  [SMALL_STATE(8909)] = 413684,
  [SMALL_STATE(8910)] = 413767,
  [SMALL_STATE(8911)] = 413850,
  [SMALL_STATE(8912)] = 413933,
  [SMALL_STATE(8913)] = 413984,
  [SMALL_STATE(8914)] = 414035,
  [SMALL_STATE(8915)] = 414086,
  [SMALL_STATE(8916)] = 414135,
  [SMALL_STATE(8917)] = 414186,
  [SMALL_STATE(8918)] = 414269,
  [SMALL_STATE(8919)] = 414320,
  [SMALL_STATE(8920)] = 414403,
  [SMALL_STATE(8921)] = 414486,
  [SMALL_STATE(8922)] = 414569,
  [SMALL_STATE(8923)] = 414638,
  [SMALL_STATE(8924)] = 414721,
  [SMALL_STATE(8925)] = 414804,
  [SMALL_STATE(8926)] = 414887,
  [SMALL_STATE(8927)] = 414970,
  [SMALL_STATE(8928)] = 415053,
  [SMALL_STATE(8929)] = 415136,
  [SMALL_STATE(8930)] = 415219,
  [SMALL_STATE(8931)] = 415302,
  [SMALL_STATE(8932)] = 415385,
  [SMALL_STATE(8933)] = 415468,
  [SMALL_STATE(8934)] = 415551,
  [SMALL_STATE(8935)] = 415634,
  [SMALL_STATE(8936)] = 415717,
  [SMALL_STATE(8937)] = 415800,
  [SMALL_STATE(8938)] = 415883,
  [SMALL_STATE(8939)] = 415966,
  [SMALL_STATE(8940)] = 416049,
  [SMALL_STATE(8941)] = 416120,
  [SMALL_STATE(8942)] = 416203,
  [SMALL_STATE(8943)] = 416286,
  [SMALL_STATE(8944)] = 416369,
  [SMALL_STATE(8945)] = 416452,
  [SMALL_STATE(8946)] = 416535,
  [SMALL_STATE(8947)] = 416618,
  [SMALL_STATE(8948)] = 416701,
  [SMALL_STATE(8949)] = 416750,
  [SMALL_STATE(8950)] = 416833,
  [SMALL_STATE(8951)] = 416916,
  [SMALL_STATE(8952)] = 416965,
  [SMALL_STATE(8953)] = 417048,
  [SMALL_STATE(8954)] = 417131,
  [SMALL_STATE(8955)] = 417214,
  [SMALL_STATE(8956)] = 417297,
  [SMALL_STATE(8957)] = 417380,
  [SMALL_STATE(8958)] = 417463,
  [SMALL_STATE(8959)] = 417546,
  [SMALL_STATE(8960)] = 417629,
  [SMALL_STATE(8961)] = 417712,
  [SMALL_STATE(8962)] = 417783,
  [SMALL_STATE(8963)] = 417832,
  [SMALL_STATE(8964)] = 417903,
  [SMALL_STATE(8965)] = 417986,
  [SMALL_STATE(8966)] = 418069,
  [SMALL_STATE(8967)] = 418152,
  [SMALL_STATE(8968)] = 418235,
  [SMALL_STATE(8969)] = 418318,
  [SMALL_STATE(8970)] = 418367,
  [SMALL_STATE(8971)] = 418436,
  [SMALL_STATE(8972)] = 418519,
  [SMALL_STATE(8973)] = 418602,
  [SMALL_STATE(8974)] = 418673,
  [SMALL_STATE(8975)] = 418756,
  [SMALL_STATE(8976)] = 418839,
  [SMALL_STATE(8977)] = 418922,
  [SMALL_STATE(8978)] = 418993,
  [SMALL_STATE(8979)] = 419064,
  [SMALL_STATE(8980)] = 419147,
  [SMALL_STATE(8981)] = 419230,
  [SMALL_STATE(8982)] = 419313,
  [SMALL_STATE(8983)] = 419396,
  [SMALL_STATE(8984)] = 419479,
  [SMALL_STATE(8985)] = 419528,
  [SMALL_STATE(8986)] = 419611,
  [SMALL_STATE(8987)] = 419694,
  [SMALL_STATE(8988)] = 419777,
  [SMALL_STATE(8989)] = 419860,
  [SMALL_STATE(8990)] = 419943,
  [SMALL_STATE(8991)] = 420026,
  [SMALL_STATE(8992)] = 420109,
  [SMALL_STATE(8993)] = 420192,
  [SMALL_STATE(8994)] = 420275,
  [SMALL_STATE(8995)] = 420358,
  [SMALL_STATE(8996)] = 420441,
  [SMALL_STATE(8997)] = 420524,
  [SMALL_STATE(8998)] = 420607,
  [SMALL_STATE(8999)] = 420690,
  [SMALL_STATE(9000)] = 420773,
  [SMALL_STATE(9001)] = 420856,
  [SMALL_STATE(9002)] = 420939,
  [SMALL_STATE(9003)] = 420988,
  [SMALL_STATE(9004)] = 421071,
  [SMALL_STATE(9005)] = 421154,
  [SMALL_STATE(9006)] = 421237,
  [SMALL_STATE(9007)] = 421320,
  [SMALL_STATE(9008)] = 421403,
  [SMALL_STATE(9009)] = 421486,
  [SMALL_STATE(9010)] = 421569,
  [SMALL_STATE(9011)] = 421652,
  [SMALL_STATE(9012)] = 421735,
  [SMALL_STATE(9013)] = 421818,
  [SMALL_STATE(9014)] = 421901,
  [SMALL_STATE(9015)] = 421984,
  [SMALL_STATE(9016)] = 422067,
  [SMALL_STATE(9017)] = 422150,
  [SMALL_STATE(9018)] = 422233,
  [SMALL_STATE(9019)] = 422316,
  [SMALL_STATE(9020)] = 422399,
  [SMALL_STATE(9021)] = 422482,
  [SMALL_STATE(9022)] = 422565,
  [SMALL_STATE(9023)] = 422648,
  [SMALL_STATE(9024)] = 422731,
  [SMALL_STATE(9025)] = 422814,
  [SMALL_STATE(9026)] = 422897,
  [SMALL_STATE(9027)] = 422980,
  [SMALL_STATE(9028)] = 423063,
  [SMALL_STATE(9029)] = 423146,
  [SMALL_STATE(9030)] = 423229,
  [SMALL_STATE(9031)] = 423312,
  [SMALL_STATE(9032)] = 423395,
  [SMALL_STATE(9033)] = 423478,
  [SMALL_STATE(9034)] = 423561,
  [SMALL_STATE(9035)] = 423644,
  [SMALL_STATE(9036)] = 423727,
  [SMALL_STATE(9037)] = 423810,
  [SMALL_STATE(9038)] = 423893,
  [SMALL_STATE(9039)] = 423950,
  [SMALL_STATE(9040)] = 424033,
  [SMALL_STATE(9041)] = 424116,
  [SMALL_STATE(9042)] = 424199,
  [SMALL_STATE(9043)] = 424282,
  [SMALL_STATE(9044)] = 424365,
  [SMALL_STATE(9045)] = 424448,
  [SMALL_STATE(9046)] = 424531,
  [SMALL_STATE(9047)] = 424614,
  [SMALL_STATE(9048)] = 424697,
  [SMALL_STATE(9049)] = 424780,
  [SMALL_STATE(9050)] = 424863,
  [SMALL_STATE(9051)] = 424946,
  [SMALL_STATE(9052)] = 425029,
  [SMALL_STATE(9053)] = 425112,
  [SMALL_STATE(9054)] = 425195,
  [SMALL_STATE(9055)] = 425278,
  [SMALL_STATE(9056)] = 425361,
  [SMALL_STATE(9057)] = 425444,
  [SMALL_STATE(9058)] = 425527,
  [SMALL_STATE(9059)] = 425610,
  [SMALL_STATE(9060)] = 425693,
  [SMALL_STATE(9061)] = 425776,
  [SMALL_STATE(9062)] = 425859,
  [SMALL_STATE(9063)] = 425942,
  [SMALL_STATE(9064)] = 426025,
  [SMALL_STATE(9065)] = 426108,
  [SMALL_STATE(9066)] = 426191,
  [SMALL_STATE(9067)] = 426242,
  [SMALL_STATE(9068)] = 426325,
  [SMALL_STATE(9069)] = 426408,
  [SMALL_STATE(9070)] = 426479,
  [SMALL_STATE(9071)] = 426525,
  [SMALL_STATE(9072)] = 426571,
  [SMALL_STATE(9073)] = 426617,
  [SMALL_STATE(9074)] = 426665,
  [SMALL_STATE(9075)] = 426735,
  [SMALL_STATE(9076)] = 426805,
  [SMALL_STATE(9077)] = 426855,
  [SMALL_STATE(9078)] = 426901,
  [SMALL_STATE(9079)] = 426947,
  [SMALL_STATE(9080)] = 426993,
  [SMALL_STATE(9081)] = 427039,
  [SMALL_STATE(9082)] = 427089,
  [SMALL_STATE(9083)] = 427159,
  [SMALL_STATE(9084)] = 427215,
  [SMALL_STATE(9085)] = 427265,
  [SMALL_STATE(9086)] = 427315,
  [SMALL_STATE(9087)] = 427373,
  [SMALL_STATE(9088)] = 427419,
  [SMALL_STATE(9089)] = 427477,
  [SMALL_STATE(9090)] = 427543,
  [SMALL_STATE(9091)] = 427613,
  [SMALL_STATE(9092)] = 427659,
  [SMALL_STATE(9093)] = 427705,
  [SMALL_STATE(9094)] = 427751,
  [SMALL_STATE(9095)] = 427797,
  [SMALL_STATE(9096)] = 427853,
  [SMALL_STATE(9097)] = 427903,
  [SMALL_STATE(9098)] = 427949,
  [SMALL_STATE(9099)] = 427999,
  [SMALL_STATE(9100)] = 428069,
  [SMALL_STATE(9101)] = 428115,
  [SMALL_STATE(9102)] = 428161,
  [SMALL_STATE(9103)] = 428229,
  [SMALL_STATE(9104)] = 428287,
  [SMALL_STATE(9105)] = 428333,
  [SMALL_STATE(9106)] = 428395,
  [SMALL_STATE(9107)] = 428441,
  [SMALL_STATE(9108)] = 428505,
  [SMALL_STATE(9109)] = 428553,
  [SMALL_STATE(9110)] = 428603,
  [SMALL_STATE(9111)] = 428661,
  [SMALL_STATE(9112)] = 428723,
  [SMALL_STATE(9113)] = 428769,
  [SMALL_STATE(9114)] = 428833,
  [SMALL_STATE(9115)] = 428901,
  [SMALL_STATE(9116)] = 428947,
  [SMALL_STATE(9117)] = 429015,
  [SMALL_STATE(9118)] = 429061,
  [SMALL_STATE(9119)] = 429107,
  [SMALL_STATE(9120)] = 429159,
  [SMALL_STATE(9121)] = 429211,
  [SMALL_STATE(9122)] = 429257,
  [SMALL_STATE(9123)] = 429325,
  [SMALL_STATE(9124)] = 429371,
  [SMALL_STATE(9125)] = 429419,
  [SMALL_STATE(9126)] = 429465,
  [SMALL_STATE(9127)] = 429533,
  [SMALL_STATE(9128)] = 429579,
  [SMALL_STATE(9129)] = 429625,
  [SMALL_STATE(9130)] = 429673,
  [SMALL_STATE(9131)] = 429719,
  [SMALL_STATE(9132)] = 429765,
  [SMALL_STATE(9133)] = 429811,
  [SMALL_STATE(9134)] = 429861,
  [SMALL_STATE(9135)] = 429909,
  [SMALL_STATE(9136)] = 429955,
  [SMALL_STATE(9137)] = 430003,
  [SMALL_STATE(9138)] = 430049,
  [SMALL_STATE(9139)] = 430097,
  [SMALL_STATE(9140)] = 430143,
  [SMALL_STATE(9141)] = 430189,
  [SMALL_STATE(9142)] = 430235,
  [SMALL_STATE(9143)] = 430303,
  [SMALL_STATE(9144)] = 430349,
  [SMALL_STATE(9145)] = 430395,
  [SMALL_STATE(9146)] = 430441,
  [SMALL_STATE(9147)] = 430487,
  [SMALL_STATE(9148)] = 430533,
  [SMALL_STATE(9149)] = 430579,
  [SMALL_STATE(9150)] = 430625,
  [SMALL_STATE(9151)] = 430671,
  [SMALL_STATE(9152)] = 430717,
  [SMALL_STATE(9153)] = 430763,
  [SMALL_STATE(9154)] = 430811,
  [SMALL_STATE(9155)] = 430861,
  [SMALL_STATE(9156)] = 430907,
  [SMALL_STATE(9157)] = 430957,
  [SMALL_STATE(9158)] = 431003,
  [SMALL_STATE(9159)] = 431049,
  [SMALL_STATE(9160)] = 431095,
  [SMALL_STATE(9161)] = 431141,
  [SMALL_STATE(9162)] = 431187,
  [SMALL_STATE(9163)] = 431233,
  [SMALL_STATE(9164)] = 431279,
  [SMALL_STATE(9165)] = 431325,
  [SMALL_STATE(9166)] = 431371,
  [SMALL_STATE(9167)] = 431417,
  [SMALL_STATE(9168)] = 431483,
  [SMALL_STATE(9169)] = 431529,
  [SMALL_STATE(9170)] = 431575,
  [SMALL_STATE(9171)] = 431621,
  [SMALL_STATE(9172)] = 431667,
  [SMALL_STATE(9173)] = 431713,
  [SMALL_STATE(9174)] = 431759,
  [SMALL_STATE(9175)] = 431805,
  [SMALL_STATE(9176)] = 431851,
  [SMALL_STATE(9177)] = 431897,
  [SMALL_STATE(9178)] = 431943,
  [SMALL_STATE(9179)] = 431989,
  [SMALL_STATE(9180)] = 432039,
  [SMALL_STATE(9181)] = 432085,
  [SMALL_STATE(9182)] = 432131,
  [SMALL_STATE(9183)] = 432177,
  [SMALL_STATE(9184)] = 432223,
  [SMALL_STATE(9185)] = 432269,
  [SMALL_STATE(9186)] = 432315,
  [SMALL_STATE(9187)] = 432365,
  [SMALL_STATE(9188)] = 432411,
  [SMALL_STATE(9189)] = 432457,
  [SMALL_STATE(9190)] = 432503,
  [SMALL_STATE(9191)] = 432573,
  [SMALL_STATE(9192)] = 432619,
  [SMALL_STATE(9193)] = 432665,
  [SMALL_STATE(9194)] = 432711,
  [SMALL_STATE(9195)] = 432756,
  [SMALL_STATE(9196)] = 432825,
  [SMALL_STATE(9197)] = 432872,
  [SMALL_STATE(9198)] = 432917,
  [SMALL_STATE(9199)] = 432978,
  [SMALL_STATE(9200)] = 433023,
  [SMALL_STATE(9201)] = 433068,
  [SMALL_STATE(9202)] = 433145,
  [SMALL_STATE(9203)] = 433196,
  [SMALL_STATE(9204)] = 433241,
  [SMALL_STATE(9205)] = 433288,
  [SMALL_STATE(9206)] = 433349,
  [SMALL_STATE(9207)] = 433396,
  [SMALL_STATE(9208)] = 433441,
  [SMALL_STATE(9209)] = 433486,
  [SMALL_STATE(9210)] = 433531,
  [SMALL_STATE(9211)] = 433576,
  [SMALL_STATE(9212)] = 433621,
  [SMALL_STATE(9213)] = 433666,
  [SMALL_STATE(9214)] = 433711,
  [SMALL_STATE(9215)] = 433756,
  [SMALL_STATE(9216)] = 433801,
  [SMALL_STATE(9217)] = 433846,
  [SMALL_STATE(9218)] = 433891,
  [SMALL_STATE(9219)] = 433960,
  [SMALL_STATE(9220)] = 434005,
  [SMALL_STATE(9221)] = 434050,
  [SMALL_STATE(9222)] = 434095,
  [SMALL_STATE(9223)] = 434140,
  [SMALL_STATE(9224)] = 434185,
  [SMALL_STATE(9225)] = 434262,
  [SMALL_STATE(9226)] = 434307,
  [SMALL_STATE(9227)] = 434352,
  [SMALL_STATE(9228)] = 434397,
  [SMALL_STATE(9229)] = 434442,
  [SMALL_STATE(9230)] = 434487,
  [SMALL_STATE(9231)] = 434548,
  [SMALL_STATE(9232)] = 434593,
  [SMALL_STATE(9233)] = 434638,
  [SMALL_STATE(9234)] = 434685,
  [SMALL_STATE(9235)] = 434730,
  [SMALL_STATE(9236)] = 434775,
  [SMALL_STATE(9237)] = 434820,
  [SMALL_STATE(9238)] = 434889,
  [SMALL_STATE(9239)] = 434934,
  [SMALL_STATE(9240)] = 434979,
  [SMALL_STATE(9241)] = 435024,
  [SMALL_STATE(9242)] = 435069,
  [SMALL_STATE(9243)] = 435130,
  [SMALL_STATE(9244)] = 435191,
  [SMALL_STATE(9245)] = 435236,
  [SMALL_STATE(9246)] = 435281,
  [SMALL_STATE(9247)] = 435326,
  [SMALL_STATE(9248)] = 435371,
  [SMALL_STATE(9249)] = 435416,
  [SMALL_STATE(9250)] = 435461,
  [SMALL_STATE(9251)] = 435506,
  [SMALL_STATE(9252)] = 435575,
  [SMALL_STATE(9253)] = 435620,
  [SMALL_STATE(9254)] = 435667,
  [SMALL_STATE(9255)] = 435712,
  [SMALL_STATE(9256)] = 435757,
  [SMALL_STATE(9257)] = 435826,
  [SMALL_STATE(9258)] = 435871,
  [SMALL_STATE(9259)] = 435918,
  [SMALL_STATE(9260)] = 435963,
  [SMALL_STATE(9261)] = 436008,
  [SMALL_STATE(9262)] = 436053,
  [SMALL_STATE(9263)] = 436098,
  [SMALL_STATE(9264)] = 436167,
  [SMALL_STATE(9265)] = 436212,
  [SMALL_STATE(9266)] = 436259,
  [SMALL_STATE(9267)] = 436304,
  [SMALL_STATE(9268)] = 436349,
  [SMALL_STATE(9269)] = 436410,
  [SMALL_STATE(9270)] = 436455,
  [SMALL_STATE(9271)] = 436500,
  [SMALL_STATE(9272)] = 436549,
  [SMALL_STATE(9273)] = 436594,
  [SMALL_STATE(9274)] = 436639,
  [SMALL_STATE(9275)] = 436684,
  [SMALL_STATE(9276)] = 436728,
  [SMALL_STATE(9277)] = 436772,
  [SMALL_STATE(9278)] = 436816,
  [SMALL_STATE(9279)] = 436860,
  [SMALL_STATE(9280)] = 436904,
  [SMALL_STATE(9281)] = 436948,
  [SMALL_STATE(9282)] = 437022,
  [SMALL_STATE(9283)] = 437066,
  [SMALL_STATE(9284)] = 437124,
  [SMALL_STATE(9285)] = 437168,
  [SMALL_STATE(9286)] = 437224,
  [SMALL_STATE(9287)] = 437296,
  [SMALL_STATE(9288)] = 437340,
  [SMALL_STATE(9289)] = 437394,
  [SMALL_STATE(9290)] = 437466,
  [SMALL_STATE(9291)] = 437520,
  [SMALL_STATE(9292)] = 437578,
  [SMALL_STATE(9293)] = 437632,
  [SMALL_STATE(9294)] = 437686,
  [SMALL_STATE(9295)] = 437730,
  [SMALL_STATE(9296)] = 437786,
  [SMALL_STATE(9297)] = 437860,
  [SMALL_STATE(9298)] = 437904,
  [SMALL_STATE(9299)] = 437948,
  [SMALL_STATE(9300)] = 437992,
  [SMALL_STATE(9301)] = 438036,
  [SMALL_STATE(9302)] = 438113,
  [SMALL_STATE(9303)] = 438190,
  [SMALL_STATE(9304)] = 438267,
  [SMALL_STATE(9305)] = 438326,
  [SMALL_STATE(9306)] = 438403,
  [SMALL_STATE(9307)] = 438480,
  [SMALL_STATE(9308)] = 438557,
  [SMALL_STATE(9309)] = 438628,
  [SMALL_STATE(9310)] = 438699,
  [SMALL_STATE(9311)] = 438744,
  [SMALL_STATE(9312)] = 438821,
  [SMALL_STATE(9313)] = 438898,
  [SMALL_STATE(9314)] = 438975,
  [SMALL_STATE(9315)] = 439052,
  [SMALL_STATE(9316)] = 439097,
  [SMALL_STATE(9317)] = 439174,
  [SMALL_STATE(9318)] = 439251,
  [SMALL_STATE(9319)] = 439296,
  [SMALL_STATE(9320)] = 439373,
  [SMALL_STATE(9321)] = 439450,
  [SMALL_STATE(9322)] = 439527,
  [SMALL_STATE(9323)] = 439604,
  [SMALL_STATE(9324)] = 439681,
  [SMALL_STATE(9325)] = 439758,
  [SMALL_STATE(9326)] = 439835,
  [SMALL_STATE(9327)] = 439912,
  [SMALL_STATE(9328)] = 439983,
  [SMALL_STATE(9329)] = 440060,
  [SMALL_STATE(9330)] = 440119,
  [SMALL_STATE(9331)] = 440178,
  [SMALL_STATE(9332)] = 440231,
  [SMALL_STATE(9333)] = 440308,
  [SMALL_STATE(9334)] = 440385,
  [SMALL_STATE(9335)] = 440462,
  [SMALL_STATE(9336)] = 440505,
  [SMALL_STATE(9337)] = 440564,
  [SMALL_STATE(9338)] = 440641,
  [SMALL_STATE(9339)] = 440718,
  [SMALL_STATE(9340)] = 440795,
  [SMALL_STATE(9341)] = 440848,
  [SMALL_STATE(9342)] = 440925,
  [SMALL_STATE(9343)] = 441002,
  [SMALL_STATE(9344)] = 441061,
  [SMALL_STATE(9345)] = 441138,
  [SMALL_STATE(9346)] = 441215,
  [SMALL_STATE(9347)] = 441292,
  [SMALL_STATE(9348)] = 441335,
  [SMALL_STATE(9349)] = 441412,
  [SMALL_STATE(9350)] = 441489,
  [SMALL_STATE(9351)] = 441560,
  [SMALL_STATE(9352)] = 441637,
  [SMALL_STATE(9353)] = 441714,
  [SMALL_STATE(9354)] = 441791,
  [SMALL_STATE(9355)] = 441868,
  [SMALL_STATE(9356)] = 441913,
  [SMALL_STATE(9357)] = 441958,
  [SMALL_STATE(9358)] = 442003,
  [SMALL_STATE(9359)] = 442080,
  [SMALL_STATE(9360)] = 442122,
  [SMALL_STATE(9361)] = 442164,
  [SMALL_STATE(9362)] = 442206,
  [SMALL_STATE(9363)] = 442278,
  [SMALL_STATE(9364)] = 442320,
  [SMALL_STATE(9365)] = 442392,
  [SMALL_STATE(9366)] = 442434,
  [SMALL_STATE(9367)] = 442506,
  [SMALL_STATE(9368)] = 442548,
  [SMALL_STATE(9369)] = 442620,
  [SMALL_STATE(9370)] = 442662,
  [SMALL_STATE(9371)] = 442734,
  [SMALL_STATE(9372)] = 442776,
  [SMALL_STATE(9373)] = 442818,
  [SMALL_STATE(9374)] = 442860,
  [SMALL_STATE(9375)] = 442902,
  [SMALL_STATE(9376)] = 442974,
  [SMALL_STATE(9377)] = 443016,
  [SMALL_STATE(9378)] = 443058,
  [SMALL_STATE(9379)] = 443100,
  [SMALL_STATE(9380)] = 443142,
  [SMALL_STATE(9381)] = 443214,
  [SMALL_STATE(9382)] = 443256,
  [SMALL_STATE(9383)] = 443328,
  [SMALL_STATE(9384)] = 443370,
  [SMALL_STATE(9385)] = 443412,
  [SMALL_STATE(9386)] = 443484,
  [SMALL_STATE(9387)] = 443556,
  [SMALL_STATE(9388)] = 443598,
  [SMALL_STATE(9389)] = 443640,
  [SMALL_STATE(9390)] = 443682,
  [SMALL_STATE(9391)] = 443738,
  [SMALL_STATE(9392)] = 443780,
  [SMALL_STATE(9393)] = 443822,
  [SMALL_STATE(9394)] = 443864,
  [SMALL_STATE(9395)] = 443906,
  [SMALL_STATE(9396)] = 443978,
  [SMALL_STATE(9397)] = 444020,
  [SMALL_STATE(9398)] = 444062,
  [SMALL_STATE(9399)] = 444104,
  [SMALL_STATE(9400)] = 444146,
  [SMALL_STATE(9401)] = 444218,
  [SMALL_STATE(9402)] = 444290,
  [SMALL_STATE(9403)] = 444362,
  [SMALL_STATE(9404)] = 444434,
  [SMALL_STATE(9405)] = 444506,
  [SMALL_STATE(9406)] = 444578,
  [SMALL_STATE(9407)] = 444620,
  [SMALL_STATE(9408)] = 444692,
  [SMALL_STATE(9409)] = 444734,
  [SMALL_STATE(9410)] = 444806,
  [SMALL_STATE(9411)] = 444878,
  [SMALL_STATE(9412)] = 444932,
  [SMALL_STATE(9413)] = 444974,
  [SMALL_STATE(9414)] = 445046,
  [SMALL_STATE(9415)] = 445090,
  [SMALL_STATE(9416)] = 445158,
  [SMALL_STATE(9417)] = 445230,
  [SMALL_STATE(9418)] = 445302,
  [SMALL_STATE(9419)] = 445344,
  [SMALL_STATE(9420)] = 445416,
  [SMALL_STATE(9421)] = 445488,
  [SMALL_STATE(9422)] = 445560,
  [SMALL_STATE(9423)] = 445602,
  [SMALL_STATE(9424)] = 445644,
  [SMALL_STATE(9425)] = 445686,
  [SMALL_STATE(9426)] = 445728,
  [SMALL_STATE(9427)] = 445800,
  [SMALL_STATE(9428)] = 445842,
  [SMALL_STATE(9429)] = 445914,
  [SMALL_STATE(9430)] = 445986,
  [SMALL_STATE(9431)] = 446028,
  [SMALL_STATE(9432)] = 446100,
  [SMALL_STATE(9433)] = 446152,
  [SMALL_STATE(9434)] = 446224,
  [SMALL_STATE(9435)] = 446296,
  [SMALL_STATE(9436)] = 446348,
  [SMALL_STATE(9437)] = 446420,
  [SMALL_STATE(9438)] = 446492,
  [SMALL_STATE(9439)] = 446536,
  [SMALL_STATE(9440)] = 446578,
  [SMALL_STATE(9441)] = 446650,
  [SMALL_STATE(9442)] = 446722,
  [SMALL_STATE(9443)] = 446794,
  [SMALL_STATE(9444)] = 446866,
  [SMALL_STATE(9445)] = 446908,
  [SMALL_STATE(9446)] = 446980,
  [SMALL_STATE(9447)] = 447022,
  [SMALL_STATE(9448)] = 447064,
  [SMALL_STATE(9449)] = 447106,
  [SMALL_STATE(9450)] = 447164,
  [SMALL_STATE(9451)] = 447236,
  [SMALL_STATE(9452)] = 447278,
  [SMALL_STATE(9453)] = 447336,
  [SMALL_STATE(9454)] = 447408,
  [SMALL_STATE(9455)] = 447480,
  [SMALL_STATE(9456)] = 447552,
  [SMALL_STATE(9457)] = 447594,
  [SMALL_STATE(9458)] = 447636,
  [SMALL_STATE(9459)] = 447708,
  [SMALL_STATE(9460)] = 447780,
  [SMALL_STATE(9461)] = 447852,
  [SMALL_STATE(9462)] = 447924,
  [SMALL_STATE(9463)] = 447996,
  [SMALL_STATE(9464)] = 448038,
  [SMALL_STATE(9465)] = 448110,
  [SMALL_STATE(9466)] = 448152,
  [SMALL_STATE(9467)] = 448204,
  [SMALL_STATE(9468)] = 448246,
  [SMALL_STATE(9469)] = 448318,
  [SMALL_STATE(9470)] = 448388,
  [SMALL_STATE(9471)] = 448460,
  [SMALL_STATE(9472)] = 448532,
  [SMALL_STATE(9473)] = 448578,
  [SMALL_STATE(9474)] = 448620,
  [SMALL_STATE(9475)] = 448692,
  [SMALL_STATE(9476)] = 448764,
  [SMALL_STATE(9477)] = 448836,
  [SMALL_STATE(9478)] = 448908,
  [SMALL_STATE(9479)] = 448980,
  [SMALL_STATE(9480)] = 449022,
  [SMALL_STATE(9481)] = 449094,
  [SMALL_STATE(9482)] = 449136,
  [SMALL_STATE(9483)] = 449190,
  [SMALL_STATE(9484)] = 449262,
  [SMALL_STATE(9485)] = 449334,
  [SMALL_STATE(9486)] = 449376,
  [SMALL_STATE(9487)] = 449448,
  [SMALL_STATE(9488)] = 449506,
  [SMALL_STATE(9489)] = 449578,
  [SMALL_STATE(9490)] = 449650,
  [SMALL_STATE(9491)] = 449722,
  [SMALL_STATE(9492)] = 449794,
  [SMALL_STATE(9493)] = 449836,
  [SMALL_STATE(9494)] = 449878,
  [SMALL_STATE(9495)] = 449950,
  [SMALL_STATE(9496)] = 449992,
  [SMALL_STATE(9497)] = 450064,
  [SMALL_STATE(9498)] = 450106,
  [SMALL_STATE(9499)] = 450148,
  [SMALL_STATE(9500)] = 450220,
  [SMALL_STATE(9501)] = 450292,
  [SMALL_STATE(9502)] = 450334,
  [SMALL_STATE(9503)] = 450376,
  [SMALL_STATE(9504)] = 450418,
  [SMALL_STATE(9505)] = 450460,
  [SMALL_STATE(9506)] = 450502,
  [SMALL_STATE(9507)] = 450574,
  [SMALL_STATE(9508)] = 450646,
  [SMALL_STATE(9509)] = 450718,
  [SMALL_STATE(9510)] = 450760,
  [SMALL_STATE(9511)] = 450802,
  [SMALL_STATE(9512)] = 450844,
  [SMALL_STATE(9513)] = 450916,
  [SMALL_STATE(9514)] = 450988,
  [SMALL_STATE(9515)] = 451030,
  [SMALL_STATE(9516)] = 451072,
  [SMALL_STATE(9517)] = 451144,
  [SMALL_STATE(9518)] = 451186,
  [SMALL_STATE(9519)] = 451228,
  [SMALL_STATE(9520)] = 451270,
  [SMALL_STATE(9521)] = 451312,
  [SMALL_STATE(9522)] = 451354,
  [SMALL_STATE(9523)] = 451426,
  [SMALL_STATE(9524)] = 451498,
  [SMALL_STATE(9525)] = 451540,
  [SMALL_STATE(9526)] = 451612,
  [SMALL_STATE(9527)] = 451684,
  [SMALL_STATE(9528)] = 451726,
  [SMALL_STATE(9529)] = 451768,
  [SMALL_STATE(9530)] = 451810,
  [SMALL_STATE(9531)] = 451852,
  [SMALL_STATE(9532)] = 451924,
  [SMALL_STATE(9533)] = 451966,
  [SMALL_STATE(9534)] = 452008,
  [SMALL_STATE(9535)] = 452080,
  [SMALL_STATE(9536)] = 452150,
  [SMALL_STATE(9537)] = 452222,
  [SMALL_STATE(9538)] = 452294,
  [SMALL_STATE(9539)] = 452336,
  [SMALL_STATE(9540)] = 452378,
  [SMALL_STATE(9541)] = 452450,
  [SMALL_STATE(9542)] = 452492,
  [SMALL_STATE(9543)] = 452534,
  [SMALL_STATE(9544)] = 452576,
  [SMALL_STATE(9545)] = 452620,
  [SMALL_STATE(9546)] = 452662,
  [SMALL_STATE(9547)] = 452704,
  [SMALL_STATE(9548)] = 452752,
  [SMALL_STATE(9549)] = 452824,
  [SMALL_STATE(9550)] = 452866,
  [SMALL_STATE(9551)] = 452938,
  [SMALL_STATE(9552)] = 452982,
  [SMALL_STATE(9553)] = 453054,
  [SMALL_STATE(9554)] = 453110,
  [SMALL_STATE(9555)] = 453182,
  [SMALL_STATE(9556)] = 453254,
  [SMALL_STATE(9557)] = 453296,
  [SMALL_STATE(9558)] = 453368,
  [SMALL_STATE(9559)] = 453440,
  [SMALL_STATE(9560)] = 453512,
  [SMALL_STATE(9561)] = 453554,
  [SMALL_STATE(9562)] = 453626,
  [SMALL_STATE(9563)] = 453698,
  [SMALL_STATE(9564)] = 453770,
  [SMALL_STATE(9565)] = 453828,
  [SMALL_STATE(9566)] = 453900,
  [SMALL_STATE(9567)] = 453942,
  [SMALL_STATE(9568)] = 454014,
  [SMALL_STATE(9569)] = 454056,
  [SMALL_STATE(9570)] = 454128,
  [SMALL_STATE(9571)] = 454200,
  [SMALL_STATE(9572)] = 454272,
  [SMALL_STATE(9573)] = 454344,
  [SMALL_STATE(9574)] = 454388,
  [SMALL_STATE(9575)] = 454460,
  [SMALL_STATE(9576)] = 454532,
  [SMALL_STATE(9577)] = 454590,
  [SMALL_STATE(9578)] = 454648,
  [SMALL_STATE(9579)] = 454720,
  [SMALL_STATE(9580)] = 454792,
  [SMALL_STATE(9581)] = 454864,
  [SMALL_STATE(9582)] = 454918,
  [SMALL_STATE(9583)] = 454990,
  [SMALL_STATE(9584)] = 455032,
  [SMALL_STATE(9585)] = 455090,
  [SMALL_STATE(9586)] = 455148,
  [SMALL_STATE(9587)] = 455196,
  [SMALL_STATE(9588)] = 455238,
  [SMALL_STATE(9589)] = 455280,
  [SMALL_STATE(9590)] = 455322,
  [SMALL_STATE(9591)] = 455364,
  [SMALL_STATE(9592)] = 455406,
  [SMALL_STATE(9593)] = 455464,
  [SMALL_STATE(9594)] = 455522,
  [SMALL_STATE(9595)] = 455594,
  [SMALL_STATE(9596)] = 455652,
  [SMALL_STATE(9597)] = 455694,
  [SMALL_STATE(9598)] = 455736,
  [SMALL_STATE(9599)] = 455808,
  [SMALL_STATE(9600)] = 455880,
  [SMALL_STATE(9601)] = 455922,
  [SMALL_STATE(9602)] = 455978,
  [SMALL_STATE(9603)] = 456020,
  [SMALL_STATE(9604)] = 456092,
  [SMALL_STATE(9605)] = 456164,
  [SMALL_STATE(9606)] = 456206,
  [SMALL_STATE(9607)] = 456278,
  [SMALL_STATE(9608)] = 456350,
  [SMALL_STATE(9609)] = 456394,
  [SMALL_STATE(9610)] = 456466,
  [SMALL_STATE(9611)] = 456538,
  [SMALL_STATE(9612)] = 456610,
  [SMALL_STATE(9613)] = 456682,
  [SMALL_STATE(9614)] = 456736,
  [SMALL_STATE(9615)] = 456808,
  [SMALL_STATE(9616)] = 456866,
  [SMALL_STATE(9617)] = 456908,
  [SMALL_STATE(9618)] = 456960,
  [SMALL_STATE(9619)] = 457032,
  [SMALL_STATE(9620)] = 457104,
  [SMALL_STATE(9621)] = 457176,
  [SMALL_STATE(9622)] = 457248,
  [SMALL_STATE(9623)] = 457290,
  [SMALL_STATE(9624)] = 457362,
  [SMALL_STATE(9625)] = 457404,
  [SMALL_STATE(9626)] = 457446,
  [SMALL_STATE(9627)] = 457488,
  [SMALL_STATE(9628)] = 457530,
  [SMALL_STATE(9629)] = 457572,
  [SMALL_STATE(9630)] = 457644,
  [SMALL_STATE(9631)] = 457686,
  [SMALL_STATE(9632)] = 457754,
  [SMALL_STATE(9633)] = 457796,
  [SMALL_STATE(9634)] = 457868,
  [SMALL_STATE(9635)] = 457940,
  [SMALL_STATE(9636)] = 458012,
  [SMALL_STATE(9637)] = 458084,
  [SMALL_STATE(9638)] = 458156,
  [SMALL_STATE(9639)] = 458228,
  [SMALL_STATE(9640)] = 458270,
  [SMALL_STATE(9641)] = 458342,
  [SMALL_STATE(9642)] = 458384,
  [SMALL_STATE(9643)] = 458426,
  [SMALL_STATE(9644)] = 458498,
  [SMALL_STATE(9645)] = 458540,
  [SMALL_STATE(9646)] = 458582,
  [SMALL_STATE(9647)] = 458654,
  [SMALL_STATE(9648)] = 458726,
  [SMALL_STATE(9649)] = 458768,
  [SMALL_STATE(9650)] = 458810,
  [SMALL_STATE(9651)] = 458852,
  [SMALL_STATE(9652)] = 458908,
  [SMALL_STATE(9653)] = 458980,
  [SMALL_STATE(9654)] = 459022,
  [SMALL_STATE(9655)] = 459074,
  [SMALL_STATE(9656)] = 459144,
  [SMALL_STATE(9657)] = 459186,
  [SMALL_STATE(9658)] = 459228,
  [SMALL_STATE(9659)] = 459270,
  [SMALL_STATE(9660)] = 459312,
  [SMALL_STATE(9661)] = 459384,
  [SMALL_STATE(9662)] = 459456,
  [SMALL_STATE(9663)] = 459528,
  [SMALL_STATE(9664)] = 459570,
  [SMALL_STATE(9665)] = 459612,
  [SMALL_STATE(9666)] = 459654,
  [SMALL_STATE(9667)] = 459696,
  [SMALL_STATE(9668)] = 459738,
  [SMALL_STATE(9669)] = 459780,
  [SMALL_STATE(9670)] = 459822,
  [SMALL_STATE(9671)] = 459864,
  [SMALL_STATE(9672)] = 459906,
  [SMALL_STATE(9673)] = 459948,
  [SMALL_STATE(9674)] = 459990,
  [SMALL_STATE(9675)] = 460032,
  [SMALL_STATE(9676)] = 460104,
  [SMALL_STATE(9677)] = 460176,
  [SMALL_STATE(9678)] = 460248,
  [SMALL_STATE(9679)] = 460320,
  [SMALL_STATE(9680)] = 460392,
  [SMALL_STATE(9681)] = 460434,
  [SMALL_STATE(9682)] = 460476,
  [SMALL_STATE(9683)] = 460518,
  [SMALL_STATE(9684)] = 460560,
  [SMALL_STATE(9685)] = 460632,
  [SMALL_STATE(9686)] = 460674,
  [SMALL_STATE(9687)] = 460716,
  [SMALL_STATE(9688)] = 460768,
  [SMALL_STATE(9689)] = 460840,
  [SMALL_STATE(9690)] = 460882,
  [SMALL_STATE(9691)] = 460924,
  [SMALL_STATE(9692)] = 460966,
  [SMALL_STATE(9693)] = 461008,
  [SMALL_STATE(9694)] = 461050,
  [SMALL_STATE(9695)] = 461122,
  [SMALL_STATE(9696)] = 461163,
  [SMALL_STATE(9697)] = 461204,
  [SMALL_STATE(9698)] = 461273,
  [SMALL_STATE(9699)] = 461328,
  [SMALL_STATE(9700)] = 461391,
  [SMALL_STATE(9701)] = 461460,
  [SMALL_STATE(9702)] = 461505,
  [SMALL_STATE(9703)] = 461574,
  [SMALL_STATE(9704)] = 461643,
  [SMALL_STATE(9705)] = 461684,
  [SMALL_STATE(9706)] = 461725,
  [SMALL_STATE(9707)] = 461794,
  [SMALL_STATE(9708)] = 461837,
  [SMALL_STATE(9709)] = 461878,
  [SMALL_STATE(9710)] = 461919,
  [SMALL_STATE(9711)] = 461960,
  [SMALL_STATE(9712)] = 462001,
  [SMALL_STATE(9713)] = 462042,
  [SMALL_STATE(9714)] = 462083,
  [SMALL_STATE(9715)] = 462124,
  [SMALL_STATE(9716)] = 462165,
  [SMALL_STATE(9717)] = 462234,
  [SMALL_STATE(9718)] = 462303,
  [SMALL_STATE(9719)] = 462364,
  [SMALL_STATE(9720)] = 462411,
  [SMALL_STATE(9721)] = 462480,
  [SMALL_STATE(9722)] = 462521,
  [SMALL_STATE(9723)] = 462590,
  [SMALL_STATE(9724)] = 462659,
  [SMALL_STATE(9725)] = 462716,
  [SMALL_STATE(9726)] = 462757,
  [SMALL_STATE(9727)] = 462798,
  [SMALL_STATE(9728)] = 462839,
  [SMALL_STATE(9729)] = 462894,
  [SMALL_STATE(9730)] = 462963,
  [SMALL_STATE(9731)] = 463032,
  [SMALL_STATE(9732)] = 463101,
  [SMALL_STATE(9733)] = 463142,
  [SMALL_STATE(9734)] = 463205,
  [SMALL_STATE(9735)] = 463274,
  [SMALL_STATE(9736)] = 463315,
  [SMALL_STATE(9737)] = 463378,
  [SMALL_STATE(9738)] = 463421,
  [SMALL_STATE(9739)] = 463462,
  [SMALL_STATE(9740)] = 463531,
  [SMALL_STATE(9741)] = 463574,
  [SMALL_STATE(9742)] = 463643,
  [SMALL_STATE(9743)] = 463712,
  [SMALL_STATE(9744)] = 463763,
  [SMALL_STATE(9745)] = 463804,
  [SMALL_STATE(9746)] = 463845,
  [SMALL_STATE(9747)] = 463914,
  [SMALL_STATE(9748)] = 463971,
  [SMALL_STATE(9749)] = 464040,
  [SMALL_STATE(9750)] = 464081,
  [SMALL_STATE(9751)] = 464124,
  [SMALL_STATE(9752)] = 464167,
  [SMALL_STATE(9753)] = 464236,
  [SMALL_STATE(9754)] = 464277,
  [SMALL_STATE(9755)] = 464318,
  [SMALL_STATE(9756)] = 464359,
  [SMALL_STATE(9757)] = 464404,
  [SMALL_STATE(9758)] = 464447,
  [SMALL_STATE(9759)] = 464506,
  [SMALL_STATE(9760)] = 464549,
  [SMALL_STATE(9761)] = 464590,
  [SMALL_STATE(9762)] = 464631,
  [SMALL_STATE(9763)] = 464672,
  [SMALL_STATE(9764)] = 464737,
  [SMALL_STATE(9765)] = 464794,
  [SMALL_STATE(9766)] = 464839,
  [SMALL_STATE(9767)] = 464908,
  [SMALL_STATE(9768)] = 464949,
  [SMALL_STATE(9769)] = 465000,
  [SMALL_STATE(9770)] = 465041,
  [SMALL_STATE(9771)] = 465082,
  [SMALL_STATE(9772)] = 465143,
  [SMALL_STATE(9773)] = 465184,
  [SMALL_STATE(9774)] = 465225,
  [SMALL_STATE(9775)] = 465294,
  [SMALL_STATE(9776)] = 465335,
  [SMALL_STATE(9777)] = 465376,
  [SMALL_STATE(9778)] = 465445,
  [SMALL_STATE(9779)] = 465514,
  [SMALL_STATE(9780)] = 465583,
  [SMALL_STATE(9781)] = 465652,
  [SMALL_STATE(9782)] = 465721,
  [SMALL_STATE(9783)] = 465776,
  [SMALL_STATE(9784)] = 465845,
  [SMALL_STATE(9785)] = 465886,
  [SMALL_STATE(9786)] = 465927,
  [SMALL_STATE(9787)] = 465982,
  [SMALL_STATE(9788)] = 466051,
  [SMALL_STATE(9789)] = 466108,
  [SMALL_STATE(9790)] = 466177,
  [SMALL_STATE(9791)] = 466246,
  [SMALL_STATE(9792)] = 466301,
  [SMALL_STATE(9793)] = 466362,
  [SMALL_STATE(9794)] = 466403,
  [SMALL_STATE(9795)] = 466472,
  [SMALL_STATE(9796)] = 466513,
  [SMALL_STATE(9797)] = 466570,
  [SMALL_STATE(9798)] = 466615,
  [SMALL_STATE(9799)] = 466676,
  [SMALL_STATE(9800)] = 466745,
  [SMALL_STATE(9801)] = 466786,
  [SMALL_STATE(9802)] = 466855,
  [SMALL_STATE(9803)] = 466896,
  [SMALL_STATE(9804)] = 466961,
  [SMALL_STATE(9805)] = 467002,
  [SMALL_STATE(9806)] = 467043,
  [SMALL_STATE(9807)] = 467094,
  [SMALL_STATE(9808)] = 467157,
  [SMALL_STATE(9809)] = 467226,
  [SMALL_STATE(9810)] = 467271,
  [SMALL_STATE(9811)] = 467316,
  [SMALL_STATE(9812)] = 467369,
  [SMALL_STATE(9813)] = 467438,
  [SMALL_STATE(9814)] = 467507,
  [SMALL_STATE(9815)] = 467548,
  [SMALL_STATE(9816)] = 467591,
  [SMALL_STATE(9817)] = 467632,
  [SMALL_STATE(9818)] = 467673,
  [SMALL_STATE(9819)] = 467742,
  [SMALL_STATE(9820)] = 467783,
  [SMALL_STATE(9821)] = 467826,
  [SMALL_STATE(9822)] = 467891,
  [SMALL_STATE(9823)] = 467932,
  [SMALL_STATE(9824)] = 467991,
  [SMALL_STATE(9825)] = 468032,
  [SMALL_STATE(9826)] = 468073,
  [SMALL_STATE(9827)] = 468142,
  [SMALL_STATE(9828)] = 468183,
  [SMALL_STATE(9829)] = 468224,
  [SMALL_STATE(9830)] = 468281,
  [SMALL_STATE(9831)] = 468338,
  [SMALL_STATE(9832)] = 468379,
  [SMALL_STATE(9833)] = 468448,
  [SMALL_STATE(9834)] = 468489,
  [SMALL_STATE(9835)] = 468530,
  [SMALL_STATE(9836)] = 468599,
  [SMALL_STATE(9837)] = 468656,
  [SMALL_STATE(9838)] = 468727,
  [SMALL_STATE(9839)] = 468768,
  [SMALL_STATE(9840)] = 468809,
  [SMALL_STATE(9841)] = 468866,
  [SMALL_STATE(9842)] = 468923,
  [SMALL_STATE(9843)] = 468964,
  [SMALL_STATE(9844)] = 469005,
  [SMALL_STATE(9845)] = 469064,
  [SMALL_STATE(9846)] = 469109,
  [SMALL_STATE(9847)] = 469166,
  [SMALL_STATE(9848)] = 469227,
  [SMALL_STATE(9849)] = 469272,
  [SMALL_STATE(9850)] = 469341,
  [SMALL_STATE(9851)] = 469382,
  [SMALL_STATE(9852)] = 469427,
  [SMALL_STATE(9853)] = 469472,
  [SMALL_STATE(9854)] = 469515,
  [SMALL_STATE(9855)] = 469574,
  [SMALL_STATE(9856)] = 469627,
  [SMALL_STATE(9857)] = 469668,
  [SMALL_STATE(9858)] = 469737,
  [SMALL_STATE(9859)] = 469806,
  [SMALL_STATE(9860)] = 469849,
  [SMALL_STATE(9861)] = 469890,
  [SMALL_STATE(9862)] = 469933,
  [SMALL_STATE(9863)] = 470002,
  [SMALL_STATE(9864)] = 470043,
  [SMALL_STATE(9865)] = 470084,
  [SMALL_STATE(9866)] = 470125,
  [SMALL_STATE(9867)] = 470166,
  [SMALL_STATE(9868)] = 470207,
  [SMALL_STATE(9869)] = 470248,
  [SMALL_STATE(9870)] = 470293,
  [SMALL_STATE(9871)] = 470362,
  [SMALL_STATE(9872)] = 470419,
  [SMALL_STATE(9873)] = 470460,
  [SMALL_STATE(9874)] = 470501,
  [SMALL_STATE(9875)] = 470570,
  [SMALL_STATE(9876)] = 470629,
  [SMALL_STATE(9877)] = 470670,
  [SMALL_STATE(9878)] = 470711,
  [SMALL_STATE(9879)] = 470754,
  [SMALL_STATE(9880)] = 470795,
  [SMALL_STATE(9881)] = 470864,
  [SMALL_STATE(9882)] = 470905,
  [SMALL_STATE(9883)] = 470946,
  [SMALL_STATE(9884)] = 470987,
  [SMALL_STATE(9885)] = 471028,
  [SMALL_STATE(9886)] = 471069,
  [SMALL_STATE(9887)] = 471126,
  [SMALL_STATE(9888)] = 471166,
  [SMALL_STATE(9889)] = 471206,
  [SMALL_STATE(9890)] = 471246,
  [SMALL_STATE(9891)] = 471286,
  [SMALL_STATE(9892)] = 471354,
  [SMALL_STATE(9893)] = 471422,
  [SMALL_STATE(9894)] = 471490,
  [SMALL_STATE(9895)] = 471558,
  [SMALL_STATE(9896)] = 471598,
  [SMALL_STATE(9897)] = 471638,
  [SMALL_STATE(9898)] = 471678,
  [SMALL_STATE(9899)] = 471718,
  [SMALL_STATE(9900)] = 471786,
  [SMALL_STATE(9901)] = 471854,
  [SMALL_STATE(9902)] = 471922,
  [SMALL_STATE(9903)] = 471990,
  [SMALL_STATE(9904)] = 472058,
  [SMALL_STATE(9905)] = 472104,
  [SMALL_STATE(9906)] = 472150,
  [SMALL_STATE(9907)] = 472218,
  [SMALL_STATE(9908)] = 472286,
  [SMALL_STATE(9909)] = 472354,
  [SMALL_STATE(9910)] = 472422,
  [SMALL_STATE(9911)] = 472490,
  [SMALL_STATE(9912)] = 472558,
  [SMALL_STATE(9913)] = 472626,
  [SMALL_STATE(9914)] = 472694,
  [SMALL_STATE(9915)] = 472762,
  [SMALL_STATE(9916)] = 472830,
  [SMALL_STATE(9917)] = 472898,
  [SMALL_STATE(9918)] = 472966,
  [SMALL_STATE(9919)] = 473034,
  [SMALL_STATE(9920)] = 473102,
  [SMALL_STATE(9921)] = 473142,
  [SMALL_STATE(9922)] = 473182,
  [SMALL_STATE(9923)] = 473222,
  [SMALL_STATE(9924)] = 473262,
  [SMALL_STATE(9925)] = 473302,
  [SMALL_STATE(9926)] = 473342,
  [SMALL_STATE(9927)] = 473382,
  [SMALL_STATE(9928)] = 473422,
  [SMALL_STATE(9929)] = 473462,
  [SMALL_STATE(9930)] = 473530,
  [SMALL_STATE(9931)] = 473590,
  [SMALL_STATE(9932)] = 473630,
  [SMALL_STATE(9933)] = 473680,
  [SMALL_STATE(9934)] = 473724,
  [SMALL_STATE(9935)] = 473768,
  [SMALL_STATE(9936)] = 473820,
  [SMALL_STATE(9937)] = 473872,
  [SMALL_STATE(9938)] = 473928,
  [SMALL_STATE(9939)] = 473986,
  [SMALL_STATE(9940)] = 474048,
  [SMALL_STATE(9941)] = 474088,
  [SMALL_STATE(9942)] = 474130,
  [SMALL_STATE(9943)] = 474174,
  [SMALL_STATE(9944)] = 474220,
  [SMALL_STATE(9945)] = 474282,
  [SMALL_STATE(9946)] = 474322,
  [SMALL_STATE(9947)] = 474384,
  [SMALL_STATE(9948)] = 474452,
  [SMALL_STATE(9949)] = 474492,
  [SMALL_STATE(9950)] = 474560,
  [SMALL_STATE(9951)] = 474600,
  [SMALL_STATE(9952)] = 474640,
  [SMALL_STATE(9953)] = 474680,
  [SMALL_STATE(9954)] = 474720,
  [SMALL_STATE(9955)] = 474760,
  [SMALL_STATE(9956)] = 474828,
  [SMALL_STATE(9957)] = 474874,
  [SMALL_STATE(9958)] = 474920,
  [SMALL_STATE(9959)] = 474960,
  [SMALL_STATE(9960)] = 475000,
  [SMALL_STATE(9961)] = 475040,
  [SMALL_STATE(9962)] = 475080,
  [SMALL_STATE(9963)] = 475120,
  [SMALL_STATE(9964)] = 475188,
  [SMALL_STATE(9965)] = 475242,
  [SMALL_STATE(9966)] = 475310,
  [SMALL_STATE(9967)] = 475350,
  [SMALL_STATE(9968)] = 475406,
  [SMALL_STATE(9969)] = 475462,
  [SMALL_STATE(9970)] = 475502,
  [SMALL_STATE(9971)] = 475546,
  [SMALL_STATE(9972)] = 475590,
  [SMALL_STATE(9973)] = 475634,
  [SMALL_STATE(9974)] = 475678,
  [SMALL_STATE(9975)] = 475720,
  [SMALL_STATE(9976)] = 475760,
  [SMALL_STATE(9977)] = 475800,
  [SMALL_STATE(9978)] = 475840,
  [SMALL_STATE(9979)] = 475882,
  [SMALL_STATE(9980)] = 475946,
  [SMALL_STATE(9981)] = 476014,
  [SMALL_STATE(9982)] = 476082,
  [SMALL_STATE(9983)] = 476146,
  [SMALL_STATE(9984)] = 476188,
  [SMALL_STATE(9985)] = 476230,
  [SMALL_STATE(9986)] = 476270,
  [SMALL_STATE(9987)] = 476326,
  [SMALL_STATE(9988)] = 476394,
  [SMALL_STATE(9989)] = 476462,
  [SMALL_STATE(9990)] = 476522,
  [SMALL_STATE(9991)] = 476572,
  [SMALL_STATE(9992)] = 476616,
  [SMALL_STATE(9993)] = 476660,
  [SMALL_STATE(9994)] = 476712,
  [SMALL_STATE(9995)] = 476764,
  [SMALL_STATE(9996)] = 476820,
  [SMALL_STATE(9997)] = 476878,
  [SMALL_STATE(9998)] = 476940,
  [SMALL_STATE(9999)] = 477006,
  [SMALL_STATE(10000)] = 477052,
  [SMALL_STATE(10001)] = 477114,
  [SMALL_STATE(10002)] = 477154,
  [SMALL_STATE(10003)] = 477198,
  [SMALL_STATE(10004)] = 477260,
  [SMALL_STATE(10005)] = 477302,
  [SMALL_STATE(10006)] = 477342,
  [SMALL_STATE(10007)] = 477410,
  [SMALL_STATE(10008)] = 477466,
  [SMALL_STATE(10009)] = 477534,
  [SMALL_STATE(10010)] = 477584,
  [SMALL_STATE(10011)] = 477624,
  [SMALL_STATE(10012)] = 477664,
  [SMALL_STATE(10013)] = 477720,
  [SMALL_STATE(10014)] = 477760,
  [SMALL_STATE(10015)] = 477800,
  [SMALL_STATE(10016)] = 477856,
  [SMALL_STATE(10017)] = 477896,
  [SMALL_STATE(10018)] = 477936,
  [SMALL_STATE(10019)] = 478004,
  [SMALL_STATE(10020)] = 478044,
  [SMALL_STATE(10021)] = 478084,
  [SMALL_STATE(10022)] = 478124,
  [SMALL_STATE(10023)] = 478164,
  [SMALL_STATE(10024)] = 478214,
  [SMALL_STATE(10025)] = 478282,
  [SMALL_STATE(10026)] = 478350,
  [SMALL_STATE(10027)] = 478418,
  [SMALL_STATE(10028)] = 478458,
  [SMALL_STATE(10029)] = 478526,
  [SMALL_STATE(10030)] = 478580,
  [SMALL_STATE(10031)] = 478648,
  [SMALL_STATE(10032)] = 478688,
  [SMALL_STATE(10033)] = 478752,
  [SMALL_STATE(10034)] = 478796,
  [SMALL_STATE(10035)] = 478858,
  [SMALL_STATE(10036)] = 478900,
  [SMALL_STATE(10037)] = 478968,
  [SMALL_STATE(10038)] = 479008,
  [SMALL_STATE(10039)] = 479048,
  [SMALL_STATE(10040)] = 479088,
  [SMALL_STATE(10041)] = 479128,
  [SMALL_STATE(10042)] = 479168,
  [SMALL_STATE(10043)] = 479208,
  [SMALL_STATE(10044)] = 479248,
  [SMALL_STATE(10045)] = 479288,
  [SMALL_STATE(10046)] = 479338,
  [SMALL_STATE(10047)] = 479378,
  [SMALL_STATE(10048)] = 479418,
  [SMALL_STATE(10049)] = 479458,
  [SMALL_STATE(10050)] = 479498,
  [SMALL_STATE(10051)] = 479538,
  [SMALL_STATE(10052)] = 479578,
  [SMALL_STATE(10053)] = 479646,
  [SMALL_STATE(10054)] = 479686,
  [SMALL_STATE(10055)] = 479726,
  [SMALL_STATE(10056)] = 479794,
  [SMALL_STATE(10057)] = 479862,
  [SMALL_STATE(10058)] = 479916,
  [SMALL_STATE(10059)] = 479956,
  [SMALL_STATE(10060)] = 480024,
  [SMALL_STATE(10061)] = 480092,
  [SMALL_STATE(10062)] = 480160,
  [SMALL_STATE(10063)] = 480228,
  [SMALL_STATE(10064)] = 480296,
  [SMALL_STATE(10065)] = 480336,
  [SMALL_STATE(10066)] = 480404,
  [SMALL_STATE(10067)] = 480472,
  [SMALL_STATE(10068)] = 480512,
  [SMALL_STATE(10069)] = 480564,
  [SMALL_STATE(10070)] = 480604,
  [SMALL_STATE(10071)] = 480644,
  [SMALL_STATE(10072)] = 480684,
  [SMALL_STATE(10073)] = 480724,
  [SMALL_STATE(10074)] = 480792,
  [SMALL_STATE(10075)] = 480832,
  [SMALL_STATE(10076)] = 480900,
  [SMALL_STATE(10077)] = 480968,
  [SMALL_STATE(10078)] = 481008,
  [SMALL_STATE(10079)] = 481076,
  [SMALL_STATE(10080)] = 481144,
  [SMALL_STATE(10081)] = 481190,
  [SMALL_STATE(10082)] = 481230,
  [SMALL_STATE(10083)] = 481298,
  [SMALL_STATE(10084)] = 481366,
  [SMALL_STATE(10085)] = 481406,
  [SMALL_STATE(10086)] = 481446,
  [SMALL_STATE(10087)] = 481486,
  [SMALL_STATE(10088)] = 481554,
  [SMALL_STATE(10089)] = 481594,
  [SMALL_STATE(10090)] = 481634,
  [SMALL_STATE(10091)] = 481674,
  [SMALL_STATE(10092)] = 481742,
  [SMALL_STATE(10093)] = 481792,
  [SMALL_STATE(10094)] = 481860,
  [SMALL_STATE(10095)] = 481928,
  [SMALL_STATE(10096)] = 481996,
  [SMALL_STATE(10097)] = 482064,
  [SMALL_STATE(10098)] = 482104,
  [SMALL_STATE(10099)] = 482172,
  [SMALL_STATE(10100)] = 482240,
  [SMALL_STATE(10101)] = 482280,
  [SMALL_STATE(10102)] = 482348,
  [SMALL_STATE(10103)] = 482412,
  [SMALL_STATE(10104)] = 482480,
  [SMALL_STATE(10105)] = 482548,
  [SMALL_STATE(10106)] = 482616,
  [SMALL_STATE(10107)] = 482680,
  [SMALL_STATE(10108)] = 482748,
  [SMALL_STATE(10109)] = 482816,
  [SMALL_STATE(10110)] = 482856,
  [SMALL_STATE(10111)] = 482898,
  [SMALL_STATE(10112)] = 482966,
  [SMALL_STATE(10113)] = 483034,
  [SMALL_STATE(10114)] = 483102,
  [SMALL_STATE(10115)] = 483142,
  [SMALL_STATE(10116)] = 483210,
  [SMALL_STATE(10117)] = 483250,
  [SMALL_STATE(10118)] = 483318,
  [SMALL_STATE(10119)] = 483386,
  [SMALL_STATE(10120)] = 483454,
  [SMALL_STATE(10121)] = 483494,
  [SMALL_STATE(10122)] = 483558,
  [SMALL_STATE(10123)] = 483600,
  [SMALL_STATE(10124)] = 483640,
  [SMALL_STATE(10125)] = 483708,
  [SMALL_STATE(10126)] = 483776,
  [SMALL_STATE(10127)] = 483816,
  [SMALL_STATE(10128)] = 483856,
  [SMALL_STATE(10129)] = 483896,
  [SMALL_STATE(10130)] = 483936,
  [SMALL_STATE(10131)] = 483976,
  [SMALL_STATE(10132)] = 484032,
  [SMALL_STATE(10133)] = 484088,
  [SMALL_STATE(10134)] = 484132,
  [SMALL_STATE(10135)] = 484184,
  [SMALL_STATE(10136)] = 484240,
  [SMALL_STATE(10137)] = 484296,
  [SMALL_STATE(10138)] = 484352,
  [SMALL_STATE(10139)] = 484402,
  [SMALL_STATE(10140)] = 484458,
  [SMALL_STATE(10141)] = 484498,
  [SMALL_STATE(10142)] = 484538,
  [SMALL_STATE(10143)] = 484606,
  [SMALL_STATE(10144)] = 484674,
  [SMALL_STATE(10145)] = 484714,
  [SMALL_STATE(10146)] = 484754,
  [SMALL_STATE(10147)] = 484822,
  [SMALL_STATE(10148)] = 484862,
  [SMALL_STATE(10149)] = 484930,
  [SMALL_STATE(10150)] = 484970,
  [SMALL_STATE(10151)] = 485010,
  [SMALL_STATE(10152)] = 485078,
  [SMALL_STATE(10153)] = 485118,
  [SMALL_STATE(10154)] = 485158,
  [SMALL_STATE(10155)] = 485198,
  [SMALL_STATE(10156)] = 485238,
  [SMALL_STATE(10157)] = 485278,
  [SMALL_STATE(10158)] = 485318,
  [SMALL_STATE(10159)] = 485358,
  [SMALL_STATE(10160)] = 485398,
  [SMALL_STATE(10161)] = 485440,
  [SMALL_STATE(10162)] = 485480,
  [SMALL_STATE(10163)] = 485532,
  [SMALL_STATE(10164)] = 485572,
  [SMALL_STATE(10165)] = 485612,
  [SMALL_STATE(10166)] = 485652,
  [SMALL_STATE(10167)] = 485692,
  [SMALL_STATE(10168)] = 485732,
  [SMALL_STATE(10169)] = 485772,
  [SMALL_STATE(10170)] = 485812,
  [SMALL_STATE(10171)] = 485852,
  [SMALL_STATE(10172)] = 485892,
  [SMALL_STATE(10173)] = 485932,
  [SMALL_STATE(10174)] = 485972,
  [SMALL_STATE(10175)] = 486012,
  [SMALL_STATE(10176)] = 486052,
  [SMALL_STATE(10177)] = 486092,
  [SMALL_STATE(10178)] = 486132,
  [SMALL_STATE(10179)] = 486172,
  [SMALL_STATE(10180)] = 486212,
  [SMALL_STATE(10181)] = 486252,
  [SMALL_STATE(10182)] = 486292,
  [SMALL_STATE(10183)] = 486332,
  [SMALL_STATE(10184)] = 486372,
  [SMALL_STATE(10185)] = 486412,
  [SMALL_STATE(10186)] = 486466,
  [SMALL_STATE(10187)] = 486506,
  [SMALL_STATE(10188)] = 486546,
  [SMALL_STATE(10189)] = 486586,
  [SMALL_STATE(10190)] = 486626,
  [SMALL_STATE(10191)] = 486694,
  [SMALL_STATE(10192)] = 486734,
  [SMALL_STATE(10193)] = 486774,
  [SMALL_STATE(10194)] = 486842,
  [SMALL_STATE(10195)] = 486882,
  [SMALL_STATE(10196)] = 486922,
  [SMALL_STATE(10197)] = 486962,
  [SMALL_STATE(10198)] = 487014,
  [SMALL_STATE(10199)] = 487064,
  [SMALL_STATE(10200)] = 487132,
  [SMALL_STATE(10201)] = 487200,
  [SMALL_STATE(10202)] = 487240,
  [SMALL_STATE(10203)] = 487280,
  [SMALL_STATE(10204)] = 487348,
  [SMALL_STATE(10205)] = 487388,
  [SMALL_STATE(10206)] = 487456,
  [SMALL_STATE(10207)] = 487524,
  [SMALL_STATE(10208)] = 487564,
  [SMALL_STATE(10209)] = 487604,
  [SMALL_STATE(10210)] = 487644,
  [SMALL_STATE(10211)] = 487684,
  [SMALL_STATE(10212)] = 487724,
  [SMALL_STATE(10213)] = 487764,
  [SMALL_STATE(10214)] = 487804,
  [SMALL_STATE(10215)] = 487844,
  [SMALL_STATE(10216)] = 487884,
  [SMALL_STATE(10217)] = 487924,
  [SMALL_STATE(10218)] = 487992,
  [SMALL_STATE(10219)] = 488060,
  [SMALL_STATE(10220)] = 488104,
  [SMALL_STATE(10221)] = 488172,
  [SMALL_STATE(10222)] = 488240,
  [SMALL_STATE(10223)] = 488308,
  [SMALL_STATE(10224)] = 488376,
  [SMALL_STATE(10225)] = 488444,
  [SMALL_STATE(10226)] = 488512,
  [SMALL_STATE(10227)] = 488580,
  [SMALL_STATE(10228)] = 488648,
  [SMALL_STATE(10229)] = 488688,
  [SMALL_STATE(10230)] = 488728,
  [SMALL_STATE(10231)] = 488796,
  [SMALL_STATE(10232)] = 488836,
  [SMALL_STATE(10233)] = 488875,
  [SMALL_STATE(10234)] = 488938,
  [SMALL_STATE(10235)] = 489001,
  [SMALL_STATE(10236)] = 489064,
  [SMALL_STATE(10237)] = 489103,
  [SMALL_STATE(10238)] = 489158,
  [SMALL_STATE(10239)] = 489197,
  [SMALL_STATE(10240)] = 489260,
  [SMALL_STATE(10241)] = 489301,
  [SMALL_STATE(10242)] = 489364,
  [SMALL_STATE(10243)] = 489427,
  [SMALL_STATE(10244)] = 489490,
  [SMALL_STATE(10245)] = 489531,
  [SMALL_STATE(10246)] = 489570,
  [SMALL_STATE(10247)] = 489625,
  [SMALL_STATE(10248)] = 489664,
  [SMALL_STATE(10249)] = 489719,
  [SMALL_STATE(10250)] = 489782,
  [SMALL_STATE(10251)] = 489837,
  [SMALL_STATE(10252)] = 489886,
  [SMALL_STATE(10253)] = 489949,
  [SMALL_STATE(10254)] = 489988,
  [SMALL_STATE(10255)] = 490051,
  [SMALL_STATE(10256)] = 490114,
  [SMALL_STATE(10257)] = 490169,
  [SMALL_STATE(10258)] = 490232,
  [SMALL_STATE(10259)] = 490281,
  [SMALL_STATE(10260)] = 490344,
  [SMALL_STATE(10261)] = 490407,
  [SMALL_STATE(10262)] = 490470,
  [SMALL_STATE(10263)] = 490533,
  [SMALL_STATE(10264)] = 490596,
  [SMALL_STATE(10265)] = 490645,
  [SMALL_STATE(10266)] = 490686,
  [SMALL_STATE(10267)] = 490725,
  [SMALL_STATE(10268)] = 490788,
  [SMALL_STATE(10269)] = 490827,
  [SMALL_STATE(10270)] = 490866,
  [SMALL_STATE(10271)] = 490929,
  [SMALL_STATE(10272)] = 490968,
  [SMALL_STATE(10273)] = 491009,
  [SMALL_STATE(10274)] = 491072,
  [SMALL_STATE(10275)] = 491135,
  [SMALL_STATE(10276)] = 491190,
  [SMALL_STATE(10277)] = 491245,
  [SMALL_STATE(10278)] = 491286,
  [SMALL_STATE(10279)] = 491325,
  [SMALL_STATE(10280)] = 491388,
  [SMALL_STATE(10281)] = 491427,
  [SMALL_STATE(10282)] = 491466,
  [SMALL_STATE(10283)] = 491505,
  [SMALL_STATE(10284)] = 491544,
  [SMALL_STATE(10285)] = 491583,
  [SMALL_STATE(10286)] = 491646,
  [SMALL_STATE(10287)] = 491701,
  [SMALL_STATE(10288)] = 491756,
  [SMALL_STATE(10289)] = 491795,
  [SMALL_STATE(10290)] = 491850,
  [SMALL_STATE(10291)] = 491913,
  [SMALL_STATE(10292)] = 491976,
  [SMALL_STATE(10293)] = 492017,
  [SMALL_STATE(10294)] = 492080,
  [SMALL_STATE(10295)] = 492143,
  [SMALL_STATE(10296)] = 492206,
  [SMALL_STATE(10297)] = 492255,
  [SMALL_STATE(10298)] = 492310,
  [SMALL_STATE(10299)] = 492365,
  [SMALL_STATE(10300)] = 492428,
  [SMALL_STATE(10301)] = 492467,
  [SMALL_STATE(10302)] = 492530,
  [SMALL_STATE(10303)] = 492593,
  [SMALL_STATE(10304)] = 492648,
  [SMALL_STATE(10305)] = 492687,
  [SMALL_STATE(10306)] = 492750,
  [SMALL_STATE(10307)] = 492793,
  [SMALL_STATE(10308)] = 492856,
  [SMALL_STATE(10309)] = 492919,
  [SMALL_STATE(10310)] = 492962,
  [SMALL_STATE(10311)] = 493019,
  [SMALL_STATE(10312)] = 493082,
  [SMALL_STATE(10313)] = 493123,
  [SMALL_STATE(10314)] = 493162,
  [SMALL_STATE(10315)] = 493201,
  [SMALL_STATE(10316)] = 493264,
  [SMALL_STATE(10317)] = 493303,
  [SMALL_STATE(10318)] = 493342,
  [SMALL_STATE(10319)] = 493387,
  [SMALL_STATE(10320)] = 493426,
  [SMALL_STATE(10321)] = 493489,
  [SMALL_STATE(10322)] = 493528,
  [SMALL_STATE(10323)] = 493567,
  [SMALL_STATE(10324)] = 493606,
  [SMALL_STATE(10325)] = 493645,
  [SMALL_STATE(10326)] = 493708,
  [SMALL_STATE(10327)] = 493771,
  [SMALL_STATE(10328)] = 493810,
  [SMALL_STATE(10329)] = 493865,
  [SMALL_STATE(10330)] = 493928,
  [SMALL_STATE(10331)] = 493991,
  [SMALL_STATE(10332)] = 494054,
  [SMALL_STATE(10333)] = 494093,
  [SMALL_STATE(10334)] = 494156,
  [SMALL_STATE(10335)] = 494195,
  [SMALL_STATE(10336)] = 494254,
  [SMALL_STATE(10337)] = 494293,
  [SMALL_STATE(10338)] = 494356,
  [SMALL_STATE(10339)] = 494405,
  [SMALL_STATE(10340)] = 494454,
  [SMALL_STATE(10341)] = 494503,
  [SMALL_STATE(10342)] = 494546,
  [SMALL_STATE(10343)] = 494589,
  [SMALL_STATE(10344)] = 494640,
  [SMALL_STATE(10345)] = 494679,
  [SMALL_STATE(10346)] = 494730,
  [SMALL_STATE(10347)] = 494779,
  [SMALL_STATE(10348)] = 494834,
  [SMALL_STATE(10349)] = 494891,
  [SMALL_STATE(10350)] = 494952,
  [SMALL_STATE(10351)] = 494997,
  [SMALL_STATE(10352)] = 495058,
  [SMALL_STATE(10353)] = 495121,
  [SMALL_STATE(10354)] = 495170,
  [SMALL_STATE(10355)] = 495219,
  [SMALL_STATE(10356)] = 495268,
  [SMALL_STATE(10357)] = 495331,
  [SMALL_STATE(10358)] = 495394,
  [SMALL_STATE(10359)] = 495457,
  [SMALL_STATE(10360)] = 495510,
  [SMALL_STATE(10361)] = 495573,
  [SMALL_STATE(10362)] = 495612,
  [SMALL_STATE(10363)] = 495651,
  [SMALL_STATE(10364)] = 495692,
  [SMALL_STATE(10365)] = 495755,
  [SMALL_STATE(10366)] = 495794,
  [SMALL_STATE(10367)] = 495857,
  [SMALL_STATE(10368)] = 495920,
  [SMALL_STATE(10369)] = 495983,
  [SMALL_STATE(10370)] = 496022,
  [SMALL_STATE(10371)] = 496083,
  [SMALL_STATE(10372)] = 496146,
  [SMALL_STATE(10373)] = 496209,
  [SMALL_STATE(10374)] = 496272,
  [SMALL_STATE(10375)] = 496311,
  [SMALL_STATE(10376)] = 496374,
  [SMALL_STATE(10377)] = 496437,
  [SMALL_STATE(10378)] = 496494,
  [SMALL_STATE(10379)] = 496533,
  [SMALL_STATE(10380)] = 496572,
  [SMALL_STATE(10381)] = 496623,
  [SMALL_STATE(10382)] = 496662,
  [SMALL_STATE(10383)] = 496711,
  [SMALL_STATE(10384)] = 496750,
  [SMALL_STATE(10385)] = 496813,
  [SMALL_STATE(10386)] = 496852,
  [SMALL_STATE(10387)] = 496891,
  [SMALL_STATE(10388)] = 496930,
  [SMALL_STATE(10389)] = 496993,
  [SMALL_STATE(10390)] = 497048,
  [SMALL_STATE(10391)] = 497111,
  [SMALL_STATE(10392)] = 497160,
  [SMALL_STATE(10393)] = 497201,
  [SMALL_STATE(10394)] = 497240,
  [SMALL_STATE(10395)] = 497279,
  [SMALL_STATE(10396)] = 497342,
  [SMALL_STATE(10397)] = 497381,
  [SMALL_STATE(10398)] = 497420,
  [SMALL_STATE(10399)] = 497483,
  [SMALL_STATE(10400)] = 497522,
  [SMALL_STATE(10401)] = 497561,
  [SMALL_STATE(10402)] = 497600,
  [SMALL_STATE(10403)] = 497639,
  [SMALL_STATE(10404)] = 497694,
  [SMALL_STATE(10405)] = 497733,
  [SMALL_STATE(10406)] = 497772,
  [SMALL_STATE(10407)] = 497811,
  [SMALL_STATE(10408)] = 497866,
  [SMALL_STATE(10409)] = 497929,
  [SMALL_STATE(10410)] = 497970,
  [SMALL_STATE(10411)] = 498009,
  [SMALL_STATE(10412)] = 498066,
  [SMALL_STATE(10413)] = 498105,
  [SMALL_STATE(10414)] = 498144,
  [SMALL_STATE(10415)] = 498207,
  [SMALL_STATE(10416)] = 498270,
  [SMALL_STATE(10417)] = 498333,
  [SMALL_STATE(10418)] = 498372,
  [SMALL_STATE(10419)] = 498435,
  [SMALL_STATE(10420)] = 498486,
  [SMALL_STATE(10421)] = 498529,
  [SMALL_STATE(10422)] = 498592,
  [SMALL_STATE(10423)] = 498631,
  [SMALL_STATE(10424)] = 498694,
  [SMALL_STATE(10425)] = 498757,
  [SMALL_STATE(10426)] = 498820,
  [SMALL_STATE(10427)] = 498859,
  [SMALL_STATE(10428)] = 498922,
  [SMALL_STATE(10429)] = 498965,
  [SMALL_STATE(10430)] = 499004,
  [SMALL_STATE(10431)] = 499067,
  [SMALL_STATE(10432)] = 499130,
  [SMALL_STATE(10433)] = 499169,
  [SMALL_STATE(10434)] = 499208,
  [SMALL_STATE(10435)] = 499247,
  [SMALL_STATE(10436)] = 499310,
  [SMALL_STATE(10437)] = 499373,
  [SMALL_STATE(10438)] = 499414,
  [SMALL_STATE(10439)] = 499453,
  [SMALL_STATE(10440)] = 499516,
  [SMALL_STATE(10441)] = 499579,
  [SMALL_STATE(10442)] = 499642,
  [SMALL_STATE(10443)] = 499683,
  [SMALL_STATE(10444)] = 499732,
  [SMALL_STATE(10445)] = 499771,
  [SMALL_STATE(10446)] = 499820,
  [SMALL_STATE(10447)] = 499883,
  [SMALL_STATE(10448)] = 499938,
  [SMALL_STATE(10449)] = 500001,
  [SMALL_STATE(10450)] = 500056,
  [SMALL_STATE(10451)] = 500119,
  [SMALL_STATE(10452)] = 500158,
  [SMALL_STATE(10453)] = 500197,
  [SMALL_STATE(10454)] = 500260,
  [SMALL_STATE(10455)] = 500299,
  [SMALL_STATE(10456)] = 500362,
  [SMALL_STATE(10457)] = 500425,
  [SMALL_STATE(10458)] = 500488,
  [SMALL_STATE(10459)] = 500527,
  [SMALL_STATE(10460)] = 500566,
  [SMALL_STATE(10461)] = 500629,
  [SMALL_STATE(10462)] = 500692,
  [SMALL_STATE(10463)] = 500731,
  [SMALL_STATE(10464)] = 500784,
  [SMALL_STATE(10465)] = 500847,
  [SMALL_STATE(10466)] = 500910,
  [SMALL_STATE(10467)] = 500949,
  [SMALL_STATE(10468)] = 501012,
  [SMALL_STATE(10469)] = 501075,
  [SMALL_STATE(10470)] = 501138,
  [SMALL_STATE(10471)] = 501177,
  [SMALL_STATE(10472)] = 501240,
  [SMALL_STATE(10473)] = 501279,
  [SMALL_STATE(10474)] = 501334,
  [SMALL_STATE(10475)] = 501397,
  [SMALL_STATE(10476)] = 501460,
  [SMALL_STATE(10477)] = 501523,
  [SMALL_STATE(10478)] = 501586,
  [SMALL_STATE(10479)] = 501641,
  [SMALL_STATE(10480)] = 501696,
  [SMALL_STATE(10481)] = 501735,
  [SMALL_STATE(10482)] = 501798,
  [SMALL_STATE(10483)] = 501839,
  [SMALL_STATE(10484)] = 501878,
  [SMALL_STATE(10485)] = 501917,
  [SMALL_STATE(10486)] = 501956,
  [SMALL_STATE(10487)] = 502019,
  [SMALL_STATE(10488)] = 502058,
  [SMALL_STATE(10489)] = 502121,
  [SMALL_STATE(10490)] = 502184,
  [SMALL_STATE(10491)] = 502247,
  [SMALL_STATE(10492)] = 502310,
  [SMALL_STATE(10493)] = 502349,
  [SMALL_STATE(10494)] = 502412,
  [SMALL_STATE(10495)] = 502475,
  [SMALL_STATE(10496)] = 502538,
  [SMALL_STATE(10497)] = 502577,
  [SMALL_STATE(10498)] = 502640,
  [SMALL_STATE(10499)] = 502703,
  [SMALL_STATE(10500)] = 502758,
  [SMALL_STATE(10501)] = 502821,
  [SMALL_STATE(10502)] = 502878,
  [SMALL_STATE(10503)] = 502941,
  [SMALL_STATE(10504)] = 503004,
  [SMALL_STATE(10505)] = 503053,
  [SMALL_STATE(10506)] = 503092,
  [SMALL_STATE(10507)] = 503131,
  [SMALL_STATE(10508)] = 503170,
  [SMALL_STATE(10509)] = 503233,
  [SMALL_STATE(10510)] = 503272,
  [SMALL_STATE(10511)] = 503311,
  [SMALL_STATE(10512)] = 503350,
  [SMALL_STATE(10513)] = 503395,
  [SMALL_STATE(10514)] = 503440,
  [SMALL_STATE(10515)] = 503485,
  [SMALL_STATE(10516)] = 503530,
  [SMALL_STATE(10517)] = 503575,
  [SMALL_STATE(10518)] = 503620,
  [SMALL_STATE(10519)] = 503665,
  [SMALL_STATE(10520)] = 503710,
  [SMALL_STATE(10521)] = 503755,
  [SMALL_STATE(10522)] = 503810,
  [SMALL_STATE(10523)] = 503865,
  [SMALL_STATE(10524)] = 503920,
  [SMALL_STATE(10525)] = 503975,
  [SMALL_STATE(10526)] = 504030,
  [SMALL_STATE(10527)] = 504093,
  [SMALL_STATE(10528)] = 504131,
  [SMALL_STATE(10529)] = 504197,
  [SMALL_STATE(10530)] = 504235,
  [SMALL_STATE(10531)] = 504287,
  [SMALL_STATE(10532)] = 504325,
  [SMALL_STATE(10533)] = 504363,
  [SMALL_STATE(10534)] = 504401,
  [SMALL_STATE(10535)] = 504439,
  [SMALL_STATE(10536)] = 504479,
  [SMALL_STATE(10537)] = 504517,
  [SMALL_STATE(10538)] = 504555,
  [SMALL_STATE(10539)] = 504593,
  [SMALL_STATE(10540)] = 504659,
  [SMALL_STATE(10541)] = 504697,
  [SMALL_STATE(10542)] = 504735,
  [SMALL_STATE(10543)] = 504783,
  [SMALL_STATE(10544)] = 504825,
  [SMALL_STATE(10545)] = 504891,
  [SMALL_STATE(10546)] = 504929,
  [SMALL_STATE(10547)] = 504967,
  [SMALL_STATE(10548)] = 505005,
  [SMALL_STATE(10549)] = 505043,
  [SMALL_STATE(10550)] = 505081,
  [SMALL_STATE(10551)] = 505119,
  [SMALL_STATE(10552)] = 505167,
  [SMALL_STATE(10553)] = 505205,
  [SMALL_STATE(10554)] = 505243,
  [SMALL_STATE(10555)] = 505281,
  [SMALL_STATE(10556)] = 505333,
  [SMALL_STATE(10557)] = 505371,
  [SMALL_STATE(10558)] = 505409,
  [SMALL_STATE(10559)] = 505447,
  [SMALL_STATE(10560)] = 505513,
  [SMALL_STATE(10561)] = 505551,
  [SMALL_STATE(10562)] = 505617,
  [SMALL_STATE(10563)] = 505655,
  [SMALL_STATE(10564)] = 505705,
  [SMALL_STATE(10565)] = 505743,
  [SMALL_STATE(10566)] = 505781,
  [SMALL_STATE(10567)] = 505843,
  [SMALL_STATE(10568)] = 505881,
  [SMALL_STATE(10569)] = 505943,
  [SMALL_STATE(10570)] = 505981,
  [SMALL_STATE(10571)] = 506019,
  [SMALL_STATE(10572)] = 506067,
  [SMALL_STATE(10573)] = 506105,
  [SMALL_STATE(10574)] = 506143,
  [SMALL_STATE(10575)] = 506181,
  [SMALL_STATE(10576)] = 506247,
  [SMALL_STATE(10577)] = 506285,
  [SMALL_STATE(10578)] = 506327,
  [SMALL_STATE(10579)] = 506365,
  [SMALL_STATE(10580)] = 506403,
  [SMALL_STATE(10581)] = 506465,
  [SMALL_STATE(10582)] = 506503,
  [SMALL_STATE(10583)] = 506541,
  [SMALL_STATE(10584)] = 506579,
  [SMALL_STATE(10585)] = 506617,
  [SMALL_STATE(10586)] = 506655,
  [SMALL_STATE(10587)] = 506713,
  [SMALL_STATE(10588)] = 506779,
  [SMALL_STATE(10589)] = 506817,
  [SMALL_STATE(10590)] = 506855,
  [SMALL_STATE(10591)] = 506893,
  [SMALL_STATE(10592)] = 506933,
  [SMALL_STATE(10593)] = 506981,
  [SMALL_STATE(10594)] = 507047,
  [SMALL_STATE(10595)] = 507085,
  [SMALL_STATE(10596)] = 507127,
  [SMALL_STATE(10597)] = 507193,
  [SMALL_STATE(10598)] = 507231,
  [SMALL_STATE(10599)] = 507269,
  [SMALL_STATE(10600)] = 507307,
  [SMALL_STATE(10601)] = 507345,
  [SMALL_STATE(10602)] = 507385,
  [SMALL_STATE(10603)] = 507427,
  [SMALL_STATE(10604)] = 507465,
  [SMALL_STATE(10605)] = 507503,
  [SMALL_STATE(10606)] = 507553,
  [SMALL_STATE(10607)] = 507603,
  [SMALL_STATE(10608)] = 507641,
  [SMALL_STATE(10609)] = 507707,
  [SMALL_STATE(10610)] = 507755,
  [SMALL_STATE(10611)] = 507809,
  [SMALL_STATE(10612)] = 507847,
  [SMALL_STATE(10613)] = 507903,
  [SMALL_STATE(10614)] = 507941,
  [SMALL_STATE(10615)] = 507979,
  [SMALL_STATE(10616)] = 508017,
  [SMALL_STATE(10617)] = 508055,
  [SMALL_STATE(10618)] = 508121,
  [SMALL_STATE(10619)] = 508173,
  [SMALL_STATE(10620)] = 508211,
  [SMALL_STATE(10621)] = 508271,
  [SMALL_STATE(10622)] = 508311,
  [SMALL_STATE(10623)] = 508355,
  [SMALL_STATE(10624)] = 508393,
  [SMALL_STATE(10625)] = 508453,
  [SMALL_STATE(10626)] = 508491,
  [SMALL_STATE(10627)] = 508529,
  [SMALL_STATE(10628)] = 508567,
  [SMALL_STATE(10629)] = 508605,
  [SMALL_STATE(10630)] = 508647,
  [SMALL_STATE(10631)] = 508685,
  [SMALL_STATE(10632)] = 508723,
  [SMALL_STATE(10633)] = 508761,
  [SMALL_STATE(10634)] = 508799,
  [SMALL_STATE(10635)] = 508859,
  [SMALL_STATE(10636)] = 508901,
  [SMALL_STATE(10637)] = 508949,
  [SMALL_STATE(10638)] = 508999,
  [SMALL_STATE(10639)] = 509037,
  [SMALL_STATE(10640)] = 509103,
  [SMALL_STATE(10641)] = 509155,
  [SMALL_STATE(10642)] = 509195,
  [SMALL_STATE(10643)] = 509237,
  [SMALL_STATE(10644)] = 509303,
  [SMALL_STATE(10645)] = 509355,
  [SMALL_STATE(10646)] = 509403,
  [SMALL_STATE(10647)] = 509443,
  [SMALL_STATE(10648)] = 509481,
  [SMALL_STATE(10649)] = 509519,
  [SMALL_STATE(10650)] = 509557,
  [SMALL_STATE(10651)] = 509595,
  [SMALL_STATE(10652)] = 509661,
  [SMALL_STATE(10653)] = 509711,
  [SMALL_STATE(10654)] = 509749,
  [SMALL_STATE(10655)] = 509787,
  [SMALL_STATE(10656)] = 509853,
  [SMALL_STATE(10657)] = 509891,
  [SMALL_STATE(10658)] = 509929,
  [SMALL_STATE(10659)] = 509967,
  [SMALL_STATE(10660)] = 510007,
  [SMALL_STATE(10661)] = 510045,
  [SMALL_STATE(10662)] = 510083,
  [SMALL_STATE(10663)] = 510121,
  [SMALL_STATE(10664)] = 510159,
  [SMALL_STATE(10665)] = 510197,
  [SMALL_STATE(10666)] = 510263,
  [SMALL_STATE(10667)] = 510315,
  [SMALL_STATE(10668)] = 510353,
  [SMALL_STATE(10669)] = 510391,
  [SMALL_STATE(10670)] = 510429,
  [SMALL_STATE(10671)] = 510471,
  [SMALL_STATE(10672)] = 510523,
  [SMALL_STATE(10673)] = 510561,
  [SMALL_STATE(10674)] = 510599,
  [SMALL_STATE(10675)] = 510637,
  [SMALL_STATE(10676)] = 510675,
  [SMALL_STATE(10677)] = 510713,
  [SMALL_STATE(10678)] = 510779,
  [SMALL_STATE(10679)] = 510817,
  [SMALL_STATE(10680)] = 510855,
  [SMALL_STATE(10681)] = 510903,
  [SMALL_STATE(10682)] = 510951,
  [SMALL_STATE(10683)] = 511017,
  [SMALL_STATE(10684)] = 511083,
  [SMALL_STATE(10685)] = 511149,
  [SMALL_STATE(10686)] = 511191,
  [SMALL_STATE(10687)] = 511229,
  [SMALL_STATE(10688)] = 511271,
  [SMALL_STATE(10689)] = 511309,
  [SMALL_STATE(10690)] = 511347,
  [SMALL_STATE(10691)] = 511385,
  [SMALL_STATE(10692)] = 511433,
  [SMALL_STATE(10693)] = 511471,
  [SMALL_STATE(10694)] = 511519,
  [SMALL_STATE(10695)] = 511567,
  [SMALL_STATE(10696)] = 511605,
  [SMALL_STATE(10697)] = 511643,
  [SMALL_STATE(10698)] = 511681,
  [SMALL_STATE(10699)] = 511719,
  [SMALL_STATE(10700)] = 511767,
  [SMALL_STATE(10701)] = 511815,
  [SMALL_STATE(10702)] = 511857,
  [SMALL_STATE(10703)] = 511923,
  [SMALL_STATE(10704)] = 511961,
  [SMALL_STATE(10705)] = 512009,
  [SMALL_STATE(10706)] = 512061,
  [SMALL_STATE(10707)] = 512099,
  [SMALL_STATE(10708)] = 512147,
  [SMALL_STATE(10709)] = 512185,
  [SMALL_STATE(10710)] = 512233,
  [SMALL_STATE(10711)] = 512281,
  [SMALL_STATE(10712)] = 512319,
  [SMALL_STATE(10713)] = 512367,
  [SMALL_STATE(10714)] = 512405,
  [SMALL_STATE(10715)] = 512471,
  [SMALL_STATE(10716)] = 512519,
  [SMALL_STATE(10717)] = 512561,
  [SMALL_STATE(10718)] = 512603,
  [SMALL_STATE(10719)] = 512641,
  [SMALL_STATE(10720)] = 512681,
  [SMALL_STATE(10721)] = 512719,
  [SMALL_STATE(10722)] = 512785,
  [SMALL_STATE(10723)] = 512827,
  [SMALL_STATE(10724)] = 512869,
  [SMALL_STATE(10725)] = 512907,
  [SMALL_STATE(10726)] = 512945,
  [SMALL_STATE(10727)] = 512985,
  [SMALL_STATE(10728)] = 513027,
  [SMALL_STATE(10729)] = 513093,
  [SMALL_STATE(10730)] = 513131,
  [SMALL_STATE(10731)] = 513169,
  [SMALL_STATE(10732)] = 513217,
  [SMALL_STATE(10733)] = 513255,
  [SMALL_STATE(10734)] = 513321,
  [SMALL_STATE(10735)] = 513359,
  [SMALL_STATE(10736)] = 513409,
  [SMALL_STATE(10737)] = 513447,
  [SMALL_STATE(10738)] = 513487,
  [SMALL_STATE(10739)] = 513547,
  [SMALL_STATE(10740)] = 513585,
  [SMALL_STATE(10741)] = 513651,
  [SMALL_STATE(10742)] = 513689,
  [SMALL_STATE(10743)] = 513727,
  [SMALL_STATE(10744)] = 513769,
  [SMALL_STATE(10745)] = 513807,
  [SMALL_STATE(10746)] = 513845,
  [SMALL_STATE(10747)] = 513883,
  [SMALL_STATE(10748)] = 513921,
  [SMALL_STATE(10749)] = 513987,
  [SMALL_STATE(10750)] = 514025,
  [SMALL_STATE(10751)] = 514063,
  [SMALL_STATE(10752)] = 514103,
  [SMALL_STATE(10753)] = 514152,
  [SMALL_STATE(10754)] = 514199,
  [SMALL_STATE(10755)] = 514262,
  [SMALL_STATE(10756)] = 514309,
  [SMALL_STATE(10757)] = 514356,
  [SMALL_STATE(10758)] = 514399,
  [SMALL_STATE(10759)] = 514462,
  [SMALL_STATE(10760)] = 514501,
  [SMALL_STATE(10761)] = 514554,
  [SMALL_STATE(10762)] = 514591,
  [SMALL_STATE(10763)] = 514640,
  [SMALL_STATE(10764)] = 514687,
  [SMALL_STATE(10765)] = 514730,
  [SMALL_STATE(10766)] = 514793,
  [SMALL_STATE(10767)] = 514836,
  [SMALL_STATE(10768)] = 514899,
  [SMALL_STATE(10769)] = 514948,
  [SMALL_STATE(10770)] = 514995,
  [SMALL_STATE(10771)] = 515042,
  [SMALL_STATE(10772)] = 515079,
  [SMALL_STATE(10773)] = 515116,
  [SMALL_STATE(10774)] = 515153,
  [SMALL_STATE(10775)] = 515200,
  [SMALL_STATE(10776)] = 515247,
  [SMALL_STATE(10777)] = 515296,
  [SMALL_STATE(10778)] = 515343,
  [SMALL_STATE(10779)] = 515386,
  [SMALL_STATE(10780)] = 515447,
  [SMALL_STATE(10781)] = 515484,
  [SMALL_STATE(10782)] = 515533,
  [SMALL_STATE(10783)] = 515592,
  [SMALL_STATE(10784)] = 515655,
  [SMALL_STATE(10785)] = 515696,
  [SMALL_STATE(10786)] = 515733,
  [SMALL_STATE(10787)] = 515770,
  [SMALL_STATE(10788)] = 515807,
  [SMALL_STATE(10789)] = 515856,
  [SMALL_STATE(10790)] = 515915,
  [SMALL_STATE(10791)] = 515962,
  [SMALL_STATE(10792)] = 516023,
  [SMALL_STATE(10793)] = 516060,
  [SMALL_STATE(10794)] = 516109,
  [SMALL_STATE(10795)] = 516172,
  [SMALL_STATE(10796)] = 516223,
  [SMALL_STATE(10797)] = 516270,
  [SMALL_STATE(10798)] = 516319,
  [SMALL_STATE(10799)] = 516372,
  [SMALL_STATE(10800)] = 516419,
  [SMALL_STATE(10801)] = 516468,
  [SMALL_STATE(10802)] = 516517,
  [SMALL_STATE(10803)] = 516568,
  [SMALL_STATE(10804)] = 516617,
  [SMALL_STATE(10805)] = 516666,
  [SMALL_STATE(10806)] = 516715,
  [SMALL_STATE(10807)] = 516768,
  [SMALL_STATE(10808)] = 516817,
  [SMALL_STATE(10809)] = 516858,
  [SMALL_STATE(10810)] = 516899,
  [SMALL_STATE(10811)] = 516948,
  [SMALL_STATE(10812)] = 516997,
  [SMALL_STATE(10813)] = 517046,
  [SMALL_STATE(10814)] = 517095,
  [SMALL_STATE(10815)] = 517144,
  [SMALL_STATE(10816)] = 517193,
  [SMALL_STATE(10817)] = 517242,
  [SMALL_STATE(10818)] = 517281,
  [SMALL_STATE(10819)] = 517330,
  [SMALL_STATE(10820)] = 517379,
  [SMALL_STATE(10821)] = 517428,
  [SMALL_STATE(10822)] = 517477,
  [SMALL_STATE(10823)] = 517526,
  [SMALL_STATE(10824)] = 517563,
  [SMALL_STATE(10825)] = 517612,
  [SMALL_STATE(10826)] = 517661,
  [SMALL_STATE(10827)] = 517710,
  [SMALL_STATE(10828)] = 517759,
  [SMALL_STATE(10829)] = 517808,
  [SMALL_STATE(10830)] = 517857,
  [SMALL_STATE(10831)] = 517906,
  [SMALL_STATE(10832)] = 517955,
  [SMALL_STATE(10833)] = 518004,
  [SMALL_STATE(10834)] = 518053,
  [SMALL_STATE(10835)] = 518102,
  [SMALL_STATE(10836)] = 518151,
  [SMALL_STATE(10837)] = 518200,
  [SMALL_STATE(10838)] = 518249,
  [SMALL_STATE(10839)] = 518298,
  [SMALL_STATE(10840)] = 518347,
  [SMALL_STATE(10841)] = 518396,
  [SMALL_STATE(10842)] = 518445,
  [SMALL_STATE(10843)] = 518494,
  [SMALL_STATE(10844)] = 518557,
  [SMALL_STATE(10845)] = 518606,
  [SMALL_STATE(10846)] = 518647,
  [SMALL_STATE(10847)] = 518690,
  [SMALL_STATE(10848)] = 518753,
  [SMALL_STATE(10849)] = 518816,
  [SMALL_STATE(10850)] = 518857,
  [SMALL_STATE(10851)] = 518906,
  [SMALL_STATE(10852)] = 518959,
  [SMALL_STATE(10853)] = 518996,
  [SMALL_STATE(10854)] = 519037,
  [SMALL_STATE(10855)] = 519078,
  [SMALL_STATE(10856)] = 519117,
  [SMALL_STATE(10857)] = 519164,
  [SMALL_STATE(10858)] = 519227,
  [SMALL_STATE(10859)] = 519268,
  [SMALL_STATE(10860)] = 519317,
  [SMALL_STATE(10861)] = 519380,
  [SMALL_STATE(10862)] = 519429,
  [SMALL_STATE(10863)] = 519472,
  [SMALL_STATE(10864)] = 519535,
  [SMALL_STATE(10865)] = 519584,
  [SMALL_STATE(10866)] = 519647,
  [SMALL_STATE(10867)] = 519696,
  [SMALL_STATE(10868)] = 519737,
  [SMALL_STATE(10869)] = 519774,
  [SMALL_STATE(10870)] = 519823,
  [SMALL_STATE(10871)] = 519860,
  [SMALL_STATE(10872)] = 519923,
  [SMALL_STATE(10873)] = 519966,
  [SMALL_STATE(10874)] = 520015,
  [SMALL_STATE(10875)] = 520056,
  [SMALL_STATE(10876)] = 520119,
  [SMALL_STATE(10877)] = 520160,
  [SMALL_STATE(10878)] = 520209,
  [SMALL_STATE(10879)] = 520268,
  [SMALL_STATE(10880)] = 520305,
  [SMALL_STATE(10881)] = 520346,
  [SMALL_STATE(10882)] = 520405,
  [SMALL_STATE(10883)] = 520448,
  [SMALL_STATE(10884)] = 520497,
  [SMALL_STATE(10885)] = 520546,
  [SMALL_STATE(10886)] = 520593,
  [SMALL_STATE(10887)] = 520642,
  [SMALL_STATE(10888)] = 520679,
  [SMALL_STATE(10889)] = 520742,
  [SMALL_STATE(10890)] = 520785,
  [SMALL_STATE(10891)] = 520828,
  [SMALL_STATE(10892)] = 520871,
  [SMALL_STATE(10893)] = 520920,
  [SMALL_STATE(10894)] = 520983,
  [SMALL_STATE(10895)] = 521020,
  [SMALL_STATE(10896)] = 521057,
  [SMALL_STATE(10897)] = 521106,
  [SMALL_STATE(10898)] = 521143,
  [SMALL_STATE(10899)] = 521196,
  [SMALL_STATE(10900)] = 521233,
  [SMALL_STATE(10901)] = 521296,
  [SMALL_STATE(10902)] = 521345,
  [SMALL_STATE(10903)] = 521382,
  [SMALL_STATE(10904)] = 521421,
  [SMALL_STATE(10905)] = 521458,
  [SMALL_STATE(10906)] = 521495,
  [SMALL_STATE(10907)] = 521538,
  [SMALL_STATE(10908)] = 521601,
  [SMALL_STATE(10909)] = 521664,
  [SMALL_STATE(10910)] = 521717,
  [SMALL_STATE(10911)] = 521780,
  [SMALL_STATE(10912)] = 521843,
  [SMALL_STATE(10913)] = 521880,
  [SMALL_STATE(10914)] = 521929,
  [SMALL_STATE(10915)] = 521966,
  [SMALL_STATE(10916)] = 522003,
  [SMALL_STATE(10917)] = 522050,
  [SMALL_STATE(10918)] = 522089,
  [SMALL_STATE(10919)] = 522152,
  [SMALL_STATE(10920)] = 522201,
  [SMALL_STATE(10921)] = 522264,
  [SMALL_STATE(10922)] = 522301,
  [SMALL_STATE(10923)] = 522358,
  [SMALL_STATE(10924)] = 522413,
  [SMALL_STATE(10925)] = 522452,
  [SMALL_STATE(10926)] = 522501,
  [SMALL_STATE(10927)] = 522540,
  [SMALL_STATE(10928)] = 522603,
  [SMALL_STATE(10929)] = 522652,
  [SMALL_STATE(10930)] = 522689,
  [SMALL_STATE(10931)] = 522736,
  [SMALL_STATE(10932)] = 522773,
  [SMALL_STATE(10933)] = 522836,
  [SMALL_STATE(10934)] = 522873,
  [SMALL_STATE(10935)] = 522920,
  [SMALL_STATE(10936)] = 522959,
  [SMALL_STATE(10937)] = 523008,
  [SMALL_STATE(10938)] = 523057,
  [SMALL_STATE(10939)] = 523100,
  [SMALL_STATE(10940)] = 523137,
  [SMALL_STATE(10941)] = 523184,
  [SMALL_STATE(10942)] = 523227,
  [SMALL_STATE(10943)] = 523290,
  [SMALL_STATE(10944)] = 523353,
  [SMALL_STATE(10945)] = 523416,
  [SMALL_STATE(10946)] = 523459,
  [SMALL_STATE(10947)] = 523502,
  [SMALL_STATE(10948)] = 523555,
  [SMALL_STATE(10949)] = 523598,
  [SMALL_STATE(10950)] = 523661,
  [SMALL_STATE(10951)] = 523710,
  [SMALL_STATE(10952)] = 523759,
  [SMALL_STATE(10953)] = 523796,
  [SMALL_STATE(10954)] = 523843,
  [SMALL_STATE(10955)] = 523886,
  [SMALL_STATE(10956)] = 523929,
  [SMALL_STATE(10957)] = 523978,
  [SMALL_STATE(10958)] = 524021,
  [SMALL_STATE(10959)] = 524058,
  [SMALL_STATE(10960)] = 524095,
  [SMALL_STATE(10961)] = 524144,
  [SMALL_STATE(10962)] = 524191,
  [SMALL_STATE(10963)] = 524228,
  [SMALL_STATE(10964)] = 524281,
  [SMALL_STATE(10965)] = 524344,
  [SMALL_STATE(10966)] = 524407,
  [SMALL_STATE(10967)] = 524470,
  [SMALL_STATE(10968)] = 524509,
  [SMALL_STATE(10969)] = 524552,
  [SMALL_STATE(10970)] = 524591,
  [SMALL_STATE(10971)] = 524628,
  [SMALL_STATE(10972)] = 524665,
  [SMALL_STATE(10973)] = 524702,
  [SMALL_STATE(10974)] = 524745,
  [SMALL_STATE(10975)] = 524788,
  [SMALL_STATE(10976)] = 524837,
  [SMALL_STATE(10977)] = 524874,
  [SMALL_STATE(10978)] = 524937,
  [SMALL_STATE(10979)] = 524974,
  [SMALL_STATE(10980)] = 525037,
  [SMALL_STATE(10981)] = 525100,
  [SMALL_STATE(10982)] = 525163,
  [SMALL_STATE(10983)] = 525204,
  [SMALL_STATE(10984)] = 525265,
  [SMALL_STATE(10985)] = 525328,
  [SMALL_STATE(10986)] = 525391,
  [SMALL_STATE(10987)] = 525454,
  [SMALL_STATE(10988)] = 525507,
  [SMALL_STATE(10989)] = 525544,
  [SMALL_STATE(10990)] = 525583,
  [SMALL_STATE(10991)] = 525626,
  [SMALL_STATE(10992)] = 525689,
  [SMALL_STATE(10993)] = 525748,
  [SMALL_STATE(10994)] = 525787,
  [SMALL_STATE(10995)] = 525824,
  [SMALL_STATE(10996)] = 525865,
  [SMALL_STATE(10997)] = 525912,
  [SMALL_STATE(10998)] = 525965,
  [SMALL_STATE(10999)] = 526014,
  [SMALL_STATE(11000)] = 526063,
  [SMALL_STATE(11001)] = 526112,
  [SMALL_STATE(11002)] = 526149,
  [SMALL_STATE(11003)] = 526206,
  [SMALL_STATE(11004)] = 526253,
  [SMALL_STATE(11005)] = 526294,
  [SMALL_STATE(11006)] = 526335,
  [SMALL_STATE(11007)] = 526384,
  [SMALL_STATE(11008)] = 526433,
  [SMALL_STATE(11009)] = 526486,
  [SMALL_STATE(11010)] = 526541,
  [SMALL_STATE(11011)] = 526600,
  [SMALL_STATE(11012)] = 526643,
  [SMALL_STATE(11013)] = 526702,
  [SMALL_STATE(11014)] = 526755,
  [SMALL_STATE(11015)] = 526808,
  [SMALL_STATE(11016)] = 526857,
  [SMALL_STATE(11017)] = 526900,
  [SMALL_STATE(11018)] = 526961,
  [SMALL_STATE(11019)] = 526998,
  [SMALL_STATE(11020)] = 527061,
  [SMALL_STATE(11021)] = 527110,
  [SMALL_STATE(11022)] = 527147,
  [SMALL_STATE(11023)] = 527210,
  [SMALL_STATE(11024)] = 527253,
  [SMALL_STATE(11025)] = 527296,
  [SMALL_STATE(11026)] = 527339,
  [SMALL_STATE(11027)] = 527382,
  [SMALL_STATE(11028)] = 527419,
  [SMALL_STATE(11029)] = 527462,
  [SMALL_STATE(11030)] = 527505,
  [SMALL_STATE(11031)] = 527548,
  [SMALL_STATE(11032)] = 527591,
  [SMALL_STATE(11033)] = 527640,
  [SMALL_STATE(11034)] = 527681,
  [SMALL_STATE(11035)] = 527722,
  [SMALL_STATE(11036)] = 527771,
  [SMALL_STATE(11037)] = 527824,
  [SMALL_STATE(11038)] = 527861,
  [SMALL_STATE(11039)] = 527898,
  [SMALL_STATE(11040)] = 527939,
  [SMALL_STATE(11041)] = 528002,
  [SMALL_STATE(11042)] = 528041,
  [SMALL_STATE(11043)] = 528078,
  [SMALL_STATE(11044)] = 528115,
  [SMALL_STATE(11045)] = 528152,
  [SMALL_STATE(11046)] = 528189,
  [SMALL_STATE(11047)] = 528230,
  [SMALL_STATE(11048)] = 528267,
  [SMALL_STATE(11049)] = 528310,
  [SMALL_STATE(11050)] = 528371,
  [SMALL_STATE(11051)] = 528432,
  [SMALL_STATE(11052)] = 528468,
  [SMALL_STATE(11053)] = 528528,
  [SMALL_STATE(11054)] = 528564,
  [SMALL_STATE(11055)] = 528600,
  [SMALL_STATE(11056)] = 528642,
  [SMALL_STATE(11057)] = 528684,
  [SMALL_STATE(11058)] = 528726,
  [SMALL_STATE(11059)] = 528768,
  [SMALL_STATE(11060)] = 528810,
  [SMALL_STATE(11061)] = 528852,
  [SMALL_STATE(11062)] = 528894,
  [SMALL_STATE(11063)] = 528936,
  [SMALL_STATE(11064)] = 528978,
  [SMALL_STATE(11065)] = 529020,
  [SMALL_STATE(11066)] = 529066,
  [SMALL_STATE(11067)] = 529112,
  [SMALL_STATE(11068)] = 529154,
  [SMALL_STATE(11069)] = 529196,
  [SMALL_STATE(11070)] = 529238,
  [SMALL_STATE(11071)] = 529280,
  [SMALL_STATE(11072)] = 529322,
  [SMALL_STATE(11073)] = 529364,
  [SMALL_STATE(11074)] = 529406,
  [SMALL_STATE(11075)] = 529448,
  [SMALL_STATE(11076)] = 529484,
  [SMALL_STATE(11077)] = 529544,
  [SMALL_STATE(11078)] = 529586,
  [SMALL_STATE(11079)] = 529628,
  [SMALL_STATE(11080)] = 529670,
  [SMALL_STATE(11081)] = 529712,
  [SMALL_STATE(11082)] = 529748,
  [SMALL_STATE(11083)] = 529784,
  [SMALL_STATE(11084)] = 529826,
  [SMALL_STATE(11085)] = 529862,
  [SMALL_STATE(11086)] = 529904,
  [SMALL_STATE(11087)] = 529940,
  [SMALL_STATE(11088)] = 529982,
  [SMALL_STATE(11089)] = 530024,
  [SMALL_STATE(11090)] = 530060,
  [SMALL_STATE(11091)] = 530102,
  [SMALL_STATE(11092)] = 530148,
  [SMALL_STATE(11093)] = 530190,
  [SMALL_STATE(11094)] = 530232,
  [SMALL_STATE(11095)] = 530274,
  [SMALL_STATE(11096)] = 530316,
  [SMALL_STATE(11097)] = 530358,
  [SMALL_STATE(11098)] = 530400,
  [SMALL_STATE(11099)] = 530442,
  [SMALL_STATE(11100)] = 530484,
  [SMALL_STATE(11101)] = 530544,
  [SMALL_STATE(11102)] = 530586,
  [SMALL_STATE(11103)] = 530622,
  [SMALL_STATE(11104)] = 530664,
  [SMALL_STATE(11105)] = 530706,
  [SMALL_STATE(11106)] = 530748,
  [SMALL_STATE(11107)] = 530790,
  [SMALL_STATE(11108)] = 530832,
  [SMALL_STATE(11109)] = 530874,
  [SMALL_STATE(11110)] = 530916,
  [SMALL_STATE(11111)] = 530958,
  [SMALL_STATE(11112)] = 531000,
  [SMALL_STATE(11113)] = 531042,
  [SMALL_STATE(11114)] = 531084,
  [SMALL_STATE(11115)] = 531126,
  [SMALL_STATE(11116)] = 531168,
  [SMALL_STATE(11117)] = 531228,
  [SMALL_STATE(11118)] = 531270,
  [SMALL_STATE(11119)] = 531312,
  [SMALL_STATE(11120)] = 531354,
  [SMALL_STATE(11121)] = 531396,
  [SMALL_STATE(11122)] = 531438,
  [SMALL_STATE(11123)] = 531480,
  [SMALL_STATE(11124)] = 531522,
  [SMALL_STATE(11125)] = 531564,
  [SMALL_STATE(11126)] = 531600,
  [SMALL_STATE(11127)] = 531642,
  [SMALL_STATE(11128)] = 531702,
  [SMALL_STATE(11129)] = 531744,
  [SMALL_STATE(11130)] = 531786,
  [SMALL_STATE(11131)] = 531832,
  [SMALL_STATE(11132)] = 531878,
  [SMALL_STATE(11133)] = 531924,
  [SMALL_STATE(11134)] = 531970,
  [SMALL_STATE(11135)] = 532016,
  [SMALL_STATE(11136)] = 532062,
  [SMALL_STATE(11137)] = 532100,
  [SMALL_STATE(11138)] = 532160,
  [SMALL_STATE(11139)] = 532202,
  [SMALL_STATE(11140)] = 532240,
  [SMALL_STATE(11141)] = 532282,
  [SMALL_STATE(11142)] = 532318,
  [SMALL_STATE(11143)] = 532354,
  [SMALL_STATE(11144)] = 532392,
  [SMALL_STATE(11145)] = 532452,
  [SMALL_STATE(11146)] = 532488,
  [SMALL_STATE(11147)] = 532530,
  [SMALL_STATE(11148)] = 532568,
  [SMALL_STATE(11149)] = 532628,
  [SMALL_STATE(11150)] = 532664,
  [SMALL_STATE(11151)] = 532700,
  [SMALL_STATE(11152)] = 532736,
  [SMALL_STATE(11153)] = 532772,
  [SMALL_STATE(11154)] = 532832,
  [SMALL_STATE(11155)] = 532870,
  [SMALL_STATE(11156)] = 532906,
  [SMALL_STATE(11157)] = 532942,
  [SMALL_STATE(11158)] = 532978,
  [SMALL_STATE(11159)] = 533034,
  [SMALL_STATE(11160)] = 533080,
  [SMALL_STATE(11161)] = 533120,
  [SMALL_STATE(11162)] = 533160,
  [SMALL_STATE(11163)] = 533208,
  [SMALL_STATE(11164)] = 533256,
  [SMALL_STATE(11165)] = 533308,
  [SMALL_STATE(11166)] = 533362,
  [SMALL_STATE(11167)] = 533420,
  [SMALL_STATE(11168)] = 533462,
  [SMALL_STATE(11169)] = 533520,
  [SMALL_STATE(11170)] = 533556,
  [SMALL_STATE(11171)] = 533616,
  [SMALL_STATE(11172)] = 533652,
  [SMALL_STATE(11173)] = 533688,
  [SMALL_STATE(11174)] = 533724,
  [SMALL_STATE(11175)] = 533784,
  [SMALL_STATE(11176)] = 533844,
  [SMALL_STATE(11177)] = 533880,
  [SMALL_STATE(11178)] = 533916,
  [SMALL_STATE(11179)] = 533952,
  [SMALL_STATE(11180)] = 533988,
  [SMALL_STATE(11181)] = 534048,
  [SMALL_STATE(11182)] = 534108,
  [SMALL_STATE(11183)] = 534144,
  [SMALL_STATE(11184)] = 534180,
  [SMALL_STATE(11185)] = 534218,
  [SMALL_STATE(11186)] = 534254,
  [SMALL_STATE(11187)] = 534290,
  [SMALL_STATE(11188)] = 534326,
  [SMALL_STATE(11189)] = 534362,
  [SMALL_STATE(11190)] = 534408,
  [SMALL_STATE(11191)] = 534454,
  [SMALL_STATE(11192)] = 534490,
  [SMALL_STATE(11193)] = 534526,
  [SMALL_STATE(11194)] = 534572,
  [SMALL_STATE(11195)] = 534618,
  [SMALL_STATE(11196)] = 534664,
  [SMALL_STATE(11197)] = 534700,
  [SMALL_STATE(11198)] = 534746,
  [SMALL_STATE(11199)] = 534782,
  [SMALL_STATE(11200)] = 534842,
  [SMALL_STATE(11201)] = 534878,
  [SMALL_STATE(11202)] = 534918,
  [SMALL_STATE(11203)] = 534954,
  [SMALL_STATE(11204)] = 534990,
  [SMALL_STATE(11205)] = 535026,
  [SMALL_STATE(11206)] = 535062,
  [SMALL_STATE(11207)] = 535098,
  [SMALL_STATE(11208)] = 535134,
  [SMALL_STATE(11209)] = 535174,
  [SMALL_STATE(11210)] = 535212,
  [SMALL_STATE(11211)] = 535272,
  [SMALL_STATE(11212)] = 535314,
  [SMALL_STATE(11213)] = 535354,
  [SMALL_STATE(11214)] = 535396,
  [SMALL_STATE(11215)] = 535438,
  [SMALL_STATE(11216)] = 535498,
  [SMALL_STATE(11217)] = 535558,
  [SMALL_STATE(11218)] = 535600,
  [SMALL_STATE(11219)] = 535642,
  [SMALL_STATE(11220)] = 535678,
  [SMALL_STATE(11221)] = 535720,
  [SMALL_STATE(11222)] = 535770,
  [SMALL_STATE(11223)] = 535806,
  [SMALL_STATE(11224)] = 535842,
  [SMALL_STATE(11225)] = 535878,
  [SMALL_STATE(11226)] = 535914,
  [SMALL_STATE(11227)] = 535952,
  [SMALL_STATE(11228)] = 536012,
  [SMALL_STATE(11229)] = 536052,
  [SMALL_STATE(11230)] = 536094,
  [SMALL_STATE(11231)] = 536132,
  [SMALL_STATE(11232)] = 536174,
  [SMALL_STATE(11233)] = 536216,
  [SMALL_STATE(11234)] = 536258,
  [SMALL_STATE(11235)] = 536294,
  [SMALL_STATE(11236)] = 536336,
  [SMALL_STATE(11237)] = 536396,
  [SMALL_STATE(11238)] = 536438,
  [SMALL_STATE(11239)] = 536480,
  [SMALL_STATE(11240)] = 536516,
  [SMALL_STATE(11241)] = 536552,
  [SMALL_STATE(11242)] = 536588,
  [SMALL_STATE(11243)] = 536624,
  [SMALL_STATE(11244)] = 536682,
  [SMALL_STATE(11245)] = 536724,
  [SMALL_STATE(11246)] = 536760,
  [SMALL_STATE(11247)] = 536820,
  [SMALL_STATE(11248)] = 536862,
  [SMALL_STATE(11249)] = 536898,
  [SMALL_STATE(11250)] = 536940,
  [SMALL_STATE(11251)] = 536982,
  [SMALL_STATE(11252)] = 537042,
  [SMALL_STATE(11253)] = 537078,
  [SMALL_STATE(11254)] = 537114,
  [SMALL_STATE(11255)] = 537174,
  [SMALL_STATE(11256)] = 537214,
  [SMALL_STATE(11257)] = 537252,
  [SMALL_STATE(11258)] = 537312,
  [SMALL_STATE(11259)] = 537348,
  [SMALL_STATE(11260)] = 537390,
  [SMALL_STATE(11261)] = 537432,
  [SMALL_STATE(11262)] = 537474,
  [SMALL_STATE(11263)] = 537510,
  [SMALL_STATE(11264)] = 537552,
  [SMALL_STATE(11265)] = 537588,
  [SMALL_STATE(11266)] = 537648,
  [SMALL_STATE(11267)] = 537684,
  [SMALL_STATE(11268)] = 537726,
  [SMALL_STATE(11269)] = 537768,
  [SMALL_STATE(11270)] = 537804,
  [SMALL_STATE(11271)] = 537846,
  [SMALL_STATE(11272)] = 537884,
  [SMALL_STATE(11273)] = 537920,
  [SMALL_STATE(11274)] = 537980,
  [SMALL_STATE(11275)] = 538026,
  [SMALL_STATE(11276)] = 538072,
  [SMALL_STATE(11277)] = 538112,
  [SMALL_STATE(11278)] = 538172,
  [SMALL_STATE(11279)] = 538208,
  [SMALL_STATE(11280)] = 538268,
  [SMALL_STATE(11281)] = 538310,
  [SMALL_STATE(11282)] = 538352,
  [SMALL_STATE(11283)] = 538394,
  [SMALL_STATE(11284)] = 538430,
  [SMALL_STATE(11285)] = 538490,
  [SMALL_STATE(11286)] = 538550,
  [SMALL_STATE(11287)] = 538586,
  [SMALL_STATE(11288)] = 538646,
  [SMALL_STATE(11289)] = 538682,
  [SMALL_STATE(11290)] = 538718,
  [SMALL_STATE(11291)] = 538754,
  [SMALL_STATE(11292)] = 538790,
  [SMALL_STATE(11293)] = 538850,
  [SMALL_STATE(11294)] = 538892,
  [SMALL_STATE(11295)] = 538934,
  [SMALL_STATE(11296)] = 538976,
  [SMALL_STATE(11297)] = 539036,
  [SMALL_STATE(11298)] = 539096,
  [SMALL_STATE(11299)] = 539156,
  [SMALL_STATE(11300)] = 539192,
  [SMALL_STATE(11301)] = 539234,
  [SMALL_STATE(11302)] = 539294,
  [SMALL_STATE(11303)] = 539336,
  [SMALL_STATE(11304)] = 539378,
  [SMALL_STATE(11305)] = 539438,
  [SMALL_STATE(11306)] = 539474,
  [SMALL_STATE(11307)] = 539520,
  [SMALL_STATE(11308)] = 539566,
  [SMALL_STATE(11309)] = 539626,
  [SMALL_STATE(11310)] = 539668,
  [SMALL_STATE(11311)] = 539704,
  [SMALL_STATE(11312)] = 539740,
  [SMALL_STATE(11313)] = 539786,
  [SMALL_STATE(11314)] = 539822,
  [SMALL_STATE(11315)] = 539858,
  [SMALL_STATE(11316)] = 539918,
  [SMALL_STATE(11317)] = 539964,
  [SMALL_STATE(11318)] = 540010,
  [SMALL_STATE(11319)] = 540056,
  [SMALL_STATE(11320)] = 540092,
  [SMALL_STATE(11321)] = 540152,
  [SMALL_STATE(11322)] = 540188,
  [SMALL_STATE(11323)] = 540224,
  [SMALL_STATE(11324)] = 540260,
  [SMALL_STATE(11325)] = 540296,
  [SMALL_STATE(11326)] = 540332,
  [SMALL_STATE(11327)] = 540374,
  [SMALL_STATE(11328)] = 540416,
  [SMALL_STATE(11329)] = 540458,
  [SMALL_STATE(11330)] = 540494,
  [SMALL_STATE(11331)] = 540554,
  [SMALL_STATE(11332)] = 540590,
  [SMALL_STATE(11333)] = 540626,
  [SMALL_STATE(11334)] = 540662,
  [SMALL_STATE(11335)] = 540722,
  [SMALL_STATE(11336)] = 540758,
  [SMALL_STATE(11337)] = 540794,
  [SMALL_STATE(11338)] = 540830,
  [SMALL_STATE(11339)] = 540866,
  [SMALL_STATE(11340)] = 540902,
  [SMALL_STATE(11341)] = 540938,
  [SMALL_STATE(11342)] = 540976,
  [SMALL_STATE(11343)] = 541018,
  [SMALL_STATE(11344)] = 541054,
  [SMALL_STATE(11345)] = 541090,
  [SMALL_STATE(11346)] = 541126,
  [SMALL_STATE(11347)] = 541162,
  [SMALL_STATE(11348)] = 541198,
  [SMALL_STATE(11349)] = 541240,
  [SMALL_STATE(11350)] = 541282,
  [SMALL_STATE(11351)] = 541324,
  [SMALL_STATE(11352)] = 541384,
  [SMALL_STATE(11353)] = 541420,
  [SMALL_STATE(11354)] = 541456,
  [SMALL_STATE(11355)] = 541492,
  [SMALL_STATE(11356)] = 541528,
  [SMALL_STATE(11357)] = 541564,
  [SMALL_STATE(11358)] = 541600,
  [SMALL_STATE(11359)] = 541660,
  [SMALL_STATE(11360)] = 541702,
  [SMALL_STATE(11361)] = 541762,
  [SMALL_STATE(11362)] = 541822,
  [SMALL_STATE(11363)] = 541870,
  [SMALL_STATE(11364)] = 541930,
  [SMALL_STATE(11365)] = 541990,
  [SMALL_STATE(11366)] = 542038,
  [SMALL_STATE(11367)] = 542098,
  [SMALL_STATE(11368)] = 542158,
  [SMALL_STATE(11369)] = 542206,
  [SMALL_STATE(11370)] = 542254,
  [SMALL_STATE(11371)] = 542290,
  [SMALL_STATE(11372)] = 542326,
  [SMALL_STATE(11373)] = 542368,
  [SMALL_STATE(11374)] = 542410,
  [SMALL_STATE(11375)] = 542452,
  [SMALL_STATE(11376)] = 542494,
  [SMALL_STATE(11377)] = 542536,
  [SMALL_STATE(11378)] = 542578,
  [SMALL_STATE(11379)] = 542614,
  [SMALL_STATE(11380)] = 542656,
  [SMALL_STATE(11381)] = 542698,
  [SMALL_STATE(11382)] = 542740,
  [SMALL_STATE(11383)] = 542782,
  [SMALL_STATE(11384)] = 542824,
  [SMALL_STATE(11385)] = 542866,
  [SMALL_STATE(11386)] = 542902,
  [SMALL_STATE(11387)] = 542944,
  [SMALL_STATE(11388)] = 542980,
  [SMALL_STATE(11389)] = 543026,
  [SMALL_STATE(11390)] = 543062,
  [SMALL_STATE(11391)] = 543098,
  [SMALL_STATE(11392)] = 543134,
  [SMALL_STATE(11393)] = 543170,
  [SMALL_STATE(11394)] = 543212,
  [SMALL_STATE(11395)] = 543254,
  [SMALL_STATE(11396)] = 543290,
  [SMALL_STATE(11397)] = 543326,
  [SMALL_STATE(11398)] = 543362,
  [SMALL_STATE(11399)] = 543404,
  [SMALL_STATE(11400)] = 543440,
  [SMALL_STATE(11401)] = 543476,
  [SMALL_STATE(11402)] = 543512,
  [SMALL_STATE(11403)] = 543572,
  [SMALL_STATE(11404)] = 543614,
  [SMALL_STATE(11405)] = 543654,
  [SMALL_STATE(11406)] = 543690,
  [SMALL_STATE(11407)] = 543732,
  [SMALL_STATE(11408)] = 543768,
  [SMALL_STATE(11409)] = 543810,
  [SMALL_STATE(11410)] = 543852,
  [SMALL_STATE(11411)] = 543894,
  [SMALL_STATE(11412)] = 543930,
  [SMALL_STATE(11413)] = 543972,
  [SMALL_STATE(11414)] = 544014,
  [SMALL_STATE(11415)] = 544056,
  [SMALL_STATE(11416)] = 544098,
  [SMALL_STATE(11417)] = 544134,
  [SMALL_STATE(11418)] = 544170,
  [SMALL_STATE(11419)] = 544206,
  [SMALL_STATE(11420)] = 544248,
  [SMALL_STATE(11421)] = 544284,
  [SMALL_STATE(11422)] = 544320,
  [SMALL_STATE(11423)] = 544370,
  [SMALL_STATE(11424)] = 544408,
  [SMALL_STATE(11425)] = 544444,
  [SMALL_STATE(11426)] = 544480,
  [SMALL_STATE(11427)] = 544516,
  [SMALL_STATE(11428)] = 544552,
  [SMALL_STATE(11429)] = 544588,
  [SMALL_STATE(11430)] = 544628,
  [SMALL_STATE(11431)] = 544670,
  [SMALL_STATE(11432)] = 544712,
  [SMALL_STATE(11433)] = 544754,
  [SMALL_STATE(11434)] = 544814,
  [SMALL_STATE(11435)] = 544854,
  [SMALL_STATE(11436)] = 544894,
  [SMALL_STATE(11437)] = 544934,
  [SMALL_STATE(11438)] = 544974,
  [SMALL_STATE(11439)] = 545014,
  [SMALL_STATE(11440)] = 545054,
  [SMALL_STATE(11441)] = 545094,
  [SMALL_STATE(11442)] = 545134,
  [SMALL_STATE(11443)] = 545174,
  [SMALL_STATE(11444)] = 545234,
  [SMALL_STATE(11445)] = 545294,
  [SMALL_STATE(11446)] = 545354,
  [SMALL_STATE(11447)] = 545414,
  [SMALL_STATE(11448)] = 545474,
  [SMALL_STATE(11449)] = 545534,
  [SMALL_STATE(11450)] = 545594,
  [SMALL_STATE(11451)] = 545654,
  [SMALL_STATE(11452)] = 545714,
  [SMALL_STATE(11453)] = 545774,
  [SMALL_STATE(11454)] = 545834,
  [SMALL_STATE(11455)] = 545894,
  [SMALL_STATE(11456)] = 545954,
  [SMALL_STATE(11457)] = 546014,
  [SMALL_STATE(11458)] = 546074,
  [SMALL_STATE(11459)] = 546134,
  [SMALL_STATE(11460)] = 546194,
  [SMALL_STATE(11461)] = 546254,
  [SMALL_STATE(11462)] = 546314,
  [SMALL_STATE(11463)] = 546374,
  [SMALL_STATE(11464)] = 546434,
  [SMALL_STATE(11465)] = 546494,
  [SMALL_STATE(11466)] = 546554,
  [SMALL_STATE(11467)] = 546614,
  [SMALL_STATE(11468)] = 546650,
  [SMALL_STATE(11469)] = 546699,
  [SMALL_STATE(11470)] = 546756,
  [SMALL_STATE(11471)] = 546813,
  [SMALL_STATE(11472)] = 546870,
  [SMALL_STATE(11473)] = 546927,
  [SMALL_STATE(11474)] = 546984,
  [SMALL_STATE(11475)] = 547025,
  [SMALL_STATE(11476)] = 547066,
  [SMALL_STATE(11477)] = 547123,
  [SMALL_STATE(11478)] = 547180,
  [SMALL_STATE(11479)] = 547219,
  [SMALL_STATE(11480)] = 547256,
  [SMALL_STATE(11481)] = 547315,
  [SMALL_STATE(11482)] = 547372,
  [SMALL_STATE(11483)] = 547431,
  [SMALL_STATE(11484)] = 547474,
  [SMALL_STATE(11485)] = 547513,
  [SMALL_STATE(11486)] = 547548,
  [SMALL_STATE(11487)] = 547583,
  [SMALL_STATE(11488)] = 547618,
  [SMALL_STATE(11489)] = 547653,
  [SMALL_STATE(11490)] = 547688,
  [SMALL_STATE(11491)] = 547725,
  [SMALL_STATE(11492)] = 547768,
  [SMALL_STATE(11493)] = 547825,
  [SMALL_STATE(11494)] = 547866,
  [SMALL_STATE(11495)] = 547923,
  [SMALL_STATE(11496)] = 547964,
  [SMALL_STATE(11497)] = 548005,
  [SMALL_STATE(11498)] = 548048,
  [SMALL_STATE(11499)] = 548087,
  [SMALL_STATE(11500)] = 548144,
  [SMALL_STATE(11501)] = 548201,
  [SMALL_STATE(11502)] = 548236,
  [SMALL_STATE(11503)] = 548271,
  [SMALL_STATE(11504)] = 548306,
  [SMALL_STATE(11505)] = 548341,
  [SMALL_STATE(11506)] = 548376,
  [SMALL_STATE(11507)] = 548411,
  [SMALL_STATE(11508)] = 548446,
  [SMALL_STATE(11509)] = 548481,
  [SMALL_STATE(11510)] = 548516,
  [SMALL_STATE(11511)] = 548573,
  [SMALL_STATE(11512)] = 548608,
  [SMALL_STATE(11513)] = 548643,
  [SMALL_STATE(11514)] = 548678,
  [SMALL_STATE(11515)] = 548713,
  [SMALL_STATE(11516)] = 548748,
  [SMALL_STATE(11517)] = 548805,
  [SMALL_STATE(11518)] = 548848,
  [SMALL_STATE(11519)] = 548883,
  [SMALL_STATE(11520)] = 548920,
  [SMALL_STATE(11521)] = 548959,
  [SMALL_STATE(11522)] = 548994,
  [SMALL_STATE(11523)] = 549029,
  [SMALL_STATE(11524)] = 549072,
  [SMALL_STATE(11525)] = 549129,
  [SMALL_STATE(11526)] = 549164,
  [SMALL_STATE(11527)] = 549199,
  [SMALL_STATE(11528)] = 549242,
  [SMALL_STATE(11529)] = 549285,
  [SMALL_STATE(11530)] = 549328,
  [SMALL_STATE(11531)] = 549371,
  [SMALL_STATE(11532)] = 549414,
  [SMALL_STATE(11533)] = 549457,
  [SMALL_STATE(11534)] = 549500,
  [SMALL_STATE(11535)] = 549543,
  [SMALL_STATE(11536)] = 549586,
  [SMALL_STATE(11537)] = 549641,
  [SMALL_STATE(11538)] = 549686,
  [SMALL_STATE(11539)] = 549725,
  [SMALL_STATE(11540)] = 549764,
  [SMALL_STATE(11541)] = 549811,
  [SMALL_STATE(11542)] = 549858,
  [SMALL_STATE(11543)] = 549909,
  [SMALL_STATE(11544)] = 549962,
  [SMALL_STATE(11545)] = 550019,
  [SMALL_STATE(11546)] = 550060,
  [SMALL_STATE(11547)] = 550117,
  [SMALL_STATE(11548)] = 550156,
  [SMALL_STATE(11549)] = 550213,
  [SMALL_STATE(11550)] = 550252,
  [SMALL_STATE(11551)] = 550289,
  [SMALL_STATE(11552)] = 550332,
  [SMALL_STATE(11553)] = 550369,
  [SMALL_STATE(11554)] = 550404,
  [SMALL_STATE(11555)] = 550439,
  [SMALL_STATE(11556)] = 550480,
  [SMALL_STATE(11557)] = 550515,
  [SMALL_STATE(11558)] = 550550,
  [SMALL_STATE(11559)] = 550585,
  [SMALL_STATE(11560)] = 550620,
  [SMALL_STATE(11561)] = 550655,
  [SMALL_STATE(11562)] = 550712,
  [SMALL_STATE(11563)] = 550747,
  [SMALL_STATE(11564)] = 550782,
  [SMALL_STATE(11565)] = 550817,
  [SMALL_STATE(11566)] = 550852,
  [SMALL_STATE(11567)] = 550891,
  [SMALL_STATE(11568)] = 550930,
  [SMALL_STATE(11569)] = 550969,
  [SMALL_STATE(11570)] = 551008,
  [SMALL_STATE(11571)] = 551045,
  [SMALL_STATE(11572)] = 551080,
  [SMALL_STATE(11573)] = 551119,
  [SMALL_STATE(11574)] = 551176,
  [SMALL_STATE(11575)] = 551211,
  [SMALL_STATE(11576)] = 551248,
  [SMALL_STATE(11577)] = 551283,
  [SMALL_STATE(11578)] = 551318,
  [SMALL_STATE(11579)] = 551353,
  [SMALL_STATE(11580)] = 551394,
  [SMALL_STATE(11581)] = 551435,
  [SMALL_STATE(11582)] = 551476,
  [SMALL_STATE(11583)] = 551533,
  [SMALL_STATE(11584)] = 551568,
  [SMALL_STATE(11585)] = 551603,
  [SMALL_STATE(11586)] = 551638,
  [SMALL_STATE(11587)] = 551683,
  [SMALL_STATE(11588)] = 551718,
  [SMALL_STATE(11589)] = 551775,
  [SMALL_STATE(11590)] = 551832,
  [SMALL_STATE(11591)] = 551873,
  [SMALL_STATE(11592)] = 551914,
  [SMALL_STATE(11593)] = 551955,
  [SMALL_STATE(11594)] = 552012,
  [SMALL_STATE(11595)] = 552047,
  [SMALL_STATE(11596)] = 552082,
  [SMALL_STATE(11597)] = 552117,
  [SMALL_STATE(11598)] = 552176,
  [SMALL_STATE(11599)] = 552215,
  [SMALL_STATE(11600)] = 552252,
  [SMALL_STATE(11601)] = 552287,
  [SMALL_STATE(11602)] = 552322,
  [SMALL_STATE(11603)] = 552357,
  [SMALL_STATE(11604)] = 552414,
  [SMALL_STATE(11605)] = 552449,
  [SMALL_STATE(11606)] = 552484,
  [SMALL_STATE(11607)] = 552519,
  [SMALL_STATE(11608)] = 552576,
  [SMALL_STATE(11609)] = 552611,
  [SMALL_STATE(11610)] = 552668,
  [SMALL_STATE(11611)] = 552725,
  [SMALL_STATE(11612)] = 552760,
  [SMALL_STATE(11613)] = 552801,
  [SMALL_STATE(11614)] = 552846,
  [SMALL_STATE(11615)] = 552903,
  [SMALL_STATE(11616)] = 552938,
  [SMALL_STATE(11617)] = 552979,
  [SMALL_STATE(11618)] = 553020,
  [SMALL_STATE(11619)] = 553063,
  [SMALL_STATE(11620)] = 553104,
  [SMALL_STATE(11621)] = 553145,
  [SMALL_STATE(11622)] = 553180,
  [SMALL_STATE(11623)] = 553221,
  [SMALL_STATE(11624)] = 553256,
  [SMALL_STATE(11625)] = 553313,
  [SMALL_STATE(11626)] = 553370,
  [SMALL_STATE(11627)] = 553415,
  [SMALL_STATE(11628)] = 553472,
  [SMALL_STATE(11629)] = 553529,
  [SMALL_STATE(11630)] = 553564,
  [SMALL_STATE(11631)] = 553621,
  [SMALL_STATE(11632)] = 553664,
  [SMALL_STATE(11633)] = 553703,
  [SMALL_STATE(11634)] = 553738,
  [SMALL_STATE(11635)] = 553795,
  [SMALL_STATE(11636)] = 553842,
  [SMALL_STATE(11637)] = 553877,
  [SMALL_STATE(11638)] = 553922,
  [SMALL_STATE(11639)] = 553961,
  [SMALL_STATE(11640)] = 554000,
  [SMALL_STATE(11641)] = 554057,
  [SMALL_STATE(11642)] = 554102,
  [SMALL_STATE(11643)] = 554159,
  [SMALL_STATE(11644)] = 554194,
  [SMALL_STATE(11645)] = 554235,
  [SMALL_STATE(11646)] = 554276,
  [SMALL_STATE(11647)] = 554321,
  [SMALL_STATE(11648)] = 554366,
  [SMALL_STATE(11649)] = 554411,
  [SMALL_STATE(11650)] = 554456,
  [SMALL_STATE(11651)] = 554495,
  [SMALL_STATE(11652)] = 554540,
  [SMALL_STATE(11653)] = 554585,
  [SMALL_STATE(11654)] = 554630,
  [SMALL_STATE(11655)] = 554675,
  [SMALL_STATE(11656)] = 554720,
  [SMALL_STATE(11657)] = 554765,
  [SMALL_STATE(11658)] = 554810,
  [SMALL_STATE(11659)] = 554847,
  [SMALL_STATE(11660)] = 554892,
  [SMALL_STATE(11661)] = 554937,
  [SMALL_STATE(11662)] = 554982,
  [SMALL_STATE(11663)] = 555027,
  [SMALL_STATE(11664)] = 555072,
  [SMALL_STATE(11665)] = 555117,
  [SMALL_STATE(11666)] = 555162,
  [SMALL_STATE(11667)] = 555207,
  [SMALL_STATE(11668)] = 555252,
  [SMALL_STATE(11669)] = 555297,
  [SMALL_STATE(11670)] = 555342,
  [SMALL_STATE(11671)] = 555387,
  [SMALL_STATE(11672)] = 555432,
  [SMALL_STATE(11673)] = 555477,
  [SMALL_STATE(11674)] = 555522,
  [SMALL_STATE(11675)] = 555567,
  [SMALL_STATE(11676)] = 555612,
  [SMALL_STATE(11677)] = 555657,
  [SMALL_STATE(11678)] = 555702,
  [SMALL_STATE(11679)] = 555747,
  [SMALL_STATE(11680)] = 555792,
  [SMALL_STATE(11681)] = 555837,
  [SMALL_STATE(11682)] = 555882,
  [SMALL_STATE(11683)] = 555927,
  [SMALL_STATE(11684)] = 555972,
  [SMALL_STATE(11685)] = 556029,
  [SMALL_STATE(11686)] = 556074,
  [SMALL_STATE(11687)] = 556119,
  [SMALL_STATE(11688)] = 556164,
  [SMALL_STATE(11689)] = 556209,
  [SMALL_STATE(11690)] = 556248,
  [SMALL_STATE(11691)] = 556305,
  [SMALL_STATE(11692)] = 556350,
  [SMALL_STATE(11693)] = 556395,
  [SMALL_STATE(11694)] = 556440,
  [SMALL_STATE(11695)] = 556485,
  [SMALL_STATE(11696)] = 556530,
  [SMALL_STATE(11697)] = 556575,
  [SMALL_STATE(11698)] = 556620,
  [SMALL_STATE(11699)] = 556657,
  [SMALL_STATE(11700)] = 556702,
  [SMALL_STATE(11701)] = 556747,
  [SMALL_STATE(11702)] = 556792,
  [SMALL_STATE(11703)] = 556837,
  [SMALL_STATE(11704)] = 556882,
  [SMALL_STATE(11705)] = 556927,
  [SMALL_STATE(11706)] = 556972,
  [SMALL_STATE(11707)] = 557017,
  [SMALL_STATE(11708)] = 557062,
  [SMALL_STATE(11709)] = 557107,
  [SMALL_STATE(11710)] = 557152,
  [SMALL_STATE(11711)] = 557197,
  [SMALL_STATE(11712)] = 557242,
  [SMALL_STATE(11713)] = 557287,
  [SMALL_STATE(11714)] = 557332,
  [SMALL_STATE(11715)] = 557377,
  [SMALL_STATE(11716)] = 557422,
  [SMALL_STATE(11717)] = 557467,
  [SMALL_STATE(11718)] = 557512,
  [SMALL_STATE(11719)] = 557557,
  [SMALL_STATE(11720)] = 557602,
  [SMALL_STATE(11721)] = 557647,
  [SMALL_STATE(11722)] = 557692,
  [SMALL_STATE(11723)] = 557737,
  [SMALL_STATE(11724)] = 557782,
  [SMALL_STATE(11725)] = 557821,
  [SMALL_STATE(11726)] = 557862,
  [SMALL_STATE(11727)] = 557903,
  [SMALL_STATE(11728)] = 557960,
  [SMALL_STATE(11729)] = 558003,
  [SMALL_STATE(11730)] = 558060,
  [SMALL_STATE(11731)] = 558117,
  [SMALL_STATE(11732)] = 558158,
  [SMALL_STATE(11733)] = 558193,
  [SMALL_STATE(11734)] = 558232,
  [SMALL_STATE(11735)] = 558271,
  [SMALL_STATE(11736)] = 558308,
  [SMALL_STATE(11737)] = 558365,
  [SMALL_STATE(11738)] = 558400,
  [SMALL_STATE(11739)] = 558441,
  [SMALL_STATE(11740)] = 558498,
  [SMALL_STATE(11741)] = 558539,
  [SMALL_STATE(11742)] = 558582,
  [SMALL_STATE(11743)] = 558627,
  [SMALL_STATE(11744)] = 558670,
  [SMALL_STATE(11745)] = 558713,
  [SMALL_STATE(11746)] = 558748,
  [SMALL_STATE(11747)] = 558805,
  [SMALL_STATE(11748)] = 558862,
  [SMALL_STATE(11749)] = 558903,
  [SMALL_STATE(11750)] = 558960,
  [SMALL_STATE(11751)] = 559017,
  [SMALL_STATE(11752)] = 559060,
  [SMALL_STATE(11753)] = 559099,
  [SMALL_STATE(11754)] = 559138,
  [SMALL_STATE(11755)] = 559195,
  [SMALL_STATE(11756)] = 559234,
  [SMALL_STATE(11757)] = 559273,
  [SMALL_STATE(11758)] = 559314,
  [SMALL_STATE(11759)] = 559371,
  [SMALL_STATE(11760)] = 559416,
  [SMALL_STATE(11761)] = 559461,
  [SMALL_STATE(11762)] = 559518,
  [SMALL_STATE(11763)] = 559561,
  [SMALL_STATE(11764)] = 559604,
  [SMALL_STATE(11765)] = 559648,
  [SMALL_STATE(11766)] = 559704,
  [SMALL_STATE(11767)] = 559742,
  [SMALL_STATE(11768)] = 559798,
  [SMALL_STATE(11769)] = 559852,
  [SMALL_STATE(11770)] = 559906,
  [SMALL_STATE(11771)] = 559960,
  [SMALL_STATE(11772)] = 560014,
  [SMALL_STATE(11773)] = 560068,
  [SMALL_STATE(11774)] = 560112,
  [SMALL_STATE(11775)] = 560156,
  [SMALL_STATE(11776)] = 560210,
  [SMALL_STATE(11777)] = 560264,
  [SMALL_STATE(11778)] = 560318,
  [SMALL_STATE(11779)] = 560376,
  [SMALL_STATE(11780)] = 560420,
  [SMALL_STATE(11781)] = 560474,
  [SMALL_STATE(11782)] = 560528,
  [SMALL_STATE(11783)] = 560582,
  [SMALL_STATE(11784)] = 560636,
  [SMALL_STATE(11785)] = 560690,
  [SMALL_STATE(11786)] = 560744,
  [SMALL_STATE(11787)] = 560798,
  [SMALL_STATE(11788)] = 560852,
  [SMALL_STATE(11789)] = 560892,
  [SMALL_STATE(11790)] = 560946,
  [SMALL_STATE(11791)] = 561004,
  [SMALL_STATE(11792)] = 561062,
  [SMALL_STATE(11793)] = 561116,
  [SMALL_STATE(11794)] = 561170,
  [SMALL_STATE(11795)] = 561224,
  [SMALL_STATE(11796)] = 561280,
  [SMALL_STATE(11797)] = 561334,
  [SMALL_STATE(11798)] = 561388,
  [SMALL_STATE(11799)] = 561442,
  [SMALL_STATE(11800)] = 561496,
  [SMALL_STATE(11801)] = 561532,
  [SMALL_STATE(11802)] = 561586,
  [SMALL_STATE(11803)] = 561640,
  [SMALL_STATE(11804)] = 561694,
  [SMALL_STATE(11805)] = 561748,
  [SMALL_STATE(11806)] = 561802,
  [SMALL_STATE(11807)] = 561856,
  [SMALL_STATE(11808)] = 561910,
  [SMALL_STATE(11809)] = 561964,
  [SMALL_STATE(11810)] = 562018,
  [SMALL_STATE(11811)] = 562072,
  [SMALL_STATE(11812)] = 562126,
  [SMALL_STATE(11813)] = 562180,
  [SMALL_STATE(11814)] = 562234,
  [SMALL_STATE(11815)] = 562288,
  [SMALL_STATE(11816)] = 562342,
  [SMALL_STATE(11817)] = 562378,
  [SMALL_STATE(11818)] = 562416,
  [SMALL_STATE(11819)] = 562470,
  [SMALL_STATE(11820)] = 562524,
  [SMALL_STATE(11821)] = 562578,
  [SMALL_STATE(11822)] = 562632,
  [SMALL_STATE(11823)] = 562686,
  [SMALL_STATE(11824)] = 562740,
  [SMALL_STATE(11825)] = 562794,
  [SMALL_STATE(11826)] = 562848,
  [SMALL_STATE(11827)] = 562902,
  [SMALL_STATE(11828)] = 562946,
  [SMALL_STATE(11829)] = 563000,
  [SMALL_STATE(11830)] = 563054,
  [SMALL_STATE(11831)] = 563108,
  [SMALL_STATE(11832)] = 563162,
  [SMALL_STATE(11833)] = 563216,
  [SMALL_STATE(11834)] = 563270,
  [SMALL_STATE(11835)] = 563324,
  [SMALL_STATE(11836)] = 563378,
  [SMALL_STATE(11837)] = 563432,
  [SMALL_STATE(11838)] = 563470,
  [SMALL_STATE(11839)] = 563508,
  [SMALL_STATE(11840)] = 563546,
  [SMALL_STATE(11841)] = 563584,
  [SMALL_STATE(11842)] = 563620,
  [SMALL_STATE(11843)] = 563674,
  [SMALL_STATE(11844)] = 563728,
  [SMALL_STATE(11845)] = 563786,
  [SMALL_STATE(11846)] = 563840,
  [SMALL_STATE(11847)] = 563894,
  [SMALL_STATE(11848)] = 563948,
  [SMALL_STATE(11849)] = 564002,
  [SMALL_STATE(11850)] = 564056,
  [SMALL_STATE(11851)] = 564110,
  [SMALL_STATE(11852)] = 564164,
  [SMALL_STATE(11853)] = 564218,
  [SMALL_STATE(11854)] = 564272,
  [SMALL_STATE(11855)] = 564326,
  [SMALL_STATE(11856)] = 564380,
  [SMALL_STATE(11857)] = 564434,
  [SMALL_STATE(11858)] = 564474,
  [SMALL_STATE(11859)] = 564514,
  [SMALL_STATE(11860)] = 564568,
  [SMALL_STATE(11861)] = 564622,
  [SMALL_STATE(11862)] = 564662,
  [SMALL_STATE(11863)] = 564716,
  [SMALL_STATE(11864)] = 564770,
  [SMALL_STATE(11865)] = 564824,
  [SMALL_STATE(11866)] = 564878,
  [SMALL_STATE(11867)] = 564932,
  [SMALL_STATE(11868)] = 564986,
  [SMALL_STATE(11869)] = 565040,
  [SMALL_STATE(11870)] = 565094,
  [SMALL_STATE(11871)] = 565148,
  [SMALL_STATE(11872)] = 565202,
  [SMALL_STATE(11873)] = 565256,
  [SMALL_STATE(11874)] = 565310,
  [SMALL_STATE(11875)] = 565364,
  [SMALL_STATE(11876)] = 565408,
  [SMALL_STATE(11877)] = 565446,
  [SMALL_STATE(11878)] = 565482,
  [SMALL_STATE(11879)] = 565536,
  [SMALL_STATE(11880)] = 565590,
  [SMALL_STATE(11881)] = 565648,
  [SMALL_STATE(11882)] = 565702,
  [SMALL_STATE(11883)] = 565756,
  [SMALL_STATE(11884)] = 565810,
  [SMALL_STATE(11885)] = 565864,
  [SMALL_STATE(11886)] = 565918,
  [SMALL_STATE(11887)] = 565972,
  [SMALL_STATE(11888)] = 566026,
  [SMALL_STATE(11889)] = 566080,
  [SMALL_STATE(11890)] = 566134,
  [SMALL_STATE(11891)] = 566188,
  [SMALL_STATE(11892)] = 566242,
  [SMALL_STATE(11893)] = 566296,
  [SMALL_STATE(11894)] = 566350,
  [SMALL_STATE(11895)] = 566404,
  [SMALL_STATE(11896)] = 566458,
  [SMALL_STATE(11897)] = 566512,
  [SMALL_STATE(11898)] = 566566,
  [SMALL_STATE(11899)] = 566620,
  [SMALL_STATE(11900)] = 566674,
  [SMALL_STATE(11901)] = 566728,
  [SMALL_STATE(11902)] = 566782,
  [SMALL_STATE(11903)] = 566836,
  [SMALL_STATE(11904)] = 566890,
  [SMALL_STATE(11905)] = 566944,
  [SMALL_STATE(11906)] = 567002,
  [SMALL_STATE(11907)] = 567056,
  [SMALL_STATE(11908)] = 567110,
  [SMALL_STATE(11909)] = 567164,
  [SMALL_STATE(11910)] = 567218,
  [SMALL_STATE(11911)] = 567272,
  [SMALL_STATE(11912)] = 567326,
  [SMALL_STATE(11913)] = 567380,
  [SMALL_STATE(11914)] = 567434,
  [SMALL_STATE(11915)] = 567488,
  [SMALL_STATE(11916)] = 567528,
  [SMALL_STATE(11917)] = 567568,
  [SMALL_STATE(11918)] = 567604,
  [SMALL_STATE(11919)] = 567658,
  [SMALL_STATE(11920)] = 567698,
  [SMALL_STATE(11921)] = 567752,
  [SMALL_STATE(11922)] = 567806,
  [SMALL_STATE(11923)] = 567860,
  [SMALL_STATE(11924)] = 567914,
  [SMALL_STATE(11925)] = 567958,
  [SMALL_STATE(11926)] = 567996,
  [SMALL_STATE(11927)] = 568032,
  [SMALL_STATE(11928)] = 568086,
  [SMALL_STATE(11929)] = 568140,
  [SMALL_STATE(11930)] = 568180,
  [SMALL_STATE(11931)] = 568234,
  [SMALL_STATE(11932)] = 568288,
  [SMALL_STATE(11933)] = 568342,
  [SMALL_STATE(11934)] = 568396,
  [SMALL_STATE(11935)] = 568450,
  [SMALL_STATE(11936)] = 568504,
  [SMALL_STATE(11937)] = 568558,
  [SMALL_STATE(11938)] = 568612,
  [SMALL_STATE(11939)] = 568666,
  [SMALL_STATE(11940)] = 568720,
  [SMALL_STATE(11941)] = 568774,
  [SMALL_STATE(11942)] = 568814,
  [SMALL_STATE(11943)] = 568854,
  [SMALL_STATE(11944)] = 568908,
  [SMALL_STATE(11945)] = 568962,
  [SMALL_STATE(11946)] = 569002,
  [SMALL_STATE(11947)] = 569038,
  [SMALL_STATE(11948)] = 569092,
  [SMALL_STATE(11949)] = 569146,
  [SMALL_STATE(11950)] = 569200,
  [SMALL_STATE(11951)] = 569254,
  [SMALL_STATE(11952)] = 569308,
  [SMALL_STATE(11953)] = 569362,
  [SMALL_STATE(11954)] = 569416,
  [SMALL_STATE(11955)] = 569470,
  [SMALL_STATE(11956)] = 569524,
  [SMALL_STATE(11957)] = 569578,
  [SMALL_STATE(11958)] = 569632,
  [SMALL_STATE(11959)] = 569686,
  [SMALL_STATE(11960)] = 569740,
  [SMALL_STATE(11961)] = 569794,
  [SMALL_STATE(11962)] = 569848,
  [SMALL_STATE(11963)] = 569902,
  [SMALL_STATE(11964)] = 569956,
  [SMALL_STATE(11965)] = 570010,
  [SMALL_STATE(11966)] = 570064,
  [SMALL_STATE(11967)] = 570118,
  [SMALL_STATE(11968)] = 570172,
  [SMALL_STATE(11969)] = 570226,
  [SMALL_STATE(11970)] = 570280,
  [SMALL_STATE(11971)] = 570334,
  [SMALL_STATE(11972)] = 570388,
  [SMALL_STATE(11973)] = 570442,
  [SMALL_STATE(11974)] = 570496,
  [SMALL_STATE(11975)] = 570550,
  [SMALL_STATE(11976)] = 570604,
  [SMALL_STATE(11977)] = 570658,
  [SMALL_STATE(11978)] = 570712,
  [SMALL_STATE(11979)] = 570766,
  [SMALL_STATE(11980)] = 570820,
  [SMALL_STATE(11981)] = 570874,
  [SMALL_STATE(11982)] = 570932,
  [SMALL_STATE(11983)] = 570986,
  [SMALL_STATE(11984)] = 571040,
  [SMALL_STATE(11985)] = 571094,
  [SMALL_STATE(11986)] = 571138,
  [SMALL_STATE(11987)] = 571192,
  [SMALL_STATE(11988)] = 571246,
  [SMALL_STATE(11989)] = 571300,
  [SMALL_STATE(11990)] = 571354,
  [SMALL_STATE(11991)] = 571388,
  [SMALL_STATE(11992)] = 571426,
  [SMALL_STATE(11993)] = 571480,
  [SMALL_STATE(11994)] = 571534,
  [SMALL_STATE(11995)] = 571588,
  [SMALL_STATE(11996)] = 571642,
  [SMALL_STATE(11997)] = 571696,
  [SMALL_STATE(11998)] = 571750,
  [SMALL_STATE(11999)] = 571804,
  [SMALL_STATE(12000)] = 571858,
  [SMALL_STATE(12001)] = 571912,
  [SMALL_STATE(12002)] = 571966,
  [SMALL_STATE(12003)] = 572020,
  [SMALL_STATE(12004)] = 572074,
  [SMALL_STATE(12005)] = 572114,
  [SMALL_STATE(12006)] = 572168,
  [SMALL_STATE(12007)] = 572222,
  [SMALL_STATE(12008)] = 572276,
  [SMALL_STATE(12009)] = 572330,
  [SMALL_STATE(12010)] = 572384,
  [SMALL_STATE(12011)] = 572438,
  [SMALL_STATE(12012)] = 572492,
  [SMALL_STATE(12013)] = 572546,
  [SMALL_STATE(12014)] = 572600,
  [SMALL_STATE(12015)] = 572654,
  [SMALL_STATE(12016)] = 572708,
  [SMALL_STATE(12017)] = 572762,
  [SMALL_STATE(12018)] = 572816,
  [SMALL_STATE(12019)] = 572870,
  [SMALL_STATE(12020)] = 572924,
  [SMALL_STATE(12021)] = 572958,
  [SMALL_STATE(12022)] = 573012,
  [SMALL_STATE(12023)] = 573066,
  [SMALL_STATE(12024)] = 573120,
  [SMALL_STATE(12025)] = 573174,
  [SMALL_STATE(12026)] = 573228,
  [SMALL_STATE(12027)] = 573282,
  [SMALL_STATE(12028)] = 573336,
  [SMALL_STATE(12029)] = 573390,
  [SMALL_STATE(12030)] = 573444,
  [SMALL_STATE(12031)] = 573498,
  [SMALL_STATE(12032)] = 573542,
  [SMALL_STATE(12033)] = 573596,
  [SMALL_STATE(12034)] = 573650,
  [SMALL_STATE(12035)] = 573704,
  [SMALL_STATE(12036)] = 573758,
  [SMALL_STATE(12037)] = 573812,
  [SMALL_STATE(12038)] = 573866,
  [SMALL_STATE(12039)] = 573920,
  [SMALL_STATE(12040)] = 573974,
  [SMALL_STATE(12041)] = 574018,
  [SMALL_STATE(12042)] = 574072,
  [SMALL_STATE(12043)] = 574126,
  [SMALL_STATE(12044)] = 574180,
  [SMALL_STATE(12045)] = 574234,
  [SMALL_STATE(12046)] = 574288,
  [SMALL_STATE(12047)] = 574328,
  [SMALL_STATE(12048)] = 574382,
  [SMALL_STATE(12049)] = 574436,
  [SMALL_STATE(12050)] = 574490,
  [SMALL_STATE(12051)] = 574524,
  [SMALL_STATE(12052)] = 574578,
  [SMALL_STATE(12053)] = 574632,
  [SMALL_STATE(12054)] = 574686,
  [SMALL_STATE(12055)] = 574740,
  [SMALL_STATE(12056)] = 574794,
  [SMALL_STATE(12057)] = 574848,
  [SMALL_STATE(12058)] = 574902,
  [SMALL_STATE(12059)] = 574956,
  [SMALL_STATE(12060)] = 575010,
  [SMALL_STATE(12061)] = 575064,
  [SMALL_STATE(12062)] = 575118,
  [SMALL_STATE(12063)] = 575172,
  [SMALL_STATE(12064)] = 575226,
  [SMALL_STATE(12065)] = 575280,
  [SMALL_STATE(12066)] = 575334,
  [SMALL_STATE(12067)] = 575388,
  [SMALL_STATE(12068)] = 575442,
  [SMALL_STATE(12069)] = 575496,
  [SMALL_STATE(12070)] = 575550,
  [SMALL_STATE(12071)] = 575594,
  [SMALL_STATE(12072)] = 575648,
  [SMALL_STATE(12073)] = 575702,
  [SMALL_STATE(12074)] = 575756,
  [SMALL_STATE(12075)] = 575810,
  [SMALL_STATE(12076)] = 575864,
  [SMALL_STATE(12077)] = 575918,
  [SMALL_STATE(12078)] = 575972,
  [SMALL_STATE(12079)] = 576026,
  [SMALL_STATE(12080)] = 576080,
  [SMALL_STATE(12081)] = 576134,
  [SMALL_STATE(12082)] = 576188,
  [SMALL_STATE(12083)] = 576242,
  [SMALL_STATE(12084)] = 576282,
  [SMALL_STATE(12085)] = 576336,
  [SMALL_STATE(12086)] = 576390,
  [SMALL_STATE(12087)] = 576430,
  [SMALL_STATE(12088)] = 576484,
  [SMALL_STATE(12089)] = 576538,
  [SMALL_STATE(12090)] = 576592,
  [SMALL_STATE(12091)] = 576646,
  [SMALL_STATE(12092)] = 576700,
  [SMALL_STATE(12093)] = 576754,
  [SMALL_STATE(12094)] = 576808,
  [SMALL_STATE(12095)] = 576862,
  [SMALL_STATE(12096)] = 576916,
  [SMALL_STATE(12097)] = 576970,
  [SMALL_STATE(12098)] = 577024,
  [SMALL_STATE(12099)] = 577078,
  [SMALL_STATE(12100)] = 577114,
  [SMALL_STATE(12101)] = 577168,
  [SMALL_STATE(12102)] = 577222,
  [SMALL_STATE(12103)] = 577276,
  [SMALL_STATE(12104)] = 577330,
  [SMALL_STATE(12105)] = 577384,
  [SMALL_STATE(12106)] = 577438,
  [SMALL_STATE(12107)] = 577492,
  [SMALL_STATE(12108)] = 577546,
  [SMALL_STATE(12109)] = 577600,
  [SMALL_STATE(12110)] = 577654,
  [SMALL_STATE(12111)] = 577708,
  [SMALL_STATE(12112)] = 577744,
  [SMALL_STATE(12113)] = 577778,
  [SMALL_STATE(12114)] = 577832,
  [SMALL_STATE(12115)] = 577878,
  [SMALL_STATE(12116)] = 577932,
  [SMALL_STATE(12117)] = 577986,
  [SMALL_STATE(12118)] = 578040,
  [SMALL_STATE(12119)] = 578094,
  [SMALL_STATE(12120)] = 578148,
  [SMALL_STATE(12121)] = 578184,
  [SMALL_STATE(12122)] = 578238,
  [SMALL_STATE(12123)] = 578292,
  [SMALL_STATE(12124)] = 578346,
  [SMALL_STATE(12125)] = 578390,
  [SMALL_STATE(12126)] = 578444,
  [SMALL_STATE(12127)] = 578498,
  [SMALL_STATE(12128)] = 578552,
  [SMALL_STATE(12129)] = 578586,
  [SMALL_STATE(12130)] = 578640,
  [SMALL_STATE(12131)] = 578694,
  [SMALL_STATE(12132)] = 578748,
  [SMALL_STATE(12133)] = 578802,
  [SMALL_STATE(12134)] = 578856,
  [SMALL_STATE(12135)] = 578910,
  [SMALL_STATE(12136)] = 578964,
  [SMALL_STATE(12137)] = 579018,
  [SMALL_STATE(12138)] = 579072,
  [SMALL_STATE(12139)] = 579126,
  [SMALL_STATE(12140)] = 579180,
  [SMALL_STATE(12141)] = 579234,
  [SMALL_STATE(12142)] = 579288,
  [SMALL_STATE(12143)] = 579342,
  [SMALL_STATE(12144)] = 579396,
  [SMALL_STATE(12145)] = 579450,
  [SMALL_STATE(12146)] = 579504,
  [SMALL_STATE(12147)] = 579558,
  [SMALL_STATE(12148)] = 579612,
  [SMALL_STATE(12149)] = 579666,
  [SMALL_STATE(12150)] = 579720,
  [SMALL_STATE(12151)] = 579774,
  [SMALL_STATE(12152)] = 579828,
  [SMALL_STATE(12153)] = 579882,
  [SMALL_STATE(12154)] = 579936,
  [SMALL_STATE(12155)] = 579990,
  [SMALL_STATE(12156)] = 580044,
  [SMALL_STATE(12157)] = 580098,
  [SMALL_STATE(12158)] = 580152,
  [SMALL_STATE(12159)] = 580206,
  [SMALL_STATE(12160)] = 580260,
  [SMALL_STATE(12161)] = 580314,
  [SMALL_STATE(12162)] = 580368,
  [SMALL_STATE(12163)] = 580422,
  [SMALL_STATE(12164)] = 580462,
  [SMALL_STATE(12165)] = 580516,
  [SMALL_STATE(12166)] = 580554,
  [SMALL_STATE(12167)] = 580608,
  [SMALL_STATE(12168)] = 580646,
  [SMALL_STATE(12169)] = 580686,
  [SMALL_STATE(12170)] = 580724,
  [SMALL_STATE(12171)] = 580778,
  [SMALL_STATE(12172)] = 580818,
  [SMALL_STATE(12173)] = 580856,
  [SMALL_STATE(12174)] = 580896,
  [SMALL_STATE(12175)] = 580950,
  [SMALL_STATE(12176)] = 580988,
  [SMALL_STATE(12177)] = 581042,
  [SMALL_STATE(12178)] = 581078,
  [SMALL_STATE(12179)] = 581132,
  [SMALL_STATE(12180)] = 581186,
  [SMALL_STATE(12181)] = 581240,
  [SMALL_STATE(12182)] = 581284,
  [SMALL_STATE(12183)] = 581322,
  [SMALL_STATE(12184)] = 581360,
  [SMALL_STATE(12185)] = 581396,
  [SMALL_STATE(12186)] = 581434,
  [SMALL_STATE(12187)] = 581480,
  [SMALL_STATE(12188)] = 581526,
  [SMALL_STATE(12189)] = 581576,
  [SMALL_STATE(12190)] = 581628,
  [SMALL_STATE(12191)] = 581684,
  [SMALL_STATE(12192)] = 581724,
  [SMALL_STATE(12193)] = 581780,
  [SMALL_STATE(12194)] = 581834,
  [SMALL_STATE(12195)] = 581890,
  [SMALL_STATE(12196)] = 581944,
  [SMALL_STATE(12197)] = 581998,
  [SMALL_STATE(12198)] = 582052,
  [SMALL_STATE(12199)] = 582106,
  [SMALL_STATE(12200)] = 582160,
  [SMALL_STATE(12201)] = 582214,
  [SMALL_STATE(12202)] = 582268,
  [SMALL_STATE(12203)] = 582322,
  [SMALL_STATE(12204)] = 582376,
  [SMALL_STATE(12205)] = 582430,
  [SMALL_STATE(12206)] = 582484,
  [SMALL_STATE(12207)] = 582524,
  [SMALL_STATE(12208)] = 582564,
  [SMALL_STATE(12209)] = 582618,
  [SMALL_STATE(12210)] = 582672,
  [SMALL_STATE(12211)] = 582726,
  [SMALL_STATE(12212)] = 582764,
  [SMALL_STATE(12213)] = 582818,
  [SMALL_STATE(12214)] = 582854,
  [SMALL_STATE(12215)] = 582908,
  [SMALL_STATE(12216)] = 582962,
  [SMALL_STATE(12217)] = 583016,
  [SMALL_STATE(12218)] = 583070,
  [SMALL_STATE(12219)] = 583124,
  [SMALL_STATE(12220)] = 583178,
  [SMALL_STATE(12221)] = 583232,
  [SMALL_STATE(12222)] = 583286,
  [SMALL_STATE(12223)] = 583340,
  [SMALL_STATE(12224)] = 583394,
  [SMALL_STATE(12225)] = 583434,
  [SMALL_STATE(12226)] = 583488,
  [SMALL_STATE(12227)] = 583542,
  [SMALL_STATE(12228)] = 583596,
  [SMALL_STATE(12229)] = 583650,
  [SMALL_STATE(12230)] = 583704,
  [SMALL_STATE(12231)] = 583758,
  [SMALL_STATE(12232)] = 583812,
  [SMALL_STATE(12233)] = 583866,
  [SMALL_STATE(12234)] = 583920,
  [SMALL_STATE(12235)] = 583974,
  [SMALL_STATE(12236)] = 584028,
  [SMALL_STATE(12237)] = 584082,
  [SMALL_STATE(12238)] = 584136,
  [SMALL_STATE(12239)] = 584190,
  [SMALL_STATE(12240)] = 584244,
  [SMALL_STATE(12241)] = 584298,
  [SMALL_STATE(12242)] = 584352,
  [SMALL_STATE(12243)] = 584406,
  [SMALL_STATE(12244)] = 584460,
  [SMALL_STATE(12245)] = 584514,
  [SMALL_STATE(12246)] = 584568,
  [SMALL_STATE(12247)] = 584622,
  [SMALL_STATE(12248)] = 584676,
  [SMALL_STATE(12249)] = 584730,
  [SMALL_STATE(12250)] = 584770,
  [SMALL_STATE(12251)] = 584824,
  [SMALL_STATE(12252)] = 584878,
  [SMALL_STATE(12253)] = 584932,
  [SMALL_STATE(12254)] = 584986,
  [SMALL_STATE(12255)] = 585040,
  [SMALL_STATE(12256)] = 585094,
  [SMALL_STATE(12257)] = 585148,
  [SMALL_STATE(12258)] = 585186,
  [SMALL_STATE(12259)] = 585240,
  [SMALL_STATE(12260)] = 585294,
  [SMALL_STATE(12261)] = 585348,
  [SMALL_STATE(12262)] = 585402,
  [SMALL_STATE(12263)] = 585456,
  [SMALL_STATE(12264)] = 585510,
  [SMALL_STATE(12265)] = 585564,
  [SMALL_STATE(12266)] = 585618,
  [SMALL_STATE(12267)] = 585672,
  [SMALL_STATE(12268)] = 585726,
  [SMALL_STATE(12269)] = 585780,
  [SMALL_STATE(12270)] = 585818,
  [SMALL_STATE(12271)] = 585856,
  [SMALL_STATE(12272)] = 585892,
  [SMALL_STATE(12273)] = 585946,
  [SMALL_STATE(12274)] = 586000,
  [SMALL_STATE(12275)] = 586054,
  [SMALL_STATE(12276)] = 586108,
  [SMALL_STATE(12277)] = 586162,
  [SMALL_STATE(12278)] = 586216,
  [SMALL_STATE(12279)] = 586270,
  [SMALL_STATE(12280)] = 586324,
  [SMALL_STATE(12281)] = 586378,
  [SMALL_STATE(12282)] = 586432,
  [SMALL_STATE(12283)] = 586470,
  [SMALL_STATE(12284)] = 586524,
  [SMALL_STATE(12285)] = 586578,
  [SMALL_STATE(12286)] = 586632,
  [SMALL_STATE(12287)] = 586686,
  [SMALL_STATE(12288)] = 586740,
  [SMALL_STATE(12289)] = 586794,
  [SMALL_STATE(12290)] = 586834,
  [SMALL_STATE(12291)] = 586888,
  [SMALL_STATE(12292)] = 586942,
  [SMALL_STATE(12293)] = 586996,
  [SMALL_STATE(12294)] = 587050,
  [SMALL_STATE(12295)] = 587104,
  [SMALL_STATE(12296)] = 587158,
  [SMALL_STATE(12297)] = 587212,
  [SMALL_STATE(12298)] = 587266,
  [SMALL_STATE(12299)] = 587300,
  [SMALL_STATE(12300)] = 587354,
  [SMALL_STATE(12301)] = 587392,
  [SMALL_STATE(12302)] = 587450,
  [SMALL_STATE(12303)] = 587508,
  [SMALL_STATE(12304)] = 587562,
  [SMALL_STATE(12305)] = 587616,
  [SMALL_STATE(12306)] = 587670,
  [SMALL_STATE(12307)] = 587724,
  [SMALL_STATE(12308)] = 587778,
  [SMALL_STATE(12309)] = 587832,
  [SMALL_STATE(12310)] = 587886,
  [SMALL_STATE(12311)] = 587940,
  [SMALL_STATE(12312)] = 587994,
  [SMALL_STATE(12313)] = 588048,
  [SMALL_STATE(12314)] = 588102,
  [SMALL_STATE(12315)] = 588156,
  [SMALL_STATE(12316)] = 588210,
  [SMALL_STATE(12317)] = 588264,
  [SMALL_STATE(12318)] = 588318,
  [SMALL_STATE(12319)] = 588372,
  [SMALL_STATE(12320)] = 588412,
  [SMALL_STATE(12321)] = 588450,
  [SMALL_STATE(12322)] = 588488,
  [SMALL_STATE(12323)] = 588528,
  [SMALL_STATE(12324)] = 588582,
  [SMALL_STATE(12325)] = 588636,
  [SMALL_STATE(12326)] = 588690,
  [SMALL_STATE(12327)] = 588744,
  [SMALL_STATE(12328)] = 588798,
  [SMALL_STATE(12329)] = 588852,
  [SMALL_STATE(12330)] = 588906,
  [SMALL_STATE(12331)] = 588960,
  [SMALL_STATE(12332)] = 589014,
  [SMALL_STATE(12333)] = 589068,
  [SMALL_STATE(12334)] = 589122,
  [SMALL_STATE(12335)] = 589160,
  [SMALL_STATE(12336)] = 589200,
  [SMALL_STATE(12337)] = 589238,
  [SMALL_STATE(12338)] = 589276,
  [SMALL_STATE(12339)] = 589330,
  [SMALL_STATE(12340)] = 589384,
  [SMALL_STATE(12341)] = 589428,
  [SMALL_STATE(12342)] = 589466,
  [SMALL_STATE(12343)] = 589504,
  [SMALL_STATE(12344)] = 589542,
  [SMALL_STATE(12345)] = 589580,
  [SMALL_STATE(12346)] = 589618,
  [SMALL_STATE(12347)] = 589656,
  [SMALL_STATE(12348)] = 589694,
  [SMALL_STATE(12349)] = 589732,
  [SMALL_STATE(12350)] = 589770,
  [SMALL_STATE(12351)] = 589808,
  [SMALL_STATE(12352)] = 589854,
  [SMALL_STATE(12353)] = 589908,
  [SMALL_STATE(12354)] = 589962,
  [SMALL_STATE(12355)] = 590008,
  [SMALL_STATE(12356)] = 590058,
  [SMALL_STATE(12357)] = 590112,
  [SMALL_STATE(12358)] = 590166,
  [SMALL_STATE(12359)] = 590220,
  [SMALL_STATE(12360)] = 590274,
  [SMALL_STATE(12361)] = 590328,
  [SMALL_STATE(12362)] = 590382,
  [SMALL_STATE(12363)] = 590436,
  [SMALL_STATE(12364)] = 590490,
  [SMALL_STATE(12365)] = 590544,
  [SMALL_STATE(12366)] = 590596,
  [SMALL_STATE(12367)] = 590650,
  [SMALL_STATE(12368)] = 590704,
  [SMALL_STATE(12369)] = 590744,
  [SMALL_STATE(12370)] = 590798,
  [SMALL_STATE(12371)] = 590852,
  [SMALL_STATE(12372)] = 590906,
  [SMALL_STATE(12373)] = 590960,
  [SMALL_STATE(12374)] = 591014,
  [SMALL_STATE(12375)] = 591068,
  [SMALL_STATE(12376)] = 591122,
  [SMALL_STATE(12377)] = 591176,
  [SMALL_STATE(12378)] = 591230,
  [SMALL_STATE(12379)] = 591282,
  [SMALL_STATE(12380)] = 591338,
  [SMALL_STATE(12381)] = 591378,
  [SMALL_STATE(12382)] = 591432,
  [SMALL_STATE(12383)] = 591465,
  [SMALL_STATE(12384)] = 591504,
  [SMALL_STATE(12385)] = 591543,
  [SMALL_STATE(12386)] = 591582,
  [SMALL_STATE(12387)] = 591633,
  [SMALL_STATE(12388)] = 591668,
  [SMALL_STATE(12389)] = 591701,
  [SMALL_STATE(12390)] = 591734,
  [SMALL_STATE(12391)] = 591773,
  [SMALL_STATE(12392)] = 591824,
  [SMALL_STATE(12393)] = 591863,
  [SMALL_STATE(12394)] = 591916,
  [SMALL_STATE(12395)] = 591959,
  [SMALL_STATE(12396)] = 591996,
  [SMALL_STATE(12397)] = 592033,
  [SMALL_STATE(12398)] = 592078,
  [SMALL_STATE(12399)] = 592123,
  [SMALL_STATE(12400)] = 592162,
  [SMALL_STATE(12401)] = 592201,
  [SMALL_STATE(12402)] = 592240,
  [SMALL_STATE(12403)] = 592281,
  [SMALL_STATE(12404)] = 592330,
  [SMALL_STATE(12405)] = 592381,
  [SMALL_STATE(12406)] = 592434,
  [SMALL_STATE(12407)] = 592467,
  [SMALL_STATE(12408)] = 592522,
  [SMALL_STATE(12409)] = 592561,
  [SMALL_STATE(12410)] = 592600,
  [SMALL_STATE(12411)] = 592637,
  [SMALL_STATE(12412)] = 592670,
  [SMALL_STATE(12413)] = 592703,
  [SMALL_STATE(12414)] = 592754,
  [SMALL_STATE(12415)] = 592793,
  [SMALL_STATE(12416)] = 592848,
  [SMALL_STATE(12417)] = 592887,
  [SMALL_STATE(12418)] = 592944,
  [SMALL_STATE(12419)] = 592981,
  [SMALL_STATE(12420)] = 593014,
  [SMALL_STATE(12421)] = 593069,
  [SMALL_STATE(12422)] = 593124,
  [SMALL_STATE(12423)] = 593181,
  [SMALL_STATE(12424)] = 593214,
  [SMALL_STATE(12425)] = 593253,
  [SMALL_STATE(12426)] = 593296,
  [SMALL_STATE(12427)] = 593333,
  [SMALL_STATE(12428)] = 593366,
  [SMALL_STATE(12429)] = 593403,
  [SMALL_STATE(12430)] = 593436,
  [SMALL_STATE(12431)] = 593475,
  [SMALL_STATE(12432)] = 593510,
  [SMALL_STATE(12433)] = 593549,
  [SMALL_STATE(12434)] = 593586,
  [SMALL_STATE(12435)] = 593623,
  [SMALL_STATE(12436)] = 593656,
  [SMALL_STATE(12437)] = 593713,
  [SMALL_STATE(12438)] = 593764,
  [SMALL_STATE(12439)] = 593797,
  [SMALL_STATE(12440)] = 593834,
  [SMALL_STATE(12441)] = 593873,
  [SMALL_STATE(12442)] = 593908,
  [SMALL_STATE(12443)] = 593943,
  [SMALL_STATE(12444)] = 593980,
  [SMALL_STATE(12445)] = 594019,
  [SMALL_STATE(12446)] = 594076,
  [SMALL_STATE(12447)] = 594127,
  [SMALL_STATE(12448)] = 594162,
  [SMALL_STATE(12449)] = 594195,
  [SMALL_STATE(12450)] = 594238,
  [SMALL_STATE(12451)] = 594271,
  [SMALL_STATE(12452)] = 594304,
  [SMALL_STATE(12453)] = 594343,
  [SMALL_STATE(12454)] = 594380,
  [SMALL_STATE(12455)] = 594417,
  [SMALL_STATE(12456)] = 594454,
  [SMALL_STATE(12457)] = 594489,
  [SMALL_STATE(12458)] = 594546,
  [SMALL_STATE(12459)] = 594603,
  [SMALL_STATE(12460)] = 594642,
  [SMALL_STATE(12461)] = 594693,
  [SMALL_STATE(12462)] = 594726,
  [SMALL_STATE(12463)] = 594759,
  [SMALL_STATE(12464)] = 594798,
  [SMALL_STATE(12465)] = 594831,
  [SMALL_STATE(12466)] = 594868,
  [SMALL_STATE(12467)] = 594905,
  [SMALL_STATE(12468)] = 594948,
  [SMALL_STATE(12469)] = 594981,
  [SMALL_STATE(12470)] = 595020,
  [SMALL_STATE(12471)] = 595063,
  [SMALL_STATE(12472)] = 595100,
  [SMALL_STATE(12473)] = 595137,
  [SMALL_STATE(12474)] = 595180,
  [SMALL_STATE(12475)] = 595237,
  [SMALL_STATE(12476)] = 595282,
  [SMALL_STATE(12477)] = 595327,
  [SMALL_STATE(12478)] = 595364,
  [SMALL_STATE(12479)] = 595415,
  [SMALL_STATE(12480)] = 595454,
  [SMALL_STATE(12481)] = 595507,
  [SMALL_STATE(12482)] = 595544,
  [SMALL_STATE(12483)] = 595581,
  [SMALL_STATE(12484)] = 595618,
  [SMALL_STATE(12485)] = 595655,
  [SMALL_STATE(12486)] = 595692,
  [SMALL_STATE(12487)] = 595729,
  [SMALL_STATE(12488)] = 595764,
  [SMALL_STATE(12489)] = 595803,
  [SMALL_STATE(12490)] = 595836,
  [SMALL_STATE(12491)] = 595875,
  [SMALL_STATE(12492)] = 595912,
  [SMALL_STATE(12493)] = 595953,
  [SMALL_STATE(12494)] = 595994,
  [SMALL_STATE(12495)] = 596049,
  [SMALL_STATE(12496)] = 596090,
  [SMALL_STATE(12497)] = 596131,
  [SMALL_STATE(12498)] = 596164,
  [SMALL_STATE(12499)] = 596203,
  [SMALL_STATE(12500)] = 596238,
  [SMALL_STATE(12501)] = 596277,
  [SMALL_STATE(12502)] = 596314,
  [SMALL_STATE(12503)] = 596355,
  [SMALL_STATE(12504)] = 596396,
  [SMALL_STATE(12505)] = 596429,
  [SMALL_STATE(12506)] = 596464,
  [SMALL_STATE(12507)] = 596497,
  [SMALL_STATE(12508)] = 596536,
  [SMALL_STATE(12509)] = 596569,
  [SMALL_STATE(12510)] = 596618,
  [SMALL_STATE(12511)] = 596657,
  [SMALL_STATE(12512)] = 596690,
  [SMALL_STATE(12513)] = 596723,
  [SMALL_STATE(12514)] = 596756,
  [SMALL_STATE(12515)] = 596789,
  [SMALL_STATE(12516)] = 596840,
  [SMALL_STATE(12517)] = 596895,
  [SMALL_STATE(12518)] = 596928,
  [SMALL_STATE(12519)] = 596967,
  [SMALL_STATE(12520)] = 597022,
  [SMALL_STATE(12521)] = 597063,
  [SMALL_STATE(12522)] = 597102,
  [SMALL_STATE(12523)] = 597137,
  [SMALL_STATE(12524)] = 597176,
  [SMALL_STATE(12525)] = 597215,
  [SMALL_STATE(12526)] = 597252,
  [SMALL_STATE(12527)] = 597289,
  [SMALL_STATE(12528)] = 597324,
  [SMALL_STATE(12529)] = 597367,
  [SMALL_STATE(12530)] = 597418,
  [SMALL_STATE(12531)] = 597461,
  [SMALL_STATE(12532)] = 597518,
  [SMALL_STATE(12533)] = 597561,
  [SMALL_STATE(12534)] = 597594,
  [SMALL_STATE(12535)] = 597627,
  [SMALL_STATE(12536)] = 597660,
  [SMALL_STATE(12537)] = 597693,
  [SMALL_STATE(12538)] = 597750,
  [SMALL_STATE(12539)] = 597801,
  [SMALL_STATE(12540)] = 597840,
  [SMALL_STATE(12541)] = 597873,
  [SMALL_STATE(12542)] = 597912,
  [SMALL_STATE(12543)] = 597951,
  [SMALL_STATE(12544)] = 597990,
  [SMALL_STATE(12545)] = 598029,
  [SMALL_STATE(12546)] = 598062,
  [SMALL_STATE(12547)] = 598101,
  [SMALL_STATE(12548)] = 598144,
  [SMALL_STATE(12549)] = 598180,
  [SMALL_STATE(12550)] = 598216,
  [SMALL_STATE(12551)] = 598252,
  [SMALL_STATE(12552)] = 598306,
  [SMALL_STATE(12553)] = 598342,
  [SMALL_STATE(12554)] = 598376,
  [SMALL_STATE(12555)] = 598412,
  [SMALL_STATE(12556)] = 598448,
  [SMALL_STATE(12557)] = 598484,
  [SMALL_STATE(12558)] = 598520,
  [SMALL_STATE(12559)] = 598554,
  [SMALL_STATE(12560)] = 598606,
  [SMALL_STATE(12561)] = 598648,
  [SMALL_STATE(12562)] = 598684,
  [SMALL_STATE(12563)] = 598720,
  [SMALL_STATE(12564)] = 598764,
  [SMALL_STATE(12565)] = 598808,
  [SMALL_STATE(12566)] = 598856,
  [SMALL_STATE(12567)] = 598906,
  [SMALL_STATE(12568)] = 598960,
  [SMALL_STATE(12569)] = 598998,
  [SMALL_STATE(12570)] = 599052,
  [SMALL_STATE(12571)] = 599088,
  [SMALL_STATE(12572)] = 599142,
  [SMALL_STATE(12573)] = 599176,
  [SMALL_STATE(12574)] = 599212,
  [SMALL_STATE(12575)] = 599256,
  [SMALL_STATE(12576)] = 599312,
  [SMALL_STATE(12577)] = 599368,
  [SMALL_STATE(12578)] = 599416,
  [SMALL_STATE(12579)] = 599452,
  [SMALL_STATE(12580)] = 599486,
  [SMALL_STATE(12581)] = 599522,
  [SMALL_STATE(12582)] = 599570,
  [SMALL_STATE(12583)] = 599626,
  [SMALL_STATE(12584)] = 599682,
  [SMALL_STATE(12585)] = 599730,
  [SMALL_STATE(12586)] = 599778,
  [SMALL_STATE(12587)] = 599816,
  [SMALL_STATE(12588)] = 599854,
  [SMALL_STATE(12589)] = 599890,
  [SMALL_STATE(12590)] = 599938,
  [SMALL_STATE(12591)] = 599976,
  [SMALL_STATE(12592)] = 600024,
  [SMALL_STATE(12593)] = 600060,
  [SMALL_STATE(12594)] = 600094,
  [SMALL_STATE(12595)] = 600130,
  [SMALL_STATE(12596)] = 600178,
  [SMALL_STATE(12597)] = 600214,
  [SMALL_STATE(12598)] = 600268,
  [SMALL_STATE(12599)] = 600304,
  [SMALL_STATE(12600)] = 600340,
  [SMALL_STATE(12601)] = 600376,
  [SMALL_STATE(12602)] = 600412,
  [SMALL_STATE(12603)] = 600446,
  [SMALL_STATE(12604)] = 600482,
  [SMALL_STATE(12605)] = 600534,
  [SMALL_STATE(12606)] = 600576,
  [SMALL_STATE(12607)] = 600612,
  [SMALL_STATE(12608)] = 600648,
  [SMALL_STATE(12609)] = 600692,
  [SMALL_STATE(12610)] = 600736,
  [SMALL_STATE(12611)] = 600784,
  [SMALL_STATE(12612)] = 600834,
  [SMALL_STATE(12613)] = 600888,
  [SMALL_STATE(12614)] = 600926,
  [SMALL_STATE(12615)] = 600980,
  [SMALL_STATE(12616)] = 601034,
  [SMALL_STATE(12617)] = 601070,
  [SMALL_STATE(12618)] = 601106,
  [SMALL_STATE(12619)] = 601164,
  [SMALL_STATE(12620)] = 601212,
  [SMALL_STATE(12621)] = 601260,
  [SMALL_STATE(12622)] = 601296,
  [SMALL_STATE(12623)] = 601332,
  [SMALL_STATE(12624)] = 601366,
  [SMALL_STATE(12625)] = 601402,
  [SMALL_STATE(12626)] = 601438,
  [SMALL_STATE(12627)] = 601470,
  [SMALL_STATE(12628)] = 601504,
  [SMALL_STATE(12629)] = 601540,
  [SMALL_STATE(12630)] = 601594,
  [SMALL_STATE(12631)] = 601642,
  [SMALL_STATE(12632)] = 601690,
  [SMALL_STATE(12633)] = 601724,
  [SMALL_STATE(12634)] = 601776,
  [SMALL_STATE(12635)] = 601818,
  [SMALL_STATE(12636)] = 601854,
  [SMALL_STATE(12637)] = 601890,
  [SMALL_STATE(12638)] = 601934,
  [SMALL_STATE(12639)] = 601978,
  [SMALL_STATE(12640)] = 602026,
  [SMALL_STATE(12641)] = 602076,
  [SMALL_STATE(12642)] = 602130,
  [SMALL_STATE(12643)] = 602168,
  [SMALL_STATE(12644)] = 602222,
  [SMALL_STATE(12645)] = 602276,
  [SMALL_STATE(12646)] = 602312,
  [SMALL_STATE(12647)] = 602348,
  [SMALL_STATE(12648)] = 602396,
  [SMALL_STATE(12649)] = 602452,
  [SMALL_STATE(12650)] = 602486,
  [SMALL_STATE(12651)] = 602522,
  [SMALL_STATE(12652)] = 602568,
  [SMALL_STATE(12653)] = 602620,
  [SMALL_STATE(12654)] = 602662,
  [SMALL_STATE(12655)] = 602698,
  [SMALL_STATE(12656)] = 602734,
  [SMALL_STATE(12657)] = 602778,
  [SMALL_STATE(12658)] = 602822,
  [SMALL_STATE(12659)] = 602870,
  [SMALL_STATE(12660)] = 602920,
  [SMALL_STATE(12661)] = 602974,
  [SMALL_STATE(12662)] = 603012,
  [SMALL_STATE(12663)] = 603066,
  [SMALL_STATE(12664)] = 603120,
  [SMALL_STATE(12665)] = 603168,
  [SMALL_STATE(12666)] = 603204,
  [SMALL_STATE(12667)] = 603240,
  [SMALL_STATE(12668)] = 603276,
  [SMALL_STATE(12669)] = 603310,
  [SMALL_STATE(12670)] = 603346,
  [SMALL_STATE(12671)] = 603382,
  [SMALL_STATE(12672)] = 603430,
  [SMALL_STATE(12673)] = 603478,
  [SMALL_STATE(12674)] = 603512,
  [SMALL_STATE(12675)] = 603560,
  [SMALL_STATE(12676)] = 603596,
  [SMALL_STATE(12677)] = 603650,
  [SMALL_STATE(12678)] = 603686,
  [SMALL_STATE(12679)] = 603734,
  [SMALL_STATE(12680)] = 603770,
  [SMALL_STATE(12681)] = 603806,
  [SMALL_STATE(12682)] = 603842,
  [SMALL_STATE(12683)] = 603878,
  [SMALL_STATE(12684)] = 603912,
  [SMALL_STATE(12685)] = 603954,
  [SMALL_STATE(12686)] = 604002,
  [SMALL_STATE(12687)] = 604038,
  [SMALL_STATE(12688)] = 604074,
  [SMALL_STATE(12689)] = 604110,
  [SMALL_STATE(12690)] = 604146,
  [SMALL_STATE(12691)] = 604180,
  [SMALL_STATE(12692)] = 604228,
  [SMALL_STATE(12693)] = 604264,
  [SMALL_STATE(12694)] = 604300,
  [SMALL_STATE(12695)] = 604336,
  [SMALL_STATE(12696)] = 604372,
  [SMALL_STATE(12697)] = 604408,
  [SMALL_STATE(12698)] = 604442,
  [SMALL_STATE(12699)] = 604492,
  [SMALL_STATE(12700)] = 604528,
  [SMALL_STATE(12701)] = 604576,
  [SMALL_STATE(12702)] = 604612,
  [SMALL_STATE(12703)] = 604648,
  [SMALL_STATE(12704)] = 604684,
  [SMALL_STATE(12705)] = 604720,
  [SMALL_STATE(12706)] = 604754,
  [SMALL_STATE(12707)] = 604788,
  [SMALL_STATE(12708)] = 604824,
  [SMALL_STATE(12709)] = 604872,
  [SMALL_STATE(12710)] = 604932,
  [SMALL_STATE(12711)] = 604968,
  [SMALL_STATE(12712)] = 605016,
  [SMALL_STATE(12713)] = 605068,
  [SMALL_STATE(12714)] = 605116,
  [SMALL_STATE(12715)] = 605164,
  [SMALL_STATE(12716)] = 605206,
  [SMALL_STATE(12717)] = 605254,
  [SMALL_STATE(12718)] = 605290,
  [SMALL_STATE(12719)] = 605326,
  [SMALL_STATE(12720)] = 605374,
  [SMALL_STATE(12721)] = 605426,
  [SMALL_STATE(12722)] = 605462,
  [SMALL_STATE(12723)] = 605494,
  [SMALL_STATE(12724)] = 605536,
  [SMALL_STATE(12725)] = 605584,
  [SMALL_STATE(12726)] = 605620,
  [SMALL_STATE(12727)] = 605656,
  [SMALL_STATE(12728)] = 605692,
  [SMALL_STATE(12729)] = 605736,
  [SMALL_STATE(12730)] = 605780,
  [SMALL_STATE(12731)] = 605828,
  [SMALL_STATE(12732)] = 605878,
  [SMALL_STATE(12733)] = 605932,
  [SMALL_STATE(12734)] = 605970,
  [SMALL_STATE(12735)] = 606024,
  [SMALL_STATE(12736)] = 606072,
  [SMALL_STATE(12737)] = 606108,
  [SMALL_STATE(12738)] = 606156,
  [SMALL_STATE(12739)] = 606200,
  [SMALL_STATE(12740)] = 606244,
  [SMALL_STATE(12741)] = 606292,
  [SMALL_STATE(12742)] = 606340,
  [SMALL_STATE(12743)] = 606390,
  [SMALL_STATE(12744)] = 606444,
  [SMALL_STATE(12745)] = 606498,
  [SMALL_STATE(12746)] = 606534,
  [SMALL_STATE(12747)] = 606568,
  [SMALL_STATE(12748)] = 606604,
  [SMALL_STATE(12749)] = 606652,
  [SMALL_STATE(12750)] = 606698,
  [SMALL_STATE(12751)] = 606736,
  [SMALL_STATE(12752)] = 606792,
  [SMALL_STATE(12753)] = 606846,
  [SMALL_STATE(12754)] = 606894,
  [SMALL_STATE(12755)] = 606942,
  [SMALL_STATE(12756)] = 606990,
  [SMALL_STATE(12757)] = 607034,
  [SMALL_STATE(12758)] = 607082,
  [SMALL_STATE(12759)] = 607138,
  [SMALL_STATE(12760)] = 607188,
  [SMALL_STATE(12761)] = 607236,
  [SMALL_STATE(12762)] = 607272,
  [SMALL_STATE(12763)] = 607306,
  [SMALL_STATE(12764)] = 607354,
  [SMALL_STATE(12765)] = 607402,
  [SMALL_STATE(12766)] = 607438,
  [SMALL_STATE(12767)] = 607486,
  [SMALL_STATE(12768)] = 607522,
  [SMALL_STATE(12769)] = 607570,
  [SMALL_STATE(12770)] = 607602,
  [SMALL_STATE(12771)] = 607634,
  [SMALL_STATE(12772)] = 607686,
  [SMALL_STATE(12773)] = 607734,
  [SMALL_STATE(12774)] = 607776,
  [SMALL_STATE(12775)] = 607812,
  [SMALL_STATE(12776)] = 607848,
  [SMALL_STATE(12777)] = 607892,
  [SMALL_STATE(12778)] = 607936,
  [SMALL_STATE(12779)] = 607984,
  [SMALL_STATE(12780)] = 608034,
  [SMALL_STATE(12781)] = 608088,
  [SMALL_STATE(12782)] = 608126,
  [SMALL_STATE(12783)] = 608180,
  [SMALL_STATE(12784)] = 608228,
  [SMALL_STATE(12785)] = 608282,
  [SMALL_STATE(12786)] = 608330,
  [SMALL_STATE(12787)] = 608372,
  [SMALL_STATE(12788)] = 608404,
  [SMALL_STATE(12789)] = 608452,
  [SMALL_STATE(12790)] = 608508,
  [SMALL_STATE(12791)] = 608542,
  [SMALL_STATE(12792)] = 608590,
  [SMALL_STATE(12793)] = 608626,
  [SMALL_STATE(12794)] = 608660,
  [SMALL_STATE(12795)] = 608708,
  [SMALL_STATE(12796)] = 608762,
  [SMALL_STATE(12797)] = 608810,
  [SMALL_STATE(12798)] = 608846,
  [SMALL_STATE(12799)] = 608900,
  [SMALL_STATE(12800)] = 608948,
  [SMALL_STATE(12801)] = 608980,
  [SMALL_STATE(12802)] = 609022,
  [SMALL_STATE(12803)] = 609070,
  [SMALL_STATE(12804)] = 609106,
  [SMALL_STATE(12805)] = 609154,
  [SMALL_STATE(12806)] = 609188,
  [SMALL_STATE(12807)] = 609236,
  [SMALL_STATE(12808)] = 609268,
  [SMALL_STATE(12809)] = 609316,
  [SMALL_STATE(12810)] = 609364,
  [SMALL_STATE(12811)] = 609398,
  [SMALL_STATE(12812)] = 609434,
  [SMALL_STATE(12813)] = 609482,
  [SMALL_STATE(12814)] = 609542,
  [SMALL_STATE(12815)] = 609590,
  [SMALL_STATE(12816)] = 609638,
  [SMALL_STATE(12817)] = 609686,
  [SMALL_STATE(12818)] = 609734,
  [SMALL_STATE(12819)] = 609790,
  [SMALL_STATE(12820)] = 609846,
  [SMALL_STATE(12821)] = 609882,
  [SMALL_STATE(12822)] = 609918,
  [SMALL_STATE(12823)] = 609972,
  [SMALL_STATE(12824)] = 610028,
  [SMALL_STATE(12825)] = 610064,
  [SMALL_STATE(12826)] = 610124,
  [SMALL_STATE(12827)] = 610180,
  [SMALL_STATE(12828)] = 610228,
  [SMALL_STATE(12829)] = 610284,
  [SMALL_STATE(12830)] = 610340,
  [SMALL_STATE(12831)] = 610396,
  [SMALL_STATE(12832)] = 610452,
  [SMALL_STATE(12833)] = 610488,
  [SMALL_STATE(12834)] = 610548,
  [SMALL_STATE(12835)] = 610582,
  [SMALL_STATE(12836)] = 610618,
  [SMALL_STATE(12837)] = 610654,
  [SMALL_STATE(12838)] = 610690,
  [SMALL_STATE(12839)] = 610726,
  [SMALL_STATE(12840)] = 610760,
  [SMALL_STATE(12841)] = 610796,
  [SMALL_STATE(12842)] = 610832,
  [SMALL_STATE(12843)] = 610868,
  [SMALL_STATE(12844)] = 610902,
  [SMALL_STATE(12845)] = 610958,
  [SMALL_STATE(12846)] = 610994,
  [SMALL_STATE(12847)] = 611050,
  [SMALL_STATE(12848)] = 611092,
  [SMALL_STATE(12849)] = 611140,
  [SMALL_STATE(12850)] = 611176,
  [SMALL_STATE(12851)] = 611232,
  [SMALL_STATE(12852)] = 611280,
  [SMALL_STATE(12853)] = 611312,
  [SMALL_STATE(12854)] = 611348,
  [SMALL_STATE(12855)] = 611396,
  [SMALL_STATE(12856)] = 611444,
  [SMALL_STATE(12857)] = 611492,
  [SMALL_STATE(12858)] = 611524,
  [SMALL_STATE(12859)] = 611556,
  [SMALL_STATE(12860)] = 611590,
  [SMALL_STATE(12861)] = 611626,
  [SMALL_STATE(12862)] = 611684,
  [SMALL_STATE(12863)] = 611718,
  [SMALL_STATE(12864)] = 611756,
  [SMALL_STATE(12865)] = 611794,
  [SMALL_STATE(12866)] = 611844,
  [SMALL_STATE(12867)] = 611892,
  [SMALL_STATE(12868)] = 611940,
  [SMALL_STATE(12869)] = 611976,
  [SMALL_STATE(12870)] = 612024,
  [SMALL_STATE(12871)] = 612062,
  [SMALL_STATE(12872)] = 612118,
  [SMALL_STATE(12873)] = 612166,
  [SMALL_STATE(12874)] = 612214,
  [SMALL_STATE(12875)] = 612262,
  [SMALL_STATE(12876)] = 612298,
  [SMALL_STATE(12877)] = 612334,
  [SMALL_STATE(12878)] = 612370,
  [SMALL_STATE(12879)] = 612406,
  [SMALL_STATE(12880)] = 612442,
  [SMALL_STATE(12881)] = 612478,
  [SMALL_STATE(12882)] = 612534,
  [SMALL_STATE(12883)] = 612570,
  [SMALL_STATE(12884)] = 612606,
  [SMALL_STATE(12885)] = 612642,
  [SMALL_STATE(12886)] = 612678,
  [SMALL_STATE(12887)] = 612712,
  [SMALL_STATE(12888)] = 612748,
  [SMALL_STATE(12889)] = 612784,
  [SMALL_STATE(12890)] = 612820,
  [SMALL_STATE(12891)] = 612856,
  [SMALL_STATE(12892)] = 612903,
  [SMALL_STATE(12893)] = 612958,
  [SMALL_STATE(12894)] = 613013,
  [SMALL_STATE(12895)] = 613064,
  [SMALL_STATE(12896)] = 613111,
  [SMALL_STATE(12897)] = 613152,
  [SMALL_STATE(12898)] = 613187,
  [SMALL_STATE(12899)] = 613218,
  [SMALL_STATE(12900)] = 613259,
  [SMALL_STATE(12901)] = 613294,
  [SMALL_STATE(12902)] = 613337,
  [SMALL_STATE(12903)] = 613380,
  [SMALL_STATE(12904)] = 613429,
  [SMALL_STATE(12905)] = 613476,
  [SMALL_STATE(12906)] = 613525,
  [SMALL_STATE(12907)] = 613578,
  [SMALL_STATE(12908)] = 613615,
  [SMALL_STATE(12909)] = 613668,
  [SMALL_STATE(12910)] = 613709,
  [SMALL_STATE(12911)] = 613764,
  [SMALL_STATE(12912)] = 613819,
  [SMALL_STATE(12913)] = 613852,
  [SMALL_STATE(12914)] = 613907,
  [SMALL_STATE(12915)] = 613954,
  [SMALL_STATE(12916)] = 613987,
  [SMALL_STATE(12917)] = 614038,
  [SMALL_STATE(12918)] = 614075,
  [SMALL_STATE(12919)] = 614130,
  [SMALL_STATE(12920)] = 614161,
  [SMALL_STATE(12921)] = 614196,
  [SMALL_STATE(12922)] = 614231,
  [SMALL_STATE(12923)] = 614266,
  [SMALL_STATE(12924)] = 614301,
  [SMALL_STATE(12925)] = 614334,
  [SMALL_STATE(12926)] = 614389,
  [SMALL_STATE(12927)] = 614444,
  [SMALL_STATE(12928)] = 614487,
  [SMALL_STATE(12929)] = 614520,
  [SMALL_STATE(12930)] = 614575,
  [SMALL_STATE(12931)] = 614628,
  [SMALL_STATE(12932)] = 614679,
  [SMALL_STATE(12933)] = 614712,
  [SMALL_STATE(12934)] = 614747,
  [SMALL_STATE(12935)] = 614780,
  [SMALL_STATE(12936)] = 614821,
  [SMALL_STATE(12937)] = 614872,
  [SMALL_STATE(12938)] = 614925,
  [SMALL_STATE(12939)] = 614966,
  [SMALL_STATE(12940)] = 615001,
  [SMALL_STATE(12941)] = 615056,
  [SMALL_STATE(12942)] = 615091,
  [SMALL_STATE(12943)] = 615146,
  [SMALL_STATE(12944)] = 615187,
  [SMALL_STATE(12945)] = 615230,
  [SMALL_STATE(12946)] = 615273,
  [SMALL_STATE(12947)] = 615320,
  [SMALL_STATE(12948)] = 615369,
  [SMALL_STATE(12949)] = 615422,
  [SMALL_STATE(12950)] = 615453,
  [SMALL_STATE(12951)] = 615502,
  [SMALL_STATE(12952)] = 615539,
  [SMALL_STATE(12953)] = 615592,
  [SMALL_STATE(12954)] = 615647,
  [SMALL_STATE(12955)] = 615702,
  [SMALL_STATE(12956)] = 615755,
  [SMALL_STATE(12957)] = 615796,
  [SMALL_STATE(12958)] = 615829,
  [SMALL_STATE(12959)] = 615872,
  [SMALL_STATE(12960)] = 615927,
  [SMALL_STATE(12961)] = 615960,
  [SMALL_STATE(12962)] = 615993,
  [SMALL_STATE(12963)] = 616048,
  [SMALL_STATE(12964)] = 616089,
  [SMALL_STATE(12965)] = 616144,
  [SMALL_STATE(12966)] = 616199,
  [SMALL_STATE(12967)] = 616252,
  [SMALL_STATE(12968)] = 616307,
  [SMALL_STATE(12969)] = 616340,
  [SMALL_STATE(12970)] = 616395,
  [SMALL_STATE(12971)] = 616448,
  [SMALL_STATE(12972)] = 616501,
  [SMALL_STATE(12973)] = 616532,
  [SMALL_STATE(12974)] = 616585,
  [SMALL_STATE(12975)] = 616640,
  [SMALL_STATE(12976)] = 616693,
  [SMALL_STATE(12977)] = 616748,
  [SMALL_STATE(12978)] = 616779,
  [SMALL_STATE(12979)] = 616834,
  [SMALL_STATE(12980)] = 616887,
  [SMALL_STATE(12981)] = 616918,
  [SMALL_STATE(12982)] = 616973,
  [SMALL_STATE(12983)] = 617008,
  [SMALL_STATE(12984)] = 617039,
  [SMALL_STATE(12985)] = 617072,
  [SMALL_STATE(12986)] = 617113,
  [SMALL_STATE(12987)] = 617144,
  [SMALL_STATE(12988)] = 617177,
  [SMALL_STATE(12989)] = 617232,
  [SMALL_STATE(12990)] = 617263,
  [SMALL_STATE(12991)] = 617294,
  [SMALL_STATE(12992)] = 617329,
  [SMALL_STATE(12993)] = 617366,
  [SMALL_STATE(12994)] = 617421,
  [SMALL_STATE(12995)] = 617452,
  [SMALL_STATE(12996)] = 617493,
  [SMALL_STATE(12997)] = 617548,
  [SMALL_STATE(12998)] = 617589,
  [SMALL_STATE(12999)] = 617624,
  [SMALL_STATE(13000)] = 617665,
  [SMALL_STATE(13001)] = 617720,
  [SMALL_STATE(13002)] = 617761,
  [SMALL_STATE(13003)] = 617794,
  [SMALL_STATE(13004)] = 617849,
  [SMALL_STATE(13005)] = 617892,
  [SMALL_STATE(13006)] = 617947,
  [SMALL_STATE(13007)] = 617988,
  [SMALL_STATE(13008)] = 618043,
  [SMALL_STATE(13009)] = 618094,
  [SMALL_STATE(13010)] = 618147,
  [SMALL_STATE(13011)] = 618188,
  [SMALL_STATE(13012)] = 618243,
  [SMALL_STATE(13013)] = 618284,
  [SMALL_STATE(13014)] = 618339,
  [SMALL_STATE(13015)] = 618394,
  [SMALL_STATE(13016)] = 618429,
  [SMALL_STATE(13017)] = 618464,
  [SMALL_STATE(13018)] = 618505,
  [SMALL_STATE(13019)] = 618560,
  [SMALL_STATE(13020)] = 618603,
  [SMALL_STATE(13021)] = 618636,
  [SMALL_STATE(13022)] = 618691,
  [SMALL_STATE(13023)] = 618742,
  [SMALL_STATE(13024)] = 618777,
  [SMALL_STATE(13025)] = 618810,
  [SMALL_STATE(13026)] = 618865,
  [SMALL_STATE(13027)] = 618916,
  [SMALL_STATE(13028)] = 618971,
  [SMALL_STATE(13029)] = 619004,
  [SMALL_STATE(13030)] = 619059,
  [SMALL_STATE(13031)] = 619100,
  [SMALL_STATE(13032)] = 619141,
  [SMALL_STATE(13033)] = 619196,
  [SMALL_STATE(13034)] = 619237,
  [SMALL_STATE(13035)] = 619290,
  [SMALL_STATE(13036)] = 619333,
  [SMALL_STATE(13037)] = 619388,
  [SMALL_STATE(13038)] = 619427,
  [SMALL_STATE(13039)] = 619462,
  [SMALL_STATE(13040)] = 619515,
  [SMALL_STATE(13041)] = 619570,
  [SMALL_STATE(13042)] = 619617,
  [SMALL_STATE(13043)] = 619666,
  [SMALL_STATE(13044)] = 619717,
  [SMALL_STATE(13045)] = 619770,
  [SMALL_STATE(13046)] = 619803,
  [SMALL_STATE(13047)] = 619836,
  [SMALL_STATE(13048)] = 619891,
  [SMALL_STATE(13049)] = 619928,
  [SMALL_STATE(13050)] = 619983,
  [SMALL_STATE(13051)] = 620038,
  [SMALL_STATE(13052)] = 620091,
  [SMALL_STATE(13053)] = 620122,
  [SMALL_STATE(13054)] = 620177,
  [SMALL_STATE(13055)] = 620212,
  [SMALL_STATE(13056)] = 620267,
  [SMALL_STATE(13057)] = 620316,
  [SMALL_STATE(13058)] = 620349,
  [SMALL_STATE(13059)] = 620384,
  [SMALL_STATE(13060)] = 620425,
  [SMALL_STATE(13061)] = 620480,
  [SMALL_STATE(13062)] = 620515,
  [SMALL_STATE(13063)] = 620556,
  [SMALL_STATE(13064)] = 620609,
  [SMALL_STATE(13065)] = 620644,
  [SMALL_STATE(13066)] = 620679,
  [SMALL_STATE(13067)] = 620714,
  [SMALL_STATE(13068)] = 620769,
  [SMALL_STATE(13069)] = 620810,
  [SMALL_STATE(13070)] = 620843,
  [SMALL_STATE(13071)] = 620886,
  [SMALL_STATE(13072)] = 620941,
  [SMALL_STATE(13073)] = 620984,
  [SMALL_STATE(13074)] = 621031,
  [SMALL_STATE(13075)] = 621066,
  [SMALL_STATE(13076)] = 621113,
  [SMALL_STATE(13077)] = 621164,
  [SMALL_STATE(13078)] = 621219,
  [SMALL_STATE(13079)] = 621274,
  [SMALL_STATE(13080)] = 621307,
  [SMALL_STATE(13081)] = 621362,
  [SMALL_STATE(13082)] = 621399,
  [SMALL_STATE(13083)] = 621454,
  [SMALL_STATE(13084)] = 621505,
  [SMALL_STATE(13085)] = 621560,
  [SMALL_STATE(13086)] = 621601,
  [SMALL_STATE(13087)] = 621632,
  [SMALL_STATE(13088)] = 621667,
  [SMALL_STATE(13089)] = 621722,
  [SMALL_STATE(13090)] = 621777,
  [SMALL_STATE(13091)] = 621808,
  [SMALL_STATE(13092)] = 621863,
  [SMALL_STATE(13093)] = 621904,
  [SMALL_STATE(13094)] = 621959,
  [SMALL_STATE(13095)] = 622014,
  [SMALL_STATE(13096)] = 622065,
  [SMALL_STATE(13097)] = 622120,
  [SMALL_STATE(13098)] = 622159,
  [SMALL_STATE(13099)] = 622212,
  [SMALL_STATE(13100)] = 622265,
  [SMALL_STATE(13101)] = 622320,
  [SMALL_STATE(13102)] = 622355,
  [SMALL_STATE(13103)] = 622388,
  [SMALL_STATE(13104)] = 622437,
  [SMALL_STATE(13105)] = 622492,
  [SMALL_STATE(13106)] = 622533,
  [SMALL_STATE(13107)] = 622574,
  [SMALL_STATE(13108)] = 622615,
  [SMALL_STATE(13109)] = 622670,
  [SMALL_STATE(13110)] = 622705,
  [SMALL_STATE(13111)] = 622754,
  [SMALL_STATE(13112)] = 622789,
  [SMALL_STATE(13113)] = 622844,
  [SMALL_STATE(13114)] = 622885,
  [SMALL_STATE(13115)] = 622928,
  [SMALL_STATE(13116)] = 622983,
  [SMALL_STATE(13117)] = 623024,
  [SMALL_STATE(13118)] = 623067,
  [SMALL_STATE(13119)] = 623108,
  [SMALL_STATE(13120)] = 623139,
  [SMALL_STATE(13121)] = 623194,
  [SMALL_STATE(13122)] = 623241,
  [SMALL_STATE(13123)] = 623288,
  [SMALL_STATE(13124)] = 623339,
  [SMALL_STATE(13125)] = 623374,
  [SMALL_STATE(13126)] = 623429,
  [SMALL_STATE(13127)] = 623464,
  [SMALL_STATE(13128)] = 623499,
  [SMALL_STATE(13129)] = 623554,
  [SMALL_STATE(13130)] = 623595,
  [SMALL_STATE(13131)] = 623638,
  [SMALL_STATE(13132)] = 623679,
  [SMALL_STATE(13133)] = 623722,
  [SMALL_STATE(13134)] = 623769,
  [SMALL_STATE(13135)] = 623816,
  [SMALL_STATE(13136)] = 623867,
  [SMALL_STATE(13137)] = 623922,
  [SMALL_STATE(13138)] = 623977,
  [SMALL_STATE(13139)] = 624032,
  [SMALL_STATE(13140)] = 624085,
  [SMALL_STATE(13141)] = 624122,
  [SMALL_STATE(13142)] = 624155,
  [SMALL_STATE(13143)] = 624206,
  [SMALL_STATE(13144)] = 624261,
  [SMALL_STATE(13145)] = 624302,
  [SMALL_STATE(13146)] = 624337,
  [SMALL_STATE(13147)] = 624372,
  [SMALL_STATE(13148)] = 624413,
  [SMALL_STATE(13149)] = 624468,
  [SMALL_STATE(13150)] = 624521,
  [SMALL_STATE(13151)] = 624576,
  [SMALL_STATE(13152)] = 624611,
  [SMALL_STATE(13153)] = 624646,
  [SMALL_STATE(13154)] = 624681,
  [SMALL_STATE(13155)] = 624718,
  [SMALL_STATE(13156)] = 624773,
  [SMALL_STATE(13157)] = 624828,
  [SMALL_STATE(13158)] = 624879,
  [SMALL_STATE(13159)] = 624930,
  [SMALL_STATE(13160)] = 624965,
  [SMALL_STATE(13161)] = 625016,
  [SMALL_STATE(13162)] = 625051,
  [SMALL_STATE(13163)] = 625102,
  [SMALL_STATE(13164)] = 625133,
  [SMALL_STATE(13165)] = 625174,
  [SMALL_STATE(13166)] = 625207,
  [SMALL_STATE(13167)] = 625260,
  [SMALL_STATE(13168)] = 625301,
  [SMALL_STATE(13169)] = 625336,
  [SMALL_STATE(13170)] = 625371,
  [SMALL_STATE(13171)] = 625414,
  [SMALL_STATE(13172)] = 625457,
  [SMALL_STATE(13173)] = 625498,
  [SMALL_STATE(13174)] = 625539,
  [SMALL_STATE(13175)] = 625586,
  [SMALL_STATE(13176)] = 625627,
  [SMALL_STATE(13177)] = 625676,
  [SMALL_STATE(13178)] = 625717,
  [SMALL_STATE(13179)] = 625772,
  [SMALL_STATE(13180)] = 625825,
  [SMALL_STATE(13181)] = 625866,
  [SMALL_STATE(13182)] = 625907,
  [SMALL_STATE(13183)] = 625944,
  [SMALL_STATE(13184)] = 625997,
  [SMALL_STATE(13185)] = 626038,
  [SMALL_STATE(13186)] = 626079,
  [SMALL_STATE(13187)] = 626110,
  [SMALL_STATE(13188)] = 626151,
  [SMALL_STATE(13189)] = 626184,
  [SMALL_STATE(13190)] = 626225,
  [SMALL_STATE(13191)] = 626266,
  [SMALL_STATE(13192)] = 626301,
  [SMALL_STATE(13193)] = 626342,
  [SMALL_STATE(13194)] = 626377,
  [SMALL_STATE(13195)] = 626418,
  [SMALL_STATE(13196)] = 626459,
  [SMALL_STATE(13197)] = 626494,
  [SMALL_STATE(13198)] = 626535,
  [SMALL_STATE(13199)] = 626590,
  [SMALL_STATE(13200)] = 626631,
  [SMALL_STATE(13201)] = 626686,
  [SMALL_STATE(13202)] = 626727,
  [SMALL_STATE(13203)] = 626760,
  [SMALL_STATE(13204)] = 626791,
  [SMALL_STATE(13205)] = 626826,
  [SMALL_STATE(13206)] = 626879,
  [SMALL_STATE(13207)] = 626920,
  [SMALL_STATE(13208)] = 626975,
  [SMALL_STATE(13209)] = 627008,
  [SMALL_STATE(13210)] = 627049,
  [SMALL_STATE(13211)] = 627102,
  [SMALL_STATE(13212)] = 627157,
  [SMALL_STATE(13213)] = 627188,
  [SMALL_STATE(13214)] = 627231,
  [SMALL_STATE(13215)] = 627264,
  [SMALL_STATE(13216)] = 627319,
  [SMALL_STATE(13217)] = 627354,
  [SMALL_STATE(13218)] = 627409,
  [SMALL_STATE(13219)] = 627464,
  [SMALL_STATE(13220)] = 627497,
  [SMALL_STATE(13221)] = 627552,
  [SMALL_STATE(13222)] = 627607,
  [SMALL_STATE(13223)] = 627642,
  [SMALL_STATE(13224)] = 627677,
  [SMALL_STATE(13225)] = 627712,
  [SMALL_STATE(13226)] = 627753,
  [SMALL_STATE(13227)] = 627794,
  [SMALL_STATE(13228)] = 627837,
  [SMALL_STATE(13229)] = 627880,
  [SMALL_STATE(13230)] = 627927,
  [SMALL_STATE(13231)] = 627968,
  [SMALL_STATE(13232)] = 628003,
  [SMALL_STATE(13233)] = 628038,
  [SMALL_STATE(13234)] = 628079,
  [SMALL_STATE(13235)] = 628112,
  [SMALL_STATE(13236)] = 628145,
  [SMALL_STATE(13237)] = 628200,
  [SMALL_STATE(13238)] = 628255,
  [SMALL_STATE(13239)] = 628288,
  [SMALL_STATE(13240)] = 628329,
  [SMALL_STATE(13241)] = 628364,
  [SMALL_STATE(13242)] = 628395,
  [SMALL_STATE(13243)] = 628426,
  [SMALL_STATE(13244)] = 628457,
  [SMALL_STATE(13245)] = 628492,
  [SMALL_STATE(13246)] = 628527,
  [SMALL_STATE(13247)] = 628568,
  [SMALL_STATE(13248)] = 628609,
  [SMALL_STATE(13249)] = 628664,
  [SMALL_STATE(13250)] = 628719,
  [SMALL_STATE(13251)] = 628760,
  [SMALL_STATE(13252)] = 628815,
  [SMALL_STATE(13253)] = 628846,
  [SMALL_STATE(13254)] = 628897,
  [SMALL_STATE(13255)] = 628952,
  [SMALL_STATE(13256)] = 628995,
  [SMALL_STATE(13257)] = 629036,
  [SMALL_STATE(13258)] = 629077,
  [SMALL_STATE(13259)] = 629132,
  [SMALL_STATE(13260)] = 629183,
  [SMALL_STATE(13261)] = 629238,
  [SMALL_STATE(13262)] = 629273,
  [SMALL_STATE(13263)] = 629326,
  [SMALL_STATE(13264)] = 629381,
  [SMALL_STATE(13265)] = 629416,
  [SMALL_STATE(13266)] = 629449,
  [SMALL_STATE(13267)] = 629504,
  [SMALL_STATE(13268)] = 629539,
  [SMALL_STATE(13269)] = 629574,
  [SMALL_STATE(13270)] = 629627,
  [SMALL_STATE(13271)] = 629660,
  [SMALL_STATE(13272)] = 629715,
  [SMALL_STATE(13273)] = 629750,
  [SMALL_STATE(13274)] = 629785,
  [SMALL_STATE(13275)] = 629836,
  [SMALL_STATE(13276)] = 629877,
  [SMALL_STATE(13277)] = 629912,
  [SMALL_STATE(13278)] = 629947,
  [SMALL_STATE(13279)] = 629990,
  [SMALL_STATE(13280)] = 630033,
  [SMALL_STATE(13281)] = 630088,
  [SMALL_STATE(13282)] = 630137,
  [SMALL_STATE(13283)] = 630190,
  [SMALL_STATE(13284)] = 630227,
  [SMALL_STATE(13285)] = 630280,
  [SMALL_STATE(13286)] = 630313,
  [SMALL_STATE(13287)] = 630348,
  [SMALL_STATE(13288)] = 630403,
  [SMALL_STATE(13289)] = 630458,
  [SMALL_STATE(13290)] = 630491,
  [SMALL_STATE(13291)] = 630546,
  [SMALL_STATE(13292)] = 630581,
  [SMALL_STATE(13293)] = 630634,
  [SMALL_STATE(13294)] = 630685,
  [SMALL_STATE(13295)] = 630740,
  [SMALL_STATE(13296)] = 630771,
  [SMALL_STATE(13297)] = 630805,
  [SMALL_STATE(13298)] = 630857,
  [SMALL_STATE(13299)] = 630905,
  [SMALL_STATE(13300)] = 630955,
  [SMALL_STATE(13301)] = 631001,
  [SMALL_STATE(13302)] = 631033,
  [SMALL_STATE(13303)] = 631063,
  [SMALL_STATE(13304)] = 631095,
  [SMALL_STATE(13305)] = 631125,
  [SMALL_STATE(13306)] = 631173,
  [SMALL_STATE(13307)] = 631221,
  [SMALL_STATE(13308)] = 631251,
  [SMALL_STATE(13309)] = 631303,
  [SMALL_STATE(13310)] = 631351,
  [SMALL_STATE(13311)] = 631381,
  [SMALL_STATE(13312)] = 631411,
  [SMALL_STATE(13313)] = 631441,
  [SMALL_STATE(13314)] = 631471,
  [SMALL_STATE(13315)] = 631501,
  [SMALL_STATE(13316)] = 631531,
  [SMALL_STATE(13317)] = 631561,
  [SMALL_STATE(13318)] = 631591,
  [SMALL_STATE(13319)] = 631621,
  [SMALL_STATE(13320)] = 631651,
  [SMALL_STATE(13321)] = 631681,
  [SMALL_STATE(13322)] = 631713,
  [SMALL_STATE(13323)] = 631765,
  [SMALL_STATE(13324)] = 631795,
  [SMALL_STATE(13325)] = 631843,
  [SMALL_STATE(13326)] = 631873,
  [SMALL_STATE(13327)] = 631903,
  [SMALL_STATE(13328)] = 631951,
  [SMALL_STATE(13329)] = 632003,
  [SMALL_STATE(13330)] = 632035,
  [SMALL_STATE(13331)] = 632083,
  [SMALL_STATE(13332)] = 632113,
  [SMALL_STATE(13333)] = 632159,
  [SMALL_STATE(13334)] = 632189,
  [SMALL_STATE(13335)] = 632219,
  [SMALL_STATE(13336)] = 632249,
  [SMALL_STATE(13337)] = 632281,
  [SMALL_STATE(13338)] = 632311,
  [SMALL_STATE(13339)] = 632343,
  [SMALL_STATE(13340)] = 632395,
  [SMALL_STATE(13341)] = 632425,
  [SMALL_STATE(13342)] = 632477,
  [SMALL_STATE(13343)] = 632525,
  [SMALL_STATE(13344)] = 632577,
  [SMALL_STATE(13345)] = 632609,
  [SMALL_STATE(13346)] = 632657,
  [SMALL_STATE(13347)] = 632709,
  [SMALL_STATE(13348)] = 632757,
  [SMALL_STATE(13349)] = 632787,
  [SMALL_STATE(13350)] = 632827,
  [SMALL_STATE(13351)] = 632879,
  [SMALL_STATE(13352)] = 632909,
  [SMALL_STATE(13353)] = 632939,
  [SMALL_STATE(13354)] = 632971,
  [SMALL_STATE(13355)] = 633019,
  [SMALL_STATE(13356)] = 633071,
  [SMALL_STATE(13357)] = 633113,
  [SMALL_STATE(13358)] = 633145,
  [SMALL_STATE(13359)] = 633197,
  [SMALL_STATE(13360)] = 633227,
  [SMALL_STATE(13361)] = 633257,
  [SMALL_STATE(13362)] = 633305,
  [SMALL_STATE(13363)] = 633335,
  [SMALL_STATE(13364)] = 633365,
  [SMALL_STATE(13365)] = 633397,
  [SMALL_STATE(13366)] = 633427,
  [SMALL_STATE(13367)] = 633459,
  [SMALL_STATE(13368)] = 633507,
  [SMALL_STATE(13369)] = 633549,
  [SMALL_STATE(13370)] = 633597,
  [SMALL_STATE(13371)] = 633629,
  [SMALL_STATE(13372)] = 633671,
  [SMALL_STATE(13373)] = 633719,
  [SMALL_STATE(13374)] = 633767,
  [SMALL_STATE(13375)] = 633815,
  [SMALL_STATE(13376)] = 633845,
  [SMALL_STATE(13377)] = 633893,
  [SMALL_STATE(13378)] = 633941,
  [SMALL_STATE(13379)] = 633991,
  [SMALL_STATE(13380)] = 634021,
  [SMALL_STATE(13381)] = 634053,
  [SMALL_STATE(13382)] = 634083,
  [SMALL_STATE(13383)] = 634115,
  [SMALL_STATE(13384)] = 634145,
  [SMALL_STATE(13385)] = 634175,
  [SMALL_STATE(13386)] = 634207,
  [SMALL_STATE(13387)] = 634237,
  [SMALL_STATE(13388)] = 634269,
  [SMALL_STATE(13389)] = 634317,
  [SMALL_STATE(13390)] = 634367,
  [SMALL_STATE(13391)] = 634407,
  [SMALL_STATE(13392)] = 634459,
  [SMALL_STATE(13393)] = 634505,
  [SMALL_STATE(13394)] = 634535,
  [SMALL_STATE(13395)] = 634581,
  [SMALL_STATE(13396)] = 634627,
  [SMALL_STATE(13397)] = 634663,
  [SMALL_STATE(13398)] = 634709,
  [SMALL_STATE(13399)] = 634759,
  [SMALL_STATE(13400)] = 634811,
  [SMALL_STATE(13401)] = 634863,
  [SMALL_STATE(13402)] = 634895,
  [SMALL_STATE(13403)] = 634945,
  [SMALL_STATE(13404)] = 634977,
  [SMALL_STATE(13405)] = 635009,
  [SMALL_STATE(13406)] = 635057,
  [SMALL_STATE(13407)] = 635087,
  [SMALL_STATE(13408)] = 635117,
  [SMALL_STATE(13409)] = 635151,
  [SMALL_STATE(13410)] = 635187,
  [SMALL_STATE(13411)] = 635235,
  [SMALL_STATE(13412)] = 635265,
  [SMALL_STATE(13413)] = 635295,
  [SMALL_STATE(13414)] = 635345,
  [SMALL_STATE(13415)] = 635393,
  [SMALL_STATE(13416)] = 635445,
  [SMALL_STATE(13417)] = 635491,
  [SMALL_STATE(13418)] = 635543,
  [SMALL_STATE(13419)] = 635591,
  [SMALL_STATE(13420)] = 635639,
  [SMALL_STATE(13421)] = 635687,
  [SMALL_STATE(13422)] = 635735,
  [SMALL_STATE(13423)] = 635767,
  [SMALL_STATE(13424)] = 635797,
  [SMALL_STATE(13425)] = 635827,
  [SMALL_STATE(13426)] = 635879,
  [SMALL_STATE(13427)] = 635909,
  [SMALL_STATE(13428)] = 635961,
  [SMALL_STATE(13429)] = 635991,
  [SMALL_STATE(13430)] = 636021,
  [SMALL_STATE(13431)] = 636069,
  [SMALL_STATE(13432)] = 636099,
  [SMALL_STATE(13433)] = 636131,
  [SMALL_STATE(13434)] = 636161,
  [SMALL_STATE(13435)] = 636207,
  [SMALL_STATE(13436)] = 636259,
  [SMALL_STATE(13437)] = 636307,
  [SMALL_STATE(13438)] = 636357,
  [SMALL_STATE(13439)] = 636405,
  [SMALL_STATE(13440)] = 636453,
  [SMALL_STATE(13441)] = 636505,
  [SMALL_STATE(13442)] = 636553,
  [SMALL_STATE(13443)] = 636601,
  [SMALL_STATE(13444)] = 636649,
  [SMALL_STATE(13445)] = 636697,
  [SMALL_STATE(13446)] = 636749,
  [SMALL_STATE(13447)] = 636789,
  [SMALL_STATE(13448)] = 636823,
  [SMALL_STATE(13449)] = 636857,
  [SMALL_STATE(13450)] = 636899,
  [SMALL_STATE(13451)] = 636941,
  [SMALL_STATE(13452)] = 636987,
  [SMALL_STATE(13453)] = 637033,
  [SMALL_STATE(13454)] = 637083,
  [SMALL_STATE(13455)] = 637133,
  [SMALL_STATE(13456)] = 637169,
  [SMALL_STATE(13457)] = 637219,
  [SMALL_STATE(13458)] = 637251,
  [SMALL_STATE(13459)] = 637297,
  [SMALL_STATE(13460)] = 637349,
  [SMALL_STATE(13461)] = 637381,
  [SMALL_STATE(13462)] = 637413,
  [SMALL_STATE(13463)] = 637443,
  [SMALL_STATE(13464)] = 637489,
  [SMALL_STATE(13465)] = 637519,
  [SMALL_STATE(13466)] = 637567,
  [SMALL_STATE(13467)] = 637615,
  [SMALL_STATE(13468)] = 637669,
  [SMALL_STATE(13469)] = 637701,
  [SMALL_STATE(13470)] = 637749,
  [SMALL_STATE(13471)] = 637779,
  [SMALL_STATE(13472)] = 637809,
  [SMALL_STATE(13473)] = 637857,
  [SMALL_STATE(13474)] = 637911,
  [SMALL_STATE(13475)] = 637951,
  [SMALL_STATE(13476)] = 637981,
  [SMALL_STATE(13477)] = 638029,
  [SMALL_STATE(13478)] = 638063,
  [SMALL_STATE(13479)] = 638093,
  [SMALL_STATE(13480)] = 638127,
  [SMALL_STATE(13481)] = 638157,
  [SMALL_STATE(13482)] = 638207,
  [SMALL_STATE(13483)] = 638259,
  [SMALL_STATE(13484)] = 638307,
  [SMALL_STATE(13485)] = 638347,
  [SMALL_STATE(13486)] = 638381,
  [SMALL_STATE(13487)] = 638415,
  [SMALL_STATE(13488)] = 638457,
  [SMALL_STATE(13489)] = 638499,
  [SMALL_STATE(13490)] = 638545,
  [SMALL_STATE(13491)] = 638591,
  [SMALL_STATE(13492)] = 638641,
  [SMALL_STATE(13493)] = 638677,
  [SMALL_STATE(13494)] = 638727,
  [SMALL_STATE(13495)] = 638767,
  [SMALL_STATE(13496)] = 638809,
  [SMALL_STATE(13497)] = 638851,
  [SMALL_STATE(13498)] = 638883,
  [SMALL_STATE(13499)] = 638935,
  [SMALL_STATE(13500)] = 638985,
  [SMALL_STATE(13501)] = 639033,
  [SMALL_STATE(13502)] = 639079,
  [SMALL_STATE(13503)] = 639125,
  [SMALL_STATE(13504)] = 639177,
  [SMALL_STATE(13505)] = 639229,
  [SMALL_STATE(13506)] = 639281,
  [SMALL_STATE(13507)] = 639313,
  [SMALL_STATE(13508)] = 639361,
  [SMALL_STATE(13509)] = 639391,
  [SMALL_STATE(13510)] = 639423,
  [SMALL_STATE(13511)] = 639453,
  [SMALL_STATE(13512)] = 639485,
  [SMALL_STATE(13513)] = 639523,
  [SMALL_STATE(13514)] = 639553,
  [SMALL_STATE(13515)] = 639601,
  [SMALL_STATE(13516)] = 639647,
  [SMALL_STATE(13517)] = 639679,
  [SMALL_STATE(13518)] = 639729,
  [SMALL_STATE(13519)] = 639759,
  [SMALL_STATE(13520)] = 639791,
  [SMALL_STATE(13521)] = 639823,
  [SMALL_STATE(13522)] = 639867,
  [SMALL_STATE(13523)] = 639903,
  [SMALL_STATE(13524)] = 639953,
  [SMALL_STATE(13525)] = 640005,
  [SMALL_STATE(13526)] = 640035,
  [SMALL_STATE(13527)] = 640067,
  [SMALL_STATE(13528)] = 640121,
  [SMALL_STATE(13529)] = 640151,
  [SMALL_STATE(13530)] = 640205,
  [SMALL_STATE(13531)] = 640235,
  [SMALL_STATE(13532)] = 640267,
  [SMALL_STATE(13533)] = 640297,
  [SMALL_STATE(13534)] = 640349,
  [SMALL_STATE(13535)] = 640379,
  [SMALL_STATE(13536)] = 640409,
  [SMALL_STATE(13537)] = 640441,
  [SMALL_STATE(13538)] = 640491,
  [SMALL_STATE(13539)] = 640523,
  [SMALL_STATE(13540)] = 640555,
  [SMALL_STATE(13541)] = 640585,
  [SMALL_STATE(13542)] = 640617,
  [SMALL_STATE(13543)] = 640649,
  [SMALL_STATE(13544)] = 640681,
  [SMALL_STATE(13545)] = 640713,
  [SMALL_STATE(13546)] = 640761,
  [SMALL_STATE(13547)] = 640791,
  [SMALL_STATE(13548)] = 640823,
  [SMALL_STATE(13549)] = 640855,
  [SMALL_STATE(13550)] = 640903,
  [SMALL_STATE(13551)] = 640951,
  [SMALL_STATE(13552)] = 640999,
  [SMALL_STATE(13553)] = 641029,
  [SMALL_STATE(13554)] = 641061,
  [SMALL_STATE(13555)] = 641093,
  [SMALL_STATE(13556)] = 641125,
  [SMALL_STATE(13557)] = 641157,
  [SMALL_STATE(13558)] = 641209,
  [SMALL_STATE(13559)] = 641260,
  [SMALL_STATE(13560)] = 641311,
  [SMALL_STATE(13561)] = 641342,
  [SMALL_STATE(13562)] = 641393,
  [SMALL_STATE(13563)] = 641424,
  [SMALL_STATE(13564)] = 641461,
  [SMALL_STATE(13565)] = 641490,
  [SMALL_STATE(13566)] = 641521,
  [SMALL_STATE(13567)] = 641548,
  [SMALL_STATE(13568)] = 641591,
  [SMALL_STATE(13569)] = 641618,
  [SMALL_STATE(13570)] = 641661,
  [SMALL_STATE(13571)] = 641698,
  [SMALL_STATE(13572)] = 641735,
  [SMALL_STATE(13573)] = 641778,
  [SMALL_STATE(13574)] = 641815,
  [SMALL_STATE(13575)] = 641858,
  [SMALL_STATE(13576)] = 641895,
  [SMALL_STATE(13577)] = 641926,
  [SMALL_STATE(13578)] = 641969,
  [SMALL_STATE(13579)] = 641998,
  [SMALL_STATE(13580)] = 642049,
  [SMALL_STATE(13581)] = 642100,
  [SMALL_STATE(13582)] = 642151,
  [SMALL_STATE(13583)] = 642202,
  [SMALL_STATE(13584)] = 642231,
  [SMALL_STATE(13585)] = 642258,
  [SMALL_STATE(13586)] = 642295,
  [SMALL_STATE(13587)] = 642324,
  [SMALL_STATE(13588)] = 642355,
  [SMALL_STATE(13589)] = 642384,
  [SMALL_STATE(13590)] = 642427,
  [SMALL_STATE(13591)] = 642478,
  [SMALL_STATE(13592)] = 642509,
  [SMALL_STATE(13593)] = 642560,
  [SMALL_STATE(13594)] = 642597,
  [SMALL_STATE(13595)] = 642648,
  [SMALL_STATE(13596)] = 642679,
  [SMALL_STATE(13597)] = 642716,
  [SMALL_STATE(13598)] = 642753,
  [SMALL_STATE(13599)] = 642804,
  [SMALL_STATE(13600)] = 642833,
  [SMALL_STATE(13601)] = 642870,
  [SMALL_STATE(13602)] = 642921,
  [SMALL_STATE(13603)] = 642958,
  [SMALL_STATE(13604)] = 642985,
  [SMALL_STATE(13605)] = 643013,
  [SMALL_STATE(13606)] = 643041,
  [SMALL_STATE(13607)] = 643089,
  [SMALL_STATE(13608)] = 643117,
  [SMALL_STATE(13609)] = 643151,
  [SMALL_STATE(13610)] = 643185,
  [SMALL_STATE(13611)] = 643227,
  [SMALL_STATE(13612)] = 643255,
  [SMALL_STATE(13613)] = 643283,
  [SMALL_STATE(13614)] = 643311,
  [SMALL_STATE(13615)] = 643359,
  [SMALL_STATE(13616)] = 643387,
  [SMALL_STATE(13617)] = 643435,
  [SMALL_STATE(13618)] = 643463,
  [SMALL_STATE(13619)] = 643491,
  [SMALL_STATE(13620)] = 643539,
  [SMALL_STATE(13621)] = 643581,
  [SMALL_STATE(13622)] = 643609,
  [SMALL_STATE(13623)] = 643637,
  [SMALL_STATE(13624)] = 643665,
  [SMALL_STATE(13625)] = 643693,
  [SMALL_STATE(13626)] = 643721,
  [SMALL_STATE(13627)] = 643749,
  [SMALL_STATE(13628)] = 643797,
  [SMALL_STATE(13629)] = 643839,
  [SMALL_STATE(13630)] = 643887,
  [SMALL_STATE(13631)] = 643935,
  [SMALL_STATE(13632)] = 643965,
  [SMALL_STATE(13633)] = 644013,
  [SMALL_STATE(13634)] = 644047,
  [SMALL_STATE(13635)] = 644075,
  [SMALL_STATE(13636)] = 644103,
  [SMALL_STATE(13637)] = 644131,
  [SMALL_STATE(13638)] = 644179,
  [SMALL_STATE(13639)] = 644221,
  [SMALL_STATE(13640)] = 644251,
  [SMALL_STATE(13641)] = 644283,
  [SMALL_STATE(13642)] = 644313,
  [SMALL_STATE(13643)] = 644341,
  [SMALL_STATE(13644)] = 644369,
  [SMALL_STATE(13645)] = 644417,
  [SMALL_STATE(13646)] = 644445,
  [SMALL_STATE(13647)] = 644473,
  [SMALL_STATE(13648)] = 644501,
  [SMALL_STATE(13649)] = 644533,
  [SMALL_STATE(13650)] = 644561,
  [SMALL_STATE(13651)] = 644589,
  [SMALL_STATE(13652)] = 644623,
  [SMALL_STATE(13653)] = 644651,
  [SMALL_STATE(13654)] = 644685,
  [SMALL_STATE(13655)] = 644713,
  [SMALL_STATE(13656)] = 644741,
  [SMALL_STATE(13657)] = 644779,
  [SMALL_STATE(13658)] = 644827,
  [SMALL_STATE(13659)] = 644861,
  [SMALL_STATE(13660)] = 644889,
  [SMALL_STATE(13661)] = 644937,
  [SMALL_STATE(13662)] = 644965,
  [SMALL_STATE(13663)] = 644993,
  [SMALL_STATE(13664)] = 645027,
  [SMALL_STATE(13665)] = 645061,
  [SMALL_STATE(13666)] = 645099,
  [SMALL_STATE(13667)] = 645127,
  [SMALL_STATE(13668)] = 645161,
  [SMALL_STATE(13669)] = 645189,
  [SMALL_STATE(13670)] = 645217,
  [SMALL_STATE(13671)] = 645245,
  [SMALL_STATE(13672)] = 645275,
  [SMALL_STATE(13673)] = 645303,
  [SMALL_STATE(13674)] = 645331,
  [SMALL_STATE(13675)] = 645379,
  [SMALL_STATE(13676)] = 645419,
  [SMALL_STATE(13677)] = 645467,
  [SMALL_STATE(13678)] = 645495,
  [SMALL_STATE(13679)] = 645522,
  [SMALL_STATE(13680)] = 645553,
  [SMALL_STATE(13681)] = 645584,
  [SMALL_STATE(13682)] = 645629,
  [SMALL_STATE(13683)] = 645660,
  [SMALL_STATE(13684)] = 645699,
  [SMALL_STATE(13685)] = 645730,
  [SMALL_STATE(13686)] = 645769,
  [SMALL_STATE(13687)] = 645814,
  [SMALL_STATE(13688)] = 645845,
  [SMALL_STATE(13689)] = 645876,
  [SMALL_STATE(13690)] = 645915,
  [SMALL_STATE(13691)] = 645954,
  [SMALL_STATE(13692)] = 645981,
  [SMALL_STATE(13693)] = 646008,
  [SMALL_STATE(13694)] = 646051,
  [SMALL_STATE(13695)] = 646078,
  [SMALL_STATE(13696)] = 646109,
  [SMALL_STATE(13697)] = 646140,
  [SMALL_STATE(13698)] = 646179,
  [SMALL_STATE(13699)] = 646206,
  [SMALL_STATE(13700)] = 646245,
  [SMALL_STATE(13701)] = 646284,
  [SMALL_STATE(13702)] = 646323,
  [SMALL_STATE(13703)] = 646362,
  [SMALL_STATE(13704)] = 646393,
  [SMALL_STATE(13705)] = 646432,
  [SMALL_STATE(13706)] = 646463,
  [SMALL_STATE(13707)] = 646490,
  [SMALL_STATE(13708)] = 646529,
  [SMALL_STATE(13709)] = 646558,
  [SMALL_STATE(13710)] = 646603,
  [SMALL_STATE(13711)] = 646642,
  [SMALL_STATE(13712)] = 646669,
  [SMALL_STATE(13713)] = 646708,
  [SMALL_STATE(13714)] = 646747,
  [SMALL_STATE(13715)] = 646778,
  [SMALL_STATE(13716)] = 646809,
  [SMALL_STATE(13717)] = 646854,
  [SMALL_STATE(13718)] = 646885,
  [SMALL_STATE(13719)] = 646930,
  [SMALL_STATE(13720)] = 646969,
  [SMALL_STATE(13721)] = 646996,
  [SMALL_STATE(13722)] = 647027,
  [SMALL_STATE(13723)] = 647072,
  [SMALL_STATE(13724)] = 647111,
  [SMALL_STATE(13725)] = 647150,
  [SMALL_STATE(13726)] = 647181,
  [SMALL_STATE(13727)] = 647212,
  [SMALL_STATE(13728)] = 647243,
  [SMALL_STATE(13729)] = 647270,
  [SMALL_STATE(13730)] = 647309,
  [SMALL_STATE(13731)] = 647348,
  [SMALL_STATE(13732)] = 647387,
  [SMALL_STATE(13733)] = 647414,
  [SMALL_STATE(13734)] = 647453,
  [SMALL_STATE(13735)] = 647484,
  [SMALL_STATE(13736)] = 647515,
  [SMALL_STATE(13737)] = 647546,
  [SMALL_STATE(13738)] = 647573,
  [SMALL_STATE(13739)] = 647600,
  [SMALL_STATE(13740)] = 647627,
  [SMALL_STATE(13741)] = 647654,
  [SMALL_STATE(13742)] = 647681,
  [SMALL_STATE(13743)] = 647710,
  [SMALL_STATE(13744)] = 647741,
  [SMALL_STATE(13745)] = 647768,
  [SMALL_STATE(13746)] = 647799,
  [SMALL_STATE(13747)] = 647838,
  [SMALL_STATE(13748)] = 647877,
  [SMALL_STATE(13749)] = 647916,
  [SMALL_STATE(13750)] = 647945,
  [SMALL_STATE(13751)] = 647974,
  [SMALL_STATE(13752)] = 648013,
  [SMALL_STATE(13753)] = 648052,
  [SMALL_STATE(13754)] = 648079,
  [SMALL_STATE(13755)] = 648118,
  [SMALL_STATE(13756)] = 648149,
  [SMALL_STATE(13757)] = 648180,
  [SMALL_STATE(13758)] = 648207,
  [SMALL_STATE(13759)] = 648246,
  [SMALL_STATE(13760)] = 648273,
  [SMALL_STATE(13761)] = 648304,
  [SMALL_STATE(13762)] = 648343,
  [SMALL_STATE(13763)] = 648374,
  [SMALL_STATE(13764)] = 648413,
  [SMALL_STATE(13765)] = 648452,
  [SMALL_STATE(13766)] = 648483,
  [SMALL_STATE(13767)] = 648510,
  [SMALL_STATE(13768)] = 648535,
  [SMALL_STATE(13769)] = 648566,
  [SMALL_STATE(13770)] = 648605,
  [SMALL_STATE(13771)] = 648636,
  [SMALL_STATE(13772)] = 648661,
  [SMALL_STATE(13773)] = 648688,
  [SMALL_STATE(13774)] = 648727,
  [SMALL_STATE(13775)] = 648758,
  [SMALL_STATE(13776)] = 648789,
  [SMALL_STATE(13777)] = 648828,
  [SMALL_STATE(13778)] = 648855,
  [SMALL_STATE(13779)] = 648882,
  [SMALL_STATE(13780)] = 648909,
  [SMALL_STATE(13781)] = 648940,
  [SMALL_STATE(13782)] = 648971,
  [SMALL_STATE(13783)] = 649010,
  [SMALL_STATE(13784)] = 649041,
  [SMALL_STATE(13785)] = 649072,
  [SMALL_STATE(13786)] = 649111,
  [SMALL_STATE(13787)] = 649142,
  [SMALL_STATE(13788)] = 649173,
  [SMALL_STATE(13789)] = 649212,
  [SMALL_STATE(13790)] = 649243,
  [SMALL_STATE(13791)] = 649282,
  [SMALL_STATE(13792)] = 649321,
  [SMALL_STATE(13793)] = 649360,
  [SMALL_STATE(13794)] = 649385,
  [SMALL_STATE(13795)] = 649424,
  [SMALL_STATE(13796)] = 649463,
  [SMALL_STATE(13797)] = 649490,
  [SMALL_STATE(13798)] = 649529,
  [SMALL_STATE(13799)] = 649556,
  [SMALL_STATE(13800)] = 649595,
  [SMALL_STATE(13801)] = 649622,
  [SMALL_STATE(13802)] = 649661,
  [SMALL_STATE(13803)] = 649692,
  [SMALL_STATE(13804)] = 649731,
  [SMALL_STATE(13805)] = 649770,
  [SMALL_STATE(13806)] = 649809,
  [SMALL_STATE(13807)] = 649848,
  [SMALL_STATE(13808)] = 649879,
  [SMALL_STATE(13809)] = 649910,
  [SMALL_STATE(13810)] = 649941,
  [SMALL_STATE(13811)] = 649980,
  [SMALL_STATE(13812)] = 650019,
  [SMALL_STATE(13813)] = 650046,
  [SMALL_STATE(13814)] = 650077,
  [SMALL_STATE(13815)] = 650116,
  [SMALL_STATE(13816)] = 650155,
  [SMALL_STATE(13817)] = 650192,
  [SMALL_STATE(13818)] = 650223,
  [SMALL_STATE(13819)] = 650254,
  [SMALL_STATE(13820)] = 650285,
  [SMALL_STATE(13821)] = 650324,
  [SMALL_STATE(13822)] = 650363,
  [SMALL_STATE(13823)] = 650402,
  [SMALL_STATE(13824)] = 650429,
  [SMALL_STATE(13825)] = 650454,
  [SMALL_STATE(13826)] = 650485,
  [SMALL_STATE(13827)] = 650524,
  [SMALL_STATE(13828)] = 650555,
  [SMALL_STATE(13829)] = 650584,
  [SMALL_STATE(13830)] = 650615,
  [SMALL_STATE(13831)] = 650654,
  [SMALL_STATE(13832)] = 650693,
  [SMALL_STATE(13833)] = 650724,
  [SMALL_STATE(13834)] = 650763,
  [SMALL_STATE(13835)] = 650794,
  [SMALL_STATE(13836)] = 650825,
  [SMALL_STATE(13837)] = 650856,
  [SMALL_STATE(13838)] = 650895,
  [SMALL_STATE(13839)] = 650934,
  [SMALL_STATE(13840)] = 650965,
  [SMALL_STATE(13841)] = 650996,
  [SMALL_STATE(13842)] = 651027,
  [SMALL_STATE(13843)] = 651066,
  [SMALL_STATE(13844)] = 651093,
  [SMALL_STATE(13845)] = 651120,
  [SMALL_STATE(13846)] = 651159,
  [SMALL_STATE(13847)] = 651196,
  [SMALL_STATE(13848)] = 651227,
  [SMALL_STATE(13849)] = 651258,
  [SMALL_STATE(13850)] = 651289,
  [SMALL_STATE(13851)] = 651328,
  [SMALL_STATE(13852)] = 651359,
  [SMALL_STATE(13853)] = 651390,
  [SMALL_STATE(13854)] = 651421,
  [SMALL_STATE(13855)] = 651452,
  [SMALL_STATE(13856)] = 651483,
  [SMALL_STATE(13857)] = 651514,
  [SMALL_STATE(13858)] = 651545,
  [SMALL_STATE(13859)] = 651584,
  [SMALL_STATE(13860)] = 651629,
  [SMALL_STATE(13861)] = 651656,
  [SMALL_STATE(13862)] = 651695,
  [SMALL_STATE(13863)] = 651734,
  [SMALL_STATE(13864)] = 651773,
  [SMALL_STATE(13865)] = 651804,
  [SMALL_STATE(13866)] = 651835,
  [SMALL_STATE(13867)] = 651862,
  [SMALL_STATE(13868)] = 651889,
  [SMALL_STATE(13869)] = 651928,
  [SMALL_STATE(13870)] = 651959,
  [SMALL_STATE(13871)] = 651990,
  [SMALL_STATE(13872)] = 652021,
  [SMALL_STATE(13873)] = 652060,
  [SMALL_STATE(13874)] = 652099,
  [SMALL_STATE(13875)] = 652130,
  [SMALL_STATE(13876)] = 652157,
  [SMALL_STATE(13877)] = 652184,
  [SMALL_STATE(13878)] = 652215,
  [SMALL_STATE(13879)] = 652242,
  [SMALL_STATE(13880)] = 652271,
  [SMALL_STATE(13881)] = 652302,
  [SMALL_STATE(13882)] = 652333,
  [SMALL_STATE(13883)] = 652364,
  [SMALL_STATE(13884)] = 652393,
  [SMALL_STATE(13885)] = 652432,
  [SMALL_STATE(13886)] = 652463,
  [SMALL_STATE(13887)] = 652494,
  [SMALL_STATE(13888)] = 652535,
  [SMALL_STATE(13889)] = 652574,
  [SMALL_STATE(13890)] = 652605,
  [SMALL_STATE(13891)] = 652636,
  [SMALL_STATE(13892)] = 652661,
  [SMALL_STATE(13893)] = 652692,
  [SMALL_STATE(13894)] = 652735,
  [SMALL_STATE(13895)] = 652774,
  [SMALL_STATE(13896)] = 652813,
  [SMALL_STATE(13897)] = 652844,
  [SMALL_STATE(13898)] = 652883,
  [SMALL_STATE(13899)] = 652914,
  [SMALL_STATE(13900)] = 652945,
  [SMALL_STATE(13901)] = 652972,
  [SMALL_STATE(13902)] = 652999,
  [SMALL_STATE(13903)] = 653026,
  [SMALL_STATE(13904)] = 653055,
  [SMALL_STATE(13905)] = 653094,
  [SMALL_STATE(13906)] = 653133,
  [SMALL_STATE(13907)] = 653164,
  [SMALL_STATE(13908)] = 653203,
  [SMALL_STATE(13909)] = 653242,
  [SMALL_STATE(13910)] = 653269,
  [SMALL_STATE(13911)] = 653308,
  [SMALL_STATE(13912)] = 653347,
  [SMALL_STATE(13913)] = 653392,
  [SMALL_STATE(13914)] = 653423,
  [SMALL_STATE(13915)] = 653450,
  [SMALL_STATE(13916)] = 653481,
  [SMALL_STATE(13917)] = 653520,
  [SMALL_STATE(13918)] = 653559,
  [SMALL_STATE(13919)] = 653590,
  [SMALL_STATE(13920)] = 653629,
  [SMALL_STATE(13921)] = 653656,
  [SMALL_STATE(13922)] = 653683,
  [SMALL_STATE(13923)] = 653708,
  [SMALL_STATE(13924)] = 653739,
  [SMALL_STATE(13925)] = 653778,
  [SMALL_STATE(13926)] = 653805,
  [SMALL_STATE(13927)] = 653833,
  [SMALL_STATE(13928)] = 653859,
  [SMALL_STATE(13929)] = 653885,
  [SMALL_STATE(13930)] = 653911,
  [SMALL_STATE(13931)] = 653937,
  [SMALL_STATE(13932)] = 653963,
  [SMALL_STATE(13933)] = 653989,
  [SMALL_STATE(13934)] = 654015,
  [SMALL_STATE(13935)] = 654041,
  [SMALL_STATE(13936)] = 654067,
  [SMALL_STATE(13937)] = 654093,
  [SMALL_STATE(13938)] = 654123,
  [SMALL_STATE(13939)] = 654147,
  [SMALL_STATE(13940)] = 654173,
  [SMALL_STATE(13941)] = 654203,
  [SMALL_STATE(13942)] = 654233,
  [SMALL_STATE(13943)] = 654259,
  [SMALL_STATE(13944)] = 654285,
  [SMALL_STATE(13945)] = 654311,
  [SMALL_STATE(13946)] = 654337,
  [SMALL_STATE(13947)] = 654363,
  [SMALL_STATE(13948)] = 654393,
  [SMALL_STATE(13949)] = 654419,
  [SMALL_STATE(13950)] = 654449,
  [SMALL_STATE(13951)] = 654477,
  [SMALL_STATE(13952)] = 654503,
  [SMALL_STATE(13953)] = 654529,
  [SMALL_STATE(13954)] = 654563,
  [SMALL_STATE(13955)] = 654587,
  [SMALL_STATE(13956)] = 654613,
  [SMALL_STATE(13957)] = 654639,
  [SMALL_STATE(13958)] = 654665,
  [SMALL_STATE(13959)] = 654691,
  [SMALL_STATE(13960)] = 654717,
  [SMALL_STATE(13961)] = 654743,
  [SMALL_STATE(13962)] = 654767,
  [SMALL_STATE(13963)] = 654797,
  [SMALL_STATE(13964)] = 654823,
  [SMALL_STATE(13965)] = 654853,
  [SMALL_STATE(13966)] = 654879,
  [SMALL_STATE(13967)] = 654907,
  [SMALL_STATE(13968)] = 654933,
  [SMALL_STATE(13969)] = 654961,
  [SMALL_STATE(13970)] = 654987,
  [SMALL_STATE(13971)] = 655013,
  [SMALL_STATE(13972)] = 655039,
  [SMALL_STATE(13973)] = 655065,
  [SMALL_STATE(13974)] = 655091,
  [SMALL_STATE(13975)] = 655117,
  [SMALL_STATE(13976)] = 655147,
  [SMALL_STATE(13977)] = 655177,
  [SMALL_STATE(13978)] = 655207,
  [SMALL_STATE(13979)] = 655233,
  [SMALL_STATE(13980)] = 655266,
  [SMALL_STATE(13981)] = 655295,
  [SMALL_STATE(13982)] = 655320,
  [SMALL_STATE(13983)] = 655345,
  [SMALL_STATE(13984)] = 655378,
  [SMALL_STATE(13985)] = 655405,
  [SMALL_STATE(13986)] = 655430,
  [SMALL_STATE(13987)] = 655469,
  [SMALL_STATE(13988)] = 655492,
  [SMALL_STATE(13989)] = 655515,
  [SMALL_STATE(13990)] = 655544,
  [SMALL_STATE(13991)] = 655567,
  [SMALL_STATE(13992)] = 655592,
  [SMALL_STATE(13993)] = 655631,
  [SMALL_STATE(13994)] = 655656,
  [SMALL_STATE(13995)] = 655681,
  [SMALL_STATE(13996)] = 655706,
  [SMALL_STATE(13997)] = 655745,
  [SMALL_STATE(13998)] = 655774,
  [SMALL_STATE(13999)] = 655797,
  [SMALL_STATE(14000)] = 655822,
  [SMALL_STATE(14001)] = 655845,
  [SMALL_STATE(14002)] = 655870,
  [SMALL_STATE(14003)] = 655895,
  [SMALL_STATE(14004)] = 655920,
  [SMALL_STATE(14005)] = 655945,
  [SMALL_STATE(14006)] = 655970,
  [SMALL_STATE(14007)] = 655995,
  [SMALL_STATE(14008)] = 656024,
  [SMALL_STATE(14009)] = 656049,
  [SMALL_STATE(14010)] = 656074,
  [SMALL_STATE(14011)] = 656099,
  [SMALL_STATE(14012)] = 656122,
  [SMALL_STATE(14013)] = 656147,
  [SMALL_STATE(14014)] = 656188,
  [SMALL_STATE(14015)] = 656217,
  [SMALL_STATE(14016)] = 656258,
  [SMALL_STATE(14017)] = 656281,
  [SMALL_STATE(14018)] = 656304,
  [SMALL_STATE(14019)] = 656329,
  [SMALL_STATE(14020)] = 656354,
  [SMALL_STATE(14021)] = 656381,
  [SMALL_STATE(14022)] = 656406,
  [SMALL_STATE(14023)] = 656437,
  [SMALL_STATE(14024)] = 656462,
  [SMALL_STATE(14025)] = 656487,
  [SMALL_STATE(14026)] = 656514,
  [SMALL_STATE(14027)] = 656553,
  [SMALL_STATE(14028)] = 656578,
  [SMALL_STATE(14029)] = 656619,
  [SMALL_STATE(14030)] = 656642,
  [SMALL_STATE(14031)] = 656665,
  [SMALL_STATE(14032)] = 656690,
  [SMALL_STATE(14033)] = 656729,
  [SMALL_STATE(14034)] = 656768,
  [SMALL_STATE(14035)] = 656809,
  [SMALL_STATE(14036)] = 656848,
  [SMALL_STATE(14037)] = 656871,
  [SMALL_STATE(14038)] = 656896,
  [SMALL_STATE(14039)] = 656919,
  [SMALL_STATE(14040)] = 656944,
  [SMALL_STATE(14041)] = 656971,
  [SMALL_STATE(14042)] = 656996,
  [SMALL_STATE(14043)] = 657019,
  [SMALL_STATE(14044)] = 657060,
  [SMALL_STATE(14045)] = 657099,
  [SMALL_STATE(14046)] = 657140,
  [SMALL_STATE(14047)] = 657174,
  [SMALL_STATE(14048)] = 657204,
  [SMALL_STATE(14049)] = 657228,
  [SMALL_STATE(14050)] = 657258,
  [SMALL_STATE(14051)] = 657282,
  [SMALL_STATE(14052)] = 657306,
  [SMALL_STATE(14053)] = 657330,
  [SMALL_STATE(14054)] = 657364,
  [SMALL_STATE(14055)] = 657394,
  [SMALL_STATE(14056)] = 657424,
  [SMALL_STATE(14057)] = 657454,
  [SMALL_STATE(14058)] = 657484,
  [SMALL_STATE(14059)] = 657518,
  [SMALL_STATE(14060)] = 657542,
  [SMALL_STATE(14061)] = 657566,
  [SMALL_STATE(14062)] = 657596,
  [SMALL_STATE(14063)] = 657626,
  [SMALL_STATE(14064)] = 657664,
  [SMALL_STATE(14065)] = 657688,
  [SMALL_STATE(14066)] = 657718,
  [SMALL_STATE(14067)] = 657754,
  [SMALL_STATE(14068)] = 657784,
  [SMALL_STATE(14069)] = 657822,
  [SMALL_STATE(14070)] = 657852,
  [SMALL_STATE(14071)] = 657890,
  [SMALL_STATE(14072)] = 657928,
  [SMALL_STATE(14073)] = 657958,
  [SMALL_STATE(14074)] = 657988,
  [SMALL_STATE(14075)] = 658018,
  [SMALL_STATE(14076)] = 658048,
  [SMALL_STATE(14077)] = 658086,
  [SMALL_STATE(14078)] = 658124,
  [SMALL_STATE(14079)] = 658154,
  [SMALL_STATE(14080)] = 658192,
  [SMALL_STATE(14081)] = 658230,
  [SMALL_STATE(14082)] = 658254,
  [SMALL_STATE(14083)] = 658284,
  [SMALL_STATE(14084)] = 658320,
  [SMALL_STATE(14085)] = 658346,
  [SMALL_STATE(14086)] = 658376,
  [SMALL_STATE(14087)] = 658406,
  [SMALL_STATE(14088)] = 658428,
  [SMALL_STATE(14089)] = 658458,
  [SMALL_STATE(14090)] = 658488,
  [SMALL_STATE(14091)] = 658518,
  [SMALL_STATE(14092)] = 658556,
  [SMALL_STATE(14093)] = 658586,
  [SMALL_STATE(14094)] = 658616,
  [SMALL_STATE(14095)] = 658646,
  [SMALL_STATE(14096)] = 658676,
  [SMALL_STATE(14097)] = 658706,
  [SMALL_STATE(14098)] = 658736,
  [SMALL_STATE(14099)] = 658766,
  [SMALL_STATE(14100)] = 658796,
  [SMALL_STATE(14101)] = 658826,
  [SMALL_STATE(14102)] = 658856,
  [SMALL_STATE(14103)] = 658886,
  [SMALL_STATE(14104)] = 658908,
  [SMALL_STATE(14105)] = 658944,
  [SMALL_STATE(14106)] = 658966,
  [SMALL_STATE(14107)] = 659004,
  [SMALL_STATE(14108)] = 659038,
  [SMALL_STATE(14109)] = 659062,
  [SMALL_STATE(14110)] = 659086,
  [SMALL_STATE(14111)] = 659108,
  [SMALL_STATE(14112)] = 659132,
  [SMALL_STATE(14113)] = 659162,
  [SMALL_STATE(14114)] = 659200,
  [SMALL_STATE(14115)] = 659224,
  [SMALL_STATE(14116)] = 659262,
  [SMALL_STATE(14117)] = 659298,
  [SMALL_STATE(14118)] = 659322,
  [SMALL_STATE(14119)] = 659356,
  [SMALL_STATE(14120)] = 659390,
  [SMALL_STATE(14121)] = 659426,
  [SMALL_STATE(14122)] = 659464,
  [SMALL_STATE(14123)] = 659502,
  [SMALL_STATE(14124)] = 659540,
  [SMALL_STATE(14125)] = 659570,
  [SMALL_STATE(14126)] = 659608,
  [SMALL_STATE(14127)] = 659646,
  [SMALL_STATE(14128)] = 659670,
  [SMALL_STATE(14129)] = 659706,
  [SMALL_STATE(14130)] = 659740,
  [SMALL_STATE(14131)] = 659778,
  [SMALL_STATE(14132)] = 659816,
  [SMALL_STATE(14133)] = 659846,
  [SMALL_STATE(14134)] = 659880,
  [SMALL_STATE(14135)] = 659904,
  [SMALL_STATE(14136)] = 659938,
  [SMALL_STATE(14137)] = 659974,
  [SMALL_STATE(14138)] = 660008,
  [SMALL_STATE(14139)] = 660044,
  [SMALL_STATE(14140)] = 660078,
  [SMALL_STATE(14141)] = 660108,
  [SMALL_STATE(14142)] = 660146,
  [SMALL_STATE(14143)] = 660182,
  [SMALL_STATE(14144)] = 660220,
  [SMALL_STATE(14145)] = 660254,
  [SMALL_STATE(14146)] = 660290,
  [SMALL_STATE(14147)] = 660328,
  [SMALL_STATE(14148)] = 660366,
  [SMALL_STATE(14149)] = 660404,
  [SMALL_STATE(14150)] = 660434,
  [SMALL_STATE(14151)] = 660464,
  [SMALL_STATE(14152)] = 660488,
  [SMALL_STATE(14153)] = 660512,
  [SMALL_STATE(14154)] = 660548,
  [SMALL_STATE(14155)] = 660572,
  [SMALL_STATE(14156)] = 660598,
  [SMALL_STATE(14157)] = 660634,
  [SMALL_STATE(14158)] = 660658,
  [SMALL_STATE(14159)] = 660692,
  [SMALL_STATE(14160)] = 660726,
  [SMALL_STATE(14161)] = 660750,
  [SMALL_STATE(14162)] = 660784,
  [SMALL_STATE(14163)] = 660814,
  [SMALL_STATE(14164)] = 660838,
  [SMALL_STATE(14165)] = 660862,
  [SMALL_STATE(14166)] = 660900,
  [SMALL_STATE(14167)] = 660924,
  [SMALL_STATE(14168)] = 660948,
  [SMALL_STATE(14169)] = 660978,
  [SMALL_STATE(14170)] = 661016,
  [SMALL_STATE(14171)] = 661054,
  [SMALL_STATE(14172)] = 661092,
  [SMALL_STATE(14173)] = 661126,
  [SMALL_STATE(14174)] = 661164,
  [SMALL_STATE(14175)] = 661202,
  [SMALL_STATE(14176)] = 661224,
  [SMALL_STATE(14177)] = 661254,
  [SMALL_STATE(14178)] = 661278,
  [SMALL_STATE(14179)] = 661302,
  [SMALL_STATE(14180)] = 661332,
  [SMALL_STATE(14181)] = 661356,
  [SMALL_STATE(14182)] = 661386,
  [SMALL_STATE(14183)] = 661410,
  [SMALL_STATE(14184)] = 661448,
  [SMALL_STATE(14185)] = 661478,
  [SMALL_STATE(14186)] = 661516,
  [SMALL_STATE(14187)] = 661540,
  [SMALL_STATE(14188)] = 661578,
  [SMALL_STATE(14189)] = 661616,
  [SMALL_STATE(14190)] = 661640,
  [SMALL_STATE(14191)] = 661678,
  [SMALL_STATE(14192)] = 661702,
  [SMALL_STATE(14193)] = 661732,
  [SMALL_STATE(14194)] = 661766,
  [SMALL_STATE(14195)] = 661790,
  [SMALL_STATE(14196)] = 661812,
  [SMALL_STATE(14197)] = 661850,
  [SMALL_STATE(14198)] = 661884,
  [SMALL_STATE(14199)] = 661914,
  [SMALL_STATE(14200)] = 661938,
  [SMALL_STATE(14201)] = 661972,
  [SMALL_STATE(14202)] = 661994,
  [SMALL_STATE(14203)] = 662018,
  [SMALL_STATE(14204)] = 662048,
  [SMALL_STATE(14205)] = 662082,
  [SMALL_STATE(14206)] = 662106,
  [SMALL_STATE(14207)] = 662130,
  [SMALL_STATE(14208)] = 662160,
  [SMALL_STATE(14209)] = 662184,
  [SMALL_STATE(14210)] = 662214,
  [SMALL_STATE(14211)] = 662252,
  [SMALL_STATE(14212)] = 662276,
  [SMALL_STATE(14213)] = 662306,
  [SMALL_STATE(14214)] = 662344,
  [SMALL_STATE(14215)] = 662368,
  [SMALL_STATE(14216)] = 662398,
  [SMALL_STATE(14217)] = 662422,
  [SMALL_STATE(14218)] = 662452,
  [SMALL_STATE(14219)] = 662490,
  [SMALL_STATE(14220)] = 662512,
  [SMALL_STATE(14221)] = 662550,
  [SMALL_STATE(14222)] = 662584,
  [SMALL_STATE(14223)] = 662614,
  [SMALL_STATE(14224)] = 662648,
  [SMALL_STATE(14225)] = 662672,
  [SMALL_STATE(14226)] = 662696,
  [SMALL_STATE(14227)] = 662720,
  [SMALL_STATE(14228)] = 662758,
  [SMALL_STATE(14229)] = 662792,
  [SMALL_STATE(14230)] = 662830,
  [SMALL_STATE(14231)] = 662860,
  [SMALL_STATE(14232)] = 662888,
  [SMALL_STATE(14233)] = 662926,
  [SMALL_STATE(14234)] = 662950,
  [SMALL_STATE(14235)] = 662980,
  [SMALL_STATE(14236)] = 663018,
  [SMALL_STATE(14237)] = 663048,
  [SMALL_STATE(14238)] = 663084,
  [SMALL_STATE(14239)] = 663118,
  [SMALL_STATE(14240)] = 663151,
  [SMALL_STATE(14241)] = 663184,
  [SMALL_STATE(14242)] = 663211,
  [SMALL_STATE(14243)] = 663244,
  [SMALL_STATE(14244)] = 663271,
  [SMALL_STATE(14245)] = 663306,
  [SMALL_STATE(14246)] = 663341,
  [SMALL_STATE(14247)] = 663374,
  [SMALL_STATE(14248)] = 663409,
  [SMALL_STATE(14249)] = 663444,
  [SMALL_STATE(14250)] = 663477,
  [SMALL_STATE(14251)] = 663502,
  [SMALL_STATE(14252)] = 663537,
  [SMALL_STATE(14253)] = 663570,
  [SMALL_STATE(14254)] = 663591,
  [SMALL_STATE(14255)] = 663612,
  [SMALL_STATE(14256)] = 663645,
  [SMALL_STATE(14257)] = 663680,
  [SMALL_STATE(14258)] = 663705,
  [SMALL_STATE(14259)] = 663738,
  [SMALL_STATE(14260)] = 663773,
  [SMALL_STATE(14261)] = 663806,
  [SMALL_STATE(14262)] = 663839,
  [SMALL_STATE(14263)] = 663872,
  [SMALL_STATE(14264)] = 663905,
  [SMALL_STATE(14265)] = 663938,
  [SMALL_STATE(14266)] = 663961,
  [SMALL_STATE(14267)] = 663996,
  [SMALL_STATE(14268)] = 664031,
  [SMALL_STATE(14269)] = 664064,
  [SMALL_STATE(14270)] = 664097,
  [SMALL_STATE(14271)] = 664118,
  [SMALL_STATE(14272)] = 664151,
  [SMALL_STATE(14273)] = 664186,
  [SMALL_STATE(14274)] = 664221,
  [SMALL_STATE(14275)] = 664254,
  [SMALL_STATE(14276)] = 664281,
  [SMALL_STATE(14277)] = 664314,
  [SMALL_STATE(14278)] = 664349,
  [SMALL_STATE(14279)] = 664382,
  [SMALL_STATE(14280)] = 664417,
  [SMALL_STATE(14281)] = 664452,
  [SMALL_STATE(14282)] = 664485,
  [SMALL_STATE(14283)] = 664518,
  [SMALL_STATE(14284)] = 664541,
  [SMALL_STATE(14285)] = 664566,
  [SMALL_STATE(14286)] = 664599,
  [SMALL_STATE(14287)] = 664632,
  [SMALL_STATE(14288)] = 664667,
  [SMALL_STATE(14289)] = 664692,
  [SMALL_STATE(14290)] = 664725,
  [SMALL_STATE(14291)] = 664748,
  [SMALL_STATE(14292)] = 664783,
  [SMALL_STATE(14293)] = 664818,
  [SMALL_STATE(14294)] = 664851,
  [SMALL_STATE(14295)] = 664878,
  [SMALL_STATE(14296)] = 664903,
  [SMALL_STATE(14297)] = 664928,
  [SMALL_STATE(14298)] = 664963,
  [SMALL_STATE(14299)] = 664998,
  [SMALL_STATE(14300)] = 665033,
  [SMALL_STATE(14301)] = 665068,
  [SMALL_STATE(14302)] = 665103,
  [SMALL_STATE(14303)] = 665138,
  [SMALL_STATE(14304)] = 665173,
  [SMALL_STATE(14305)] = 665196,
  [SMALL_STATE(14306)] = 665229,
  [SMALL_STATE(14307)] = 665262,
  [SMALL_STATE(14308)] = 665297,
  [SMALL_STATE(14309)] = 665332,
  [SMALL_STATE(14310)] = 665365,
  [SMALL_STATE(14311)] = 665400,
  [SMALL_STATE(14312)] = 665435,
  [SMALL_STATE(14313)] = 665468,
  [SMALL_STATE(14314)] = 665495,
  [SMALL_STATE(14315)] = 665530,
  [SMALL_STATE(14316)] = 665554,
  [SMALL_STATE(14317)] = 665586,
  [SMALL_STATE(14318)] = 665618,
  [SMALL_STATE(14319)] = 665650,
  [SMALL_STATE(14320)] = 665682,
  [SMALL_STATE(14321)] = 665704,
  [SMALL_STATE(14322)] = 665736,
  [SMALL_STATE(14323)] = 665758,
  [SMALL_STATE(14324)] = 665790,
  [SMALL_STATE(14325)] = 665822,
  [SMALL_STATE(14326)] = 665854,
  [SMALL_STATE(14327)] = 665886,
  [SMALL_STATE(14328)] = 665918,
  [SMALL_STATE(14329)] = 665950,
  [SMALL_STATE(14330)] = 665982,
  [SMALL_STATE(14331)] = 666012,
  [SMALL_STATE(14332)] = 666042,
  [SMALL_STATE(14333)] = 666074,
  [SMALL_STATE(14334)] = 666106,
  [SMALL_STATE(14335)] = 666138,
  [SMALL_STATE(14336)] = 666170,
  [SMALL_STATE(14337)] = 666192,
  [SMALL_STATE(14338)] = 666222,
  [SMALL_STATE(14339)] = 666244,
  [SMALL_STATE(14340)] = 666276,
  [SMALL_STATE(14341)] = 666298,
  [SMALL_STATE(14342)] = 666330,
  [SMALL_STATE(14343)] = 666360,
  [SMALL_STATE(14344)] = 666392,
  [SMALL_STATE(14345)] = 666414,
  [SMALL_STATE(14346)] = 666446,
  [SMALL_STATE(14347)] = 666468,
  [SMALL_STATE(14348)] = 666490,
  [SMALL_STATE(14349)] = 666522,
  [SMALL_STATE(14350)] = 666544,
  [SMALL_STATE(14351)] = 666566,
  [SMALL_STATE(14352)] = 666588,
  [SMALL_STATE(14353)] = 666620,
  [SMALL_STATE(14354)] = 666652,
  [SMALL_STATE(14355)] = 666684,
  [SMALL_STATE(14356)] = 666716,
  [SMALL_STATE(14357)] = 666748,
  [SMALL_STATE(14358)] = 666780,
  [SMALL_STATE(14359)] = 666812,
  [SMALL_STATE(14360)] = 666844,
  [SMALL_STATE(14361)] = 666876,
  [SMALL_STATE(14362)] = 666906,
  [SMALL_STATE(14363)] = 666928,
  [SMALL_STATE(14364)] = 666960,
  [SMALL_STATE(14365)] = 666992,
  [SMALL_STATE(14366)] = 667024,
  [SMALL_STATE(14367)] = 667046,
  [SMALL_STATE(14368)] = 667076,
  [SMALL_STATE(14369)] = 667108,
  [SMALL_STATE(14370)] = 667140,
  [SMALL_STATE(14371)] = 667172,
  [SMALL_STATE(14372)] = 667204,
  [SMALL_STATE(14373)] = 667236,
  [SMALL_STATE(14374)] = 667258,
  [SMALL_STATE(14375)] = 667286,
  [SMALL_STATE(14376)] = 667318,
  [SMALL_STATE(14377)] = 667350,
  [SMALL_STATE(14378)] = 667382,
  [SMALL_STATE(14379)] = 667406,
  [SMALL_STATE(14380)] = 667438,
  [SMALL_STATE(14381)] = 667470,
  [SMALL_STATE(14382)] = 667502,
  [SMALL_STATE(14383)] = 667526,
  [SMALL_STATE(14384)] = 667556,
  [SMALL_STATE(14385)] = 667588,
  [SMALL_STATE(14386)] = 667620,
  [SMALL_STATE(14387)] = 667642,
  [SMALL_STATE(14388)] = 667674,
  [SMALL_STATE(14389)] = 667706,
  [SMALL_STATE(14390)] = 667728,
  [SMALL_STATE(14391)] = 667760,
  [SMALL_STATE(14392)] = 667782,
  [SMALL_STATE(14393)] = 667812,
  [SMALL_STATE(14394)] = 667844,
  [SMALL_STATE(14395)] = 667866,
  [SMALL_STATE(14396)] = 667898,
  [SMALL_STATE(14397)] = 667928,
  [SMALL_STATE(14398)] = 667960,
  [SMALL_STATE(14399)] = 667992,
  [SMALL_STATE(14400)] = 668024,
  [SMALL_STATE(14401)] = 668056,
  [SMALL_STATE(14402)] = 668088,
  [SMALL_STATE(14403)] = 668120,
  [SMALL_STATE(14404)] = 668152,
  [SMALL_STATE(14405)] = 668182,
  [SMALL_STATE(14406)] = 668214,
  [SMALL_STATE(14407)] = 668246,
  [SMALL_STATE(14408)] = 668278,
  [SMALL_STATE(14409)] = 668304,
  [SMALL_STATE(14410)] = 668334,
  [SMALL_STATE(14411)] = 668356,
  [SMALL_STATE(14412)] = 668386,
  [SMALL_STATE(14413)] = 668418,
  [SMALL_STATE(14414)] = 668448,
  [SMALL_STATE(14415)] = 668478,
  [SMALL_STATE(14416)] = 668510,
  [SMALL_STATE(14417)] = 668542,
  [SMALL_STATE(14418)] = 668574,
  [SMALL_STATE(14419)] = 668596,
  [SMALL_STATE(14420)] = 668626,
  [SMALL_STATE(14421)] = 668658,
  [SMALL_STATE(14422)] = 668690,
  [SMALL_STATE(14423)] = 668722,
  [SMALL_STATE(14424)] = 668754,
  [SMALL_STATE(14425)] = 668786,
  [SMALL_STATE(14426)] = 668818,
  [SMALL_STATE(14427)] = 668840,
  [SMALL_STATE(14428)] = 668872,
  [SMALL_STATE(14429)] = 668896,
  [SMALL_STATE(14430)] = 668918,
  [SMALL_STATE(14431)] = 668940,
  [SMALL_STATE(14432)] = 668962,
  [SMALL_STATE(14433)] = 668994,
  [SMALL_STATE(14434)] = 669026,
  [SMALL_STATE(14435)] = 669058,
  [SMALL_STATE(14436)] = 669080,
  [SMALL_STATE(14437)] = 669112,
  [SMALL_STATE(14438)] = 669144,
  [SMALL_STATE(14439)] = 669176,
  [SMALL_STATE(14440)] = 669198,
  [SMALL_STATE(14441)] = 669230,
  [SMALL_STATE(14442)] = 669254,
  [SMALL_STATE(14443)] = 669276,
  [SMALL_STATE(14444)] = 669308,
  [SMALL_STATE(14445)] = 669340,
  [SMALL_STATE(14446)] = 669372,
  [SMALL_STATE(14447)] = 669404,
  [SMALL_STATE(14448)] = 669436,
  [SMALL_STATE(14449)] = 669468,
  [SMALL_STATE(14450)] = 669500,
  [SMALL_STATE(14451)] = 669524,
  [SMALL_STATE(14452)] = 669554,
  [SMALL_STATE(14453)] = 669586,
  [SMALL_STATE(14454)] = 669616,
  [SMALL_STATE(14455)] = 669648,
  [SMALL_STATE(14456)] = 669680,
  [SMALL_STATE(14457)] = 669712,
  [SMALL_STATE(14458)] = 669744,
  [SMALL_STATE(14459)] = 669774,
  [SMALL_STATE(14460)] = 669806,
  [SMALL_STATE(14461)] = 669838,
  [SMALL_STATE(14462)] = 669860,
  [SMALL_STATE(14463)] = 669892,
  [SMALL_STATE(14464)] = 669924,
  [SMALL_STATE(14465)] = 669948,
  [SMALL_STATE(14466)] = 669980,
  [SMALL_STATE(14467)] = 670010,
  [SMALL_STATE(14468)] = 670042,
  [SMALL_STATE(14469)] = 670074,
  [SMALL_STATE(14470)] = 670096,
  [SMALL_STATE(14471)] = 670128,
  [SMALL_STATE(14472)] = 670148,
  [SMALL_STATE(14473)] = 670180,
  [SMALL_STATE(14474)] = 670212,
  [SMALL_STATE(14475)] = 670244,
  [SMALL_STATE(14476)] = 670276,
  [SMALL_STATE(14477)] = 670306,
  [SMALL_STATE(14478)] = 670328,
  [SMALL_STATE(14479)] = 670360,
  [SMALL_STATE(14480)] = 670392,
  [SMALL_STATE(14481)] = 670424,
  [SMALL_STATE(14482)] = 670456,
  [SMALL_STATE(14483)] = 670488,
  [SMALL_STATE(14484)] = 670508,
  [SMALL_STATE(14485)] = 670540,
  [SMALL_STATE(14486)] = 670560,
  [SMALL_STATE(14487)] = 670584,
  [SMALL_STATE(14488)] = 670608,
  [SMALL_STATE(14489)] = 670640,
  [SMALL_STATE(14490)] = 670672,
  [SMALL_STATE(14491)] = 670704,
  [SMALL_STATE(14492)] = 670726,
  [SMALL_STATE(14493)] = 670758,
  [SMALL_STATE(14494)] = 670790,
  [SMALL_STATE(14495)] = 670810,
  [SMALL_STATE(14496)] = 670832,
  [SMALL_STATE(14497)] = 670864,
  [SMALL_STATE(14498)] = 670884,
  [SMALL_STATE(14499)] = 670916,
  [SMALL_STATE(14500)] = 670948,
  [SMALL_STATE(14501)] = 670972,
  [SMALL_STATE(14502)] = 671004,
  [SMALL_STATE(14503)] = 671036,
  [SMALL_STATE(14504)] = 671062,
  [SMALL_STATE(14505)] = 671094,
  [SMALL_STATE(14506)] = 671126,
  [SMALL_STATE(14507)] = 671158,
  [SMALL_STATE(14508)] = 671190,
  [SMALL_STATE(14509)] = 671222,
  [SMALL_STATE(14510)] = 671244,
  [SMALL_STATE(14511)] = 671276,
  [SMALL_STATE(14512)] = 671308,
  [SMALL_STATE(14513)] = 671340,
  [SMALL_STATE(14514)] = 671372,
  [SMALL_STATE(14515)] = 671404,
  [SMALL_STATE(14516)] = 671436,
  [SMALL_STATE(14517)] = 671458,
  [SMALL_STATE(14518)] = 671478,
  [SMALL_STATE(14519)] = 671508,
  [SMALL_STATE(14520)] = 671540,
  [SMALL_STATE(14521)] = 671572,
  [SMALL_STATE(14522)] = 671604,
  [SMALL_STATE(14523)] = 671636,
  [SMALL_STATE(14524)] = 671668,
  [SMALL_STATE(14525)] = 671700,
  [SMALL_STATE(14526)] = 671732,
  [SMALL_STATE(14527)] = 671762,
  [SMALL_STATE(14528)] = 671794,
  [SMALL_STATE(14529)] = 671826,
  [SMALL_STATE(14530)] = 671858,
  [SMALL_STATE(14531)] = 671890,
  [SMALL_STATE(14532)] = 671922,
  [SMALL_STATE(14533)] = 671954,
  [SMALL_STATE(14534)] = 671986,
  [SMALL_STATE(14535)] = 672018,
  [SMALL_STATE(14536)] = 672038,
  [SMALL_STATE(14537)] = 672070,
  [SMALL_STATE(14538)] = 672094,
  [SMALL_STATE(14539)] = 672116,
  [SMALL_STATE(14540)] = 672148,
  [SMALL_STATE(14541)] = 672170,
  [SMALL_STATE(14542)] = 672202,
  [SMALL_STATE(14543)] = 672234,
  [SMALL_STATE(14544)] = 672266,
  [SMALL_STATE(14545)] = 672298,
  [SMALL_STATE(14546)] = 672330,
  [SMALL_STATE(14547)] = 672362,
  [SMALL_STATE(14548)] = 672384,
  [SMALL_STATE(14549)] = 672416,
  [SMALL_STATE(14550)] = 672448,
  [SMALL_STATE(14551)] = 672480,
  [SMALL_STATE(14552)] = 672504,
  [SMALL_STATE(14553)] = 672536,
  [SMALL_STATE(14554)] = 672568,
  [SMALL_STATE(14555)] = 672588,
  [SMALL_STATE(14556)] = 672612,
  [SMALL_STATE(14557)] = 672634,
  [SMALL_STATE(14558)] = 672660,
  [SMALL_STATE(14559)] = 672692,
  [SMALL_STATE(14560)] = 672714,
  [SMALL_STATE(14561)] = 672736,
  [SMALL_STATE(14562)] = 672768,
  [SMALL_STATE(14563)] = 672800,
  [SMALL_STATE(14564)] = 672830,
  [SMALL_STATE(14565)] = 672862,
  [SMALL_STATE(14566)] = 672882,
  [SMALL_STATE(14567)] = 672914,
  [SMALL_STATE(14568)] = 672936,
  [SMALL_STATE(14569)] = 672968,
  [SMALL_STATE(14570)] = 672996,
  [SMALL_STATE(14571)] = 673028,
  [SMALL_STATE(14572)] = 673060,
  [SMALL_STATE(14573)] = 673092,
  [SMALL_STATE(14574)] = 673124,
  [SMALL_STATE(14575)] = 673156,
  [SMALL_STATE(14576)] = 673180,
  [SMALL_STATE(14577)] = 673212,
  [SMALL_STATE(14578)] = 673234,
  [SMALL_STATE(14579)] = 673266,
  [SMALL_STATE(14580)] = 673298,
  [SMALL_STATE(14581)] = 673330,
  [SMALL_STATE(14582)] = 673362,
  [SMALL_STATE(14583)] = 673394,
  [SMALL_STATE(14584)] = 673426,
  [SMALL_STATE(14585)] = 673458,
  [SMALL_STATE(14586)] = 673490,
  [SMALL_STATE(14587)] = 673512,
  [SMALL_STATE(14588)] = 673544,
  [SMALL_STATE(14589)] = 673574,
  [SMALL_STATE(14590)] = 673606,
  [SMALL_STATE(14591)] = 673638,
  [SMALL_STATE(14592)] = 673670,
  [SMALL_STATE(14593)] = 673692,
  [SMALL_STATE(14594)] = 673722,
  [SMALL_STATE(14595)] = 673754,
  [SMALL_STATE(14596)] = 673786,
  [SMALL_STATE(14597)] = 673818,
  [SMALL_STATE(14598)] = 673848,
  [SMALL_STATE(14599)] = 673880,
  [SMALL_STATE(14600)] = 673902,
  [SMALL_STATE(14601)] = 673934,
  [SMALL_STATE(14602)] = 673966,
  [SMALL_STATE(14603)] = 673998,
  [SMALL_STATE(14604)] = 674030,
  [SMALL_STATE(14605)] = 674050,
  [SMALL_STATE(14606)] = 674082,
  [SMALL_STATE(14607)] = 674114,
  [SMALL_STATE(14608)] = 674146,
  [SMALL_STATE(14609)] = 674168,
  [SMALL_STATE(14610)] = 674200,
  [SMALL_STATE(14611)] = 674232,
  [SMALL_STATE(14612)] = 674264,
  [SMALL_STATE(14613)] = 674296,
  [SMALL_STATE(14614)] = 674328,
  [SMALL_STATE(14615)] = 674360,
  [SMALL_STATE(14616)] = 674392,
  [SMALL_STATE(14617)] = 674424,
  [SMALL_STATE(14618)] = 674456,
  [SMALL_STATE(14619)] = 674488,
  [SMALL_STATE(14620)] = 674510,
  [SMALL_STATE(14621)] = 674542,
  [SMALL_STATE(14622)] = 674564,
  [SMALL_STATE(14623)] = 674596,
  [SMALL_STATE(14624)] = 674628,
  [SMALL_STATE(14625)] = 674660,
  [SMALL_STATE(14626)] = 674692,
  [SMALL_STATE(14627)] = 674722,
  [SMALL_STATE(14628)] = 674754,
  [SMALL_STATE(14629)] = 674786,
  [SMALL_STATE(14630)] = 674818,
  [SMALL_STATE(14631)] = 674850,
  [SMALL_STATE(14632)] = 674882,
  [SMALL_STATE(14633)] = 674912,
  [SMALL_STATE(14634)] = 674944,
  [SMALL_STATE(14635)] = 674976,
  [SMALL_STATE(14636)] = 675008,
  [SMALL_STATE(14637)] = 675040,
  [SMALL_STATE(14638)] = 675072,
  [SMALL_STATE(14639)] = 675104,
  [SMALL_STATE(14640)] = 675136,
  [SMALL_STATE(14641)] = 675160,
  [SMALL_STATE(14642)] = 675192,
  [SMALL_STATE(14643)] = 675222,
  [SMALL_STATE(14644)] = 675246,
  [SMALL_STATE(14645)] = 675278,
  [SMALL_STATE(14646)] = 675310,
  [SMALL_STATE(14647)] = 675342,
  [SMALL_STATE(14648)] = 675374,
  [SMALL_STATE(14649)] = 675406,
  [SMALL_STATE(14650)] = 675438,
  [SMALL_STATE(14651)] = 675470,
  [SMALL_STATE(14652)] = 675500,
  [SMALL_STATE(14653)] = 675530,
  [SMALL_STATE(14654)] = 675560,
  [SMALL_STATE(14655)] = 675590,
  [SMALL_STATE(14656)] = 675612,
  [SMALL_STATE(14657)] = 675644,
  [SMALL_STATE(14658)] = 675673,
  [SMALL_STATE(14659)] = 675702,
  [SMALL_STATE(14660)] = 675731,
  [SMALL_STATE(14661)] = 675758,
  [SMALL_STATE(14662)] = 675787,
  [SMALL_STATE(14663)] = 675808,
  [SMALL_STATE(14664)] = 675837,
  [SMALL_STATE(14665)] = 675866,
  [SMALL_STATE(14666)] = 675887,
  [SMALL_STATE(14667)] = 675908,
  [SMALL_STATE(14668)] = 675929,
  [SMALL_STATE(14669)] = 675958,
  [SMALL_STATE(14670)] = 675983,
  [SMALL_STATE(14671)] = 676010,
  [SMALL_STATE(14672)] = 676039,
  [SMALL_STATE(14673)] = 676068,
  [SMALL_STATE(14674)] = 676097,
  [SMALL_STATE(14675)] = 676126,
  [SMALL_STATE(14676)] = 676155,
  [SMALL_STATE(14677)] = 676182,
  [SMALL_STATE(14678)] = 676211,
  [SMALL_STATE(14679)] = 676240,
  [SMALL_STATE(14680)] = 676261,
  [SMALL_STATE(14681)] = 676290,
  [SMALL_STATE(14682)] = 676317,
  [SMALL_STATE(14683)] = 676338,
  [SMALL_STATE(14684)] = 676367,
  [SMALL_STATE(14685)] = 676396,
  [SMALL_STATE(14686)] = 676425,
  [SMALL_STATE(14687)] = 676454,
  [SMALL_STATE(14688)] = 676483,
  [SMALL_STATE(14689)] = 676512,
  [SMALL_STATE(14690)] = 676533,
  [SMALL_STATE(14691)] = 676562,
  [SMALL_STATE(14692)] = 676583,
  [SMALL_STATE(14693)] = 676612,
  [SMALL_STATE(14694)] = 676641,
  [SMALL_STATE(14695)] = 676670,
  [SMALL_STATE(14696)] = 676699,
  [SMALL_STATE(14697)] = 676720,
  [SMALL_STATE(14698)] = 676747,
  [SMALL_STATE(14699)] = 676774,
  [SMALL_STATE(14700)] = 676803,
  [SMALL_STATE(14701)] = 676832,
  [SMALL_STATE(14702)] = 676853,
  [SMALL_STATE(14703)] = 676882,
  [SMALL_STATE(14704)] = 676903,
  [SMALL_STATE(14705)] = 676932,
  [SMALL_STATE(14706)] = 676959,
  [SMALL_STATE(14707)] = 676988,
  [SMALL_STATE(14708)] = 677017,
  [SMALL_STATE(14709)] = 677042,
  [SMALL_STATE(14710)] = 677063,
  [SMALL_STATE(14711)] = 677092,
  [SMALL_STATE(14712)] = 677121,
  [SMALL_STATE(14713)] = 677142,
  [SMALL_STATE(14714)] = 677165,
  [SMALL_STATE(14715)] = 677194,
  [SMALL_STATE(14716)] = 677223,
  [SMALL_STATE(14717)] = 677252,
  [SMALL_STATE(14718)] = 677281,
  [SMALL_STATE(14719)] = 677310,
  [SMALL_STATE(14720)] = 677339,
  [SMALL_STATE(14721)] = 677368,
  [SMALL_STATE(14722)] = 677397,
  [SMALL_STATE(14723)] = 677426,
  [SMALL_STATE(14724)] = 677453,
  [SMALL_STATE(14725)] = 677482,
  [SMALL_STATE(14726)] = 677511,
  [SMALL_STATE(14727)] = 677540,
  [SMALL_STATE(14728)] = 677569,
  [SMALL_STATE(14729)] = 677598,
  [SMALL_STATE(14730)] = 677627,
  [SMALL_STATE(14731)] = 677656,
  [SMALL_STATE(14732)] = 677685,
  [SMALL_STATE(14733)] = 677714,
  [SMALL_STATE(14734)] = 677743,
  [SMALL_STATE(14735)] = 677764,
  [SMALL_STATE(14736)] = 677787,
  [SMALL_STATE(14737)] = 677816,
  [SMALL_STATE(14738)] = 677837,
  [SMALL_STATE(14739)] = 677866,
  [SMALL_STATE(14740)] = 677895,
  [SMALL_STATE(14741)] = 677924,
  [SMALL_STATE(14742)] = 677945,
  [SMALL_STATE(14743)] = 677974,
  [SMALL_STATE(14744)] = 678001,
  [SMALL_STATE(14745)] = 678030,
  [SMALL_STATE(14746)] = 678051,
  [SMALL_STATE(14747)] = 678072,
  [SMALL_STATE(14748)] = 678101,
  [SMALL_STATE(14749)] = 678130,
  [SMALL_STATE(14750)] = 678159,
  [SMALL_STATE(14751)] = 678180,
  [SMALL_STATE(14752)] = 678209,
  [SMALL_STATE(14753)] = 678230,
  [SMALL_STATE(14754)] = 678259,
  [SMALL_STATE(14755)] = 678280,
  [SMALL_STATE(14756)] = 678309,
  [SMALL_STATE(14757)] = 678330,
  [SMALL_STATE(14758)] = 678351,
  [SMALL_STATE(14759)] = 678372,
  [SMALL_STATE(14760)] = 678399,
  [SMALL_STATE(14761)] = 678428,
  [SMALL_STATE(14762)] = 678457,
  [SMALL_STATE(14763)] = 678486,
  [SMALL_STATE(14764)] = 678507,
  [SMALL_STATE(14765)] = 678536,
  [SMALL_STATE(14766)] = 678563,
  [SMALL_STATE(14767)] = 678590,
  [SMALL_STATE(14768)] = 678615,
  [SMALL_STATE(14769)] = 678644,
  [SMALL_STATE(14770)] = 678673,
  [SMALL_STATE(14771)] = 678702,
  [SMALL_STATE(14772)] = 678729,
  [SMALL_STATE(14773)] = 678758,
  [SMALL_STATE(14774)] = 678787,
  [SMALL_STATE(14775)] = 678816,
  [SMALL_STATE(14776)] = 678837,
  [SMALL_STATE(14777)] = 678866,
  [SMALL_STATE(14778)] = 678887,
  [SMALL_STATE(14779)] = 678908,
  [SMALL_STATE(14780)] = 678929,
  [SMALL_STATE(14781)] = 678950,
  [SMALL_STATE(14782)] = 678971,
  [SMALL_STATE(14783)] = 679000,
  [SMALL_STATE(14784)] = 679029,
  [SMALL_STATE(14785)] = 679058,
  [SMALL_STATE(14786)] = 679087,
  [SMALL_STATE(14787)] = 679108,
  [SMALL_STATE(14788)] = 679133,
  [SMALL_STATE(14789)] = 679162,
  [SMALL_STATE(14790)] = 679183,
  [SMALL_STATE(14791)] = 679212,
  [SMALL_STATE(14792)] = 679241,
  [SMALL_STATE(14793)] = 679270,
  [SMALL_STATE(14794)] = 679291,
  [SMALL_STATE(14795)] = 679320,
  [SMALL_STATE(14796)] = 679341,
  [SMALL_STATE(14797)] = 679370,
  [SMALL_STATE(14798)] = 679399,
  [SMALL_STATE(14799)] = 679428,
  [SMALL_STATE(14800)] = 679449,
  [SMALL_STATE(14801)] = 679476,
  [SMALL_STATE(14802)] = 679497,
  [SMALL_STATE(14803)] = 679526,
  [SMALL_STATE(14804)] = 679547,
  [SMALL_STATE(14805)] = 679568,
  [SMALL_STATE(14806)] = 679589,
  [SMALL_STATE(14807)] = 679610,
  [SMALL_STATE(14808)] = 679631,
  [SMALL_STATE(14809)] = 679660,
  [SMALL_STATE(14810)] = 679689,
  [SMALL_STATE(14811)] = 679716,
  [SMALL_STATE(14812)] = 679737,
  [SMALL_STATE(14813)] = 679762,
  [SMALL_STATE(14814)] = 679791,
  [SMALL_STATE(14815)] = 679812,
  [SMALL_STATE(14816)] = 679841,
  [SMALL_STATE(14817)] = 679862,
  [SMALL_STATE(14818)] = 679891,
  [SMALL_STATE(14819)] = 679920,
  [SMALL_STATE(14820)] = 679947,
  [SMALL_STATE(14821)] = 679976,
  [SMALL_STATE(14822)] = 680003,
  [SMALL_STATE(14823)] = 680030,
  [SMALL_STATE(14824)] = 680051,
  [SMALL_STATE(14825)] = 680080,
  [SMALL_STATE(14826)] = 680109,
  [SMALL_STATE(14827)] = 680138,
  [SMALL_STATE(14828)] = 680159,
  [SMALL_STATE(14829)] = 680186,
  [SMALL_STATE(14830)] = 680207,
  [SMALL_STATE(14831)] = 680228,
  [SMALL_STATE(14832)] = 680249,
  [SMALL_STATE(14833)] = 680270,
  [SMALL_STATE(14834)] = 680299,
  [SMALL_STATE(14835)] = 680320,
  [SMALL_STATE(14836)] = 680341,
  [SMALL_STATE(14837)] = 680362,
  [SMALL_STATE(14838)] = 680389,
  [SMALL_STATE(14839)] = 680410,
  [SMALL_STATE(14840)] = 680439,
  [SMALL_STATE(14841)] = 680464,
  [SMALL_STATE(14842)] = 680487,
  [SMALL_STATE(14843)] = 680512,
  [SMALL_STATE(14844)] = 680535,
  [SMALL_STATE(14845)] = 680556,
  [SMALL_STATE(14846)] = 680585,
  [SMALL_STATE(14847)] = 680614,
  [SMALL_STATE(14848)] = 680643,
  [SMALL_STATE(14849)] = 680672,
  [SMALL_STATE(14850)] = 680701,
  [SMALL_STATE(14851)] = 680730,
  [SMALL_STATE(14852)] = 680759,
  [SMALL_STATE(14853)] = 680786,
  [SMALL_STATE(14854)] = 680807,
  [SMALL_STATE(14855)] = 680836,
  [SMALL_STATE(14856)] = 680865,
  [SMALL_STATE(14857)] = 680894,
  [SMALL_STATE(14858)] = 680915,
  [SMALL_STATE(14859)] = 680944,
  [SMALL_STATE(14860)] = 680973,
  [SMALL_STATE(14861)] = 681002,
  [SMALL_STATE(14862)] = 681023,
  [SMALL_STATE(14863)] = 681052,
  [SMALL_STATE(14864)] = 681079,
  [SMALL_STATE(14865)] = 681106,
  [SMALL_STATE(14866)] = 681135,
  [SMALL_STATE(14867)] = 681164,
  [SMALL_STATE(14868)] = 681193,
  [SMALL_STATE(14869)] = 681220,
  [SMALL_STATE(14870)] = 681249,
  [SMALL_STATE(14871)] = 681278,
  [SMALL_STATE(14872)] = 681307,
  [SMALL_STATE(14873)] = 681336,
  [SMALL_STATE(14874)] = 681365,
  [SMALL_STATE(14875)] = 681386,
  [SMALL_STATE(14876)] = 681407,
  [SMALL_STATE(14877)] = 681436,
  [SMALL_STATE(14878)] = 681465,
  [SMALL_STATE(14879)] = 681486,
  [SMALL_STATE(14880)] = 681513,
  [SMALL_STATE(14881)] = 681542,
  [SMALL_STATE(14882)] = 681571,
  [SMALL_STATE(14883)] = 681600,
  [SMALL_STATE(14884)] = 681629,
  [SMALL_STATE(14885)] = 681658,
  [SMALL_STATE(14886)] = 681679,
  [SMALL_STATE(14887)] = 681708,
  [SMALL_STATE(14888)] = 681737,
  [SMALL_STATE(14889)] = 681758,
  [SMALL_STATE(14890)] = 681787,
  [SMALL_STATE(14891)] = 681814,
  [SMALL_STATE(14892)] = 681835,
  [SMALL_STATE(14893)] = 681864,
  [SMALL_STATE(14894)] = 681893,
  [SMALL_STATE(14895)] = 681922,
  [SMALL_STATE(14896)] = 681943,
  [SMALL_STATE(14897)] = 681972,
  [SMALL_STATE(14898)] = 682001,
  [SMALL_STATE(14899)] = 682022,
  [SMALL_STATE(14900)] = 682043,
  [SMALL_STATE(14901)] = 682072,
  [SMALL_STATE(14902)] = 682101,
  [SMALL_STATE(14903)] = 682130,
  [SMALL_STATE(14904)] = 682159,
  [SMALL_STATE(14905)] = 682188,
  [SMALL_STATE(14906)] = 682211,
  [SMALL_STATE(14907)] = 682238,
  [SMALL_STATE(14908)] = 682267,
  [SMALL_STATE(14909)] = 682296,
  [SMALL_STATE(14910)] = 682325,
  [SMALL_STATE(14911)] = 682354,
  [SMALL_STATE(14912)] = 682383,
  [SMALL_STATE(14913)] = 682412,
  [SMALL_STATE(14914)] = 682433,
  [SMALL_STATE(14915)] = 682462,
  [SMALL_STATE(14916)] = 682491,
  [SMALL_STATE(14917)] = 682520,
  [SMALL_STATE(14918)] = 682549,
  [SMALL_STATE(14919)] = 682578,
  [SMALL_STATE(14920)] = 682607,
  [SMALL_STATE(14921)] = 682636,
  [SMALL_STATE(14922)] = 682657,
  [SMALL_STATE(14923)] = 682686,
  [SMALL_STATE(14924)] = 682715,
  [SMALL_STATE(14925)] = 682736,
  [SMALL_STATE(14926)] = 682765,
  [SMALL_STATE(14927)] = 682794,
  [SMALL_STATE(14928)] = 682815,
  [SMALL_STATE(14929)] = 682844,
  [SMALL_STATE(14930)] = 682871,
  [SMALL_STATE(14931)] = 682892,
  [SMALL_STATE(14932)] = 682913,
  [SMALL_STATE(14933)] = 682934,
  [SMALL_STATE(14934)] = 682955,
  [SMALL_STATE(14935)] = 682984,
  [SMALL_STATE(14936)] = 683011,
  [SMALL_STATE(14937)] = 683040,
  [SMALL_STATE(14938)] = 683069,
  [SMALL_STATE(14939)] = 683098,
  [SMALL_STATE(14940)] = 683127,
  [SMALL_STATE(14941)] = 683156,
  [SMALL_STATE(14942)] = 683185,
  [SMALL_STATE(14943)] = 683214,
  [SMALL_STATE(14944)] = 683243,
  [SMALL_STATE(14945)] = 683272,
  [SMALL_STATE(14946)] = 683301,
  [SMALL_STATE(14947)] = 683330,
  [SMALL_STATE(14948)] = 683359,
  [SMALL_STATE(14949)] = 683386,
  [SMALL_STATE(14950)] = 683415,
  [SMALL_STATE(14951)] = 683444,
  [SMALL_STATE(14952)] = 683465,
  [SMALL_STATE(14953)] = 683494,
  [SMALL_STATE(14954)] = 683523,
  [SMALL_STATE(14955)] = 683546,
  [SMALL_STATE(14956)] = 683567,
  [SMALL_STATE(14957)] = 683596,
  [SMALL_STATE(14958)] = 683625,
  [SMALL_STATE(14959)] = 683654,
  [SMALL_STATE(14960)] = 683681,
  [SMALL_STATE(14961)] = 683708,
  [SMALL_STATE(14962)] = 683733,
  [SMALL_STATE(14963)] = 683762,
  [SMALL_STATE(14964)] = 683785,
  [SMALL_STATE(14965)] = 683808,
  [SMALL_STATE(14966)] = 683837,
  [SMALL_STATE(14967)] = 683858,
  [SMALL_STATE(14968)] = 683879,
  [SMALL_STATE(14969)] = 683908,
  [SMALL_STATE(14970)] = 683937,
  [SMALL_STATE(14971)] = 683964,
  [SMALL_STATE(14972)] = 683985,
  [SMALL_STATE(14973)] = 684006,
  [SMALL_STATE(14974)] = 684035,
  [SMALL_STATE(14975)] = 684056,
  [SMALL_STATE(14976)] = 684077,
  [SMALL_STATE(14977)] = 684106,
  [SMALL_STATE(14978)] = 684135,
  [SMALL_STATE(14979)] = 684164,
  [SMALL_STATE(14980)] = 684185,
  [SMALL_STATE(14981)] = 684214,
  [SMALL_STATE(14982)] = 684243,
  [SMALL_STATE(14983)] = 684264,
  [SMALL_STATE(14984)] = 684285,
  [SMALL_STATE(14985)] = 684314,
  [SMALL_STATE(14986)] = 684343,
  [SMALL_STATE(14987)] = 684370,
  [SMALL_STATE(14988)] = 684391,
  [SMALL_STATE(14989)] = 684420,
  [SMALL_STATE(14990)] = 684449,
  [SMALL_STATE(14991)] = 684478,
  [SMALL_STATE(14992)] = 684499,
  [SMALL_STATE(14993)] = 684528,
  [SMALL_STATE(14994)] = 684549,
  [SMALL_STATE(14995)] = 684578,
  [SMALL_STATE(14996)] = 684607,
  [SMALL_STATE(14997)] = 684636,
  [SMALL_STATE(14998)] = 684665,
  [SMALL_STATE(14999)] = 684694,
  [SMALL_STATE(15000)] = 684723,
  [SMALL_STATE(15001)] = 684752,
  [SMALL_STATE(15002)] = 684781,
  [SMALL_STATE(15003)] = 684810,
  [SMALL_STATE(15004)] = 684839,
  [SMALL_STATE(15005)] = 684868,
  [SMALL_STATE(15006)] = 684889,
  [SMALL_STATE(15007)] = 684918,
  [SMALL_STATE(15008)] = 684947,
  [SMALL_STATE(15009)] = 684976,
  [SMALL_STATE(15010)] = 684997,
  [SMALL_STATE(15011)] = 685026,
  [SMALL_STATE(15012)] = 685055,
  [SMALL_STATE(15013)] = 685084,
  [SMALL_STATE(15014)] = 685113,
  [SMALL_STATE(15015)] = 685139,
  [SMALL_STATE(15016)] = 685165,
  [SMALL_STATE(15017)] = 685191,
  [SMALL_STATE(15018)] = 685217,
  [SMALL_STATE(15019)] = 685243,
  [SMALL_STATE(15020)] = 685267,
  [SMALL_STATE(15021)] = 685291,
  [SMALL_STATE(15022)] = 685317,
  [SMALL_STATE(15023)] = 685343,
  [SMALL_STATE(15024)] = 685369,
  [SMALL_STATE(15025)] = 685395,
  [SMALL_STATE(15026)] = 685421,
  [SMALL_STATE(15027)] = 685447,
  [SMALL_STATE(15028)] = 685473,
  [SMALL_STATE(15029)] = 685499,
  [SMALL_STATE(15030)] = 685525,
  [SMALL_STATE(15031)] = 685543,
  [SMALL_STATE(15032)] = 685561,
  [SMALL_STATE(15033)] = 685587,
  [SMALL_STATE(15034)] = 685613,
  [SMALL_STATE(15035)] = 685639,
  [SMALL_STATE(15036)] = 685665,
  [SMALL_STATE(15037)] = 685691,
  [SMALL_STATE(15038)] = 685717,
  [SMALL_STATE(15039)] = 685739,
  [SMALL_STATE(15040)] = 685765,
  [SMALL_STATE(15041)] = 685791,
  [SMALL_STATE(15042)] = 685817,
  [SMALL_STATE(15043)] = 685843,
  [SMALL_STATE(15044)] = 685869,
  [SMALL_STATE(15045)] = 685895,
  [SMALL_STATE(15046)] = 685921,
  [SMALL_STATE(15047)] = 685947,
  [SMALL_STATE(15048)] = 685973,
  [SMALL_STATE(15049)] = 685999,
  [SMALL_STATE(15050)] = 686025,
  [SMALL_STATE(15051)] = 686051,
  [SMALL_STATE(15052)] = 686077,
  [SMALL_STATE(15053)] = 686103,
  [SMALL_STATE(15054)] = 686129,
  [SMALL_STATE(15055)] = 686155,
  [SMALL_STATE(15056)] = 686181,
  [SMALL_STATE(15057)] = 686207,
  [SMALL_STATE(15058)] = 686231,
  [SMALL_STATE(15059)] = 686255,
  [SMALL_STATE(15060)] = 686279,
  [SMALL_STATE(15061)] = 686305,
  [SMALL_STATE(15062)] = 686331,
  [SMALL_STATE(15063)] = 686355,
  [SMALL_STATE(15064)] = 686373,
  [SMALL_STATE(15065)] = 686399,
  [SMALL_STATE(15066)] = 686425,
  [SMALL_STATE(15067)] = 686443,
  [SMALL_STATE(15068)] = 686461,
  [SMALL_STATE(15069)] = 686487,
  [SMALL_STATE(15070)] = 686505,
  [SMALL_STATE(15071)] = 686531,
  [SMALL_STATE(15072)] = 686557,
  [SMALL_STATE(15073)] = 686583,
  [SMALL_STATE(15074)] = 686607,
  [SMALL_STATE(15075)] = 686631,
  [SMALL_STATE(15076)] = 686655,
  [SMALL_STATE(15077)] = 686681,
  [SMALL_STATE(15078)] = 686707,
  [SMALL_STATE(15079)] = 686729,
  [SMALL_STATE(15080)] = 686755,
  [SMALL_STATE(15081)] = 686779,
  [SMALL_STATE(15082)] = 686803,
  [SMALL_STATE(15083)] = 686827,
  [SMALL_STATE(15084)] = 686853,
  [SMALL_STATE(15085)] = 686879,
  [SMALL_STATE(15086)] = 686903,
  [SMALL_STATE(15087)] = 686927,
  [SMALL_STATE(15088)] = 686953,
  [SMALL_STATE(15089)] = 686975,
  [SMALL_STATE(15090)] = 687001,
  [SMALL_STATE(15091)] = 687027,
  [SMALL_STATE(15092)] = 687053,
  [SMALL_STATE(15093)] = 687079,
  [SMALL_STATE(15094)] = 687105,
  [SMALL_STATE(15095)] = 687131,
  [SMALL_STATE(15096)] = 687157,
  [SMALL_STATE(15097)] = 687183,
  [SMALL_STATE(15098)] = 687209,
  [SMALL_STATE(15099)] = 687233,
  [SMALL_STATE(15100)] = 687251,
  [SMALL_STATE(15101)] = 687275,
  [SMALL_STATE(15102)] = 687301,
  [SMALL_STATE(15103)] = 687327,
  [SMALL_STATE(15104)] = 687353,
  [SMALL_STATE(15105)] = 687377,
  [SMALL_STATE(15106)] = 687403,
  [SMALL_STATE(15107)] = 687429,
  [SMALL_STATE(15108)] = 687455,
  [SMALL_STATE(15109)] = 687481,
  [SMALL_STATE(15110)] = 687507,
  [SMALL_STATE(15111)] = 687531,
  [SMALL_STATE(15112)] = 687557,
  [SMALL_STATE(15113)] = 687583,
  [SMALL_STATE(15114)] = 687609,
  [SMALL_STATE(15115)] = 687635,
  [SMALL_STATE(15116)] = 687661,
  [SMALL_STATE(15117)] = 687687,
  [SMALL_STATE(15118)] = 687711,
  [SMALL_STATE(15119)] = 687737,
  [SMALL_STATE(15120)] = 687763,
  [SMALL_STATE(15121)] = 687789,
  [SMALL_STATE(15122)] = 687815,
  [SMALL_STATE(15123)] = 687839,
  [SMALL_STATE(15124)] = 687865,
  [SMALL_STATE(15125)] = 687891,
  [SMALL_STATE(15126)] = 687917,
  [SMALL_STATE(15127)] = 687943,
  [SMALL_STATE(15128)] = 687967,
  [SMALL_STATE(15129)] = 687989,
  [SMALL_STATE(15130)] = 688015,
  [SMALL_STATE(15131)] = 688041,
  [SMALL_STATE(15132)] = 688067,
  [SMALL_STATE(15133)] = 688093,
  [SMALL_STATE(15134)] = 688119,
  [SMALL_STATE(15135)] = 688145,
  [SMALL_STATE(15136)] = 688171,
  [SMALL_STATE(15137)] = 688193,
  [SMALL_STATE(15138)] = 688219,
  [SMALL_STATE(15139)] = 688245,
  [SMALL_STATE(15140)] = 688271,
  [SMALL_STATE(15141)] = 688297,
  [SMALL_STATE(15142)] = 688319,
  [SMALL_STATE(15143)] = 688345,
  [SMALL_STATE(15144)] = 688367,
  [SMALL_STATE(15145)] = 688387,
  [SMALL_STATE(15146)] = 688413,
  [SMALL_STATE(15147)] = 688433,
  [SMALL_STATE(15148)] = 688459,
  [SMALL_STATE(15149)] = 688485,
  [SMALL_STATE(15150)] = 688511,
  [SMALL_STATE(15151)] = 688537,
  [SMALL_STATE(15152)] = 688559,
  [SMALL_STATE(15153)] = 688585,
  [SMALL_STATE(15154)] = 688611,
  [SMALL_STATE(15155)] = 688637,
  [SMALL_STATE(15156)] = 688663,
  [SMALL_STATE(15157)] = 688689,
  [SMALL_STATE(15158)] = 688715,
  [SMALL_STATE(15159)] = 688741,
  [SMALL_STATE(15160)] = 688767,
  [SMALL_STATE(15161)] = 688789,
  [SMALL_STATE(15162)] = 688815,
  [SMALL_STATE(15163)] = 688841,
  [SMALL_STATE(15164)] = 688867,
  [SMALL_STATE(15165)] = 688889,
  [SMALL_STATE(15166)] = 688915,
  [SMALL_STATE(15167)] = 688941,
  [SMALL_STATE(15168)] = 688967,
  [SMALL_STATE(15169)] = 688993,
  [SMALL_STATE(15170)] = 689019,
  [SMALL_STATE(15171)] = 689045,
  [SMALL_STATE(15172)] = 689071,
  [SMALL_STATE(15173)] = 689097,
  [SMALL_STATE(15174)] = 689123,
  [SMALL_STATE(15175)] = 689149,
  [SMALL_STATE(15176)] = 689175,
  [SMALL_STATE(15177)] = 689201,
  [SMALL_STATE(15178)] = 689227,
  [SMALL_STATE(15179)] = 689253,
  [SMALL_STATE(15180)] = 689279,
  [SMALL_STATE(15181)] = 689305,
  [SMALL_STATE(15182)] = 689331,
  [SMALL_STATE(15183)] = 689357,
  [SMALL_STATE(15184)] = 689383,
  [SMALL_STATE(15185)] = 689409,
  [SMALL_STATE(15186)] = 689435,
  [SMALL_STATE(15187)] = 689461,
  [SMALL_STATE(15188)] = 689487,
  [SMALL_STATE(15189)] = 689509,
  [SMALL_STATE(15190)] = 689531,
  [SMALL_STATE(15191)] = 689557,
  [SMALL_STATE(15192)] = 689583,
  [SMALL_STATE(15193)] = 689609,
  [SMALL_STATE(15194)] = 689631,
  [SMALL_STATE(15195)] = 689657,
  [SMALL_STATE(15196)] = 689683,
  [SMALL_STATE(15197)] = 689709,
  [SMALL_STATE(15198)] = 689735,
  [SMALL_STATE(15199)] = 689759,
  [SMALL_STATE(15200)] = 689781,
  [SMALL_STATE(15201)] = 689803,
  [SMALL_STATE(15202)] = 689829,
  [SMALL_STATE(15203)] = 689855,
  [SMALL_STATE(15204)] = 689881,
  [SMALL_STATE(15205)] = 689907,
  [SMALL_STATE(15206)] = 689933,
  [SMALL_STATE(15207)] = 689959,
  [SMALL_STATE(15208)] = 689985,
  [SMALL_STATE(15209)] = 690011,
  [SMALL_STATE(15210)] = 690033,
  [SMALL_STATE(15211)] = 690055,
  [SMALL_STATE(15212)] = 690077,
  [SMALL_STATE(15213)] = 690099,
  [SMALL_STATE(15214)] = 690121,
  [SMALL_STATE(15215)] = 690147,
  [SMALL_STATE(15216)] = 690173,
  [SMALL_STATE(15217)] = 690199,
  [SMALL_STATE(15218)] = 690223,
  [SMALL_STATE(15219)] = 690246,
  [SMALL_STATE(15220)] = 690269,
  [SMALL_STATE(15221)] = 690292,
  [SMALL_STATE(15222)] = 690311,
  [SMALL_STATE(15223)] = 690332,
  [SMALL_STATE(15224)] = 690355,
  [SMALL_STATE(15225)] = 690378,
  [SMALL_STATE(15226)] = 690401,
  [SMALL_STATE(15227)] = 690424,
  [SMALL_STATE(15228)] = 690447,
  [SMALL_STATE(15229)] = 690470,
  [SMALL_STATE(15230)] = 690493,
  [SMALL_STATE(15231)] = 690516,
  [SMALL_STATE(15232)] = 690539,
  [SMALL_STATE(15233)] = 690562,
  [SMALL_STATE(15234)] = 690585,
  [SMALL_STATE(15235)] = 690608,
  [SMALL_STATE(15236)] = 690631,
  [SMALL_STATE(15237)] = 690654,
  [SMALL_STATE(15238)] = 690677,
  [SMALL_STATE(15239)] = 690700,
  [SMALL_STATE(15240)] = 690723,
  [SMALL_STATE(15241)] = 690746,
  [SMALL_STATE(15242)] = 690767,
  [SMALL_STATE(15243)] = 690790,
  [SMALL_STATE(15244)] = 690813,
  [SMALL_STATE(15245)] = 690836,
  [SMALL_STATE(15246)] = 690859,
  [SMALL_STATE(15247)] = 690882,
  [SMALL_STATE(15248)] = 690905,
  [SMALL_STATE(15249)] = 690928,
  [SMALL_STATE(15250)] = 690951,
  [SMALL_STATE(15251)] = 690974,
  [SMALL_STATE(15252)] = 690997,
  [SMALL_STATE(15253)] = 691020,
  [SMALL_STATE(15254)] = 691043,
  [SMALL_STATE(15255)] = 691066,
  [SMALL_STATE(15256)] = 691089,
  [SMALL_STATE(15257)] = 691112,
  [SMALL_STATE(15258)] = 691135,
  [SMALL_STATE(15259)] = 691158,
  [SMALL_STATE(15260)] = 691181,
  [SMALL_STATE(15261)] = 691204,
  [SMALL_STATE(15262)] = 691227,
  [SMALL_STATE(15263)] = 691250,
  [SMALL_STATE(15264)] = 691273,
  [SMALL_STATE(15265)] = 691296,
  [SMALL_STATE(15266)] = 691319,
  [SMALL_STATE(15267)] = 691342,
  [SMALL_STATE(15268)] = 691365,
  [SMALL_STATE(15269)] = 691388,
  [SMALL_STATE(15270)] = 691411,
  [SMALL_STATE(15271)] = 691434,
  [SMALL_STATE(15272)] = 691457,
  [SMALL_STATE(15273)] = 691480,
  [SMALL_STATE(15274)] = 691503,
  [SMALL_STATE(15275)] = 691522,
  [SMALL_STATE(15276)] = 691545,
  [SMALL_STATE(15277)] = 691568,
  [SMALL_STATE(15278)] = 691591,
  [SMALL_STATE(15279)] = 691614,
  [SMALL_STATE(15280)] = 691637,
  [SMALL_STATE(15281)] = 691660,
  [SMALL_STATE(15282)] = 691683,
  [SMALL_STATE(15283)] = 691702,
  [SMALL_STATE(15284)] = 691725,
  [SMALL_STATE(15285)] = 691748,
  [SMALL_STATE(15286)] = 691771,
  [SMALL_STATE(15287)] = 691794,
  [SMALL_STATE(15288)] = 691817,
  [SMALL_STATE(15289)] = 691838,
  [SMALL_STATE(15290)] = 691861,
  [SMALL_STATE(15291)] = 691884,
  [SMALL_STATE(15292)] = 691907,
  [SMALL_STATE(15293)] = 691930,
  [SMALL_STATE(15294)] = 691953,
  [SMALL_STATE(15295)] = 691976,
  [SMALL_STATE(15296)] = 691999,
  [SMALL_STATE(15297)] = 692022,
  [SMALL_STATE(15298)] = 692043,
  [SMALL_STATE(15299)] = 692066,
  [SMALL_STATE(15300)] = 692089,
  [SMALL_STATE(15301)] = 692112,
  [SMALL_STATE(15302)] = 692135,
  [SMALL_STATE(15303)] = 692158,
  [SMALL_STATE(15304)] = 692181,
  [SMALL_STATE(15305)] = 692204,
  [SMALL_STATE(15306)] = 692227,
  [SMALL_STATE(15307)] = 692250,
  [SMALL_STATE(15308)] = 692273,
  [SMALL_STATE(15309)] = 692296,
  [SMALL_STATE(15310)] = 692319,
  [SMALL_STATE(15311)] = 692342,
  [SMALL_STATE(15312)] = 692363,
  [SMALL_STATE(15313)] = 692386,
  [SMALL_STATE(15314)] = 692409,
  [SMALL_STATE(15315)] = 692432,
  [SMALL_STATE(15316)] = 692455,
  [SMALL_STATE(15317)] = 692478,
  [SMALL_STATE(15318)] = 692501,
  [SMALL_STATE(15319)] = 692524,
  [SMALL_STATE(15320)] = 692547,
  [SMALL_STATE(15321)] = 692570,
  [SMALL_STATE(15322)] = 692593,
  [SMALL_STATE(15323)] = 692616,
  [SMALL_STATE(15324)] = 692639,
  [SMALL_STATE(15325)] = 692662,
  [SMALL_STATE(15326)] = 692685,
  [SMALL_STATE(15327)] = 692708,
  [SMALL_STATE(15328)] = 692731,
  [SMALL_STATE(15329)] = 692754,
  [SMALL_STATE(15330)] = 692777,
  [SMALL_STATE(15331)] = 692800,
  [SMALL_STATE(15332)] = 692819,
  [SMALL_STATE(15333)] = 692842,
  [SMALL_STATE(15334)] = 692865,
  [SMALL_STATE(15335)] = 692888,
  [SMALL_STATE(15336)] = 692911,
  [SMALL_STATE(15337)] = 692934,
  [SMALL_STATE(15338)] = 692957,
  [SMALL_STATE(15339)] = 692980,
  [SMALL_STATE(15340)] = 693003,
  [SMALL_STATE(15341)] = 693022,
  [SMALL_STATE(15342)] = 693045,
  [SMALL_STATE(15343)] = 693068,
  [SMALL_STATE(15344)] = 693091,
  [SMALL_STATE(15345)] = 693114,
  [SMALL_STATE(15346)] = 693137,
  [SMALL_STATE(15347)] = 693156,
  [SMALL_STATE(15348)] = 693179,
  [SMALL_STATE(15349)] = 693200,
  [SMALL_STATE(15350)] = 693223,
  [SMALL_STATE(15351)] = 693242,
  [SMALL_STATE(15352)] = 693265,
  [SMALL_STATE(15353)] = 693288,
  [SMALL_STATE(15354)] = 693311,
  [SMALL_STATE(15355)] = 693334,
  [SMALL_STATE(15356)] = 693357,
  [SMALL_STATE(15357)] = 693380,
  [SMALL_STATE(15358)] = 693403,
  [SMALL_STATE(15359)] = 693426,
  [SMALL_STATE(15360)] = 693449,
  [SMALL_STATE(15361)] = 693472,
  [SMALL_STATE(15362)] = 693493,
  [SMALL_STATE(15363)] = 693516,
  [SMALL_STATE(15364)] = 693539,
  [SMALL_STATE(15365)] = 693562,
  [SMALL_STATE(15366)] = 693585,
  [SMALL_STATE(15367)] = 693608,
  [SMALL_STATE(15368)] = 693631,
  [SMALL_STATE(15369)] = 693654,
  [SMALL_STATE(15370)] = 693677,
  [SMALL_STATE(15371)] = 693700,
  [SMALL_STATE(15372)] = 693723,
  [SMALL_STATE(15373)] = 693744,
  [SMALL_STATE(15374)] = 693767,
  [SMALL_STATE(15375)] = 693790,
  [SMALL_STATE(15376)] = 693809,
  [SMALL_STATE(15377)] = 693832,
  [SMALL_STATE(15378)] = 693855,
  [SMALL_STATE(15379)] = 693878,
  [SMALL_STATE(15380)] = 693901,
  [SMALL_STATE(15381)] = 693924,
  [SMALL_STATE(15382)] = 693947,
  [SMALL_STATE(15383)] = 693970,
  [SMALL_STATE(15384)] = 693993,
  [SMALL_STATE(15385)] = 694016,
  [SMALL_STATE(15386)] = 694039,
  [SMALL_STATE(15387)] = 694062,
  [SMALL_STATE(15388)] = 694085,
  [SMALL_STATE(15389)] = 694108,
  [SMALL_STATE(15390)] = 694127,
  [SMALL_STATE(15391)] = 694150,
  [SMALL_STATE(15392)] = 694173,
  [SMALL_STATE(15393)] = 694196,
  [SMALL_STATE(15394)] = 694219,
  [SMALL_STATE(15395)] = 694242,
  [SMALL_STATE(15396)] = 694265,
  [SMALL_STATE(15397)] = 694288,
  [SMALL_STATE(15398)] = 694311,
  [SMALL_STATE(15399)] = 694334,
  [SMALL_STATE(15400)] = 694357,
  [SMALL_STATE(15401)] = 694380,
  [SMALL_STATE(15402)] = 694401,
  [SMALL_STATE(15403)] = 694424,
  [SMALL_STATE(15404)] = 694445,
  [SMALL_STATE(15405)] = 694468,
  [SMALL_STATE(15406)] = 694489,
  [SMALL_STATE(15407)] = 694512,
  [SMALL_STATE(15408)] = 694535,
  [SMALL_STATE(15409)] = 694558,
  [SMALL_STATE(15410)] = 694581,
  [SMALL_STATE(15411)] = 694604,
  [SMALL_STATE(15412)] = 694627,
  [SMALL_STATE(15413)] = 694650,
  [SMALL_STATE(15414)] = 694673,
  [SMALL_STATE(15415)] = 694696,
  [SMALL_STATE(15416)] = 694719,
  [SMALL_STATE(15417)] = 694742,
  [SMALL_STATE(15418)] = 694761,
  [SMALL_STATE(15419)] = 694784,
  [SMALL_STATE(15420)] = 694807,
  [SMALL_STATE(15421)] = 694830,
  [SMALL_STATE(15422)] = 694853,
  [SMALL_STATE(15423)] = 694876,
  [SMALL_STATE(15424)] = 694899,
  [SMALL_STATE(15425)] = 694922,
  [SMALL_STATE(15426)] = 694945,
  [SMALL_STATE(15427)] = 694966,
  [SMALL_STATE(15428)] = 694989,
  [SMALL_STATE(15429)] = 695012,
  [SMALL_STATE(15430)] = 695035,
  [SMALL_STATE(15431)] = 695058,
  [SMALL_STATE(15432)] = 695081,
  [SMALL_STATE(15433)] = 695104,
  [SMALL_STATE(15434)] = 695127,
  [SMALL_STATE(15435)] = 695150,
  [SMALL_STATE(15436)] = 695171,
  [SMALL_STATE(15437)] = 695194,
  [SMALL_STATE(15438)] = 695213,
  [SMALL_STATE(15439)] = 695236,
  [SMALL_STATE(15440)] = 695259,
  [SMALL_STATE(15441)] = 695282,
  [SMALL_STATE(15442)] = 695305,
  [SMALL_STATE(15443)] = 695328,
  [SMALL_STATE(15444)] = 695351,
  [SMALL_STATE(15445)] = 695370,
  [SMALL_STATE(15446)] = 695393,
  [SMALL_STATE(15447)] = 695416,
  [SMALL_STATE(15448)] = 695439,
  [SMALL_STATE(15449)] = 695462,
  [SMALL_STATE(15450)] = 695485,
  [SMALL_STATE(15451)] = 695508,
  [SMALL_STATE(15452)] = 695527,
  [SMALL_STATE(15453)] = 695550,
  [SMALL_STATE(15454)] = 695571,
  [SMALL_STATE(15455)] = 695594,
  [SMALL_STATE(15456)] = 695617,
  [SMALL_STATE(15457)] = 695638,
  [SMALL_STATE(15458)] = 695661,
  [SMALL_STATE(15459)] = 695684,
  [SMALL_STATE(15460)] = 695707,
  [SMALL_STATE(15461)] = 695730,
  [SMALL_STATE(15462)] = 695753,
  [SMALL_STATE(15463)] = 695776,
  [SMALL_STATE(15464)] = 695799,
  [SMALL_STATE(15465)] = 695822,
  [SMALL_STATE(15466)] = 695845,
  [SMALL_STATE(15467)] = 695868,
  [SMALL_STATE(15468)] = 695891,
  [SMALL_STATE(15469)] = 695914,
  [SMALL_STATE(15470)] = 695937,
  [SMALL_STATE(15471)] = 695960,
  [SMALL_STATE(15472)] = 695983,
  [SMALL_STATE(15473)] = 696004,
  [SMALL_STATE(15474)] = 696027,
  [SMALL_STATE(15475)] = 696050,
  [SMALL_STATE(15476)] = 696073,
  [SMALL_STATE(15477)] = 696096,
  [SMALL_STATE(15478)] = 696117,
  [SMALL_STATE(15479)] = 696140,
  [SMALL_STATE(15480)] = 696163,
  [SMALL_STATE(15481)] = 696186,
  [SMALL_STATE(15482)] = 696209,
  [SMALL_STATE(15483)] = 696228,
  [SMALL_STATE(15484)] = 696251,
  [SMALL_STATE(15485)] = 696274,
  [SMALL_STATE(15486)] = 696297,
  [SMALL_STATE(15487)] = 696320,
  [SMALL_STATE(15488)] = 696343,
  [SMALL_STATE(15489)] = 696364,
  [SMALL_STATE(15490)] = 696387,
  [SMALL_STATE(15491)] = 696410,
  [SMALL_STATE(15492)] = 696433,
  [SMALL_STATE(15493)] = 696456,
  [SMALL_STATE(15494)] = 696479,
  [SMALL_STATE(15495)] = 696502,
  [SMALL_STATE(15496)] = 696525,
  [SMALL_STATE(15497)] = 696548,
  [SMALL_STATE(15498)] = 696571,
  [SMALL_STATE(15499)] = 696594,
  [SMALL_STATE(15500)] = 696617,
  [SMALL_STATE(15501)] = 696640,
  [SMALL_STATE(15502)] = 696663,
  [SMALL_STATE(15503)] = 696686,
  [SMALL_STATE(15504)] = 696707,
  [SMALL_STATE(15505)] = 696730,
  [SMALL_STATE(15506)] = 696749,
  [SMALL_STATE(15507)] = 696772,
  [SMALL_STATE(15508)] = 696793,
  [SMALL_STATE(15509)] = 696816,
  [SMALL_STATE(15510)] = 696839,
  [SMALL_STATE(15511)] = 696862,
  [SMALL_STATE(15512)] = 696885,
  [SMALL_STATE(15513)] = 696908,
  [SMALL_STATE(15514)] = 696931,
  [SMALL_STATE(15515)] = 696954,
  [SMALL_STATE(15516)] = 696977,
  [SMALL_STATE(15517)] = 697000,
  [SMALL_STATE(15518)] = 697023,
  [SMALL_STATE(15519)] = 697046,
  [SMALL_STATE(15520)] = 697069,
  [SMALL_STATE(15521)] = 697092,
  [SMALL_STATE(15522)] = 697115,
  [SMALL_STATE(15523)] = 697138,
  [SMALL_STATE(15524)] = 697161,
  [SMALL_STATE(15525)] = 697182,
  [SMALL_STATE(15526)] = 697205,
  [SMALL_STATE(15527)] = 697228,
  [SMALL_STATE(15528)] = 697251,
  [SMALL_STATE(15529)] = 697274,
  [SMALL_STATE(15530)] = 697297,
  [SMALL_STATE(15531)] = 697320,
  [SMALL_STATE(15532)] = 697343,
  [SMALL_STATE(15533)] = 697366,
  [SMALL_STATE(15534)] = 697389,
  [SMALL_STATE(15535)] = 697412,
  [SMALL_STATE(15536)] = 697433,
  [SMALL_STATE(15537)] = 697456,
  [SMALL_STATE(15538)] = 697479,
  [SMALL_STATE(15539)] = 697500,
  [SMALL_STATE(15540)] = 697523,
  [SMALL_STATE(15541)] = 697546,
  [SMALL_STATE(15542)] = 697569,
  [SMALL_STATE(15543)] = 697592,
  [SMALL_STATE(15544)] = 697615,
  [SMALL_STATE(15545)] = 697638,
  [SMALL_STATE(15546)] = 697661,
  [SMALL_STATE(15547)] = 697684,
  [SMALL_STATE(15548)] = 697707,
  [SMALL_STATE(15549)] = 697730,
  [SMALL_STATE(15550)] = 697753,
  [SMALL_STATE(15551)] = 697776,
  [SMALL_STATE(15552)] = 697799,
  [SMALL_STATE(15553)] = 697820,
  [SMALL_STATE(15554)] = 697843,
  [SMALL_STATE(15555)] = 697866,
  [SMALL_STATE(15556)] = 697889,
  [SMALL_STATE(15557)] = 697912,
  [SMALL_STATE(15558)] = 697935,
  [SMALL_STATE(15559)] = 697958,
  [SMALL_STATE(15560)] = 697981,
  [SMALL_STATE(15561)] = 698004,
  [SMALL_STATE(15562)] = 698027,
  [SMALL_STATE(15563)] = 698050,
  [SMALL_STATE(15564)] = 698073,
  [SMALL_STATE(15565)] = 698096,
  [SMALL_STATE(15566)] = 698119,
  [SMALL_STATE(15567)] = 698142,
  [SMALL_STATE(15568)] = 698165,
  [SMALL_STATE(15569)] = 698188,
  [SMALL_STATE(15570)] = 698211,
  [SMALL_STATE(15571)] = 698234,
  [SMALL_STATE(15572)] = 698257,
  [SMALL_STATE(15573)] = 698280,
  [SMALL_STATE(15574)] = 698301,
  [SMALL_STATE(15575)] = 698324,
  [SMALL_STATE(15576)] = 698347,
  [SMALL_STATE(15577)] = 698370,
  [SMALL_STATE(15578)] = 698393,
  [SMALL_STATE(15579)] = 698416,
  [SMALL_STATE(15580)] = 698439,
  [SMALL_STATE(15581)] = 698462,
  [SMALL_STATE(15582)] = 698485,
  [SMALL_STATE(15583)] = 698508,
  [SMALL_STATE(15584)] = 698531,
  [SMALL_STATE(15585)] = 698554,
  [SMALL_STATE(15586)] = 698577,
  [SMALL_STATE(15587)] = 698596,
  [SMALL_STATE(15588)] = 698619,
  [SMALL_STATE(15589)] = 698642,
  [SMALL_STATE(15590)] = 698665,
  [SMALL_STATE(15591)] = 698688,
  [SMALL_STATE(15592)] = 698711,
  [SMALL_STATE(15593)] = 698734,
  [SMALL_STATE(15594)] = 698757,
  [SMALL_STATE(15595)] = 698780,
  [SMALL_STATE(15596)] = 698803,
  [SMALL_STATE(15597)] = 698826,
  [SMALL_STATE(15598)] = 698849,
  [SMALL_STATE(15599)] = 698872,
  [SMALL_STATE(15600)] = 698895,
  [SMALL_STATE(15601)] = 698918,
  [SMALL_STATE(15602)] = 698941,
  [SMALL_STATE(15603)] = 698964,
  [SMALL_STATE(15604)] = 698987,
  [SMALL_STATE(15605)] = 699010,
  [SMALL_STATE(15606)] = 699033,
  [SMALL_STATE(15607)] = 699056,
  [SMALL_STATE(15608)] = 699079,
  [SMALL_STATE(15609)] = 699102,
  [SMALL_STATE(15610)] = 699125,
  [SMALL_STATE(15611)] = 699148,
  [SMALL_STATE(15612)] = 699171,
  [SMALL_STATE(15613)] = 699194,
  [SMALL_STATE(15614)] = 699217,
  [SMALL_STATE(15615)] = 699240,
  [SMALL_STATE(15616)] = 699263,
  [SMALL_STATE(15617)] = 699286,
  [SMALL_STATE(15618)] = 699309,
  [SMALL_STATE(15619)] = 699332,
  [SMALL_STATE(15620)] = 699355,
  [SMALL_STATE(15621)] = 699378,
  [SMALL_STATE(15622)] = 699401,
  [SMALL_STATE(15623)] = 699424,
  [SMALL_STATE(15624)] = 699447,
  [SMALL_STATE(15625)] = 699470,
  [SMALL_STATE(15626)] = 699493,
  [SMALL_STATE(15627)] = 699516,
  [SMALL_STATE(15628)] = 699539,
  [SMALL_STATE(15629)] = 699562,
  [SMALL_STATE(15630)] = 699585,
  [SMALL_STATE(15631)] = 699608,
  [SMALL_STATE(15632)] = 699631,
  [SMALL_STATE(15633)] = 699654,
  [SMALL_STATE(15634)] = 699673,
  [SMALL_STATE(15635)] = 699696,
  [SMALL_STATE(15636)] = 699719,
  [SMALL_STATE(15637)] = 699742,
  [SMALL_STATE(15638)] = 699765,
  [SMALL_STATE(15639)] = 699784,
  [SMALL_STATE(15640)] = 699807,
  [SMALL_STATE(15641)] = 699830,
  [SMALL_STATE(15642)] = 699853,
  [SMALL_STATE(15643)] = 699876,
  [SMALL_STATE(15644)] = 699895,
  [SMALL_STATE(15645)] = 699918,
  [SMALL_STATE(15646)] = 699941,
  [SMALL_STATE(15647)] = 699964,
  [SMALL_STATE(15648)] = 699987,
  [SMALL_STATE(15649)] = 700010,
  [SMALL_STATE(15650)] = 700033,
  [SMALL_STATE(15651)] = 700056,
  [SMALL_STATE(15652)] = 700079,
  [SMALL_STATE(15653)] = 700102,
  [SMALL_STATE(15654)] = 700125,
  [SMALL_STATE(15655)] = 700148,
  [SMALL_STATE(15656)] = 700171,
  [SMALL_STATE(15657)] = 700194,
  [SMALL_STATE(15658)] = 700217,
  [SMALL_STATE(15659)] = 700240,
  [SMALL_STATE(15660)] = 700263,
  [SMALL_STATE(15661)] = 700286,
  [SMALL_STATE(15662)] = 700309,
  [SMALL_STATE(15663)] = 700332,
  [SMALL_STATE(15664)] = 700355,
  [SMALL_STATE(15665)] = 700378,
  [SMALL_STATE(15666)] = 700401,
  [SMALL_STATE(15667)] = 700424,
  [SMALL_STATE(15668)] = 700447,
  [SMALL_STATE(15669)] = 700470,
  [SMALL_STATE(15670)] = 700493,
  [SMALL_STATE(15671)] = 700516,
  [SMALL_STATE(15672)] = 700539,
  [SMALL_STATE(15673)] = 700562,
  [SMALL_STATE(15674)] = 700585,
  [SMALL_STATE(15675)] = 700608,
  [SMALL_STATE(15676)] = 700631,
  [SMALL_STATE(15677)] = 700654,
  [SMALL_STATE(15678)] = 700677,
  [SMALL_STATE(15679)] = 700700,
  [SMALL_STATE(15680)] = 700723,
  [SMALL_STATE(15681)] = 700746,
  [SMALL_STATE(15682)] = 700769,
  [SMALL_STATE(15683)] = 700792,
  [SMALL_STATE(15684)] = 700815,
  [SMALL_STATE(15685)] = 700838,
  [SMALL_STATE(15686)] = 700861,
  [SMALL_STATE(15687)] = 700884,
  [SMALL_STATE(15688)] = 700907,
  [SMALL_STATE(15689)] = 700930,
  [SMALL_STATE(15690)] = 700953,
  [SMALL_STATE(15691)] = 700976,
  [SMALL_STATE(15692)] = 700999,
  [SMALL_STATE(15693)] = 701022,
  [SMALL_STATE(15694)] = 701045,
  [SMALL_STATE(15695)] = 701068,
  [SMALL_STATE(15696)] = 701091,
  [SMALL_STATE(15697)] = 701114,
  [SMALL_STATE(15698)] = 701137,
  [SMALL_STATE(15699)] = 701160,
  [SMALL_STATE(15700)] = 701183,
  [SMALL_STATE(15701)] = 701206,
  [SMALL_STATE(15702)] = 701229,
  [SMALL_STATE(15703)] = 701252,
  [SMALL_STATE(15704)] = 701275,
  [SMALL_STATE(15705)] = 701298,
  [SMALL_STATE(15706)] = 701321,
  [SMALL_STATE(15707)] = 701344,
  [SMALL_STATE(15708)] = 701367,
  [SMALL_STATE(15709)] = 701388,
  [SMALL_STATE(15710)] = 701411,
  [SMALL_STATE(15711)] = 701434,
  [SMALL_STATE(15712)] = 701457,
  [SMALL_STATE(15713)] = 701480,
  [SMALL_STATE(15714)] = 701503,
  [SMALL_STATE(15715)] = 701526,
  [SMALL_STATE(15716)] = 701549,
  [SMALL_STATE(15717)] = 701572,
  [SMALL_STATE(15718)] = 701593,
  [SMALL_STATE(15719)] = 701616,
  [SMALL_STATE(15720)] = 701639,
  [SMALL_STATE(15721)] = 701662,
  [SMALL_STATE(15722)] = 701685,
  [SMALL_STATE(15723)] = 701708,
  [SMALL_STATE(15724)] = 701731,
  [SMALL_STATE(15725)] = 701754,
  [SMALL_STATE(15726)] = 701777,
  [SMALL_STATE(15727)] = 701800,
  [SMALL_STATE(15728)] = 701823,
  [SMALL_STATE(15729)] = 701846,
  [SMALL_STATE(15730)] = 701869,
  [SMALL_STATE(15731)] = 701892,
  [SMALL_STATE(15732)] = 701915,
  [SMALL_STATE(15733)] = 701938,
  [SMALL_STATE(15734)] = 701961,
  [SMALL_STATE(15735)] = 701984,
  [SMALL_STATE(15736)] = 702007,
  [SMALL_STATE(15737)] = 702030,
  [SMALL_STATE(15738)] = 702053,
  [SMALL_STATE(15739)] = 702076,
  [SMALL_STATE(15740)] = 702099,
  [SMALL_STATE(15741)] = 702122,
  [SMALL_STATE(15742)] = 702145,
  [SMALL_STATE(15743)] = 702168,
  [SMALL_STATE(15744)] = 702191,
  [SMALL_STATE(15745)] = 702214,
  [SMALL_STATE(15746)] = 702237,
  [SMALL_STATE(15747)] = 702260,
  [SMALL_STATE(15748)] = 702283,
  [SMALL_STATE(15749)] = 702306,
  [SMALL_STATE(15750)] = 702329,
  [SMALL_STATE(15751)] = 702352,
  [SMALL_STATE(15752)] = 702375,
  [SMALL_STATE(15753)] = 702398,
  [SMALL_STATE(15754)] = 702421,
  [SMALL_STATE(15755)] = 702444,
  [SMALL_STATE(15756)] = 702467,
  [SMALL_STATE(15757)] = 702490,
  [SMALL_STATE(15758)] = 702513,
  [SMALL_STATE(15759)] = 702536,
  [SMALL_STATE(15760)] = 702559,
  [SMALL_STATE(15761)] = 702582,
  [SMALL_STATE(15762)] = 702603,
  [SMALL_STATE(15763)] = 702626,
  [SMALL_STATE(15764)] = 702649,
  [SMALL_STATE(15765)] = 702672,
  [SMALL_STATE(15766)] = 702695,
  [SMALL_STATE(15767)] = 702718,
  [SMALL_STATE(15768)] = 702741,
  [SMALL_STATE(15769)] = 702764,
  [SMALL_STATE(15770)] = 702787,
  [SMALL_STATE(15771)] = 702810,
  [SMALL_STATE(15772)] = 702833,
  [SMALL_STATE(15773)] = 702856,
  [SMALL_STATE(15774)] = 702877,
  [SMALL_STATE(15775)] = 702900,
  [SMALL_STATE(15776)] = 702923,
  [SMALL_STATE(15777)] = 702946,
  [SMALL_STATE(15778)] = 702969,
  [SMALL_STATE(15779)] = 702992,
  [SMALL_STATE(15780)] = 703015,
  [SMALL_STATE(15781)] = 703038,
  [SMALL_STATE(15782)] = 703061,
  [SMALL_STATE(15783)] = 703084,
  [SMALL_STATE(15784)] = 703107,
  [SMALL_STATE(15785)] = 703130,
  [SMALL_STATE(15786)] = 703153,
  [SMALL_STATE(15787)] = 703176,
  [SMALL_STATE(15788)] = 703199,
  [SMALL_STATE(15789)] = 703220,
  [SMALL_STATE(15790)] = 703243,
  [SMALL_STATE(15791)] = 703266,
  [SMALL_STATE(15792)] = 703289,
  [SMALL_STATE(15793)] = 703312,
  [SMALL_STATE(15794)] = 703335,
  [SMALL_STATE(15795)] = 703358,
  [SMALL_STATE(15796)] = 703381,
  [SMALL_STATE(15797)] = 703404,
  [SMALL_STATE(15798)] = 703427,
  [SMALL_STATE(15799)] = 703450,
  [SMALL_STATE(15800)] = 703473,
  [SMALL_STATE(15801)] = 703496,
  [SMALL_STATE(15802)] = 703517,
  [SMALL_STATE(15803)] = 703540,
  [SMALL_STATE(15804)] = 703563,
  [SMALL_STATE(15805)] = 703586,
  [SMALL_STATE(15806)] = 703609,
  [SMALL_STATE(15807)] = 703632,
  [SMALL_STATE(15808)] = 703655,
  [SMALL_STATE(15809)] = 703678,
  [SMALL_STATE(15810)] = 703701,
  [SMALL_STATE(15811)] = 703724,
  [SMALL_STATE(15812)] = 703747,
  [SMALL_STATE(15813)] = 703770,
  [SMALL_STATE(15814)] = 703793,
  [SMALL_STATE(15815)] = 703816,
  [SMALL_STATE(15816)] = 703839,
  [SMALL_STATE(15817)] = 703862,
  [SMALL_STATE(15818)] = 703885,
  [SMALL_STATE(15819)] = 703906,
  [SMALL_STATE(15820)] = 703929,
  [SMALL_STATE(15821)] = 703952,
  [SMALL_STATE(15822)] = 703975,
  [SMALL_STATE(15823)] = 703998,
  [SMALL_STATE(15824)] = 704021,
  [SMALL_STATE(15825)] = 704044,
  [SMALL_STATE(15826)] = 704067,
  [SMALL_STATE(15827)] = 704090,
  [SMALL_STATE(15828)] = 704113,
  [SMALL_STATE(15829)] = 704136,
  [SMALL_STATE(15830)] = 704159,
  [SMALL_STATE(15831)] = 704182,
  [SMALL_STATE(15832)] = 704205,
  [SMALL_STATE(15833)] = 704228,
  [SMALL_STATE(15834)] = 704251,
  [SMALL_STATE(15835)] = 704274,
  [SMALL_STATE(15836)] = 704297,
  [SMALL_STATE(15837)] = 704320,
  [SMALL_STATE(15838)] = 704343,
  [SMALL_STATE(15839)] = 704366,
  [SMALL_STATE(15840)] = 704389,
  [SMALL_STATE(15841)] = 704412,
  [SMALL_STATE(15842)] = 704435,
  [SMALL_STATE(15843)] = 704458,
  [SMALL_STATE(15844)] = 704481,
  [SMALL_STATE(15845)] = 704504,
  [SMALL_STATE(15846)] = 704527,
  [SMALL_STATE(15847)] = 704550,
  [SMALL_STATE(15848)] = 704573,
  [SMALL_STATE(15849)] = 704596,
  [SMALL_STATE(15850)] = 704619,
  [SMALL_STATE(15851)] = 704642,
  [SMALL_STATE(15852)] = 704665,
  [SMALL_STATE(15853)] = 704688,
  [SMALL_STATE(15854)] = 704711,
  [SMALL_STATE(15855)] = 704734,
  [SMALL_STATE(15856)] = 704757,
  [SMALL_STATE(15857)] = 704780,
  [SMALL_STATE(15858)] = 704803,
  [SMALL_STATE(15859)] = 704826,
  [SMALL_STATE(15860)] = 704849,
  [SMALL_STATE(15861)] = 704872,
  [SMALL_STATE(15862)] = 704895,
  [SMALL_STATE(15863)] = 704918,
  [SMALL_STATE(15864)] = 704941,
  [SMALL_STATE(15865)] = 704964,
  [SMALL_STATE(15866)] = 704987,
  [SMALL_STATE(15867)] = 705010,
  [SMALL_STATE(15868)] = 705033,
  [SMALL_STATE(15869)] = 705056,
  [SMALL_STATE(15870)] = 705079,
  [SMALL_STATE(15871)] = 705102,
  [SMALL_STATE(15872)] = 705125,
  [SMALL_STATE(15873)] = 705148,
  [SMALL_STATE(15874)] = 705171,
  [SMALL_STATE(15875)] = 705194,
  [SMALL_STATE(15876)] = 705217,
  [SMALL_STATE(15877)] = 705240,
  [SMALL_STATE(15878)] = 705263,
  [SMALL_STATE(15879)] = 705286,
  [SMALL_STATE(15880)] = 705309,
  [SMALL_STATE(15881)] = 705332,
  [SMALL_STATE(15882)] = 705355,
  [SMALL_STATE(15883)] = 705378,
  [SMALL_STATE(15884)] = 705401,
  [SMALL_STATE(15885)] = 705424,
  [SMALL_STATE(15886)] = 705447,
  [SMALL_STATE(15887)] = 705470,
  [SMALL_STATE(15888)] = 705493,
  [SMALL_STATE(15889)] = 705516,
  [SMALL_STATE(15890)] = 705539,
  [SMALL_STATE(15891)] = 705562,
  [SMALL_STATE(15892)] = 705585,
  [SMALL_STATE(15893)] = 705608,
  [SMALL_STATE(15894)] = 705629,
  [SMALL_STATE(15895)] = 705652,
  [SMALL_STATE(15896)] = 705675,
  [SMALL_STATE(15897)] = 705698,
  [SMALL_STATE(15898)] = 705721,
  [SMALL_STATE(15899)] = 705744,
  [SMALL_STATE(15900)] = 705767,
  [SMALL_STATE(15901)] = 705790,
  [SMALL_STATE(15902)] = 705813,
  [SMALL_STATE(15903)] = 705836,
  [SMALL_STATE(15904)] = 705859,
  [SMALL_STATE(15905)] = 705882,
  [SMALL_STATE(15906)] = 705905,
  [SMALL_STATE(15907)] = 705928,
  [SMALL_STATE(15908)] = 705951,
  [SMALL_STATE(15909)] = 705972,
  [SMALL_STATE(15910)] = 705993,
  [SMALL_STATE(15911)] = 706016,
  [SMALL_STATE(15912)] = 706039,
  [SMALL_STATE(15913)] = 706062,
  [SMALL_STATE(15914)] = 706085,
  [SMALL_STATE(15915)] = 706108,
  [SMALL_STATE(15916)] = 706129,
  [SMALL_STATE(15917)] = 706152,
  [SMALL_STATE(15918)] = 706175,
  [SMALL_STATE(15919)] = 706198,
  [SMALL_STATE(15920)] = 706221,
  [SMALL_STATE(15921)] = 706244,
  [SMALL_STATE(15922)] = 706265,
  [SMALL_STATE(15923)] = 706288,
  [SMALL_STATE(15924)] = 706311,
  [SMALL_STATE(15925)] = 706334,
  [SMALL_STATE(15926)] = 706357,
  [SMALL_STATE(15927)] = 706380,
  [SMALL_STATE(15928)] = 706403,
  [SMALL_STATE(15929)] = 706426,
  [SMALL_STATE(15930)] = 706447,
  [SMALL_STATE(15931)] = 706470,
  [SMALL_STATE(15932)] = 706493,
  [SMALL_STATE(15933)] = 706514,
  [SMALL_STATE(15934)] = 706535,
  [SMALL_STATE(15935)] = 706558,
  [SMALL_STATE(15936)] = 706579,
  [SMALL_STATE(15937)] = 706600,
  [SMALL_STATE(15938)] = 706621,
  [SMALL_STATE(15939)] = 706644,
  [SMALL_STATE(15940)] = 706664,
  [SMALL_STATE(15941)] = 706682,
  [SMALL_STATE(15942)] = 706702,
  [SMALL_STATE(15943)] = 706722,
  [SMALL_STATE(15944)] = 706742,
  [SMALL_STATE(15945)] = 706762,
  [SMALL_STATE(15946)] = 706782,
  [SMALL_STATE(15947)] = 706802,
  [SMALL_STATE(15948)] = 706822,
  [SMALL_STATE(15949)] = 706842,
  [SMALL_STATE(15950)] = 706862,
  [SMALL_STATE(15951)] = 706882,
  [SMALL_STATE(15952)] = 706902,
  [SMALL_STATE(15953)] = 706922,
  [SMALL_STATE(15954)] = 706942,
  [SMALL_STATE(15955)] = 706958,
  [SMALL_STATE(15956)] = 706978,
  [SMALL_STATE(15957)] = 706998,
  [SMALL_STATE(15958)] = 707018,
  [SMALL_STATE(15959)] = 707038,
  [SMALL_STATE(15960)] = 707058,
  [SMALL_STATE(15961)] = 707078,
  [SMALL_STATE(15962)] = 707098,
  [SMALL_STATE(15963)] = 707118,
  [SMALL_STATE(15964)] = 707138,
  [SMALL_STATE(15965)] = 707158,
  [SMALL_STATE(15966)] = 707178,
  [SMALL_STATE(15967)] = 707198,
  [SMALL_STATE(15968)] = 707218,
  [SMALL_STATE(15969)] = 707238,
  [SMALL_STATE(15970)] = 707258,
  [SMALL_STATE(15971)] = 707276,
  [SMALL_STATE(15972)] = 707296,
  [SMALL_STATE(15973)] = 707316,
  [SMALL_STATE(15974)] = 707336,
  [SMALL_STATE(15975)] = 707356,
  [SMALL_STATE(15976)] = 707376,
  [SMALL_STATE(15977)] = 707396,
  [SMALL_STATE(15978)] = 707416,
  [SMALL_STATE(15979)] = 707436,
  [SMALL_STATE(15980)] = 707456,
  [SMALL_STATE(15981)] = 707476,
  [SMALL_STATE(15982)] = 707494,
  [SMALL_STATE(15983)] = 707514,
  [SMALL_STATE(15984)] = 707534,
  [SMALL_STATE(15985)] = 707554,
  [SMALL_STATE(15986)] = 707572,
  [SMALL_STATE(15987)] = 707592,
  [SMALL_STATE(15988)] = 707612,
  [SMALL_STATE(15989)] = 707632,
  [SMALL_STATE(15990)] = 707652,
  [SMALL_STATE(15991)] = 707670,
  [SMALL_STATE(15992)] = 707690,
  [SMALL_STATE(15993)] = 707710,
  [SMALL_STATE(15994)] = 707730,
  [SMALL_STATE(15995)] = 707750,
  [SMALL_STATE(15996)] = 707770,
  [SMALL_STATE(15997)] = 707790,
  [SMALL_STATE(15998)] = 707810,
  [SMALL_STATE(15999)] = 707830,
  [SMALL_STATE(16000)] = 707850,
  [SMALL_STATE(16001)] = 707870,
  [SMALL_STATE(16002)] = 707890,
  [SMALL_STATE(16003)] = 707910,
  [SMALL_STATE(16004)] = 707930,
  [SMALL_STATE(16005)] = 707950,
  [SMALL_STATE(16006)] = 707970,
  [SMALL_STATE(16007)] = 707990,
  [SMALL_STATE(16008)] = 708010,
  [SMALL_STATE(16009)] = 708030,
  [SMALL_STATE(16010)] = 708050,
  [SMALL_STATE(16011)] = 708070,
  [SMALL_STATE(16012)] = 708090,
  [SMALL_STATE(16013)] = 708110,
  [SMALL_STATE(16014)] = 708130,
  [SMALL_STATE(16015)] = 708150,
  [SMALL_STATE(16016)] = 708170,
  [SMALL_STATE(16017)] = 708190,
  [SMALL_STATE(16018)] = 708210,
  [SMALL_STATE(16019)] = 708230,
  [SMALL_STATE(16020)] = 708250,
  [SMALL_STATE(16021)] = 708270,
  [SMALL_STATE(16022)] = 708290,
  [SMALL_STATE(16023)] = 708310,
  [SMALL_STATE(16024)] = 708330,
  [SMALL_STATE(16025)] = 708350,
  [SMALL_STATE(16026)] = 708368,
  [SMALL_STATE(16027)] = 708388,
  [SMALL_STATE(16028)] = 708408,
  [SMALL_STATE(16029)] = 708428,
  [SMALL_STATE(16030)] = 708448,
  [SMALL_STATE(16031)] = 708468,
  [SMALL_STATE(16032)] = 708488,
  [SMALL_STATE(16033)] = 708508,
  [SMALL_STATE(16034)] = 708528,
  [SMALL_STATE(16035)] = 708548,
  [SMALL_STATE(16036)] = 708568,
  [SMALL_STATE(16037)] = 708588,
  [SMALL_STATE(16038)] = 708608,
  [SMALL_STATE(16039)] = 708628,
  [SMALL_STATE(16040)] = 708648,
  [SMALL_STATE(16041)] = 708668,
  [SMALL_STATE(16042)] = 708688,
  [SMALL_STATE(16043)] = 708708,
  [SMALL_STATE(16044)] = 708728,
  [SMALL_STATE(16045)] = 708748,
  [SMALL_STATE(16046)] = 708768,
  [SMALL_STATE(16047)] = 708788,
  [SMALL_STATE(16048)] = 708808,
  [SMALL_STATE(16049)] = 708828,
  [SMALL_STATE(16050)] = 708848,
  [SMALL_STATE(16051)] = 708868,
  [SMALL_STATE(16052)] = 708888,
  [SMALL_STATE(16053)] = 708908,
  [SMALL_STATE(16054)] = 708928,
  [SMALL_STATE(16055)] = 708948,
  [SMALL_STATE(16056)] = 708968,
  [SMALL_STATE(16057)] = 708988,
  [SMALL_STATE(16058)] = 709006,
  [SMALL_STATE(16059)] = 709026,
  [SMALL_STATE(16060)] = 709044,
  [SMALL_STATE(16061)] = 709064,
  [SMALL_STATE(16062)] = 709084,
  [SMALL_STATE(16063)] = 709104,
  [SMALL_STATE(16064)] = 709124,
  [SMALL_STATE(16065)] = 709144,
  [SMALL_STATE(16066)] = 709164,
  [SMALL_STATE(16067)] = 709182,
  [SMALL_STATE(16068)] = 709202,
  [SMALL_STATE(16069)] = 709220,
  [SMALL_STATE(16070)] = 709240,
  [SMALL_STATE(16071)] = 709260,
  [SMALL_STATE(16072)] = 709280,
  [SMALL_STATE(16073)] = 709300,
  [SMALL_STATE(16074)] = 709320,
  [SMALL_STATE(16075)] = 709340,
  [SMALL_STATE(16076)] = 709360,
  [SMALL_STATE(16077)] = 709380,
  [SMALL_STATE(16078)] = 709400,
  [SMALL_STATE(16079)] = 709420,
  [SMALL_STATE(16080)] = 709440,
  [SMALL_STATE(16081)] = 709460,
  [SMALL_STATE(16082)] = 709480,
  [SMALL_STATE(16083)] = 709500,
  [SMALL_STATE(16084)] = 709520,
  [SMALL_STATE(16085)] = 709540,
  [SMALL_STATE(16086)] = 709560,
  [SMALL_STATE(16087)] = 709580,
  [SMALL_STATE(16088)] = 709600,
  [SMALL_STATE(16089)] = 709620,
  [SMALL_STATE(16090)] = 709638,
  [SMALL_STATE(16091)] = 709658,
  [SMALL_STATE(16092)] = 709678,
  [SMALL_STATE(16093)] = 709698,
  [SMALL_STATE(16094)] = 709718,
  [SMALL_STATE(16095)] = 709738,
  [SMALL_STATE(16096)] = 709758,
  [SMALL_STATE(16097)] = 709778,
  [SMALL_STATE(16098)] = 709796,
  [SMALL_STATE(16099)] = 709816,
  [SMALL_STATE(16100)] = 709836,
  [SMALL_STATE(16101)] = 709856,
  [SMALL_STATE(16102)] = 709876,
  [SMALL_STATE(16103)] = 709896,
  [SMALL_STATE(16104)] = 709916,
  [SMALL_STATE(16105)] = 709936,
  [SMALL_STATE(16106)] = 709956,
  [SMALL_STATE(16107)] = 709976,
  [SMALL_STATE(16108)] = 709996,
  [SMALL_STATE(16109)] = 710014,
  [SMALL_STATE(16110)] = 710034,
  [SMALL_STATE(16111)] = 710054,
  [SMALL_STATE(16112)] = 710074,
  [SMALL_STATE(16113)] = 710094,
  [SMALL_STATE(16114)] = 710114,
  [SMALL_STATE(16115)] = 710134,
  [SMALL_STATE(16116)] = 710154,
  [SMALL_STATE(16117)] = 710174,
  [SMALL_STATE(16118)] = 710194,
  [SMALL_STATE(16119)] = 710214,
  [SMALL_STATE(16120)] = 710234,
  [SMALL_STATE(16121)] = 710254,
  [SMALL_STATE(16122)] = 710274,
  [SMALL_STATE(16123)] = 710290,
  [SMALL_STATE(16124)] = 710310,
  [SMALL_STATE(16125)] = 710330,
  [SMALL_STATE(16126)] = 710348,
  [SMALL_STATE(16127)] = 710368,
  [SMALL_STATE(16128)] = 710388,
  [SMALL_STATE(16129)] = 710408,
  [SMALL_STATE(16130)] = 710428,
  [SMALL_STATE(16131)] = 710448,
  [SMALL_STATE(16132)] = 710468,
  [SMALL_STATE(16133)] = 710488,
  [SMALL_STATE(16134)] = 710508,
  [SMALL_STATE(16135)] = 710528,
  [SMALL_STATE(16136)] = 710548,
  [SMALL_STATE(16137)] = 710568,
  [SMALL_STATE(16138)] = 710588,
  [SMALL_STATE(16139)] = 710608,
  [SMALL_STATE(16140)] = 710628,
  [SMALL_STATE(16141)] = 710648,
  [SMALL_STATE(16142)] = 710668,
  [SMALL_STATE(16143)] = 710688,
  [SMALL_STATE(16144)] = 710708,
  [SMALL_STATE(16145)] = 710728,
  [SMALL_STATE(16146)] = 710748,
  [SMALL_STATE(16147)] = 710768,
  [SMALL_STATE(16148)] = 710788,
  [SMALL_STATE(16149)] = 710808,
  [SMALL_STATE(16150)] = 710828,
  [SMALL_STATE(16151)] = 710846,
  [SMALL_STATE(16152)] = 710866,
  [SMALL_STATE(16153)] = 710886,
  [SMALL_STATE(16154)] = 710906,
  [SMALL_STATE(16155)] = 710926,
  [SMALL_STATE(16156)] = 710946,
  [SMALL_STATE(16157)] = 710966,
  [SMALL_STATE(16158)] = 710986,
  [SMALL_STATE(16159)] = 711006,
  [SMALL_STATE(16160)] = 711026,
  [SMALL_STATE(16161)] = 711044,
  [SMALL_STATE(16162)] = 711064,
  [SMALL_STATE(16163)] = 711084,
  [SMALL_STATE(16164)] = 711104,
  [SMALL_STATE(16165)] = 711122,
  [SMALL_STATE(16166)] = 711138,
  [SMALL_STATE(16167)] = 711158,
  [SMALL_STATE(16168)] = 711176,
  [SMALL_STATE(16169)] = 711196,
  [SMALL_STATE(16170)] = 711216,
  [SMALL_STATE(16171)] = 711236,
  [SMALL_STATE(16172)] = 711256,
  [SMALL_STATE(16173)] = 711276,
  [SMALL_STATE(16174)] = 711296,
  [SMALL_STATE(16175)] = 711316,
  [SMALL_STATE(16176)] = 711336,
  [SMALL_STATE(16177)] = 711356,
  [SMALL_STATE(16178)] = 711374,
  [SMALL_STATE(16179)] = 711394,
  [SMALL_STATE(16180)] = 711412,
  [SMALL_STATE(16181)] = 711432,
  [SMALL_STATE(16182)] = 711452,
  [SMALL_STATE(16183)] = 711472,
  [SMALL_STATE(16184)] = 711492,
  [SMALL_STATE(16185)] = 711512,
  [SMALL_STATE(16186)] = 711530,
  [SMALL_STATE(16187)] = 711550,
  [SMALL_STATE(16188)] = 711570,
  [SMALL_STATE(16189)] = 711590,
  [SMALL_STATE(16190)] = 711610,
  [SMALL_STATE(16191)] = 711630,
  [SMALL_STATE(16192)] = 711650,
  [SMALL_STATE(16193)] = 711668,
  [SMALL_STATE(16194)] = 711688,
  [SMALL_STATE(16195)] = 711708,
  [SMALL_STATE(16196)] = 711726,
  [SMALL_STATE(16197)] = 711746,
  [SMALL_STATE(16198)] = 711764,
  [SMALL_STATE(16199)] = 711784,
  [SMALL_STATE(16200)] = 711804,
  [SMALL_STATE(16201)] = 711824,
  [SMALL_STATE(16202)] = 711844,
  [SMALL_STATE(16203)] = 711862,
  [SMALL_STATE(16204)] = 711882,
  [SMALL_STATE(16205)] = 711900,
  [SMALL_STATE(16206)] = 711920,
  [SMALL_STATE(16207)] = 711940,
  [SMALL_STATE(16208)] = 711960,
  [SMALL_STATE(16209)] = 711978,
  [SMALL_STATE(16210)] = 711998,
  [SMALL_STATE(16211)] = 712016,
  [SMALL_STATE(16212)] = 712036,
  [SMALL_STATE(16213)] = 712056,
  [SMALL_STATE(16214)] = 712076,
  [SMALL_STATE(16215)] = 712096,
  [SMALL_STATE(16216)] = 712114,
  [SMALL_STATE(16217)] = 712134,
  [SMALL_STATE(16218)] = 712152,
  [SMALL_STATE(16219)] = 712172,
  [SMALL_STATE(16220)] = 712192,
  [SMALL_STATE(16221)] = 712212,
  [SMALL_STATE(16222)] = 712232,
  [SMALL_STATE(16223)] = 712252,
  [SMALL_STATE(16224)] = 712272,
  [SMALL_STATE(16225)] = 712292,
  [SMALL_STATE(16226)] = 712312,
  [SMALL_STATE(16227)] = 712332,
  [SMALL_STATE(16228)] = 712352,
  [SMALL_STATE(16229)] = 712372,
  [SMALL_STATE(16230)] = 712392,
  [SMALL_STATE(16231)] = 712412,
  [SMALL_STATE(16232)] = 712432,
  [SMALL_STATE(16233)] = 712452,
  [SMALL_STATE(16234)] = 712472,
  [SMALL_STATE(16235)] = 712492,
  [SMALL_STATE(16236)] = 712512,
  [SMALL_STATE(16237)] = 712532,
  [SMALL_STATE(16238)] = 712550,
  [SMALL_STATE(16239)] = 712570,
  [SMALL_STATE(16240)] = 712590,
  [SMALL_STATE(16241)] = 712610,
  [SMALL_STATE(16242)] = 712630,
  [SMALL_STATE(16243)] = 712650,
  [SMALL_STATE(16244)] = 712670,
  [SMALL_STATE(16245)] = 712690,
  [SMALL_STATE(16246)] = 712710,
  [SMALL_STATE(16247)] = 712730,
  [SMALL_STATE(16248)] = 712750,
  [SMALL_STATE(16249)] = 712770,
  [SMALL_STATE(16250)] = 712790,
  [SMALL_STATE(16251)] = 712810,
  [SMALL_STATE(16252)] = 712830,
  [SMALL_STATE(16253)] = 712848,
  [SMALL_STATE(16254)] = 712868,
  [SMALL_STATE(16255)] = 712888,
  [SMALL_STATE(16256)] = 712908,
  [SMALL_STATE(16257)] = 712928,
  [SMALL_STATE(16258)] = 712948,
  [SMALL_STATE(16259)] = 712968,
  [SMALL_STATE(16260)] = 712988,
  [SMALL_STATE(16261)] = 713008,
  [SMALL_STATE(16262)] = 713028,
  [SMALL_STATE(16263)] = 713048,
  [SMALL_STATE(16264)] = 713068,
  [SMALL_STATE(16265)] = 713088,
  [SMALL_STATE(16266)] = 713108,
  [SMALL_STATE(16267)] = 713128,
  [SMALL_STATE(16268)] = 713148,
  [SMALL_STATE(16269)] = 713166,
  [SMALL_STATE(16270)] = 713186,
  [SMALL_STATE(16271)] = 713206,
  [SMALL_STATE(16272)] = 713226,
  [SMALL_STATE(16273)] = 713246,
  [SMALL_STATE(16274)] = 713266,
  [SMALL_STATE(16275)] = 713286,
  [SMALL_STATE(16276)] = 713306,
  [SMALL_STATE(16277)] = 713326,
  [SMALL_STATE(16278)] = 713346,
  [SMALL_STATE(16279)] = 713366,
  [SMALL_STATE(16280)] = 713386,
  [SMALL_STATE(16281)] = 713406,
  [SMALL_STATE(16282)] = 713424,
  [SMALL_STATE(16283)] = 713442,
  [SMALL_STATE(16284)] = 713462,
  [SMALL_STATE(16285)] = 713482,
  [SMALL_STATE(16286)] = 713500,
  [SMALL_STATE(16287)] = 713520,
  [SMALL_STATE(16288)] = 713540,
  [SMALL_STATE(16289)] = 713560,
  [SMALL_STATE(16290)] = 713580,
  [SMALL_STATE(16291)] = 713598,
  [SMALL_STATE(16292)] = 713618,
  [SMALL_STATE(16293)] = 713634,
  [SMALL_STATE(16294)] = 713654,
  [SMALL_STATE(16295)] = 713674,
  [SMALL_STATE(16296)] = 713694,
  [SMALL_STATE(16297)] = 713714,
  [SMALL_STATE(16298)] = 713734,
  [SMALL_STATE(16299)] = 713752,
  [SMALL_STATE(16300)] = 713772,
  [SMALL_STATE(16301)] = 713792,
  [SMALL_STATE(16302)] = 713812,
  [SMALL_STATE(16303)] = 713832,
  [SMALL_STATE(16304)] = 713850,
  [SMALL_STATE(16305)] = 713870,
  [SMALL_STATE(16306)] = 713890,
  [SMALL_STATE(16307)] = 713908,
  [SMALL_STATE(16308)] = 713928,
  [SMALL_STATE(16309)] = 713948,
  [SMALL_STATE(16310)] = 713968,
  [SMALL_STATE(16311)] = 713988,
  [SMALL_STATE(16312)] = 714008,
  [SMALL_STATE(16313)] = 714028,
  [SMALL_STATE(16314)] = 714048,
  [SMALL_STATE(16315)] = 714068,
  [SMALL_STATE(16316)] = 714088,
  [SMALL_STATE(16317)] = 714108,
  [SMALL_STATE(16318)] = 714128,
  [SMALL_STATE(16319)] = 714146,
  [SMALL_STATE(16320)] = 714166,
  [SMALL_STATE(16321)] = 714186,
  [SMALL_STATE(16322)] = 714206,
  [SMALL_STATE(16323)] = 714226,
  [SMALL_STATE(16324)] = 714246,
  [SMALL_STATE(16325)] = 714266,
  [SMALL_STATE(16326)] = 714286,
  [SMALL_STATE(16327)] = 714306,
  [SMALL_STATE(16328)] = 714326,
  [SMALL_STATE(16329)] = 714346,
  [SMALL_STATE(16330)] = 714366,
  [SMALL_STATE(16331)] = 714386,
  [SMALL_STATE(16332)] = 714404,
  [SMALL_STATE(16333)] = 714424,
  [SMALL_STATE(16334)] = 714444,
  [SMALL_STATE(16335)] = 714464,
  [SMALL_STATE(16336)] = 714484,
  [SMALL_STATE(16337)] = 714504,
  [SMALL_STATE(16338)] = 714524,
  [SMALL_STATE(16339)] = 714544,
  [SMALL_STATE(16340)] = 714562,
  [SMALL_STATE(16341)] = 714580,
  [SMALL_STATE(16342)] = 714600,
  [SMALL_STATE(16343)] = 714620,
  [SMALL_STATE(16344)] = 714640,
  [SMALL_STATE(16345)] = 714660,
  [SMALL_STATE(16346)] = 714680,
  [SMALL_STATE(16347)] = 714700,
  [SMALL_STATE(16348)] = 714720,
  [SMALL_STATE(16349)] = 714740,
  [SMALL_STATE(16350)] = 714760,
  [SMALL_STATE(16351)] = 714778,
  [SMALL_STATE(16352)] = 714796,
  [SMALL_STATE(16353)] = 714816,
  [SMALL_STATE(16354)] = 714836,
  [SMALL_STATE(16355)] = 714856,
  [SMALL_STATE(16356)] = 714876,
  [SMALL_STATE(16357)] = 714896,
  [SMALL_STATE(16358)] = 714916,
  [SMALL_STATE(16359)] = 714936,
  [SMALL_STATE(16360)] = 714956,
  [SMALL_STATE(16361)] = 714976,
  [SMALL_STATE(16362)] = 714996,
  [SMALL_STATE(16363)] = 715014,
  [SMALL_STATE(16364)] = 715034,
  [SMALL_STATE(16365)] = 715054,
  [SMALL_STATE(16366)] = 715074,
  [SMALL_STATE(16367)] = 715094,
  [SMALL_STATE(16368)] = 715114,
  [SMALL_STATE(16369)] = 715134,
  [SMALL_STATE(16370)] = 715154,
  [SMALL_STATE(16371)] = 715174,
  [SMALL_STATE(16372)] = 715194,
  [SMALL_STATE(16373)] = 715212,
  [SMALL_STATE(16374)] = 715232,
  [SMALL_STATE(16375)] = 715252,
  [SMALL_STATE(16376)] = 715272,
  [SMALL_STATE(16377)] = 715292,
  [SMALL_STATE(16378)] = 715312,
  [SMALL_STATE(16379)] = 715332,
  [SMALL_STATE(16380)] = 715350,
  [SMALL_STATE(16381)] = 715370,
  [SMALL_STATE(16382)] = 715390,
  [SMALL_STATE(16383)] = 715410,
  [SMALL_STATE(16384)] = 715430,
  [SMALL_STATE(16385)] = 715448,
  [SMALL_STATE(16386)] = 715468,
  [SMALL_STATE(16387)] = 715486,
  [SMALL_STATE(16388)] = 715506,
  [SMALL_STATE(16389)] = 715526,
  [SMALL_STATE(16390)] = 715546,
  [SMALL_STATE(16391)] = 715564,
  [SMALL_STATE(16392)] = 715584,
  [SMALL_STATE(16393)] = 715604,
  [SMALL_STATE(16394)] = 715624,
  [SMALL_STATE(16395)] = 715644,
  [SMALL_STATE(16396)] = 715664,
  [SMALL_STATE(16397)] = 715684,
  [SMALL_STATE(16398)] = 715704,
  [SMALL_STATE(16399)] = 715722,
  [SMALL_STATE(16400)] = 715742,
  [SMALL_STATE(16401)] = 715762,
  [SMALL_STATE(16402)] = 715782,
  [SMALL_STATE(16403)] = 715800,
  [SMALL_STATE(16404)] = 715820,
  [SMALL_STATE(16405)] = 715840,
  [SMALL_STATE(16406)] = 715860,
  [SMALL_STATE(16407)] = 715880,
  [SMALL_STATE(16408)] = 715900,
  [SMALL_STATE(16409)] = 715920,
  [SMALL_STATE(16410)] = 715940,
  [SMALL_STATE(16411)] = 715960,
  [SMALL_STATE(16412)] = 715980,
  [SMALL_STATE(16413)] = 715998,
  [SMALL_STATE(16414)] = 716018,
  [SMALL_STATE(16415)] = 716038,
  [SMALL_STATE(16416)] = 716058,
  [SMALL_STATE(16417)] = 716078,
  [SMALL_STATE(16418)] = 716098,
  [SMALL_STATE(16419)] = 716118,
  [SMALL_STATE(16420)] = 716138,
  [SMALL_STATE(16421)] = 716158,
  [SMALL_STATE(16422)] = 716178,
  [SMALL_STATE(16423)] = 716196,
  [SMALL_STATE(16424)] = 716216,
  [SMALL_STATE(16425)] = 716236,
  [SMALL_STATE(16426)] = 716256,
  [SMALL_STATE(16427)] = 716276,
  [SMALL_STATE(16428)] = 716296,
  [SMALL_STATE(16429)] = 716314,
  [SMALL_STATE(16430)] = 716334,
  [SMALL_STATE(16431)] = 716354,
  [SMALL_STATE(16432)] = 716374,
  [SMALL_STATE(16433)] = 716394,
  [SMALL_STATE(16434)] = 716414,
  [SMALL_STATE(16435)] = 716434,
  [SMALL_STATE(16436)] = 716454,
  [SMALL_STATE(16437)] = 716472,
  [SMALL_STATE(16438)] = 716492,
  [SMALL_STATE(16439)] = 716512,
  [SMALL_STATE(16440)] = 716532,
  [SMALL_STATE(16441)] = 716552,
  [SMALL_STATE(16442)] = 716572,
  [SMALL_STATE(16443)] = 716592,
  [SMALL_STATE(16444)] = 716612,
  [SMALL_STATE(16445)] = 716630,
  [SMALL_STATE(16446)] = 716650,
  [SMALL_STATE(16447)] = 716670,
  [SMALL_STATE(16448)] = 716688,
  [SMALL_STATE(16449)] = 716708,
  [SMALL_STATE(16450)] = 716728,
  [SMALL_STATE(16451)] = 716748,
  [SMALL_STATE(16452)] = 716768,
  [SMALL_STATE(16453)] = 716788,
  [SMALL_STATE(16454)] = 716808,
  [SMALL_STATE(16455)] = 716826,
  [SMALL_STATE(16456)] = 716846,
  [SMALL_STATE(16457)] = 716866,
  [SMALL_STATE(16458)] = 716886,
  [SMALL_STATE(16459)] = 716906,
  [SMALL_STATE(16460)] = 716926,
  [SMALL_STATE(16461)] = 716946,
  [SMALL_STATE(16462)] = 716966,
  [SMALL_STATE(16463)] = 716986,
  [SMALL_STATE(16464)] = 717006,
  [SMALL_STATE(16465)] = 717024,
  [SMALL_STATE(16466)] = 717044,
  [SMALL_STATE(16467)] = 717064,
  [SMALL_STATE(16468)] = 717084,
  [SMALL_STATE(16469)] = 717104,
  [SMALL_STATE(16470)] = 717122,
  [SMALL_STATE(16471)] = 717142,
  [SMALL_STATE(16472)] = 717162,
  [SMALL_STATE(16473)] = 717182,
  [SMALL_STATE(16474)] = 717202,
  [SMALL_STATE(16475)] = 717222,
  [SMALL_STATE(16476)] = 717242,
  [SMALL_STATE(16477)] = 717262,
  [SMALL_STATE(16478)] = 717282,
  [SMALL_STATE(16479)] = 717300,
  [SMALL_STATE(16480)] = 717320,
  [SMALL_STATE(16481)] = 717338,
  [SMALL_STATE(16482)] = 717358,
  [SMALL_STATE(16483)] = 717378,
  [SMALL_STATE(16484)] = 717398,
  [SMALL_STATE(16485)] = 717418,
  [SMALL_STATE(16486)] = 717438,
  [SMALL_STATE(16487)] = 717458,
  [SMALL_STATE(16488)] = 717476,
  [SMALL_STATE(16489)] = 717494,
  [SMALL_STATE(16490)] = 717514,
  [SMALL_STATE(16491)] = 717532,
  [SMALL_STATE(16492)] = 717552,
  [SMALL_STATE(16493)] = 717572,
  [SMALL_STATE(16494)] = 717592,
  [SMALL_STATE(16495)] = 717612,
  [SMALL_STATE(16496)] = 717632,
  [SMALL_STATE(16497)] = 717652,
  [SMALL_STATE(16498)] = 717672,
  [SMALL_STATE(16499)] = 717692,
  [SMALL_STATE(16500)] = 717712,
  [SMALL_STATE(16501)] = 717732,
  [SMALL_STATE(16502)] = 717750,
  [SMALL_STATE(16503)] = 717770,
  [SMALL_STATE(16504)] = 717790,
  [SMALL_STATE(16505)] = 717810,
  [SMALL_STATE(16506)] = 717828,
  [SMALL_STATE(16507)] = 717848,
  [SMALL_STATE(16508)] = 717868,
  [SMALL_STATE(16509)] = 717888,
  [SMALL_STATE(16510)] = 717908,
  [SMALL_STATE(16511)] = 717928,
  [SMALL_STATE(16512)] = 717948,
  [SMALL_STATE(16513)] = 717968,
  [SMALL_STATE(16514)] = 717988,
  [SMALL_STATE(16515)] = 718006,
  [SMALL_STATE(16516)] = 718024,
  [SMALL_STATE(16517)] = 718044,
  [SMALL_STATE(16518)] = 718064,
  [SMALL_STATE(16519)] = 718084,
  [SMALL_STATE(16520)] = 718104,
  [SMALL_STATE(16521)] = 718124,
  [SMALL_STATE(16522)] = 718144,
  [SMALL_STATE(16523)] = 718164,
  [SMALL_STATE(16524)] = 718184,
  [SMALL_STATE(16525)] = 718204,
  [SMALL_STATE(16526)] = 718224,
  [SMALL_STATE(16527)] = 718244,
  [SMALL_STATE(16528)] = 718264,
  [SMALL_STATE(16529)] = 718284,
  [SMALL_STATE(16530)] = 718304,
  [SMALL_STATE(16531)] = 718322,
  [SMALL_STATE(16532)] = 718342,
  [SMALL_STATE(16533)] = 718362,
  [SMALL_STATE(16534)] = 718382,
  [SMALL_STATE(16535)] = 718402,
  [SMALL_STATE(16536)] = 718422,
  [SMALL_STATE(16537)] = 718442,
  [SMALL_STATE(16538)] = 718462,
  [SMALL_STATE(16539)] = 718482,
  [SMALL_STATE(16540)] = 718502,
  [SMALL_STATE(16541)] = 718522,
  [SMALL_STATE(16542)] = 718540,
  [SMALL_STATE(16543)] = 718560,
  [SMALL_STATE(16544)] = 718578,
  [SMALL_STATE(16545)] = 718598,
  [SMALL_STATE(16546)] = 718618,
  [SMALL_STATE(16547)] = 718638,
  [SMALL_STATE(16548)] = 718658,
  [SMALL_STATE(16549)] = 718678,
  [SMALL_STATE(16550)] = 718698,
  [SMALL_STATE(16551)] = 718718,
  [SMALL_STATE(16552)] = 718736,
  [SMALL_STATE(16553)] = 718756,
  [SMALL_STATE(16554)] = 718776,
  [SMALL_STATE(16555)] = 718796,
  [SMALL_STATE(16556)] = 718816,
  [SMALL_STATE(16557)] = 718836,
  [SMALL_STATE(16558)] = 718856,
  [SMALL_STATE(16559)] = 718876,
  [SMALL_STATE(16560)] = 718896,
  [SMALL_STATE(16561)] = 718916,
  [SMALL_STATE(16562)] = 718936,
  [SMALL_STATE(16563)] = 718956,
  [SMALL_STATE(16564)] = 718976,
  [SMALL_STATE(16565)] = 718994,
  [SMALL_STATE(16566)] = 719014,
  [SMALL_STATE(16567)] = 719034,
  [SMALL_STATE(16568)] = 719054,
  [SMALL_STATE(16569)] = 719074,
  [SMALL_STATE(16570)] = 719094,
  [SMALL_STATE(16571)] = 719114,
  [SMALL_STATE(16572)] = 719134,
  [SMALL_STATE(16573)] = 719154,
  [SMALL_STATE(16574)] = 719174,
  [SMALL_STATE(16575)] = 719194,
  [SMALL_STATE(16576)] = 719212,
  [SMALL_STATE(16577)] = 719232,
  [SMALL_STATE(16578)] = 719252,
  [SMALL_STATE(16579)] = 719272,
  [SMALL_STATE(16580)] = 719292,
  [SMALL_STATE(16581)] = 719310,
  [SMALL_STATE(16582)] = 719330,
  [SMALL_STATE(16583)] = 719350,
  [SMALL_STATE(16584)] = 719370,
  [SMALL_STATE(16585)] = 719388,
  [SMALL_STATE(16586)] = 719408,
  [SMALL_STATE(16587)] = 719428,
  [SMALL_STATE(16588)] = 719448,
  [SMALL_STATE(16589)] = 719468,
  [SMALL_STATE(16590)] = 719488,
  [SMALL_STATE(16591)] = 719508,
  [SMALL_STATE(16592)] = 719528,
  [SMALL_STATE(16593)] = 719546,
  [SMALL_STATE(16594)] = 719566,
  [SMALL_STATE(16595)] = 719586,
  [SMALL_STATE(16596)] = 719606,
  [SMALL_STATE(16597)] = 719624,
  [SMALL_STATE(16598)] = 719644,
  [SMALL_STATE(16599)] = 719664,
  [SMALL_STATE(16600)] = 719684,
  [SMALL_STATE(16601)] = 719704,
  [SMALL_STATE(16602)] = 719722,
  [SMALL_STATE(16603)] = 719742,
  [SMALL_STATE(16604)] = 719762,
  [SMALL_STATE(16605)] = 719782,
  [SMALL_STATE(16606)] = 719802,
  [SMALL_STATE(16607)] = 719822,
  [SMALL_STATE(16608)] = 719842,
  [SMALL_STATE(16609)] = 719860,
  [SMALL_STATE(16610)] = 719880,
  [SMALL_STATE(16611)] = 719900,
  [SMALL_STATE(16612)] = 719916,
  [SMALL_STATE(16613)] = 719936,
  [SMALL_STATE(16614)] = 719956,
  [SMALL_STATE(16615)] = 719976,
  [SMALL_STATE(16616)] = 719996,
  [SMALL_STATE(16617)] = 720016,
  [SMALL_STATE(16618)] = 720036,
  [SMALL_STATE(16619)] = 720056,
  [SMALL_STATE(16620)] = 720074,
  [SMALL_STATE(16621)] = 720094,
  [SMALL_STATE(16622)] = 720114,
  [SMALL_STATE(16623)] = 720134,
  [SMALL_STATE(16624)] = 720152,
  [SMALL_STATE(16625)] = 720172,
  [SMALL_STATE(16626)] = 720192,
  [SMALL_STATE(16627)] = 720210,
  [SMALL_STATE(16628)] = 720230,
  [SMALL_STATE(16629)] = 720250,
  [SMALL_STATE(16630)] = 720270,
  [SMALL_STATE(16631)] = 720290,
  [SMALL_STATE(16632)] = 720308,
  [SMALL_STATE(16633)] = 720328,
  [SMALL_STATE(16634)] = 720348,
  [SMALL_STATE(16635)] = 720366,
  [SMALL_STATE(16636)] = 720386,
  [SMALL_STATE(16637)] = 720404,
  [SMALL_STATE(16638)] = 720424,
  [SMALL_STATE(16639)] = 720442,
  [SMALL_STATE(16640)] = 720462,
  [SMALL_STATE(16641)] = 720480,
  [SMALL_STATE(16642)] = 720500,
  [SMALL_STATE(16643)] = 720520,
  [SMALL_STATE(16644)] = 720538,
  [SMALL_STATE(16645)] = 720558,
  [SMALL_STATE(16646)] = 720578,
  [SMALL_STATE(16647)] = 720596,
  [SMALL_STATE(16648)] = 720616,
  [SMALL_STATE(16649)] = 720634,
  [SMALL_STATE(16650)] = 720654,
  [SMALL_STATE(16651)] = 720674,
  [SMALL_STATE(16652)] = 720692,
  [SMALL_STATE(16653)] = 720712,
  [SMALL_STATE(16654)] = 720730,
  [SMALL_STATE(16655)] = 720750,
  [SMALL_STATE(16656)] = 720768,
  [SMALL_STATE(16657)] = 720788,
  [SMALL_STATE(16658)] = 720806,
  [SMALL_STATE(16659)] = 720826,
  [SMALL_STATE(16660)] = 720844,
  [SMALL_STATE(16661)] = 720864,
  [SMALL_STATE(16662)] = 720882,
  [SMALL_STATE(16663)] = 720902,
  [SMALL_STATE(16664)] = 720920,
  [SMALL_STATE(16665)] = 720940,
  [SMALL_STATE(16666)] = 720958,
  [SMALL_STATE(16667)] = 720978,
  [SMALL_STATE(16668)] = 720996,
  [SMALL_STATE(16669)] = 721016,
  [SMALL_STATE(16670)] = 721034,
  [SMALL_STATE(16671)] = 721054,
  [SMALL_STATE(16672)] = 721074,
  [SMALL_STATE(16673)] = 721094,
  [SMALL_STATE(16674)] = 721112,
  [SMALL_STATE(16675)] = 721132,
  [SMALL_STATE(16676)] = 721150,
  [SMALL_STATE(16677)] = 721170,
  [SMALL_STATE(16678)] = 721188,
  [SMALL_STATE(16679)] = 721208,
  [SMALL_STATE(16680)] = 721226,
  [SMALL_STATE(16681)] = 721246,
  [SMALL_STATE(16682)] = 721264,
  [SMALL_STATE(16683)] = 721284,
  [SMALL_STATE(16684)] = 721302,
  [SMALL_STATE(16685)] = 721322,
  [SMALL_STATE(16686)] = 721340,
  [SMALL_STATE(16687)] = 721360,
  [SMALL_STATE(16688)] = 721378,
  [SMALL_STATE(16689)] = 721398,
  [SMALL_STATE(16690)] = 721416,
  [SMALL_STATE(16691)] = 721436,
  [SMALL_STATE(16692)] = 721454,
  [SMALL_STATE(16693)] = 721474,
  [SMALL_STATE(16694)] = 721492,
  [SMALL_STATE(16695)] = 721512,
  [SMALL_STATE(16696)] = 721530,
  [SMALL_STATE(16697)] = 721550,
  [SMALL_STATE(16698)] = 721568,
  [SMALL_STATE(16699)] = 721588,
  [SMALL_STATE(16700)] = 721606,
  [SMALL_STATE(16701)] = 721626,
  [SMALL_STATE(16702)] = 721644,
  [SMALL_STATE(16703)] = 721664,
  [SMALL_STATE(16704)] = 721682,
  [SMALL_STATE(16705)] = 721702,
  [SMALL_STATE(16706)] = 721720,
  [SMALL_STATE(16707)] = 721740,
  [SMALL_STATE(16708)] = 721760,
  [SMALL_STATE(16709)] = 721778,
  [SMALL_STATE(16710)] = 721798,
  [SMALL_STATE(16711)] = 721818,
  [SMALL_STATE(16712)] = 721838,
  [SMALL_STATE(16713)] = 721858,
  [SMALL_STATE(16714)] = 721876,
  [SMALL_STATE(16715)] = 721896,
  [SMALL_STATE(16716)] = 721916,
  [SMALL_STATE(16717)] = 721936,
  [SMALL_STATE(16718)] = 721956,
  [SMALL_STATE(16719)] = 721976,
  [SMALL_STATE(16720)] = 721996,
  [SMALL_STATE(16721)] = 722016,
  [SMALL_STATE(16722)] = 722036,
  [SMALL_STATE(16723)] = 722056,
  [SMALL_STATE(16724)] = 722076,
  [SMALL_STATE(16725)] = 722096,
  [SMALL_STATE(16726)] = 722116,
  [SMALL_STATE(16727)] = 722136,
  [SMALL_STATE(16728)] = 722156,
  [SMALL_STATE(16729)] = 722176,
  [SMALL_STATE(16730)] = 722196,
  [SMALL_STATE(16731)] = 722216,
  [SMALL_STATE(16732)] = 722236,
  [SMALL_STATE(16733)] = 722256,
  [SMALL_STATE(16734)] = 722276,
  [SMALL_STATE(16735)] = 722296,
  [SMALL_STATE(16736)] = 722316,
  [SMALL_STATE(16737)] = 722336,
  [SMALL_STATE(16738)] = 722354,
  [SMALL_STATE(16739)] = 722374,
  [SMALL_STATE(16740)] = 722394,
  [SMALL_STATE(16741)] = 722414,
  [SMALL_STATE(16742)] = 722434,
  [SMALL_STATE(16743)] = 722454,
  [SMALL_STATE(16744)] = 722474,
  [SMALL_STATE(16745)] = 722494,
  [SMALL_STATE(16746)] = 722514,
  [SMALL_STATE(16747)] = 722534,
  [SMALL_STATE(16748)] = 722554,
  [SMALL_STATE(16749)] = 722574,
  [SMALL_STATE(16750)] = 722594,
  [SMALL_STATE(16751)] = 722614,
  [SMALL_STATE(16752)] = 722634,
  [SMALL_STATE(16753)] = 722654,
  [SMALL_STATE(16754)] = 722674,
  [SMALL_STATE(16755)] = 722690,
  [SMALL_STATE(16756)] = 722710,
  [SMALL_STATE(16757)] = 722730,
  [SMALL_STATE(16758)] = 722750,
  [SMALL_STATE(16759)] = 722770,
  [SMALL_STATE(16760)] = 722790,
  [SMALL_STATE(16761)] = 722808,
  [SMALL_STATE(16762)] = 722828,
  [SMALL_STATE(16763)] = 722848,
  [SMALL_STATE(16764)] = 722868,
  [SMALL_STATE(16765)] = 722886,
  [SMALL_STATE(16766)] = 722906,
  [SMALL_STATE(16767)] = 722926,
  [SMALL_STATE(16768)] = 722946,
  [SMALL_STATE(16769)] = 722966,
  [SMALL_STATE(16770)] = 722986,
  [SMALL_STATE(16771)] = 723006,
  [SMALL_STATE(16772)] = 723026,
  [SMALL_STATE(16773)] = 723046,
  [SMALL_STATE(16774)] = 723066,
  [SMALL_STATE(16775)] = 723086,
  [SMALL_STATE(16776)] = 723106,
  [SMALL_STATE(16777)] = 723126,
  [SMALL_STATE(16778)] = 723146,
  [SMALL_STATE(16779)] = 723166,
  [SMALL_STATE(16780)] = 723182,
  [SMALL_STATE(16781)] = 723202,
  [SMALL_STATE(16782)] = 723222,
  [SMALL_STATE(16783)] = 723242,
  [SMALL_STATE(16784)] = 723260,
  [SMALL_STATE(16785)] = 723280,
  [SMALL_STATE(16786)] = 723300,
  [SMALL_STATE(16787)] = 723320,
  [SMALL_STATE(16788)] = 723340,
  [SMALL_STATE(16789)] = 723360,
  [SMALL_STATE(16790)] = 723380,
  [SMALL_STATE(16791)] = 723400,
  [SMALL_STATE(16792)] = 723420,
  [SMALL_STATE(16793)] = 723440,
  [SMALL_STATE(16794)] = 723460,
  [SMALL_STATE(16795)] = 723480,
  [SMALL_STATE(16796)] = 723500,
  [SMALL_STATE(16797)] = 723520,
  [SMALL_STATE(16798)] = 723540,
  [SMALL_STATE(16799)] = 723560,
  [SMALL_STATE(16800)] = 723580,
  [SMALL_STATE(16801)] = 723600,
  [SMALL_STATE(16802)] = 723618,
  [SMALL_STATE(16803)] = 723638,
  [SMALL_STATE(16804)] = 723658,
  [SMALL_STATE(16805)] = 723678,
  [SMALL_STATE(16806)] = 723698,
  [SMALL_STATE(16807)] = 723718,
  [SMALL_STATE(16808)] = 723738,
  [SMALL_STATE(16809)] = 723758,
  [SMALL_STATE(16810)] = 723778,
  [SMALL_STATE(16811)] = 723796,
  [SMALL_STATE(16812)] = 723816,
  [SMALL_STATE(16813)] = 723836,
  [SMALL_STATE(16814)] = 723856,
  [SMALL_STATE(16815)] = 723876,
  [SMALL_STATE(16816)] = 723896,
  [SMALL_STATE(16817)] = 723916,
  [SMALL_STATE(16818)] = 723936,
  [SMALL_STATE(16819)] = 723956,
  [SMALL_STATE(16820)] = 723976,
  [SMALL_STATE(16821)] = 723996,
  [SMALL_STATE(16822)] = 724016,
  [SMALL_STATE(16823)] = 724036,
  [SMALL_STATE(16824)] = 724056,
  [SMALL_STATE(16825)] = 724076,
  [SMALL_STATE(16826)] = 724094,
  [SMALL_STATE(16827)] = 724114,
  [SMALL_STATE(16828)] = 724134,
  [SMALL_STATE(16829)] = 724152,
  [SMALL_STATE(16830)] = 724172,
  [SMALL_STATE(16831)] = 724192,
  [SMALL_STATE(16832)] = 724212,
  [SMALL_STATE(16833)] = 724232,
  [SMALL_STATE(16834)] = 724252,
  [SMALL_STATE(16835)] = 724272,
  [SMALL_STATE(16836)] = 724292,
  [SMALL_STATE(16837)] = 724312,
  [SMALL_STATE(16838)] = 724332,
  [SMALL_STATE(16839)] = 724352,
  [SMALL_STATE(16840)] = 724372,
  [SMALL_STATE(16841)] = 724392,
  [SMALL_STATE(16842)] = 724412,
  [SMALL_STATE(16843)] = 724432,
  [SMALL_STATE(16844)] = 724450,
  [SMALL_STATE(16845)] = 724470,
  [SMALL_STATE(16846)] = 724490,
  [SMALL_STATE(16847)] = 724510,
  [SMALL_STATE(16848)] = 724530,
  [SMALL_STATE(16849)] = 724550,
  [SMALL_STATE(16850)] = 724570,
  [SMALL_STATE(16851)] = 724590,
  [SMALL_STATE(16852)] = 724610,
  [SMALL_STATE(16853)] = 724628,
  [SMALL_STATE(16854)] = 724648,
  [SMALL_STATE(16855)] = 724668,
  [SMALL_STATE(16856)] = 724688,
  [SMALL_STATE(16857)] = 724708,
  [SMALL_STATE(16858)] = 724728,
  [SMALL_STATE(16859)] = 724748,
  [SMALL_STATE(16860)] = 724768,
  [SMALL_STATE(16861)] = 724786,
  [SMALL_STATE(16862)] = 724806,
  [SMALL_STATE(16863)] = 724826,
  [SMALL_STATE(16864)] = 724846,
  [SMALL_STATE(16865)] = 724866,
  [SMALL_STATE(16866)] = 724886,
  [SMALL_STATE(16867)] = 724906,
  [SMALL_STATE(16868)] = 724926,
  [SMALL_STATE(16869)] = 724946,
  [SMALL_STATE(16870)] = 724966,
  [SMALL_STATE(16871)] = 724984,
  [SMALL_STATE(16872)] = 725004,
  [SMALL_STATE(16873)] = 725024,
  [SMALL_STATE(16874)] = 725044,
  [SMALL_STATE(16875)] = 725064,
  [SMALL_STATE(16876)] = 725084,
  [SMALL_STATE(16877)] = 725102,
  [SMALL_STATE(16878)] = 725122,
  [SMALL_STATE(16879)] = 725140,
  [SMALL_STATE(16880)] = 725156,
  [SMALL_STATE(16881)] = 725174,
  [SMALL_STATE(16882)] = 725194,
  [SMALL_STATE(16883)] = 725214,
  [SMALL_STATE(16884)] = 725234,
  [SMALL_STATE(16885)] = 725254,
  [SMALL_STATE(16886)] = 725272,
  [SMALL_STATE(16887)] = 725292,
  [SMALL_STATE(16888)] = 725312,
  [SMALL_STATE(16889)] = 725332,
  [SMALL_STATE(16890)] = 725352,
  [SMALL_STATE(16891)] = 725372,
  [SMALL_STATE(16892)] = 725392,
  [SMALL_STATE(16893)] = 725412,
  [SMALL_STATE(16894)] = 725430,
  [SMALL_STATE(16895)] = 725450,
  [SMALL_STATE(16896)] = 725470,
  [SMALL_STATE(16897)] = 725490,
  [SMALL_STATE(16898)] = 725508,
  [SMALL_STATE(16899)] = 725528,
  [SMALL_STATE(16900)] = 725548,
  [SMALL_STATE(16901)] = 725566,
  [SMALL_STATE(16902)] = 725586,
  [SMALL_STATE(16903)] = 725606,
  [SMALL_STATE(16904)] = 725626,
  [SMALL_STATE(16905)] = 725646,
  [SMALL_STATE(16906)] = 725666,
  [SMALL_STATE(16907)] = 725684,
  [SMALL_STATE(16908)] = 725704,
  [SMALL_STATE(16909)] = 725724,
  [SMALL_STATE(16910)] = 725744,
  [SMALL_STATE(16911)] = 725764,
  [SMALL_STATE(16912)] = 725784,
  [SMALL_STATE(16913)] = 725802,
  [SMALL_STATE(16914)] = 725822,
  [SMALL_STATE(16915)] = 725840,
  [SMALL_STATE(16916)] = 725860,
  [SMALL_STATE(16917)] = 725880,
  [SMALL_STATE(16918)] = 725900,
  [SMALL_STATE(16919)] = 725920,
  [SMALL_STATE(16920)] = 725938,
  [SMALL_STATE(16921)] = 725958,
  [SMALL_STATE(16922)] = 725978,
  [SMALL_STATE(16923)] = 725998,
  [SMALL_STATE(16924)] = 726018,
  [SMALL_STATE(16925)] = 726038,
  [SMALL_STATE(16926)] = 726056,
  [SMALL_STATE(16927)] = 726076,
  [SMALL_STATE(16928)] = 726096,
  [SMALL_STATE(16929)] = 726116,
  [SMALL_STATE(16930)] = 726136,
  [SMALL_STATE(16931)] = 726156,
  [SMALL_STATE(16932)] = 726176,
  [SMALL_STATE(16933)] = 726194,
  [SMALL_STATE(16934)] = 726214,
  [SMALL_STATE(16935)] = 726234,
  [SMALL_STATE(16936)] = 726254,
  [SMALL_STATE(16937)] = 726274,
  [SMALL_STATE(16938)] = 726294,
  [SMALL_STATE(16939)] = 726314,
  [SMALL_STATE(16940)] = 726334,
  [SMALL_STATE(16941)] = 726354,
  [SMALL_STATE(16942)] = 726372,
  [SMALL_STATE(16943)] = 726392,
  [SMALL_STATE(16944)] = 726412,
  [SMALL_STATE(16945)] = 726432,
  [SMALL_STATE(16946)] = 726450,
  [SMALL_STATE(16947)] = 726470,
  [SMALL_STATE(16948)] = 726490,
  [SMALL_STATE(16949)] = 726508,
  [SMALL_STATE(16950)] = 726528,
  [SMALL_STATE(16951)] = 726546,
  [SMALL_STATE(16952)] = 726566,
  [SMALL_STATE(16953)] = 726586,
  [SMALL_STATE(16954)] = 726606,
  [SMALL_STATE(16955)] = 726626,
  [SMALL_STATE(16956)] = 726646,
  [SMALL_STATE(16957)] = 726664,
  [SMALL_STATE(16958)] = 726684,
  [SMALL_STATE(16959)] = 726704,
  [SMALL_STATE(16960)] = 726724,
  [SMALL_STATE(16961)] = 726744,
  [SMALL_STATE(16962)] = 726764,
  [SMALL_STATE(16963)] = 726784,
  [SMALL_STATE(16964)] = 726802,
  [SMALL_STATE(16965)] = 726822,
  [SMALL_STATE(16966)] = 726840,
  [SMALL_STATE(16967)] = 726860,
  [SMALL_STATE(16968)] = 726880,
  [SMALL_STATE(16969)] = 726898,
  [SMALL_STATE(16970)] = 726916,
  [SMALL_STATE(16971)] = 726936,
  [SMALL_STATE(16972)] = 726956,
  [SMALL_STATE(16973)] = 726976,
  [SMALL_STATE(16974)] = 726996,
  [SMALL_STATE(16975)] = 727016,
  [SMALL_STATE(16976)] = 727034,
  [SMALL_STATE(16977)] = 727054,
  [SMALL_STATE(16978)] = 727074,
  [SMALL_STATE(16979)] = 727094,
  [SMALL_STATE(16980)] = 727114,
  [SMALL_STATE(16981)] = 727134,
  [SMALL_STATE(16982)] = 727152,
  [SMALL_STATE(16983)] = 727172,
  [SMALL_STATE(16984)] = 727192,
  [SMALL_STATE(16985)] = 727212,
  [SMALL_STATE(16986)] = 727228,
  [SMALL_STATE(16987)] = 727248,
  [SMALL_STATE(16988)] = 727268,
  [SMALL_STATE(16989)] = 727288,
  [SMALL_STATE(16990)] = 727306,
  [SMALL_STATE(16991)] = 727326,
  [SMALL_STATE(16992)] = 727346,
  [SMALL_STATE(16993)] = 727366,
  [SMALL_STATE(16994)] = 727386,
  [SMALL_STATE(16995)] = 727406,
  [SMALL_STATE(16996)] = 727424,
  [SMALL_STATE(16997)] = 727444,
  [SMALL_STATE(16998)] = 727464,
  [SMALL_STATE(16999)] = 727484,
  [SMALL_STATE(17000)] = 727504,
  [SMALL_STATE(17001)] = 727524,
  [SMALL_STATE(17002)] = 727542,
  [SMALL_STATE(17003)] = 727562,
  [SMALL_STATE(17004)] = 727582,
  [SMALL_STATE(17005)] = 727602,
  [SMALL_STATE(17006)] = 727622,
  [SMALL_STATE(17007)] = 727642,
  [SMALL_STATE(17008)] = 727660,
  [SMALL_STATE(17009)] = 727680,
  [SMALL_STATE(17010)] = 727700,
  [SMALL_STATE(17011)] = 727720,
  [SMALL_STATE(17012)] = 727740,
  [SMALL_STATE(17013)] = 727758,
  [SMALL_STATE(17014)] = 727778,
  [SMALL_STATE(17015)] = 727798,
  [SMALL_STATE(17016)] = 727818,
  [SMALL_STATE(17017)] = 727836,
  [SMALL_STATE(17018)] = 727856,
  [SMALL_STATE(17019)] = 727876,
  [SMALL_STATE(17020)] = 727896,
  [SMALL_STATE(17021)] = 727916,
  [SMALL_STATE(17022)] = 727934,
  [SMALL_STATE(17023)] = 727954,
  [SMALL_STATE(17024)] = 727974,
  [SMALL_STATE(17025)] = 727994,
  [SMALL_STATE(17026)] = 728012,
  [SMALL_STATE(17027)] = 728030,
  [SMALL_STATE(17028)] = 728050,
  [SMALL_STATE(17029)] = 728070,
  [SMALL_STATE(17030)] = 728090,
  [SMALL_STATE(17031)] = 728108,
  [SMALL_STATE(17032)] = 728128,
  [SMALL_STATE(17033)] = 728148,
  [SMALL_STATE(17034)] = 728168,
  [SMALL_STATE(17035)] = 728186,
  [SMALL_STATE(17036)] = 728206,
  [SMALL_STATE(17037)] = 728226,
  [SMALL_STATE(17038)] = 728246,
  [SMALL_STATE(17039)] = 728266,
  [SMALL_STATE(17040)] = 728286,
  [SMALL_STATE(17041)] = 728306,
  [SMALL_STATE(17042)] = 728324,
  [SMALL_STATE(17043)] = 728344,
  [SMALL_STATE(17044)] = 728364,
  [SMALL_STATE(17045)] = 728384,
  [SMALL_STATE(17046)] = 728404,
  [SMALL_STATE(17047)] = 728424,
  [SMALL_STATE(17048)] = 728444,
  [SMALL_STATE(17049)] = 728462,
  [SMALL_STATE(17050)] = 728480,
  [SMALL_STATE(17051)] = 728500,
  [SMALL_STATE(17052)] = 728520,
  [SMALL_STATE(17053)] = 728540,
  [SMALL_STATE(17054)] = 728560,
  [SMALL_STATE(17055)] = 728578,
  [SMALL_STATE(17056)] = 728598,
  [SMALL_STATE(17057)] = 728618,
  [SMALL_STATE(17058)] = 728638,
  [SMALL_STATE(17059)] = 728658,
  [SMALL_STATE(17060)] = 728678,
  [SMALL_STATE(17061)] = 728698,
  [SMALL_STATE(17062)] = 728716,
  [SMALL_STATE(17063)] = 728736,
  [SMALL_STATE(17064)] = 728756,
  [SMALL_STATE(17065)] = 728776,
  [SMALL_STATE(17066)] = 728796,
  [SMALL_STATE(17067)] = 728816,
  [SMALL_STATE(17068)] = 728836,
  [SMALL_STATE(17069)] = 728854,
  [SMALL_STATE(17070)] = 728874,
  [SMALL_STATE(17071)] = 728894,
  [SMALL_STATE(17072)] = 728914,
  [SMALL_STATE(17073)] = 728934,
  [SMALL_STATE(17074)] = 728952,
  [SMALL_STATE(17075)] = 728972,
  [SMALL_STATE(17076)] = 728992,
  [SMALL_STATE(17077)] = 729012,
  [SMALL_STATE(17078)] = 729032,
  [SMALL_STATE(17079)] = 729052,
  [SMALL_STATE(17080)] = 729072,
  [SMALL_STATE(17081)] = 729092,
  [SMALL_STATE(17082)] = 729110,
  [SMALL_STATE(17083)] = 729130,
  [SMALL_STATE(17084)] = 729150,
  [SMALL_STATE(17085)] = 729170,
  [SMALL_STATE(17086)] = 729190,
  [SMALL_STATE(17087)] = 729210,
  [SMALL_STATE(17088)] = 729228,
  [SMALL_STATE(17089)] = 729248,
  [SMALL_STATE(17090)] = 729268,
  [SMALL_STATE(17091)] = 729286,
  [SMALL_STATE(17092)] = 729306,
  [SMALL_STATE(17093)] = 729324,
  [SMALL_STATE(17094)] = 729344,
  [SMALL_STATE(17095)] = 729362,
  [SMALL_STATE(17096)] = 729382,
  [SMALL_STATE(17097)] = 729400,
  [SMALL_STATE(17098)] = 729420,
  [SMALL_STATE(17099)] = 729438,
  [SMALL_STATE(17100)] = 729458,
  [SMALL_STATE(17101)] = 729476,
  [SMALL_STATE(17102)] = 729496,
  [SMALL_STATE(17103)] = 729514,
  [SMALL_STATE(17104)] = 729534,
  [SMALL_STATE(17105)] = 729552,
  [SMALL_STATE(17106)] = 729572,
  [SMALL_STATE(17107)] = 729590,
  [SMALL_STATE(17108)] = 729610,
  [SMALL_STATE(17109)] = 729628,
  [SMALL_STATE(17110)] = 729648,
  [SMALL_STATE(17111)] = 729666,
  [SMALL_STATE(17112)] = 729686,
  [SMALL_STATE(17113)] = 729704,
  [SMALL_STATE(17114)] = 729724,
  [SMALL_STATE(17115)] = 729742,
  [SMALL_STATE(17116)] = 729760,
  [SMALL_STATE(17117)] = 729778,
  [SMALL_STATE(17118)] = 729796,
  [SMALL_STATE(17119)] = 729814,
  [SMALL_STATE(17120)] = 729832,
  [SMALL_STATE(17121)] = 729850,
  [SMALL_STATE(17122)] = 729868,
  [SMALL_STATE(17123)] = 729886,
  [SMALL_STATE(17124)] = 729904,
  [SMALL_STATE(17125)] = 729922,
  [SMALL_STATE(17126)] = 729940,
  [SMALL_STATE(17127)] = 729958,
  [SMALL_STATE(17128)] = 729976,
  [SMALL_STATE(17129)] = 729994,
  [SMALL_STATE(17130)] = 730012,
  [SMALL_STATE(17131)] = 730030,
  [SMALL_STATE(17132)] = 730048,
  [SMALL_STATE(17133)] = 730066,
  [SMALL_STATE(17134)] = 730084,
  [SMALL_STATE(17135)] = 730102,
  [SMALL_STATE(17136)] = 730120,
  [SMALL_STATE(17137)] = 730138,
  [SMALL_STATE(17138)] = 730156,
  [SMALL_STATE(17139)] = 730174,
  [SMALL_STATE(17140)] = 730194,
  [SMALL_STATE(17141)] = 730214,
  [SMALL_STATE(17142)] = 730234,
  [SMALL_STATE(17143)] = 730254,
  [SMALL_STATE(17144)] = 730274,
  [SMALL_STATE(17145)] = 730294,
  [SMALL_STATE(17146)] = 730314,
  [SMALL_STATE(17147)] = 730334,
  [SMALL_STATE(17148)] = 730354,
  [SMALL_STATE(17149)] = 730374,
  [SMALL_STATE(17150)] = 730394,
  [SMALL_STATE(17151)] = 730414,
  [SMALL_STATE(17152)] = 730432,
  [SMALL_STATE(17153)] = 730450,
  [SMALL_STATE(17154)] = 730470,
  [SMALL_STATE(17155)] = 730490,
  [SMALL_STATE(17156)] = 730508,
  [SMALL_STATE(17157)] = 730528,
  [SMALL_STATE(17158)] = 730548,
  [SMALL_STATE(17159)] = 730568,
  [SMALL_STATE(17160)] = 730588,
  [SMALL_STATE(17161)] = 730608,
  [SMALL_STATE(17162)] = 730628,
  [SMALL_STATE(17163)] = 730648,
  [SMALL_STATE(17164)] = 730668,
  [SMALL_STATE(17165)] = 730688,
  [SMALL_STATE(17166)] = 730708,
  [SMALL_STATE(17167)] = 730728,
  [SMALL_STATE(17168)] = 730748,
  [SMALL_STATE(17169)] = 730768,
  [SMALL_STATE(17170)] = 730788,
  [SMALL_STATE(17171)] = 730808,
  [SMALL_STATE(17172)] = 730828,
  [SMALL_STATE(17173)] = 730848,
  [SMALL_STATE(17174)] = 730868,
  [SMALL_STATE(17175)] = 730888,
  [SMALL_STATE(17176)] = 730908,
  [SMALL_STATE(17177)] = 730928,
  [SMALL_STATE(17178)] = 730948,
  [SMALL_STATE(17179)] = 730968,
  [SMALL_STATE(17180)] = 730988,
  [SMALL_STATE(17181)] = 731008,
  [SMALL_STATE(17182)] = 731028,
  [SMALL_STATE(17183)] = 731048,
  [SMALL_STATE(17184)] = 731068,
  [SMALL_STATE(17185)] = 731088,
  [SMALL_STATE(17186)] = 731108,
  [SMALL_STATE(17187)] = 731128,
  [SMALL_STATE(17188)] = 731148,
  [SMALL_STATE(17189)] = 731168,
  [SMALL_STATE(17190)] = 731188,
  [SMALL_STATE(17191)] = 731208,
  [SMALL_STATE(17192)] = 731228,
  [SMALL_STATE(17193)] = 731248,
  [SMALL_STATE(17194)] = 731268,
  [SMALL_STATE(17195)] = 731288,
  [SMALL_STATE(17196)] = 731308,
  [SMALL_STATE(17197)] = 731328,
  [SMALL_STATE(17198)] = 731348,
  [SMALL_STATE(17199)] = 731368,
  [SMALL_STATE(17200)] = 731388,
  [SMALL_STATE(17201)] = 731406,
  [SMALL_STATE(17202)] = 731426,
  [SMALL_STATE(17203)] = 731446,
  [SMALL_STATE(17204)] = 731464,
  [SMALL_STATE(17205)] = 731484,
  [SMALL_STATE(17206)] = 731504,
  [SMALL_STATE(17207)] = 731524,
  [SMALL_STATE(17208)] = 731544,
  [SMALL_STATE(17209)] = 731562,
  [SMALL_STATE(17210)] = 731582,
  [SMALL_STATE(17211)] = 731600,
  [SMALL_STATE(17212)] = 731620,
  [SMALL_STATE(17213)] = 731640,
  [SMALL_STATE(17214)] = 731658,
  [SMALL_STATE(17215)] = 731676,
  [SMALL_STATE(17216)] = 731694,
  [SMALL_STATE(17217)] = 731714,
  [SMALL_STATE(17218)] = 731734,
  [SMALL_STATE(17219)] = 731754,
  [SMALL_STATE(17220)] = 731772,
  [SMALL_STATE(17221)] = 731792,
  [SMALL_STATE(17222)] = 731810,
  [SMALL_STATE(17223)] = 731830,
  [SMALL_STATE(17224)] = 731848,
  [SMALL_STATE(17225)] = 731868,
  [SMALL_STATE(17226)] = 731886,
  [SMALL_STATE(17227)] = 731906,
  [SMALL_STATE(17228)] = 731924,
  [SMALL_STATE(17229)] = 731944,
  [SMALL_STATE(17230)] = 731962,
  [SMALL_STATE(17231)] = 731979,
  [SMALL_STATE(17232)] = 731996,
  [SMALL_STATE(17233)] = 732013,
  [SMALL_STATE(17234)] = 732028,
  [SMALL_STATE(17235)] = 732045,
  [SMALL_STATE(17236)] = 732062,
  [SMALL_STATE(17237)] = 732079,
  [SMALL_STATE(17238)] = 732096,
  [SMALL_STATE(17239)] = 732113,
  [SMALL_STATE(17240)] = 732130,
  [SMALL_STATE(17241)] = 732147,
  [SMALL_STATE(17242)] = 732164,
  [SMALL_STATE(17243)] = 732181,
  [SMALL_STATE(17244)] = 732198,
  [SMALL_STATE(17245)] = 732215,
  [SMALL_STATE(17246)] = 732232,
  [SMALL_STATE(17247)] = 732249,
  [SMALL_STATE(17248)] = 732266,
  [SMALL_STATE(17249)] = 732283,
  [SMALL_STATE(17250)] = 732300,
  [SMALL_STATE(17251)] = 732317,
  [SMALL_STATE(17252)] = 732334,
  [SMALL_STATE(17253)] = 732351,
  [SMALL_STATE(17254)] = 732368,
  [SMALL_STATE(17255)] = 732385,
  [SMALL_STATE(17256)] = 732402,
  [SMALL_STATE(17257)] = 732419,
  [SMALL_STATE(17258)] = 732436,
  [SMALL_STATE(17259)] = 732453,
  [SMALL_STATE(17260)] = 732470,
  [SMALL_STATE(17261)] = 732487,
  [SMALL_STATE(17262)] = 732504,
  [SMALL_STATE(17263)] = 732519,
  [SMALL_STATE(17264)] = 732536,
  [SMALL_STATE(17265)] = 732551,
  [SMALL_STATE(17266)] = 732568,
  [SMALL_STATE(17267)] = 732585,
  [SMALL_STATE(17268)] = 732600,
  [SMALL_STATE(17269)] = 732617,
  [SMALL_STATE(17270)] = 732634,
  [SMALL_STATE(17271)] = 732651,
  [SMALL_STATE(17272)] = 732668,
  [SMALL_STATE(17273)] = 732683,
  [SMALL_STATE(17274)] = 732698,
  [SMALL_STATE(17275)] = 732715,
  [SMALL_STATE(17276)] = 732732,
  [SMALL_STATE(17277)] = 732749,
  [SMALL_STATE(17278)] = 732764,
  [SMALL_STATE(17279)] = 732781,
  [SMALL_STATE(17280)] = 732798,
  [SMALL_STATE(17281)] = 732815,
  [SMALL_STATE(17282)] = 732832,
  [SMALL_STATE(17283)] = 732849,
  [SMALL_STATE(17284)] = 732866,
  [SMALL_STATE(17285)] = 732883,
  [SMALL_STATE(17286)] = 732900,
  [SMALL_STATE(17287)] = 732917,
  [SMALL_STATE(17288)] = 732934,
  [SMALL_STATE(17289)] = 732951,
  [SMALL_STATE(17290)] = 732968,
  [SMALL_STATE(17291)] = 732985,
  [SMALL_STATE(17292)] = 733002,
  [SMALL_STATE(17293)] = 733019,
  [SMALL_STATE(17294)] = 733036,
  [SMALL_STATE(17295)] = 733053,
  [SMALL_STATE(17296)] = 733068,
  [SMALL_STATE(17297)] = 733085,
  [SMALL_STATE(17298)] = 733102,
  [SMALL_STATE(17299)] = 733119,
  [SMALL_STATE(17300)] = 733136,
  [SMALL_STATE(17301)] = 733153,
  [SMALL_STATE(17302)] = 733168,
  [SMALL_STATE(17303)] = 733185,
  [SMALL_STATE(17304)] = 733202,
  [SMALL_STATE(17305)] = 733219,
  [SMALL_STATE(17306)] = 733236,
  [SMALL_STATE(17307)] = 733253,
  [SMALL_STATE(17308)] = 733270,
  [SMALL_STATE(17309)] = 733287,
  [SMALL_STATE(17310)] = 733304,
  [SMALL_STATE(17311)] = 733321,
  [SMALL_STATE(17312)] = 733338,
  [SMALL_STATE(17313)] = 733353,
  [SMALL_STATE(17314)] = 733370,
  [SMALL_STATE(17315)] = 733387,
  [SMALL_STATE(17316)] = 733404,
  [SMALL_STATE(17317)] = 733421,
  [SMALL_STATE(17318)] = 733438,
  [SMALL_STATE(17319)] = 733453,
  [SMALL_STATE(17320)] = 733470,
  [SMALL_STATE(17321)] = 733485,
  [SMALL_STATE(17322)] = 733502,
  [SMALL_STATE(17323)] = 733519,
  [SMALL_STATE(17324)] = 733534,
  [SMALL_STATE(17325)] = 733551,
  [SMALL_STATE(17326)] = 733568,
  [SMALL_STATE(17327)] = 733585,
  [SMALL_STATE(17328)] = 733602,
  [SMALL_STATE(17329)] = 733619,
  [SMALL_STATE(17330)] = 733636,
  [SMALL_STATE(17331)] = 733653,
  [SMALL_STATE(17332)] = 733670,
  [SMALL_STATE(17333)] = 733687,
  [SMALL_STATE(17334)] = 733704,
  [SMALL_STATE(17335)] = 733721,
  [SMALL_STATE(17336)] = 733738,
  [SMALL_STATE(17337)] = 733755,
  [SMALL_STATE(17338)] = 733770,
  [SMALL_STATE(17339)] = 733787,
  [SMALL_STATE(17340)] = 733804,
  [SMALL_STATE(17341)] = 733821,
  [SMALL_STATE(17342)] = 733838,
  [SMALL_STATE(17343)] = 733855,
  [SMALL_STATE(17344)] = 733872,
  [SMALL_STATE(17345)] = 733889,
  [SMALL_STATE(17346)] = 733906,
  [SMALL_STATE(17347)] = 733921,
  [SMALL_STATE(17348)] = 733938,
  [SMALL_STATE(17349)] = 733955,
  [SMALL_STATE(17350)] = 733972,
  [SMALL_STATE(17351)] = 733989,
  [SMALL_STATE(17352)] = 734006,
  [SMALL_STATE(17353)] = 734023,
  [SMALL_STATE(17354)] = 734040,
  [SMALL_STATE(17355)] = 734057,
  [SMALL_STATE(17356)] = 734074,
  [SMALL_STATE(17357)] = 734089,
  [SMALL_STATE(17358)] = 734106,
  [SMALL_STATE(17359)] = 734123,
  [SMALL_STATE(17360)] = 734138,
  [SMALL_STATE(17361)] = 734155,
  [SMALL_STATE(17362)] = 734170,
  [SMALL_STATE(17363)] = 734187,
  [SMALL_STATE(17364)] = 734204,
  [SMALL_STATE(17365)] = 734221,
  [SMALL_STATE(17366)] = 734238,
  [SMALL_STATE(17367)] = 734255,
  [SMALL_STATE(17368)] = 734272,
  [SMALL_STATE(17369)] = 734289,
  [SMALL_STATE(17370)] = 734306,
  [SMALL_STATE(17371)] = 734323,
  [SMALL_STATE(17372)] = 734338,
  [SMALL_STATE(17373)] = 734355,
  [SMALL_STATE(17374)] = 734372,
  [SMALL_STATE(17375)] = 734389,
  [SMALL_STATE(17376)] = 734406,
  [SMALL_STATE(17377)] = 734423,
  [SMALL_STATE(17378)] = 734440,
  [SMALL_STATE(17379)] = 734457,
  [SMALL_STATE(17380)] = 734474,
  [SMALL_STATE(17381)] = 734491,
  [SMALL_STATE(17382)] = 734508,
  [SMALL_STATE(17383)] = 734525,
  [SMALL_STATE(17384)] = 734542,
  [SMALL_STATE(17385)] = 734559,
  [SMALL_STATE(17386)] = 734576,
  [SMALL_STATE(17387)] = 734593,
  [SMALL_STATE(17388)] = 734610,
  [SMALL_STATE(17389)] = 734627,
  [SMALL_STATE(17390)] = 734644,
  [SMALL_STATE(17391)] = 734661,
  [SMALL_STATE(17392)] = 734678,
  [SMALL_STATE(17393)] = 734695,
  [SMALL_STATE(17394)] = 734712,
  [SMALL_STATE(17395)] = 734729,
  [SMALL_STATE(17396)] = 734746,
  [SMALL_STATE(17397)] = 734763,
  [SMALL_STATE(17398)] = 734780,
  [SMALL_STATE(17399)] = 734797,
  [SMALL_STATE(17400)] = 734812,
  [SMALL_STATE(17401)] = 734829,
  [SMALL_STATE(17402)] = 734846,
  [SMALL_STATE(17403)] = 734863,
  [SMALL_STATE(17404)] = 734878,
  [SMALL_STATE(17405)] = 734893,
  [SMALL_STATE(17406)] = 734910,
  [SMALL_STATE(17407)] = 734927,
  [SMALL_STATE(17408)] = 734944,
  [SMALL_STATE(17409)] = 734961,
  [SMALL_STATE(17410)] = 734978,
  [SMALL_STATE(17411)] = 734995,
  [SMALL_STATE(17412)] = 735012,
  [SMALL_STATE(17413)] = 735029,
  [SMALL_STATE(17414)] = 735046,
  [SMALL_STATE(17415)] = 735063,
  [SMALL_STATE(17416)] = 735080,
  [SMALL_STATE(17417)] = 735097,
  [SMALL_STATE(17418)] = 735114,
  [SMALL_STATE(17419)] = 735131,
  [SMALL_STATE(17420)] = 735148,
  [SMALL_STATE(17421)] = 735165,
  [SMALL_STATE(17422)] = 735182,
  [SMALL_STATE(17423)] = 735199,
  [SMALL_STATE(17424)] = 735216,
  [SMALL_STATE(17425)] = 735231,
  [SMALL_STATE(17426)] = 735248,
  [SMALL_STATE(17427)] = 735265,
  [SMALL_STATE(17428)] = 735282,
  [SMALL_STATE(17429)] = 735299,
  [SMALL_STATE(17430)] = 735316,
  [SMALL_STATE(17431)] = 735333,
  [SMALL_STATE(17432)] = 735348,
  [SMALL_STATE(17433)] = 735365,
  [SMALL_STATE(17434)] = 735382,
  [SMALL_STATE(17435)] = 735399,
  [SMALL_STATE(17436)] = 735416,
  [SMALL_STATE(17437)] = 735431,
  [SMALL_STATE(17438)] = 735448,
  [SMALL_STATE(17439)] = 735465,
  [SMALL_STATE(17440)] = 735480,
  [SMALL_STATE(17441)] = 735495,
  [SMALL_STATE(17442)] = 735510,
  [SMALL_STATE(17443)] = 735527,
  [SMALL_STATE(17444)] = 735544,
  [SMALL_STATE(17445)] = 735559,
  [SMALL_STATE(17446)] = 735576,
  [SMALL_STATE(17447)] = 735593,
  [SMALL_STATE(17448)] = 735608,
  [SMALL_STATE(17449)] = 735623,
  [SMALL_STATE(17450)] = 735640,
  [SMALL_STATE(17451)] = 735657,
  [SMALL_STATE(17452)] = 735674,
  [SMALL_STATE(17453)] = 735689,
  [SMALL_STATE(17454)] = 735706,
  [SMALL_STATE(17455)] = 735723,
  [SMALL_STATE(17456)] = 735740,
  [SMALL_STATE(17457)] = 735757,
  [SMALL_STATE(17458)] = 735774,
  [SMALL_STATE(17459)] = 735791,
  [SMALL_STATE(17460)] = 735808,
  [SMALL_STATE(17461)] = 735825,
  [SMALL_STATE(17462)] = 735842,
  [SMALL_STATE(17463)] = 735859,
  [SMALL_STATE(17464)] = 735876,
  [SMALL_STATE(17465)] = 735893,
  [SMALL_STATE(17466)] = 735910,
  [SMALL_STATE(17467)] = 735927,
  [SMALL_STATE(17468)] = 735944,
  [SMALL_STATE(17469)] = 735961,
  [SMALL_STATE(17470)] = 735978,
  [SMALL_STATE(17471)] = 735995,
  [SMALL_STATE(17472)] = 736010,
  [SMALL_STATE(17473)] = 736027,
  [SMALL_STATE(17474)] = 736044,
  [SMALL_STATE(17475)] = 736061,
  [SMALL_STATE(17476)] = 736078,
  [SMALL_STATE(17477)] = 736095,
  [SMALL_STATE(17478)] = 736112,
  [SMALL_STATE(17479)] = 736129,
  [SMALL_STATE(17480)] = 736146,
  [SMALL_STATE(17481)] = 736163,
  [SMALL_STATE(17482)] = 736180,
  [SMALL_STATE(17483)] = 736197,
  [SMALL_STATE(17484)] = 736214,
  [SMALL_STATE(17485)] = 736231,
  [SMALL_STATE(17486)] = 736248,
  [SMALL_STATE(17487)] = 736265,
  [SMALL_STATE(17488)] = 736282,
  [SMALL_STATE(17489)] = 736299,
  [SMALL_STATE(17490)] = 736316,
  [SMALL_STATE(17491)] = 736333,
  [SMALL_STATE(17492)] = 736350,
  [SMALL_STATE(17493)] = 736367,
  [SMALL_STATE(17494)] = 736384,
  [SMALL_STATE(17495)] = 736401,
  [SMALL_STATE(17496)] = 736416,
  [SMALL_STATE(17497)] = 736433,
  [SMALL_STATE(17498)] = 736450,
  [SMALL_STATE(17499)] = 736467,
  [SMALL_STATE(17500)] = 736484,
  [SMALL_STATE(17501)] = 736501,
  [SMALL_STATE(17502)] = 736518,
  [SMALL_STATE(17503)] = 736535,
  [SMALL_STATE(17504)] = 736550,
  [SMALL_STATE(17505)] = 736567,
  [SMALL_STATE(17506)] = 736584,
  [SMALL_STATE(17507)] = 736601,
  [SMALL_STATE(17508)] = 736618,
  [SMALL_STATE(17509)] = 736635,
  [SMALL_STATE(17510)] = 736652,
  [SMALL_STATE(17511)] = 736669,
  [SMALL_STATE(17512)] = 736686,
  [SMALL_STATE(17513)] = 736703,
  [SMALL_STATE(17514)] = 736720,
  [SMALL_STATE(17515)] = 736737,
  [SMALL_STATE(17516)] = 736754,
  [SMALL_STATE(17517)] = 736769,
  [SMALL_STATE(17518)] = 736786,
  [SMALL_STATE(17519)] = 736803,
  [SMALL_STATE(17520)] = 736820,
  [SMALL_STATE(17521)] = 736837,
  [SMALL_STATE(17522)] = 736854,
  [SMALL_STATE(17523)] = 736869,
  [SMALL_STATE(17524)] = 736886,
  [SMALL_STATE(17525)] = 736903,
  [SMALL_STATE(17526)] = 736920,
  [SMALL_STATE(17527)] = 736937,
  [SMALL_STATE(17528)] = 736954,
  [SMALL_STATE(17529)] = 736971,
  [SMALL_STATE(17530)] = 736988,
  [SMALL_STATE(17531)] = 737005,
  [SMALL_STATE(17532)] = 737022,
  [SMALL_STATE(17533)] = 737037,
  [SMALL_STATE(17534)] = 737052,
  [SMALL_STATE(17535)] = 737069,
  [SMALL_STATE(17536)] = 737084,
  [SMALL_STATE(17537)] = 737099,
  [SMALL_STATE(17538)] = 737116,
  [SMALL_STATE(17539)] = 737133,
  [SMALL_STATE(17540)] = 737150,
  [SMALL_STATE(17541)] = 737167,
  [SMALL_STATE(17542)] = 737184,
  [SMALL_STATE(17543)] = 737201,
  [SMALL_STATE(17544)] = 737218,
  [SMALL_STATE(17545)] = 737235,
  [SMALL_STATE(17546)] = 737252,
  [SMALL_STATE(17547)] = 737269,
  [SMALL_STATE(17548)] = 737286,
  [SMALL_STATE(17549)] = 737303,
  [SMALL_STATE(17550)] = 737320,
  [SMALL_STATE(17551)] = 737337,
  [SMALL_STATE(17552)] = 737354,
  [SMALL_STATE(17553)] = 737371,
  [SMALL_STATE(17554)] = 737388,
  [SMALL_STATE(17555)] = 737405,
  [SMALL_STATE(17556)] = 737422,
  [SMALL_STATE(17557)] = 737439,
  [SMALL_STATE(17558)] = 737456,
  [SMALL_STATE(17559)] = 737473,
  [SMALL_STATE(17560)] = 737490,
  [SMALL_STATE(17561)] = 737507,
  [SMALL_STATE(17562)] = 737522,
  [SMALL_STATE(17563)] = 737539,
  [SMALL_STATE(17564)] = 737556,
  [SMALL_STATE(17565)] = 737573,
  [SMALL_STATE(17566)] = 737590,
  [SMALL_STATE(17567)] = 737607,
  [SMALL_STATE(17568)] = 737624,
  [SMALL_STATE(17569)] = 737641,
  [SMALL_STATE(17570)] = 737658,
  [SMALL_STATE(17571)] = 737675,
  [SMALL_STATE(17572)] = 737692,
  [SMALL_STATE(17573)] = 737709,
  [SMALL_STATE(17574)] = 737726,
  [SMALL_STATE(17575)] = 737743,
  [SMALL_STATE(17576)] = 737760,
  [SMALL_STATE(17577)] = 737777,
  [SMALL_STATE(17578)] = 737794,
  [SMALL_STATE(17579)] = 737811,
  [SMALL_STATE(17580)] = 737828,
  [SMALL_STATE(17581)] = 737845,
  [SMALL_STATE(17582)] = 737862,
  [SMALL_STATE(17583)] = 737879,
  [SMALL_STATE(17584)] = 737896,
  [SMALL_STATE(17585)] = 737913,
  [SMALL_STATE(17586)] = 737930,
  [SMALL_STATE(17587)] = 737947,
  [SMALL_STATE(17588)] = 737962,
  [SMALL_STATE(17589)] = 737979,
  [SMALL_STATE(17590)] = 737996,
  [SMALL_STATE(17591)] = 738013,
  [SMALL_STATE(17592)] = 738028,
  [SMALL_STATE(17593)] = 738045,
  [SMALL_STATE(17594)] = 738062,
  [SMALL_STATE(17595)] = 738079,
  [SMALL_STATE(17596)] = 738094,
  [SMALL_STATE(17597)] = 738111,
  [SMALL_STATE(17598)] = 738126,
  [SMALL_STATE(17599)] = 738143,
  [SMALL_STATE(17600)] = 738160,
  [SMALL_STATE(17601)] = 738177,
  [SMALL_STATE(17602)] = 738194,
  [SMALL_STATE(17603)] = 738211,
  [SMALL_STATE(17604)] = 738228,
  [SMALL_STATE(17605)] = 738245,
  [SMALL_STATE(17606)] = 738262,
  [SMALL_STATE(17607)] = 738279,
  [SMALL_STATE(17608)] = 738296,
  [SMALL_STATE(17609)] = 738313,
  [SMALL_STATE(17610)] = 738330,
  [SMALL_STATE(17611)] = 738347,
  [SMALL_STATE(17612)] = 738362,
  [SMALL_STATE(17613)] = 738379,
  [SMALL_STATE(17614)] = 738396,
  [SMALL_STATE(17615)] = 738413,
  [SMALL_STATE(17616)] = 738430,
  [SMALL_STATE(17617)] = 738447,
  [SMALL_STATE(17618)] = 738462,
  [SMALL_STATE(17619)] = 738479,
  [SMALL_STATE(17620)] = 738496,
  [SMALL_STATE(17621)] = 738513,
  [SMALL_STATE(17622)] = 738530,
  [SMALL_STATE(17623)] = 738547,
  [SMALL_STATE(17624)] = 738564,
  [SMALL_STATE(17625)] = 738581,
  [SMALL_STATE(17626)] = 738598,
  [SMALL_STATE(17627)] = 738613,
  [SMALL_STATE(17628)] = 738628,
  [SMALL_STATE(17629)] = 738645,
  [SMALL_STATE(17630)] = 738662,
  [SMALL_STATE(17631)] = 738679,
  [SMALL_STATE(17632)] = 738696,
  [SMALL_STATE(17633)] = 738713,
  [SMALL_STATE(17634)] = 738730,
  [SMALL_STATE(17635)] = 738747,
  [SMALL_STATE(17636)] = 738762,
  [SMALL_STATE(17637)] = 738779,
  [SMALL_STATE(17638)] = 738796,
  [SMALL_STATE(17639)] = 738813,
  [SMALL_STATE(17640)] = 738830,
  [SMALL_STATE(17641)] = 738847,
  [SMALL_STATE(17642)] = 738864,
  [SMALL_STATE(17643)] = 738881,
  [SMALL_STATE(17644)] = 738898,
  [SMALL_STATE(17645)] = 738915,
  [SMALL_STATE(17646)] = 738932,
  [SMALL_STATE(17647)] = 738949,
  [SMALL_STATE(17648)] = 738966,
  [SMALL_STATE(17649)] = 738983,
  [SMALL_STATE(17650)] = 739000,
  [SMALL_STATE(17651)] = 739017,
  [SMALL_STATE(17652)] = 739034,
  [SMALL_STATE(17653)] = 739051,
  [SMALL_STATE(17654)] = 739068,
  [SMALL_STATE(17655)] = 739085,
  [SMALL_STATE(17656)] = 739102,
  [SMALL_STATE(17657)] = 739119,
  [SMALL_STATE(17658)] = 739136,
  [SMALL_STATE(17659)] = 739153,
  [SMALL_STATE(17660)] = 739170,
  [SMALL_STATE(17661)] = 739187,
  [SMALL_STATE(17662)] = 739204,
  [SMALL_STATE(17663)] = 739219,
  [SMALL_STATE(17664)] = 739236,
  [SMALL_STATE(17665)] = 739253,
  [SMALL_STATE(17666)] = 739270,
  [SMALL_STATE(17667)] = 739287,
  [SMALL_STATE(17668)] = 739304,
  [SMALL_STATE(17669)] = 739321,
  [SMALL_STATE(17670)] = 739338,
  [SMALL_STATE(17671)] = 739355,
  [SMALL_STATE(17672)] = 739372,
  [SMALL_STATE(17673)] = 739389,
  [SMALL_STATE(17674)] = 739404,
  [SMALL_STATE(17675)] = 739421,
  [SMALL_STATE(17676)] = 739438,
  [SMALL_STATE(17677)] = 739455,
  [SMALL_STATE(17678)] = 739472,
  [SMALL_STATE(17679)] = 739489,
  [SMALL_STATE(17680)] = 739506,
  [SMALL_STATE(17681)] = 739523,
  [SMALL_STATE(17682)] = 739540,
  [SMALL_STATE(17683)] = 739557,
  [SMALL_STATE(17684)] = 739574,
  [SMALL_STATE(17685)] = 739591,
  [SMALL_STATE(17686)] = 739608,
  [SMALL_STATE(17687)] = 739625,
  [SMALL_STATE(17688)] = 739642,
  [SMALL_STATE(17689)] = 739659,
  [SMALL_STATE(17690)] = 739676,
  [SMALL_STATE(17691)] = 739693,
  [SMALL_STATE(17692)] = 739710,
  [SMALL_STATE(17693)] = 739727,
  [SMALL_STATE(17694)] = 739742,
  [SMALL_STATE(17695)] = 739759,
  [SMALL_STATE(17696)] = 739774,
  [SMALL_STATE(17697)] = 739791,
  [SMALL_STATE(17698)] = 739808,
  [SMALL_STATE(17699)] = 739825,
  [SMALL_STATE(17700)] = 739842,
  [SMALL_STATE(17701)] = 739859,
  [SMALL_STATE(17702)] = 739876,
  [SMALL_STATE(17703)] = 739893,
  [SMALL_STATE(17704)] = 739910,
  [SMALL_STATE(17705)] = 739927,
  [SMALL_STATE(17706)] = 739944,
  [SMALL_STATE(17707)] = 739959,
  [SMALL_STATE(17708)] = 739976,
  [SMALL_STATE(17709)] = 739993,
  [SMALL_STATE(17710)] = 740010,
  [SMALL_STATE(17711)] = 740025,
  [SMALL_STATE(17712)] = 740042,
  [SMALL_STATE(17713)] = 740059,
  [SMALL_STATE(17714)] = 740076,
  [SMALL_STATE(17715)] = 740093,
  [SMALL_STATE(17716)] = 740110,
  [SMALL_STATE(17717)] = 740127,
  [SMALL_STATE(17718)] = 740142,
  [SMALL_STATE(17719)] = 740159,
  [SMALL_STATE(17720)] = 740174,
  [SMALL_STATE(17721)] = 740191,
  [SMALL_STATE(17722)] = 740208,
  [SMALL_STATE(17723)] = 740225,
  [SMALL_STATE(17724)] = 740242,
  [SMALL_STATE(17725)] = 740259,
  [SMALL_STATE(17726)] = 740276,
  [SMALL_STATE(17727)] = 740291,
  [SMALL_STATE(17728)] = 740308,
  [SMALL_STATE(17729)] = 740325,
  [SMALL_STATE(17730)] = 740342,
  [SMALL_STATE(17731)] = 740359,
  [SMALL_STATE(17732)] = 740376,
  [SMALL_STATE(17733)] = 740393,
  [SMALL_STATE(17734)] = 740410,
  [SMALL_STATE(17735)] = 740425,
  [SMALL_STATE(17736)] = 740442,
  [SMALL_STATE(17737)] = 740459,
  [SMALL_STATE(17738)] = 740476,
  [SMALL_STATE(17739)] = 740493,
  [SMALL_STATE(17740)] = 740510,
  [SMALL_STATE(17741)] = 740525,
  [SMALL_STATE(17742)] = 740540,
  [SMALL_STATE(17743)] = 740557,
  [SMALL_STATE(17744)] = 740572,
  [SMALL_STATE(17745)] = 740589,
  [SMALL_STATE(17746)] = 740606,
  [SMALL_STATE(17747)] = 740623,
  [SMALL_STATE(17748)] = 740638,
  [SMALL_STATE(17749)] = 740655,
  [SMALL_STATE(17750)] = 740672,
  [SMALL_STATE(17751)] = 740689,
  [SMALL_STATE(17752)] = 740706,
  [SMALL_STATE(17753)] = 740723,
  [SMALL_STATE(17754)] = 740740,
  [SMALL_STATE(17755)] = 740757,
  [SMALL_STATE(17756)] = 740774,
  [SMALL_STATE(17757)] = 740791,
  [SMALL_STATE(17758)] = 740808,
  [SMALL_STATE(17759)] = 740825,
  [SMALL_STATE(17760)] = 740842,
  [SMALL_STATE(17761)] = 740859,
  [SMALL_STATE(17762)] = 740876,
  [SMALL_STATE(17763)] = 740893,
  [SMALL_STATE(17764)] = 740908,
  [SMALL_STATE(17765)] = 740925,
  [SMALL_STATE(17766)] = 740942,
  [SMALL_STATE(17767)] = 740959,
  [SMALL_STATE(17768)] = 740976,
  [SMALL_STATE(17769)] = 740993,
  [SMALL_STATE(17770)] = 741010,
  [SMALL_STATE(17771)] = 741027,
  [SMALL_STATE(17772)] = 741044,
  [SMALL_STATE(17773)] = 741061,
  [SMALL_STATE(17774)] = 741078,
  [SMALL_STATE(17775)] = 741095,
  [SMALL_STATE(17776)] = 741110,
  [SMALL_STATE(17777)] = 741127,
  [SMALL_STATE(17778)] = 741144,
  [SMALL_STATE(17779)] = 741161,
  [SMALL_STATE(17780)] = 741178,
  [SMALL_STATE(17781)] = 741195,
  [SMALL_STATE(17782)] = 741212,
  [SMALL_STATE(17783)] = 741229,
  [SMALL_STATE(17784)] = 741246,
  [SMALL_STATE(17785)] = 741261,
  [SMALL_STATE(17786)] = 741278,
  [SMALL_STATE(17787)] = 741295,
  [SMALL_STATE(17788)] = 741312,
  [SMALL_STATE(17789)] = 741329,
  [SMALL_STATE(17790)] = 741346,
  [SMALL_STATE(17791)] = 741363,
  [SMALL_STATE(17792)] = 741380,
  [SMALL_STATE(17793)] = 741397,
  [SMALL_STATE(17794)] = 741414,
  [SMALL_STATE(17795)] = 741431,
  [SMALL_STATE(17796)] = 741448,
  [SMALL_STATE(17797)] = 741465,
  [SMALL_STATE(17798)] = 741482,
  [SMALL_STATE(17799)] = 741499,
  [SMALL_STATE(17800)] = 741514,
  [SMALL_STATE(17801)] = 741531,
  [SMALL_STATE(17802)] = 741548,
  [SMALL_STATE(17803)] = 741565,
  [SMALL_STATE(17804)] = 741582,
  [SMALL_STATE(17805)] = 741599,
  [SMALL_STATE(17806)] = 741616,
  [SMALL_STATE(17807)] = 741633,
  [SMALL_STATE(17808)] = 741650,
  [SMALL_STATE(17809)] = 741665,
  [SMALL_STATE(17810)] = 741682,
  [SMALL_STATE(17811)] = 741699,
  [SMALL_STATE(17812)] = 741716,
  [SMALL_STATE(17813)] = 741733,
  [SMALL_STATE(17814)] = 741750,
  [SMALL_STATE(17815)] = 741767,
  [SMALL_STATE(17816)] = 741782,
  [SMALL_STATE(17817)] = 741799,
  [SMALL_STATE(17818)] = 741816,
  [SMALL_STATE(17819)] = 741833,
  [SMALL_STATE(17820)] = 741850,
  [SMALL_STATE(17821)] = 741867,
  [SMALL_STATE(17822)] = 741884,
  [SMALL_STATE(17823)] = 741901,
  [SMALL_STATE(17824)] = 741918,
  [SMALL_STATE(17825)] = 741935,
  [SMALL_STATE(17826)] = 741952,
  [SMALL_STATE(17827)] = 741969,
  [SMALL_STATE(17828)] = 741986,
  [SMALL_STATE(17829)] = 742003,
  [SMALL_STATE(17830)] = 742020,
  [SMALL_STATE(17831)] = 742037,
  [SMALL_STATE(17832)] = 742054,
  [SMALL_STATE(17833)] = 742071,
  [SMALL_STATE(17834)] = 742088,
  [SMALL_STATE(17835)] = 742103,
  [SMALL_STATE(17836)] = 742120,
  [SMALL_STATE(17837)] = 742137,
  [SMALL_STATE(17838)] = 742152,
  [SMALL_STATE(17839)] = 742167,
  [SMALL_STATE(17840)] = 742184,
  [SMALL_STATE(17841)] = 742201,
  [SMALL_STATE(17842)] = 742218,
  [SMALL_STATE(17843)] = 742235,
  [SMALL_STATE(17844)] = 742252,
  [SMALL_STATE(17845)] = 742269,
  [SMALL_STATE(17846)] = 742286,
  [SMALL_STATE(17847)] = 742303,
  [SMALL_STATE(17848)] = 742320,
  [SMALL_STATE(17849)] = 742335,
  [SMALL_STATE(17850)] = 742352,
  [SMALL_STATE(17851)] = 742369,
  [SMALL_STATE(17852)] = 742386,
  [SMALL_STATE(17853)] = 742403,
  [SMALL_STATE(17854)] = 742420,
  [SMALL_STATE(17855)] = 742437,
  [SMALL_STATE(17856)] = 742452,
  [SMALL_STATE(17857)] = 742469,
  [SMALL_STATE(17858)] = 742486,
  [SMALL_STATE(17859)] = 742503,
  [SMALL_STATE(17860)] = 742520,
  [SMALL_STATE(17861)] = 742537,
  [SMALL_STATE(17862)] = 742554,
  [SMALL_STATE(17863)] = 742571,
  [SMALL_STATE(17864)] = 742588,
  [SMALL_STATE(17865)] = 742605,
  [SMALL_STATE(17866)] = 742622,
  [SMALL_STATE(17867)] = 742639,
  [SMALL_STATE(17868)] = 742656,
  [SMALL_STATE(17869)] = 742673,
  [SMALL_STATE(17870)] = 742690,
  [SMALL_STATE(17871)] = 742707,
  [SMALL_STATE(17872)] = 742724,
  [SMALL_STATE(17873)] = 742741,
  [SMALL_STATE(17874)] = 742758,
  [SMALL_STATE(17875)] = 742775,
  [SMALL_STATE(17876)] = 742792,
  [SMALL_STATE(17877)] = 742807,
  [SMALL_STATE(17878)] = 742822,
  [SMALL_STATE(17879)] = 742839,
  [SMALL_STATE(17880)] = 742856,
  [SMALL_STATE(17881)] = 742873,
  [SMALL_STATE(17882)] = 742890,
  [SMALL_STATE(17883)] = 742907,
  [SMALL_STATE(17884)] = 742924,
  [SMALL_STATE(17885)] = 742941,
  [SMALL_STATE(17886)] = 742958,
  [SMALL_STATE(17887)] = 742975,
  [SMALL_STATE(17888)] = 742992,
  [SMALL_STATE(17889)] = 743007,
  [SMALL_STATE(17890)] = 743024,
  [SMALL_STATE(17891)] = 743041,
  [SMALL_STATE(17892)] = 743058,
  [SMALL_STATE(17893)] = 743075,
  [SMALL_STATE(17894)] = 743092,
  [SMALL_STATE(17895)] = 743109,
  [SMALL_STATE(17896)] = 743126,
  [SMALL_STATE(17897)] = 743143,
  [SMALL_STATE(17898)] = 743160,
  [SMALL_STATE(17899)] = 743177,
  [SMALL_STATE(17900)] = 743194,
  [SMALL_STATE(17901)] = 743211,
  [SMALL_STATE(17902)] = 743228,
  [SMALL_STATE(17903)] = 743245,
  [SMALL_STATE(17904)] = 743262,
  [SMALL_STATE(17905)] = 743279,
  [SMALL_STATE(17906)] = 743296,
  [SMALL_STATE(17907)] = 743313,
  [SMALL_STATE(17908)] = 743330,
  [SMALL_STATE(17909)] = 743345,
  [SMALL_STATE(17910)] = 743362,
  [SMALL_STATE(17911)] = 743379,
  [SMALL_STATE(17912)] = 743396,
  [SMALL_STATE(17913)] = 743413,
  [SMALL_STATE(17914)] = 743430,
  [SMALL_STATE(17915)] = 743447,
  [SMALL_STATE(17916)] = 743464,
  [SMALL_STATE(17917)] = 743481,
  [SMALL_STATE(17918)] = 743498,
  [SMALL_STATE(17919)] = 743515,
  [SMALL_STATE(17920)] = 743532,
  [SMALL_STATE(17921)] = 743549,
  [SMALL_STATE(17922)] = 743566,
  [SMALL_STATE(17923)] = 743583,
  [SMALL_STATE(17924)] = 743600,
  [SMALL_STATE(17925)] = 743615,
  [SMALL_STATE(17926)] = 743632,
  [SMALL_STATE(17927)] = 743647,
  [SMALL_STATE(17928)] = 743664,
  [SMALL_STATE(17929)] = 743679,
  [SMALL_STATE(17930)] = 743696,
  [SMALL_STATE(17931)] = 743713,
  [SMALL_STATE(17932)] = 743730,
  [SMALL_STATE(17933)] = 743747,
  [SMALL_STATE(17934)] = 743764,
  [SMALL_STATE(17935)] = 743779,
  [SMALL_STATE(17936)] = 743796,
  [SMALL_STATE(17937)] = 743813,
  [SMALL_STATE(17938)] = 743830,
  [SMALL_STATE(17939)] = 743847,
  [SMALL_STATE(17940)] = 743864,
  [SMALL_STATE(17941)] = 743881,
  [SMALL_STATE(17942)] = 743898,
  [SMALL_STATE(17943)] = 743913,
  [SMALL_STATE(17944)] = 743928,
  [SMALL_STATE(17945)] = 743945,
  [SMALL_STATE(17946)] = 743962,
  [SMALL_STATE(17947)] = 743979,
  [SMALL_STATE(17948)] = 743994,
  [SMALL_STATE(17949)] = 744011,
  [SMALL_STATE(17950)] = 744028,
  [SMALL_STATE(17951)] = 744045,
  [SMALL_STATE(17952)] = 744062,
  [SMALL_STATE(17953)] = 744079,
  [SMALL_STATE(17954)] = 744096,
  [SMALL_STATE(17955)] = 744111,
  [SMALL_STATE(17956)] = 744128,
  [SMALL_STATE(17957)] = 744143,
  [SMALL_STATE(17958)] = 744160,
  [SMALL_STATE(17959)] = 744177,
  [SMALL_STATE(17960)] = 744194,
  [SMALL_STATE(17961)] = 744211,
  [SMALL_STATE(17962)] = 744228,
  [SMALL_STATE(17963)] = 744245,
  [SMALL_STATE(17964)] = 744262,
  [SMALL_STATE(17965)] = 744279,
  [SMALL_STATE(17966)] = 744296,
  [SMALL_STATE(17967)] = 744313,
  [SMALL_STATE(17968)] = 744330,
  [SMALL_STATE(17969)] = 744347,
  [SMALL_STATE(17970)] = 744364,
  [SMALL_STATE(17971)] = 744381,
  [SMALL_STATE(17972)] = 744398,
  [SMALL_STATE(17973)] = 744413,
  [SMALL_STATE(17974)] = 744430,
  [SMALL_STATE(17975)] = 744447,
  [SMALL_STATE(17976)] = 744464,
  [SMALL_STATE(17977)] = 744481,
  [SMALL_STATE(17978)] = 744498,
  [SMALL_STATE(17979)] = 744515,
  [SMALL_STATE(17980)] = 744532,
  [SMALL_STATE(17981)] = 744549,
  [SMALL_STATE(17982)] = 744566,
  [SMALL_STATE(17983)] = 744583,
  [SMALL_STATE(17984)] = 744600,
  [SMALL_STATE(17985)] = 744615,
  [SMALL_STATE(17986)] = 744632,
  [SMALL_STATE(17987)] = 744649,
  [SMALL_STATE(17988)] = 744666,
  [SMALL_STATE(17989)] = 744683,
  [SMALL_STATE(17990)] = 744700,
  [SMALL_STATE(17991)] = 744717,
  [SMALL_STATE(17992)] = 744734,
  [SMALL_STATE(17993)] = 744751,
  [SMALL_STATE(17994)] = 744768,
  [SMALL_STATE(17995)] = 744785,
  [SMALL_STATE(17996)] = 744802,
  [SMALL_STATE(17997)] = 744819,
  [SMALL_STATE(17998)] = 744836,
  [SMALL_STATE(17999)] = 744853,
  [SMALL_STATE(18000)] = 744868,
  [SMALL_STATE(18001)] = 744885,
  [SMALL_STATE(18002)] = 744902,
  [SMALL_STATE(18003)] = 744919,
  [SMALL_STATE(18004)] = 744936,
  [SMALL_STATE(18005)] = 744953,
  [SMALL_STATE(18006)] = 744970,
  [SMALL_STATE(18007)] = 744987,
  [SMALL_STATE(18008)] = 745004,
  [SMALL_STATE(18009)] = 745021,
  [SMALL_STATE(18010)] = 745038,
  [SMALL_STATE(18011)] = 745055,
  [SMALL_STATE(18012)] = 745072,
  [SMALL_STATE(18013)] = 745089,
  [SMALL_STATE(18014)] = 745106,
  [SMALL_STATE(18015)] = 745123,
  [SMALL_STATE(18016)] = 745138,
  [SMALL_STATE(18017)] = 745155,
  [SMALL_STATE(18018)] = 745172,
  [SMALL_STATE(18019)] = 745187,
  [SMALL_STATE(18020)] = 745204,
  [SMALL_STATE(18021)] = 745221,
  [SMALL_STATE(18022)] = 745238,
  [SMALL_STATE(18023)] = 745255,
  [SMALL_STATE(18024)] = 745272,
  [SMALL_STATE(18025)] = 745289,
  [SMALL_STATE(18026)] = 745306,
  [SMALL_STATE(18027)] = 745323,
  [SMALL_STATE(18028)] = 745340,
  [SMALL_STATE(18029)] = 745357,
  [SMALL_STATE(18030)] = 745374,
  [SMALL_STATE(18031)] = 745391,
  [SMALL_STATE(18032)] = 745406,
  [SMALL_STATE(18033)] = 745421,
  [SMALL_STATE(18034)] = 745436,
  [SMALL_STATE(18035)] = 745453,
  [SMALL_STATE(18036)] = 745470,
  [SMALL_STATE(18037)] = 745487,
  [SMALL_STATE(18038)] = 745504,
  [SMALL_STATE(18039)] = 745521,
  [SMALL_STATE(18040)] = 745538,
  [SMALL_STATE(18041)] = 745555,
  [SMALL_STATE(18042)] = 745572,
  [SMALL_STATE(18043)] = 745589,
  [SMALL_STATE(18044)] = 745606,
  [SMALL_STATE(18045)] = 745623,
  [SMALL_STATE(18046)] = 745640,
  [SMALL_STATE(18047)] = 745655,
  [SMALL_STATE(18048)] = 745672,
  [SMALL_STATE(18049)] = 745689,
  [SMALL_STATE(18050)] = 745706,
  [SMALL_STATE(18051)] = 745723,
  [SMALL_STATE(18052)] = 745740,
  [SMALL_STATE(18053)] = 745757,
  [SMALL_STATE(18054)] = 745774,
  [SMALL_STATE(18055)] = 745791,
  [SMALL_STATE(18056)] = 745808,
  [SMALL_STATE(18057)] = 745825,
  [SMALL_STATE(18058)] = 745842,
  [SMALL_STATE(18059)] = 745859,
  [SMALL_STATE(18060)] = 745876,
  [SMALL_STATE(18061)] = 745893,
  [SMALL_STATE(18062)] = 745910,
  [SMALL_STATE(18063)] = 745927,
  [SMALL_STATE(18064)] = 745944,
  [SMALL_STATE(18065)] = 745961,
  [SMALL_STATE(18066)] = 745978,
  [SMALL_STATE(18067)] = 745995,
  [SMALL_STATE(18068)] = 746012,
  [SMALL_STATE(18069)] = 746029,
  [SMALL_STATE(18070)] = 746046,
  [SMALL_STATE(18071)] = 746063,
  [SMALL_STATE(18072)] = 746080,
  [SMALL_STATE(18073)] = 746097,
  [SMALL_STATE(18074)] = 746114,
  [SMALL_STATE(18075)] = 746131,
  [SMALL_STATE(18076)] = 746148,
  [SMALL_STATE(18077)] = 746165,
  [SMALL_STATE(18078)] = 746182,
  [SMALL_STATE(18079)] = 746199,
  [SMALL_STATE(18080)] = 746216,
  [SMALL_STATE(18081)] = 746233,
  [SMALL_STATE(18082)] = 746250,
  [SMALL_STATE(18083)] = 746267,
  [SMALL_STATE(18084)] = 746284,
  [SMALL_STATE(18085)] = 746301,
  [SMALL_STATE(18086)] = 746318,
  [SMALL_STATE(18087)] = 746335,
  [SMALL_STATE(18088)] = 746352,
  [SMALL_STATE(18089)] = 746369,
  [SMALL_STATE(18090)] = 746386,
  [SMALL_STATE(18091)] = 746403,
  [SMALL_STATE(18092)] = 746420,
  [SMALL_STATE(18093)] = 746437,
  [SMALL_STATE(18094)] = 746454,
  [SMALL_STATE(18095)] = 746471,
  [SMALL_STATE(18096)] = 746488,
  [SMALL_STATE(18097)] = 746505,
  [SMALL_STATE(18098)] = 746522,
  [SMALL_STATE(18099)] = 746539,
  [SMALL_STATE(18100)] = 746556,
  [SMALL_STATE(18101)] = 746573,
  [SMALL_STATE(18102)] = 746590,
  [SMALL_STATE(18103)] = 746607,
  [SMALL_STATE(18104)] = 746624,
  [SMALL_STATE(18105)] = 746641,
  [SMALL_STATE(18106)] = 746658,
  [SMALL_STATE(18107)] = 746675,
  [SMALL_STATE(18108)] = 746692,
  [SMALL_STATE(18109)] = 746709,
  [SMALL_STATE(18110)] = 746726,
  [SMALL_STATE(18111)] = 746743,
  [SMALL_STATE(18112)] = 746760,
  [SMALL_STATE(18113)] = 746777,
  [SMALL_STATE(18114)] = 746794,
  [SMALL_STATE(18115)] = 746811,
  [SMALL_STATE(18116)] = 746828,
  [SMALL_STATE(18117)] = 746845,
  [SMALL_STATE(18118)] = 746862,
  [SMALL_STATE(18119)] = 746879,
  [SMALL_STATE(18120)] = 746896,
  [SMALL_STATE(18121)] = 746913,
  [SMALL_STATE(18122)] = 746930,
  [SMALL_STATE(18123)] = 746947,
  [SMALL_STATE(18124)] = 746964,
  [SMALL_STATE(18125)] = 746981,
  [SMALL_STATE(18126)] = 746998,
  [SMALL_STATE(18127)] = 747015,
  [SMALL_STATE(18128)] = 747032,
  [SMALL_STATE(18129)] = 747049,
  [SMALL_STATE(18130)] = 747066,
  [SMALL_STATE(18131)] = 747083,
  [SMALL_STATE(18132)] = 747100,
  [SMALL_STATE(18133)] = 747117,
  [SMALL_STATE(18134)] = 747134,
  [SMALL_STATE(18135)] = 747151,
  [SMALL_STATE(18136)] = 747168,
  [SMALL_STATE(18137)] = 747185,
  [SMALL_STATE(18138)] = 747202,
  [SMALL_STATE(18139)] = 747219,
  [SMALL_STATE(18140)] = 747236,
  [SMALL_STATE(18141)] = 747253,
  [SMALL_STATE(18142)] = 747270,
  [SMALL_STATE(18143)] = 747287,
  [SMALL_STATE(18144)] = 747304,
  [SMALL_STATE(18145)] = 747321,
  [SMALL_STATE(18146)] = 747338,
  [SMALL_STATE(18147)] = 747355,
  [SMALL_STATE(18148)] = 747372,
  [SMALL_STATE(18149)] = 747389,
  [SMALL_STATE(18150)] = 747406,
  [SMALL_STATE(18151)] = 747423,
  [SMALL_STATE(18152)] = 747440,
  [SMALL_STATE(18153)] = 747457,
  [SMALL_STATE(18154)] = 747474,
  [SMALL_STATE(18155)] = 747491,
  [SMALL_STATE(18156)] = 747508,
  [SMALL_STATE(18157)] = 747525,
  [SMALL_STATE(18158)] = 747542,
  [SMALL_STATE(18159)] = 747559,
  [SMALL_STATE(18160)] = 747576,
  [SMALL_STATE(18161)] = 747593,
  [SMALL_STATE(18162)] = 747610,
  [SMALL_STATE(18163)] = 747627,
  [SMALL_STATE(18164)] = 747644,
  [SMALL_STATE(18165)] = 747661,
  [SMALL_STATE(18166)] = 747676,
  [SMALL_STATE(18167)] = 747693,
  [SMALL_STATE(18168)] = 747710,
  [SMALL_STATE(18169)] = 747727,
  [SMALL_STATE(18170)] = 747744,
  [SMALL_STATE(18171)] = 747761,
  [SMALL_STATE(18172)] = 747778,
  [SMALL_STATE(18173)] = 747795,
  [SMALL_STATE(18174)] = 747812,
  [SMALL_STATE(18175)] = 747829,
  [SMALL_STATE(18176)] = 747844,
  [SMALL_STATE(18177)] = 747861,
  [SMALL_STATE(18178)] = 747878,
  [SMALL_STATE(18179)] = 747893,
  [SMALL_STATE(18180)] = 747908,
  [SMALL_STATE(18181)] = 747925,
  [SMALL_STATE(18182)] = 747942,
  [SMALL_STATE(18183)] = 747959,
  [SMALL_STATE(18184)] = 747976,
  [SMALL_STATE(18185)] = 747993,
  [SMALL_STATE(18186)] = 748010,
  [SMALL_STATE(18187)] = 748027,
  [SMALL_STATE(18188)] = 748044,
  [SMALL_STATE(18189)] = 748061,
  [SMALL_STATE(18190)] = 748078,
  [SMALL_STATE(18191)] = 748093,
  [SMALL_STATE(18192)] = 748110,
  [SMALL_STATE(18193)] = 748127,
  [SMALL_STATE(18194)] = 748144,
  [SMALL_STATE(18195)] = 748159,
  [SMALL_STATE(18196)] = 748176,
  [SMALL_STATE(18197)] = 748193,
  [SMALL_STATE(18198)] = 748210,
  [SMALL_STATE(18199)] = 748227,
  [SMALL_STATE(18200)] = 748244,
  [SMALL_STATE(18201)] = 748261,
  [SMALL_STATE(18202)] = 748278,
  [SMALL_STATE(18203)] = 748295,
  [SMALL_STATE(18204)] = 748312,
  [SMALL_STATE(18205)] = 748327,
  [SMALL_STATE(18206)] = 748344,
  [SMALL_STATE(18207)] = 748359,
  [SMALL_STATE(18208)] = 748376,
  [SMALL_STATE(18209)] = 748393,
  [SMALL_STATE(18210)] = 748410,
  [SMALL_STATE(18211)] = 748425,
  [SMALL_STATE(18212)] = 748442,
  [SMALL_STATE(18213)] = 748459,
  [SMALL_STATE(18214)] = 748476,
  [SMALL_STATE(18215)] = 748493,
  [SMALL_STATE(18216)] = 748510,
  [SMALL_STATE(18217)] = 748527,
  [SMALL_STATE(18218)] = 748544,
  [SMALL_STATE(18219)] = 748559,
  [SMALL_STATE(18220)] = 748574,
  [SMALL_STATE(18221)] = 748589,
  [SMALL_STATE(18222)] = 748606,
  [SMALL_STATE(18223)] = 748623,
  [SMALL_STATE(18224)] = 748640,
  [SMALL_STATE(18225)] = 748657,
  [SMALL_STATE(18226)] = 748674,
  [SMALL_STATE(18227)] = 748691,
  [SMALL_STATE(18228)] = 748706,
  [SMALL_STATE(18229)] = 748723,
  [SMALL_STATE(18230)] = 748740,
  [SMALL_STATE(18231)] = 748757,
  [SMALL_STATE(18232)] = 748772,
  [SMALL_STATE(18233)] = 748787,
  [SMALL_STATE(18234)] = 748804,
  [SMALL_STATE(18235)] = 748819,
  [SMALL_STATE(18236)] = 748836,
  [SMALL_STATE(18237)] = 748853,
  [SMALL_STATE(18238)] = 748870,
  [SMALL_STATE(18239)] = 748887,
  [SMALL_STATE(18240)] = 748904,
  [SMALL_STATE(18241)] = 748921,
  [SMALL_STATE(18242)] = 748938,
  [SMALL_STATE(18243)] = 748955,
  [SMALL_STATE(18244)] = 748972,
  [SMALL_STATE(18245)] = 748989,
  [SMALL_STATE(18246)] = 749006,
  [SMALL_STATE(18247)] = 749021,
  [SMALL_STATE(18248)] = 749038,
  [SMALL_STATE(18249)] = 749055,
  [SMALL_STATE(18250)] = 749072,
  [SMALL_STATE(18251)] = 749089,
  [SMALL_STATE(18252)] = 749106,
  [SMALL_STATE(18253)] = 749123,
  [SMALL_STATE(18254)] = 749140,
  [SMALL_STATE(18255)] = 749157,
  [SMALL_STATE(18256)] = 749172,
  [SMALL_STATE(18257)] = 749189,
  [SMALL_STATE(18258)] = 749206,
  [SMALL_STATE(18259)] = 749221,
  [SMALL_STATE(18260)] = 749238,
  [SMALL_STATE(18261)] = 749255,
  [SMALL_STATE(18262)] = 749272,
  [SMALL_STATE(18263)] = 749289,
  [SMALL_STATE(18264)] = 749306,
  [SMALL_STATE(18265)] = 749321,
  [SMALL_STATE(18266)] = 749338,
  [SMALL_STATE(18267)] = 749355,
  [SMALL_STATE(18268)] = 749372,
  [SMALL_STATE(18269)] = 749389,
  [SMALL_STATE(18270)] = 749406,
  [SMALL_STATE(18271)] = 749423,
  [SMALL_STATE(18272)] = 749440,
  [SMALL_STATE(18273)] = 749457,
  [SMALL_STATE(18274)] = 749474,
  [SMALL_STATE(18275)] = 749491,
  [SMALL_STATE(18276)] = 749508,
  [SMALL_STATE(18277)] = 749525,
  [SMALL_STATE(18278)] = 749542,
  [SMALL_STATE(18279)] = 749559,
  [SMALL_STATE(18280)] = 749576,
  [SMALL_STATE(18281)] = 749591,
  [SMALL_STATE(18282)] = 749608,
  [SMALL_STATE(18283)] = 749625,
  [SMALL_STATE(18284)] = 749642,
  [SMALL_STATE(18285)] = 749659,
  [SMALL_STATE(18286)] = 749676,
  [SMALL_STATE(18287)] = 749691,
  [SMALL_STATE(18288)] = 749708,
  [SMALL_STATE(18289)] = 749725,
  [SMALL_STATE(18290)] = 749742,
  [SMALL_STATE(18291)] = 749759,
  [SMALL_STATE(18292)] = 749776,
  [SMALL_STATE(18293)] = 749793,
  [SMALL_STATE(18294)] = 749810,
  [SMALL_STATE(18295)] = 749827,
  [SMALL_STATE(18296)] = 749844,
  [SMALL_STATE(18297)] = 749861,
  [SMALL_STATE(18298)] = 749878,
  [SMALL_STATE(18299)] = 749895,
  [SMALL_STATE(18300)] = 749910,
  [SMALL_STATE(18301)] = 749927,
  [SMALL_STATE(18302)] = 749944,
  [SMALL_STATE(18303)] = 749961,
  [SMALL_STATE(18304)] = 749978,
  [SMALL_STATE(18305)] = 749995,
  [SMALL_STATE(18306)] = 750012,
  [SMALL_STATE(18307)] = 750029,
  [SMALL_STATE(18308)] = 750046,
  [SMALL_STATE(18309)] = 750063,
  [SMALL_STATE(18310)] = 750078,
  [SMALL_STATE(18311)] = 750095,
  [SMALL_STATE(18312)] = 750112,
  [SMALL_STATE(18313)] = 750129,
  [SMALL_STATE(18314)] = 750146,
  [SMALL_STATE(18315)] = 750163,
  [SMALL_STATE(18316)] = 750178,
  [SMALL_STATE(18317)] = 750195,
  [SMALL_STATE(18318)] = 750210,
  [SMALL_STATE(18319)] = 750225,
  [SMALL_STATE(18320)] = 750242,
  [SMALL_STATE(18321)] = 750259,
  [SMALL_STATE(18322)] = 750276,
  [SMALL_STATE(18323)] = 750293,
  [SMALL_STATE(18324)] = 750310,
  [SMALL_STATE(18325)] = 750327,
  [SMALL_STATE(18326)] = 750344,
  [SMALL_STATE(18327)] = 750361,
  [SMALL_STATE(18328)] = 750378,
  [SMALL_STATE(18329)] = 750395,
  [SMALL_STATE(18330)] = 750410,
  [SMALL_STATE(18331)] = 750427,
  [SMALL_STATE(18332)] = 750444,
  [SMALL_STATE(18333)] = 750461,
  [SMALL_STATE(18334)] = 750478,
  [SMALL_STATE(18335)] = 750495,
  [SMALL_STATE(18336)] = 750510,
  [SMALL_STATE(18337)] = 750527,
  [SMALL_STATE(18338)] = 750544,
  [SMALL_STATE(18339)] = 750561,
  [SMALL_STATE(18340)] = 750576,
  [SMALL_STATE(18341)] = 750593,
  [SMALL_STATE(18342)] = 750610,
  [SMALL_STATE(18343)] = 750627,
  [SMALL_STATE(18344)] = 750644,
  [SMALL_STATE(18345)] = 750661,
  [SMALL_STATE(18346)] = 750678,
  [SMALL_STATE(18347)] = 750695,
  [SMALL_STATE(18348)] = 750712,
  [SMALL_STATE(18349)] = 750729,
  [SMALL_STATE(18350)] = 750746,
  [SMALL_STATE(18351)] = 750763,
  [SMALL_STATE(18352)] = 750780,
  [SMALL_STATE(18353)] = 750797,
  [SMALL_STATE(18354)] = 750814,
  [SMALL_STATE(18355)] = 750831,
  [SMALL_STATE(18356)] = 750848,
  [SMALL_STATE(18357)] = 750865,
  [SMALL_STATE(18358)] = 750880,
  [SMALL_STATE(18359)] = 750897,
  [SMALL_STATE(18360)] = 750914,
  [SMALL_STATE(18361)] = 750931,
  [SMALL_STATE(18362)] = 750948,
  [SMALL_STATE(18363)] = 750965,
  [SMALL_STATE(18364)] = 750982,
  [SMALL_STATE(18365)] = 750999,
  [SMALL_STATE(18366)] = 751016,
  [SMALL_STATE(18367)] = 751033,
  [SMALL_STATE(18368)] = 751050,
  [SMALL_STATE(18369)] = 751067,
  [SMALL_STATE(18370)] = 751084,
  [SMALL_STATE(18371)] = 751101,
  [SMALL_STATE(18372)] = 751118,
  [SMALL_STATE(18373)] = 751135,
  [SMALL_STATE(18374)] = 751150,
  [SMALL_STATE(18375)] = 751167,
  [SMALL_STATE(18376)] = 751184,
  [SMALL_STATE(18377)] = 751199,
  [SMALL_STATE(18378)] = 751216,
  [SMALL_STATE(18379)] = 751233,
  [SMALL_STATE(18380)] = 751250,
  [SMALL_STATE(18381)] = 751267,
  [SMALL_STATE(18382)] = 751284,
  [SMALL_STATE(18383)] = 751299,
  [SMALL_STATE(18384)] = 751316,
  [SMALL_STATE(18385)] = 751333,
  [SMALL_STATE(18386)] = 751350,
  [SMALL_STATE(18387)] = 751367,
  [SMALL_STATE(18388)] = 751384,
  [SMALL_STATE(18389)] = 751401,
  [SMALL_STATE(18390)] = 751418,
  [SMALL_STATE(18391)] = 751435,
  [SMALL_STATE(18392)] = 751452,
  [SMALL_STATE(18393)] = 751467,
  [SMALL_STATE(18394)] = 751484,
  [SMALL_STATE(18395)] = 751501,
  [SMALL_STATE(18396)] = 751518,
  [SMALL_STATE(18397)] = 751535,
  [SMALL_STATE(18398)] = 751552,
  [SMALL_STATE(18399)] = 751569,
  [SMALL_STATE(18400)] = 751586,
  [SMALL_STATE(18401)] = 751603,
  [SMALL_STATE(18402)] = 751618,
  [SMALL_STATE(18403)] = 751633,
  [SMALL_STATE(18404)] = 751650,
  [SMALL_STATE(18405)] = 751665,
  [SMALL_STATE(18406)] = 751682,
  [SMALL_STATE(18407)] = 751699,
  [SMALL_STATE(18408)] = 751716,
  [SMALL_STATE(18409)] = 751733,
  [SMALL_STATE(18410)] = 751750,
  [SMALL_STATE(18411)] = 751767,
  [SMALL_STATE(18412)] = 751784,
  [SMALL_STATE(18413)] = 751801,
  [SMALL_STATE(18414)] = 751816,
  [SMALL_STATE(18415)] = 751833,
  [SMALL_STATE(18416)] = 751848,
  [SMALL_STATE(18417)] = 751865,
  [SMALL_STATE(18418)] = 751882,
  [SMALL_STATE(18419)] = 751897,
  [SMALL_STATE(18420)] = 751914,
  [SMALL_STATE(18421)] = 751931,
  [SMALL_STATE(18422)] = 751948,
  [SMALL_STATE(18423)] = 751965,
  [SMALL_STATE(18424)] = 751980,
  [SMALL_STATE(18425)] = 751995,
  [SMALL_STATE(18426)] = 752010,
  [SMALL_STATE(18427)] = 752027,
  [SMALL_STATE(18428)] = 752044,
  [SMALL_STATE(18429)] = 752061,
  [SMALL_STATE(18430)] = 752078,
  [SMALL_STATE(18431)] = 752095,
  [SMALL_STATE(18432)] = 752112,
  [SMALL_STATE(18433)] = 752129,
  [SMALL_STATE(18434)] = 752146,
  [SMALL_STATE(18435)] = 752161,
  [SMALL_STATE(18436)] = 752178,
  [SMALL_STATE(18437)] = 752195,
  [SMALL_STATE(18438)] = 752212,
  [SMALL_STATE(18439)] = 752229,
  [SMALL_STATE(18440)] = 752246,
  [SMALL_STATE(18441)] = 752263,
  [SMALL_STATE(18442)] = 752280,
  [SMALL_STATE(18443)] = 752297,
  [SMALL_STATE(18444)] = 752312,
  [SMALL_STATE(18445)] = 752329,
  [SMALL_STATE(18446)] = 752346,
  [SMALL_STATE(18447)] = 752363,
  [SMALL_STATE(18448)] = 752380,
  [SMALL_STATE(18449)] = 752395,
  [SMALL_STATE(18450)] = 752412,
  [SMALL_STATE(18451)] = 752429,
  [SMALL_STATE(18452)] = 752446,
  [SMALL_STATE(18453)] = 752463,
  [SMALL_STATE(18454)] = 752480,
  [SMALL_STATE(18455)] = 752495,
  [SMALL_STATE(18456)] = 752512,
  [SMALL_STATE(18457)] = 752529,
  [SMALL_STATE(18458)] = 752546,
  [SMALL_STATE(18459)] = 752563,
  [SMALL_STATE(18460)] = 752580,
  [SMALL_STATE(18461)] = 752597,
  [SMALL_STATE(18462)] = 752614,
  [SMALL_STATE(18463)] = 752631,
  [SMALL_STATE(18464)] = 752648,
  [SMALL_STATE(18465)] = 752665,
  [SMALL_STATE(18466)] = 752682,
  [SMALL_STATE(18467)] = 752697,
  [SMALL_STATE(18468)] = 752714,
  [SMALL_STATE(18469)] = 752729,
  [SMALL_STATE(18470)] = 752746,
  [SMALL_STATE(18471)] = 752763,
  [SMALL_STATE(18472)] = 752777,
  [SMALL_STATE(18473)] = 752791,
  [SMALL_STATE(18474)] = 752805,
  [SMALL_STATE(18475)] = 752819,
  [SMALL_STATE(18476)] = 752833,
  [SMALL_STATE(18477)] = 752847,
  [SMALL_STATE(18478)] = 752861,
  [SMALL_STATE(18479)] = 752875,
  [SMALL_STATE(18480)] = 752889,
  [SMALL_STATE(18481)] = 752903,
  [SMALL_STATE(18482)] = 752917,
  [SMALL_STATE(18483)] = 752931,
  [SMALL_STATE(18484)] = 752945,
  [SMALL_STATE(18485)] = 752959,
  [SMALL_STATE(18486)] = 752973,
  [SMALL_STATE(18487)] = 752987,
  [SMALL_STATE(18488)] = 753001,
  [SMALL_STATE(18489)] = 753015,
  [SMALL_STATE(18490)] = 753029,
  [SMALL_STATE(18491)] = 753043,
  [SMALL_STATE(18492)] = 753057,
  [SMALL_STATE(18493)] = 753071,
  [SMALL_STATE(18494)] = 753085,
  [SMALL_STATE(18495)] = 753099,
  [SMALL_STATE(18496)] = 753113,
  [SMALL_STATE(18497)] = 753127,
  [SMALL_STATE(18498)] = 753141,
  [SMALL_STATE(18499)] = 753155,
  [SMALL_STATE(18500)] = 753169,
  [SMALL_STATE(18501)] = 753183,
  [SMALL_STATE(18502)] = 753197,
  [SMALL_STATE(18503)] = 753211,
  [SMALL_STATE(18504)] = 753225,
  [SMALL_STATE(18505)] = 753239,
  [SMALL_STATE(18506)] = 753253,
  [SMALL_STATE(18507)] = 753267,
  [SMALL_STATE(18508)] = 753281,
  [SMALL_STATE(18509)] = 753295,
  [SMALL_STATE(18510)] = 753309,
  [SMALL_STATE(18511)] = 753323,
  [SMALL_STATE(18512)] = 753337,
  [SMALL_STATE(18513)] = 753351,
  [SMALL_STATE(18514)] = 753365,
  [SMALL_STATE(18515)] = 753379,
  [SMALL_STATE(18516)] = 753393,
  [SMALL_STATE(18517)] = 753407,
  [SMALL_STATE(18518)] = 753421,
  [SMALL_STATE(18519)] = 753435,
  [SMALL_STATE(18520)] = 753449,
  [SMALL_STATE(18521)] = 753463,
  [SMALL_STATE(18522)] = 753477,
  [SMALL_STATE(18523)] = 753491,
  [SMALL_STATE(18524)] = 753505,
  [SMALL_STATE(18525)] = 753519,
  [SMALL_STATE(18526)] = 753533,
  [SMALL_STATE(18527)] = 753547,
  [SMALL_STATE(18528)] = 753561,
  [SMALL_STATE(18529)] = 753575,
  [SMALL_STATE(18530)] = 753589,
  [SMALL_STATE(18531)] = 753603,
  [SMALL_STATE(18532)] = 753617,
  [SMALL_STATE(18533)] = 753631,
  [SMALL_STATE(18534)] = 753645,
  [SMALL_STATE(18535)] = 753659,
  [SMALL_STATE(18536)] = 753673,
  [SMALL_STATE(18537)] = 753687,
  [SMALL_STATE(18538)] = 753701,
  [SMALL_STATE(18539)] = 753715,
  [SMALL_STATE(18540)] = 753729,
  [SMALL_STATE(18541)] = 753743,
  [SMALL_STATE(18542)] = 753757,
  [SMALL_STATE(18543)] = 753771,
  [SMALL_STATE(18544)] = 753785,
  [SMALL_STATE(18545)] = 753799,
  [SMALL_STATE(18546)] = 753813,
  [SMALL_STATE(18547)] = 753827,
  [SMALL_STATE(18548)] = 753841,
  [SMALL_STATE(18549)] = 753855,
  [SMALL_STATE(18550)] = 753869,
  [SMALL_STATE(18551)] = 753883,
  [SMALL_STATE(18552)] = 753897,
  [SMALL_STATE(18553)] = 753911,
  [SMALL_STATE(18554)] = 753925,
  [SMALL_STATE(18555)] = 753939,
  [SMALL_STATE(18556)] = 753953,
  [SMALL_STATE(18557)] = 753967,
  [SMALL_STATE(18558)] = 753981,
  [SMALL_STATE(18559)] = 753995,
  [SMALL_STATE(18560)] = 754009,
  [SMALL_STATE(18561)] = 754023,
  [SMALL_STATE(18562)] = 754037,
  [SMALL_STATE(18563)] = 754051,
  [SMALL_STATE(18564)] = 754065,
  [SMALL_STATE(18565)] = 754079,
  [SMALL_STATE(18566)] = 754093,
  [SMALL_STATE(18567)] = 754107,
  [SMALL_STATE(18568)] = 754121,
  [SMALL_STATE(18569)] = 754135,
  [SMALL_STATE(18570)] = 754149,
  [SMALL_STATE(18571)] = 754163,
  [SMALL_STATE(18572)] = 754177,
  [SMALL_STATE(18573)] = 754191,
  [SMALL_STATE(18574)] = 754205,
  [SMALL_STATE(18575)] = 754219,
  [SMALL_STATE(18576)] = 754233,
  [SMALL_STATE(18577)] = 754247,
  [SMALL_STATE(18578)] = 754261,
  [SMALL_STATE(18579)] = 754275,
  [SMALL_STATE(18580)] = 754289,
  [SMALL_STATE(18581)] = 754303,
  [SMALL_STATE(18582)] = 754317,
  [SMALL_STATE(18583)] = 754331,
  [SMALL_STATE(18584)] = 754345,
  [SMALL_STATE(18585)] = 754359,
  [SMALL_STATE(18586)] = 754373,
  [SMALL_STATE(18587)] = 754387,
  [SMALL_STATE(18588)] = 754401,
  [SMALL_STATE(18589)] = 754415,
  [SMALL_STATE(18590)] = 754429,
  [SMALL_STATE(18591)] = 754443,
  [SMALL_STATE(18592)] = 754457,
  [SMALL_STATE(18593)] = 754471,
  [SMALL_STATE(18594)] = 754485,
  [SMALL_STATE(18595)] = 754499,
  [SMALL_STATE(18596)] = 754513,
  [SMALL_STATE(18597)] = 754527,
  [SMALL_STATE(18598)] = 754541,
  [SMALL_STATE(18599)] = 754555,
  [SMALL_STATE(18600)] = 754569,
  [SMALL_STATE(18601)] = 754583,
  [SMALL_STATE(18602)] = 754597,
  [SMALL_STATE(18603)] = 754611,
  [SMALL_STATE(18604)] = 754625,
  [SMALL_STATE(18605)] = 754639,
  [SMALL_STATE(18606)] = 754653,
  [SMALL_STATE(18607)] = 754667,
  [SMALL_STATE(18608)] = 754681,
  [SMALL_STATE(18609)] = 754695,
  [SMALL_STATE(18610)] = 754709,
  [SMALL_STATE(18611)] = 754723,
  [SMALL_STATE(18612)] = 754737,
  [SMALL_STATE(18613)] = 754751,
  [SMALL_STATE(18614)] = 754765,
  [SMALL_STATE(18615)] = 754779,
  [SMALL_STATE(18616)] = 754793,
  [SMALL_STATE(18617)] = 754807,
  [SMALL_STATE(18618)] = 754821,
  [SMALL_STATE(18619)] = 754835,
  [SMALL_STATE(18620)] = 754849,
  [SMALL_STATE(18621)] = 754863,
  [SMALL_STATE(18622)] = 754877,
  [SMALL_STATE(18623)] = 754891,
  [SMALL_STATE(18624)] = 754905,
  [SMALL_STATE(18625)] = 754919,
  [SMALL_STATE(18626)] = 754933,
  [SMALL_STATE(18627)] = 754947,
  [SMALL_STATE(18628)] = 754961,
  [SMALL_STATE(18629)] = 754975,
  [SMALL_STATE(18630)] = 754989,
  [SMALL_STATE(18631)] = 755003,
  [SMALL_STATE(18632)] = 755017,
  [SMALL_STATE(18633)] = 755031,
  [SMALL_STATE(18634)] = 755045,
  [SMALL_STATE(18635)] = 755059,
  [SMALL_STATE(18636)] = 755073,
  [SMALL_STATE(18637)] = 755087,
  [SMALL_STATE(18638)] = 755101,
  [SMALL_STATE(18639)] = 755115,
  [SMALL_STATE(18640)] = 755129,
  [SMALL_STATE(18641)] = 755143,
  [SMALL_STATE(18642)] = 755157,
  [SMALL_STATE(18643)] = 755171,
  [SMALL_STATE(18644)] = 755185,
  [SMALL_STATE(18645)] = 755199,
  [SMALL_STATE(18646)] = 755213,
  [SMALL_STATE(18647)] = 755227,
  [SMALL_STATE(18648)] = 755241,
  [SMALL_STATE(18649)] = 755255,
  [SMALL_STATE(18650)] = 755269,
  [SMALL_STATE(18651)] = 755283,
  [SMALL_STATE(18652)] = 755297,
  [SMALL_STATE(18653)] = 755311,
  [SMALL_STATE(18654)] = 755325,
  [SMALL_STATE(18655)] = 755339,
  [SMALL_STATE(18656)] = 755353,
  [SMALL_STATE(18657)] = 755367,
  [SMALL_STATE(18658)] = 755381,
  [SMALL_STATE(18659)] = 755395,
  [SMALL_STATE(18660)] = 755409,
  [SMALL_STATE(18661)] = 755423,
  [SMALL_STATE(18662)] = 755437,
  [SMALL_STATE(18663)] = 755451,
  [SMALL_STATE(18664)] = 755465,
  [SMALL_STATE(18665)] = 755479,
  [SMALL_STATE(18666)] = 755493,
  [SMALL_STATE(18667)] = 755507,
  [SMALL_STATE(18668)] = 755521,
  [SMALL_STATE(18669)] = 755535,
  [SMALL_STATE(18670)] = 755549,
  [SMALL_STATE(18671)] = 755563,
  [SMALL_STATE(18672)] = 755577,
  [SMALL_STATE(18673)] = 755591,
  [SMALL_STATE(18674)] = 755605,
  [SMALL_STATE(18675)] = 755619,
  [SMALL_STATE(18676)] = 755633,
  [SMALL_STATE(18677)] = 755647,
  [SMALL_STATE(18678)] = 755661,
  [SMALL_STATE(18679)] = 755675,
  [SMALL_STATE(18680)] = 755689,
  [SMALL_STATE(18681)] = 755703,
  [SMALL_STATE(18682)] = 755717,
  [SMALL_STATE(18683)] = 755731,
  [SMALL_STATE(18684)] = 755745,
  [SMALL_STATE(18685)] = 755759,
  [SMALL_STATE(18686)] = 755773,
  [SMALL_STATE(18687)] = 755787,
  [SMALL_STATE(18688)] = 755801,
  [SMALL_STATE(18689)] = 755815,
  [SMALL_STATE(18690)] = 755829,
  [SMALL_STATE(18691)] = 755843,
  [SMALL_STATE(18692)] = 755857,
  [SMALL_STATE(18693)] = 755871,
  [SMALL_STATE(18694)] = 755885,
  [SMALL_STATE(18695)] = 755899,
  [SMALL_STATE(18696)] = 755913,
  [SMALL_STATE(18697)] = 755927,
  [SMALL_STATE(18698)] = 755941,
  [SMALL_STATE(18699)] = 755955,
  [SMALL_STATE(18700)] = 755969,
  [SMALL_STATE(18701)] = 755983,
  [SMALL_STATE(18702)] = 755997,
  [SMALL_STATE(18703)] = 756011,
  [SMALL_STATE(18704)] = 756025,
  [SMALL_STATE(18705)] = 756039,
  [SMALL_STATE(18706)] = 756053,
  [SMALL_STATE(18707)] = 756067,
  [SMALL_STATE(18708)] = 756081,
  [SMALL_STATE(18709)] = 756095,
  [SMALL_STATE(18710)] = 756109,
  [SMALL_STATE(18711)] = 756123,
  [SMALL_STATE(18712)] = 756137,
  [SMALL_STATE(18713)] = 756151,
  [SMALL_STATE(18714)] = 756165,
  [SMALL_STATE(18715)] = 756179,
  [SMALL_STATE(18716)] = 756193,
  [SMALL_STATE(18717)] = 756207,
  [SMALL_STATE(18718)] = 756221,
  [SMALL_STATE(18719)] = 756235,
  [SMALL_STATE(18720)] = 756249,
  [SMALL_STATE(18721)] = 756263,
  [SMALL_STATE(18722)] = 756277,
  [SMALL_STATE(18723)] = 756291,
  [SMALL_STATE(18724)] = 756305,
  [SMALL_STATE(18725)] = 756319,
  [SMALL_STATE(18726)] = 756333,
  [SMALL_STATE(18727)] = 756347,
  [SMALL_STATE(18728)] = 756361,
  [SMALL_STATE(18729)] = 756375,
  [SMALL_STATE(18730)] = 756389,
  [SMALL_STATE(18731)] = 756403,
  [SMALL_STATE(18732)] = 756417,
  [SMALL_STATE(18733)] = 756431,
  [SMALL_STATE(18734)] = 756445,
  [SMALL_STATE(18735)] = 756459,
  [SMALL_STATE(18736)] = 756473,
  [SMALL_STATE(18737)] = 756487,
  [SMALL_STATE(18738)] = 756501,
  [SMALL_STATE(18739)] = 756515,
  [SMALL_STATE(18740)] = 756529,
  [SMALL_STATE(18741)] = 756543,
  [SMALL_STATE(18742)] = 756557,
  [SMALL_STATE(18743)] = 756571,
  [SMALL_STATE(18744)] = 756585,
  [SMALL_STATE(18745)] = 756599,
  [SMALL_STATE(18746)] = 756613,
  [SMALL_STATE(18747)] = 756627,
  [SMALL_STATE(18748)] = 756641,
  [SMALL_STATE(18749)] = 756655,
  [SMALL_STATE(18750)] = 756669,
  [SMALL_STATE(18751)] = 756683,
  [SMALL_STATE(18752)] = 756697,
  [SMALL_STATE(18753)] = 756711,
  [SMALL_STATE(18754)] = 756725,
  [SMALL_STATE(18755)] = 756739,
  [SMALL_STATE(18756)] = 756753,
  [SMALL_STATE(18757)] = 756767,
  [SMALL_STATE(18758)] = 756781,
  [SMALL_STATE(18759)] = 756795,
  [SMALL_STATE(18760)] = 756809,
  [SMALL_STATE(18761)] = 756823,
  [SMALL_STATE(18762)] = 756837,
  [SMALL_STATE(18763)] = 756851,
  [SMALL_STATE(18764)] = 756865,
  [SMALL_STATE(18765)] = 756879,
  [SMALL_STATE(18766)] = 756893,
  [SMALL_STATE(18767)] = 756907,
  [SMALL_STATE(18768)] = 756921,
  [SMALL_STATE(18769)] = 756935,
  [SMALL_STATE(18770)] = 756949,
  [SMALL_STATE(18771)] = 756963,
  [SMALL_STATE(18772)] = 756977,
  [SMALL_STATE(18773)] = 756991,
  [SMALL_STATE(18774)] = 757005,
  [SMALL_STATE(18775)] = 757019,
  [SMALL_STATE(18776)] = 757033,
  [SMALL_STATE(18777)] = 757047,
  [SMALL_STATE(18778)] = 757061,
  [SMALL_STATE(18779)] = 757075,
  [SMALL_STATE(18780)] = 757089,
  [SMALL_STATE(18781)] = 757103,
  [SMALL_STATE(18782)] = 757117,
  [SMALL_STATE(18783)] = 757131,
  [SMALL_STATE(18784)] = 757145,
  [SMALL_STATE(18785)] = 757159,
  [SMALL_STATE(18786)] = 757173,
  [SMALL_STATE(18787)] = 757187,
  [SMALL_STATE(18788)] = 757201,
  [SMALL_STATE(18789)] = 757215,
  [SMALL_STATE(18790)] = 757229,
  [SMALL_STATE(18791)] = 757243,
  [SMALL_STATE(18792)] = 757257,
  [SMALL_STATE(18793)] = 757271,
  [SMALL_STATE(18794)] = 757285,
  [SMALL_STATE(18795)] = 757299,
  [SMALL_STATE(18796)] = 757313,
  [SMALL_STATE(18797)] = 757327,
  [SMALL_STATE(18798)] = 757341,
  [SMALL_STATE(18799)] = 757355,
  [SMALL_STATE(18800)] = 757369,
  [SMALL_STATE(18801)] = 757383,
  [SMALL_STATE(18802)] = 757397,
  [SMALL_STATE(18803)] = 757411,
  [SMALL_STATE(18804)] = 757425,
  [SMALL_STATE(18805)] = 757439,
  [SMALL_STATE(18806)] = 757453,
  [SMALL_STATE(18807)] = 757467,
  [SMALL_STATE(18808)] = 757481,
  [SMALL_STATE(18809)] = 757495,
  [SMALL_STATE(18810)] = 757509,
  [SMALL_STATE(18811)] = 757523,
  [SMALL_STATE(18812)] = 757537,
  [SMALL_STATE(18813)] = 757551,
  [SMALL_STATE(18814)] = 757565,
  [SMALL_STATE(18815)] = 757579,
  [SMALL_STATE(18816)] = 757593,
  [SMALL_STATE(18817)] = 757607,
  [SMALL_STATE(18818)] = 757621,
  [SMALL_STATE(18819)] = 757635,
  [SMALL_STATE(18820)] = 757649,
  [SMALL_STATE(18821)] = 757663,
  [SMALL_STATE(18822)] = 757677,
  [SMALL_STATE(18823)] = 757691,
  [SMALL_STATE(18824)] = 757705,
  [SMALL_STATE(18825)] = 757719,
  [SMALL_STATE(18826)] = 757733,
  [SMALL_STATE(18827)] = 757747,
  [SMALL_STATE(18828)] = 757761,
  [SMALL_STATE(18829)] = 757775,
  [SMALL_STATE(18830)] = 757789,
  [SMALL_STATE(18831)] = 757803,
  [SMALL_STATE(18832)] = 757817,
  [SMALL_STATE(18833)] = 757831,
  [SMALL_STATE(18834)] = 757845,
  [SMALL_STATE(18835)] = 757859,
  [SMALL_STATE(18836)] = 757873,
  [SMALL_STATE(18837)] = 757887,
  [SMALL_STATE(18838)] = 757901,
  [SMALL_STATE(18839)] = 757915,
  [SMALL_STATE(18840)] = 757929,
  [SMALL_STATE(18841)] = 757943,
  [SMALL_STATE(18842)] = 757957,
  [SMALL_STATE(18843)] = 757971,
  [SMALL_STATE(18844)] = 757985,
  [SMALL_STATE(18845)] = 757999,
  [SMALL_STATE(18846)] = 758013,
  [SMALL_STATE(18847)] = 758027,
  [SMALL_STATE(18848)] = 758041,
  [SMALL_STATE(18849)] = 758055,
  [SMALL_STATE(18850)] = 758069,
  [SMALL_STATE(18851)] = 758083,
  [SMALL_STATE(18852)] = 758097,
  [SMALL_STATE(18853)] = 758111,
  [SMALL_STATE(18854)] = 758125,
  [SMALL_STATE(18855)] = 758139,
  [SMALL_STATE(18856)] = 758153,
  [SMALL_STATE(18857)] = 758167,
  [SMALL_STATE(18858)] = 758181,
  [SMALL_STATE(18859)] = 758195,
  [SMALL_STATE(18860)] = 758209,
  [SMALL_STATE(18861)] = 758223,
  [SMALL_STATE(18862)] = 758237,
  [SMALL_STATE(18863)] = 758251,
  [SMALL_STATE(18864)] = 758265,
  [SMALL_STATE(18865)] = 758279,
  [SMALL_STATE(18866)] = 758293,
  [SMALL_STATE(18867)] = 758307,
  [SMALL_STATE(18868)] = 758321,
  [SMALL_STATE(18869)] = 758335,
  [SMALL_STATE(18870)] = 758349,
  [SMALL_STATE(18871)] = 758363,
  [SMALL_STATE(18872)] = 758377,
  [SMALL_STATE(18873)] = 758391,
  [SMALL_STATE(18874)] = 758405,
  [SMALL_STATE(18875)] = 758419,
  [SMALL_STATE(18876)] = 758433,
  [SMALL_STATE(18877)] = 758447,
  [SMALL_STATE(18878)] = 758461,
  [SMALL_STATE(18879)] = 758475,
  [SMALL_STATE(18880)] = 758489,
  [SMALL_STATE(18881)] = 758503,
  [SMALL_STATE(18882)] = 758517,
  [SMALL_STATE(18883)] = 758531,
  [SMALL_STATE(18884)] = 758545,
  [SMALL_STATE(18885)] = 758559,
  [SMALL_STATE(18886)] = 758573,
  [SMALL_STATE(18887)] = 758587,
  [SMALL_STATE(18888)] = 758601,
  [SMALL_STATE(18889)] = 758615,
  [SMALL_STATE(18890)] = 758629,
  [SMALL_STATE(18891)] = 758643,
  [SMALL_STATE(18892)] = 758657,
  [SMALL_STATE(18893)] = 758671,
  [SMALL_STATE(18894)] = 758685,
  [SMALL_STATE(18895)] = 758699,
  [SMALL_STATE(18896)] = 758713,
  [SMALL_STATE(18897)] = 758727,
  [SMALL_STATE(18898)] = 758741,
  [SMALL_STATE(18899)] = 758755,
  [SMALL_STATE(18900)] = 758769,
  [SMALL_STATE(18901)] = 758783,
  [SMALL_STATE(18902)] = 758797,
  [SMALL_STATE(18903)] = 758811,
  [SMALL_STATE(18904)] = 758825,
  [SMALL_STATE(18905)] = 758839,
  [SMALL_STATE(18906)] = 758853,
  [SMALL_STATE(18907)] = 758867,
  [SMALL_STATE(18908)] = 758881,
  [SMALL_STATE(18909)] = 758895,
  [SMALL_STATE(18910)] = 758909,
  [SMALL_STATE(18911)] = 758923,
  [SMALL_STATE(18912)] = 758937,
  [SMALL_STATE(18913)] = 758951,
  [SMALL_STATE(18914)] = 758965,
  [SMALL_STATE(18915)] = 758979,
  [SMALL_STATE(18916)] = 758993,
  [SMALL_STATE(18917)] = 759007,
  [SMALL_STATE(18918)] = 759021,
  [SMALL_STATE(18919)] = 759035,
  [SMALL_STATE(18920)] = 759049,
  [SMALL_STATE(18921)] = 759063,
  [SMALL_STATE(18922)] = 759077,
  [SMALL_STATE(18923)] = 759091,
  [SMALL_STATE(18924)] = 759105,
  [SMALL_STATE(18925)] = 759119,
  [SMALL_STATE(18926)] = 759133,
  [SMALL_STATE(18927)] = 759147,
  [SMALL_STATE(18928)] = 759161,
  [SMALL_STATE(18929)] = 759175,
  [SMALL_STATE(18930)] = 759189,
  [SMALL_STATE(18931)] = 759203,
  [SMALL_STATE(18932)] = 759217,
  [SMALL_STATE(18933)] = 759231,
  [SMALL_STATE(18934)] = 759245,
  [SMALL_STATE(18935)] = 759259,
  [SMALL_STATE(18936)] = 759273,
  [SMALL_STATE(18937)] = 759287,
  [SMALL_STATE(18938)] = 759301,
  [SMALL_STATE(18939)] = 759315,
  [SMALL_STATE(18940)] = 759329,
  [SMALL_STATE(18941)] = 759343,
  [SMALL_STATE(18942)] = 759357,
  [SMALL_STATE(18943)] = 759371,
  [SMALL_STATE(18944)] = 759385,
  [SMALL_STATE(18945)] = 759399,
  [SMALL_STATE(18946)] = 759413,
  [SMALL_STATE(18947)] = 759427,
  [SMALL_STATE(18948)] = 759441,
  [SMALL_STATE(18949)] = 759455,
  [SMALL_STATE(18950)] = 759469,
  [SMALL_STATE(18951)] = 759483,
  [SMALL_STATE(18952)] = 759497,
  [SMALL_STATE(18953)] = 759511,
  [SMALL_STATE(18954)] = 759525,
  [SMALL_STATE(18955)] = 759539,
  [SMALL_STATE(18956)] = 759553,
  [SMALL_STATE(18957)] = 759567,
  [SMALL_STATE(18958)] = 759581,
  [SMALL_STATE(18959)] = 759595,
  [SMALL_STATE(18960)] = 759609,
  [SMALL_STATE(18961)] = 759623,
  [SMALL_STATE(18962)] = 759637,
  [SMALL_STATE(18963)] = 759651,
  [SMALL_STATE(18964)] = 759665,
  [SMALL_STATE(18965)] = 759679,
  [SMALL_STATE(18966)] = 759693,
  [SMALL_STATE(18967)] = 759707,
  [SMALL_STATE(18968)] = 759721,
  [SMALL_STATE(18969)] = 759735,
  [SMALL_STATE(18970)] = 759749,
  [SMALL_STATE(18971)] = 759763,
  [SMALL_STATE(18972)] = 759777,
  [SMALL_STATE(18973)] = 759791,
  [SMALL_STATE(18974)] = 759805,
  [SMALL_STATE(18975)] = 759819,
  [SMALL_STATE(18976)] = 759833,
  [SMALL_STATE(18977)] = 759847,
  [SMALL_STATE(18978)] = 759861,
  [SMALL_STATE(18979)] = 759875,
  [SMALL_STATE(18980)] = 759889,
  [SMALL_STATE(18981)] = 759903,
  [SMALL_STATE(18982)] = 759917,
  [SMALL_STATE(18983)] = 759931,
  [SMALL_STATE(18984)] = 759945,
  [SMALL_STATE(18985)] = 759959,
  [SMALL_STATE(18986)] = 759973,
  [SMALL_STATE(18987)] = 759987,
  [SMALL_STATE(18988)] = 760001,
  [SMALL_STATE(18989)] = 760015,
  [SMALL_STATE(18990)] = 760029,
  [SMALL_STATE(18991)] = 760043,
  [SMALL_STATE(18992)] = 760057,
  [SMALL_STATE(18993)] = 760071,
  [SMALL_STATE(18994)] = 760085,
  [SMALL_STATE(18995)] = 760099,
  [SMALL_STATE(18996)] = 760113,
  [SMALL_STATE(18997)] = 760127,
  [SMALL_STATE(18998)] = 760141,
  [SMALL_STATE(18999)] = 760155,
  [SMALL_STATE(19000)] = 760169,
  [SMALL_STATE(19001)] = 760183,
  [SMALL_STATE(19002)] = 760197,
  [SMALL_STATE(19003)] = 760211,
  [SMALL_STATE(19004)] = 760225,
  [SMALL_STATE(19005)] = 760239,
  [SMALL_STATE(19006)] = 760253,
  [SMALL_STATE(19007)] = 760267,
  [SMALL_STATE(19008)] = 760281,
  [SMALL_STATE(19009)] = 760295,
  [SMALL_STATE(19010)] = 760309,
  [SMALL_STATE(19011)] = 760323,
  [SMALL_STATE(19012)] = 760337,
  [SMALL_STATE(19013)] = 760351,
  [SMALL_STATE(19014)] = 760365,
  [SMALL_STATE(19015)] = 760379,
  [SMALL_STATE(19016)] = 760393,
  [SMALL_STATE(19017)] = 760407,
  [SMALL_STATE(19018)] = 760421,
  [SMALL_STATE(19019)] = 760435,
  [SMALL_STATE(19020)] = 760449,
  [SMALL_STATE(19021)] = 760463,
  [SMALL_STATE(19022)] = 760477,
  [SMALL_STATE(19023)] = 760491,
  [SMALL_STATE(19024)] = 760505,
  [SMALL_STATE(19025)] = 760519,
  [SMALL_STATE(19026)] = 760533,
  [SMALL_STATE(19027)] = 760547,
  [SMALL_STATE(19028)] = 760561,
  [SMALL_STATE(19029)] = 760575,
  [SMALL_STATE(19030)] = 760589,
  [SMALL_STATE(19031)] = 760603,
  [SMALL_STATE(19032)] = 760617,
  [SMALL_STATE(19033)] = 760631,
  [SMALL_STATE(19034)] = 760645,
  [SMALL_STATE(19035)] = 760659,
  [SMALL_STATE(19036)] = 760673,
  [SMALL_STATE(19037)] = 760687,
  [SMALL_STATE(19038)] = 760701,
  [SMALL_STATE(19039)] = 760715,
  [SMALL_STATE(19040)] = 760729,
  [SMALL_STATE(19041)] = 760743,
  [SMALL_STATE(19042)] = 760757,
  [SMALL_STATE(19043)] = 760771,
  [SMALL_STATE(19044)] = 760785,
  [SMALL_STATE(19045)] = 760799,
  [SMALL_STATE(19046)] = 760813,
  [SMALL_STATE(19047)] = 760827,
  [SMALL_STATE(19048)] = 760841,
  [SMALL_STATE(19049)] = 760855,
  [SMALL_STATE(19050)] = 760869,
  [SMALL_STATE(19051)] = 760883,
  [SMALL_STATE(19052)] = 760897,
  [SMALL_STATE(19053)] = 760911,
  [SMALL_STATE(19054)] = 760925,
  [SMALL_STATE(19055)] = 760939,
  [SMALL_STATE(19056)] = 760953,
  [SMALL_STATE(19057)] = 760967,
  [SMALL_STATE(19058)] = 760981,
  [SMALL_STATE(19059)] = 760995,
  [SMALL_STATE(19060)] = 761009,
  [SMALL_STATE(19061)] = 761023,
  [SMALL_STATE(19062)] = 761037,
  [SMALL_STATE(19063)] = 761051,
  [SMALL_STATE(19064)] = 761065,
  [SMALL_STATE(19065)] = 761079,
  [SMALL_STATE(19066)] = 761093,
  [SMALL_STATE(19067)] = 761107,
  [SMALL_STATE(19068)] = 761121,
  [SMALL_STATE(19069)] = 761135,
  [SMALL_STATE(19070)] = 761149,
  [SMALL_STATE(19071)] = 761163,
  [SMALL_STATE(19072)] = 761177,
  [SMALL_STATE(19073)] = 761191,
  [SMALL_STATE(19074)] = 761205,
  [SMALL_STATE(19075)] = 761219,
  [SMALL_STATE(19076)] = 761233,
  [SMALL_STATE(19077)] = 761247,
  [SMALL_STATE(19078)] = 761261,
  [SMALL_STATE(19079)] = 761275,
  [SMALL_STATE(19080)] = 761289,
  [SMALL_STATE(19081)] = 761303,
  [SMALL_STATE(19082)] = 761317,
  [SMALL_STATE(19083)] = 761331,
  [SMALL_STATE(19084)] = 761345,
  [SMALL_STATE(19085)] = 761359,
  [SMALL_STATE(19086)] = 761373,
  [SMALL_STATE(19087)] = 761387,
  [SMALL_STATE(19088)] = 761401,
  [SMALL_STATE(19089)] = 761415,
  [SMALL_STATE(19090)] = 761429,
  [SMALL_STATE(19091)] = 761443,
  [SMALL_STATE(19092)] = 761457,
  [SMALL_STATE(19093)] = 761471,
  [SMALL_STATE(19094)] = 761485,
  [SMALL_STATE(19095)] = 761499,
  [SMALL_STATE(19096)] = 761513,
  [SMALL_STATE(19097)] = 761527,
  [SMALL_STATE(19098)] = 761541,
  [SMALL_STATE(19099)] = 761555,
  [SMALL_STATE(19100)] = 761569,
  [SMALL_STATE(19101)] = 761583,
  [SMALL_STATE(19102)] = 761597,
  [SMALL_STATE(19103)] = 761611,
  [SMALL_STATE(19104)] = 761625,
  [SMALL_STATE(19105)] = 761639,
  [SMALL_STATE(19106)] = 761653,
  [SMALL_STATE(19107)] = 761667,
  [SMALL_STATE(19108)] = 761681,
  [SMALL_STATE(19109)] = 761695,
  [SMALL_STATE(19110)] = 761709,
  [SMALL_STATE(19111)] = 761723,
  [SMALL_STATE(19112)] = 761737,
  [SMALL_STATE(19113)] = 761751,
  [SMALL_STATE(19114)] = 761765,
  [SMALL_STATE(19115)] = 761779,
  [SMALL_STATE(19116)] = 761793,
  [SMALL_STATE(19117)] = 761807,
  [SMALL_STATE(19118)] = 761821,
  [SMALL_STATE(19119)] = 761835,
  [SMALL_STATE(19120)] = 761849,
  [SMALL_STATE(19121)] = 761863,
  [SMALL_STATE(19122)] = 761877,
  [SMALL_STATE(19123)] = 761891,
  [SMALL_STATE(19124)] = 761905,
  [SMALL_STATE(19125)] = 761919,
  [SMALL_STATE(19126)] = 761933,
  [SMALL_STATE(19127)] = 761947,
  [SMALL_STATE(19128)] = 761961,
  [SMALL_STATE(19129)] = 761975,
  [SMALL_STATE(19130)] = 761989,
  [SMALL_STATE(19131)] = 762003,
  [SMALL_STATE(19132)] = 762017,
  [SMALL_STATE(19133)] = 762031,
  [SMALL_STATE(19134)] = 762045,
  [SMALL_STATE(19135)] = 762059,
  [SMALL_STATE(19136)] = 762073,
  [SMALL_STATE(19137)] = 762087,
  [SMALL_STATE(19138)] = 762101,
  [SMALL_STATE(19139)] = 762115,
  [SMALL_STATE(19140)] = 762129,
  [SMALL_STATE(19141)] = 762143,
  [SMALL_STATE(19142)] = 762157,
  [SMALL_STATE(19143)] = 762171,
  [SMALL_STATE(19144)] = 762185,
  [SMALL_STATE(19145)] = 762199,
  [SMALL_STATE(19146)] = 762213,
  [SMALL_STATE(19147)] = 762227,
  [SMALL_STATE(19148)] = 762241,
  [SMALL_STATE(19149)] = 762255,
  [SMALL_STATE(19150)] = 762269,
  [SMALL_STATE(19151)] = 762283,
  [SMALL_STATE(19152)] = 762297,
  [SMALL_STATE(19153)] = 762311,
  [SMALL_STATE(19154)] = 762325,
  [SMALL_STATE(19155)] = 762339,
  [SMALL_STATE(19156)] = 762353,
  [SMALL_STATE(19157)] = 762367,
  [SMALL_STATE(19158)] = 762381,
  [SMALL_STATE(19159)] = 762395,
  [SMALL_STATE(19160)] = 762409,
  [SMALL_STATE(19161)] = 762423,
  [SMALL_STATE(19162)] = 762437,
  [SMALL_STATE(19163)] = 762451,
  [SMALL_STATE(19164)] = 762465,
  [SMALL_STATE(19165)] = 762479,
  [SMALL_STATE(19166)] = 762493,
  [SMALL_STATE(19167)] = 762507,
  [SMALL_STATE(19168)] = 762521,
  [SMALL_STATE(19169)] = 762535,
  [SMALL_STATE(19170)] = 762549,
  [SMALL_STATE(19171)] = 762563,
  [SMALL_STATE(19172)] = 762577,
  [SMALL_STATE(19173)] = 762591,
  [SMALL_STATE(19174)] = 762605,
  [SMALL_STATE(19175)] = 762619,
  [SMALL_STATE(19176)] = 762633,
  [SMALL_STATE(19177)] = 762647,
  [SMALL_STATE(19178)] = 762661,
  [SMALL_STATE(19179)] = 762675,
  [SMALL_STATE(19180)] = 762689,
  [SMALL_STATE(19181)] = 762703,
  [SMALL_STATE(19182)] = 762717,
  [SMALL_STATE(19183)] = 762731,
  [SMALL_STATE(19184)] = 762745,
  [SMALL_STATE(19185)] = 762759,
  [SMALL_STATE(19186)] = 762773,
  [SMALL_STATE(19187)] = 762787,
  [SMALL_STATE(19188)] = 762801,
  [SMALL_STATE(19189)] = 762815,
  [SMALL_STATE(19190)] = 762829,
  [SMALL_STATE(19191)] = 762843,
  [SMALL_STATE(19192)] = 762857,
  [SMALL_STATE(19193)] = 762871,
  [SMALL_STATE(19194)] = 762885,
  [SMALL_STATE(19195)] = 762899,
  [SMALL_STATE(19196)] = 762913,
  [SMALL_STATE(19197)] = 762927,
  [SMALL_STATE(19198)] = 762941,
  [SMALL_STATE(19199)] = 762955,
  [SMALL_STATE(19200)] = 762969,
  [SMALL_STATE(19201)] = 762983,
  [SMALL_STATE(19202)] = 762997,
  [SMALL_STATE(19203)] = 763011,
  [SMALL_STATE(19204)] = 763025,
  [SMALL_STATE(19205)] = 763039,
  [SMALL_STATE(19206)] = 763053,
  [SMALL_STATE(19207)] = 763067,
  [SMALL_STATE(19208)] = 763081,
  [SMALL_STATE(19209)] = 763095,
  [SMALL_STATE(19210)] = 763109,
  [SMALL_STATE(19211)] = 763123,
  [SMALL_STATE(19212)] = 763137,
  [SMALL_STATE(19213)] = 763151,
  [SMALL_STATE(19214)] = 763165,
  [SMALL_STATE(19215)] = 763179,
  [SMALL_STATE(19216)] = 763193,
  [SMALL_STATE(19217)] = 763207,
  [SMALL_STATE(19218)] = 763221,
  [SMALL_STATE(19219)] = 763235,
  [SMALL_STATE(19220)] = 763249,
  [SMALL_STATE(19221)] = 763263,
  [SMALL_STATE(19222)] = 763277,
  [SMALL_STATE(19223)] = 763291,
  [SMALL_STATE(19224)] = 763305,
  [SMALL_STATE(19225)] = 763319,
  [SMALL_STATE(19226)] = 763333,
  [SMALL_STATE(19227)] = 763347,
  [SMALL_STATE(19228)] = 763361,
  [SMALL_STATE(19229)] = 763375,
  [SMALL_STATE(19230)] = 763389,
  [SMALL_STATE(19231)] = 763403,
  [SMALL_STATE(19232)] = 763417,
  [SMALL_STATE(19233)] = 763431,
  [SMALL_STATE(19234)] = 763445,
  [SMALL_STATE(19235)] = 763459,
  [SMALL_STATE(19236)] = 763473,
  [SMALL_STATE(19237)] = 763487,
  [SMALL_STATE(19238)] = 763501,
  [SMALL_STATE(19239)] = 763515,
  [SMALL_STATE(19240)] = 763529,
  [SMALL_STATE(19241)] = 763543,
  [SMALL_STATE(19242)] = 763557,
  [SMALL_STATE(19243)] = 763571,
  [SMALL_STATE(19244)] = 763585,
  [SMALL_STATE(19245)] = 763599,
  [SMALL_STATE(19246)] = 763613,
  [SMALL_STATE(19247)] = 763627,
  [SMALL_STATE(19248)] = 763641,
  [SMALL_STATE(19249)] = 763655,
  [SMALL_STATE(19250)] = 763669,
  [SMALL_STATE(19251)] = 763683,
  [SMALL_STATE(19252)] = 763697,
  [SMALL_STATE(19253)] = 763711,
  [SMALL_STATE(19254)] = 763725,
  [SMALL_STATE(19255)] = 763739,
  [SMALL_STATE(19256)] = 763753,
  [SMALL_STATE(19257)] = 763767,
  [SMALL_STATE(19258)] = 763781,
  [SMALL_STATE(19259)] = 763795,
  [SMALL_STATE(19260)] = 763809,
  [SMALL_STATE(19261)] = 763823,
  [SMALL_STATE(19262)] = 763837,
  [SMALL_STATE(19263)] = 763851,
  [SMALL_STATE(19264)] = 763865,
  [SMALL_STATE(19265)] = 763879,
  [SMALL_STATE(19266)] = 763893,
  [SMALL_STATE(19267)] = 763907,
  [SMALL_STATE(19268)] = 763921,
  [SMALL_STATE(19269)] = 763935,
  [SMALL_STATE(19270)] = 763949,
  [SMALL_STATE(19271)] = 763963,
  [SMALL_STATE(19272)] = 763977,
  [SMALL_STATE(19273)] = 763991,
  [SMALL_STATE(19274)] = 764005,
  [SMALL_STATE(19275)] = 764019,
  [SMALL_STATE(19276)] = 764033,
  [SMALL_STATE(19277)] = 764047,
  [SMALL_STATE(19278)] = 764061,
  [SMALL_STATE(19279)] = 764075,
  [SMALL_STATE(19280)] = 764089,
  [SMALL_STATE(19281)] = 764103,
  [SMALL_STATE(19282)] = 764117,
  [SMALL_STATE(19283)] = 764131,
  [SMALL_STATE(19284)] = 764145,
  [SMALL_STATE(19285)] = 764159,
  [SMALL_STATE(19286)] = 764173,
  [SMALL_STATE(19287)] = 764187,
  [SMALL_STATE(19288)] = 764201,
  [SMALL_STATE(19289)] = 764215,
  [SMALL_STATE(19290)] = 764229,
  [SMALL_STATE(19291)] = 764243,
  [SMALL_STATE(19292)] = 764257,
  [SMALL_STATE(19293)] = 764271,
  [SMALL_STATE(19294)] = 764285,
  [SMALL_STATE(19295)] = 764299,
  [SMALL_STATE(19296)] = 764313,
  [SMALL_STATE(19297)] = 764327,
  [SMALL_STATE(19298)] = 764341,
  [SMALL_STATE(19299)] = 764355,
  [SMALL_STATE(19300)] = 764369,
  [SMALL_STATE(19301)] = 764383,
  [SMALL_STATE(19302)] = 764397,
  [SMALL_STATE(19303)] = 764411,
  [SMALL_STATE(19304)] = 764425,
  [SMALL_STATE(19305)] = 764439,
  [SMALL_STATE(19306)] = 764453,
  [SMALL_STATE(19307)] = 764467,
  [SMALL_STATE(19308)] = 764481,
  [SMALL_STATE(19309)] = 764495,
  [SMALL_STATE(19310)] = 764509,
  [SMALL_STATE(19311)] = 764523,
  [SMALL_STATE(19312)] = 764537,
  [SMALL_STATE(19313)] = 764551,
  [SMALL_STATE(19314)] = 764565,
  [SMALL_STATE(19315)] = 764579,
  [SMALL_STATE(19316)] = 764593,
  [SMALL_STATE(19317)] = 764607,
  [SMALL_STATE(19318)] = 764621,
  [SMALL_STATE(19319)] = 764635,
  [SMALL_STATE(19320)] = 764649,
  [SMALL_STATE(19321)] = 764663,
  [SMALL_STATE(19322)] = 764677,
  [SMALL_STATE(19323)] = 764691,
  [SMALL_STATE(19324)] = 764705,
  [SMALL_STATE(19325)] = 764719,
  [SMALL_STATE(19326)] = 764733,
  [SMALL_STATE(19327)] = 764747,
  [SMALL_STATE(19328)] = 764761,
  [SMALL_STATE(19329)] = 764775,
  [SMALL_STATE(19330)] = 764789,
  [SMALL_STATE(19331)] = 764803,
  [SMALL_STATE(19332)] = 764817,
  [SMALL_STATE(19333)] = 764831,
  [SMALL_STATE(19334)] = 764845,
  [SMALL_STATE(19335)] = 764859,
  [SMALL_STATE(19336)] = 764873,
  [SMALL_STATE(19337)] = 764887,
  [SMALL_STATE(19338)] = 764901,
  [SMALL_STATE(19339)] = 764915,
  [SMALL_STATE(19340)] = 764929,
  [SMALL_STATE(19341)] = 764943,
  [SMALL_STATE(19342)] = 764957,
  [SMALL_STATE(19343)] = 764971,
  [SMALL_STATE(19344)] = 764985,
  [SMALL_STATE(19345)] = 764999,
  [SMALL_STATE(19346)] = 765013,
  [SMALL_STATE(19347)] = 765027,
  [SMALL_STATE(19348)] = 765041,
  [SMALL_STATE(19349)] = 765055,
  [SMALL_STATE(19350)] = 765069,
  [SMALL_STATE(19351)] = 765083,
  [SMALL_STATE(19352)] = 765097,
  [SMALL_STATE(19353)] = 765111,
  [SMALL_STATE(19354)] = 765125,
  [SMALL_STATE(19355)] = 765139,
  [SMALL_STATE(19356)] = 765153,
  [SMALL_STATE(19357)] = 765167,
  [SMALL_STATE(19358)] = 765181,
  [SMALL_STATE(19359)] = 765195,
  [SMALL_STATE(19360)] = 765209,
  [SMALL_STATE(19361)] = 765223,
  [SMALL_STATE(19362)] = 765237,
  [SMALL_STATE(19363)] = 765251,
  [SMALL_STATE(19364)] = 765265,
  [SMALL_STATE(19365)] = 765279,
  [SMALL_STATE(19366)] = 765293,
  [SMALL_STATE(19367)] = 765307,
  [SMALL_STATE(19368)] = 765321,
  [SMALL_STATE(19369)] = 765335,
  [SMALL_STATE(19370)] = 765349,
  [SMALL_STATE(19371)] = 765363,
  [SMALL_STATE(19372)] = 765377,
  [SMALL_STATE(19373)] = 765391,
  [SMALL_STATE(19374)] = 765405,
  [SMALL_STATE(19375)] = 765419,
  [SMALL_STATE(19376)] = 765433,
  [SMALL_STATE(19377)] = 765447,
  [SMALL_STATE(19378)] = 765461,
  [SMALL_STATE(19379)] = 765475,
  [SMALL_STATE(19380)] = 765489,
  [SMALL_STATE(19381)] = 765503,
  [SMALL_STATE(19382)] = 765517,
  [SMALL_STATE(19383)] = 765531,
  [SMALL_STATE(19384)] = 765545,
  [SMALL_STATE(19385)] = 765559,
  [SMALL_STATE(19386)] = 765573,
  [SMALL_STATE(19387)] = 765587,
  [SMALL_STATE(19388)] = 765601,
  [SMALL_STATE(19389)] = 765615,
  [SMALL_STATE(19390)] = 765629,
  [SMALL_STATE(19391)] = 765643,
  [SMALL_STATE(19392)] = 765657,
  [SMALL_STATE(19393)] = 765671,
  [SMALL_STATE(19394)] = 765685,
  [SMALL_STATE(19395)] = 765699,
  [SMALL_STATE(19396)] = 765713,
  [SMALL_STATE(19397)] = 765727,
  [SMALL_STATE(19398)] = 765741,
  [SMALL_STATE(19399)] = 765755,
  [SMALL_STATE(19400)] = 765769,
  [SMALL_STATE(19401)] = 765783,
  [SMALL_STATE(19402)] = 765797,
  [SMALL_STATE(19403)] = 765811,
  [SMALL_STATE(19404)] = 765825,
  [SMALL_STATE(19405)] = 765839,
  [SMALL_STATE(19406)] = 765853,
  [SMALL_STATE(19407)] = 765867,
  [SMALL_STATE(19408)] = 765881,
  [SMALL_STATE(19409)] = 765895,
  [SMALL_STATE(19410)] = 765909,
  [SMALL_STATE(19411)] = 765923,
  [SMALL_STATE(19412)] = 765937,
  [SMALL_STATE(19413)] = 765951,
  [SMALL_STATE(19414)] = 765965,
  [SMALL_STATE(19415)] = 765979,
  [SMALL_STATE(19416)] = 765993,
  [SMALL_STATE(19417)] = 766007,
  [SMALL_STATE(19418)] = 766021,
  [SMALL_STATE(19419)] = 766035,
  [SMALL_STATE(19420)] = 766049,
  [SMALL_STATE(19421)] = 766063,
  [SMALL_STATE(19422)] = 766077,
  [SMALL_STATE(19423)] = 766091,
  [SMALL_STATE(19424)] = 766105,
  [SMALL_STATE(19425)] = 766119,
  [SMALL_STATE(19426)] = 766133,
  [SMALL_STATE(19427)] = 766147,
  [SMALL_STATE(19428)] = 766161,
  [SMALL_STATE(19429)] = 766175,
  [SMALL_STATE(19430)] = 766189,
  [SMALL_STATE(19431)] = 766203,
  [SMALL_STATE(19432)] = 766217,
  [SMALL_STATE(19433)] = 766231,
  [SMALL_STATE(19434)] = 766245,
  [SMALL_STATE(19435)] = 766259,
  [SMALL_STATE(19436)] = 766273,
  [SMALL_STATE(19437)] = 766287,
  [SMALL_STATE(19438)] = 766301,
  [SMALL_STATE(19439)] = 766315,
  [SMALL_STATE(19440)] = 766329,
  [SMALL_STATE(19441)] = 766343,
  [SMALL_STATE(19442)] = 766357,
  [SMALL_STATE(19443)] = 766371,
  [SMALL_STATE(19444)] = 766385,
  [SMALL_STATE(19445)] = 766399,
  [SMALL_STATE(19446)] = 766413,
  [SMALL_STATE(19447)] = 766427,
  [SMALL_STATE(19448)] = 766441,
  [SMALL_STATE(19449)] = 766455,
  [SMALL_STATE(19450)] = 766469,
  [SMALL_STATE(19451)] = 766483,
  [SMALL_STATE(19452)] = 766497,
  [SMALL_STATE(19453)] = 766511,
  [SMALL_STATE(19454)] = 766525,
  [SMALL_STATE(19455)] = 766539,
  [SMALL_STATE(19456)] = 766553,
  [SMALL_STATE(19457)] = 766567,
  [SMALL_STATE(19458)] = 766581,
  [SMALL_STATE(19459)] = 766595,
  [SMALL_STATE(19460)] = 766609,
  [SMALL_STATE(19461)] = 766623,
  [SMALL_STATE(19462)] = 766637,
  [SMALL_STATE(19463)] = 766651,
  [SMALL_STATE(19464)] = 766665,
  [SMALL_STATE(19465)] = 766679,
  [SMALL_STATE(19466)] = 766693,
  [SMALL_STATE(19467)] = 766707,
  [SMALL_STATE(19468)] = 766721,
  [SMALL_STATE(19469)] = 766735,
  [SMALL_STATE(19470)] = 766749,
  [SMALL_STATE(19471)] = 766763,
  [SMALL_STATE(19472)] = 766777,
  [SMALL_STATE(19473)] = 766791,
  [SMALL_STATE(19474)] = 766805,
  [SMALL_STATE(19475)] = 766819,
  [SMALL_STATE(19476)] = 766833,
  [SMALL_STATE(19477)] = 766847,
  [SMALL_STATE(19478)] = 766861,
  [SMALL_STATE(19479)] = 766875,
  [SMALL_STATE(19480)] = 766889,
  [SMALL_STATE(19481)] = 766903,
  [SMALL_STATE(19482)] = 766917,
  [SMALL_STATE(19483)] = 766931,
  [SMALL_STATE(19484)] = 766945,
  [SMALL_STATE(19485)] = 766959,
  [SMALL_STATE(19486)] = 766973,
  [SMALL_STATE(19487)] = 766987,
  [SMALL_STATE(19488)] = 767001,
  [SMALL_STATE(19489)] = 767015,
  [SMALL_STATE(19490)] = 767029,
  [SMALL_STATE(19491)] = 767043,
  [SMALL_STATE(19492)] = 767057,
  [SMALL_STATE(19493)] = 767071,
  [SMALL_STATE(19494)] = 767085,
  [SMALL_STATE(19495)] = 767099,
  [SMALL_STATE(19496)] = 767113,
  [SMALL_STATE(19497)] = 767127,
  [SMALL_STATE(19498)] = 767141,
  [SMALL_STATE(19499)] = 767155,
  [SMALL_STATE(19500)] = 767169,
  [SMALL_STATE(19501)] = 767183,
  [SMALL_STATE(19502)] = 767197,
  [SMALL_STATE(19503)] = 767211,
  [SMALL_STATE(19504)] = 767225,
  [SMALL_STATE(19505)] = 767239,
  [SMALL_STATE(19506)] = 767253,
  [SMALL_STATE(19507)] = 767267,
  [SMALL_STATE(19508)] = 767281,
  [SMALL_STATE(19509)] = 767295,
  [SMALL_STATE(19510)] = 767309,
  [SMALL_STATE(19511)] = 767323,
  [SMALL_STATE(19512)] = 767337,
  [SMALL_STATE(19513)] = 767351,
  [SMALL_STATE(19514)] = 767365,
  [SMALL_STATE(19515)] = 767379,
  [SMALL_STATE(19516)] = 767393,
  [SMALL_STATE(19517)] = 767407,
  [SMALL_STATE(19518)] = 767421,
  [SMALL_STATE(19519)] = 767435,
  [SMALL_STATE(19520)] = 767449,
  [SMALL_STATE(19521)] = 767463,
  [SMALL_STATE(19522)] = 767477,
  [SMALL_STATE(19523)] = 767491,
  [SMALL_STATE(19524)] = 767505,
  [SMALL_STATE(19525)] = 767519,
  [SMALL_STATE(19526)] = 767533,
  [SMALL_STATE(19527)] = 767547,
  [SMALL_STATE(19528)] = 767561,
  [SMALL_STATE(19529)] = 767575,
  [SMALL_STATE(19530)] = 767589,
  [SMALL_STATE(19531)] = 767603,
  [SMALL_STATE(19532)] = 767617,
  [SMALL_STATE(19533)] = 767631,
  [SMALL_STATE(19534)] = 767645,
  [SMALL_STATE(19535)] = 767659,
  [SMALL_STATE(19536)] = 767673,
  [SMALL_STATE(19537)] = 767687,
  [SMALL_STATE(19538)] = 767701,
  [SMALL_STATE(19539)] = 767715,
  [SMALL_STATE(19540)] = 767729,
  [SMALL_STATE(19541)] = 767743,
  [SMALL_STATE(19542)] = 767757,
  [SMALL_STATE(19543)] = 767771,
  [SMALL_STATE(19544)] = 767785,
  [SMALL_STATE(19545)] = 767799,
  [SMALL_STATE(19546)] = 767813,
  [SMALL_STATE(19547)] = 767827,
  [SMALL_STATE(19548)] = 767841,
  [SMALL_STATE(19549)] = 767855,
  [SMALL_STATE(19550)] = 767869,
  [SMALL_STATE(19551)] = 767883,
  [SMALL_STATE(19552)] = 767897,
  [SMALL_STATE(19553)] = 767911,
  [SMALL_STATE(19554)] = 767925,
  [SMALL_STATE(19555)] = 767939,
  [SMALL_STATE(19556)] = 767953,
  [SMALL_STATE(19557)] = 767967,
  [SMALL_STATE(19558)] = 767981,
  [SMALL_STATE(19559)] = 767995,
  [SMALL_STATE(19560)] = 768009,
  [SMALL_STATE(19561)] = 768023,
  [SMALL_STATE(19562)] = 768037,
  [SMALL_STATE(19563)] = 768051,
  [SMALL_STATE(19564)] = 768065,
  [SMALL_STATE(19565)] = 768079,
  [SMALL_STATE(19566)] = 768093,
  [SMALL_STATE(19567)] = 768107,
  [SMALL_STATE(19568)] = 768121,
  [SMALL_STATE(19569)] = 768135,
  [SMALL_STATE(19570)] = 768149,
  [SMALL_STATE(19571)] = 768163,
  [SMALL_STATE(19572)] = 768177,
  [SMALL_STATE(19573)] = 768191,
  [SMALL_STATE(19574)] = 768205,
  [SMALL_STATE(19575)] = 768219,
  [SMALL_STATE(19576)] = 768233,
  [SMALL_STATE(19577)] = 768247,
  [SMALL_STATE(19578)] = 768261,
  [SMALL_STATE(19579)] = 768275,
  [SMALL_STATE(19580)] = 768289,
  [SMALL_STATE(19581)] = 768303,
  [SMALL_STATE(19582)] = 768317,
  [SMALL_STATE(19583)] = 768331,
  [SMALL_STATE(19584)] = 768345,
  [SMALL_STATE(19585)] = 768359,
  [SMALL_STATE(19586)] = 768373,
  [SMALL_STATE(19587)] = 768387,
  [SMALL_STATE(19588)] = 768401,
  [SMALL_STATE(19589)] = 768415,
  [SMALL_STATE(19590)] = 768429,
  [SMALL_STATE(19591)] = 768443,
  [SMALL_STATE(19592)] = 768457,
  [SMALL_STATE(19593)] = 768471,
  [SMALL_STATE(19594)] = 768485,
  [SMALL_STATE(19595)] = 768499,
  [SMALL_STATE(19596)] = 768513,
  [SMALL_STATE(19597)] = 768527,
  [SMALL_STATE(19598)] = 768541,
  [SMALL_STATE(19599)] = 768555,
  [SMALL_STATE(19600)] = 768569,
  [SMALL_STATE(19601)] = 768583,
  [SMALL_STATE(19602)] = 768597,
  [SMALL_STATE(19603)] = 768611,
  [SMALL_STATE(19604)] = 768625,
  [SMALL_STATE(19605)] = 768639,
  [SMALL_STATE(19606)] = 768653,
  [SMALL_STATE(19607)] = 768667,
  [SMALL_STATE(19608)] = 768681,
  [SMALL_STATE(19609)] = 768695,
  [SMALL_STATE(19610)] = 768709,
  [SMALL_STATE(19611)] = 768723,
  [SMALL_STATE(19612)] = 768737,
  [SMALL_STATE(19613)] = 768751,
  [SMALL_STATE(19614)] = 768765,
  [SMALL_STATE(19615)] = 768779,
  [SMALL_STATE(19616)] = 768793,
  [SMALL_STATE(19617)] = 768807,
  [SMALL_STATE(19618)] = 768821,
  [SMALL_STATE(19619)] = 768835,
  [SMALL_STATE(19620)] = 768849,
  [SMALL_STATE(19621)] = 768863,
  [SMALL_STATE(19622)] = 768877,
  [SMALL_STATE(19623)] = 768891,
  [SMALL_STATE(19624)] = 768905,
  [SMALL_STATE(19625)] = 768919,
  [SMALL_STATE(19626)] = 768933,
  [SMALL_STATE(19627)] = 768947,
  [SMALL_STATE(19628)] = 768961,
  [SMALL_STATE(19629)] = 768975,
  [SMALL_STATE(19630)] = 768989,
  [SMALL_STATE(19631)] = 769003,
  [SMALL_STATE(19632)] = 769017,
  [SMALL_STATE(19633)] = 769031,
  [SMALL_STATE(19634)] = 769045,
  [SMALL_STATE(19635)] = 769059,
  [SMALL_STATE(19636)] = 769073,
  [SMALL_STATE(19637)] = 769087,
  [SMALL_STATE(19638)] = 769101,
  [SMALL_STATE(19639)] = 769115,
  [SMALL_STATE(19640)] = 769129,
  [SMALL_STATE(19641)] = 769143,
  [SMALL_STATE(19642)] = 769157,
  [SMALL_STATE(19643)] = 769171,
  [SMALL_STATE(19644)] = 769185,
  [SMALL_STATE(19645)] = 769199,
  [SMALL_STATE(19646)] = 769213,
  [SMALL_STATE(19647)] = 769227,
  [SMALL_STATE(19648)] = 769241,
  [SMALL_STATE(19649)] = 769255,
  [SMALL_STATE(19650)] = 769269,
  [SMALL_STATE(19651)] = 769283,
  [SMALL_STATE(19652)] = 769297,
  [SMALL_STATE(19653)] = 769311,
  [SMALL_STATE(19654)] = 769325,
  [SMALL_STATE(19655)] = 769339,
  [SMALL_STATE(19656)] = 769353,
  [SMALL_STATE(19657)] = 769367,
  [SMALL_STATE(19658)] = 769381,
  [SMALL_STATE(19659)] = 769395,
  [SMALL_STATE(19660)] = 769409,
  [SMALL_STATE(19661)] = 769423,
  [SMALL_STATE(19662)] = 769437,
  [SMALL_STATE(19663)] = 769451,
  [SMALL_STATE(19664)] = 769465,
  [SMALL_STATE(19665)] = 769479,
  [SMALL_STATE(19666)] = 769493,
  [SMALL_STATE(19667)] = 769507,
  [SMALL_STATE(19668)] = 769521,
  [SMALL_STATE(19669)] = 769535,
  [SMALL_STATE(19670)] = 769549,
  [SMALL_STATE(19671)] = 769563,
  [SMALL_STATE(19672)] = 769577,
  [SMALL_STATE(19673)] = 769591,
  [SMALL_STATE(19674)] = 769605,
  [SMALL_STATE(19675)] = 769619,
  [SMALL_STATE(19676)] = 769633,
  [SMALL_STATE(19677)] = 769647,
  [SMALL_STATE(19678)] = 769661,
  [SMALL_STATE(19679)] = 769675,
  [SMALL_STATE(19680)] = 769689,
  [SMALL_STATE(19681)] = 769703,
  [SMALL_STATE(19682)] = 769717,
  [SMALL_STATE(19683)] = 769731,
  [SMALL_STATE(19684)] = 769745,
  [SMALL_STATE(19685)] = 769759,
  [SMALL_STATE(19686)] = 769773,
  [SMALL_STATE(19687)] = 769787,
  [SMALL_STATE(19688)] = 769801,
  [SMALL_STATE(19689)] = 769815,
  [SMALL_STATE(19690)] = 769829,
  [SMALL_STATE(19691)] = 769843,
  [SMALL_STATE(19692)] = 769857,
  [SMALL_STATE(19693)] = 769871,
  [SMALL_STATE(19694)] = 769885,
  [SMALL_STATE(19695)] = 769899,
  [SMALL_STATE(19696)] = 769913,
  [SMALL_STATE(19697)] = 769927,
  [SMALL_STATE(19698)] = 769941,
  [SMALL_STATE(19699)] = 769955,
  [SMALL_STATE(19700)] = 769969,
  [SMALL_STATE(19701)] = 769983,
  [SMALL_STATE(19702)] = 769997,
  [SMALL_STATE(19703)] = 770011,
  [SMALL_STATE(19704)] = 770025,
  [SMALL_STATE(19705)] = 770039,
  [SMALL_STATE(19706)] = 770053,
  [SMALL_STATE(19707)] = 770067,
  [SMALL_STATE(19708)] = 770081,
  [SMALL_STATE(19709)] = 770095,
  [SMALL_STATE(19710)] = 770109,
  [SMALL_STATE(19711)] = 770123,
  [SMALL_STATE(19712)] = 770137,
  [SMALL_STATE(19713)] = 770151,
  [SMALL_STATE(19714)] = 770165,
  [SMALL_STATE(19715)] = 770179,
  [SMALL_STATE(19716)] = 770193,
  [SMALL_STATE(19717)] = 770207,
  [SMALL_STATE(19718)] = 770221,
  [SMALL_STATE(19719)] = 770235,
  [SMALL_STATE(19720)] = 770249,
  [SMALL_STATE(19721)] = 770263,
  [SMALL_STATE(19722)] = 770277,
  [SMALL_STATE(19723)] = 770291,
  [SMALL_STATE(19724)] = 770305,
  [SMALL_STATE(19725)] = 770319,
  [SMALL_STATE(19726)] = 770333,
  [SMALL_STATE(19727)] = 770347,
  [SMALL_STATE(19728)] = 770361,
  [SMALL_STATE(19729)] = 770375,
  [SMALL_STATE(19730)] = 770389,
  [SMALL_STATE(19731)] = 770403,
  [SMALL_STATE(19732)] = 770417,
  [SMALL_STATE(19733)] = 770431,
  [SMALL_STATE(19734)] = 770445,
  [SMALL_STATE(19735)] = 770459,
  [SMALL_STATE(19736)] = 770473,
  [SMALL_STATE(19737)] = 770487,
  [SMALL_STATE(19738)] = 770501,
  [SMALL_STATE(19739)] = 770515,
  [SMALL_STATE(19740)] = 770529,
  [SMALL_STATE(19741)] = 770543,
  [SMALL_STATE(19742)] = 770557,
  [SMALL_STATE(19743)] = 770571,
  [SMALL_STATE(19744)] = 770585,
  [SMALL_STATE(19745)] = 770599,
  [SMALL_STATE(19746)] = 770613,
  [SMALL_STATE(19747)] = 770627,
  [SMALL_STATE(19748)] = 770641,
  [SMALL_STATE(19749)] = 770655,
  [SMALL_STATE(19750)] = 770669,
  [SMALL_STATE(19751)] = 770683,
  [SMALL_STATE(19752)] = 770697,
  [SMALL_STATE(19753)] = 770711,
  [SMALL_STATE(19754)] = 770725,
  [SMALL_STATE(19755)] = 770739,
  [SMALL_STATE(19756)] = 770753,
  [SMALL_STATE(19757)] = 770767,
  [SMALL_STATE(19758)] = 770781,
  [SMALL_STATE(19759)] = 770795,
  [SMALL_STATE(19760)] = 770809,
  [SMALL_STATE(19761)] = 770823,
  [SMALL_STATE(19762)] = 770837,
  [SMALL_STATE(19763)] = 770851,
  [SMALL_STATE(19764)] = 770865,
  [SMALL_STATE(19765)] = 770879,
  [SMALL_STATE(19766)] = 770893,
  [SMALL_STATE(19767)] = 770907,
  [SMALL_STATE(19768)] = 770921,
  [SMALL_STATE(19769)] = 770935,
  [SMALL_STATE(19770)] = 770949,
  [SMALL_STATE(19771)] = 770963,
  [SMALL_STATE(19772)] = 770977,
  [SMALL_STATE(19773)] = 770991,
  [SMALL_STATE(19774)] = 771005,
  [SMALL_STATE(19775)] = 771019,
  [SMALL_STATE(19776)] = 771033,
  [SMALL_STATE(19777)] = 771047,
  [SMALL_STATE(19778)] = 771061,
  [SMALL_STATE(19779)] = 771075,
  [SMALL_STATE(19780)] = 771089,
  [SMALL_STATE(19781)] = 771103,
  [SMALL_STATE(19782)] = 771117,
  [SMALL_STATE(19783)] = 771131,
  [SMALL_STATE(19784)] = 771145,
  [SMALL_STATE(19785)] = 771159,
  [SMALL_STATE(19786)] = 771173,
  [SMALL_STATE(19787)] = 771187,
  [SMALL_STATE(19788)] = 771201,
  [SMALL_STATE(19789)] = 771215,
  [SMALL_STATE(19790)] = 771229,
  [SMALL_STATE(19791)] = 771243,
  [SMALL_STATE(19792)] = 771257,
  [SMALL_STATE(19793)] = 771271,
  [SMALL_STATE(19794)] = 771285,
  [SMALL_STATE(19795)] = 771299,
  [SMALL_STATE(19796)] = 771313,
  [SMALL_STATE(19797)] = 771327,
  [SMALL_STATE(19798)] = 771341,
  [SMALL_STATE(19799)] = 771355,
  [SMALL_STATE(19800)] = 771369,
  [SMALL_STATE(19801)] = 771383,
  [SMALL_STATE(19802)] = 771397,
  [SMALL_STATE(19803)] = 771411,
  [SMALL_STATE(19804)] = 771425,
  [SMALL_STATE(19805)] = 771439,
  [SMALL_STATE(19806)] = 771453,
  [SMALL_STATE(19807)] = 771467,
  [SMALL_STATE(19808)] = 771481,
  [SMALL_STATE(19809)] = 771495,
  [SMALL_STATE(19810)] = 771509,
  [SMALL_STATE(19811)] = 771523,
  [SMALL_STATE(19812)] = 771537,
  [SMALL_STATE(19813)] = 771551,
  [SMALL_STATE(19814)] = 771565,
  [SMALL_STATE(19815)] = 771579,
  [SMALL_STATE(19816)] = 771593,
  [SMALL_STATE(19817)] = 771607,
  [SMALL_STATE(19818)] = 771621,
  [SMALL_STATE(19819)] = 771635,
  [SMALL_STATE(19820)] = 771649,
  [SMALL_STATE(19821)] = 771663,
  [SMALL_STATE(19822)] = 771677,
  [SMALL_STATE(19823)] = 771691,
  [SMALL_STATE(19824)] = 771705,
  [SMALL_STATE(19825)] = 771719,
  [SMALL_STATE(19826)] = 771733,
  [SMALL_STATE(19827)] = 771747,
  [SMALL_STATE(19828)] = 771761,
  [SMALL_STATE(19829)] = 771775,
  [SMALL_STATE(19830)] = 771789,
  [SMALL_STATE(19831)] = 771803,
  [SMALL_STATE(19832)] = 771817,
  [SMALL_STATE(19833)] = 771831,
  [SMALL_STATE(19834)] = 771845,
  [SMALL_STATE(19835)] = 771859,
  [SMALL_STATE(19836)] = 771873,
  [SMALL_STATE(19837)] = 771887,
  [SMALL_STATE(19838)] = 771901,
  [SMALL_STATE(19839)] = 771915,
  [SMALL_STATE(19840)] = 771929,
  [SMALL_STATE(19841)] = 771943,
  [SMALL_STATE(19842)] = 771957,
  [SMALL_STATE(19843)] = 771971,
  [SMALL_STATE(19844)] = 771985,
  [SMALL_STATE(19845)] = 771999,
  [SMALL_STATE(19846)] = 772013,
  [SMALL_STATE(19847)] = 772027,
  [SMALL_STATE(19848)] = 772041,
  [SMALL_STATE(19849)] = 772055,
  [SMALL_STATE(19850)] = 772069,
  [SMALL_STATE(19851)] = 772083,
  [SMALL_STATE(19852)] = 772097,
  [SMALL_STATE(19853)] = 772111,
  [SMALL_STATE(19854)] = 772125,
  [SMALL_STATE(19855)] = 772139,
  [SMALL_STATE(19856)] = 772153,
  [SMALL_STATE(19857)] = 772167,
  [SMALL_STATE(19858)] = 772181,
  [SMALL_STATE(19859)] = 772195,
  [SMALL_STATE(19860)] = 772209,
  [SMALL_STATE(19861)] = 772223,
  [SMALL_STATE(19862)] = 772237,
  [SMALL_STATE(19863)] = 772251,
  [SMALL_STATE(19864)] = 772265,
  [SMALL_STATE(19865)] = 772279,
  [SMALL_STATE(19866)] = 772293,
  [SMALL_STATE(19867)] = 772307,
  [SMALL_STATE(19868)] = 772321,
  [SMALL_STATE(19869)] = 772335,
  [SMALL_STATE(19870)] = 772349,
  [SMALL_STATE(19871)] = 772363,
  [SMALL_STATE(19872)] = 772377,
  [SMALL_STATE(19873)] = 772391,
  [SMALL_STATE(19874)] = 772405,
  [SMALL_STATE(19875)] = 772419,
  [SMALL_STATE(19876)] = 772433,
  [SMALL_STATE(19877)] = 772447,
  [SMALL_STATE(19878)] = 772461,
  [SMALL_STATE(19879)] = 772475,
  [SMALL_STATE(19880)] = 772489,
  [SMALL_STATE(19881)] = 772503,
  [SMALL_STATE(19882)] = 772517,
  [SMALL_STATE(19883)] = 772531,
  [SMALL_STATE(19884)] = 772545,
  [SMALL_STATE(19885)] = 772559,
  [SMALL_STATE(19886)] = 772573,
  [SMALL_STATE(19887)] = 772587,
  [SMALL_STATE(19888)] = 772601,
  [SMALL_STATE(19889)] = 772615,
  [SMALL_STATE(19890)] = 772629,
  [SMALL_STATE(19891)] = 772643,
  [SMALL_STATE(19892)] = 772657,
  [SMALL_STATE(19893)] = 772671,
  [SMALL_STATE(19894)] = 772685,
  [SMALL_STATE(19895)] = 772699,
  [SMALL_STATE(19896)] = 772713,
  [SMALL_STATE(19897)] = 772727,
  [SMALL_STATE(19898)] = 772741,
  [SMALL_STATE(19899)] = 772755,
  [SMALL_STATE(19900)] = 772769,
  [SMALL_STATE(19901)] = 772783,
  [SMALL_STATE(19902)] = 772797,
  [SMALL_STATE(19903)] = 772811,
  [SMALL_STATE(19904)] = 772825,
  [SMALL_STATE(19905)] = 772839,
  [SMALL_STATE(19906)] = 772853,
  [SMALL_STATE(19907)] = 772867,
  [SMALL_STATE(19908)] = 772881,
  [SMALL_STATE(19909)] = 772895,
  [SMALL_STATE(19910)] = 772909,
  [SMALL_STATE(19911)] = 772923,
  [SMALL_STATE(19912)] = 772937,
  [SMALL_STATE(19913)] = 772951,
  [SMALL_STATE(19914)] = 772965,
  [SMALL_STATE(19915)] = 772979,
  [SMALL_STATE(19916)] = 772993,
  [SMALL_STATE(19917)] = 773007,
  [SMALL_STATE(19918)] = 773021,
  [SMALL_STATE(19919)] = 773035,
  [SMALL_STATE(19920)] = 773049,
  [SMALL_STATE(19921)] = 773063,
  [SMALL_STATE(19922)] = 773077,
  [SMALL_STATE(19923)] = 773091,
  [SMALL_STATE(19924)] = 773105,
  [SMALL_STATE(19925)] = 773119,
  [SMALL_STATE(19926)] = 773133,
  [SMALL_STATE(19927)] = 773147,
  [SMALL_STATE(19928)] = 773161,
  [SMALL_STATE(19929)] = 773175,
  [SMALL_STATE(19930)] = 773189,
  [SMALL_STATE(19931)] = 773203,
  [SMALL_STATE(19932)] = 773217,
  [SMALL_STATE(19933)] = 773231,
  [SMALL_STATE(19934)] = 773245,
  [SMALL_STATE(19935)] = 773259,
  [SMALL_STATE(19936)] = 773273,
  [SMALL_STATE(19937)] = 773287,
  [SMALL_STATE(19938)] = 773301,
  [SMALL_STATE(19939)] = 773315,
  [SMALL_STATE(19940)] = 773329,
  [SMALL_STATE(19941)] = 773343,
  [SMALL_STATE(19942)] = 773357,
  [SMALL_STATE(19943)] = 773371,
  [SMALL_STATE(19944)] = 773385,
  [SMALL_STATE(19945)] = 773399,
  [SMALL_STATE(19946)] = 773413,
  [SMALL_STATE(19947)] = 773427,
  [SMALL_STATE(19948)] = 773441,
  [SMALL_STATE(19949)] = 773455,
  [SMALL_STATE(19950)] = 773469,
  [SMALL_STATE(19951)] = 773483,
  [SMALL_STATE(19952)] = 773497,
  [SMALL_STATE(19953)] = 773511,
  [SMALL_STATE(19954)] = 773525,
  [SMALL_STATE(19955)] = 773539,
  [SMALL_STATE(19956)] = 773553,
  [SMALL_STATE(19957)] = 773567,
  [SMALL_STATE(19958)] = 773581,
  [SMALL_STATE(19959)] = 773595,
  [SMALL_STATE(19960)] = 773609,
  [SMALL_STATE(19961)] = 773623,
  [SMALL_STATE(19962)] = 773637,
  [SMALL_STATE(19963)] = 773651,
  [SMALL_STATE(19964)] = 773665,
  [SMALL_STATE(19965)] = 773679,
  [SMALL_STATE(19966)] = 773693,
  [SMALL_STATE(19967)] = 773707,
  [SMALL_STATE(19968)] = 773721,
  [SMALL_STATE(19969)] = 773735,
  [SMALL_STATE(19970)] = 773749,
  [SMALL_STATE(19971)] = 773763,
  [SMALL_STATE(19972)] = 773777,
  [SMALL_STATE(19973)] = 773791,
  [SMALL_STATE(19974)] = 773805,
  [SMALL_STATE(19975)] = 773819,
  [SMALL_STATE(19976)] = 773833,
  [SMALL_STATE(19977)] = 773847,
  [SMALL_STATE(19978)] = 773861,
  [SMALL_STATE(19979)] = 773875,
  [SMALL_STATE(19980)] = 773889,
  [SMALL_STATE(19981)] = 773903,
  [SMALL_STATE(19982)] = 773917,
  [SMALL_STATE(19983)] = 773931,
  [SMALL_STATE(19984)] = 773945,
  [SMALL_STATE(19985)] = 773959,
  [SMALL_STATE(19986)] = 773973,
  [SMALL_STATE(19987)] = 773987,
  [SMALL_STATE(19988)] = 774001,
  [SMALL_STATE(19989)] = 774015,
  [SMALL_STATE(19990)] = 774029,
  [SMALL_STATE(19991)] = 774043,
  [SMALL_STATE(19992)] = 774057,
  [SMALL_STATE(19993)] = 774071,
  [SMALL_STATE(19994)] = 774085,
  [SMALL_STATE(19995)] = 774099,
  [SMALL_STATE(19996)] = 774113,
  [SMALL_STATE(19997)] = 774127,
  [SMALL_STATE(19998)] = 774141,
  [SMALL_STATE(19999)] = 774155,
  [SMALL_STATE(20000)] = 774169,
  [SMALL_STATE(20001)] = 774183,
  [SMALL_STATE(20002)] = 774197,
  [SMALL_STATE(20003)] = 774211,
  [SMALL_STATE(20004)] = 774225,
  [SMALL_STATE(20005)] = 774239,
  [SMALL_STATE(20006)] = 774253,
  [SMALL_STATE(20007)] = 774267,
  [SMALL_STATE(20008)] = 774281,
  [SMALL_STATE(20009)] = 774295,
  [SMALL_STATE(20010)] = 774309,
  [SMALL_STATE(20011)] = 774323,
  [SMALL_STATE(20012)] = 774337,
  [SMALL_STATE(20013)] = 774351,
  [SMALL_STATE(20014)] = 774365,
  [SMALL_STATE(20015)] = 774379,
  [SMALL_STATE(20016)] = 774393,
  [SMALL_STATE(20017)] = 774407,
  [SMALL_STATE(20018)] = 774421,
  [SMALL_STATE(20019)] = 774435,
  [SMALL_STATE(20020)] = 774449,
  [SMALL_STATE(20021)] = 774463,
  [SMALL_STATE(20022)] = 774477,
  [SMALL_STATE(20023)] = 774491,
  [SMALL_STATE(20024)] = 774505,
  [SMALL_STATE(20025)] = 774519,
  [SMALL_STATE(20026)] = 774533,
  [SMALL_STATE(20027)] = 774547,
  [SMALL_STATE(20028)] = 774561,
  [SMALL_STATE(20029)] = 774575,
  [SMALL_STATE(20030)] = 774589,
  [SMALL_STATE(20031)] = 774603,
  [SMALL_STATE(20032)] = 774617,
  [SMALL_STATE(20033)] = 774631,
  [SMALL_STATE(20034)] = 774645,
  [SMALL_STATE(20035)] = 774659,
  [SMALL_STATE(20036)] = 774673,
  [SMALL_STATE(20037)] = 774687,
  [SMALL_STATE(20038)] = 774701,
  [SMALL_STATE(20039)] = 774715,
  [SMALL_STATE(20040)] = 774729,
  [SMALL_STATE(20041)] = 774743,
  [SMALL_STATE(20042)] = 774757,
  [SMALL_STATE(20043)] = 774771,
  [SMALL_STATE(20044)] = 774785,
  [SMALL_STATE(20045)] = 774799,
  [SMALL_STATE(20046)] = 774813,
  [SMALL_STATE(20047)] = 774827,
  [SMALL_STATE(20048)] = 774841,
  [SMALL_STATE(20049)] = 774855,
  [SMALL_STATE(20050)] = 774869,
  [SMALL_STATE(20051)] = 774883,
  [SMALL_STATE(20052)] = 774897,
  [SMALL_STATE(20053)] = 774911,
  [SMALL_STATE(20054)] = 774925,
  [SMALL_STATE(20055)] = 774939,
  [SMALL_STATE(20056)] = 774953,
  [SMALL_STATE(20057)] = 774967,
  [SMALL_STATE(20058)] = 774981,
  [SMALL_STATE(20059)] = 774995,
  [SMALL_STATE(20060)] = 775009,
  [SMALL_STATE(20061)] = 775023,
  [SMALL_STATE(20062)] = 775037,
  [SMALL_STATE(20063)] = 775051,
  [SMALL_STATE(20064)] = 775065,
  [SMALL_STATE(20065)] = 775079,
  [SMALL_STATE(20066)] = 775093,
  [SMALL_STATE(20067)] = 775107,
  [SMALL_STATE(20068)] = 775121,
  [SMALL_STATE(20069)] = 775135,
  [SMALL_STATE(20070)] = 775149,
  [SMALL_STATE(20071)] = 775163,
  [SMALL_STATE(20072)] = 775177,
  [SMALL_STATE(20073)] = 775191,
  [SMALL_STATE(20074)] = 775205,
  [SMALL_STATE(20075)] = 775219,
  [SMALL_STATE(20076)] = 775233,
  [SMALL_STATE(20077)] = 775247,
  [SMALL_STATE(20078)] = 775261,
  [SMALL_STATE(20079)] = 775275,
  [SMALL_STATE(20080)] = 775289,
  [SMALL_STATE(20081)] = 775303,
  [SMALL_STATE(20082)] = 775317,
  [SMALL_STATE(20083)] = 775331,
  [SMALL_STATE(20084)] = 775345,
  [SMALL_STATE(20085)] = 775359,
  [SMALL_STATE(20086)] = 775373,
  [SMALL_STATE(20087)] = 775387,
  [SMALL_STATE(20088)] = 775401,
  [SMALL_STATE(20089)] = 775415,
  [SMALL_STATE(20090)] = 775429,
  [SMALL_STATE(20091)] = 775443,
  [SMALL_STATE(20092)] = 775457,
  [SMALL_STATE(20093)] = 775471,
  [SMALL_STATE(20094)] = 775485,
  [SMALL_STATE(20095)] = 775499,
  [SMALL_STATE(20096)] = 775513,
  [SMALL_STATE(20097)] = 775527,
  [SMALL_STATE(20098)] = 775541,
  [SMALL_STATE(20099)] = 775555,
  [SMALL_STATE(20100)] = 775569,
  [SMALL_STATE(20101)] = 775583,
  [SMALL_STATE(20102)] = 775597,
  [SMALL_STATE(20103)] = 775611,
  [SMALL_STATE(20104)] = 775625,
  [SMALL_STATE(20105)] = 775639,
  [SMALL_STATE(20106)] = 775653,
  [SMALL_STATE(20107)] = 775667,
  [SMALL_STATE(20108)] = 775681,
  [SMALL_STATE(20109)] = 775695,
  [SMALL_STATE(20110)] = 775709,
  [SMALL_STATE(20111)] = 775723,
  [SMALL_STATE(20112)] = 775737,
  [SMALL_STATE(20113)] = 775751,
  [SMALL_STATE(20114)] = 775765,
  [SMALL_STATE(20115)] = 775779,
  [SMALL_STATE(20116)] = 775793,
  [SMALL_STATE(20117)] = 775807,
  [SMALL_STATE(20118)] = 775821,
  [SMALL_STATE(20119)] = 775835,
  [SMALL_STATE(20120)] = 775849,
  [SMALL_STATE(20121)] = 775863,
  [SMALL_STATE(20122)] = 775877,
  [SMALL_STATE(20123)] = 775891,
  [SMALL_STATE(20124)] = 775905,
  [SMALL_STATE(20125)] = 775919,
  [SMALL_STATE(20126)] = 775933,
  [SMALL_STATE(20127)] = 775947,
  [SMALL_STATE(20128)] = 775961,
  [SMALL_STATE(20129)] = 775975,
  [SMALL_STATE(20130)] = 775989,
  [SMALL_STATE(20131)] = 776003,
  [SMALL_STATE(20132)] = 776017,
  [SMALL_STATE(20133)] = 776031,
  [SMALL_STATE(20134)] = 776045,
  [SMALL_STATE(20135)] = 776059,
  [SMALL_STATE(20136)] = 776073,
  [SMALL_STATE(20137)] = 776087,
  [SMALL_STATE(20138)] = 776101,
  [SMALL_STATE(20139)] = 776115,
  [SMALL_STATE(20140)] = 776129,
  [SMALL_STATE(20141)] = 776143,
  [SMALL_STATE(20142)] = 776157,
  [SMALL_STATE(20143)] = 776171,
  [SMALL_STATE(20144)] = 776185,
  [SMALL_STATE(20145)] = 776199,
  [SMALL_STATE(20146)] = 776213,
  [SMALL_STATE(20147)] = 776227,
  [SMALL_STATE(20148)] = 776241,
  [SMALL_STATE(20149)] = 776255,
  [SMALL_STATE(20150)] = 776269,
  [SMALL_STATE(20151)] = 776283,
  [SMALL_STATE(20152)] = 776297,
  [SMALL_STATE(20153)] = 776311,
  [SMALL_STATE(20154)] = 776325,
  [SMALL_STATE(20155)] = 776339,
  [SMALL_STATE(20156)] = 776353,
  [SMALL_STATE(20157)] = 776367,
  [SMALL_STATE(20158)] = 776381,
  [SMALL_STATE(20159)] = 776395,
  [SMALL_STATE(20160)] = 776409,
  [SMALL_STATE(20161)] = 776423,
  [SMALL_STATE(20162)] = 776437,
  [SMALL_STATE(20163)] = 776451,
  [SMALL_STATE(20164)] = 776465,
  [SMALL_STATE(20165)] = 776479,
  [SMALL_STATE(20166)] = 776493,
  [SMALL_STATE(20167)] = 776507,
  [SMALL_STATE(20168)] = 776521,
  [SMALL_STATE(20169)] = 776535,
  [SMALL_STATE(20170)] = 776549,
  [SMALL_STATE(20171)] = 776563,
  [SMALL_STATE(20172)] = 776577,
  [SMALL_STATE(20173)] = 776591,
  [SMALL_STATE(20174)] = 776605,
  [SMALL_STATE(20175)] = 776619,
  [SMALL_STATE(20176)] = 776633,
  [SMALL_STATE(20177)] = 776647,
  [SMALL_STATE(20178)] = 776661,
  [SMALL_STATE(20179)] = 776675,
  [SMALL_STATE(20180)] = 776689,
  [SMALL_STATE(20181)] = 776703,
  [SMALL_STATE(20182)] = 776717,
  [SMALL_STATE(20183)] = 776731,
  [SMALL_STATE(20184)] = 776745,
  [SMALL_STATE(20185)] = 776759,
  [SMALL_STATE(20186)] = 776773,
  [SMALL_STATE(20187)] = 776787,
  [SMALL_STATE(20188)] = 776801,
  [SMALL_STATE(20189)] = 776815,
  [SMALL_STATE(20190)] = 776829,
  [SMALL_STATE(20191)] = 776843,
  [SMALL_STATE(20192)] = 776857,
  [SMALL_STATE(20193)] = 776871,
  [SMALL_STATE(20194)] = 776885,
  [SMALL_STATE(20195)] = 776899,
  [SMALL_STATE(20196)] = 776913,
  [SMALL_STATE(20197)] = 776927,
  [SMALL_STATE(20198)] = 776941,
  [SMALL_STATE(20199)] = 776955,
  [SMALL_STATE(20200)] = 776969,
  [SMALL_STATE(20201)] = 776983,
  [SMALL_STATE(20202)] = 776997,
  [SMALL_STATE(20203)] = 777011,
  [SMALL_STATE(20204)] = 777025,
  [SMALL_STATE(20205)] = 777039,
  [SMALL_STATE(20206)] = 777053,
  [SMALL_STATE(20207)] = 777067,
  [SMALL_STATE(20208)] = 777081,
  [SMALL_STATE(20209)] = 777095,
  [SMALL_STATE(20210)] = 777109,
  [SMALL_STATE(20211)] = 777123,
  [SMALL_STATE(20212)] = 777137,
  [SMALL_STATE(20213)] = 777151,
  [SMALL_STATE(20214)] = 777165,
  [SMALL_STATE(20215)] = 777179,
  [SMALL_STATE(20216)] = 777193,
  [SMALL_STATE(20217)] = 777207,
  [SMALL_STATE(20218)] = 777221,
  [SMALL_STATE(20219)] = 777235,
  [SMALL_STATE(20220)] = 777249,
  [SMALL_STATE(20221)] = 777263,
  [SMALL_STATE(20222)] = 777277,
  [SMALL_STATE(20223)] = 777291,
  [SMALL_STATE(20224)] = 777305,
  [SMALL_STATE(20225)] = 777319,
  [SMALL_STATE(20226)] = 777333,
  [SMALL_STATE(20227)] = 777347,
  [SMALL_STATE(20228)] = 777361,
  [SMALL_STATE(20229)] = 777375,
  [SMALL_STATE(20230)] = 777389,
  [SMALL_STATE(20231)] = 777403,
  [SMALL_STATE(20232)] = 777417,
  [SMALL_STATE(20233)] = 777431,
  [SMALL_STATE(20234)] = 777445,
  [SMALL_STATE(20235)] = 777459,
  [SMALL_STATE(20236)] = 777473,
  [SMALL_STATE(20237)] = 777487,
  [SMALL_STATE(20238)] = 777501,
  [SMALL_STATE(20239)] = 777515,
  [SMALL_STATE(20240)] = 777529,
  [SMALL_STATE(20241)] = 777543,
  [SMALL_STATE(20242)] = 777557,
  [SMALL_STATE(20243)] = 777571,
  [SMALL_STATE(20244)] = 777585,
  [SMALL_STATE(20245)] = 777599,
  [SMALL_STATE(20246)] = 777613,
  [SMALL_STATE(20247)] = 777627,
  [SMALL_STATE(20248)] = 777641,
  [SMALL_STATE(20249)] = 777655,
  [SMALL_STATE(20250)] = 777669,
  [SMALL_STATE(20251)] = 777683,
  [SMALL_STATE(20252)] = 777697,
  [SMALL_STATE(20253)] = 777711,
  [SMALL_STATE(20254)] = 777725,
  [SMALL_STATE(20255)] = 777739,
  [SMALL_STATE(20256)] = 777753,
  [SMALL_STATE(20257)] = 777767,
  [SMALL_STATE(20258)] = 777781,
  [SMALL_STATE(20259)] = 777795,
  [SMALL_STATE(20260)] = 777809,
  [SMALL_STATE(20261)] = 777823,
  [SMALL_STATE(20262)] = 777837,
  [SMALL_STATE(20263)] = 777851,
  [SMALL_STATE(20264)] = 777865,
  [SMALL_STATE(20265)] = 777879,
  [SMALL_STATE(20266)] = 777893,
  [SMALL_STATE(20267)] = 777907,
  [SMALL_STATE(20268)] = 777921,
  [SMALL_STATE(20269)] = 777935,
  [SMALL_STATE(20270)] = 777949,
  [SMALL_STATE(20271)] = 777963,
  [SMALL_STATE(20272)] = 777977,
  [SMALL_STATE(20273)] = 777991,
  [SMALL_STATE(20274)] = 778005,
  [SMALL_STATE(20275)] = 778019,
  [SMALL_STATE(20276)] = 778033,
  [SMALL_STATE(20277)] = 778047,
  [SMALL_STATE(20278)] = 778061,
  [SMALL_STATE(20279)] = 778075,
  [SMALL_STATE(20280)] = 778089,
  [SMALL_STATE(20281)] = 778103,
  [SMALL_STATE(20282)] = 778117,
  [SMALL_STATE(20283)] = 778131,
  [SMALL_STATE(20284)] = 778145,
  [SMALL_STATE(20285)] = 778159,
  [SMALL_STATE(20286)] = 778173,
  [SMALL_STATE(20287)] = 778187,
  [SMALL_STATE(20288)] = 778201,
  [SMALL_STATE(20289)] = 778215,
  [SMALL_STATE(20290)] = 778229,
  [SMALL_STATE(20291)] = 778243,
  [SMALL_STATE(20292)] = 778257,
  [SMALL_STATE(20293)] = 778271,
  [SMALL_STATE(20294)] = 778285,
  [SMALL_STATE(20295)] = 778299,
  [SMALL_STATE(20296)] = 778313,
  [SMALL_STATE(20297)] = 778327,
  [SMALL_STATE(20298)] = 778341,
  [SMALL_STATE(20299)] = 778355,
  [SMALL_STATE(20300)] = 778369,
  [SMALL_STATE(20301)] = 778383,
  [SMALL_STATE(20302)] = 778397,
  [SMALL_STATE(20303)] = 778411,
  [SMALL_STATE(20304)] = 778425,
  [SMALL_STATE(20305)] = 778439,
  [SMALL_STATE(20306)] = 778453,
  [SMALL_STATE(20307)] = 778467,
  [SMALL_STATE(20308)] = 778481,
  [SMALL_STATE(20309)] = 778495,
  [SMALL_STATE(20310)] = 778509,
  [SMALL_STATE(20311)] = 778523,
  [SMALL_STATE(20312)] = 778537,
  [SMALL_STATE(20313)] = 778551,
  [SMALL_STATE(20314)] = 778565,
  [SMALL_STATE(20315)] = 778579,
  [SMALL_STATE(20316)] = 778593,
  [SMALL_STATE(20317)] = 778607,
  [SMALL_STATE(20318)] = 778621,
  [SMALL_STATE(20319)] = 778635,
  [SMALL_STATE(20320)] = 778649,
  [SMALL_STATE(20321)] = 778663,
  [SMALL_STATE(20322)] = 778677,
  [SMALL_STATE(20323)] = 778691,
  [SMALL_STATE(20324)] = 778705,
  [SMALL_STATE(20325)] = 778719,
  [SMALL_STATE(20326)] = 778733,
  [SMALL_STATE(20327)] = 778747,
  [SMALL_STATE(20328)] = 778761,
  [SMALL_STATE(20329)] = 778775,
  [SMALL_STATE(20330)] = 778789,
  [SMALL_STATE(20331)] = 778803,
  [SMALL_STATE(20332)] = 778817,
  [SMALL_STATE(20333)] = 778831,
  [SMALL_STATE(20334)] = 778845,
  [SMALL_STATE(20335)] = 778859,
  [SMALL_STATE(20336)] = 778873,
  [SMALL_STATE(20337)] = 778887,
  [SMALL_STATE(20338)] = 778901,
  [SMALL_STATE(20339)] = 778915,
  [SMALL_STATE(20340)] = 778929,
  [SMALL_STATE(20341)] = 778943,
  [SMALL_STATE(20342)] = 778957,
  [SMALL_STATE(20343)] = 778971,
  [SMALL_STATE(20344)] = 778985,
  [SMALL_STATE(20345)] = 778999,
  [SMALL_STATE(20346)] = 779013,
  [SMALL_STATE(20347)] = 779027,
  [SMALL_STATE(20348)] = 779041,
  [SMALL_STATE(20349)] = 779055,
  [SMALL_STATE(20350)] = 779069,
  [SMALL_STATE(20351)] = 779083,
  [SMALL_STATE(20352)] = 779097,
  [SMALL_STATE(20353)] = 779111,
  [SMALL_STATE(20354)] = 779125,
  [SMALL_STATE(20355)] = 779139,
  [SMALL_STATE(20356)] = 779153,
  [SMALL_STATE(20357)] = 779167,
  [SMALL_STATE(20358)] = 779181,
  [SMALL_STATE(20359)] = 779195,
  [SMALL_STATE(20360)] = 779209,
  [SMALL_STATE(20361)] = 779223,
  [SMALL_STATE(20362)] = 779237,
  [SMALL_STATE(20363)] = 779251,
  [SMALL_STATE(20364)] = 779265,
  [SMALL_STATE(20365)] = 779279,
  [SMALL_STATE(20366)] = 779293,
  [SMALL_STATE(20367)] = 779307,
  [SMALL_STATE(20368)] = 779321,
  [SMALL_STATE(20369)] = 779335,
  [SMALL_STATE(20370)] = 779349,
  [SMALL_STATE(20371)] = 779363,
  [SMALL_STATE(20372)] = 779377,
  [SMALL_STATE(20373)] = 779391,
  [SMALL_STATE(20374)] = 779405,
  [SMALL_STATE(20375)] = 779419,
  [SMALL_STATE(20376)] = 779433,
  [SMALL_STATE(20377)] = 779447,
  [SMALL_STATE(20378)] = 779461,
  [SMALL_STATE(20379)] = 779475,
  [SMALL_STATE(20380)] = 779489,
  [SMALL_STATE(20381)] = 779503,
  [SMALL_STATE(20382)] = 779517,
  [SMALL_STATE(20383)] = 779531,
  [SMALL_STATE(20384)] = 779545,
  [SMALL_STATE(20385)] = 779559,
  [SMALL_STATE(20386)] = 779573,
  [SMALL_STATE(20387)] = 779587,
  [SMALL_STATE(20388)] = 779601,
  [SMALL_STATE(20389)] = 779615,
  [SMALL_STATE(20390)] = 779629,
  [SMALL_STATE(20391)] = 779643,
  [SMALL_STATE(20392)] = 779657,
  [SMALL_STATE(20393)] = 779671,
  [SMALL_STATE(20394)] = 779685,
  [SMALL_STATE(20395)] = 779699,
  [SMALL_STATE(20396)] = 779713,
  [SMALL_STATE(20397)] = 779727,
  [SMALL_STATE(20398)] = 779741,
  [SMALL_STATE(20399)] = 779755,
  [SMALL_STATE(20400)] = 779769,
  [SMALL_STATE(20401)] = 779783,
  [SMALL_STATE(20402)] = 779797,
  [SMALL_STATE(20403)] = 779811,
  [SMALL_STATE(20404)] = 779825,
  [SMALL_STATE(20405)] = 779839,
  [SMALL_STATE(20406)] = 779853,
  [SMALL_STATE(20407)] = 779867,
  [SMALL_STATE(20408)] = 779881,
  [SMALL_STATE(20409)] = 779895,
  [SMALL_STATE(20410)] = 779909,
  [SMALL_STATE(20411)] = 779923,
  [SMALL_STATE(20412)] = 779937,
  [SMALL_STATE(20413)] = 779951,
  [SMALL_STATE(20414)] = 779965,
  [SMALL_STATE(20415)] = 779979,
  [SMALL_STATE(20416)] = 779993,
  [SMALL_STATE(20417)] = 780007,
  [SMALL_STATE(20418)] = 780021,
  [SMALL_STATE(20419)] = 780035,
  [SMALL_STATE(20420)] = 780049,
  [SMALL_STATE(20421)] = 780063,
  [SMALL_STATE(20422)] = 780077,
  [SMALL_STATE(20423)] = 780091,
  [SMALL_STATE(20424)] = 780105,
  [SMALL_STATE(20425)] = 780119,
  [SMALL_STATE(20426)] = 780133,
  [SMALL_STATE(20427)] = 780147,
  [SMALL_STATE(20428)] = 780161,
  [SMALL_STATE(20429)] = 780175,
  [SMALL_STATE(20430)] = 780189,
  [SMALL_STATE(20431)] = 780203,
  [SMALL_STATE(20432)] = 780217,
  [SMALL_STATE(20433)] = 780231,
  [SMALL_STATE(20434)] = 780245,
  [SMALL_STATE(20435)] = 780259,
  [SMALL_STATE(20436)] = 780273,
  [SMALL_STATE(20437)] = 780287,
  [SMALL_STATE(20438)] = 780301,
  [SMALL_STATE(20439)] = 780315,
  [SMALL_STATE(20440)] = 780329,
  [SMALL_STATE(20441)] = 780343,
  [SMALL_STATE(20442)] = 780357,
  [SMALL_STATE(20443)] = 780371,
  [SMALL_STATE(20444)] = 780385,
  [SMALL_STATE(20445)] = 780399,
  [SMALL_STATE(20446)] = 780413,
  [SMALL_STATE(20447)] = 780427,
  [SMALL_STATE(20448)] = 780441,
  [SMALL_STATE(20449)] = 780455,
  [SMALL_STATE(20450)] = 780469,
  [SMALL_STATE(20451)] = 780483,
  [SMALL_STATE(20452)] = 780497,
  [SMALL_STATE(20453)] = 780511,
  [SMALL_STATE(20454)] = 780525,
  [SMALL_STATE(20455)] = 780539,
  [SMALL_STATE(20456)] = 780553,
  [SMALL_STATE(20457)] = 780567,
  [SMALL_STATE(20458)] = 780581,
  [SMALL_STATE(20459)] = 780595,
  [SMALL_STATE(20460)] = 780609,
  [SMALL_STATE(20461)] = 780623,
  [SMALL_STATE(20462)] = 780637,
  [SMALL_STATE(20463)] = 780651,
  [SMALL_STATE(20464)] = 780665,
  [SMALL_STATE(20465)] = 780679,
  [SMALL_STATE(20466)] = 780693,
  [SMALL_STATE(20467)] = 780707,
  [SMALL_STATE(20468)] = 780721,
  [SMALL_STATE(20469)] = 780735,
  [SMALL_STATE(20470)] = 780749,
  [SMALL_STATE(20471)] = 780763,
  [SMALL_STATE(20472)] = 780777,
  [SMALL_STATE(20473)] = 780791,
  [SMALL_STATE(20474)] = 780805,
  [SMALL_STATE(20475)] = 780819,
  [SMALL_STATE(20476)] = 780833,
  [SMALL_STATE(20477)] = 780847,
  [SMALL_STATE(20478)] = 780861,
  [SMALL_STATE(20479)] = 780875,
  [SMALL_STATE(20480)] = 780889,
  [SMALL_STATE(20481)] = 780903,
  [SMALL_STATE(20482)] = 780917,
  [SMALL_STATE(20483)] = 780931,
  [SMALL_STATE(20484)] = 780945,
  [SMALL_STATE(20485)] = 780959,
  [SMALL_STATE(20486)] = 780973,
  [SMALL_STATE(20487)] = 780987,
  [SMALL_STATE(20488)] = 781001,
  [SMALL_STATE(20489)] = 781015,
  [SMALL_STATE(20490)] = 781029,
  [SMALL_STATE(20491)] = 781043,
  [SMALL_STATE(20492)] = 781057,
  [SMALL_STATE(20493)] = 781071,
  [SMALL_STATE(20494)] = 781085,
  [SMALL_STATE(20495)] = 781099,
  [SMALL_STATE(20496)] = 781113,
  [SMALL_STATE(20497)] = 781127,
  [SMALL_STATE(20498)] = 781141,
  [SMALL_STATE(20499)] = 781155,
  [SMALL_STATE(20500)] = 781169,
  [SMALL_STATE(20501)] = 781183,
  [SMALL_STATE(20502)] = 781197,
  [SMALL_STATE(20503)] = 781211,
  [SMALL_STATE(20504)] = 781225,
  [SMALL_STATE(20505)] = 781239,
  [SMALL_STATE(20506)] = 781253,
  [SMALL_STATE(20507)] = 781267,
  [SMALL_STATE(20508)] = 781281,
  [SMALL_STATE(20509)] = 781295,
  [SMALL_STATE(20510)] = 781309,
  [SMALL_STATE(20511)] = 781323,
  [SMALL_STATE(20512)] = 781337,
  [SMALL_STATE(20513)] = 781351,
  [SMALL_STATE(20514)] = 781365,
  [SMALL_STATE(20515)] = 781379,
  [SMALL_STATE(20516)] = 781393,
  [SMALL_STATE(20517)] = 781407,
  [SMALL_STATE(20518)] = 781421,
  [SMALL_STATE(20519)] = 781435,
  [SMALL_STATE(20520)] = 781449,
  [SMALL_STATE(20521)] = 781463,
  [SMALL_STATE(20522)] = 781477,
  [SMALL_STATE(20523)] = 781491,
  [SMALL_STATE(20524)] = 781505,
  [SMALL_STATE(20525)] = 781519,
  [SMALL_STATE(20526)] = 781533,
  [SMALL_STATE(20527)] = 781547,
  [SMALL_STATE(20528)] = 781561,
  [SMALL_STATE(20529)] = 781575,
  [SMALL_STATE(20530)] = 781589,
  [SMALL_STATE(20531)] = 781603,
  [SMALL_STATE(20532)] = 781617,
  [SMALL_STATE(20533)] = 781631,
  [SMALL_STATE(20534)] = 781645,
  [SMALL_STATE(20535)] = 781659,
  [SMALL_STATE(20536)] = 781673,
  [SMALL_STATE(20537)] = 781687,
  [SMALL_STATE(20538)] = 781701,
  [SMALL_STATE(20539)] = 781715,
  [SMALL_STATE(20540)] = 781729,
  [SMALL_STATE(20541)] = 781743,
  [SMALL_STATE(20542)] = 781757,
  [SMALL_STATE(20543)] = 781771,
  [SMALL_STATE(20544)] = 781785,
  [SMALL_STATE(20545)] = 781799,
  [SMALL_STATE(20546)] = 781813,
  [SMALL_STATE(20547)] = 781827,
  [SMALL_STATE(20548)] = 781841,
  [SMALL_STATE(20549)] = 781855,
  [SMALL_STATE(20550)] = 781869,
  [SMALL_STATE(20551)] = 781883,
  [SMALL_STATE(20552)] = 781897,
  [SMALL_STATE(20553)] = 781911,
  [SMALL_STATE(20554)] = 781925,
  [SMALL_STATE(20555)] = 781939,
  [SMALL_STATE(20556)] = 781953,
  [SMALL_STATE(20557)] = 781967,
  [SMALL_STATE(20558)] = 781981,
  [SMALL_STATE(20559)] = 781995,
  [SMALL_STATE(20560)] = 782009,
  [SMALL_STATE(20561)] = 782023,
  [SMALL_STATE(20562)] = 782037,
  [SMALL_STATE(20563)] = 782051,
  [SMALL_STATE(20564)] = 782065,
  [SMALL_STATE(20565)] = 782079,
  [SMALL_STATE(20566)] = 782093,
  [SMALL_STATE(20567)] = 782107,
  [SMALL_STATE(20568)] = 782121,
  [SMALL_STATE(20569)] = 782135,
  [SMALL_STATE(20570)] = 782149,
  [SMALL_STATE(20571)] = 782163,
  [SMALL_STATE(20572)] = 782177,
  [SMALL_STATE(20573)] = 782191,
  [SMALL_STATE(20574)] = 782205,
  [SMALL_STATE(20575)] = 782219,
  [SMALL_STATE(20576)] = 782233,
  [SMALL_STATE(20577)] = 782247,
  [SMALL_STATE(20578)] = 782261,
  [SMALL_STATE(20579)] = 782275,
  [SMALL_STATE(20580)] = 782289,
  [SMALL_STATE(20581)] = 782303,
  [SMALL_STATE(20582)] = 782317,
  [SMALL_STATE(20583)] = 782331,
  [SMALL_STATE(20584)] = 782345,
  [SMALL_STATE(20585)] = 782359,
  [SMALL_STATE(20586)] = 782373,
  [SMALL_STATE(20587)] = 782387,
  [SMALL_STATE(20588)] = 782401,
  [SMALL_STATE(20589)] = 782415,
  [SMALL_STATE(20590)] = 782429,
  [SMALL_STATE(20591)] = 782443,
  [SMALL_STATE(20592)] = 782457,
  [SMALL_STATE(20593)] = 782471,
  [SMALL_STATE(20594)] = 782485,
  [SMALL_STATE(20595)] = 782499,
  [SMALL_STATE(20596)] = 782513,
  [SMALL_STATE(20597)] = 782527,
  [SMALL_STATE(20598)] = 782541,
  [SMALL_STATE(20599)] = 782555,
  [SMALL_STATE(20600)] = 782569,
  [SMALL_STATE(20601)] = 782583,
  [SMALL_STATE(20602)] = 782597,
  [SMALL_STATE(20603)] = 782611,
  [SMALL_STATE(20604)] = 782625,
  [SMALL_STATE(20605)] = 782639,
  [SMALL_STATE(20606)] = 782653,
  [SMALL_STATE(20607)] = 782667,
  [SMALL_STATE(20608)] = 782681,
  [SMALL_STATE(20609)] = 782695,
  [SMALL_STATE(20610)] = 782709,
  [SMALL_STATE(20611)] = 782723,
  [SMALL_STATE(20612)] = 782737,
  [SMALL_STATE(20613)] = 782751,
  [SMALL_STATE(20614)] = 782765,
  [SMALL_STATE(20615)] = 782779,
  [SMALL_STATE(20616)] = 782793,
  [SMALL_STATE(20617)] = 782807,
  [SMALL_STATE(20618)] = 782821,
  [SMALL_STATE(20619)] = 782835,
  [SMALL_STATE(20620)] = 782849,
  [SMALL_STATE(20621)] = 782863,
  [SMALL_STATE(20622)] = 782877,
  [SMALL_STATE(20623)] = 782891,
  [SMALL_STATE(20624)] = 782905,
  [SMALL_STATE(20625)] = 782919,
  [SMALL_STATE(20626)] = 782933,
  [SMALL_STATE(20627)] = 782947,
  [SMALL_STATE(20628)] = 782961,
  [SMALL_STATE(20629)] = 782975,
  [SMALL_STATE(20630)] = 782989,
  [SMALL_STATE(20631)] = 783003,
  [SMALL_STATE(20632)] = 783017,
  [SMALL_STATE(20633)] = 783031,
  [SMALL_STATE(20634)] = 783045,
  [SMALL_STATE(20635)] = 783059,
  [SMALL_STATE(20636)] = 783073,
  [SMALL_STATE(20637)] = 783087,
  [SMALL_STATE(20638)] = 783101,
  [SMALL_STATE(20639)] = 783115,
  [SMALL_STATE(20640)] = 783129,
  [SMALL_STATE(20641)] = 783143,
  [SMALL_STATE(20642)] = 783157,
  [SMALL_STATE(20643)] = 783171,
  [SMALL_STATE(20644)] = 783185,
  [SMALL_STATE(20645)] = 783199,
  [SMALL_STATE(20646)] = 783213,
  [SMALL_STATE(20647)] = 783227,
  [SMALL_STATE(20648)] = 783241,
  [SMALL_STATE(20649)] = 783255,
  [SMALL_STATE(20650)] = 783269,
  [SMALL_STATE(20651)] = 783283,
  [SMALL_STATE(20652)] = 783297,
  [SMALL_STATE(20653)] = 783311,
  [SMALL_STATE(20654)] = 783325,
  [SMALL_STATE(20655)] = 783339,
  [SMALL_STATE(20656)] = 783353,
  [SMALL_STATE(20657)] = 783367,
  [SMALL_STATE(20658)] = 783381,
  [SMALL_STATE(20659)] = 783395,
  [SMALL_STATE(20660)] = 783409,
  [SMALL_STATE(20661)] = 783423,
  [SMALL_STATE(20662)] = 783437,
  [SMALL_STATE(20663)] = 783451,
  [SMALL_STATE(20664)] = 783465,
  [SMALL_STATE(20665)] = 783479,
  [SMALL_STATE(20666)] = 783493,
  [SMALL_STATE(20667)] = 783507,
  [SMALL_STATE(20668)] = 783521,
  [SMALL_STATE(20669)] = 783535,
  [SMALL_STATE(20670)] = 783549,
  [SMALL_STATE(20671)] = 783563,
  [SMALL_STATE(20672)] = 783577,
  [SMALL_STATE(20673)] = 783591,
  [SMALL_STATE(20674)] = 783605,
  [SMALL_STATE(20675)] = 783619,
  [SMALL_STATE(20676)] = 783633,
  [SMALL_STATE(20677)] = 783647,
  [SMALL_STATE(20678)] = 783661,
  [SMALL_STATE(20679)] = 783675,
  [SMALL_STATE(20680)] = 783689,
  [SMALL_STATE(20681)] = 783703,
  [SMALL_STATE(20682)] = 783717,
  [SMALL_STATE(20683)] = 783731,
  [SMALL_STATE(20684)] = 783745,
  [SMALL_STATE(20685)] = 783759,
  [SMALL_STATE(20686)] = 783773,
  [SMALL_STATE(20687)] = 783787,
  [SMALL_STATE(20688)] = 783801,
  [SMALL_STATE(20689)] = 783815,
  [SMALL_STATE(20690)] = 783829,
  [SMALL_STATE(20691)] = 783843,
  [SMALL_STATE(20692)] = 783857,
  [SMALL_STATE(20693)] = 783871,
  [SMALL_STATE(20694)] = 783885,
  [SMALL_STATE(20695)] = 783899,
  [SMALL_STATE(20696)] = 783913,
  [SMALL_STATE(20697)] = 783927,
  [SMALL_STATE(20698)] = 783941,
  [SMALL_STATE(20699)] = 783955,
  [SMALL_STATE(20700)] = 783969,
  [SMALL_STATE(20701)] = 783983,
  [SMALL_STATE(20702)] = 783997,
  [SMALL_STATE(20703)] = 784011,
  [SMALL_STATE(20704)] = 784025,
  [SMALL_STATE(20705)] = 784039,
  [SMALL_STATE(20706)] = 784053,
  [SMALL_STATE(20707)] = 784067,
  [SMALL_STATE(20708)] = 784081,
  [SMALL_STATE(20709)] = 784095,
  [SMALL_STATE(20710)] = 784109,
  [SMALL_STATE(20711)] = 784123,
  [SMALL_STATE(20712)] = 784137,
  [SMALL_STATE(20713)] = 784151,
  [SMALL_STATE(20714)] = 784165,
  [SMALL_STATE(20715)] = 784179,
  [SMALL_STATE(20716)] = 784193,
  [SMALL_STATE(20717)] = 784207,
  [SMALL_STATE(20718)] = 784221,
  [SMALL_STATE(20719)] = 784235,
  [SMALL_STATE(20720)] = 784249,
  [SMALL_STATE(20721)] = 784263,
  [SMALL_STATE(20722)] = 784277,
  [SMALL_STATE(20723)] = 784291,
  [SMALL_STATE(20724)] = 784305,
  [SMALL_STATE(20725)] = 784319,
  [SMALL_STATE(20726)] = 784333,
  [SMALL_STATE(20727)] = 784347,
  [SMALL_STATE(20728)] = 784361,
  [SMALL_STATE(20729)] = 784375,
  [SMALL_STATE(20730)] = 784389,
  [SMALL_STATE(20731)] = 784403,
  [SMALL_STATE(20732)] = 784417,
  [SMALL_STATE(20733)] = 784431,
  [SMALL_STATE(20734)] = 784445,
  [SMALL_STATE(20735)] = 784459,
  [SMALL_STATE(20736)] = 784473,
  [SMALL_STATE(20737)] = 784487,
  [SMALL_STATE(20738)] = 784501,
  [SMALL_STATE(20739)] = 784515,
  [SMALL_STATE(20740)] = 784529,
  [SMALL_STATE(20741)] = 784543,
  [SMALL_STATE(20742)] = 784557,
  [SMALL_STATE(20743)] = 784571,
  [SMALL_STATE(20744)] = 784585,
  [SMALL_STATE(20745)] = 784599,
  [SMALL_STATE(20746)] = 784613,
  [SMALL_STATE(20747)] = 784627,
  [SMALL_STATE(20748)] = 784641,
  [SMALL_STATE(20749)] = 784655,
  [SMALL_STATE(20750)] = 784669,
  [SMALL_STATE(20751)] = 784683,
  [SMALL_STATE(20752)] = 784697,
  [SMALL_STATE(20753)] = 784711,
  [SMALL_STATE(20754)] = 784725,
  [SMALL_STATE(20755)] = 784739,
  [SMALL_STATE(20756)] = 784753,
  [SMALL_STATE(20757)] = 784767,
  [SMALL_STATE(20758)] = 784781,
  [SMALL_STATE(20759)] = 784795,
  [SMALL_STATE(20760)] = 784809,
  [SMALL_STATE(20761)] = 784823,
  [SMALL_STATE(20762)] = 784837,
  [SMALL_STATE(20763)] = 784851,
  [SMALL_STATE(20764)] = 784865,
  [SMALL_STATE(20765)] = 784879,
  [SMALL_STATE(20766)] = 784893,
  [SMALL_STATE(20767)] = 784907,
  [SMALL_STATE(20768)] = 784921,
  [SMALL_STATE(20769)] = 784935,
  [SMALL_STATE(20770)] = 784949,
  [SMALL_STATE(20771)] = 784963,
  [SMALL_STATE(20772)] = 784977,
  [SMALL_STATE(20773)] = 784991,
  [SMALL_STATE(20774)] = 785005,
  [SMALL_STATE(20775)] = 785019,
  [SMALL_STATE(20776)] = 785033,
  [SMALL_STATE(20777)] = 785047,
  [SMALL_STATE(20778)] = 785061,
  [SMALL_STATE(20779)] = 785075,
  [SMALL_STATE(20780)] = 785089,
  [SMALL_STATE(20781)] = 785103,
  [SMALL_STATE(20782)] = 785117,
  [SMALL_STATE(20783)] = 785131,
  [SMALL_STATE(20784)] = 785145,
  [SMALL_STATE(20785)] = 785159,
  [SMALL_STATE(20786)] = 785173,
  [SMALL_STATE(20787)] = 785187,
  [SMALL_STATE(20788)] = 785201,
  [SMALL_STATE(20789)] = 785215,
  [SMALL_STATE(20790)] = 785229,
  [SMALL_STATE(20791)] = 785243,
  [SMALL_STATE(20792)] = 785257,
  [SMALL_STATE(20793)] = 785271,
  [SMALL_STATE(20794)] = 785285,
  [SMALL_STATE(20795)] = 785299,
  [SMALL_STATE(20796)] = 785313,
  [SMALL_STATE(20797)] = 785327,
  [SMALL_STATE(20798)] = 785341,
  [SMALL_STATE(20799)] = 785355,
  [SMALL_STATE(20800)] = 785369,
  [SMALL_STATE(20801)] = 785383,
  [SMALL_STATE(20802)] = 785397,
  [SMALL_STATE(20803)] = 785411,
  [SMALL_STATE(20804)] = 785425,
  [SMALL_STATE(20805)] = 785439,
  [SMALL_STATE(20806)] = 785453,
  [SMALL_STATE(20807)] = 785467,
  [SMALL_STATE(20808)] = 785481,
  [SMALL_STATE(20809)] = 785495,
  [SMALL_STATE(20810)] = 785509,
  [SMALL_STATE(20811)] = 785523,
  [SMALL_STATE(20812)] = 785537,
  [SMALL_STATE(20813)] = 785551,
  [SMALL_STATE(20814)] = 785565,
  [SMALL_STATE(20815)] = 785579,
  [SMALL_STATE(20816)] = 785593,
  [SMALL_STATE(20817)] = 785607,
  [SMALL_STATE(20818)] = 785621,
  [SMALL_STATE(20819)] = 785635,
  [SMALL_STATE(20820)] = 785649,
  [SMALL_STATE(20821)] = 785663,
  [SMALL_STATE(20822)] = 785677,
  [SMALL_STATE(20823)] = 785691,
  [SMALL_STATE(20824)] = 785705,
  [SMALL_STATE(20825)] = 785719,
  [SMALL_STATE(20826)] = 785733,
  [SMALL_STATE(20827)] = 785747,
  [SMALL_STATE(20828)] = 785761,
  [SMALL_STATE(20829)] = 785775,
  [SMALL_STATE(20830)] = 785789,
  [SMALL_STATE(20831)] = 785803,
  [SMALL_STATE(20832)] = 785817,
  [SMALL_STATE(20833)] = 785831,
  [SMALL_STATE(20834)] = 785845,
  [SMALL_STATE(20835)] = 785859,
  [SMALL_STATE(20836)] = 785873,
  [SMALL_STATE(20837)] = 785887,
  [SMALL_STATE(20838)] = 785901,
  [SMALL_STATE(20839)] = 785915,
  [SMALL_STATE(20840)] = 785929,
  [SMALL_STATE(20841)] = 785943,
  [SMALL_STATE(20842)] = 785957,
  [SMALL_STATE(20843)] = 785971,
  [SMALL_STATE(20844)] = 785985,
  [SMALL_STATE(20845)] = 785999,
  [SMALL_STATE(20846)] = 786013,
  [SMALL_STATE(20847)] = 786027,
  [SMALL_STATE(20848)] = 786041,
  [SMALL_STATE(20849)] = 786055,
  [SMALL_STATE(20850)] = 786069,
  [SMALL_STATE(20851)] = 786083,
  [SMALL_STATE(20852)] = 786097,
  [SMALL_STATE(20853)] = 786111,
  [SMALL_STATE(20854)] = 786125,
  [SMALL_STATE(20855)] = 786139,
  [SMALL_STATE(20856)] = 786153,
  [SMALL_STATE(20857)] = 786167,
  [SMALL_STATE(20858)] = 786181,
  [SMALL_STATE(20859)] = 786195,
  [SMALL_STATE(20860)] = 786209,
  [SMALL_STATE(20861)] = 786223,
  [SMALL_STATE(20862)] = 786237,
  [SMALL_STATE(20863)] = 786251,
  [SMALL_STATE(20864)] = 786265,
  [SMALL_STATE(20865)] = 786279,
  [SMALL_STATE(20866)] = 786293,
  [SMALL_STATE(20867)] = 786307,
  [SMALL_STATE(20868)] = 786321,
  [SMALL_STATE(20869)] = 786335,
  [SMALL_STATE(20870)] = 786349,
  [SMALL_STATE(20871)] = 786363,
  [SMALL_STATE(20872)] = 786377,
  [SMALL_STATE(20873)] = 786391,
  [SMALL_STATE(20874)] = 786405,
  [SMALL_STATE(20875)] = 786419,
  [SMALL_STATE(20876)] = 786433,
  [SMALL_STATE(20877)] = 786447,
  [SMALL_STATE(20878)] = 786461,
  [SMALL_STATE(20879)] = 786475,
  [SMALL_STATE(20880)] = 786489,
  [SMALL_STATE(20881)] = 786503,
  [SMALL_STATE(20882)] = 786517,
  [SMALL_STATE(20883)] = 786531,
  [SMALL_STATE(20884)] = 786545,
  [SMALL_STATE(20885)] = 786559,
  [SMALL_STATE(20886)] = 786573,
  [SMALL_STATE(20887)] = 786587,
  [SMALL_STATE(20888)] = 786601,
  [SMALL_STATE(20889)] = 786615,
  [SMALL_STATE(20890)] = 786629,
  [SMALL_STATE(20891)] = 786643,
  [SMALL_STATE(20892)] = 786657,
  [SMALL_STATE(20893)] = 786671,
  [SMALL_STATE(20894)] = 786685,
  [SMALL_STATE(20895)] = 786699,
  [SMALL_STATE(20896)] = 786713,
  [SMALL_STATE(20897)] = 786727,
  [SMALL_STATE(20898)] = 786741,
  [SMALL_STATE(20899)] = 786755,
  [SMALL_STATE(20900)] = 786769,
  [SMALL_STATE(20901)] = 786783,
  [SMALL_STATE(20902)] = 786797,
  [SMALL_STATE(20903)] = 786811,
  [SMALL_STATE(20904)] = 786825,
  [SMALL_STATE(20905)] = 786839,
  [SMALL_STATE(20906)] = 786853,
  [SMALL_STATE(20907)] = 786867,
  [SMALL_STATE(20908)] = 786881,
  [SMALL_STATE(20909)] = 786895,
  [SMALL_STATE(20910)] = 786909,
  [SMALL_STATE(20911)] = 786923,
  [SMALL_STATE(20912)] = 786937,
  [SMALL_STATE(20913)] = 786951,
  [SMALL_STATE(20914)] = 786965,
  [SMALL_STATE(20915)] = 786979,
  [SMALL_STATE(20916)] = 786993,
  [SMALL_STATE(20917)] = 787007,
  [SMALL_STATE(20918)] = 787021,
  [SMALL_STATE(20919)] = 787035,
  [SMALL_STATE(20920)] = 787049,
  [SMALL_STATE(20921)] = 787063,
  [SMALL_STATE(20922)] = 787077,
  [SMALL_STATE(20923)] = 787091,
  [SMALL_STATE(20924)] = 787105,
  [SMALL_STATE(20925)] = 787119,
  [SMALL_STATE(20926)] = 787133,
  [SMALL_STATE(20927)] = 787147,
  [SMALL_STATE(20928)] = 787161,
  [SMALL_STATE(20929)] = 787175,
  [SMALL_STATE(20930)] = 787189,
  [SMALL_STATE(20931)] = 787203,
  [SMALL_STATE(20932)] = 787217,
  [SMALL_STATE(20933)] = 787231,
  [SMALL_STATE(20934)] = 787245,
  [SMALL_STATE(20935)] = 787259,
  [SMALL_STATE(20936)] = 787273,
  [SMALL_STATE(20937)] = 787287,
  [SMALL_STATE(20938)] = 787301,
  [SMALL_STATE(20939)] = 787315,
  [SMALL_STATE(20940)] = 787329,
  [SMALL_STATE(20941)] = 787343,
  [SMALL_STATE(20942)] = 787357,
  [SMALL_STATE(20943)] = 787371,
  [SMALL_STATE(20944)] = 787385,
  [SMALL_STATE(20945)] = 787399,
  [SMALL_STATE(20946)] = 787413,
  [SMALL_STATE(20947)] = 787427,
  [SMALL_STATE(20948)] = 787441,
  [SMALL_STATE(20949)] = 787455,
  [SMALL_STATE(20950)] = 787469,
  [SMALL_STATE(20951)] = 787483,
  [SMALL_STATE(20952)] = 787497,
  [SMALL_STATE(20953)] = 787511,
  [SMALL_STATE(20954)] = 787525,
  [SMALL_STATE(20955)] = 787539,
  [SMALL_STATE(20956)] = 787553,
  [SMALL_STATE(20957)] = 787567,
  [SMALL_STATE(20958)] = 787581,
  [SMALL_STATE(20959)] = 787595,
  [SMALL_STATE(20960)] = 787609,
  [SMALL_STATE(20961)] = 787623,
  [SMALL_STATE(20962)] = 787637,
  [SMALL_STATE(20963)] = 787651,
  [SMALL_STATE(20964)] = 787665,
  [SMALL_STATE(20965)] = 787679,
  [SMALL_STATE(20966)] = 787693,
  [SMALL_STATE(20967)] = 787707,
  [SMALL_STATE(20968)] = 787721,
  [SMALL_STATE(20969)] = 787735,
  [SMALL_STATE(20970)] = 787749,
  [SMALL_STATE(20971)] = 787763,
  [SMALL_STATE(20972)] = 787777,
  [SMALL_STATE(20973)] = 787791,
  [SMALL_STATE(20974)] = 787805,
  [SMALL_STATE(20975)] = 787819,
  [SMALL_STATE(20976)] = 787833,
  [SMALL_STATE(20977)] = 787847,
  [SMALL_STATE(20978)] = 787861,
  [SMALL_STATE(20979)] = 787875,
  [SMALL_STATE(20980)] = 787889,
  [SMALL_STATE(20981)] = 787903,
  [SMALL_STATE(20982)] = 787917,
  [SMALL_STATE(20983)] = 787931,
  [SMALL_STATE(20984)] = 787945,
  [SMALL_STATE(20985)] = 787959,
  [SMALL_STATE(20986)] = 787973,
  [SMALL_STATE(20987)] = 787987,
  [SMALL_STATE(20988)] = 788001,
  [SMALL_STATE(20989)] = 788015,
  [SMALL_STATE(20990)] = 788029,
  [SMALL_STATE(20991)] = 788043,
  [SMALL_STATE(20992)] = 788057,
  [SMALL_STATE(20993)] = 788071,
  [SMALL_STATE(20994)] = 788085,
  [SMALL_STATE(20995)] = 788099,
  [SMALL_STATE(20996)] = 788113,
  [SMALL_STATE(20997)] = 788127,
  [SMALL_STATE(20998)] = 788141,
  [SMALL_STATE(20999)] = 788155,
  [SMALL_STATE(21000)] = 788169,
  [SMALL_STATE(21001)] = 788183,
  [SMALL_STATE(21002)] = 788197,
  [SMALL_STATE(21003)] = 788211,
  [SMALL_STATE(21004)] = 788225,
  [SMALL_STATE(21005)] = 788239,
  [SMALL_STATE(21006)] = 788253,
  [SMALL_STATE(21007)] = 788267,
  [SMALL_STATE(21008)] = 788281,
  [SMALL_STATE(21009)] = 788295,
  [SMALL_STATE(21010)] = 788309,
  [SMALL_STATE(21011)] = 788323,
  [SMALL_STATE(21012)] = 788337,
  [SMALL_STATE(21013)] = 788351,
  [SMALL_STATE(21014)] = 788365,
  [SMALL_STATE(21015)] = 788379,
  [SMALL_STATE(21016)] = 788393,
  [SMALL_STATE(21017)] = 788407,
  [SMALL_STATE(21018)] = 788421,
  [SMALL_STATE(21019)] = 788435,
  [SMALL_STATE(21020)] = 788449,
  [SMALL_STATE(21021)] = 788463,
  [SMALL_STATE(21022)] = 788477,
  [SMALL_STATE(21023)] = 788491,
  [SMALL_STATE(21024)] = 788505,
  [SMALL_STATE(21025)] = 788519,
  [SMALL_STATE(21026)] = 788533,
  [SMALL_STATE(21027)] = 788547,
  [SMALL_STATE(21028)] = 788561,
  [SMALL_STATE(21029)] = 788575,
  [SMALL_STATE(21030)] = 788589,
  [SMALL_STATE(21031)] = 788603,
  [SMALL_STATE(21032)] = 788617,
  [SMALL_STATE(21033)] = 788631,
  [SMALL_STATE(21034)] = 788645,
  [SMALL_STATE(21035)] = 788659,
  [SMALL_STATE(21036)] = 788673,
  [SMALL_STATE(21037)] = 788687,
  [SMALL_STATE(21038)] = 788701,
  [SMALL_STATE(21039)] = 788715,
  [SMALL_STATE(21040)] = 788729,
  [SMALL_STATE(21041)] = 788743,
  [SMALL_STATE(21042)] = 788757,
  [SMALL_STATE(21043)] = 788771,
  [SMALL_STATE(21044)] = 788785,
  [SMALL_STATE(21045)] = 788799,
  [SMALL_STATE(21046)] = 788813,
  [SMALL_STATE(21047)] = 788827,
  [SMALL_STATE(21048)] = 788841,
  [SMALL_STATE(21049)] = 788855,
  [SMALL_STATE(21050)] = 788869,
  [SMALL_STATE(21051)] = 788883,
  [SMALL_STATE(21052)] = 788897,
  [SMALL_STATE(21053)] = 788911,
  [SMALL_STATE(21054)] = 788925,
  [SMALL_STATE(21055)] = 788939,
  [SMALL_STATE(21056)] = 788953,
  [SMALL_STATE(21057)] = 788967,
  [SMALL_STATE(21058)] = 788981,
  [SMALL_STATE(21059)] = 788995,
  [SMALL_STATE(21060)] = 789009,
  [SMALL_STATE(21061)] = 789023,
  [SMALL_STATE(21062)] = 789037,
  [SMALL_STATE(21063)] = 789051,
  [SMALL_STATE(21064)] = 789065,
  [SMALL_STATE(21065)] = 789079,
  [SMALL_STATE(21066)] = 789093,
  [SMALL_STATE(21067)] = 789107,
  [SMALL_STATE(21068)] = 789121,
  [SMALL_STATE(21069)] = 789135,
  [SMALL_STATE(21070)] = 789149,
  [SMALL_STATE(21071)] = 789163,
  [SMALL_STATE(21072)] = 789177,
  [SMALL_STATE(21073)] = 789191,
  [SMALL_STATE(21074)] = 789205,
  [SMALL_STATE(21075)] = 789219,
  [SMALL_STATE(21076)] = 789233,
  [SMALL_STATE(21077)] = 789247,
  [SMALL_STATE(21078)] = 789261,
  [SMALL_STATE(21079)] = 789275,
  [SMALL_STATE(21080)] = 789289,
  [SMALL_STATE(21081)] = 789303,
  [SMALL_STATE(21082)] = 789317,
  [SMALL_STATE(21083)] = 789331,
  [SMALL_STATE(21084)] = 789345,
  [SMALL_STATE(21085)] = 789359,
  [SMALL_STATE(21086)] = 789373,
  [SMALL_STATE(21087)] = 789387,
  [SMALL_STATE(21088)] = 789401,
  [SMALL_STATE(21089)] = 789415,
  [SMALL_STATE(21090)] = 789429,
  [SMALL_STATE(21091)] = 789443,
  [SMALL_STATE(21092)] = 789457,
  [SMALL_STATE(21093)] = 789471,
  [SMALL_STATE(21094)] = 789485,
  [SMALL_STATE(21095)] = 789499,
  [SMALL_STATE(21096)] = 789513,
  [SMALL_STATE(21097)] = 789527,
  [SMALL_STATE(21098)] = 789541,
  [SMALL_STATE(21099)] = 789555,
  [SMALL_STATE(21100)] = 789569,
  [SMALL_STATE(21101)] = 789583,
  [SMALL_STATE(21102)] = 789597,
  [SMALL_STATE(21103)] = 789611,
  [SMALL_STATE(21104)] = 789625,
  [SMALL_STATE(21105)] = 789639,
  [SMALL_STATE(21106)] = 789653,
  [SMALL_STATE(21107)] = 789667,
  [SMALL_STATE(21108)] = 789681,
  [SMALL_STATE(21109)] = 789695,
  [SMALL_STATE(21110)] = 789709,
  [SMALL_STATE(21111)] = 789723,
  [SMALL_STATE(21112)] = 789737,
  [SMALL_STATE(21113)] = 789751,
  [SMALL_STATE(21114)] = 789765,
  [SMALL_STATE(21115)] = 789779,
  [SMALL_STATE(21116)] = 789793,
  [SMALL_STATE(21117)] = 789807,
  [SMALL_STATE(21118)] = 789821,
  [SMALL_STATE(21119)] = 789835,
  [SMALL_STATE(21120)] = 789849,
  [SMALL_STATE(21121)] = 789863,
  [SMALL_STATE(21122)] = 789877,
  [SMALL_STATE(21123)] = 789891,
  [SMALL_STATE(21124)] = 789905,
  [SMALL_STATE(21125)] = 789919,
  [SMALL_STATE(21126)] = 789933,
  [SMALL_STATE(21127)] = 789947,
  [SMALL_STATE(21128)] = 789961,
  [SMALL_STATE(21129)] = 789975,
  [SMALL_STATE(21130)] = 789989,
  [SMALL_STATE(21131)] = 790003,
  [SMALL_STATE(21132)] = 790017,
  [SMALL_STATE(21133)] = 790031,
  [SMALL_STATE(21134)] = 790045,
  [SMALL_STATE(21135)] = 790059,
  [SMALL_STATE(21136)] = 790073,
  [SMALL_STATE(21137)] = 790087,
  [SMALL_STATE(21138)] = 790101,
  [SMALL_STATE(21139)] = 790115,
  [SMALL_STATE(21140)] = 790129,
  [SMALL_STATE(21141)] = 790143,
  [SMALL_STATE(21142)] = 790157,
  [SMALL_STATE(21143)] = 790171,
  [SMALL_STATE(21144)] = 790185,
  [SMALL_STATE(21145)] = 790199,
  [SMALL_STATE(21146)] = 790213,
  [SMALL_STATE(21147)] = 790227,
  [SMALL_STATE(21148)] = 790241,
  [SMALL_STATE(21149)] = 790255,
  [SMALL_STATE(21150)] = 790269,
  [SMALL_STATE(21151)] = 790283,
  [SMALL_STATE(21152)] = 790297,
  [SMALL_STATE(21153)] = 790311,
  [SMALL_STATE(21154)] = 790325,
  [SMALL_STATE(21155)] = 790339,
  [SMALL_STATE(21156)] = 790353,
  [SMALL_STATE(21157)] = 790367,
  [SMALL_STATE(21158)] = 790381,
  [SMALL_STATE(21159)] = 790395,
  [SMALL_STATE(21160)] = 790409,
  [SMALL_STATE(21161)] = 790423,
  [SMALL_STATE(21162)] = 790437,
  [SMALL_STATE(21163)] = 790451,
  [SMALL_STATE(21164)] = 790465,
  [SMALL_STATE(21165)] = 790479,
  [SMALL_STATE(21166)] = 790493,
  [SMALL_STATE(21167)] = 790507,
  [SMALL_STATE(21168)] = 790521,
  [SMALL_STATE(21169)] = 790535,
  [SMALL_STATE(21170)] = 790549,
  [SMALL_STATE(21171)] = 790563,
  [SMALL_STATE(21172)] = 790577,
  [SMALL_STATE(21173)] = 790591,
  [SMALL_STATE(21174)] = 790605,
  [SMALL_STATE(21175)] = 790619,
  [SMALL_STATE(21176)] = 790633,
  [SMALL_STATE(21177)] = 790647,
  [SMALL_STATE(21178)] = 790661,
  [SMALL_STATE(21179)] = 790675,
  [SMALL_STATE(21180)] = 790689,
  [SMALL_STATE(21181)] = 790703,
  [SMALL_STATE(21182)] = 790717,
  [SMALL_STATE(21183)] = 790731,
  [SMALL_STATE(21184)] = 790745,
  [SMALL_STATE(21185)] = 790759,
  [SMALL_STATE(21186)] = 790773,
  [SMALL_STATE(21187)] = 790787,
  [SMALL_STATE(21188)] = 790801,
  [SMALL_STATE(21189)] = 790815,
  [SMALL_STATE(21190)] = 790829,
  [SMALL_STATE(21191)] = 790843,
  [SMALL_STATE(21192)] = 790857,
  [SMALL_STATE(21193)] = 790871,
  [SMALL_STATE(21194)] = 790885,
  [SMALL_STATE(21195)] = 790899,
  [SMALL_STATE(21196)] = 790913,
  [SMALL_STATE(21197)] = 790927,
  [SMALL_STATE(21198)] = 790941,
  [SMALL_STATE(21199)] = 790955,
  [SMALL_STATE(21200)] = 790969,
  [SMALL_STATE(21201)] = 790983,
  [SMALL_STATE(21202)] = 790997,
  [SMALL_STATE(21203)] = 791011,
  [SMALL_STATE(21204)] = 791025,
  [SMALL_STATE(21205)] = 791039,
  [SMALL_STATE(21206)] = 791053,
  [SMALL_STATE(21207)] = 791067,
  [SMALL_STATE(21208)] = 791081,
  [SMALL_STATE(21209)] = 791095,
  [SMALL_STATE(21210)] = 791109,
  [SMALL_STATE(21211)] = 791123,
  [SMALL_STATE(21212)] = 791137,
  [SMALL_STATE(21213)] = 791151,
  [SMALL_STATE(21214)] = 791165,
  [SMALL_STATE(21215)] = 791179,
  [SMALL_STATE(21216)] = 791193,
  [SMALL_STATE(21217)] = 791207,
  [SMALL_STATE(21218)] = 791221,
  [SMALL_STATE(21219)] = 791235,
  [SMALL_STATE(21220)] = 791249,
  [SMALL_STATE(21221)] = 791263,
  [SMALL_STATE(21222)] = 791277,
  [SMALL_STATE(21223)] = 791291,
  [SMALL_STATE(21224)] = 791305,
  [SMALL_STATE(21225)] = 791319,
  [SMALL_STATE(21226)] = 791333,
  [SMALL_STATE(21227)] = 791347,
  [SMALL_STATE(21228)] = 791361,
  [SMALL_STATE(21229)] = 791375,
  [SMALL_STATE(21230)] = 791389,
  [SMALL_STATE(21231)] = 791403,
  [SMALL_STATE(21232)] = 791417,
  [SMALL_STATE(21233)] = 791431,
  [SMALL_STATE(21234)] = 791445,
  [SMALL_STATE(21235)] = 791459,
  [SMALL_STATE(21236)] = 791473,
  [SMALL_STATE(21237)] = 791487,
  [SMALL_STATE(21238)] = 791501,
  [SMALL_STATE(21239)] = 791515,
  [SMALL_STATE(21240)] = 791529,
  [SMALL_STATE(21241)] = 791543,
  [SMALL_STATE(21242)] = 791557,
  [SMALL_STATE(21243)] = 791571,
  [SMALL_STATE(21244)] = 791585,
  [SMALL_STATE(21245)] = 791599,
  [SMALL_STATE(21246)] = 791613,
  [SMALL_STATE(21247)] = 791627,
  [SMALL_STATE(21248)] = 791641,
  [SMALL_STATE(21249)] = 791655,
  [SMALL_STATE(21250)] = 791669,
  [SMALL_STATE(21251)] = 791683,
  [SMALL_STATE(21252)] = 791697,
  [SMALL_STATE(21253)] = 791711,
  [SMALL_STATE(21254)] = 791725,
  [SMALL_STATE(21255)] = 791739,
  [SMALL_STATE(21256)] = 791753,
  [SMALL_STATE(21257)] = 791767,
  [SMALL_STATE(21258)] = 791781,
  [SMALL_STATE(21259)] = 791795,
  [SMALL_STATE(21260)] = 791809,
  [SMALL_STATE(21261)] = 791823,
  [SMALL_STATE(21262)] = 791837,
  [SMALL_STATE(21263)] = 791851,
  [SMALL_STATE(21264)] = 791865,
  [SMALL_STATE(21265)] = 791879,
  [SMALL_STATE(21266)] = 791893,
  [SMALL_STATE(21267)] = 791907,
  [SMALL_STATE(21268)] = 791921,
  [SMALL_STATE(21269)] = 791935,
  [SMALL_STATE(21270)] = 791949,
  [SMALL_STATE(21271)] = 791963,
  [SMALL_STATE(21272)] = 791977,
  [SMALL_STATE(21273)] = 791991,
  [SMALL_STATE(21274)] = 792005,
  [SMALL_STATE(21275)] = 792019,
  [SMALL_STATE(21276)] = 792033,
  [SMALL_STATE(21277)] = 792047,
  [SMALL_STATE(21278)] = 792061,
  [SMALL_STATE(21279)] = 792075,
  [SMALL_STATE(21280)] = 792089,
  [SMALL_STATE(21281)] = 792103,
  [SMALL_STATE(21282)] = 792117,
  [SMALL_STATE(21283)] = 792131,
  [SMALL_STATE(21284)] = 792145,
  [SMALL_STATE(21285)] = 792159,
  [SMALL_STATE(21286)] = 792173,
  [SMALL_STATE(21287)] = 792187,
  [SMALL_STATE(21288)] = 792201,
  [SMALL_STATE(21289)] = 792215,
  [SMALL_STATE(21290)] = 792229,
  [SMALL_STATE(21291)] = 792243,
  [SMALL_STATE(21292)] = 792257,
  [SMALL_STATE(21293)] = 792271,
  [SMALL_STATE(21294)] = 792285,
  [SMALL_STATE(21295)] = 792299,
  [SMALL_STATE(21296)] = 792313,
  [SMALL_STATE(21297)] = 792327,
  [SMALL_STATE(21298)] = 792341,
  [SMALL_STATE(21299)] = 792355,
  [SMALL_STATE(21300)] = 792369,
  [SMALL_STATE(21301)] = 792383,
  [SMALL_STATE(21302)] = 792397,
  [SMALL_STATE(21303)] = 792411,
  [SMALL_STATE(21304)] = 792425,
  [SMALL_STATE(21305)] = 792439,
  [SMALL_STATE(21306)] = 792453,
  [SMALL_STATE(21307)] = 792467,
  [SMALL_STATE(21308)] = 792481,
  [SMALL_STATE(21309)] = 792495,
  [SMALL_STATE(21310)] = 792509,
  [SMALL_STATE(21311)] = 792523,
  [SMALL_STATE(21312)] = 792537,
  [SMALL_STATE(21313)] = 792551,
  [SMALL_STATE(21314)] = 792565,
  [SMALL_STATE(21315)] = 792579,
  [SMALL_STATE(21316)] = 792593,
  [SMALL_STATE(21317)] = 792607,
  [SMALL_STATE(21318)] = 792621,
  [SMALL_STATE(21319)] = 792635,
  [SMALL_STATE(21320)] = 792649,
  [SMALL_STATE(21321)] = 792663,
  [SMALL_STATE(21322)] = 792677,
  [SMALL_STATE(21323)] = 792691,
  [SMALL_STATE(21324)] = 792705,
  [SMALL_STATE(21325)] = 792719,
  [SMALL_STATE(21326)] = 792733,
  [SMALL_STATE(21327)] = 792747,
  [SMALL_STATE(21328)] = 792761,
  [SMALL_STATE(21329)] = 792775,
  [SMALL_STATE(21330)] = 792789,
  [SMALL_STATE(21331)] = 792803,
  [SMALL_STATE(21332)] = 792817,
  [SMALL_STATE(21333)] = 792831,
  [SMALL_STATE(21334)] = 792845,
  [SMALL_STATE(21335)] = 792859,
  [SMALL_STATE(21336)] = 792873,
  [SMALL_STATE(21337)] = 792887,
  [SMALL_STATE(21338)] = 792901,
  [SMALL_STATE(21339)] = 792915,
  [SMALL_STATE(21340)] = 792929,
  [SMALL_STATE(21341)] = 792943,
  [SMALL_STATE(21342)] = 792957,
  [SMALL_STATE(21343)] = 792971,
  [SMALL_STATE(21344)] = 792985,
  [SMALL_STATE(21345)] = 792999,
  [SMALL_STATE(21346)] = 793013,
  [SMALL_STATE(21347)] = 793027,
  [SMALL_STATE(21348)] = 793041,
  [SMALL_STATE(21349)] = 793055,
  [SMALL_STATE(21350)] = 793069,
  [SMALL_STATE(21351)] = 793083,
  [SMALL_STATE(21352)] = 793097,
  [SMALL_STATE(21353)] = 793111,
  [SMALL_STATE(21354)] = 793125,
  [SMALL_STATE(21355)] = 793139,
  [SMALL_STATE(21356)] = 793153,
  [SMALL_STATE(21357)] = 793167,
  [SMALL_STATE(21358)] = 793181,
  [SMALL_STATE(21359)] = 793195,
  [SMALL_STATE(21360)] = 793209,
  [SMALL_STATE(21361)] = 793223,
  [SMALL_STATE(21362)] = 793237,
  [SMALL_STATE(21363)] = 793251,
  [SMALL_STATE(21364)] = 793265,
  [SMALL_STATE(21365)] = 793279,
  [SMALL_STATE(21366)] = 793293,
  [SMALL_STATE(21367)] = 793307,
  [SMALL_STATE(21368)] = 793321,
  [SMALL_STATE(21369)] = 793335,
  [SMALL_STATE(21370)] = 793349,
  [SMALL_STATE(21371)] = 793363,
  [SMALL_STATE(21372)] = 793377,
  [SMALL_STATE(21373)] = 793391,
  [SMALL_STATE(21374)] = 793405,
  [SMALL_STATE(21375)] = 793419,
  [SMALL_STATE(21376)] = 793433,
  [SMALL_STATE(21377)] = 793447,
  [SMALL_STATE(21378)] = 793461,
  [SMALL_STATE(21379)] = 793475,
  [SMALL_STATE(21380)] = 793489,
  [SMALL_STATE(21381)] = 793503,
  [SMALL_STATE(21382)] = 793517,
  [SMALL_STATE(21383)] = 793531,
  [SMALL_STATE(21384)] = 793545,
  [SMALL_STATE(21385)] = 793559,
  [SMALL_STATE(21386)] = 793573,
  [SMALL_STATE(21387)] = 793587,
  [SMALL_STATE(21388)] = 793601,
  [SMALL_STATE(21389)] = 793615,
  [SMALL_STATE(21390)] = 793629,
  [SMALL_STATE(21391)] = 793643,
  [SMALL_STATE(21392)] = 793657,
  [SMALL_STATE(21393)] = 793671,
  [SMALL_STATE(21394)] = 793685,
  [SMALL_STATE(21395)] = 793699,
  [SMALL_STATE(21396)] = 793713,
  [SMALL_STATE(21397)] = 793727,
  [SMALL_STATE(21398)] = 793741,
  [SMALL_STATE(21399)] = 793755,
  [SMALL_STATE(21400)] = 793769,
  [SMALL_STATE(21401)] = 793783,
  [SMALL_STATE(21402)] = 793797,
  [SMALL_STATE(21403)] = 793811,
  [SMALL_STATE(21404)] = 793825,
  [SMALL_STATE(21405)] = 793839,
  [SMALL_STATE(21406)] = 793853,
  [SMALL_STATE(21407)] = 793867,
  [SMALL_STATE(21408)] = 793881,
  [SMALL_STATE(21409)] = 793895,
  [SMALL_STATE(21410)] = 793909,
  [SMALL_STATE(21411)] = 793923,
  [SMALL_STATE(21412)] = 793937,
  [SMALL_STATE(21413)] = 793951,
  [SMALL_STATE(21414)] = 793965,
  [SMALL_STATE(21415)] = 793979,
  [SMALL_STATE(21416)] = 793993,
  [SMALL_STATE(21417)] = 794007,
  [SMALL_STATE(21418)] = 794021,
  [SMALL_STATE(21419)] = 794035,
  [SMALL_STATE(21420)] = 794049,
  [SMALL_STATE(21421)] = 794063,
  [SMALL_STATE(21422)] = 794077,
  [SMALL_STATE(21423)] = 794091,
  [SMALL_STATE(21424)] = 794105,
  [SMALL_STATE(21425)] = 794119,
  [SMALL_STATE(21426)] = 794133,
  [SMALL_STATE(21427)] = 794147,
  [SMALL_STATE(21428)] = 794161,
  [SMALL_STATE(21429)] = 794175,
  [SMALL_STATE(21430)] = 794189,
  [SMALL_STATE(21431)] = 794203,
  [SMALL_STATE(21432)] = 794217,
  [SMALL_STATE(21433)] = 794231,
  [SMALL_STATE(21434)] = 794245,
  [SMALL_STATE(21435)] = 794259,
  [SMALL_STATE(21436)] = 794273,
  [SMALL_STATE(21437)] = 794287,
  [SMALL_STATE(21438)] = 794301,
  [SMALL_STATE(21439)] = 794315,
  [SMALL_STATE(21440)] = 794329,
  [SMALL_STATE(21441)] = 794343,
  [SMALL_STATE(21442)] = 794357,
  [SMALL_STATE(21443)] = 794371,
  [SMALL_STATE(21444)] = 794385,
  [SMALL_STATE(21445)] = 794399,
  [SMALL_STATE(21446)] = 794413,
  [SMALL_STATE(21447)] = 794427,
  [SMALL_STATE(21448)] = 794441,
  [SMALL_STATE(21449)] = 794455,
  [SMALL_STATE(21450)] = 794469,
  [SMALL_STATE(21451)] = 794483,
  [SMALL_STATE(21452)] = 794497,
  [SMALL_STATE(21453)] = 794511,
  [SMALL_STATE(21454)] = 794525,
  [SMALL_STATE(21455)] = 794539,
  [SMALL_STATE(21456)] = 794553,
  [SMALL_STATE(21457)] = 794567,
  [SMALL_STATE(21458)] = 794581,
  [SMALL_STATE(21459)] = 794595,
  [SMALL_STATE(21460)] = 794609,
  [SMALL_STATE(21461)] = 794613,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16204),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20364),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8043),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15343),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16204),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16478),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17213),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18299),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18017),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14947),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12709),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14237),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14588),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11729),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12109),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14541),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10758),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14705),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14782),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15119),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16164),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16464),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16764),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16167),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16215),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8488),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17877),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17848),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13564),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16292),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15451),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21460),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13813),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14491),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11604),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12406),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9890),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10852),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13965),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13552),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13659),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12833),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14145),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14654),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14550),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9300),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10848),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14736),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15216),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16252),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16919),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14124),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13068),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18018),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17359),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression_anonymous, 2, 0, 0),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression_anonymous, 2, 0, 0),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10927),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14946),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15047),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16697),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17134),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16303),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18031),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10949),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14658),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15025),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16673),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17122),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17908),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14017),
  [487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10843),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5023),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14753),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15214),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16657),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17114),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14085),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13164),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17815),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10964),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5000),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14817),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15040),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16351),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16950),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13257),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17741),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10863),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5029),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14896),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15046),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16691),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17131),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18015),
  [651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10943),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14704),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15053),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16701),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17136),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18046),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4052),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10986),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14744),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15201),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16643),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17102),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17516),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10980),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14860),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15029),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16677),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17124),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17942),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10893),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5024),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14985),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15015),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16667),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17119),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14088),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13173),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17855),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10966),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14858),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15071),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16469),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17007),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14198),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12995),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18220),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10910),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14970),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14774),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16669),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17120),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17876),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14948),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10985),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14818),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15026),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16306),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16941),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17533),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4999),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10794),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14865),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15043),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17128),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14099),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17999),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10865),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14884),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15111),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16541),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17034),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17312),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5533),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10918),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14732),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15116),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16551),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17041),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14230),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17439),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10907),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14742),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15176),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17200),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16843),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13225),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18317),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5655),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10767),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14960),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15011),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15039),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17127),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14098),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17984),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16303),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10977),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4944),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14872),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15101),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16530),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17030),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14217),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18424),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21313),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12116),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19594),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19510),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19215),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19656),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19215),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21280),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11940),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18577),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19494),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21296),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12032),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20586),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19824),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21285),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11967),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20236),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19574),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9692),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21297),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12037),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20707),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19018),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21298),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12044),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21176),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20592),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21299),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12054),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18603),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21185),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21287),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11976),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20523),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20238),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21300),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12068),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18494),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18608),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21301),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12074),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19308),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18500),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20692),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12294),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20354),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19002),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21302),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12082),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20158),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19314),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21282),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11955),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19233),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18580),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21303),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12085),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21217),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20166),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21304),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12091),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18944),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21260),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10754),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14847),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15037),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16681),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17126),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13192),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17972),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21305),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12094),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19099),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18708),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21288),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11987),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20757),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20374),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21306),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12096),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19239),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18952),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21307),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12098),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19298),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19100),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21308),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12100),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19341),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19242),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21309),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12108),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19393),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19306),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21310),
  [1839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12110),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19462),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19347),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21241),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12018),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20407),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20434),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21311),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12113),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19505),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19403),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21312),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12115),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19546),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19463),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21289),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11996),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20996),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20527),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21314),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12117),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19647),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19551),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21315),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12121),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19702),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19595),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21316),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12126),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19764),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19648),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21317),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12132),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19802),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19703),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21318),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12141),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19860),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19768),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21319),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12147),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19888),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19806),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21291),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12005),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20883),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20998),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12800),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21227),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12230),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21025),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19177),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21263),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11776),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20386),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19811),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21266),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11821),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21457),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19176),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21269),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11856),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18879),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20392),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21292),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12015),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20498),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21332),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21272),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18557),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21273),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11887),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18920),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19013),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21277),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11914),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18743),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21209),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21293),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12024),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19526),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21328),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21278),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11931),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19480),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18943),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6294),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6683),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10991),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14688),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15034),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16679),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17125),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14096),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17956),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6754),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10932),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14695),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15197),
  [2315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16640),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17100),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14072),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13085),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17436),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6855),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10888),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14678),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15191),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16638),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17098),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12997),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17346),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6127),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6885),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10900),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4992),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14783),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15170),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16634),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17094),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12909),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18392),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6111),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6782),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11019),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15010),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15157),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16631),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17092),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14057),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18258),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6740),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10908),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14702),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15092),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16490),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17016),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14207),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13059),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18315),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4904),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6856),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7121),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10944),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4993),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14839),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15072),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16097),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16876),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14149),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18194),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6845),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6954),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10981),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14657),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15108),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16125),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16885),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14179),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13092),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18425),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6553),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7112),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10871),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15008),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15023),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16057),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17784),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7342),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10920),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14867),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15152),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16192),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14236),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13010),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17323),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10911),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14876),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15079),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16480),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17012),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14203),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13226),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18264),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4732),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7158),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9692),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6795),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6914),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6978),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9898),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6925),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7732),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7825),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7410),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6962),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6264),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6691),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5047),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12800),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8176),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4328),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7200),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7286),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5450),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5267),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16351),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16950),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17122),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16464),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16764),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16657),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17114),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16677),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17124),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16643),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17102),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16691),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17131),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13186),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16697),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17134),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16701),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17136),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16306),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16941),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16669),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17120),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17119),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16252),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16919),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16469),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17007),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8307),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11021),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8514),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8487),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17517),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14165),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20347),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3296),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17284),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21431),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17379),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18779),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7181),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9887),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10176),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [3505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [3681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18281),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21359),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18167),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19355),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18447),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14113),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20319),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18137),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17735),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17930),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17421),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4125),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18193),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14146),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20565),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17722),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20715),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18328),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14218),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20771),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 33),
  [3797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 33),
  [3799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3396),
  [3802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61),
  [3804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17517),
  [3809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(169),
  [3812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1675),
  [3815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3390),
  [3818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3289),
  [3821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10949),
  [3824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1676),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14658),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15025),
  [3833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(286),
  [3836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3322),
  [3839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16673),
  [3842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17122),
  [3845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3460),
  [3848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14093),
  [3851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13181),
  [3854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4572),
  [3857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3413),
  [3860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17908),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18383),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14227),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20660),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [3873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3296),
  [3876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17284),
  [3879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(188),
  [3882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1727),
  [3885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3424),
  [3888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3263),
  [3891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10927),
  [3894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1728),
  [3897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14946),
  [3900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15047),
  [3903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(274),
  [3906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3293),
  [3909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16697),
  [3912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17134),
  [3915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3427),
  [3918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14101),
  [3921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13199),
  [3924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4613),
  [3927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3436),
  [3930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18031),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4497),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17643),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14210),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18652),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [3943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3499),
  [3946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18281),
  [3949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(160),
  [3952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1647),
  [3955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3601),
  [3958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3493),
  [3961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10843),
  [3964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1648),
  [3967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14753),
  [3970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15214),
  [3973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(257),
  [3976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3776),
  [3979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16657),
  [3982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17114),
  [3985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3602),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14085),
  [3991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13164),
  [3994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4520),
  [3997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3603),
  [4000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17815),
  [4003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3631),
  [4006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18447),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(186),
  [4012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1721),
  [4015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3637),
  [4018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3449),
  [4021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10863),
  [4024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1722),
  [4027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14896),
  [4030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15046),
  [4033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(273),
  [4036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3509),
  [4039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16691),
  [4042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17131),
  [4045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3638),
  [4048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14100),
  [4051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13197),
  [4054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4609),
  [4057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3639),
  [4060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18015),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3636),
  [4066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17379),
  [4069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(191),
  [4072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1733),
  [4075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3655),
  [4078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3288),
  [4081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10943),
  [4084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1734),
  [4087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14704),
  [4090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15053),
  [4093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(276),
  [4096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3549),
  [4099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16701),
  [4102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17136),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3656),
  [4108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14102),
  [4111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13201),
  [4114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4619),
  [4117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3657),
  [4120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18046),
  [4123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3741),
  [4126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18167),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(183),
  [4132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1518),
  [4135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3746),
  [4138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3350),
  [4141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10964),
  [4144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1519),
  [4147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14817),
  [4150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15040),
  [4153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(275),
  [4156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3687),
  [4159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16351),
  [4162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16950),
  [4165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3747),
  [4168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14162),
  [4171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13257),
  [4174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4681),
  [4177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3742),
  [4180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17741),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17875),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14130),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20713),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [4193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4125),
  [4196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18193),
  [4199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(152),
  [4202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1626),
  [4205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4052),
  [4208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3453),
  [4211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10986),
  [4214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1627),
  [4217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14744),
  [4220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15201),
  [4223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(253),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3996),
  [4229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16643),
  [4232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17102),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4054),
  [4238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14075),
  [4241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13106),
  [4244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4490),
  [4247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4055),
  [4250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17516),
  [4253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4041),
  [4256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17722),
  [4259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(174),
  [4262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1689),
  [4265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3863),
  [4268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3385),
  [4271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10980),
  [4274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1690),
  [4277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14860),
  [4280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15029),
  [4283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(265),
  [4286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3994),
  [4289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16677),
  [4292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17124),
  [4295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3864),
  [4298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14095),
  [4301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13185),
  [4304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4586),
  [4307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3865),
  [4310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17942),
  [4313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4319),
  [4316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18328),
  [4319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(142),
  [4322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1532),
  [4325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4322),
  [4328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3305),
  [4331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10966),
  [4334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1533),
  [4337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14858),
  [4340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15071),
  [4343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(279),
  [4346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4219),
  [4349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16469),
  [4352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17007),
  [4355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4324),
  [4358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14198),
  [4361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(12995),
  [4364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4495),
  [4367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4325),
  [4370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18220),
  [4373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4343),
  [4376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18383),
  [4379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(162),
  [4382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1654),
  [4385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4283),
  [4388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3439),
  [4391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10893),
  [4394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1655),
  [4397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14985),
  [4400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15015),
  [4403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(259),
  [4406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4355),
  [4409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16667),
  [4412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17119),
  [4415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4286),
  [4418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14088),
  [4421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13173),
  [4424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4419),
  [4427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4287),
  [4430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17855),
  [4433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4449),
  [4436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17875),
  [4439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(212),
  [4442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1503),
  [4445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4514),
  [4448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3369),
  [4451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10848),
  [4454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1504),
  [4457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14736),
  [4460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15216),
  [4463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(267),
  [4466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4566),
  [4469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16252),
  [4472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16919),
  [4475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4515),
  [4478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14124),
  [4481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13068),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4765),
  [4487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4488),
  [4490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17359),
  [4493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4497),
  [4496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17643),
  [4499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(177),
  [4502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1762),
  [4505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4524),
  [4508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3412),
  [4511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10758),
  [4514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1761),
  [4517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14782),
  [4520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15119),
  [4523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(243),
  [4526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4748),
  [4529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16464),
  [4532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16764),
  [4535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4753),
  [4538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14090),
  [4541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13107),
  [4544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4541),
  [4547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4687),
  [4550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17848),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18437),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18860),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17429),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20240),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5206),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17482),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14196),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19673),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5290),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18380),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14071),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21015),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18307),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19422),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [4603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4936),
  [4606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18437),
  [4609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(164),
  [4612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1661),
  [4615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5030),
  [4618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3313),
  [4621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10910),
  [4624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1662),
  [4627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14774),
  [4630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15018),
  [4633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(260),
  [4636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4928),
  [4639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16669),
  [4642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17120),
  [4645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5031),
  [4648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14089),
  [4651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13177),
  [4654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4544),
  [4657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4897),
  [4660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17876),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17568),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14235),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20624),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [4673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5037),
  [4676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17429),
  [4679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(215),
  [4682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1511),
  [4685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5043),
  [4688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3446),
  [4691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10985),
  [4694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1512),
  [4697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14818),
  [4700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15026),
  [4703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(271),
  [4706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5046),
  [4709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16306),
  [4712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16941),
  [4715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5044),
  [4718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14140),
  [4721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13190),
  [4724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4441),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5039),
  [4730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17533),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5622),
  [4735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_binding_pattern, 1, 0, 0),
  [4737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_binding_pattern, 1, 0, 0),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17334),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14449),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15934),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18817),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16412),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16975),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21447),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17947),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5529),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14393),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15431),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19772),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17026),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16828),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19849),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14184),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17717),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10786),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17688),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17365),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12769),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21286),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14515),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15524),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15351),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20372),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20243),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12770),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17531),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14062),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19893),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17295),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21294),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15552),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19733),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20575),
  [4865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5206),
  [4868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17482),
  [4871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(203),
  [4874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1561),
  [4877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5262),
  [4880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3421),
  [4883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10865),
  [4886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1562),
  [4889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14884),
  [4892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15111),
  [4895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(285),
  [4898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5146),
  [4901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16541),
  [4904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17034),
  [4907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5263),
  [4910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14222),
  [4913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13250),
  [4916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4727),
  [4919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5264),
  [4922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17312),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21279),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15435),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20424),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18752),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15222),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19152),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14386),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21275),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15361),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21205),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19006),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10527),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21254),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15311),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19164),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21030),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5827),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5600),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14578),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15661),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4086),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20360),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16331),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16945),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19141),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14150),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13233),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17627),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21290),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15538),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21330),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20759),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21283),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15488),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19570),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18907),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5776),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5740),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14416),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15259),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4112),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21201),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16619),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17081),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20696),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12943),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17452),
  [5051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5290),
  [5054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18380),
  [5057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(171),
  [5060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1742),
  [5063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5362),
  [5066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3459),
  [5069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10907),
  [5072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1743),
  [5075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14742),
  [5078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15176),
  [5081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(284),
  [5084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5320),
  [5087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17200),
  [5090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16843),
  [5093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5371),
  [5096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14067),
  [5099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13225),
  [5102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4659),
  [5105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5408),
  [5108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18317),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [5113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5400),
  [5116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18307),
  [5119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(184),
  [5122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1715),
  [5125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5441),
  [5128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3389),
  [5131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10794),
  [5134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1716),
  [5137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14865),
  [5140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15043),
  [5143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(272),
  [5146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5438),
  [5149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16685),
  [5152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17128),
  [5155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5344),
  [5158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14099),
  [5161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13195),
  [5164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4604),
  [5167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5351),
  [5170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17999),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5940),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17986),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18650),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17396),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14171),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18810),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19777),
  [5197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5524),
  [5200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17568),
  [5203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(211),
  [5206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1568),
  [5209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5533),
  [5212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3487),
  [5215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10918),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1569),
  [5221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14732),
  [5224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15116),
  [5227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(263),
  [5230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5570),
  [5233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16551),
  [5236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17041),
  [5239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5538),
  [5242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14230),
  [5245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(12963),
  [5248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4739),
  [5251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5579),
  [5254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17439),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18999),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18699),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6365),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17544),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14188),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19037),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [5271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5940),
  [5274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17986),
  [5277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(182),
  [5280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1709),
  [5283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5801),
  [5286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3306),
  [5289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10767),
  [5292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1710),
  [5295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15011),
  [5298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15039),
  [5301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(270),
  [5304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5921),
  [5307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16683),
  [5310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17127),
  [5313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5808),
  [5316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14098),
  [5319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13194),
  [5322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4599),
  [5325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5812),
  [5328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17984),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17294),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19339),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6858),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17975),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14125),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20270),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6890),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18138),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14077),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20404),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6818),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17874),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19621),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6793),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17275),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21389),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6748),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17774),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19281),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7023),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18445),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14068),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21383),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10921),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17334),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21276),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14511),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15405),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18910),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20710),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17441),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21207),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15503),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20393),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20417),
  [5439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6039),
  [5442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17396),
  [5445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(193),
  [5448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1554),
  [5451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5959),
  [5454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3361),
  [5457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10977),
  [5460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1555),
  [5463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14872),
  [5466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15101),
  [5469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(283),
  [5472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6013),
  [5475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16530),
  [5478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17030),
  [5481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5963),
  [5484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14217),
  [5487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13209),
  [5490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4697),
  [5493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(5967),
  [5496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18424),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21281),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15472),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18902),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20429),
  [5509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18398),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [5515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20078),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [5519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7133),
  [5521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17927),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14122),
  [5525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21191),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21295),
  [5533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15573),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19012),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20534),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7148),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18408),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21103),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10572),
  [5551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 17),
  [5553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 17),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16213),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10667),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8049),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14514),
  [5575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15609),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15770),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19077),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16177),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16025),
  [5589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16860),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19080),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21284),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15507),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19890),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19235),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [5617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15583),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [5621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17519),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [5627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19305),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [5631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6121),
  [5634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18337),
  [5637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(172),
  [5640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1681),
  [5643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6250),
  [5646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3347),
  [5649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10965),
  [5652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1682),
  [5655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14661),
  [5658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15027),
  [5661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(264),
  [5664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6399),
  [5667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16675),
  [5670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17123),
  [5673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6252),
  [5676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14094),
  [5679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13184),
  [5682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4582),
  [5685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6257),
  [5688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17924),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6121),
  [5693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 90),
  [5695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 90),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18337),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [5703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6250),
  [5705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10965),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [5711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14661),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15027),
  [5715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [5719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16675),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17123),
  [5723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14094),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17924),
  [5735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6153),
  [5738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17446),
  [5741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(131),
  [5744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1575),
  [5747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6098),
  [5750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3283),
  [5753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(11040),
  [5756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1576),
  [5759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14908),
  [5762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15131),
  [5765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(244),
  [5768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6150),
  [5771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16623),
  [5774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17087),
  [5777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6100),
  [5780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14049),
  [5783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13033),
  [5786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4762),
  [5789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6107),
  [5792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17726),
  [5795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6365),
  [5798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17544),
  [5801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(180),
  [5804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1703),
  [5807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6284),
  [5810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3384),
  [5813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10754),
  [5816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1704),
  [5819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14847),
  [5822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15037),
  [5825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(269),
  [5828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6311),
  [5831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16681),
  [5834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17126),
  [5837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6286),
  [5840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14097),
  [5843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13192),
  [5846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4596),
  [5849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6287),
  [5852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17972),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [5863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15400),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [5867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [5869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17446),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [5875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [5877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [5879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11040),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14908),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15131),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [5891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16623),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17087),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17726),
  [5907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15749),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [5923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6793),
  [5926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17275),
  [5929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(129),
  [5932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1696),
  [5935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6683),
  [5938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3465),
  [5941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10991),
  [5944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1697),
  [5947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14688),
  [5950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15034),
  [5953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(268),
  [5956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6413),
  [5959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16679),
  [5962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17125),
  [5965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6684),
  [5968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14096),
  [5971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13189),
  [5974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4591),
  [5977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6685),
  [5980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17956),
  [5983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6510),
  [5986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17294),
  [5989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(176),
  [5992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1547),
  [5995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6740),
  [5998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3292),
  [6001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10908),
  [6004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1548),
  [6007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14702),
  [6010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15092),
  [6013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(281),
  [6016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6503),
  [6019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16490),
  [6022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17016),
  [6025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6741),
  [6028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14207),
  [6031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13059),
  [6034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4645),
  [6037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6743),
  [6040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18315),
  [6043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6748),
  [6046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17774),
  [6049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(137),
  [6052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1589),
  [6055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6782),
  [6058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3345),
  [6061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(11019),
  [6064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1590),
  [6067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15010),
  [6070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15157),
  [6073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(247),
  [6076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6894),
  [6079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16631),
  [6082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17092),
  [6085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6785),
  [6088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14057),
  [6091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13239),
  [6094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4432),
  [6097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6786),
  [6100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18258),
  [6103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6818),
  [6106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17874),
  [6109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(140),
  [6112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1597),
  [6115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6885),
  [6118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3375),
  [6121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10900),
  [6124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1598),
  [6127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14783),
  [6130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15170),
  [6133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(248),
  [6136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6428),
  [6139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16634),
  [6142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17094),
  [6145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6887),
  [6148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14061),
  [6151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(12909),
  [6154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4439),
  [6157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6888),
  [6160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18392),
  [6163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6858),
  [6166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17975),
  [6169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(146),
  [6172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1611),
  [6175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6855),
  [6178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3443),
  [6181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10888),
  [6184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1612),
  [6187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14678),
  [6190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15191),
  [6193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(251),
  [6196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6508),
  [6199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16638),
  [6202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17098),
  [6205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6859),
  [6208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14069),
  [6211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(12997),
  [6214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4457),
  [6217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6864),
  [6220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17346),
  [6223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6890),
  [6226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18138),
  [6229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(149),
  [6232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1618),
  [6235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6754),
  [6238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3480),
  [6241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10932),
  [6244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1619),
  [6247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14695),
  [6250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15197),
  [6253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(252),
  [6256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6570),
  [6259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16640),
  [6262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17100),
  [6265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6762),
  [6268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14072),
  [6271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13085),
  [6274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4473),
  [6277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6766),
  [6280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17436),
  [6283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17668),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [6289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10979),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14994),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15207),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16584),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17061),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17763),
  [6323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7148),
  [6326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18408),
  [6329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(199),
  [6332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1788),
  [6335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7121),
  [6338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3285),
  [6341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10944),
  [6344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1789),
  [6347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14839),
  [6350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15072),
  [6353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(245),
  [6356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7345),
  [6359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16097),
  [6362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16876),
  [6365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7125),
  [6368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14149),
  [6371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13001),
  [6374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4429),
  [6377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6961),
  [6380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18194),
  [6383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7199),
  [6386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17668),
  [6389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(157),
  [6392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1640),
  [6395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7401),
  [6398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3331),
  [6401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10979),
  [6404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1641),
  [6407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14994),
  [6410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15207),
  [6413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(256),
  [6416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7187),
  [6419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16584),
  [6422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17061),
  [6425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7402),
  [6428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14082),
  [6431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13147),
  [6434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4512),
  [6437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7403),
  [6440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17763),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7462),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18228),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [6449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [6451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [6453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10765),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [6459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14727),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15021),
  [6463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [6467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16651),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17108),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17888),
  [6483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7462),
  [6486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18228),
  [6489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(166),
  [6492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1668),
  [6495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7514),
  [6498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3411),
  [6501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10765),
  [6504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1669),
  [6507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14727),
  [6510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15021),
  [6513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(261),
  [6516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7416),
  [6519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16651),
  [6522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17108),
  [6525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7517),
  [6528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14092),
  [6531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13180),
  [6534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4560),
  [6537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7519),
  [6540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17888),
  [6543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7133),
  [6546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17927),
  [6549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(197),
  [6552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1779),
  [6555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7112),
  [6558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3496),
  [6561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10871),
  [6564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1780),
  [6567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15008),
  [6570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15023),
  [6573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(282),
  [6576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7333),
  [6579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16057),
  [6582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16870),
  [6585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7116),
  [6588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14074),
  [6591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13187),
  [6594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4711),
  [6597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7127),
  [6600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17784),
  [6603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6971),
  [6606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18398),
  [6609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(201),
  [6612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1798),
  [6615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6954),
  [6618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3262),
  [6621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10981),
  [6624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1799),
  [6627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14657),
  [6630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15108),
  [6633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(249),
  [6636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7114),
  [6639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16125),
  [6642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16885),
  [6645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(6957),
  [6648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14179),
  [6651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13092),
  [6654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4552),
  [6657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7184),
  [6660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18425),
  [6663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7023),
  [6666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18445),
  [6669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(159),
  [6672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1539),
  [6675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7186),
  [6678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3432),
  [6681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10911),
  [6684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1540),
  [6687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14876),
  [6690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15079),
  [6693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(280),
  [6696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7035),
  [6699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16480),
  [6702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17012),
  [6705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7188),
  [6708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14203),
  [6711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13226),
  [6714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4564),
  [6717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7189),
  [6720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18264),
  [6723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7197),
  [6726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17519),
  [6729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(207),
  [6732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1806),
  [6735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7342),
  [6738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3469),
  [6741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10920),
  [6744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1807),
  [6747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14867),
  [6750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15152),
  [6753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(258),
  [6756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7122),
  [6759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16192),
  [6762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16900),
  [6765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7344),
  [6768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14236),
  [6771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13010),
  [6774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4576),
  [6777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(7347),
  [6780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17323),
  [6783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17688),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [6789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15351),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20255),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7750),
  [6797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 189),
  [6799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 189),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9918),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16048),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7932),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14501),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15778),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20694),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16089),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16608),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17073),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18982),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18401),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7933),
  [6841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 50),
  [6843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 50),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16935),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [6853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [6857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14399),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15479),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [6863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19136),
  [6865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16268),
  [6867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16925),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19734),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14132),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17448),
  [6881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 189),
  [6883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 189),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [6887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 29),
  [6889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 29),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10063),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18247),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8171),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11022),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14791),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15054),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16281),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16932),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18033),
  [6937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(8440),
  [6940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18247),
  [6943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(133),
  [6946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1525),
  [6949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(8171),
  [6952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3466),
  [6955] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(11022),
  [6958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1526),
  [6961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14791),
  [6964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15054),
  [6967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(278),
  [6970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(8339),
  [6973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16281),
  [6976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16932),
  [6979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(8172),
  [6982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14181),
  [6985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13172),
  [6988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4455),
  [6991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(8173),
  [6994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(18033),
  [6997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 121),
  [6999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 121),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [7005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 50),
  [7007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 50),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [7013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 158),
  [7015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 158),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [7021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 121),
  [7023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 121),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [7029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 158),
  [7031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 158),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10224),
  [7039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 29),
  [7041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 29),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10225),
  [7049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8167),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16466),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [7057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [7059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8149),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [7063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14581),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15793),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [7069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21438),
  [7071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16386),
  [7073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16963),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20361),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17838),
  [7087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8241),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16385),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [7095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [7097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8223),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [7101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14417),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15603),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [7107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18978),
  [7109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16501),
  [7111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17021),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18843),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14212),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18373),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10104),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10105),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10117),
  [7135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15652),
  [7139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [7141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5177),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16059),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16705),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20255),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10203),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [7165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9210),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [7169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [7171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9092),
  [7173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14380),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15278),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [7179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [7181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19731),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16217),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16906),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21004),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14086),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12935),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18404),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14746),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [7213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [7215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14410),
  [7217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14365),
  [7219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15289),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [7225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [7227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21003),
  [7229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5187),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16783),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16801),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14619),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19748),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14073),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18286),
  [7247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7933),
  [7250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [7254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16935),
  [7257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2486),
  [7260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3028),
  [7263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7742),
  [7266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14399),
  [7269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15479),
  [7272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3029),
  [7275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19136),
  [7278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16268),
  [7281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16925),
  [7284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7757),
  [7287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19734),
  [7290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14132),
  [7293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13131),
  [7296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7608),
  [7299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17448),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [7304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7750),
  [7307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16048),
  [7310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2484),
  [7313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3074),
  [7316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7932),
  [7319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14501),
  [7322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15778),
  [7325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3085),
  [7328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20694),
  [7331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16608),
  [7334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17073),
  [7337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7934),
  [7340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18982),
  [7343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14234),
  [7346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13206),
  [7349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7695),
  [7352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18401),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15985),
  [7361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [7363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14066),
  [7365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14743),
  [7367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11749),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16601),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [7401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16412),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16975),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [7419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8167),
  [7422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16466),
  [7425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2495),
  [7428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3061),
  [7431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8149),
  [7434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14581),
  [7437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15793),
  [7440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3062),
  [7443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21438),
  [7446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16386),
  [7449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16963),
  [7452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8150),
  [7455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20361),
  [7458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14168),
  [7461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13017),
  [7464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8068),
  [7467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17838),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [7482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8241),
  [7485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16385),
  [7488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2493),
  [7491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3106),
  [7494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8223),
  [7497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14417),
  [7500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15603),
  [7503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3107),
  [7506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18978),
  [7509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16501),
  [7512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17021),
  [7515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8224),
  [7518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18843),
  [7521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14212),
  [7524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13144),
  [7527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8066),
  [7530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18373),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [7537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17026),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16828),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [7547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9137),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16051),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [7555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [7557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9160),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [7561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14468),
  [7563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 91),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15269),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [7569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18839),
  [7571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 91),
  [7573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16454),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17001),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18819),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13230),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18179),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [7591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 53),
  [7593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 53),
  [7595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14517),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [7599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [7603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 91),
  [7605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 91),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [7609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 131),
  [7611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 131),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [7615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 53),
  [7617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 53),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [7621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 131),
  [7623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 131),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13732),
  [7629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13024),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13566),
  [7633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12813),
  [7635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [7637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14104),
  [7639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14651),
  [7641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11642),
  [7643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10617),
  [7645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14618),
  [7647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14738),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16478),
  [7651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17213),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [7663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15871),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16810),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16025),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16860),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [7679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14757),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [7683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14356),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17719),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14758),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [7701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(9367),
  [7704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17839),
  [7707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(134),
  [7710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1582),
  [7713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(9642),
  [7716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(3312),
  [7719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(10875),
  [7722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(1583),
  [7725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14671),
  [7728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(15147),
  [7731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(246),
  [7734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(9549),
  [7737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16444),
  [7740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(16995),
  [7743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(9644),
  [7746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(14054),
  [7749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(13129),
  [7752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(4423),
  [7755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(8544),
  [7758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 61), SHIFT_REPEAT(17719),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14682),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14827),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14662),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14913),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14983),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14987),
  [7773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9367),
  [7775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17839),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [7779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [7781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9642),
  [7783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [7785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10875),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [7789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14671),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15147),
  [7793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16444),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16995),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14054),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13692),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13678),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10600),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13875),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13902),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13878),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13691),
  [7893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 136),
  [7895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 136),
  [7897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18141),
  [7905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 176),
  [7907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 176),
  [7909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 177),
  [7911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 177),
  [7913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 176),
  [7915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 176),
  [7917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 27),
  [7919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 27),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18208),
  [7923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 79),
  [7925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 79),
  [7927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 58),
  [7929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 58),
  [7931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 137),
  [7933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 137),
  [7935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 136),
  [7937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 136),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18174),
  [7941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 4),
  [7943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 4),
  [7945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 5),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [7949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9137),
  [7952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16051),
  [7955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2483),
  [7958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [7961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9160),
  [7964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14468),
  [7967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15269),
  [7970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3087),
  [7973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18839),
  [7976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16454),
  [7979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17001),
  [7982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9161),
  [7985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18819),
  [7988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14192),
  [7991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13230),
  [7994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8948),
  [7997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18179),
  [8000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [8002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [8004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 113),
  [8006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 113),
  [8008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14296),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [8016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [8018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [8020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10942),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14820),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15145),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7371),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17403),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [8040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 126),
  [8042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 126),
  [8044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [8046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [8048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [8050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [8052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [8054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [8056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [8058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [8060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [8062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [8064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [8066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [8068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 173),
  [8070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 173),
  [8072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 138),
  [8074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 138),
  [8076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 146),
  [8078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 146),
  [8080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [8082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [8084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [8086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [8088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [8092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 59),
  [8094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 59),
  [8096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [8098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [8102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 162),
  [8104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 162),
  [8106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 147),
  [8108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 147),
  [8110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 126),
  [8112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 126),
  [8114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 113),
  [8116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 113),
  [8118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [8120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [8122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [8124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [8126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [8128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [8130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16331),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16945),
  [8136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 56),
  [8138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 56),
  [8140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [8144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 60),
  [8146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 60),
  [8148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 70),
  [8150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 70),
  [8152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [8154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [8156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 30),
  [8158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 30),
  [8160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [8166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 56),
  [8168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 56),
  [8170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [8174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [8176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [8178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [8182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [8186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 162),
  [8188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 162),
  [8190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [8192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [8194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [8196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [8198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [8202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [8206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 173),
  [8208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 173),
  [8210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [8214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [8216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 6),
  [8218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 15),
  [8220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 31),
  [8222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 31),
  [8224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [8228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 29),
  [8230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 29),
  [8232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 48),
  [8234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 48),
  [8236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16619),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17081),
  [8242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 39),
  [8244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 39),
  [8246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 113),
  [8248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 113),
  [8250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 200),
  [8252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 200),
  [8254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 32),
  [8256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 32),
  [8258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [8262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [8264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [8266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 200),
  [8268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 200),
  [8270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [8274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [8276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [8278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [8280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [8282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [8284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [8288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [8290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [8292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [8294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 71),
  [8296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 71),
  [8298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 2),
  [8300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 104),
  [8302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 104),
  [8304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 105),
  [8306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 105),
  [8308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [8310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [8312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [8314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [8316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [8320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [8324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 83),
  [8326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 83),
  [8328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [8330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [8332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 94),
  [8334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 94),
  [8336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [8338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [8340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [8344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [8346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [8348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [8350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [8352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [8358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [8362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 23),
  [8364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 23),
  [8366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14208),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14832),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7008),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7946),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [8382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16160),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16398),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13030),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17522),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7696),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [8404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [8406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7591),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [8410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10984),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14749),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15196),
  [8418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16237),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16912),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14112),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12999),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17273),
  [8438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [8440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10081),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [8446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10074),
  [8450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10847),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [8456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14856),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15185),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16636),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17096),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17267),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [8482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7992),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [8486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7822),
  [8490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10783),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [8496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14855),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15205),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16655),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17112),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [8514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17673),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [8522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5909),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [8530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [8532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14108),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14114),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14189),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14202),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14955),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14853),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14667),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14993),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14966),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [8558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [8574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5770),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [8612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [8624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 102),
  [8626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 102),
  [8628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [8630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17481),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16281),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16932),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17829),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16584),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17061),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17724),
  [8646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4598),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16651),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17108),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18168),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16675),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17123),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18378),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18140),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [8666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16623),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17087),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18177),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17804),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [8676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [8678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4575),
  [8680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [8682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17597),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [8692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [8696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17597),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [8703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [8707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10572),
  [8710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16213),
  [8713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2490),
  [8716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [8719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10667),
  [8722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14514),
  [8725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15770),
  [8728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3055),
  [8731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19077),
  [8734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16025),
  [8737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16860),
  [8740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10668),
  [8743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19080),
  [8746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14209),
  [8749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13175),
  [8752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8805),
  [8755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17441),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10367),
  [8772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [8774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19080),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [8912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [8960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [8962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [8966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [8968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8970] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5283),
  [8973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [8975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(5275),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10151),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9981),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10030),
  [8988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [8990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [8992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4590),
  [8994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [9000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4688),
  [9002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [9004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [9006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [9008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [9010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [9012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [9014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 2, 0, 23),
  [9016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 2, 0, 23),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [9020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6000),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12446),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12478),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [9028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression_anonymous, 3, 0, 0),
  [9030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression_anonymous, 3, 0, 0),
  [9032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 8),
  [9034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 8),
  [9036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression_anonymous, 4, 0, 0),
  [9038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression_anonymous, 4, 0, 0),
  [9040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 66),
  [9042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 66),
  [9044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [9048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [9050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [9052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_binding_pattern, 1, 0, 21),
  [9054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_binding_pattern, 1, 0, 21),
  [9056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [9060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_binding_pattern, 1, 0, 22),
  [9062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_binding_pattern, 1, 0, 22),
  [9064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4618),
  [9066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 145),
  [9068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 145),
  [9070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [9074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [9076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [9078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [9080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [9082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 15),
  [9084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 15),
  [9086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [9088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [9090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 14),
  [9092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 14),
  [9094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 3, 0, 66),
  [9096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 3, 0, 66),
  [9098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 4, 0, 98),
  [9100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 4, 0, 98),
  [9102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 99),
  [9104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 99),
  [9106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [9108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [9110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [9112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [9114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [9118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [9120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [9122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 69),
  [9124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 69),
  [9126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 62),
  [9128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 62),
  [9130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 66),
  [9132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 66),
  [9134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_binding_pattern, 3, 0, 0),
  [9136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_binding_pattern, 3, 0, 0),
  [9138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [9140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 5, 0, 102),
  [9142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 5, 0, 102),
  [9144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [9146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12538),
  [9150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__or_binding_pattern_anonymous, 3, 0, 0),
  [9152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__or_binding_pattern_anonymous, 3, 0, 0),
  [9154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 18),
  [9156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 18),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6012),
  [9160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [9162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [9164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [9166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [9168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 62),
  [9170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 62),
  [9172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 38),
  [9174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 38),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12437),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [9180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [9182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [9184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 180),
  [9186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 180),
  [9188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 19),
  [9190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 19),
  [9192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 38),
  [9194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 38),
  [9196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_binding_pattern, 1, 0, 20),
  [9198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_binding_pattern, 1, 0, 20),
  [9200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 38),
  [9202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 38),
  [9204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [9208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [9210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [9212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 140),
  [9214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 140),
  [9216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 141),
  [9218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 141),
  [9220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 1),
  [9222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 1),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [9228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [9230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14500),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17595),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16501),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17021),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16268),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16454),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17001),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16386),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16963),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16608),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17073),
  [9290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [9292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10442),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10637),
  [9302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7917),
  [9304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11579),
  [9306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16153),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [9312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15452),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16564),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17048),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17440),
  [9324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9820),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6800),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10913),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7851),
  [9340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10973),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15601),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16372),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16956),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17710),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14232),
  [9358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10482),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6460),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [9368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7806),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11590),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9684),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15899),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16646),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17104),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18423),
  [9386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6496),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [9390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9815),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6717),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7964),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10946),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16659),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17115),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18280),
  [9418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6726),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10815),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [9424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [9426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [9430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [9432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [9434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [9436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19747),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [9442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18624),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [9446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6819),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [9450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [9452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [9454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [9456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [9458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11691),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [9464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [9466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4444),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10825),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2312),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [9480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [9482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [9484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [9490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [9492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21043),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [9496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [9498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [9500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [9504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18701),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [9510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [9512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [9516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [9518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [9522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 166),
  [9524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 166),
  [9526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 24),
  [9528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 24),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [9532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14123),
  [9540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 56),
  [9542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 56),
  [9544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20461),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [9548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [9552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 56),
  [9554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 56),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [9558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [9560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element, 4, 0, 70),
  [9562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element, 4, 0, 70),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4503),
  [9566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [9570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 30),
  [9572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 30),
  [9574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 30),
  [9576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 30),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [9584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [9590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [9602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [9606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [9610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 38),
  [9612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 38),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14079),
  [9616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19448),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14586),
  [9624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 174),
  [9626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 174),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13607),
  [9636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 201),
  [9638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 201),
  [9640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [9644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 66),
  [9646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 66),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13312),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [9654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20809),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [9666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [9674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9755),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [9684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [9688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 237),
  [9690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 237),
  [9692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [9694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [9702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 99),
  [9704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 99),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11336),
  [9714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [9718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [9722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [9724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [9728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 220),
  [9730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 220),
  [9732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4641),
  [9734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [9738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [9742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [9746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [9750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 145),
  [9752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 145),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [9758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [9762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 17),
  [9764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 17),
  [9766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [9786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 231),
  [9788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 231),
  [9790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 66),
  [9792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 66),
  [9794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 98),
  [9796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 98),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13944),
  [9806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10955),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13424),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14004),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [9840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element, 2, 0, 23),
  [9842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [9844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element, 2, 0, 23),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13381),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13955),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [9870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13926),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [9874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8035),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15654),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17834),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8314),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8341),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [9906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17799),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [9911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13462),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17799),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13611),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12450),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13982),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14389),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [9951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12099),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [9955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8122),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15775),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16626),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17090),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18190),
  [9971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12968),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [9975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8093),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16689),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17130),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17740),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [10017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11147),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [10021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8042),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15639),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16575),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17054),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17775),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11224),
  [10053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11136),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [10057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8077),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15224),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16648),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17106),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17495),
  [10073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 134),
  [10075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 134),
  [10077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11016),
  [10079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17363),
  [10081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8062),
  [10083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12480),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17110),
  [10089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10318),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16665),
  [10093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17118),
  [10095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14643),
  [10097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18263),
  [10099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8078),
  [10101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10512),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16436),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16989),
  [10107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 7),
  [10109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 7),
  [10111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [10113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [10117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12977),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18302),
  [10121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19683),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12980),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14056),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13116),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [10131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [10133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [10137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19175),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [10141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [10145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 55),
  [10149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 55),
  [10151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [10153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [10155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 57),
  [10157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 57),
  [10159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_expression, 3, 0, 0),
  [10161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_expression, 3, 0, 0),
  [10163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4481),
  [10165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 67),
  [10167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 67),
  [10169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 67),
  [10171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 67),
  [10173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 67),
  [10175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 67),
  [10177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 67),
  [10179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 67),
  [10181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 55),
  [10183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 55),
  [10185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [10187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [10189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 93),
  [10191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 93),
  [10193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 30),
  [10195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 30),
  [10197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 30),
  [10199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 30),
  [10201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element, 5, 0, 102),
  [10203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element, 5, 0, 102),
  [10205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10882),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16592),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17068),
  [10211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 135),
  [10213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 135),
  [10215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 93),
  [10217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 93),
  [10219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [10221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [10223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 56),
  [10225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 56),
  [10227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 56),
  [10229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 56),
  [10231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 175),
  [10233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 175),
  [10235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 202),
  [10237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 202),
  [10239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 221),
  [10241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 221),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [10245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [10249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [10251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [10255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [10259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3090),
  [10262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [10266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10587),
  [10268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 101),
  [10270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 101),
  [10272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 93),
  [10274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 93),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [10278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [10280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [10284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 55),
  [10286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 55),
  [10288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 12),
  [10290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 12),
  [10292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 30),
  [10294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 30),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [10300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8493),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [10304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [10310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [10312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [10316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [10318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [10320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [10322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10561),
  [10324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [10328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 68),
  [10330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 68),
  [10332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [10334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [10336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [10340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [10342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [10346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [10352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [10354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2368),
  [10356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [10358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10608),
  [10360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 62),
  [10362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 62),
  [10364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 60),
  [10366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 60),
  [10368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 57),
  [10370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 57),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [10374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 30),
  [10376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 30),
  [10378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 31),
  [10380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 31),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [10384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [10386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3006),
  [10389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__proper_tuple_type, 3, 0, 0),
  [10391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__proper_tuple_type, 3, 0, 0),
  [10393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 13),
  [10395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 13),
  [10397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__labeled_tuple_type, 3, 0, 0),
  [10399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__labeled_tuple_type, 3, 0, 0),
  [10401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10643),
  [10403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_rhs, 3, 0, 0),
  [10405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type_rhs, 3, 0, 0),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [10409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [10415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [10421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [10423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [10429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [10435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [10441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [10443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [10459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [10461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [10471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [10477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [10479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [10485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [10487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3078),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [10492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3076),
  [10495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [10497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3101),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [10502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [10510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [10512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3011),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [10517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [10519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14947),
  [10521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14145),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14654),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14550),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [10535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10596),
  [10537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10665),
  [10539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14237),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14541),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [10551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9356),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [10555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8923),
  [10557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15662),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16695),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17133),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17943),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [10575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [10577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [10587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [10589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [10593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10528),
  [10595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10677),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [10599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8823),
  [10601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [10603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10684),
  [10605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5275),
  [10608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3304),
  [10611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14947),
  [10614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12709),
  [10617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [10619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14237),
  [10622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14588),
  [10625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(11729),
  [10628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12109),
  [10631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14541),
  [10634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16164),
  [10637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16167),
  [10640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16215),
  [10643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4145),
  [10646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17877),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [10653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9861),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [10659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8886),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8038),
  [10663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [10665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15460),
  [10671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16687),
  [10673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17129),
  [10675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17532),
  [10677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10702),
  [10681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [10683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8879),
  [10685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8054),
  [10687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3018),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10682),
  [10692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3365),
  [10695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12833),
  [10698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14145),
  [10701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14654),
  [10704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14550),
  [10707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4170),
  [10710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(18018),
  [10713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10714),
  [10715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10593),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10721),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13562),
  [10721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [10723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8932),
  [10725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8094),
  [10727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [10729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [10731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [10733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15698),
  [10735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16699),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17135),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18032),
  [10741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [10743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [10751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [10757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [10759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [10761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10740),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [10765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10651),
  [10767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10728),
  [10769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [10771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9315),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [10775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8944),
  [10777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15735),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16703),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17137),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18178),
  [10793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10539),
  [10795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10544),
  [10797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3024),
  [10800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10575),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10639),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9024),
  [10808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8073),
  [10810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10683),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9740),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8906),
  [10818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15620),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16693),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17132),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17837),
  [10834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [10838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10655),
  [10840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13750),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [10844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8854),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8109),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15292),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17229),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17121),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17272),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [10866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [10880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13926),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11136),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [10896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11147),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12968),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13750),
  [10910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 67),
  [10912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 67),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [10916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15990),
  [10918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16852),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [10926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [10934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [10940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [10942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [10944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3033),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [10951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [10953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3077),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13562),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [10964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [10966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 83),
  [10968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 83),
  [10970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3097),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [10975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [10987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [10989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [10995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [10999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [11001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [11003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [11015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [11017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3027),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12529),
  [11022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6025),
  [11024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [11026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 116),
  [11028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 116),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12825),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14505),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14941),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [11046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14471),
  [11050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 117),
  [11052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 117),
  [11054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 154),
  [11056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 154),
  [11058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 2),
  [11060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [11062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [11064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [11066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20815),
  [11070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 81),
  [11072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 81),
  [11074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 15),
  [11076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 118),
  [11078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 118),
  [11080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [11082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [11084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 185),
  [11086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 185),
  [11088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 119),
  [11090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 119),
  [11092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [11094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 49),
  [11096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 49),
  [11098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9451),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9801),
  [11104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15605),
  [11106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 205),
  [11108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 205),
  [11110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_rhs, 1, 0, 0),
  [11112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type_rhs, 1, 0, 0),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [11116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13566),
  [11119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14947),
  [11122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12813),
  [11125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [11127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14104),
  [11130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14651),
  [11133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11642),
  [11136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10617),
  [11139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14618),
  [11142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14738),
  [11145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16164),
  [11148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16167),
  [11151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16215),
  [11154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9641),
  [11156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_type, 3, 0, 11),
  [11158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_type, 3, 0, 11),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15497),
  [11162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12825),
  [11165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14128),
  [11168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14652),
  [11171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(10748),
  [11174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14505),
  [11177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14941),
  [11180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [11182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15606),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15498),
  [11192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [11194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14104),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14651),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14738),
  [11210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [11212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [11214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 84),
  [11216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 84),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 155),
  [11220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 155),
  [11222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [11224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10334),
  [11228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 28),
  [11230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 28),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [11236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15344),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17356),
  [11248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10397),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [11256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15395),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17447),
  [11268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9469),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11595),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13672),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [11280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8046),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15258),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16515),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17025),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18309),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10540),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [11300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8063),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15508),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17626),
  [11312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 83),
  [11314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 83),
  [11316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 28),
  [11318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 28),
  [11320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9727),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15877),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [11328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8030),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15690),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16402),
  [11340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16968),
  [11342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17277),
  [11344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 48),
  [11346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 48),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10536),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [11354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8045),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15555),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17706),
  [11366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9726),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15459),
  [11370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 48),
  [11372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 48),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [11378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15247),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16661),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17116),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18402),
  [11394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10270),
  [11396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10352),
  [11398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [11400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14537),
  [11404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20242),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10487),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21344),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10336),
  [11412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [11414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [11416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [11420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19356),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [11428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [11432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [11434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [11436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 65),
  [11438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 65),
  [11440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10100),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15284),
  [11448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [11452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [11456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [11458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20321),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [11464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19514),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13655),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20281),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12468),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20337),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20822),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11560),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20931),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11150),
  [11488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20481),
  [11490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12545),
  [11492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19635),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13652),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [11498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [11502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20740),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [11506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 127),
  [11508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 127),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17731),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20641),
  [11514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12514),
  [11516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 3),
  [11518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 3),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19692),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13625),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21156),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14373),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19817),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20123),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15876),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20163),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19829),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14346),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15285),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20493),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20659),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [11556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 107),
  [11558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 107),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19351),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14005),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19431),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10654),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20179),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10696),
  [11572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [11576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 37),
  [11578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 37),
  [11580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 6),
  [11584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15366),
  [11590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20849),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10653),
  [11598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [11600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18478),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11202),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14885),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18805),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9760),
  [11612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 179),
  [11614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 179),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17545),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20029),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19202),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [11624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18797),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19984),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [11632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [11636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11319),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18926),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [11650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 45),
  [11652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 45),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18508),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13426),
  [11658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16152),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21432),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18636),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13412),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20611),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20787),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11356),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19485),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18692),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13393),
  [11684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [11688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 2),
  [11690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 2),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20864),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18533),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [11700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19282),
  [11706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19557),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19349),
  [11714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [11716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 16),
  [11718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 16),
  [11720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 46),
  [11722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 46),
  [11724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 15),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [11728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18949),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8998),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20110),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19696),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19840),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20126),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19171),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [11756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 6),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20735),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [11764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 9),
  [11766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 9),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18530),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13383),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [11774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [11778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [11780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [11782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20711),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13334),
  [11790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 45),
  [11792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 45),
  [11794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [11798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [11800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18526),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14012),
  [11806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10129),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15448),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18838),
  [11816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13532),
  [11818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 74),
  [11820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 74),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18846),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21240),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [11832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15449),
  [11834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21145),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13945),
  [11838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19296),
  [11840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18996),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11508),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19329),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11489),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19492),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18962),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [11858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19017),
  [11860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20229),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [11866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 15),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21395),
  [11874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13974),
  [11876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19771),
  [11878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13933),
  [11880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21265),
  [11882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [11884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20203),
  [11886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [11888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [11892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18503),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [11898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [11900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [11906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [11908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [11914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [11916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [11922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [11926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16487),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10375),
  [11933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 26),
  [11935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 26),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13903),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12120),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10536),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15757),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10502),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [11957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13576),
  [11963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10397),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15419),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13966),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [11973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10465),
  [11975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 2),
  [11977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 2),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16487),
  [11983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11137),
  [11985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10498),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [11991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10334),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15338),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [12001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10392),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [12007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16160),
  [12009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16893),
  [12011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11154),
  [12013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 67),
  [12015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 67),
  [12017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 42),
  [12019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 42),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12984),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12987),
  [12029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 57),
  [12031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 57),
  [12033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [12035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 67),
  [12037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 67),
  [12039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11460),
  [12041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10540),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15333),
  [12045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8137),
  [12047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [12053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8836),
  [12055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [12057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 2),
  [12059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 2),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12856),
  [12063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [12067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3102),
  [12070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [12072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7525),
  [12074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [12078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9060),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10860),
  [12082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5258),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16663),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17117),
  [12088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [12090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [12094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9049),
  [12096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14141),
  [12100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20111),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [12104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9418),
  [12106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [12110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9043),
  [12112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [12114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [12116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [12118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [12120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [12128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [12134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [12136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [12138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [12140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [12146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [12148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10227),
  [12152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9035),
  [12154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10857),
  [12156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16422),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16981),
  [12162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [12164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [12168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9055),
  [12170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15321),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15418),
  [12180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [12182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3104),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [12193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [12199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [12201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15758),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [12213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 203),
  [12215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 203),
  [12217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [12219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [12229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [12231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [12233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [12235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [12237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [12239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [12241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [12243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18261),
  [12247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20486),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15334),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18298),
  [12257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20629),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [12265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [12267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [12269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16089),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [12274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11340),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15710),
  [12278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11053),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15230),
  [12282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 6),
  [12286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 212),
  [12288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 212),
  [12290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [12294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 45),
  [12296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 45),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [12300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11378),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15807),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10376),
  [12306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11333),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15785),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18206),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [12318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18206),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [12329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [12335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [12337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [12341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [12347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [12351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13586),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [12363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13970),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18223),
  [12375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20357),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10249),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [12383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 67),
  [12385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 67),
  [12387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [12389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18289),
  [12393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20590),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [12397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [12401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9062),
  [12404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9064),
  [12407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 95),
  [12409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 95),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10291),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13471),
  [12419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13647),
  [12425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10100),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [12433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [12435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [12437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 212),
  [12439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 212),
  [12441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 139),
  [12443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 139),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [12447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 178),
  [12449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 178),
  [12451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 139),
  [12453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 139),
  [12455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 178),
  [12457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 178),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [12461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11444),
  [12463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11452),
  [12465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10109),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [12471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20008),
  [12473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9201),
  [12475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15518),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16108),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15711),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15232),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10252),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [12491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18386),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14503),
  [12495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 78),
  [12497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 78),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [12509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [12513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [12515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [12517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [12521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 47),
  [12523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 47),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12854),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12855),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15813),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [12533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21320),
  [12535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15886),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15990),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [12541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 75),
  [12543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 75),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13627),
  [12547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17399),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18282),
  [12555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20569),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [12559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 41),
  [12561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 41),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13630),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13632),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18294),
  [12571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20610),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [12575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13657),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [12581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [12587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 82),
  [12589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 82),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12872),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12873),
  [12595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [12601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [12603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3050),
  [12606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16177),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15279),
  [12611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 112),
  [12613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 112),
  [12615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17399),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11447),
  [12620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15911),
  [12622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 108),
  [12624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 108),
  [12626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14660),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15122),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16708),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17138),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16505),
  [12646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 45),
  [12648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 45),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15077),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [12660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11509),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15616),
  [12664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 106),
  [12666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 106),
  [12668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 144),
  [12670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 144),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [12676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 143),
  [12678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 143),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [12684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 149),
  [12686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 149),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [12690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [12700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [12704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [12706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [12708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [12712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [12716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 149),
  [12718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 149),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [12726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [12728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [12730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18434),
  [12740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 150),
  [12742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 150),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [12752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 26),
  [12754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 26),
  [12756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 109),
  [12758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 109),
  [12760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11595),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15900),
  [12768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 73),
  [12770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 73),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18268),
  [12774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20516),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [12778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 41),
  [12780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 41),
  [12782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 42),
  [12784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 42),
  [12786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 64),
  [12788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 64),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15199),
  [12792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 73),
  [12794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 73),
  [12796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 108),
  [12798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 108),
  [12800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 109),
  [12802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 109),
  [12804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 75),
  [12806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 75),
  [12808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15199),
  [12811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 106),
  [12813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 106),
  [12815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 151),
  [12817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 151),
  [12819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 150),
  [12821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 150),
  [12823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 184),
  [12825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 184),
  [12827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 151),
  [12829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 151),
  [12831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 184),
  [12833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 184),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [12841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 100),
  [12843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 100),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [12853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15200),
  [12859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15200),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [12870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 101),
  [12872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 101),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18275),
  [12884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20543),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [12888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9059),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [12895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 144),
  [12897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 144),
  [12899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9061),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15617),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [12912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 181),
  [12914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 181),
  [12916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 182),
  [12918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 182),
  [12920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 204),
  [12922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 204),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [12928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [12936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 68),
  [12938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 68),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [12964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18434),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [12971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [12979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3032),
  [12982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 143),
  [12984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 143),
  [12986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 68),
  [12988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 68),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [13002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 100),
  [13004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 100),
  [13006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [13008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 6),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15061),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [13016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [13018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15068),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [13032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 181),
  [13034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 181),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [13040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 101),
  [13042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 101),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [13056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 182),
  [13058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 182),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [13098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 17),
  [13100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 17),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15219),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [13122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 64),
  [13124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 64),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [13130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 204),
  [13132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 204),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [13136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15924),
  [13138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 149),
  [13140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 149),
  [13142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 150),
  [13144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 150),
  [13146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 151),
  [13148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 151),
  [13150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 206),
  [13152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 206),
  [13154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 186),
  [13156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 186),
  [13158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 207),
  [13160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 207),
  [13162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 208),
  [13164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 208),
  [13166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 120),
  [13168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 120),
  [13170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 187),
  [13172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 187),
  [13174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 209),
  [13176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 209),
  [13178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 188),
  [13180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 188),
  [13182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 158),
  [13184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 158),
  [13186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 190),
  [13188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 190),
  [13190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 122),
  [13192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 122),
  [13194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 85),
  [13196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 85),
  [13198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 184),
  [13200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 184),
  [13202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 87),
  [13204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 87),
  [13206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 206),
  [13208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 206),
  [13210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 222),
  [13212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 222),
  [13214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 207),
  [13216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 207),
  [13218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 208),
  [13220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 208),
  [13222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 223),
  [13224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 223),
  [13226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 209),
  [13228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 209),
  [13230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 224),
  [13232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 224),
  [13234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 225),
  [13236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 225),
  [13238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14497),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [13244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20174),
  [13246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9224),
  [13248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15733),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14186),
  [13252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 210),
  [13254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 210),
  [13256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 226),
  [13258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 226),
  [13260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 211),
  [13262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 211),
  [13264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 189),
  [13266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 189),
  [13268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 222),
  [13270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 222),
  [13272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 232),
  [13274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 232),
  [13276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 223),
  [13278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 223),
  [13280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 224),
  [13282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 224),
  [13284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 225),
  [13286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 225),
  [13288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 233),
  [13290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 233),
  [13292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 226),
  [13294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 226),
  [13296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 234),
  [13298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 234),
  [13300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 50),
  [13302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 50),
  [13304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 86),
  [13306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 86),
  [13308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 235),
  [13310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 235),
  [13312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 227),
  [13314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 227),
  [13316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 232),
  [13318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 232),
  [13320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 233),
  [13322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 233),
  [13324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 234),
  [13326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 234),
  [13328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 235),
  [13330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 235),
  [13332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 238),
  [13334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 238),
  [13336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 238),
  [13338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 238),
  [13340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 124),
  [13342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 124),
  [13344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 125),
  [13346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 125),
  [13348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 88),
  [13350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 88),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [13354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15917),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [13360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [13362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [13370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [13374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [13376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [13378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [13384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [13386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [13388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10502),
  [13391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 29),
  [13393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 29),
  [13395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 41),
  [13397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 41),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9603),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [13413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [13415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [13417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(12899),
  [13420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 73),
  [13422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 73),
  [13424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 51),
  [13426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 51),
  [13428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 42),
  [13430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 42),
  [13432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [13434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [13436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 110),
  [13438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 110),
  [13440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 111),
  [13442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 111),
  [13444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 76),
  [13446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 76),
  [13448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [13450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [13452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10295),
  [13455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 75),
  [13457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 75),
  [13459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 152),
  [13461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 152),
  [13463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 110),
  [13465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 110),
  [13467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 111),
  [13469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 111),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9550),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [13483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 116),
  [13485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 116),
  [13487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 117),
  [13489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 117),
  [13491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [13493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [13495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 156),
  [13497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 156),
  [13499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 120),
  [13501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 120),
  [13503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 122),
  [13505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 122),
  [13507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 159),
  [13509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 159),
  [13511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 160),
  [13513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 160),
  [13515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 123),
  [13517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 123),
  [13519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 12),
  [13521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 12),
  [13523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 124),
  [13525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 124),
  [13527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 125),
  [13529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 125),
  [13531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 161),
  [13533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 161),
  [13535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 26),
  [13537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 26),
  [13539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 76),
  [13541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 76),
  [13543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 81),
  [13545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 81),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13644),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13606),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13616),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13619),
  [13555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 106),
  [13557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 106),
  [13559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 108),
  [13561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 108),
  [13563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 109),
  [13565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 109),
  [13567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 152),
  [13569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 152),
  [13571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 154),
  [13573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 154),
  [13575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 156),
  [13577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 156),
  [13579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 186),
  [13581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 186),
  [13583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 43),
  [13585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 43),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15212),
  [13591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 157),
  [13593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 157),
  [13595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 47),
  [13597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 47),
  [13599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 121),
  [13601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 121),
  [13603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 2),
  [13605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 2),
  [13607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 159),
  [13609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 159),
  [13611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 160),
  [13613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 160),
  [13615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 190),
  [13617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 190),
  [13619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 161),
  [13621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 161),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [13625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 82),
  [13627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 82),
  [13629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 86),
  [13631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 86),
  [13633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 63),
  [13635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 63),
  [13637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 12),
  [13639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 12),
  [13641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 96),
  [13643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 96),
  [13645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 2, 0, 35),
  [13647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 2, 0, 35),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15213),
  [13653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12461),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15225),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [13681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [13685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [13687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [13697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14453),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [13711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [13717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [13719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [13727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 88),
  [13729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 88),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10008),
  [13733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 123),
  [13735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 123),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [13743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [13745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [13751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [13753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [13755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 227),
  [13757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 227),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [13775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 210),
  [13777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 210),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [13783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 51),
  [13785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 51),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [13793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 85),
  [13795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 85),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9901),
  [13801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [13803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 157),
  [13805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 157),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [13809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 187),
  [13811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 187),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [13815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 188),
  [13817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 188),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [13823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 211),
  [13825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 211),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [13831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10415),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [13836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 78),
  [13838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 78),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10204),
  [13844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [13846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3065),
  [13849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [13853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [13855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [13857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14453),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [13900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10446),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [13919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 115),
  [13921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 115),
  [13923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 153),
  [13925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 153),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [13931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [13937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [13939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [13941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [13943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [13965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 80),
  [13967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 80),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [13977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 115),
  [13979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 115),
  [13981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8822),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15227),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12413),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12159),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17162),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [13998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 80),
  [14000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 80),
  [14002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [14004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15188),
  [14008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15188),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15193),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [14021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15193),
  [14024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9048),
  [14027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 112),
  [14029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 112),
  [14031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 28),
  [14033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 28),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11848),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17209),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [14049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 153),
  [14051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 153),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14466),
  [14055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14466),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [14062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [14064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [14070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 46),
  [14072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 46),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [14088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 48),
  [14090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 48),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16083),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [14112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 83),
  [14114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 83),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [14124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 46),
  [14126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 46),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [14132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [14134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [14138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [14144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [14146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17141),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [14198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [14204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [14206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [14266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [14286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [14288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3099),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [14347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10329),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10209),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10210),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10211),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9306),
  [14424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15388),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [14445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10291),
  [14448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [14450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [14452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [14454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [14480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [14484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [14486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [14554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [14556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [14558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4321),
  [14561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4321),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [14632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [14634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [14636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [14640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [14642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [14646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [14648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [14670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [14672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [14674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [14676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [14678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [14680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [14682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [14684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [14686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [14688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [14690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [14694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [14696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [14698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [14700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [14702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [14704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [14706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [14708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [14710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [14714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [14716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [14718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [14720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [14724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [14726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [14728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [14730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [14732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [14734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [14736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [14738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9671),
  [14740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [14742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12972),
  [14744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21274),
  [14746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [14748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [14750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10440),
  [14752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [14754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [14756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [14762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [14768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [14772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [14774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [14778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [14780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [14798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [14810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [14812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [14816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [14818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15210),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [14822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4156),
  [14825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4156),
  [14828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [14830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [14832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [14834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [14836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14330),
  [14838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [14840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [14842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [14844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14330),
  [14847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [14849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13987),
  [14855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [14869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [14871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [14873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [14889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [14891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [14945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [14949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 28),
  [14951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 28),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [14967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15388),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14476),
  [14987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14476),
  [14990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [14992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [14998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [15000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6757),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [15012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [15016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [15018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [15020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [15022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [15026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [15030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [15032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [15034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [15040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [15042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [15044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [15046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [15048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [15050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [15052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [15054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6040),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [15068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [15072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 48),
  [15074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 48),
  [15076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [15078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [15080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [15086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11449),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15211),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [15110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [15114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [15118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [15122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [15124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [15126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [15136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [15138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [15144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [15146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [15148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(8936),
  [15151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(14660),
  [15154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [15156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(9837),
  [15159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15122),
  [15162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(914),
  [15165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(16164),
  [15168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(16708),
  [15171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17138),
  [15174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [15176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [15178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [15180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [15182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19364),
  [15188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12769),
  [15190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18456),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20243),
  [15194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10414),
  [15197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20220),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14410),
  [15205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17288),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21003),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [15211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [15213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [15215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [15217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [15219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [15223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [15225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10103),
  [15229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [15231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 77),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [15239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [15245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [15247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [15253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9042),
  [15256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [15258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [15260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [15262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14383),
  [15270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [15272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4167),
  [15279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4167),
  [15282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [15284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20219),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17419),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20360),
  [15296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14383),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20939),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17465),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18817),
  [15307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10252),
  [15310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4143),
  [15313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4143),
  [15316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [15318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10471),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10061),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [15331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18198),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19772),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15057),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13397),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15893),
  [15347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9034),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14451),
  [15352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [15356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 43),
  [15358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10423),
  [15361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [15363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [15365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [15367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10223),
  [15369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3051),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [15376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14451),
  [15379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19216),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [15383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17366),
  [15385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19731),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19528),
  [15389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [15391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17501),
  [15393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21201),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [15397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11446),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [15401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [15405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [15407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [15409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [15411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [15415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [15417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [15421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [15423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [15427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3013),
  [15430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [15432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3017),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [15437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [15439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [15441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [15445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [15447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [15449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [15451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [15453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [15455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [15457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16202),
  [15461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12112),
  [15463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15421),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [15469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [15475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [15479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [15483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [15485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [15487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15182),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15183),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [15501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15195),
  [15507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9618),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [15511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [15513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15312),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [15523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [15525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [15527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [15529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [15531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [15533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [15535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [15537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [15540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [15542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [15544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15302),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14016),
  [15552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11363),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17166),
  [15556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [15558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13601),
  [15562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [15564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [15566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13601),
  [15569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [15571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [15575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [15577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [15579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [15581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [15583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [15585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [15587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [15589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [15591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15302),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [15596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [15598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [15608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [15614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [15616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [15624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15312),
  [15627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [15629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [15631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [15633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [15635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [15638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [15640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3014),
  [15643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 77),
  [15645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 112),
  [15647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3066),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [15652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 78),
  [15654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [15656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3103),
  [15659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 112),
  [15661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9771),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14392),
  [15665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13558),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15916),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15062),
  [15671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15063),
  [15673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16339),
  [15675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [15677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [15681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [15683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [15685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [15687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [15689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [15691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [15693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [15695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [15697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17219),
  [15699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [15701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [15703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13471),
  [15705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [15707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [15709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15385),
  [15711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [15713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9032),
  [15716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15057),
  [15719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [15721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(13397),
  [15724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15893),
  [15727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16164),
  [15730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16708),
  [15733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17138),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17734),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [15748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17734),
  [15751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15341),
  [15753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [15755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [15757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15134),
  [15759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13561),
  [15762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10501),
  [15764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13580),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [15768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 43),
  [15770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [15772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 78),
  [15774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10377),
  [15776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13598),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [15780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [15782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [15784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9718),
  [15786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13592),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14419),
  [15790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14419),
  [15793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14458),
  [15795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14458),
  [15798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15386),
  [15800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [15802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [15804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16202),
  [15807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [15815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [15817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [15819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [15821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [15825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [15827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [15829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17219),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [15836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [15838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [15842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [15846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [15850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [15852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [15854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [15858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [15860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [15862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [15864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [15868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [15870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [15872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [15874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [15878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [15880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [15882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [15884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [15886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [15890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12020),
  [15892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13613),
  [15894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [15896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13618),
  [15898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [15900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [15902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [15904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [15906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [15908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [15910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [15912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [15916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [15918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [15922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [15928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [15930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [15936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [15938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3109),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [15953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9065),
  [15955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 0),
  [15957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [15961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [15963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [15965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [15971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [15977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [15979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [15981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [15983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [15989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [15991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [15997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [15999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [16003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [16005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9106),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [16013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [16017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [16019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [16021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [16023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [16027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [16031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [16035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [16037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [16039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [16043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [16047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9948),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [16051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [16053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 0),
  [16055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [16057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [16059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [16061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [16063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [16065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [16067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [16071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [16075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [16077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [16079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [16085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [16087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [16089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [16091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [16093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [16097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [16099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [16105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [16107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [16109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [16111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [16113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [16117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [16119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10262),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [16125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [16127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [16129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [16133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [16135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [16137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [16139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [16141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [16145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [16147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [16149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [16151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [16153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7552),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [16159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7169),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [16165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [16167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [16169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 0),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [16175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5556),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [16181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7364),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [16187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [16195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8155),
  [16197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [16201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [16203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [16205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [16207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [16209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [16215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8009),
  [16217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12198),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [16233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [16239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [16241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [16243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [16253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [16259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [16261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [16263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6755),
  [16265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [16267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [16269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [16271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4522),
  [16273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10267),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [16278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [16284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [16286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [16288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [16291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [16295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6804),
  [16297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [16301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [16305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [16307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [16309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7007),
  [16311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [16313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [16315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [16317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [16325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3000),
  [16328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [16330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [16332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [16334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [16338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [16340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [16342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [16344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [16346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [16348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13242),
  [16350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7731),
  [16352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [16354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [16356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [16360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [16362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [16364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [16366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9372),
  [16368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7879),
  [16370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [16372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [16374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [16376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [16380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [16382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 97),
  [16384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 97),
  [16386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8228),
  [16388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [16390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [16392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7118),
  [16394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [16396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [16400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [16404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [16406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [16408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [16412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [16414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [16416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [16418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [16420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10553),
  [16422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [16426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [16428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7044),
  [16430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [16432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6277),
  [16434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [16436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7326),
  [16438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3091),
  [16441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6737),
  [16443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [16445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6310),
  [16447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [16449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [16451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [16453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [16455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [16459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [16461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [16463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [16465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [16467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [16469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [16473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3067),
  [16476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5986),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [16480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [16482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [16494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 16),
  [16496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 16),
  [16498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [16506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [16508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7206),
  [16510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [16512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5686),
  [16514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [16516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [16518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [16526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10489),
  [16529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6922),
  [16531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [16533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12807),
  [16535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5521),
  [16537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [16539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [16541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [16545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5268),
  [16547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [16551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14435),
  [16553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [16555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [16557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [16561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [16563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [16565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [16567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [16569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [16571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [16573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [16577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [16579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [16581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [16583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3034),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [16602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [16608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [16610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [16612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [16618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [16622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 114),
  [16624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10657),
  [16626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8857),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13590),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [16634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [16642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [16654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [16660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [16662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [16670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [16676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(13566),
  [16679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [16681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [16683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [16685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [16687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13590),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [16694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [16706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [16712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [16714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [16720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [16722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [16726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 36),
  [16728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 36),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [16738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [16744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [16750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [16756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [16758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [16766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [16770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13647),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15554),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [16778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [16786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [16790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15585),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [16796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9748),
  [16802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15553),
  [16804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [16806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [16808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [16810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [16812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [16816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [16824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [16828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [16832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [16834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [16836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 5),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [16842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [16850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [16854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13579),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [16862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [16866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18430),
  [16868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [16870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13613),
  [16873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13613),
  [16876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(13618),
  [16879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [16881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 57),
  [16883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [16887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [16889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [16891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [16895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [16897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [16899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [16901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [16903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [16905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [16907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [16909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [16911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [16913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [16915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [16917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [16919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [16921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [16923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [16925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [16931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [16933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [16935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [16937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [16939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [16941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [16945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13352),
  [16947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8848),
  [16949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14295),
  [16951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [16953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [16955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [16957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [16959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [16961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [16963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [16965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [16967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6039),
  [16969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [16971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [16973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [16975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [16977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [16979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [16983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15526),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [16987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [16989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [16991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [16993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [16995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [16997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [17001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13559),
  [17003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [17005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [17007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [17009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [17011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15585),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [17018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [17022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13581),
  [17024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 56),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [17030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [17032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [17038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [17040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [17044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [17046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [17048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [17050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15526),
  [17053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13579),
  [17056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [17058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [17062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [17064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [17066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [17070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13582),
  [17072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13594),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17208),
  [17076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17208),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17214),
  [17081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [17083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [17085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [17087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [17089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17214),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [17096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [17104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3922),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [17112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [17120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 78),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16514),
  [17124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [17128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 214),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [17132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 128),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [17136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 191),
  [17138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10490),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [17142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 192),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [17148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 164),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [17152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 165),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [17156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 163),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [17162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 112),
  [17164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13681),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16153),
  [17172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 52),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15453),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [17178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 130),
  [17180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13970),
  [17182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [17184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [17186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15509),
  [17188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [17190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [17192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [17194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11693),
  [17196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [17198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [17200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [17202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11708),
  [17204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13859),
  [17206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11015),
  [17208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13709),
  [17210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [17212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 36),
  [17214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 36),
  [17216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13718),
  [17218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [17220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [17222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 92),
  [17224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12386),
  [17226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18339),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13716),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11653),
  [17232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 127),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [17236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 133),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15517),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10873),
  [17244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 89),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15241),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [17250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 169),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [17254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 198),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [17258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 170),
  [17260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18339),
  [17263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [17265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 217),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [17269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 197),
  [17271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [17273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [17275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 195),
  [17277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [17279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [17281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 196),
  [17283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 236),
  [17285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [17287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [17289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [17291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15970),
  [17293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11153),
  [17295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 132),
  [17297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 134),
  [17299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [17301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 66),
  [17303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 66),
  [17305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [17307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [17309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [17311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [17313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 127),
  [17315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [17317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 218),
  [17319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [17321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17444),
  [17323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [17325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [17327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [17329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14000),
  [17331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 129),
  [17333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 219),
  [17335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11660),
  [17337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 92),
  [17339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [17341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [17343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 228),
  [17345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [17347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [17349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [17351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 198),
  [17353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 54),
  [17355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 199),
  [17357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [17359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [17361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [17363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [17365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [17367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [17369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 216),
  [17371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 217),
  [17373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 213),
  [17375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 18),
  [17377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 18),
  [17379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 38),
  [17381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 38),
  [17383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 19),
  [17385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 19),
  [17387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 229),
  [17389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 0),
  [17391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [17395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [17399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [17401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__or_pattern_anonymous, 3, 0, 0),
  [17403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__or_pattern_anonymous, 3, 0, 0),
  [17405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [17407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 128),
  [17409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 218),
  [17411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 69),
  [17413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 69),
  [17415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [17417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 219),
  [17419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [17421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 67),
  [17423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10163),
  [17425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [17427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [17429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [17431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [17433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 135),
  [17435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [17437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 228),
  [17439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [17441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 66),
  [17443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 66),
  [17445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 167),
  [17447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [17449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 112),
  [17451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 214),
  [17453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [17455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 213),
  [17457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 78),
  [17459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [17461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [17463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [17467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [17469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [17471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10171),
  [17473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [17475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 38),
  [17477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 38),
  [17479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [17481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 215),
  [17483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [17487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [17489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [17491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 229),
  [17493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 236),
  [17495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [17497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [17499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13586),
  [17501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [17503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15291),
  [17505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [17507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 191),
  [17509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 54),
  [17511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 175),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [17515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [17517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [17519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17444),
  [17522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 230),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [17526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 163),
  [17528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 134),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [17534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 129),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [17538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 168),
  [17540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 89),
  [17542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 175),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [17548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 130),
  [17550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 193),
  [17552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 53),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15458),
  [17560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 164),
  [17562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 194),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [17566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 165),
  [17568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 135),
  [17570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 167),
  [17572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 230),
  [17574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 168),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [17586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 195),
  [17588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 196),
  [17590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [17592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [17594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_pattern, 4, 0, 98),
  [17596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_pattern, 4, 0, 98),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [17600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 169),
  [17602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 197),
  [17604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 91),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [17610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 170),
  [17612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 131),
  [17614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 171),
  [17616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 215),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [17620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 192),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9746),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [17628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 132),
  [17630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 171),
  [17632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 172),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12584),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [17640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 193),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [17644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 172),
  [17646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 133),
  [17648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_effect_pattern, 4, 0, 103),
  [17650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_effect_pattern, 4, 0, 103),
  [17652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10371),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [17658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 52),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [17664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 38),
  [17666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 38),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11700),
  [17674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 67),
  [17676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 194),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [17682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 216),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [17686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_pattern, 5, 0, 102),
  [17688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_pattern, 5, 0, 102),
  [17690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 199),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [17694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 130),
  [17696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 78),
  [17698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 87),
  [17700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 92),
  [17702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 87),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20552),
  [17706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 92),
  [17708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 112),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10356),
  [17712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_pattern, 2, 0, 23),
  [17714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [17716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_pattern, 2, 0, 23),
  [17718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 78),
  [17720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 130),
  [17722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 112),
  [17724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 38),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [17730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 38),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15909),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [17736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 66),
  [17738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 66),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14083),
  [17752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13672),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15619),
  [17756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9063),
  [17759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 62),
  [17761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 62),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [17767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14136),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [17771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14156),
  [17773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14138),
  [17775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14120),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [17779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15028),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21262),
  [17785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21262),
  [17787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19502),
  [17789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15850),
  [17791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14347),
  [17793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14347),
  [17795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19038),
  [17797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [17799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15190),
  [17801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [17803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [17805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [17807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [17809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16066),
  [17811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18278),
  [17813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20566),
  [17815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15098),
  [17817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15099),
  [17819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [17821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [17823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [17825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [17827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [17829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [17831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [17833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [17835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [17837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [17839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [17841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [17843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [17845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [17847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [17849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [17851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [17853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [17855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [17857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [17859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [17861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [17863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [17865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [17867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [17869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [17871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [17873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [17875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17368),
  [17877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [17879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18142),
  [17883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20127),
  [17885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12863),
  [17887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [17889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [17893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [17895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15024),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [17905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [17913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [17919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15173),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15192),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [17929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [17931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [17935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [17943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [17947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [17951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [17955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [17959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18192),
  [17965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20261),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12586),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [17971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15042),
  [17973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [17975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [17977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [17979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [17981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [17987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [17993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14031),
  [17995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [17997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15204),
  [17999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [18001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [18005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [18007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15045),
  [18009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [18011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [18013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [18015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [18017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [18019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [18023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [18025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [18027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [18029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [18031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18250),
  [18033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20447),
  [18035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11857),
  [18037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [18039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [18041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [18043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [18045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6396),
  [18047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [18049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [18051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [18053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [18057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18154),
  [18063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19852),
  [18065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [18067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15056),
  [18069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [18071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15121),
  [18073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [18075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [18077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15123),
  [18079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [18081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [18083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [18085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [18087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [18089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [18091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [18093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [18095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [18097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [18099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [18101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [18103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [18105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [18107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [18109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [18111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [18113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [18115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [18117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [18119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [18121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [18123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [18125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [18127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [18129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [18131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [18133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [18135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [18137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [18139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [18141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [18143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [18145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [18147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [18149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [18151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [18153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [18155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [18157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [18159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [18161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [18163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [18165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [18167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [18169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [18171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [18173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15089),
  [18175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [18177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [18179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [18181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [18183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [18187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15090),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [18191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [18193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15036),
  [18195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [18197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15171),
  [18201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [18207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [18211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [18215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [18223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [18229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [18231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [18233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [18235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [18237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [18239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [18243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [18249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [18253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [18257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15970),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [18264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [18272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [18274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17260),
  [18278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19954),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12224),
  [18282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11276),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9645),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [18296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11081),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14394),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13654),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [18316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10706),
  [18320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8821),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [18326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [18328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15038),
  [18330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [18332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [18334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [18336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [18338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [18348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9054),
  [18351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10635),
  [18353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [18355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [18357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10664),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [18361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11054),
  [18363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [18369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [18371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14745),
  [18375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13612),
  [18381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [18383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13956),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13952),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [18389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [18391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [18397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [18399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [18401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [18403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13650),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11212),
  [18409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [18413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [18419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [18423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13464),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13348),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [18433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14347),
  [18436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14347),
  [18439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [18441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [18443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [18445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13599),
  [18447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [18451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [18453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [18455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [18457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15038),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [18462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13431),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12451),
  [18476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [18478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [18490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [18494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [18496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [18498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [18500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5994),
  [18502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [18504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [18506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10041),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11943),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [18546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15535),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12369),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12372),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12248),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11818),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12097),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12103),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [18580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12287),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15063),
  [18584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [18586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15506),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [18600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [18602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [18604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12133),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [18608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [18610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9267),
  [18614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15235),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [18622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [18624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [18626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15907),
  [18628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [18630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [18632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11775),
  [18634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [18636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14214),
  [18638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17345),
  [18640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [18642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11787),
  [18644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [18646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [18648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11898),
  [18650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [18652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [18654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [18656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [18658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12238),
  [18670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17621),
  [18672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11148),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15209),
  [18680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18016),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5939),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14835),
  [18688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [18690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18021),
  [18692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [18698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14838),
  [18700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [18702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17684),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [18706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14225),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12027),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12276),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11828),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [18724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18341),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12193),
  [18736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17685),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12310),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12313),
  [18752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17349),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14199),
  [18756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [18758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18377),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15009),
  [18762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18040),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [18772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17618),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12033),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [18786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17769),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12308),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [18794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6014),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [18798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17634),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [18806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument_type, 3, 0, 11),
  [18808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_labeled_tuple_element_type, 3, 0, 11), SHIFT(9832),
  [18811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17633),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12307),
  [18817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18042),
  [18819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [18821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [18823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12309),
  [18827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17317),
  [18829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [18835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14206),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12318),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12008),
  [18847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11968),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12069),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [18853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17744),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11789),
  [18859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17929),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [18863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18366),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [18869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17753),
  [18871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14211),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [18879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [18881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14870),
  [18883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14361),
  [18885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17867),
  [18887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [18889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17344),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11859),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12327),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11930),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11808),
  [18903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18273),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14775),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5878),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12212),
  [18919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [18921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11811),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12178),
  [18927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13860),
  [18929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [18931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [18935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12223),
  [18937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12201),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [18945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [18947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14342),
  [18949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17546),
  [18951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11777),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11813),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11865),
  [18961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [18963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14404),
  [18965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18272),
  [18967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [18971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10708),
  [18973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [18975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11907),
  [18977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11884),
  [18979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11895),
  [18981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11796),
  [18983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [18985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [18987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17249),
  [18989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [18991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11958),
  [18993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [18995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [18997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [18999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11890),
  [19001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [19003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument_type, 4, 0, 34),
  [19005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11986),
  [19007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [19009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [19011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16965),
  [19013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15403),
  [19015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9758),
  [19017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12357),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [19021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [19029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11892),
  [19031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14806),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12021),
  [19043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [19045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17287),
  [19047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [19049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12025),
  [19051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [19053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [19055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [19057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [19059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [19061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [19063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [19065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [19067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11820),
  [19069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [19071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [19075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12283),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12052),
  [19079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18312),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13694),
  [19083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [19085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14626),
  [19087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18310),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11831),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12057),
  [19093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18285),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14898),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [19103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13925),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11843),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12281),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12059),
  [19113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12122),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [19119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17746),
  [19121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [19123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14803),
  [19125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [19127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17458),
  [19129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [19131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [19133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12577),
  [19135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [19137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12284),
  [19139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12158),
  [19141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [19143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [19145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12164),
  [19147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14834),
  [19149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17271),
  [19151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13706),
  [19153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18372),
  [19155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14971),
  [19157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17223),
  [19159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15935),
  [19161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10524),
  [19163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17225),
  [19165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15936),
  [19167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [19169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17227),
  [19171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15937),
  [19173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13777),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [19183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13375),
  [19185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15085),
  [19187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16611),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [19195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15141),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [19214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 36),
  [19216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [19256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17443),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [19280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [19282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [19284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [19294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [19296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15141),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16878),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13693),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [19332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 142),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [19342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 66),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [19366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16810),
  [19369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [19371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [19373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [19375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [19377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [19379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [19381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [19383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [19385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [19387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [19389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [19391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [19393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [19395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [19397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [19399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [19401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [19403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [19405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [19407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [19409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [19411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [19413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [19415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [19417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [19419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [19421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [19423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [19425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [19427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [19429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [19431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [19433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [19435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [19437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [19439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [19441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [19443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [19445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [19447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [19451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20958),
  [19453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14597),
  [19455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18345),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [19459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [19461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [19463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [19465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [19467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 142),
  [19469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [19471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [19473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [19475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10175),
  [19477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [19479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [19481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [19483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [19485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [19487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [19489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [19491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [19493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [19495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [19497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [19499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [19501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [19503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [19505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 66),
  [19507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [19509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [19511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [19513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [19515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [19517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [19519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [19521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [19523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [19525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [19527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [19529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [19531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [19533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [19535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [19537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [19539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [19541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [19543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [19545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [19547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [19549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [19551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [19553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [19555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [19557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [19559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [19561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [19563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [19565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [19567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [19569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [19571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [19573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10184),
  [19575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [19577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [19579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [19581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [19583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [19585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [19587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [19589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [19591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [19593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [19595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [19597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [19599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [19601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [19603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [19605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [19607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [19609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [19611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [19613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [19615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [19617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [19619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [19621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [19623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [19625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [19627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [19629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [19631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [19633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [19635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [19637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [19639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [19641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [19643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [19645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [19647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [19649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13375),
  [19651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19144),
  [19653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [19655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20463),
  [19657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18587),
  [19659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [19661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21083),
  [19663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [19665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15759),
  [19667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20997),
  [19669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [19671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20186),
  [19673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [19675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20101),
  [19677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [19679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19325),
  [19681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [19683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20665),
  [19685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [19687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 40),
  [19689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [19691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21360),
  [19693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [19695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15878),
  [19697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18791),
  [19699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [19701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13660),
  [19703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16143),
  [19705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18583),
  [19707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [19709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19232),
  [19711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [19713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [19715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19375),
  [19717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [19719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [19721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20269),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21374),
  [19727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [19731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [19733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15281),
  [19735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [19737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15822),
  [19739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [19741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18754),
  [19743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [19745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19107),
  [19747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [19749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15457),
  [19751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15362),
  [19753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21180),
  [19755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16012),
  [19757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15030),
  [19759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 25),
  [19761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15522),
  [19763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 72),
  [19765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [19767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [19769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15381),
  [19771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20747),
  [19773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21084),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [19779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [19781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [19783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15088),
  [19785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21366),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [19789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [19791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [19793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 0),
  [19795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15233),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13674),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16477),
  [19801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19265),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [19809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15286),
  [19813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15016),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [19817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15017),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18790),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15223),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15335),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15602),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20042),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15732),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19655),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15387),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20540),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [19853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21048),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [19859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [19861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16754),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15348),
  [19865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15450),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15328),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14091),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [19873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18611),
  [19875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [19877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [19879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12467),
  [19881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [19883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15499),
  [19885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15228),
  [19887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [19889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [19891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19421),
  [19893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [19895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(8919),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18937),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19257),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15556),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19269),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [19912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(16514),
  [19915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15607),
  [19917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19606),
  [19919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [19921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20869),
  [19923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [19925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [19927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [19929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19109),
  [19931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19986),
  [19933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10149),
  [19935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15420),
  [19937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13676),
  [19939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17174),
  [19941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20258),
  [19943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [19945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13614),
  [19947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17185),
  [19949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [19951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20433),
  [19953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [19955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20397),
  [19957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [19959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [19961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [19963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13629),
  [19965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17195),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13637),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17204),
  [19971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20553),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [19975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14974),
  [19977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14932),
  [19979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20793),
  [19981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [19983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [19985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21028),
  [19987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [19989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15618),
  [19991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21351),
  [19993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [19995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13740),
  [19997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19789),
  [19999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [20001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15032),
  [20003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [20005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [20007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10750),
  [20009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11633),
  [20011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [20013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16294),
  [20015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11594),
  [20017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12534),
  [20019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [20021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [20023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [20025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [20027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [20029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16101),
  [20031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14517),
  [20033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11411),
  [20035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16812),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [20041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [20043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15724),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [20049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [20051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16199),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [20059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12867),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16203),
  [20067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14577),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [20071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14053),
  [20073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [20075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [20077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17039),
  [20079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [20081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16209),
  [20083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15052),
  [20085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [20087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [20089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16106),
  [20091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [20093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [20095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [20097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [20099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17064),
  [20101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [20103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [20105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [20107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11151),
  [20109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13352),
  [20111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [20113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(14337),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [20122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17928),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14041),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13656),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16226),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14344),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17145),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13973),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16227),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13932),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16231),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11559),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16113),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16746),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11215),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13939),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15853),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14439),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17914),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [20208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10372),
  [20211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [20213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10542),
  [20215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [20217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16241),
  [20219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [20221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [20223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [20225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [20227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(17928),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16245),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9847),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14431),
  [20248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16509),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11289),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16249),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15730),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [20278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9021),
  [20281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [20283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [20285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17351),
  [20287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [20289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20284),
  [20291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [20293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [20295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [20297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13314),
  [20299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8126),
  [20302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13311),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16758),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16255),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12528),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16208),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11763),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16621),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11313),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16259),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15382),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11370),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16263),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16210),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [20366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [20370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [20374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11075),
  [20376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16133),
  [20378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [20380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16841),
  [20382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [20384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(16611),
  [20387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [20389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [20391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15587),
  [20393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [20395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15244),
  [20397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [20399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [20401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [20403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17212),
  [20405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [20407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [20409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [20411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [20413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16272),
  [20415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [20417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [20419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9976),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16275),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [20433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16671),
  [20435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16512),
  [20437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [20439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [20441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [20443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [20445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18349),
  [20447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [20449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [20451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [20453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16278),
  [20455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [20457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(16754),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10552),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10053),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16901),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10404),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15944),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17218),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16440),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10138),
  [20496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16289),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [20500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16293),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16098),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10266),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16079),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16300),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14746),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16886),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16046),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13666),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10546),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [20578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [20582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [20592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16134),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12847),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16312),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [20602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [20604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9570),
  [20606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [20608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [20610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13525),
  [20612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16316),
  [20614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [20616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12449),
  [20620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [20622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [20624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [20626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [20628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [20630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13363),
  [20632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [20634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [20636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [20638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13518),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16138),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [20650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13379),
  [20652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [20654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [20656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [20658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16483),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5858),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16337),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10899),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10695),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16146),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13320),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16338),
  [20698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16779),
  [20701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [20703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [20705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [20707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [20709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [20711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16521),
  [20713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [20715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16344),
  [20717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [20719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [20721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16000),
  [20723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [20725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [20727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [20729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [20731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [20733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [20735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [20737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10724),
  [20739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [20741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16003),
  [20743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [20745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [20747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [20749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [20751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [20753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [20755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [20757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [20759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [20761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [20765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16361),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [20781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [20783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [20785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [20787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16365),
  [20789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16074),
  [20791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [20793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16009),
  [20795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [20797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [20799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [20801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [20803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [20805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [20807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [20809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [20811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [20813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [20815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16547),
  [20817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [20819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [20821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11601),
  [20823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13349),
  [20825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16377),
  [20827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [20829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [20831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13649),
  [20833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [20835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [20837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [20839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [20841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [20843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13624),
  [20845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16383),
  [20847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [20849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [20851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [20853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13635),
  [20855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11615),
  [20857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [20859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [20861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [20863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16793),
  [20865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [20867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [20869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11144),
  [20871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [20873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [20875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16392),
  [20877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [20879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16166),
  [20881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [20883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16395),
  [20885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [20887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10152),
  [20889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [20891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16091),
  [20893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [20895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [20897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15065),
  [20899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [20901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [20903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [20905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [20907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12874),
  [20909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [20911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9691),
  [20913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [20915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [20917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [20919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [20921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [20923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13333),
  [20925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10674),
  [20927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [20929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16171),
  [20931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [20933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(17403),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15083),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16031),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [20950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18415),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16779),
  [20960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12536),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16036),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15093),
  [20968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16182),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [20986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [20988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(18299),
  [20991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [20993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [20995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15103),
  [20997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [20999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12513),
  [21001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16042),
  [21003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15105),
  [21005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [21007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15112),
  [21009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [21011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [21013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [21015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [21017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15113),
  [21019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4185),
  [21022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(4185),
  [21025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15115),
  [21027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15118),
  [21029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [21031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [21033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15120),
  [21035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15125),
  [21037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [21039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15130),
  [21041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [21043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15132),
  [21045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15133),
  [21047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15135),
  [21049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [21051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15137),
  [21053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15140),
  [21055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [21057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15142),
  [21059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15148),
  [21061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [21063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [21065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [21067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15149),
  [21069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [21071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15150),
  [21073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15153),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15155),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15156),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15158),
  [21083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15159),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15161),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15162),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15163),
  [21095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15165),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15167),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15168),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15169),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17264),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15172),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13406),
  [21109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17003),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15174),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15175),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12425),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15177),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15178),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15180),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15184),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15186),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11364),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12817),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14024),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16144),
  [21153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17475),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10310),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16065),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14757),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11448),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11458),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10485),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16072),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17210),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17037),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17215),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17221),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12541),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12543),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11762),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16428),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15315),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14747),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14675),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14337),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20137),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15752),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15595),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14769),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14668),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15764),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14845),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15541),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14911),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14849),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14461),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18199),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9825),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15836),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15035),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14958),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14692),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [21285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16195),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16195),
  [21290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15865),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [21296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15060),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [21302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17460),
  [21304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15097),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14794),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14862),
  [21314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14690),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15833),
  [21322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [21324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [21326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [21328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14957),
  [21330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [21332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14798),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15066),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [21338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15483),
  [21340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14903),
  [21344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15528),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14846),
  [21354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [21356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14980),
  [21358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [21360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17496),
  [21362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15313),
  [21364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15490),
  [21366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14693),
  [21368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [21370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14988),
  [21372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [21374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14854),
  [21376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18164),
  [21378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18171),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18185),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14962),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15884),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [21392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14995),
  [21394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15378),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [21402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14999),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17422),
  [21408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15532),
  [21410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [21412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14920),
  [21414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [21416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [21418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17296),
  [21420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14917),
  [21422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [21424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15383),
  [21426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [21428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [21430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [21432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14978),
  [21434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [21436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17529),
  [21438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18166),
  [21440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [21442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [21444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [21446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [21448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [21450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [21452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [21454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [21456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [21458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 44),
  [21460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14809),
  [21462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15398),
  [21464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14459),
  [21466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13998),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [21472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14969),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15766),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [21484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14492),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [21488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15106),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15393),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [21496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17554),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14976),
  [21502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14729),
  [21506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [21508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14761),
  [21510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14833),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [21516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [21518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14755),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [21526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14892),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15571),
  [21530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [21532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15537),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14877),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [21542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [21544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20970),
  [21546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15566),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14792),
  [21552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17581),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17262),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15546),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15246),
  [21572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14797),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14881),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17486),
  [21582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(16371),
  [21585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [21587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [21591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14984),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [21595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14802),
  [21599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13340),
  [21601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14420),
  [21603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11171),
  [21605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17603),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [21609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20863),
  [21611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [21613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [21615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15462),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15519),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14716),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [21631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4535),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19388),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15465),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17628),
  [21650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14694),
  [21652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [21654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14707),
  [21656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [21658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [21660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14438),
  [21662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9269),
  [21664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [21666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17335),
  [21668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15288),
  [21670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13313),
  [21672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15114),
  [21674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17652),
  [21676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [21678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11353),
  [21680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14770),
  [21682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [21684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15050),
  [21686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15838),
  [21688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [21690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14953),
  [21692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [21694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [21696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14728),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17669),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15591),
  [21704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13315),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15548),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15252),
  [21712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14454),
  [21714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15001),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17687),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14938),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15597),
  [21730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15270),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14871),
  [21736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [21738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17354),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17701),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14639),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10711),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14785),
  [21750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14904),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15012),
  [21758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(10233),
  [21761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [21763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17720),
  [21765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2329),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14950),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15275),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18414),
  [21782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14469),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14674),
  [21792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [21794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15095),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15126),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17745),
  [21800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [21802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16421),
  [21805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14918),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14677),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15446),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15124),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15550),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14724),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17761),
  [21841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13640),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14873),
  [21847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14715),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15107),
  [21857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14784),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18266),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15646),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17777),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14635),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [21877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [21879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [21883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20795),
  [21885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [21887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14685),
  [21889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [21891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [21893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17794),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15565),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15650),
  [21899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15033),
  [21902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14824),
  [21906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [21908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14981),
  [21910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [21912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17369),
  [21916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [21918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [21920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17816),
  [21922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14925),
  [21924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15370),
  [21926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [21928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15327),
  [21930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [21932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15013),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [21936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10784),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15648),
  [21940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11486),
  [21944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14655),
  [21946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17826),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15102),
  [21950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15000),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [21954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [21956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [21958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17836),
  [21960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14901),
  [21962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [21964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17849),
  [21966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14603),
  [21968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [21970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14882),
  [21972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [21976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [21978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15138),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15064),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17861),
  [21990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14998),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [21996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14909),
  [21998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14664),
  [22002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15695),
  [22006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [22008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17873),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [22012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [22014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [22016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9679),
  [22018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [22020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17885),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14470),
  [22024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [22026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [22030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14733),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14916),
  [22034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13812),
  [22040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [22042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17993),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18444),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [22048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17898),
  [22050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14379),
  [22052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5917),
  [22054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14848),
  [22056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [22058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14572),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15611),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15316),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [22066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17912),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [22070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14937),
  [22072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14385),
  [22074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [22076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18386),
  [22080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4612),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15750),
  [22085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [22087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17925),
  [22089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [22091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13928),
  [22093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14912),
  [22095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9864),
  [22097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [22099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17939),
  [22101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15577),
  [22103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [22105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [22107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [22109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13708),
  [22111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15718),
  [22113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14825),
  [22115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14874),
  [22117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14722),
  [22119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [22121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [22123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [22125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17951),
  [22127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [22129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14434),
  [22131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [22133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [22135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15022),
  [22137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13643),
  [22139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15154),
  [22141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14952),
  [22143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17964),
  [22145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15600),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [22149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [22151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14521),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14805),
  [22155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [22157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [22159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [22161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14936),
  [22163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17973),
  [22167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(15084),
  [22170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [22172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20327),
  [22176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15719),
  [22178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13621),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17985),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14910),
  [22186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [22188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15325),
  [22190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [22192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14919),
  [22194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [22196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [22198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14673),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14623),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14836),
  [22206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17997),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14760),
  [22214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20737),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15723),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [22222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14889),
  [22224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6482),
  [22226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18006),
  [22228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15243),
  [22230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [22232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [22234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14990),
  [22236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [22238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [22240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [22242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15612),
  [22244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14719),
  [22246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18019),
  [22248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11396),
  [22250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21011),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [22256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15872),
  [22258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14773),
  [22260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [22262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18030),
  [22264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [22266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15004),
  [22268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14617),
  [22270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [22272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [22274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [22276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10629),
  [22278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [22280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14996),
  [22282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15353),
  [22284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14010),
  [22286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14788),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18039),
  [22290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [22292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15166),
  [22296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14489),
  [22298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15070),
  [22300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18049),
  [22302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [22304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [22306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18054),
  [22308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15109),
  [22310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18058),
  [22312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [22314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14700),
  [22316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10154),
  [22318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18062),
  [22320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [22322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18067),
  [22324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18072),
  [22326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18078),
  [22328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18082),
  [22330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18086),
  [22332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [22334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18090),
  [22336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18094),
  [22338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15754),
  [22340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10157),
  [22342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18098),
  [22344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18102),
  [22346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18106),
  [22348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18111),
  [22350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18112),
  [22352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18114),
  [22354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18115),
  [22356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18116),
  [22358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18117),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18118),
  [22362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18119),
  [22364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18120),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18121),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18122),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18123),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18124),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18125),
  [22376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18126),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18127),
  [22380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18128),
  [22382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18129),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18131),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18132),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18133),
  [22390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18134),
  [22392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18135),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18136),
  [22396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [22398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14942),
  [22400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [22402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [22404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3116),
  [22407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [22409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14883),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18155),
  [22415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18240),
  [22417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18241),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18243),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [22425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [22427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14866),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13528),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15653),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15760),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15805),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [22441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14358),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14956),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10174),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14992),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [22463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2029),
  [22466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14850),
  [22468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [22470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [22472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15634),
  [22474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [22476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15006),
  [22478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [22480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [22482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14087),
  [22484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [22486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [22488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14650),
  [22490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [22492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [22494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [22496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14893),
  [22498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [22500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [22502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14433),
  [22504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [22506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14720),
  [22508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [22510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [22512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [22514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [22516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [22518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15780),
  [22520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [22522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17236),
  [22524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17237),
  [22526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17238),
  [22528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14968),
  [22530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [22532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11169),
  [22534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14687),
  [22536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [22538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [22544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 1),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15076),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15786),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14659),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15649),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17283),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14894),
  [22570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12533),
  [22572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15139),
  [22574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [22576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [22578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14997),
  [22580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [22582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14897),
  [22584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [22586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14907),
  [22588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17305),
  [22594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17306),
  [22596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17307),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [22600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15253),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14949),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [22612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15802),
  [22614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [22616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [22618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [22620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [22622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14869),
  [22624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [22626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14900),
  [22628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [22630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [22632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15376),
  [22634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [22636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14943),
  [22638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15803),
  [22640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14683),
  [22642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [22644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15823),
  [22646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [22648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20216),
  [22650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17374),
  [22656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17375),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17376),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [22664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15782),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18335),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [22682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17425),
  [22684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17426),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17427),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14406),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [22696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14762),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15664),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18643),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17472),
  [22710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17473),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17474),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [22716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14965),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14768),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14977),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14928),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17504),
  [22742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17505),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17506),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [22748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14751),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15824),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17537),
  [22762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17538),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17539),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [22770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14923),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17562),
  [22782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17563),
  [22784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17564),
  [22786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [22788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [22790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [22792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [22794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [22796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19004),
  [22798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [22800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15841),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17592),
  [22806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17593),
  [22808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17594),
  [22810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [22812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [22814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [22816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15784),
  [22818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14886),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17612),
  [22824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17613),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17614),
  [22828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [22830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14887),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17636),
  [22844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17637),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17638),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [22850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15379),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17657),
  [22860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17658),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17659),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14940),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [22868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [22874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3201),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14493),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14813),
  [22881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17675),
  [22883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17676),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17677),
  [22887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [22889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17690),
  [22897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17691),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17692),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [22903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14973),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17707),
  [22911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17708),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17709),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [22917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [22921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14706),
  [22923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [22925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14880),
  [22927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [22929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [22931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18224),
  [22933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14851),
  [22935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [22937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17728),
  [22939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17729),
  [22941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17730),
  [22943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [22945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [22947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17749),
  [22955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17750),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17751),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [22961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [22963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15668),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17764),
  [22971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17765),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17766),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [22977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 44),
  [22979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [22981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14945),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20348),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14686),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17781),
  [22995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17782),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17783),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [23001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15623),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17800),
  [23015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17801),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17802),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [23021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15852),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17818),
  [23031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17819),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17820),
  [23035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [23037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [23039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [23041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(15091),
  [23044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14663),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17830),
  [23052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17831),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17832),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [23060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14776),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19058),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17842),
  [23072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17843),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17844),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [23078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [23080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [23082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [23084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [23086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14922),
  [23088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17852),
  [23090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17853),
  [23092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17854),
  [23094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [23096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [23098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [23100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14748),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15673),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18631),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17864),
  [23110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17865),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17866),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [23116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14808),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15642),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17878),
  [23132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17879),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17880),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [23138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17891),
  [23146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17892),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17893),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [23152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15208),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14815),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17905),
  [23162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17906),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17907),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [23168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14730),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17915),
  [23178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17916),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17917),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [23184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17931),
  [23192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17932),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17933),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [23198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17944),
  [23206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17945),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17946),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [23212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17958),
  [23218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17959),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17960),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [23224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17362),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17968),
  [23232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17969),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17970),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [23238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14796),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17976),
  [23246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17977),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17978),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [23252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15007),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17989),
  [23264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17990),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17991),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [23270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [23276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 44),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15881),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18001),
  [23284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18002),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18003),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [23290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14483),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18010),
  [23304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18011),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18012),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [23310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14926),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18023),
  [23322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18024),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18025),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [23328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14672),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18034),
  [23340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18035),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18036),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [23346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [23348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [23352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15885),
  [23354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14857),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15702),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [23360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11310),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18043),
  [23364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18044),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18045),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [23370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14934),
  [23378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [23380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18051),
  [23382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18052),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18053),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15087),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18055),
  [23390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18056),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18057),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18059),
  [23396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18060),
  [23398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18061),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18063),
  [23402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18064),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18065),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18068),
  [23408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18069),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18070),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18073),
  [23414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18074),
  [23416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18075),
  [23418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18079),
  [23420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18080),
  [23422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18081),
  [23424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18083),
  [23426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18084),
  [23428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18085),
  [23430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18087),
  [23432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18088),
  [23434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18089),
  [23436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18091),
  [23438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18092),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18093),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18095),
  [23444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18096),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18097),
  [23448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18099),
  [23450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18100),
  [23452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18101),
  [23454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18103),
  [23456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18104),
  [23458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18105),
  [23460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18107),
  [23462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18108),
  [23464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18109),
  [23466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [23468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15615),
  [23470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [23472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14939),
  [23474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [23476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14859),
  [23478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [23480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [23482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [23484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [23486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15390),
  [23488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18218),
  [23490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [23492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14989),
  [23494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [23496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [23498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14684),
  [23500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [23502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15720),
  [23504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14902),
  [23506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [23508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [23510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14772),
  [23512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [23514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15428),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14427),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14224),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15922),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14914),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15904),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [23536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [23538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14764),
  [23540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [23542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15303),
  [23544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [23546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14915),
  [23548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [23550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [23552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15914),
  [23554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [23556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [23558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14718),
  [23560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15002),
  [23562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [23564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [23566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15187),
  [23568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15003),
  [23570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15433),
  [23572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15920),
  [23574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15931),
  [23576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15367),
  [23578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [23580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17414),
  [23582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9998),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15927),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14826),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14739),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14944),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19250),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13411),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16856),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18296),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20299),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20300),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20301),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21120),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14276),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18707),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [23659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [23663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [23665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [23667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [23669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [23671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [23673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19950),
  [23675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [23677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [23679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19669),
  [23681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [23683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [23685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20725),
  [23687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12004),
  [23689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [23691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19794),
  [23693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [23695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [23697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20192),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [23705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [23707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18806),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13711),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20945),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17608),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17625),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21020),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20721),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20799),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20682),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17076),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17648),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20394),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20395),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20396),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20745),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20763),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20480),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17528),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20081),
  [23847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 148),
  [23849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [23851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20460),
  [23853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [23855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [23857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [23859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [23861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20541),
  [23863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [23865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9927),
  [23867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20726),
  [23869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20877),
  [23871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [23873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20890),
  [23875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [23877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [23879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [23881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18781),
  [23883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [23885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21135),
  [23887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [23889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [23891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [23893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14246),
  [23895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [23897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18371),
  [23899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18375),
  [23901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [23903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [23905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [23907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [23909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [23911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [23913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18219),
  [23915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16805),
  [23917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [23919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [23921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [23923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17324),
  [23925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20470),
  [23927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20471),
  [23929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20472),
  [23931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [23933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [23935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21035),
  [23937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [23939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [23941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18816),
  [23943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [23945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [23947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [23949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [23951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [23953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [23955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [23957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19032),
  [23959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [23961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [23963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [23965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [23967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20698),
  [23969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [23971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [23973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [23975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [23977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [23979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [23981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12128),
  [23983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13475),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [23989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18295),
  [23993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14282),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17468),
  [23997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17478),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [24003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19127),
  [24005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [24007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [24009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [24011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19134),
  [24013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [24015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [24017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20352),
  [24019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16193),
  [24021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17639),
  [24023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20501),
  [24025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20502),
  [24027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20503),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [24033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20576),
  [24035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [24037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19210),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19209),
  [24043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19227),
  [24049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [24051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13954),
  [24061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [24063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [24065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20616),
  [24067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10534),
  [24069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [24071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [24073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [24075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [24077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [24079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [24081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17827),
  [24083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17828),
  [24085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [24087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [24089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18889),
  [24091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [24093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [24095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [24097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [24099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [24101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10697),
  [24103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [24105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14418),
  [24107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [24109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [24111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16578),
  [24113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18026),
  [24115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20528),
  [24117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20529),
  [24119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20530),
  [24121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [24123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [24125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [24127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [24129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [24131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20490),
  [24133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [24135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20714),
  [24137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [24139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [24141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [24143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [24145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [24147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [24149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18963),
  [24151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14306),
  [24153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18221),
  [24155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [24157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [24159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [24161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10792),
  [24163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [24165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [24167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19959),
  [24169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [24171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [24173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [24175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16960),
  [24177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18344),
  [24179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20554),
  [24181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20555),
  [24183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20556),
  [24185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [24187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [24189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20027),
  [24191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [24193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [24195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13359),
  [24197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [24199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20041),
  [24201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [24203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20057),
  [24205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [24207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [24209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20915),
  [24211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [24213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [24215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20497),
  [24217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14263),
  [24219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [24221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [24223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [24225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18457),
  [24227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [24229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [24231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18464),
  [24233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [24235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [24237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [24239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [24241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [24243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [24245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17167),
  [24247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18271),
  [24249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20579),
  [24251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20580),
  [24253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20581),
  [24255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [24257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [24259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [24261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [24263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [24265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20960),
  [24267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [24269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14632),
  [24271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [24273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [24275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14271),
  [24277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17705),
  [24279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17725),
  [24281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [24283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [24285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [24287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [24289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [24291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [24293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16139),
  [24295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18403),
  [24297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20599),
  [24299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20600),
  [24301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20601),
  [24303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [24305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [24307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [24309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20730),
  [24311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [24313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [24315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21098),
  [24317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [24319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [24321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [24323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [24325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [24327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17391),
  [24329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17397),
  [24331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [24333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20837),
  [24335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [24337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [24339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [24341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [24343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [24345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [24347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [24349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [24351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [24353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20928),
  [24355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17017),
  [24357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17570),
  [24359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20618),
  [24361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20619),
  [24363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20620),
  [24365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14795),
  [24367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [24369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [24371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21192),
  [24373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [24375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14309),
  [24377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17776),
  [24379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17778),
  [24381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [24383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21249),
  [24385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [24387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17268),
  [24389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [24391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [24393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21416),
  [24395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [24397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16063),
  [24399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18156),
  [24401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20636),
  [24403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20637),
  [24405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20638),
  [24407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 10),
  [24409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18842),
  [24411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [24413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [24415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14255),
  [24417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18667),
  [24419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18308),
  [24421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18311),
  [24423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [24425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [24427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [24429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [24431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5668),
  [24433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [24435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [24437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18673),
  [24439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18853),
  [24441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16325),
  [24443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18367),
  [24445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20652),
  [24447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20653),
  [24449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20654),
  [24451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [24453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18683),
  [24455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [24457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [24459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [24461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20039),
  [24463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [24465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18666),
  [24467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [24469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [24471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [24473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [24475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18881),
  [24477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18411),
  [24479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18412),
  [24481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10570),
  [24483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [24485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18610),
  [24487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [24489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17257),
  [24491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20668),
  [24493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20669),
  [24495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20670),
  [24497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [24499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16419),
  [24501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [24503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [24505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [24507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17281),
  [24509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17282),
  [24511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [24513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20746),
  [24515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [24517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [24519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [24521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [24523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18632),
  [24525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [24527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [24529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [24531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17338),
  [24533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20684),
  [24535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20685),
  [24537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20686),
  [24539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [24541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [24543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14242),
  [24545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17382),
  [24547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17384),
  [24549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18737),
  [24551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [24553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18738),
  [24555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [24557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [24559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17981),
  [24561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19596),
  [24563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [24565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17418),
  [24567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20700),
  [24569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20701),
  [24571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20702),
  [24573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11297),
  [24575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [24577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17461),
  [24579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17462),
  [24581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [24583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18751),
  [24585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [24587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [24589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18771),
  [24591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [24593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18770),
  [24595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [24597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [24599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [24601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [24603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17508),
  [24605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20716),
  [24607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20717),
  [24609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20718),
  [24611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [24613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [24615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18769),
  [24617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [24619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [24621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14240),
  [24623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17552),
  [24625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17553),
  [24627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [24629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [24631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [24633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [24635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [24637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20930),
  [24639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [24641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20362),
  [24643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [24645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [24647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [24649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17598),
  [24651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20732),
  [24653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20733),
  [24655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20734),
  [24657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17320),
  [24659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [24661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19373),
  [24663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13052),
  [24665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [24667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20256),
  [24669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14281),
  [24671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [24673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17651),
  [24675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17653),
  [24677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12626),
  [24679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [24681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 183),
  [24683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19106),
  [24685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [24687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20065),
  [24689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14163),
  [24691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [24693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [24695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17699),
  [24697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20748),
  [24699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20749),
  [24701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20750),
  [24703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [24705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19182),
  [24707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [24709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [24711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17759),
  [24713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17760),
  [24715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13325),
  [24717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [24719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18915),
  [24721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [24723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17812),
  [24725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20764),
  [24727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20765),
  [24729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20766),
  [24731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20077),
  [24733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10531),
  [24735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14312),
  [24737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17858),
  [24739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17860),
  [24741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [24743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20762),
  [24745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [24747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [24749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [24751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [24753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [24755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9626),
  [24757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17911),
  [24759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20780),
  [24761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20781),
  [24763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20782),
  [24765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [24767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14274),
  [24769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [24771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17963),
  [24773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17965),
  [24775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [24777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [24779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [24781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19044),
  [24783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [24785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [24787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [24789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18009),
  [24791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20796),
  [24793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20797),
  [24795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20798),
  [24797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14450),
  [24799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20266),
  [24801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [24803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [24805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 30),
  [24807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18048),
  [24809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [24811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19061),
  [24813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18050),
  [24815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [24817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19075),
  [24819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [24821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [24823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [24825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [24827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18169),
  [24829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20812),
  [24831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20813),
  [24833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20814),
  [24835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [24837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19092),
  [24839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18183),
  [24841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18184),
  [24843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [24845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [24847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [24849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20520),
  [24851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18212),
  [24853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20827),
  [24855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20828),
  [24857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20829),
  [24859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13720),
  [24861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18225),
  [24863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [24865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [24867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [24869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20634),
  [24871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [24873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18252),
  [24875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20842),
  [24877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20843),
  [24879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20844),
  [24881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [24883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19192),
  [24885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18269),
  [24887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [24889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [24891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19207),
  [24893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [24895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19585),
  [24897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18303),
  [24899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20857),
  [24901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20858),
  [24903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20859),
  [24905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [24907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9696),
  [24909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [24911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18325),
  [24913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18363),
  [24915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20872),
  [24917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20873),
  [24919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20874),
  [24921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [24923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14367),
  [24925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [24927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19266),
  [24929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18379),
  [24931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [24933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19283),
  [24935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [24937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20778),
  [24939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [24941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20524),
  [24943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [24945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10228),
  [24947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18416),
  [24949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20887),
  [24951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20888),
  [24953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20889),
  [24955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [24957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18429),
  [24959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [24961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [24963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [24965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19316),
  [24967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [24969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19322),
  [24971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [24973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [24975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [24977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18461),
  [24979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20902),
  [24981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20903),
  [24983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20904),
  [24985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [24987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [24989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11574),
  [24991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [24993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [24995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19365),
  [24997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [24999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19376),
  [25001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [25003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17293),
  [25005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20917),
  [25007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20918),
  [25009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20919),
  [25011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [25013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17550),
  [25015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [25017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19419),
  [25019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [25021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18304),
  [25023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20932),
  [25025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20933),
  [25027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20934),
  [25029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [25031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [25033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [25035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19429),
  [25037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [25039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19433),
  [25041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18459),
  [25043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [25045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19434),
  [25047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [25049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [25051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20279),
  [25053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16760),
  [25055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21385),
  [25057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [25059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20119),
  [25061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17389),
  [25063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20947),
  [25065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20948),
  [25067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20949),
  [25069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11631),
  [25071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17483),
  [25073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [25075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19479),
  [25077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [25079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [25081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19487),
  [25083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [25085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [25087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17644),
  [25089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20962),
  [25091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20963),
  [25093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20964),
  [25095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [25097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17767),
  [25099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [25101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [25103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19527),
  [25105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [25107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19530),
  [25109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [25111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [25113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [25115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18211),
  [25117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20977),
  [25119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20978),
  [25121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20979),
  [25123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [25125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [25127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19573),
  [25129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [25131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19580),
  [25133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18365),
  [25135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20992),
  [25137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20993),
  [25139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20994),
  [25141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [25143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [25145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20794),
  [25147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17255),
  [25149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21007),
  [25151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21008),
  [25153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21009),
  [25155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [25157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [25159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [25161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19630),
  [25163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [25165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19632),
  [25167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [25169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [25171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20975),
  [25173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13626),
  [25175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [25177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [25179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17330),
  [25181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21022),
  [25183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21023),
  [25185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21024),
  [25187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [25189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19671),
  [25191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [25193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19677),
  [25195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [25197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [25199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17415),
  [25201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21037),
  [25203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21038),
  [25205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21039),
  [25207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [25209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [25211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19725),
  [25213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [25215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19730),
  [25217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [25219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19756),
  [25221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17498),
  [25223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21051),
  [25225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21052),
  [25227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21053),
  [25229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [25231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [25233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [25235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [25237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19832),
  [25239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17670),
  [25241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18604),
  [25243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10120),
  [25245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [25247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19837),
  [25249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [25251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19769),
  [25253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17577),
  [25255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21065),
  [25257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21066),
  [25259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21067),
  [25261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [25263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19843),
  [25265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [25267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [25269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19788),
  [25271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [25273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19793),
  [25275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [25277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13668),
  [25279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [25281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17654),
  [25283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21079),
  [25285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21080),
  [25287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21081),
  [25289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [25291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19825),
  [25293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19927),
  [25295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [25297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [25299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19839),
  [25301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19936),
  [25303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [25305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17748),
  [25307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21093),
  [25309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21094),
  [25311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21095),
  [25313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [25315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [25317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13604),
  [25319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17796),
  [25321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21105),
  [25323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21106),
  [25325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21107),
  [25327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17846),
  [25329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21117),
  [25331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21118),
  [25333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21119),
  [25335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17870),
  [25337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21122),
  [25339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21123),
  [25341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21124),
  [25343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17886),
  [25345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21127),
  [25347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21128),
  [25349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21129),
  [25351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [25353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [25355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17901),
  [25357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21132),
  [25359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21133),
  [25361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21134),
  [25363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [25365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20112),
  [25367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17920),
  [25369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21137),
  [25371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21138),
  [25373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21139),
  [25375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [25377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17937),
  [25379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21142),
  [25381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21143),
  [25383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21144),
  [25385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17953),
  [25387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21147),
  [25389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21148),
  [25391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21149),
  [25393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17966),
  [25395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21152),
  [25397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21153),
  [25399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21154),
  [25401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17982),
  [25403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21157),
  [25405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21158),
  [25407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21159),
  [25409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17995),
  [25411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21162),
  [25413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21163),
  [25415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21164),
  [25417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18007),
  [25419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21167),
  [25421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21168),
  [25423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21169),
  [25425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18028),
  [25427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21172),
  [25429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21173),
  [25431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21174),
  [25433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18038),
  [25435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21177),
  [25437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21178),
  [25439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21179),
  [25441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [25443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [25445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [25447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20237),
  [25449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [25451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [25453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20810),
  [25455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14551),
  [25457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13968),
  [25459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12870),
  [25461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9685),
  [25463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [25465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [25467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14286),
  [25469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [25471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [25473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18158),
  [25475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [25477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18173),
  [25479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14931),
  [25481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20222),
  [25483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [25485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14027),
  [25487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [25489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [25491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18397),
  [25493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18432),
  [25495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21340),
  [25497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [25499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [25501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20597),
  [25503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14265),
  [25505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [25507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20202),
  [25509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10183),
  [25511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21343),
  [25513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [25515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14304),
  [25517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [25519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [25521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20210),
  [25523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [25525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20139),
  [25527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9542),
  [25529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [25531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [25533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [25535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [25537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [25539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21349),
  [25541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14691),
  [25543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20275),
  [25545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [25547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [25549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [25551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20825),
  [25553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [25555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [25557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [25559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [25561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [25563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [25565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [25567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [25569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [25571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [25573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [25575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [25577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14428),
  [25579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20141),
  [25581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [25583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [25585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20398),
  [25587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [25589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20333),
  [25591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [25593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [25595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [25597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [25599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20339),
  [25601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [25603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [25605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [25607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [25609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [25611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [25613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11220),
  [25615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [25617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [25619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20840),
  [25621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11562),
  [25623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [25625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [25627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [25629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16465),
  [25631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [25633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [25635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [25637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [25639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17489),
  [25641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20189),
  [25643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20190),
  [25645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20191),
  [25647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [25649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9639),
  [25651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20457),
  [25653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [25655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [25657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20550),
  [25659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14305),
  [25661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [25663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [25665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [25667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [25669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [25671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20473),
  [25673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [25675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11741),
  [25677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [25679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [25681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [25683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [25685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20482),
  [25687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [25689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12517),
  [25691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [25693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [25695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14219),
  [25697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [25699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [25701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11919),
  [25703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [25705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21195),
  [25707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [25709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14409),
  [25711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20951),
  [25713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [25715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [25717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [25719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15217),
  [25721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [25723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [25725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [25727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20855),
  [25729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17406),
  [25731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [25733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [25735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20966),
  [25737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [25739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [25741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [25743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [25745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [25747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [25749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20971),
  [25751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [25753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [25755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [25757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [25759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20689),
  [25761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [25763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20841),
  [25765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [25767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [25769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [25771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20990),
  [25773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [25775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14048),
  [25777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [25779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14653),
  [25781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [25783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20896),
  [25785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [25787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20705),
  [25789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [25791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [25793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [25795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [25797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [25799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [25801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [25803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [25805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [25807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20650),
  [25809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [25811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10547),
  [25813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11395),
  [25815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [25817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [25819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [25821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20870),
  [25823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [25825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20927),
  [25827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [25829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [25831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [25833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [25835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20936),
  [25837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20526),
  [25839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14563),
  [25841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [25843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [25845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [25847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [25849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [25851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [25853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [25855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [25857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [25859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [25861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [25863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20995),
  [25865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [25867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20926),
  [25869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [25871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [25873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21036),
  [25875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20956),
  [25877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [25879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [25881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20991),
  [25883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [25885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20941),
  [25887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [25889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [25891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10562),
  [25893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21069),
  [25895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14927),
  [25897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [25899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [25901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20968),
  [25903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [25905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21074),
  [25907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14737),
  [25909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [25911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20451),
  [25913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [25915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20159),
  [25917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [25919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21016),
  [25921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [25923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20885),
  [25925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [25927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21054),
  [25929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [25931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [25933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [25935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [25937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [25939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [25941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9819),
  [25943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21220),
  [25945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [25947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [25949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14494),
  [25951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14180),
  [25953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [25955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20459),
  [25957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [25959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [25961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [25963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [25965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [25967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21413),
  [25969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [25971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [25973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14362),
  [25975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [25977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20375),
  [25979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [25981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [25983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [25985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11366),
  [25987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [25989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21236),
  [25991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [25993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [25995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [25997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21247),
  [25999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [26001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [26003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [26005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [26007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [26009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [26011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18625),
  [26013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17789),
  [26015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11156),
  [26017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17798),
  [26019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [26021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [26023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [26025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20900),
  [26027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [26029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [26031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [26033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [26035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [26037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20666),
  [26039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [26041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21005),
  [26043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [26045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [26047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [26049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [26051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [26053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13934),
  [26055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11052),
  [26057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [26059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [26061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [26063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [26065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [26067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [26069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21445),
  [26071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [26073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [26075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [26077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [26079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [26081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18641),
  [26083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17343),
  [26085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [26087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [26089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [26091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [26093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [26095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [26097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [26099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [26101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [26103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [26105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13434),
  [26107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [26109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [26111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [26113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [26115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [26117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [26119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [26121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [26123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [26125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [26127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [26129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [26131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13551),
  [26133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [26135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13986),
  [26137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [26139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [26141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [26143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [26145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [26147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18350),
  [26149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [26151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [26153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [26155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [26157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [26159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [26161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [26163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [26165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [26167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [26169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [26171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [26173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [26175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [26177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [26179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [26181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17254),
  [26183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13995),
  [26185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [26187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [26189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [26191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12058),
  [26193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [26195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [26197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [26199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [26201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [26203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [26205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12064),
  [26207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18381),
  [26209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [26211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10481),
  [26213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10486),
  [26215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [26217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [26219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [26221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [26223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [26225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [26227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [26229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [26231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [26233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [26235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [26237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [26239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [26241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13330),
  [26243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [26245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [26247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [26249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [26251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [26253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [26255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [26257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [26259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [26261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [26263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17231),
  [26265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [26267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [26269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [26271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [26273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [26275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [26277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [26279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [26281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16599),
  [26283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [26285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [26287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [26289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12102),
  [26291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [26293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16798),
  [26295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [26297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [26299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [26301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [26303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17261),
  [26305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [26307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [26309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17941),
  [26311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [26313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [26315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [26317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [26319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [26321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [26323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [26325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [26327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [26329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [26331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13367),
  [26333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [26335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [26337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [26339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [26341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [26343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [26345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [26347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10503),
  [26349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [26351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [26353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17328),
  [26355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [26357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [26359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17733),
  [26361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [26363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [26365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [26367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [26369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [26371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [26373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [26375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16942),
  [26377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [26379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [26381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16847),
  [26383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12034),
  [26385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [26387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12138),
  [26389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [26391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [26393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [26395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [26397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [26399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12144),
  [26401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17341),
  [26403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [26405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [26407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [26409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [26411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [26413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [26415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [26417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [26419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [26421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [26423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [26425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [26427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [26429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [26431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13421),
  [26433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [26435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [26437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [26439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [26441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [26443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [26445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [26447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [26449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17407),
  [26451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [26453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [26455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [26457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [26459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [26461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13318),
  [26463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [26465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [26467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [26469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9921),
  [26471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [26473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17226),
  [26475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14878),
  [26477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [26479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [26481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11974),
  [26483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [26485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12241),
  [26487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [26489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [26491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [26493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12245),
  [26495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17433),
  [26497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10429),
  [26499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [26501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [26503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [26505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [26507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17350),
  [26509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [26511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [26513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [26515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [26517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16127),
  [26519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [26521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12050),
  [26523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10241),
  [26525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13443),
  [26527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [26529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [26531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [26533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [26535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13876),
  [26537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [26539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [26541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [26543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [26545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [26547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17494),
  [26549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [26551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [26553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [26555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [26557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [26559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [26561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [26563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [26565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [26567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [26569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [26571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16041),
  [26573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [26575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [26577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [26579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [26581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12275),
  [26583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [26585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [26587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [26589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [26591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12279),
  [26593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17514),
  [26595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [26597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [26599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [26601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [26603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [26605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [26607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [26609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [26611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [26613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [26615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [26617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [26619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [26621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13483),
  [26623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [26625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [26627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [26629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [26631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [26633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17584),
  [26635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [26637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [26639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [26641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [26643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [26645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [26647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [26649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13738),
  [26651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [26653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16154),
  [26655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [26657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [26659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13759),
  [26661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [26663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [26665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12312),
  [26667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [26669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [26671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [26673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12316),
  [26675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17604),
  [26677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14177),
  [26679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [26681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [26683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [26685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [26687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17693),
  [26689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [26691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [26693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [26695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15005),
  [26697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [26699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [26701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [26703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13549),
  [26705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [26707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [26709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11847),
  [26711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [26713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [26715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [26717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [26719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [26721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17686),
  [26723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [26725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [26727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [26729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [26731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [26733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [26735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [26737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [26739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [26741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13441),
  [26743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15939),
  [26745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [26747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [26749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [26751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [26753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [26755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [26757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [26759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [26761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [26763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17712),
  [26765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [26767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [26769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [26771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [26773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [26775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [26777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [26779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [26781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [26783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [26785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [26787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [26789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [26791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [26793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13545),
  [26795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [26797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [26799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [26801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12051),
  [26803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [26805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [26807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [26809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [26811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [26813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17793),
  [26815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [26817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [26819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [26821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [26823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [26825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [26827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [26829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [26831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [26833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14538),
  [26835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16387),
  [26837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14540),
  [26839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [26841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [26843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [26845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [26847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12156),
  [26849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [26851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [26853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [26855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [26857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [26859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [26861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17821),
  [26863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [26865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [26867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [26869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [26871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [26873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [26875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [26877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [26879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [26881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [26883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [26885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [26887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [26889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [26891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [26893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [26895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [26897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [26899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [26901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [26903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [26905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [26907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [26909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17895),
  [26911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [26913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [26915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13410),
  [26917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [26919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [26921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [26923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [26925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [26927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [26929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16482),
  [26931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [26933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [26935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9922),
  [26937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [26939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [26941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [26943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14159),
  [26945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [26947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [26949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [26951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [26953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17923),
  [26955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [26957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [26959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [26961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [26963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [26965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14161),
  [26967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [26969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [26971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [26973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13843),
  [26975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [26977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [26979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6506),
  [26981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [26983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13514),
  [26985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14779),
  [26987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [26989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [26991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [26993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [26995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [26997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [26999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [27001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [27003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17998),
  [27005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [27007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [27009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [27011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [27013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [27015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [27017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [27019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [27021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [27023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17569),
  [27025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16581),
  [27027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [27029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [27031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10698),
  [27033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [27035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [27037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [27039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [27041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [27043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [27045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [27047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [27049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [27051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18022),
  [27053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [27055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [27057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [27059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [27061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [27063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [27065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14338),
  [27067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [27069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [27071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13458),
  [27073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [27075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [27077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [27079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [27081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20132),
  [27083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [27085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13550),
  [27087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [27089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [27091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [27093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [27095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [27097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [27099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [27101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [27103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [27105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18152),
  [27107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [27109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [27111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [27113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [27115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [27117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [27119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [27121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [27123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [27125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16739),
  [27127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [27129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16190),
  [27131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [27133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [27135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [27137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12200),
  [27139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [27141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [27143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [27145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [27147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [27149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12209),
  [27151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18176),
  [27153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [27155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [27157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [27159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [27161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [27163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [27165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [27167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13309),
  [27169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [27171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [27173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [27175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [27177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [27179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18203),
  [27181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [27183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [27185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [27187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [27189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [27191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [27193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [27195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [27197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [27199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [27201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16790),
  [27203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [27205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12259),
  [27207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [27209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11797),
  [27211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [27213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [27215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [27217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11823),
  [27219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18216),
  [27221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [27223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14349),
  [27225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [27227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [27229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [27231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13444),
  [27233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17342),
  [27235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [27237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [27239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [27241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [27243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18239),
  [27245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [27247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14350),
  [27249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13212),
  [27251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18393),
  [27253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [27255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [27257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [27259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [27261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [27263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13300),
  [27265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16831),
  [27267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14921),
  [27269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12297),
  [27271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11906),
  [27273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [27275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17703),
  [27277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [27279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11911),
  [27281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18259),
  [27283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [27285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [27287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [27289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [27291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10430),
  [27293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [27295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13374),
  [27297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10431),
  [27299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [27301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [27303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [27305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [27307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [27309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18293),
  [27311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [27313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [27315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [27317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [27319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [27321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [27323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [27325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16907),
  [27327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [27329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [27331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [27333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [27335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11960),
  [27337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [27339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [27341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [27343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [27345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11965),
  [27347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18313),
  [27349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [27351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12411),
  [27353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [27355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [27357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [27359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [27361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [27363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [27365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13418),
  [27367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [27369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [27371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [27373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [27375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [27377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18351),
  [27379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [27381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [27383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [27385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [27387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [27389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [27391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [27393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [27395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [27397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17004),
  [27399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [27401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16929),
  [27403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [27405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [27407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [27409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [27411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [27413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18368),
  [27415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [27417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [27419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [27421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20821),
  [27423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13469),
  [27425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [27427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [27429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [27431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11606),
  [27433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [27435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [27437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18394),
  [27439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [27441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [27443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [27445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [27447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [27449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [27451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [27453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [27455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [27457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17142),
  [27459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [27461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [27463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [27465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12023),
  [27467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11291),
  [27469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [27471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [27473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [27475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12029),
  [27477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18420),
  [27479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [27481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [27483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [27485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13295),
  [27487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [27489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [27491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [27493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13466),
  [27495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [27497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [27499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [27501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [27503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [27505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18449),
  [27507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [27509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [27511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10273),
  [27513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [27515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [27517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [27519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [27521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [27523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17216),
  [27525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [27527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [27529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [27531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [27533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [27535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [27537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [27539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [27541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12066),
  [27543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18469),
  [27545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [27547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [27549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [27551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [27553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [27555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13465),
  [27557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [27559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [27561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [27563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [27565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [27567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18260),
  [27569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [27571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [27573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [27575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [27577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [27579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [27581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [27583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15965),
  [27585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [27587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [27589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [27591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [27593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [27595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [27597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [27599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [27601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17381),
  [27603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [27605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [27607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [27609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [27611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [27613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [27615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [27617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [27619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13419),
  [27621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [27623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [27625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [27627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [27629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [27631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18197),
  [27633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [27635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [27637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [27639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [27641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [27643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [27645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [27647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [27649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [27651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15946),
  [27653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [27655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [27657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [27659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [27661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12162),
  [27663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [27665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [27667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [27669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [27671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12180),
  [27673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18361),
  [27675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [27677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11611),
  [27679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [27681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [27683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [27685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13376),
  [27687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13354),
  [27689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [27691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [27693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [27695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [27697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [27699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17329),
  [27701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12858),
  [27703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [27705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17058),
  [27707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [27709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [27711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [27713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [27715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14030),
  [27717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [27719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [27721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [27723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [27725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [27727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14118),
  [27729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [27731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [27733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [27735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [27737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [27739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [27741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [27743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17435),
  [27745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [27747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [27749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [27751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [27753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [27755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [27757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [27759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [27761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13507),
  [27763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [27765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [27767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [27769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [27771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [27773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [27775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17586),
  [27777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [27779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [27781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [27783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [27785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [27787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [27789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11602),
  [27791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [27793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16902),
  [27795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [27797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17938),
  [27799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10558),
  [27801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [27803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12286),
  [27805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [27807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [27809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [27811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [27813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12292),
  [27815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17702),
  [27817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [27819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6705),
  [27821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [27823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [27825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [27827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13324),
  [27829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [27831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [27833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [27835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [27837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [27839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [27841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18160),
  [27843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [27845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [27847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [27849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [27851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [27853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [27855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [27857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15971),
  [27859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [27861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [27863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [27865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [27867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [27869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16573),
  [27871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [27873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [27875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [27877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [27879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12331),
  [27881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18245),
  [27883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [27885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [27887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [27889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [27891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [27893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9822),
  [27895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [27897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [27899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [27901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [27903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18343),
  [27905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [27907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [27909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [27911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [27913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [27915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [27917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [27919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [27921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [27923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16111),
  [27925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [27927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [27929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [27931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [27933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [27935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [27937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10497),
  [27939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [27941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [27943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [27945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12363),
  [27947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18384),
  [27949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [27951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10506),
  [27953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10507),
  [27955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [27957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17348),
  [27959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13430),
  [27961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [27963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [27965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11970),
  [27967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [27969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [27971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [27973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18465),
  [27975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [27977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5864),
  [27979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [27981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [27983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [27985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [27987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [27989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [27991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [27993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [27995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [27997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [27999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [28001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12371),
  [28003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [28005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [28007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [28009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10509),
  [28011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [28013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12375),
  [28015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17263),
  [28017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [28019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18071),
  [28021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [28023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [28025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13500),
  [28027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10259),
  [28029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [28031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [28033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [28035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [28037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17308),
  [28039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [28041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [28043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11584),
  [28045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [28047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [28049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [28051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [28053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [28055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [28057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16411),
  [28059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [28061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [28063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [28065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [28067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [28069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11583),
  [28071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [28073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11855),
  [28075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [28077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [28079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [28081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [28083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [28085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [28087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [28089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13305),
  [28091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [28093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [28095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [28097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [28099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [28101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [28103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17398),
  [28105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [28107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [28109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [28111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [28113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [28115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [28117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [28119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [28121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13636),
  [28123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16602),
  [28125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [28127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [28129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [28131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12012),
  [28133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [28135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [28137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [28139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5844),
  [28141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [28143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17432),
  [28145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [28147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [28149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [28151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [28153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [28155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5943),
  [28157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13342),
  [28159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [28161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [28163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [28165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [28167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [28169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [28171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17477),
  [28173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [28175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [28177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [28179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [28181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [28183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [28185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [28187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [28189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [28191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16820),
  [28193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [28195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [28197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [28199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [28201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [28203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [28205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [28207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [28209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [28211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12219),
  [28213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17515),
  [28215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [28217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [28219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14351),
  [28221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [28223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [28225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13373),
  [28227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [28229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [28231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [28233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [28235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [28237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [28239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17558),
  [28241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [28243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [28245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [28247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [28249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [28251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [28253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [28255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [28257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [28259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17022),
  [28261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [28263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [28265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [28267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12266),
  [28269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [28271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [28273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [28275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [28277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [28279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17590),
  [28281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [28283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [28285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [28287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [28289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13388),
  [28291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [28293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [28295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [28297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [28299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [28301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [28303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17632),
  [28305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [28307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [28309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [28311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [28313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [28315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [28317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [28319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [28321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [28323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17191),
  [28325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [28327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13372),
  [28329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [28331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11793),
  [28333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [28335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [28337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [28339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11802),
  [28341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17672),
  [28343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [28345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [28347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [28349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [28351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [28353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13405),
  [28355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14442),
  [28357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [28359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [28361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [28363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [28365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17727),
  [28367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [28369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [28371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [28373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10054),
  [28375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [28377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [28379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [28381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [28383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15966),
  [28385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14228),
  [28387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [28389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [28391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [28393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [28395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [28397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14621),
  [28399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [28401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [28403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11815),
  [28405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17762),
  [28407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [28409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [28411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [28413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [28415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [28417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [28419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10279),
  [28421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [28423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [28425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [28427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [28429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17792),
  [28431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [28433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [28435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [28437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15987),
  [28439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [28441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [28443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [28445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [28447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [28449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11869),
  [28451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17810),
  [28453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [28455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [28457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [28459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [28461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [28463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [28465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [28467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [28469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [28471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [28473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17841),
  [28475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [28477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [28479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [28481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18292),
  [28483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [28485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [28487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11893),
  [28489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [28491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11922),
  [28493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17850),
  [28495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [28497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [28499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [28501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [28503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [28505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [28507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [28509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [28511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [28513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17872),
  [28515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [28517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [28519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [28521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [28523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [28525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [28527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [28529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [28531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [28533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17887),
  [28535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [28537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10385),
  [28539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [28541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [28543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [28545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [28547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [28549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17902),
  [28551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10422),
  [28553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10238),
  [28555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16957),
  [28557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [28559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [28561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [28563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [28565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17921),
  [28567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [28569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [28571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [28573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [28575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [28577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10331),
  [28579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17940),
  [28581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [28583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [28585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [28587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [28589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12222),
  [28591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13416),
  [28593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17851),
  [28595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17955),
  [28597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [28599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [28601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [28603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [28605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [28607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [28609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17967),
  [28611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [28613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13969),
  [28615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12229),
  [28617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18374),
  [28619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17983),
  [28621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [28623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [28625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [28627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [28629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [28631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10368),
  [28633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17996),
  [28635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [28637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [28639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [28641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21101),
  [28643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [28645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [28647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18008),
  [28649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [28651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [28653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [28655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [28657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [28659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [28661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [28663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18029),
  [28665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [28667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [28669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [28671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [28673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [28675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10325),
  [28677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18041),
  [28679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [28681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [28683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [28685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [28687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [28689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17616),
  [28691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [28693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [28695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [28697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [28699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [28701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [28703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [28705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [28707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [28709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [28711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [28713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [28715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [28717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [28719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [28721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [28723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [28725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [28727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [28729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [28731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [28733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [28735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [28737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [28739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [28741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [28743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [28745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [28747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [28749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10541),
  [28751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [28753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [28755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [28757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [28759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13310),
  [28761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [28763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [28765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [28767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [28769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18439),
  [28771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [28773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [28775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [28777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [28779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10064),
  [28781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [28783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [28785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [28787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [28789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [28791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [28793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [28795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [28797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [28799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [28801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [28803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [28805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [28807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [28809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13327),
  [28811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13661),
  [28813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13662),
  [28815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [28817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13670),
  [28819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [28821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [28823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [28825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [28827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [28829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [28831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [28833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [28835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [28837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [28839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18209),
  [28841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [28843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [28845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [28847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [28849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [28851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11102),
  [28853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [28855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [28857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13306),
  [28859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [28861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13463),
  [28863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [28865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [28867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17434),
  [28869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [28871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19969),
  [28873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [28875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18233),
  [28877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [28879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18237),
  [28881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [28883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [28885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [28887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [28889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [28891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14137),
  [28893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [28895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [28897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14158),
  [28899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [28901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [28903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [28905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10168),
  [28907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [28909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [28911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [28913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18270),
  [28915] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [28917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [28919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [28921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10170),
  [28923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [28925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [28927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [28929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13583),
  [28931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13588),
  [28933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [28935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13420),
  [28937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17466),
  [28939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21060),
  [28941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [28943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [28945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [28947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [28949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [28951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10180),
  [28953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [28955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [28957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10181),
  [28959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [28961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11826),
  [28963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [28965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10182),
  [28967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20595),
  [28969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20598),
  [28971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20602),
  [28973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [28975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [28977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14172),
  [28979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [28981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10096),
  [28983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [28985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [28987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [28989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [28991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10188),
  [28993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [28995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [28997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [28999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [29001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14777),
  [29003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [29005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [29007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [29009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10344),
  [29011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14046),
  [29013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [29015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17147),
  [29017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [29019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [29021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [29023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [29025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [29027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14666),
  [29029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10879),
  [29031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [29033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14982),
  [29035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [29037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [29039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11324),
  [29041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [29043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [29045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [29047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [29049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [29051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [29053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [29055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [29057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [29059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [29061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [29063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [29065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [29067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [29069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [29071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11830),
  [29073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [29075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [29077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [29079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18460),
  [29081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [29083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [29085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [29087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [29089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [29091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [29093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17232),
  [29095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [29097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [29099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [29101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10491),
  [29103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [29105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18387),
  [29107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [29109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14709),
  [29111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [29113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11835),
  [29115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17259),
  [29117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17247),
  [29119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [29121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [29123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17336),
  [29125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [29127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10493),
  [29129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10494),
  [29131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [29133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [29135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [29137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [29139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [29141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [29143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [29145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [29147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [29149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19160),
  [29151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19170),
  [29153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19205),
  [29155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [29157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [29159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [29161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [29163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [29165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14238),
  [29167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [29169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [29171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [29173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [29175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [29177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [29179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [29181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [29183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [29185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [29187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6555),
  [29189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [29191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [29193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [29195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [29197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [29199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [29201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [29203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [29205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [29207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [29209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [29211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [29213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [29215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [29217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [29219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [29221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17183),
  [29223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [29225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [29227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [29229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [29231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [29233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [29235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19053),
  [29237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9722),
  [29239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [29241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10532),
  [29243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17292),
  [29245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [29247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10065),
  [29249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [29251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [29253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [29255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [29257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17300),
  [29259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20818),
  [29261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [29263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [29265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [29267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [29269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [29271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [29273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [29275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [29277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [29279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17319),
  [29281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [29283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [29285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [29287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [29289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13775),
  [29291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13789),
  [29293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [29295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [29297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [29299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [29301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [29303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [29305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [29307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16323),
  [29309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [29311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19970),
  [29313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19978),
  [29315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19987),
  [29317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9605),
  [29319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [29321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [29323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [29325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [29327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [29329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [29331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [29333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [29335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [29337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [29339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [29341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [29343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13298),
  [29345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [29347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [29349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [29351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [29353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [29355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [29357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [29359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [29361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [29363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [29365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11047),
  [29367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [29369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14133),
  [29371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14135),
  [29373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [29375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17805),
  [29377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [29379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [29381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [29383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [29385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [29387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [29389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [29391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [29393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [29395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [29397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [29399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [29401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [29403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [29405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [29407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [29409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [29411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [29413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17370),
  [29415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [29417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13996),
  [29419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18316),
  [29421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [29423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [29425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [29427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [29429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17383),
  [29431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [29433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [29435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [29437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [29439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [29441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16922),
  [29443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10373),
  [29445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [29447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [29449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18719),
  [29451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18723),
  [29453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18725),
  [29455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [29457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [29459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [29461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [29463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [29465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [29467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [29469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9925),
  [29471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [29473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [29475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [29477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [29479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [29481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10548),
  [29483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [29485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17423),
  [29487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [29489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [29491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [29493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16165),
  [29495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [29497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17430),
  [29499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [29501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [29503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11882),
  [29505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19174),
  [29507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19183),
  [29509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19185),
  [29511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14875),
  [29513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [29515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16118),
  [29517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10537),
  [29519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [29521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [29523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [29525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [29527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [29529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [29531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [29533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [29535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [29537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17470),
  [29539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [29541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [29543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [29545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17479),
  [29547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13781),
  [29549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13332),
  [29551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19631),
  [29553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19633),
  [29555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19637),
  [29557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [29559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [29561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [29563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [29565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [29567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [29569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [29571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [29573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10294),
  [29575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [29577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [29579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [29581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [29583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [29585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [29587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17509),
  [29589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11897),
  [29591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13961),
  [29593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19989),
  [29595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19990),
  [29597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19997),
  [29599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [29601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [29603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10416),
  [29605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [29607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [29609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [29611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [29613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [29615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [29617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [29619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [29621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [29623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [29625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [29627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17543),
  [29629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [29631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [29633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20278),
  [29635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20280),
  [29637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20286),
  [29639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17244),
  [29641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [29643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [29645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11920),
  [29647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [29649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [29651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [29653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [29655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [29657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18130),
  [29659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [29661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17567),
  [29663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20582),
  [29665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20589),
  [29667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20593),
  [29669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [29671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [29673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [29675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [29677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [29679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [29681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [29683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [29685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [29687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [29689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [29691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17596),
  [29693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [29695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20967),
  [29697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20969),
  [29699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20985),
  [29701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [29703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [29705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [29707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [29709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [29711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [29713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [29715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [29717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [29719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [29721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [29723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [29725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17615),
  [29727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21437),
  [29729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21446),
  [29731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21449),
  [29733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [29735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [29737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [29739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [29741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [29743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [29745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [29747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [29749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [29751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [29753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17640),
  [29755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [29757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18540),
  [29759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18541),
  [29761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18542),
  [29763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [29765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [29767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [29769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [29771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [29773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [29775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14366),
  [29777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [29779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17661),
  [29781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [29783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18599),
  [29785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18600),
  [29787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18601),
  [29789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [29791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [29793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [29795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [29797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [29799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [29801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [29803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [29805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [29807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [29809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17679),
  [29811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [29813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18655),
  [29815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18656),
  [29817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18657),
  [29819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [29821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [29823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [29825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [29827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16035),
  [29829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [29831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [29833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [29835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [29837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17694),
  [29839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [29841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18711),
  [29843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18712),
  [29845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18713),
  [29847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [29849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [29851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [29853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [29855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [29857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [29859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [29861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13337),
  [29863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [29865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [29867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17711),
  [29869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [29871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18766),
  [29873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18767),
  [29875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18768),
  [29877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [29879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [29881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [29883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [29885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [29887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [29889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9928),
  [29891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [29893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [29895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [29897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17732),
  [29899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [29901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18821),
  [29903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18822),
  [29905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18823),
  [29907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [29909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [29911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [29913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [29915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [29917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [29919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [29921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13361),
  [29923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17754),
  [29925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18876),
  [29927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18877),
  [29929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [29931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10230),
  [29933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [29935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [29937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [29939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [29941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [29943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [29945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [29947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [29949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17768),
  [29951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10638),
  [29953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18931),
  [29955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18932),
  [29957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18933),
  [29959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [29961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [29963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [29965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [29967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [29969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [29971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [29973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14221),
  [29975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [29977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [29979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [29981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17785),
  [29983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14223),
  [29985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18986),
  [29987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18987),
  [29989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18988),
  [29991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [29993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [29995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [29997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [29999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [30001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [30003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [30005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [30007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [30009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17803),
  [30011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [30013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19041),
  [30015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19042),
  [30017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19043),
  [30019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [30021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [30023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21461),
  [30025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [30027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [30029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [30031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [30033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [30035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [30037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [30039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17822),
  [30041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [30043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [30045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19097),
  [30047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19098),
  [30049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [30051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [30053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [30055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [30057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17518),
  [30059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [30061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11578),
  [30063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [30065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17833),
  [30067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [30069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19138),
  [30071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19139),
  [30073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19140),
  [30075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [30077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [30079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [30081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [30083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [30085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [30087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [30089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [30091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [30093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [30095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17845),
  [30097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [30099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19179),
  [30101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19180),
  [30103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19181),
  [30105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [30107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [30109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [30111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [30113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [30115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [30117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [30119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [30121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [30123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17856),
  [30125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [30127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19220),
  [30129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [30131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19222),
  [30133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [30135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [30137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [30139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [30141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [30143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [30145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [30147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [30149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [30151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17868),
  [30153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16998),
  [30155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19261),
  [30157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19262),
  [30159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19263),
  [30161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [30163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10676),
  [30165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [30167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [30169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [30171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [30173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [30175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [30177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [30179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [30181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17881),
  [30183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14036),
  [30185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19302),
  [30187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19303),
  [30189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19304),
  [30191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [30193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [30195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [30197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [30199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [30201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [30203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [30205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [30207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [30209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17894),
  [30211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [30213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19343),
  [30215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19344),
  [30217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19345),
  [30219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [30221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [30223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10424),
  [30225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [30227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [30229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [30231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [30233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [30235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [30237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [30239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17909),
  [30241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [30243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19384),
  [30245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19385),
  [30247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19386),
  [30249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [30251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [30253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [30255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [30257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [30259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [30261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [30263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [30265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [30267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17918),
  [30269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19425),
  [30271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19426),
  [30273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19427),
  [30275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [30277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [30279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [30281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11948),
  [30283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [30285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [30287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [30289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [30291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [30293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18470),
  [30295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [30297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19466),
  [30299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19467),
  [30301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19468),
  [30303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [30305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [30307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [30309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [30311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [30313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [30315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13501),
  [30317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [30319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17948),
  [30321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [30323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19507),
  [30325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19508),
  [30327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19509),
  [30329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11954),
  [30331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17609),
  [30333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [30335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [30337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [30339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [30341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [30343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17962),
  [30345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [30347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19548),
  [30349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19549),
  [30351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19550),
  [30353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [30355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [30357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [30359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [30361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [30363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [30365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [30367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [30369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [30371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17971),
  [30373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [30375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19588),
  [30377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19589),
  [30379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19590),
  [30381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [30383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [30385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [30387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10450),
  [30389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [30391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [30393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [30395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17980),
  [30397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [30399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19627),
  [30401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19628),
  [30403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19629),
  [30405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [30407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [30409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [30411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [30413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [30415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [30417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [30419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [30421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [30423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17992),
  [30425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [30427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18471),
  [30429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19667),
  [30431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19668),
  [30433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [30435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [30437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [30439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [30441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10627),
  [30443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [30445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [30447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [30449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18004),
  [30451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [30453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19705),
  [30455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19706),
  [30457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19707),
  [30459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [30461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [30463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [30465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [30467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [30469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [30471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [30473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19743),
  [30475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19744),
  [30477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19745),
  [30479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [30481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [30483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [30485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [30487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [30489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [30491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [30493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [30495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [30497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [30499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [30501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19781),
  [30503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19782),
  [30505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19783),
  [30507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [30509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14763),
  [30511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [30513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [30515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [30517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14485),
  [30519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14979),
  [30521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [30523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [30525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [30527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19819),
  [30529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19820),
  [30531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19821),
  [30533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [30535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [30537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [30539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [30541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [30543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [30545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [30547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [30549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19857),
  [30551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19858),
  [30553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19859),
  [30555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [30557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [30559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [30561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [30563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [30565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [30567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [30569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [30571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19883),
  [30573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19884),
  [30575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19885),
  [30577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [30579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [30581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [30583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [30585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [30587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [30589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [30591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [30593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [30595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19906),
  [30597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19907),
  [30599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19908),
  [30601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [30603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10958),
  [30605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19919),
  [30607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19920),
  [30609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19921),
  [30611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [30613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19931),
  [30615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19932),
  [30617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19933),
  [30619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [30621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [30623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19941),
  [30625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19942),
  [30627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19943),
  [30629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [30631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [30633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19951),
  [30635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19952),
  [30637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19953),
  [30639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [30641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [30643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19961),
  [30645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19962),
  [30647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19963),
  [30649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19971),
  [30651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19972),
  [30653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19973),
  [30655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [30657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [30659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19981),
  [30661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19982),
  [30663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19983),
  [30665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [30667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19991),
  [30669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19992),
  [30671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19993),
  [30673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [30675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [30677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20001),
  [30679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20002),
  [30681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20003),
  [30683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [30685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [30687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20011),
  [30689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20012),
  [30691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20013),
  [30693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [30695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [30697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20021),
  [30699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20022),
  [30701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20023),
  [30703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [30705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [30707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20031),
  [30709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20032),
  [30711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20033),
  [30713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16214),
  [30715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [30717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [30719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [30721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [30723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [30725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [30727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [30729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [30731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [30733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [30735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [30737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [30739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [30741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9241),
  [30743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13436),
  [30745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [30747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [30749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [30751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [30753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [30755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13438),
  [30757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [30759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14026),
  [30761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [30763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [30765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [30767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [30769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [30771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [30773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [30775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [30777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [30779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13395),
  [30781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [30783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [30785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [30787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [30789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [30791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16770),
  [30793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14032),
  [30795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [30797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14035),
  [30799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [30801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [30803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [30805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [30807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [30809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [30811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [30813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [30815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [30817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16806),
  [30819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13992),
  [30821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14119),
  [30823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14033),
  [30825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [30827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [30829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [30831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13578),
  [30833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [30835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11495),
  [30837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [30839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [30841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [30843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [30845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [30847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [30849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16846),
  [30851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16854),
  [30853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [30855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16866),
  [30857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [30859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [30861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16873),
  [30863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16882),
  [30865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16891),
  [30867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16898),
  [30869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16904),
  [30871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16909),
  [30873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16917),
  [30875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16923),
  [30877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16930),
  [30879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16938),
  [30881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16943),
  [30883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16947),
  [30885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [30887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16961),
  [30889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16966),
  [30891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16972),
  [30893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16979),
  [30895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16986),
  [30897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16993),
  [30899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16999),
  [30901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17005),
  [30903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17010),
  [30905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17014),
  [30907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17018),
  [30909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17023),
  [30911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17028),
  [30913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17032),
  [30915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17038),
  [30917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17045),
  [30919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17052),
  [30921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17059),
  [30923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17066),
  [30925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17071),
  [30927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17079),
  [30929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17086),
  [30931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17089),
  [30933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17091),
  [30935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17093),
  [30937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17095),
  [30939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17097),
  [30941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17099),
  [30943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17101),
  [30945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17103),
  [30947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17105),
  [30949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17107),
  [30951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17109),
  [30953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17111),
  [30955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17113),
  [30957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21211),
  [30959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [30961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [30963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [30965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [30967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [30969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [30971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18047),
  [30973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [30975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [30977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [30979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15505),
  [30981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [30983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9931),
  [30985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [30987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [30989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [30991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [30993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18633),
  [30995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [30997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [30999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19333),
  [31001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10278),
  [31003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [31005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [31007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [31009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [31011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19362),
  [31013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [31015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [31017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [31019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [31021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [31023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [31025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [31027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [31029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [31031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [31033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [31035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14924),
  [31037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13377),
  [31039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [31041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [31043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [31045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7650),
  [31047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16054),
  [31049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14058),
  [31051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [31053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [31055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10323),
  [31057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [31059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [31061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [31063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [31065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [31067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [31069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [31071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [31073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [31075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [31077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [31079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [31081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [31083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [31085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10299),
  [31087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [31089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [31091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [31093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [31095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [31097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [31099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [31101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18149),
  [31103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [31105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [31107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12007),
  [31109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [31111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [31113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [31115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [31117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [31119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [31121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [31123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [31125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [31127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10324),
  [31129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [31131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [31133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [31135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [31137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [31139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14200),
  [31141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [31143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [31145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [31147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [31149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [31151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [31153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12011),
  [31155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18189),
  [31157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [31159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [31161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [31163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [31165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [31167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [31169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [31171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [31173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [31175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [31177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [31179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [31181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [31183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [31185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10078),
  [31187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [31189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [31191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10311),
  [31193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16235),
  [31195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
  [31197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
  ts_external_token__error_sentinel = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
  [ts_external_token__error_sentinel] = sym__error_sentinel,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
    [ts_external_token__error_sentinel] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_type_external_scanner_create(void);
void tree_sitter_ocaml_type_external_scanner_destroy(void *);
bool tree_sitter_ocaml_type_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_type_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_type_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml_type(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__lowercase_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_type_external_scanner_create,
      tree_sitter_ocaml_type_external_scanner_destroy,
      tree_sitter_ocaml_type_external_scanner_scan,
      tree_sitter_ocaml_type_external_scanner_serialize,
      tree_sitter_ocaml_type_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
